#!/usr/bin/env node
var __create = Object.create;
var __getProtoOf = Object.getPrototypeOf;
var __defProp = Object.defineProperty;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __toESM = (mod, isNodeMode, target) => {
  target = mod != null ? __create(__getProtoOf(mod)) : {};
  const to = isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target;
  for (let key of __getOwnPropNames(mod))
    if (!__hasOwnProp.call(to, key))
      __defProp(to, key, {
        get: () => mod[key],
        enumerable: true
      });
  return to;
};
var __commonJS = (cb, mod) => () => (mod || cb((mod = { exports: {} }).exports, mod), mod.exports);

// node_modules/sisteransi/src/index.js
var require_src = __commonJS((exports, module) => {
  var ESC = "\x1B";
  var CSI = `${ESC}[`;
  var beep = "\x07";
  var cursor = {
    to(x, y) {
      if (!y)
        return `${CSI}${x + 1}G`;
      return `${CSI}${y + 1};${x + 1}H`;
    },
    move(x, y) {
      let ret = "";
      if (x < 0)
        ret += `${CSI}${-x}D`;
      else if (x > 0)
        ret += `${CSI}${x}C`;
      if (y < 0)
        ret += `${CSI}${-y}A`;
      else if (y > 0)
        ret += `${CSI}${y}B`;
      return ret;
    },
    up: (count = 1) => `${CSI}${count}A`,
    down: (count = 1) => `${CSI}${count}B`,
    forward: (count = 1) => `${CSI}${count}C`,
    backward: (count = 1) => `${CSI}${count}D`,
    nextLine: (count = 1) => `${CSI}E`.repeat(count),
    prevLine: (count = 1) => `${CSI}F`.repeat(count),
    left: `${CSI}G`,
    hide: `${CSI}?25l`,
    show: `${CSI}?25h`,
    save: `${ESC}7`,
    restore: `${ESC}8`
  };
  var scroll = {
    up: (count = 1) => `${CSI}S`.repeat(count),
    down: (count = 1) => `${CSI}T`.repeat(count)
  };
  var erase = {
    screen: `${CSI}2J`,
    up: (count = 1) => `${CSI}1J`.repeat(count),
    down: (count = 1) => `${CSI}J`.repeat(count),
    line: `${CSI}2K`,
    lineEnd: `${CSI}K`,
    lineStart: `${CSI}1K`,
    lines(count) {
      let clear = "";
      for (let i = 0;i < count; i++)
        clear += this.line + (i < count - 1 ? cursor.up() : "");
      if (count)
        clear += cursor.left;
      return clear;
    }
  };
  module.exports = { cursor, scroll, erase, beep };
});

// node_modules/picocolors/picocolors.js
var require_picocolors = __commonJS((exports, module) => {
  var p = process || {};
  var argv = p.argv || [];
  var env = p.env || {};
  var isColorSupported = !(!!env.NO_COLOR || argv.includes("--no-color")) && (!!env.FORCE_COLOR || argv.includes("--color") || p.platform === "win32" || (p.stdout || {}).isTTY && env.TERM !== "dumb" || !!env.CI);
  var formatter = (open, close, replace = open) => (input) => {
    let string = "" + input, index = string.indexOf(close, open.length);
    return ~index ? open + replaceClose(string, close, replace, index) + close : open + string + close;
  };
  var replaceClose = (string, close, replace, index) => {
    let result = "", cursor = 0;
    do {
      result += string.substring(cursor, index) + replace;
      cursor = index + close.length;
      index = string.indexOf(close, cursor);
    } while (~index);
    return result + string.substring(cursor);
  };
  var createColors = (enabled = isColorSupported) => {
    let f = enabled ? formatter : () => String;
    return {
      isColorSupported: enabled,
      reset: f("\x1B[0m", "\x1B[0m"),
      bold: f("\x1B[1m", "\x1B[22m", "\x1B[22m\x1B[1m"),
      dim: f("\x1B[2m", "\x1B[22m", "\x1B[22m\x1B[2m"),
      italic: f("\x1B[3m", "\x1B[23m"),
      underline: f("\x1B[4m", "\x1B[24m"),
      inverse: f("\x1B[7m", "\x1B[27m"),
      hidden: f("\x1B[8m", "\x1B[28m"),
      strikethrough: f("\x1B[9m", "\x1B[29m"),
      black: f("\x1B[30m", "\x1B[39m"),
      red: f("\x1B[31m", "\x1B[39m"),
      green: f("\x1B[32m", "\x1B[39m"),
      yellow: f("\x1B[33m", "\x1B[39m"),
      blue: f("\x1B[34m", "\x1B[39m"),
      magenta: f("\x1B[35m", "\x1B[39m"),
      cyan: f("\x1B[36m", "\x1B[39m"),
      white: f("\x1B[37m", "\x1B[39m"),
      gray: f("\x1B[90m", "\x1B[39m"),
      bgBlack: f("\x1B[40m", "\x1B[49m"),
      bgRed: f("\x1B[41m", "\x1B[49m"),
      bgGreen: f("\x1B[42m", "\x1B[49m"),
      bgYellow: f("\x1B[43m", "\x1B[49m"),
      bgBlue: f("\x1B[44m", "\x1B[49m"),
      bgMagenta: f("\x1B[45m", "\x1B[49m"),
      bgCyan: f("\x1B[46m", "\x1B[49m"),
      bgWhite: f("\x1B[47m", "\x1B[49m"),
      blackBright: f("\x1B[90m", "\x1B[39m"),
      redBright: f("\x1B[91m", "\x1B[39m"),
      greenBright: f("\x1B[92m", "\x1B[39m"),
      yellowBright: f("\x1B[93m", "\x1B[39m"),
      blueBright: f("\x1B[94m", "\x1B[39m"),
      magentaBright: f("\x1B[95m", "\x1B[39m"),
      cyanBright: f("\x1B[96m", "\x1B[39m"),
      whiteBright: f("\x1B[97m", "\x1B[39m"),
      bgBlackBright: f("\x1B[100m", "\x1B[49m"),
      bgRedBright: f("\x1B[101m", "\x1B[49m"),
      bgGreenBright: f("\x1B[102m", "\x1B[49m"),
      bgYellowBright: f("\x1B[103m", "\x1B[49m"),
      bgBlueBright: f("\x1B[104m", "\x1B[49m"),
      bgMagentaBright: f("\x1B[105m", "\x1B[49m"),
      bgCyanBright: f("\x1B[106m", "\x1B[49m"),
      bgWhiteBright: f("\x1B[107m", "\x1B[49m")
    };
  };
  module.exports = createColors();
  module.exports.createColors = createColors;
});

// node_modules/@clack/prompts/dist/index.mjs
import { stripVTControlCharacters as S2 } from "node:util";

// node_modules/@clack/core/dist/index.mjs
var import_sisteransi = __toESM(require_src(), 1);
var import_picocolors = __toESM(require_picocolors(), 1);
import { stdin as $, stdout as j } from "node:process";
import * as f from "node:readline";
import M from "node:readline";
import { WriteStream as U } from "node:tty";
function J({ onlyFirst: t = false } = {}) {
  const F = ["[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]+)*|[a-zA-Z\\d]+(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]*)*)?(?:\\u0007|\\u001B\\u005C|\\u009C))", "(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PR-TZcf-nq-uy=><~]))"].join("|");
  return new RegExp(F, t ? undefined : "g");
}
var Q = J();
function T(t) {
  if (typeof t != "string")
    throw new TypeError(`Expected a \`string\`, got \`${typeof t}\``);
  return t.replace(Q, "");
}
function O(t) {
  return t && t.__esModule && Object.prototype.hasOwnProperty.call(t, "default") ? t.default : t;
}
var P = { exports: {} };
(function(t) {
  var u = {};
  t.exports = u, u.eastAsianWidth = function(e) {
    var s = e.charCodeAt(0), i = e.length == 2 ? e.charCodeAt(1) : 0, D = s;
    return 55296 <= s && s <= 56319 && 56320 <= i && i <= 57343 && (s &= 1023, i &= 1023, D = s << 10 | i, D += 65536), D == 12288 || 65281 <= D && D <= 65376 || 65504 <= D && D <= 65510 ? "F" : D == 8361 || 65377 <= D && D <= 65470 || 65474 <= D && D <= 65479 || 65482 <= D && D <= 65487 || 65490 <= D && D <= 65495 || 65498 <= D && D <= 65500 || 65512 <= D && D <= 65518 ? "H" : 4352 <= D && D <= 4447 || 4515 <= D && D <= 4519 || 4602 <= D && D <= 4607 || 9001 <= D && D <= 9002 || 11904 <= D && D <= 11929 || 11931 <= D && D <= 12019 || 12032 <= D && D <= 12245 || 12272 <= D && D <= 12283 || 12289 <= D && D <= 12350 || 12353 <= D && D <= 12438 || 12441 <= D && D <= 12543 || 12549 <= D && D <= 12589 || 12593 <= D && D <= 12686 || 12688 <= D && D <= 12730 || 12736 <= D && D <= 12771 || 12784 <= D && D <= 12830 || 12832 <= D && D <= 12871 || 12880 <= D && D <= 13054 || 13056 <= D && D <= 19903 || 19968 <= D && D <= 42124 || 42128 <= D && D <= 42182 || 43360 <= D && D <= 43388 || 44032 <= D && D <= 55203 || 55216 <= D && D <= 55238 || 55243 <= D && D <= 55291 || 63744 <= D && D <= 64255 || 65040 <= D && D <= 65049 || 65072 <= D && D <= 65106 || 65108 <= D && D <= 65126 || 65128 <= D && D <= 65131 || 110592 <= D && D <= 110593 || 127488 <= D && D <= 127490 || 127504 <= D && D <= 127546 || 127552 <= D && D <= 127560 || 127568 <= D && D <= 127569 || 131072 <= D && D <= 194367 || 177984 <= D && D <= 196605 || 196608 <= D && D <= 262141 ? "W" : 32 <= D && D <= 126 || 162 <= D && D <= 163 || 165 <= D && D <= 166 || D == 172 || D == 175 || 10214 <= D && D <= 10221 || 10629 <= D && D <= 10630 ? "Na" : D == 161 || D == 164 || 167 <= D && D <= 168 || D == 170 || 173 <= D && D <= 174 || 176 <= D && D <= 180 || 182 <= D && D <= 186 || 188 <= D && D <= 191 || D == 198 || D == 208 || 215 <= D && D <= 216 || 222 <= D && D <= 225 || D == 230 || 232 <= D && D <= 234 || 236 <= D && D <= 237 || D == 240 || 242 <= D && D <= 243 || 247 <= D && D <= 250 || D == 252 || D == 254 || D == 257 || D == 273 || D == 275 || D == 283 || 294 <= D && D <= 295 || D == 299 || 305 <= D && D <= 307 || D == 312 || 319 <= D && D <= 322 || D == 324 || 328 <= D && D <= 331 || D == 333 || 338 <= D && D <= 339 || 358 <= D && D <= 359 || D == 363 || D == 462 || D == 464 || D == 466 || D == 468 || D == 470 || D == 472 || D == 474 || D == 476 || D == 593 || D == 609 || D == 708 || D == 711 || 713 <= D && D <= 715 || D == 717 || D == 720 || 728 <= D && D <= 731 || D == 733 || D == 735 || 768 <= D && D <= 879 || 913 <= D && D <= 929 || 931 <= D && D <= 937 || 945 <= D && D <= 961 || 963 <= D && D <= 969 || D == 1025 || 1040 <= D && D <= 1103 || D == 1105 || D == 8208 || 8211 <= D && D <= 8214 || 8216 <= D && D <= 8217 || 8220 <= D && D <= 8221 || 8224 <= D && D <= 8226 || 8228 <= D && D <= 8231 || D == 8240 || 8242 <= D && D <= 8243 || D == 8245 || D == 8251 || D == 8254 || D == 8308 || D == 8319 || 8321 <= D && D <= 8324 || D == 8364 || D == 8451 || D == 8453 || D == 8457 || D == 8467 || D == 8470 || 8481 <= D && D <= 8482 || D == 8486 || D == 8491 || 8531 <= D && D <= 8532 || 8539 <= D && D <= 8542 || 8544 <= D && D <= 8555 || 8560 <= D && D <= 8569 || D == 8585 || 8592 <= D && D <= 8601 || 8632 <= D && D <= 8633 || D == 8658 || D == 8660 || D == 8679 || D == 8704 || 8706 <= D && D <= 8707 || 8711 <= D && D <= 8712 || D == 8715 || D == 8719 || D == 8721 || D == 8725 || D == 8730 || 8733 <= D && D <= 8736 || D == 8739 || D == 8741 || 8743 <= D && D <= 8748 || D == 8750 || 8756 <= D && D <= 8759 || 8764 <= D && D <= 8765 || D == 8776 || D == 8780 || D == 8786 || 8800 <= D && D <= 8801 || 8804 <= D && D <= 8807 || 8810 <= D && D <= 8811 || 8814 <= D && D <= 8815 || 8834 <= D && D <= 8835 || 8838 <= D && D <= 8839 || D == 8853 || D == 8857 || D == 8869 || D == 8895 || D == 8978 || 9312 <= D && D <= 9449 || 9451 <= D && D <= 9547 || 9552 <= D && D <= 9587 || 9600 <= D && D <= 9615 || 9618 <= D && D <= 9621 || 9632 <= D && D <= 9633 || 9635 <= D && D <= 9641 || 9650 <= D && D <= 9651 || 9654 <= D && D <= 9655 || 9660 <= D && D <= 9661 || 9664 <= D && D <= 9665 || 9670 <= D && D <= 9672 || D == 9675 || 9678 <= D && D <= 9681 || 9698 <= D && D <= 9701 || D == 9711 || 9733 <= D && D <= 9734 || D == 9737 || 9742 <= D && D <= 9743 || 9748 <= D && D <= 9749 || D == 9756 || D == 9758 || D == 9792 || D == 9794 || 9824 <= D && D <= 9825 || 9827 <= D && D <= 9829 || 9831 <= D && D <= 9834 || 9836 <= D && D <= 9837 || D == 9839 || 9886 <= D && D <= 9887 || 9918 <= D && D <= 9919 || 9924 <= D && D <= 9933 || 9935 <= D && D <= 9953 || D == 9955 || 9960 <= D && D <= 9983 || D == 10045 || D == 10071 || 10102 <= D && D <= 10111 || 11093 <= D && D <= 11097 || 12872 <= D && D <= 12879 || 57344 <= D && D <= 63743 || 65024 <= D && D <= 65039 || D == 65533 || 127232 <= D && D <= 127242 || 127248 <= D && D <= 127277 || 127280 <= D && D <= 127337 || 127344 <= D && D <= 127386 || 917760 <= D && D <= 917999 || 983040 <= D && D <= 1048573 || 1048576 <= D && D <= 1114109 ? "A" : "N";
  }, u.characterLength = function(e) {
    var s = this.eastAsianWidth(e);
    return s == "F" || s == "W" || s == "A" ? 2 : 1;
  };
  function F(e) {
    return e.match(/[\uD800-\uDBFF][\uDC00-\uDFFF]|[^\uD800-\uDFFF]/g) || [];
  }
  u.length = function(e) {
    for (var s = F(e), i = 0, D = 0;D < s.length; D++)
      i = i + this.characterLength(s[D]);
    return i;
  }, u.slice = function(e, s, i) {
    textLen = u.length(e), s = s || 0, i = i || 1, s < 0 && (s = textLen + s), i < 0 && (i = textLen + i);
    for (var D = "", C = 0, o = F(e), E = 0;E < o.length; E++) {
      var a = o[E], n = u.length(a);
      if (C >= s - (n == 2 ? 1 : 0))
        if (C + n <= i)
          D += a;
        else
          break;
      C += n;
    }
    return D;
  };
})(P);
var X = P.exports;
var DD = O(X);
var uD = function() {
  return /\uD83C\uDFF4\uDB40\uDC67\uDB40\uDC62(?:\uDB40\uDC77\uDB40\uDC6C\uDB40\uDC73|\uDB40\uDC73\uDB40\uDC63\uDB40\uDC74|\uDB40\uDC65\uDB40\uDC6E\uDB40\uDC67)\uDB40\uDC7F|(?:\uD83E\uDDD1\uD83C\uDFFF\u200D\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D)?\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFF\u200D\uD83E\uDD1D\u200D(?:\uD83D[\uDC68\uDC69]))(?:\uD83C[\uDFFB-\uDFFE])|(?:\uD83E\uDDD1\uD83C\uDFFE\u200D\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D)?\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFE\u200D\uD83E\uDD1D\u200D(?:\uD83D[\uDC68\uDC69]))(?:\uD83C[\uDFFB-\uDFFD\uDFFF])|(?:\uD83E\uDDD1\uD83C\uDFFD\u200D\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D)?\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFD\u200D\uD83E\uDD1D\u200D(?:\uD83D[\uDC68\uDC69]))(?:\uD83C[\uDFFB\uDFFC\uDFFE\uDFFF])|(?:\uD83E\uDDD1\uD83C\uDFFC\u200D\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D)?\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFC\u200D\uD83E\uDD1D\u200D(?:\uD83D[\uDC68\uDC69]))(?:\uD83C[\uDFFB\uDFFD-\uDFFF])|(?:\uD83E\uDDD1\uD83C\uDFFB\u200D\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D)?\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFB\u200D\uD83E\uDD1D\u200D(?:\uD83D[\uDC68\uDC69]))(?:\uD83C[\uDFFC-\uDFFF])|\uD83D\uDC68(?:\uD83C\uDFFB(?:\u200D(?:\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFF])|\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFF]))|\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFC-\uDFFF])|[\u2695\u2696\u2708]\uFE0F|\uD83C[\uDF3E\uDF73\uDF7C\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD]))?|(?:\uD83C[\uDFFC-\uDFFF])\u200D\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFF])|\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFF]))|\u200D(?:\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D)?\uD83D\uDC68|(?:\uD83D[\uDC68\uDC69])\u200D(?:\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67]))|\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67])|\uD83C[\uDF3E\uDF73\uDF7C\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFF\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFE])|\uD83C[\uDF3E\uDF73\uDF7C\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFE\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFD\uDFFF])|\uD83C[\uDF3E\uDF73\uDF7C\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFD\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB\uDFFC\uDFFE\uDFFF])|\uD83C[\uDF3E\uDF73\uDF7C\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFC\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB\uDFFD-\uDFFF])|\uD83C[\uDF3E\uDF73\uDF7C\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|(?:\uD83C\uDFFF\u200D[\u2695\u2696\u2708]|\uD83C\uDFFE\u200D[\u2695\u2696\u2708]|\uD83C\uDFFD\u200D[\u2695\u2696\u2708]|\uD83C\uDFFC\u200D[\u2695\u2696\u2708]|\u200D[\u2695\u2696\u2708])\uFE0F|\u200D(?:(?:\uD83D[\uDC68\uDC69])\u200D(?:\uD83D[\uDC66\uDC67])|\uD83D[\uDC66\uDC67])|\uD83C\uDFFF|\uD83C\uDFFE|\uD83C\uDFFD|\uD83C\uDFFC)?|(?:\uD83D\uDC69(?:\uD83C\uDFFB\u200D\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D(?:\uD83D[\uDC68\uDC69])|\uD83D[\uDC68\uDC69])|(?:\uD83C[\uDFFC-\uDFFF])\u200D\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D(?:\uD83D[\uDC68\uDC69])|\uD83D[\uDC68\uDC69]))|\uD83E\uDDD1(?:\uD83C[\uDFFB-\uDFFF])\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1)(?:\uD83C[\uDFFB-\uDFFF])|\uD83D\uDC69\u200D\uD83D\uDC69\u200D(?:\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67]))|\uD83D\uDC69(?:\u200D(?:\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D(?:\uD83D[\uDC68\uDC69])|\uD83D[\uDC68\uDC69])|\uD83C[\uDF3E\uDF73\uDF7C\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFF\u200D(?:\uD83C[\uDF3E\uDF73\uDF7C\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFE\u200D(?:\uD83C[\uDF3E\uDF73\uDF7C\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFD\u200D(?:\uD83C[\uDF3E\uDF73\uDF7C\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFC\u200D(?:\uD83C[\uDF3E\uDF73\uDF7C\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFB\u200D(?:\uD83C[\uDF3E\uDF73\uDF7C\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD]))|\uD83E\uDDD1(?:\u200D(?:\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83C[\uDF3E\uDF73\uDF7C\uDF84\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFF\u200D(?:\uD83C[\uDF3E\uDF73\uDF7C\uDF84\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFE\u200D(?:\uD83C[\uDF3E\uDF73\uDF7C\uDF84\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFD\u200D(?:\uD83C[\uDF3E\uDF73\uDF7C\uDF84\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFC\u200D(?:\uD83C[\uDF3E\uDF73\uDF7C\uDF84\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFB\u200D(?:\uD83C[\uDF3E\uDF73\uDF7C\uDF84\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD]))|\uD83D\uDC69\u200D\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC69\u200D\uD83D\uDC69\u200D(?:\uD83D[\uDC66\uDC67])|\uD83D\uDC69\u200D\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67])|(?:\uD83D\uDC41\uFE0F\u200D\uD83D\uDDE8|\uD83E\uDDD1(?:\uD83C\uDFFF\u200D[\u2695\u2696\u2708]|\uD83C\uDFFE\u200D[\u2695\u2696\u2708]|\uD83C\uDFFD\u200D[\u2695\u2696\u2708]|\uD83C\uDFFC\u200D[\u2695\u2696\u2708]|\uD83C\uDFFB\u200D[\u2695\u2696\u2708]|\u200D[\u2695\u2696\u2708])|\uD83D\uDC69(?:\uD83C\uDFFF\u200D[\u2695\u2696\u2708]|\uD83C\uDFFE\u200D[\u2695\u2696\u2708]|\uD83C\uDFFD\u200D[\u2695\u2696\u2708]|\uD83C\uDFFC\u200D[\u2695\u2696\u2708]|\uD83C\uDFFB\u200D[\u2695\u2696\u2708]|\u200D[\u2695\u2696\u2708])|\uD83D\uDE36\u200D\uD83C\uDF2B|\uD83C\uDFF3\uFE0F\u200D\u26A7|\uD83D\uDC3B\u200D\u2744|(?:(?:\uD83C[\uDFC3\uDFC4\uDFCA]|\uD83D[\uDC6E\uDC70\uDC71\uDC73\uDC77\uDC81\uDC82\uDC86\uDC87\uDE45-\uDE47\uDE4B\uDE4D\uDE4E\uDEA3\uDEB4-\uDEB6]|\uD83E[\uDD26\uDD35\uDD37-\uDD39\uDD3D\uDD3E\uDDB8\uDDB9\uDDCD-\uDDCF\uDDD4\uDDD6-\uDDDD])(?:\uD83C[\uDFFB-\uDFFF])|\uD83D\uDC6F|\uD83E[\uDD3C\uDDDE\uDDDF])\u200D[\u2640\u2642]|(?:\u26F9|\uD83C[\uDFCB\uDFCC]|\uD83D\uDD75)(?:\uFE0F|\uD83C[\uDFFB-\uDFFF])\u200D[\u2640\u2642]|\uD83C\uDFF4\u200D\u2620|(?:\uD83C[\uDFC3\uDFC4\uDFCA]|\uD83D[\uDC6E\uDC70\uDC71\uDC73\uDC77\uDC81\uDC82\uDC86\uDC87\uDE45-\uDE47\uDE4B\uDE4D\uDE4E\uDEA3\uDEB4-\uDEB6]|\uD83E[\uDD26\uDD35\uDD37-\uDD39\uDD3D\uDD3E\uDDB8\uDDB9\uDDCD-\uDDCF\uDDD4\uDDD6-\uDDDD])\u200D[\u2640\u2642]|[\xA9\xAE\u203C\u2049\u2122\u2139\u2194-\u2199\u21A9\u21AA\u2328\u23CF\u23ED-\u23EF\u23F1\u23F2\u23F8-\u23FA\u24C2\u25AA\u25AB\u25B6\u25C0\u25FB\u25FC\u2600-\u2604\u260E\u2611\u2618\u2620\u2622\u2623\u2626\u262A\u262E\u262F\u2638-\u263A\u2640\u2642\u265F\u2660\u2663\u2665\u2666\u2668\u267B\u267E\u2692\u2694-\u2697\u2699\u269B\u269C\u26A0\u26A7\u26B0\u26B1\u26C8\u26CF\u26D1\u26D3\u26E9\u26F0\u26F1\u26F4\u26F7\u26F8\u2702\u2708\u2709\u270F\u2712\u2714\u2716\u271D\u2721\u2733\u2734\u2744\u2747\u2763\u27A1\u2934\u2935\u2B05-\u2B07\u3030\u303D\u3297\u3299]|\uD83C[\uDD70\uDD71\uDD7E\uDD7F\uDE02\uDE37\uDF21\uDF24-\uDF2C\uDF36\uDF7D\uDF96\uDF97\uDF99-\uDF9B\uDF9E\uDF9F\uDFCD\uDFCE\uDFD4-\uDFDF\uDFF5\uDFF7]|\uD83D[\uDC3F\uDCFD\uDD49\uDD4A\uDD6F\uDD70\uDD73\uDD76-\uDD79\uDD87\uDD8A-\uDD8D\uDDA5\uDDA8\uDDB1\uDDB2\uDDBC\uDDC2-\uDDC4\uDDD1-\uDDD3\uDDDC-\uDDDE\uDDE1\uDDE3\uDDE8\uDDEF\uDDF3\uDDFA\uDECB\uDECD-\uDECF\uDEE0-\uDEE5\uDEE9\uDEF0\uDEF3])\uFE0F|\uD83C\uDFF3\uFE0F\u200D\uD83C\uDF08|\uD83D\uDC69\u200D\uD83D\uDC67|\uD83D\uDC69\u200D\uD83D\uDC66|\uD83D\uDE35\u200D\uD83D\uDCAB|\uD83D\uDE2E\u200D\uD83D\uDCA8|\uD83D\uDC15\u200D\uD83E\uDDBA|\uD83E\uDDD1(?:\uD83C\uDFFF|\uD83C\uDFFE|\uD83C\uDFFD|\uD83C\uDFFC|\uD83C\uDFFB)?|\uD83D\uDC69(?:\uD83C\uDFFF|\uD83C\uDFFE|\uD83C\uDFFD|\uD83C\uDFFC|\uD83C\uDFFB)?|\uD83C\uDDFD\uD83C\uDDF0|\uD83C\uDDF6\uD83C\uDDE6|\uD83C\uDDF4\uD83C\uDDF2|\uD83D\uDC08\u200D\u2B1B|\u2764\uFE0F\u200D(?:\uD83D\uDD25|\uD83E\uDE79)|\uD83D\uDC41\uFE0F|\uD83C\uDFF3\uFE0F|\uD83C\uDDFF(?:\uD83C[\uDDE6\uDDF2\uDDFC])|\uD83C\uDDFE(?:\uD83C[\uDDEA\uDDF9])|\uD83C\uDDFC(?:\uD83C[\uDDEB\uDDF8])|\uD83C\uDDFB(?:\uD83C[\uDDE6\uDDE8\uDDEA\uDDEC\uDDEE\uDDF3\uDDFA])|\uD83C\uDDFA(?:\uD83C[\uDDE6\uDDEC\uDDF2\uDDF3\uDDF8\uDDFE\uDDFF])|\uD83C\uDDF9(?:\uD83C[\uDDE6\uDDE8\uDDE9\uDDEB-\uDDED\uDDEF-\uDDF4\uDDF7\uDDF9\uDDFB\uDDFC\uDDFF])|\uD83C\uDDF8(?:\uD83C[\uDDE6-\uDDEA\uDDEC-\uDDF4\uDDF7-\uDDF9\uDDFB\uDDFD-\uDDFF])|\uD83C\uDDF7(?:\uD83C[\uDDEA\uDDF4\uDDF8\uDDFA\uDDFC])|\uD83C\uDDF5(?:\uD83C[\uDDE6\uDDEA-\uDDED\uDDF0-\uDDF3\uDDF7-\uDDF9\uDDFC\uDDFE])|\uD83C\uDDF3(?:\uD83C[\uDDE6\uDDE8\uDDEA-\uDDEC\uDDEE\uDDF1\uDDF4\uDDF5\uDDF7\uDDFA\uDDFF])|\uD83C\uDDF2(?:\uD83C[\uDDE6\uDDE8-\uDDED\uDDF0-\uDDFF])|\uD83C\uDDF1(?:\uD83C[\uDDE6-\uDDE8\uDDEE\uDDF0\uDDF7-\uDDFB\uDDFE])|\uD83C\uDDF0(?:\uD83C[\uDDEA\uDDEC-\uDDEE\uDDF2\uDDF3\uDDF5\uDDF7\uDDFC\uDDFE\uDDFF])|\uD83C\uDDEF(?:\uD83C[\uDDEA\uDDF2\uDDF4\uDDF5])|\uD83C\uDDEE(?:\uD83C[\uDDE8-\uDDEA\uDDF1-\uDDF4\uDDF6-\uDDF9])|\uD83C\uDDED(?:\uD83C[\uDDF0\uDDF2\uDDF3\uDDF7\uDDF9\uDDFA])|\uD83C\uDDEC(?:\uD83C[\uDDE6\uDDE7\uDDE9-\uDDEE\uDDF1-\uDDF3\uDDF5-\uDDFA\uDDFC\uDDFE])|\uD83C\uDDEB(?:\uD83C[\uDDEE-\uDDF0\uDDF2\uDDF4\uDDF7])|\uD83C\uDDEA(?:\uD83C[\uDDE6\uDDE8\uDDEA\uDDEC\uDDED\uDDF7-\uDDFA])|\uD83C\uDDE9(?:\uD83C[\uDDEA\uDDEC\uDDEF\uDDF0\uDDF2\uDDF4\uDDFF])|\uD83C\uDDE8(?:\uD83C[\uDDE6\uDDE8\uDDE9\uDDEB-\uDDEE\uDDF0-\uDDF5\uDDF7\uDDFA-\uDDFF])|\uD83C\uDDE7(?:\uD83C[\uDDE6\uDDE7\uDDE9-\uDDEF\uDDF1-\uDDF4\uDDF6-\uDDF9\uDDFB\uDDFC\uDDFE\uDDFF])|\uD83C\uDDE6(?:\uD83C[\uDDE8-\uDDEC\uDDEE\uDDF1\uDDF2\uDDF4\uDDF6-\uDDFA\uDDFC\uDDFD\uDDFF])|[#\*0-9]\uFE0F\u20E3|\u2764\uFE0F|(?:\uD83C[\uDFC3\uDFC4\uDFCA]|\uD83D[\uDC6E\uDC70\uDC71\uDC73\uDC77\uDC81\uDC82\uDC86\uDC87\uDE45-\uDE47\uDE4B\uDE4D\uDE4E\uDEA3\uDEB4-\uDEB6]|\uD83E[\uDD26\uDD35\uDD37-\uDD39\uDD3D\uDD3E\uDDB8\uDDB9\uDDCD-\uDDCF\uDDD4\uDDD6-\uDDDD])(?:\uD83C[\uDFFB-\uDFFF])|(?:\u26F9|\uD83C[\uDFCB\uDFCC]|\uD83D\uDD75)(?:\uFE0F|\uD83C[\uDFFB-\uDFFF])|\uD83C\uDFF4|(?:[\u270A\u270B]|\uD83C[\uDF85\uDFC2\uDFC7]|\uD83D[\uDC42\uDC43\uDC46-\uDC50\uDC66\uDC67\uDC6B-\uDC6D\uDC72\uDC74-\uDC76\uDC78\uDC7C\uDC83\uDC85\uDC8F\uDC91\uDCAA\uDD7A\uDD95\uDD96\uDE4C\uDE4F\uDEC0\uDECC]|\uD83E[\uDD0C\uDD0F\uDD18-\uDD1C\uDD1E\uDD1F\uDD30-\uDD34\uDD36\uDD77\uDDB5\uDDB6\uDDBB\uDDD2\uDDD3\uDDD5])(?:\uD83C[\uDFFB-\uDFFF])|(?:[\u261D\u270C\u270D]|\uD83D[\uDD74\uDD90])(?:\uFE0F|\uD83C[\uDFFB-\uDFFF])|[\u270A\u270B]|\uD83C[\uDF85\uDFC2\uDFC7]|\uD83D[\uDC08\uDC15\uDC3B\uDC42\uDC43\uDC46-\uDC50\uDC66\uDC67\uDC6B-\uDC6D\uDC72\uDC74-\uDC76\uDC78\uDC7C\uDC83\uDC85\uDC8F\uDC91\uDCAA\uDD7A\uDD95\uDD96\uDE2E\uDE35\uDE36\uDE4C\uDE4F\uDEC0\uDECC]|\uD83E[\uDD0C\uDD0F\uDD18-\uDD1C\uDD1E\uDD1F\uDD30-\uDD34\uDD36\uDD77\uDDB5\uDDB6\uDDBB\uDDD2\uDDD3\uDDD5]|\uD83C[\uDFC3\uDFC4\uDFCA]|\uD83D[\uDC6E\uDC70\uDC71\uDC73\uDC77\uDC81\uDC82\uDC86\uDC87\uDE45-\uDE47\uDE4B\uDE4D\uDE4E\uDEA3\uDEB4-\uDEB6]|\uD83E[\uDD26\uDD35\uDD37-\uDD39\uDD3D\uDD3E\uDDB8\uDDB9\uDDCD-\uDDCF\uDDD4\uDDD6-\uDDDD]|\uD83D\uDC6F|\uD83E[\uDD3C\uDDDE\uDDDF]|[\u231A\u231B\u23E9-\u23EC\u23F0\u23F3\u25FD\u25FE\u2614\u2615\u2648-\u2653\u267F\u2693\u26A1\u26AA\u26AB\u26BD\u26BE\u26C4\u26C5\u26CE\u26D4\u26EA\u26F2\u26F3\u26F5\u26FA\u26FD\u2705\u2728\u274C\u274E\u2753-\u2755\u2757\u2795-\u2797\u27B0\u27BF\u2B1B\u2B1C\u2B50\u2B55]|\uD83C[\uDC04\uDCCF\uDD8E\uDD91-\uDD9A\uDE01\uDE1A\uDE2F\uDE32-\uDE36\uDE38-\uDE3A\uDE50\uDE51\uDF00-\uDF20\uDF2D-\uDF35\uDF37-\uDF7C\uDF7E-\uDF84\uDF86-\uDF93\uDFA0-\uDFC1\uDFC5\uDFC6\uDFC8\uDFC9\uDFCF-\uDFD3\uDFE0-\uDFF0\uDFF8-\uDFFF]|\uD83D[\uDC00-\uDC07\uDC09-\uDC14\uDC16-\uDC3A\uDC3C-\uDC3E\uDC40\uDC44\uDC45\uDC51-\uDC65\uDC6A\uDC79-\uDC7B\uDC7D-\uDC80\uDC84\uDC88-\uDC8E\uDC90\uDC92-\uDCA9\uDCAB-\uDCFC\uDCFF-\uDD3D\uDD4B-\uDD4E\uDD50-\uDD67\uDDA4\uDDFB-\uDE2D\uDE2F-\uDE34\uDE37-\uDE44\uDE48-\uDE4A\uDE80-\uDEA2\uDEA4-\uDEB3\uDEB7-\uDEBF\uDEC1-\uDEC5\uDED0-\uDED2\uDED5-\uDED7\uDEEB\uDEEC\uDEF4-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD0D\uDD0E\uDD10-\uDD17\uDD1D\uDD20-\uDD25\uDD27-\uDD2F\uDD3A\uDD3F-\uDD45\uDD47-\uDD76\uDD78\uDD7A-\uDDB4\uDDB7\uDDBA\uDDBC-\uDDCB\uDDD0\uDDE0-\uDDFF\uDE70-\uDE74\uDE78-\uDE7A\uDE80-\uDE86\uDE90-\uDEA8\uDEB0-\uDEB6\uDEC0-\uDEC2\uDED0-\uDED6]|(?:[\u231A\u231B\u23E9-\u23EC\u23F0\u23F3\u25FD\u25FE\u2614\u2615\u2648-\u2653\u267F\u2693\u26A1\u26AA\u26AB\u26BD\u26BE\u26C4\u26C5\u26CE\u26D4\u26EA\u26F2\u26F3\u26F5\u26FA\u26FD\u2705\u270A\u270B\u2728\u274C\u274E\u2753-\u2755\u2757\u2795-\u2797\u27B0\u27BF\u2B1B\u2B1C\u2B50\u2B55]|\uD83C[\uDC04\uDCCF\uDD8E\uDD91-\uDD9A\uDDE6-\uDDFF\uDE01\uDE1A\uDE2F\uDE32-\uDE36\uDE38-\uDE3A\uDE50\uDE51\uDF00-\uDF20\uDF2D-\uDF35\uDF37-\uDF7C\uDF7E-\uDF93\uDFA0-\uDFCA\uDFCF-\uDFD3\uDFE0-\uDFF0\uDFF4\uDFF8-\uDFFF]|\uD83D[\uDC00-\uDC3E\uDC40\uDC42-\uDCFC\uDCFF-\uDD3D\uDD4B-\uDD4E\uDD50-\uDD67\uDD7A\uDD95\uDD96\uDDA4\uDDFB-\uDE4F\uDE80-\uDEC5\uDECC\uDED0-\uDED2\uDED5-\uDED7\uDEEB\uDEEC\uDEF4-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD0C-\uDD3A\uDD3C-\uDD45\uDD47-\uDD78\uDD7A-\uDDCB\uDDCD-\uDDFF\uDE70-\uDE74\uDE78-\uDE7A\uDE80-\uDE86\uDE90-\uDEA8\uDEB0-\uDEB6\uDEC0-\uDEC2\uDED0-\uDED6])|(?:[#\*0-9\xA9\xAE\u203C\u2049\u2122\u2139\u2194-\u2199\u21A9\u21AA\u231A\u231B\u2328\u23CF\u23E9-\u23F3\u23F8-\u23FA\u24C2\u25AA\u25AB\u25B6\u25C0\u25FB-\u25FE\u2600-\u2604\u260E\u2611\u2614\u2615\u2618\u261D\u2620\u2622\u2623\u2626\u262A\u262E\u262F\u2638-\u263A\u2640\u2642\u2648-\u2653\u265F\u2660\u2663\u2665\u2666\u2668\u267B\u267E\u267F\u2692-\u2697\u2699\u269B\u269C\u26A0\u26A1\u26A7\u26AA\u26AB\u26B0\u26B1\u26BD\u26BE\u26C4\u26C5\u26C8\u26CE\u26CF\u26D1\u26D3\u26D4\u26E9\u26EA\u26F0-\u26F5\u26F7-\u26FA\u26FD\u2702\u2705\u2708-\u270D\u270F\u2712\u2714\u2716\u271D\u2721\u2728\u2733\u2734\u2744\u2747\u274C\u274E\u2753-\u2755\u2757\u2763\u2764\u2795-\u2797\u27A1\u27B0\u27BF\u2934\u2935\u2B05-\u2B07\u2B1B\u2B1C\u2B50\u2B55\u3030\u303D\u3297\u3299]|\uD83C[\uDC04\uDCCF\uDD70\uDD71\uDD7E\uDD7F\uDD8E\uDD91-\uDD9A\uDDE6-\uDDFF\uDE01\uDE02\uDE1A\uDE2F\uDE32-\uDE3A\uDE50\uDE51\uDF00-\uDF21\uDF24-\uDF93\uDF96\uDF97\uDF99-\uDF9B\uDF9E-\uDFF0\uDFF3-\uDFF5\uDFF7-\uDFFF]|\uD83D[\uDC00-\uDCFD\uDCFF-\uDD3D\uDD49-\uDD4E\uDD50-\uDD67\uDD6F\uDD70\uDD73-\uDD7A\uDD87\uDD8A-\uDD8D\uDD90\uDD95\uDD96\uDDA4\uDDA5\uDDA8\uDDB1\uDDB2\uDDBC\uDDC2-\uDDC4\uDDD1-\uDDD3\uDDDC-\uDDDE\uDDE1\uDDE3\uDDE8\uDDEF\uDDF3\uDDFA-\uDE4F\uDE80-\uDEC5\uDECB-\uDED2\uDED5-\uDED7\uDEE0-\uDEE5\uDEE9\uDEEB\uDEEC\uDEF0\uDEF3-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD0C-\uDD3A\uDD3C-\uDD45\uDD47-\uDD78\uDD7A-\uDDCB\uDDCD-\uDDFF\uDE70-\uDE74\uDE78-\uDE7A\uDE80-\uDE86\uDE90-\uDEA8\uDEB0-\uDEB6\uDEC0-\uDEC2\uDED0-\uDED6])\uFE0F|(?:[\u261D\u26F9\u270A-\u270D]|\uD83C[\uDF85\uDFC2-\uDFC4\uDFC7\uDFCA-\uDFCC]|\uD83D[\uDC42\uDC43\uDC46-\uDC50\uDC66-\uDC78\uDC7C\uDC81-\uDC83\uDC85-\uDC87\uDC8F\uDC91\uDCAA\uDD74\uDD75\uDD7A\uDD90\uDD95\uDD96\uDE45-\uDE47\uDE4B-\uDE4F\uDEA3\uDEB4-\uDEB6\uDEC0\uDECC]|\uD83E[\uDD0C\uDD0F\uDD18-\uDD1F\uDD26\uDD30-\uDD39\uDD3C-\uDD3E\uDD77\uDDB5\uDDB6\uDDB8\uDDB9\uDDBB\uDDCD-\uDDCF\uDDD1-\uDDDD])/g;
};
var FD = O(uD);
function A(t, u = {}) {
  if (typeof t != "string" || t.length === 0 || (u = { ambiguousIsNarrow: true, ...u }, t = T(t), t.length === 0))
    return 0;
  t = t.replace(FD(), "  ");
  const F = u.ambiguousIsNarrow ? 1 : 2;
  let e = 0;
  for (const s of t) {
    const i = s.codePointAt(0);
    if (i <= 31 || i >= 127 && i <= 159 || i >= 768 && i <= 879)
      continue;
    switch (DD.eastAsianWidth(s)) {
      case "F":
      case "W":
        e += 2;
        break;
      case "A":
        e += F;
        break;
      default:
        e += 1;
    }
  }
  return e;
}
var m = 10;
var L = (t = 0) => (u) => `\x1B[${u + t}m`;
var N = (t = 0) => (u) => `\x1B[${38 + t};5;${u}m`;
var I = (t = 0) => (u, F, e) => `\x1B[${38 + t};2;${u};${F};${e}m`;
var r = { modifier: { reset: [0, 0], bold: [1, 22], dim: [2, 22], italic: [3, 23], underline: [4, 24], overline: [53, 55], inverse: [7, 27], hidden: [8, 28], strikethrough: [9, 29] }, color: { black: [30, 39], red: [31, 39], green: [32, 39], yellow: [33, 39], blue: [34, 39], magenta: [35, 39], cyan: [36, 39], white: [37, 39], blackBright: [90, 39], gray: [90, 39], grey: [90, 39], redBright: [91, 39], greenBright: [92, 39], yellowBright: [93, 39], blueBright: [94, 39], magentaBright: [95, 39], cyanBright: [96, 39], whiteBright: [97, 39] }, bgColor: { bgBlack: [40, 49], bgRed: [41, 49], bgGreen: [42, 49], bgYellow: [43, 49], bgBlue: [44, 49], bgMagenta: [45, 49], bgCyan: [46, 49], bgWhite: [47, 49], bgBlackBright: [100, 49], bgGray: [100, 49], bgGrey: [100, 49], bgRedBright: [101, 49], bgGreenBright: [102, 49], bgYellowBright: [103, 49], bgBlueBright: [104, 49], bgMagentaBright: [105, 49], bgCyanBright: [106, 49], bgWhiteBright: [107, 49] } };
Object.keys(r.modifier);
var tD = Object.keys(r.color);
var eD = Object.keys(r.bgColor);
[...tD];
function sD() {
  const t = new Map;
  for (const [u, F] of Object.entries(r)) {
    for (const [e, s] of Object.entries(F))
      r[e] = { open: `\x1B[${s[0]}m`, close: `\x1B[${s[1]}m` }, F[e] = r[e], t.set(s[0], s[1]);
    Object.defineProperty(r, u, { value: F, enumerable: false });
  }
  return Object.defineProperty(r, "codes", { value: t, enumerable: false }), r.color.close = "\x1B[39m", r.bgColor.close = "\x1B[49m", r.color.ansi = L(), r.color.ansi256 = N(), r.color.ansi16m = I(), r.bgColor.ansi = L(m), r.bgColor.ansi256 = N(m), r.bgColor.ansi16m = I(m), Object.defineProperties(r, { rgbToAnsi256: { value: (u, F, e) => u === F && F === e ? u < 8 ? 16 : u > 248 ? 231 : Math.round((u - 8) / 247 * 24) + 232 : 16 + 36 * Math.round(u / 255 * 5) + 6 * Math.round(F / 255 * 5) + Math.round(e / 255 * 5), enumerable: false }, hexToRgb: { value: (u) => {
    const F = /[a-f\d]{6}|[a-f\d]{3}/i.exec(u.toString(16));
    if (!F)
      return [0, 0, 0];
    let [e] = F;
    e.length === 3 && (e = [...e].map((i) => i + i).join(""));
    const s = Number.parseInt(e, 16);
    return [s >> 16 & 255, s >> 8 & 255, s & 255];
  }, enumerable: false }, hexToAnsi256: { value: (u) => r.rgbToAnsi256(...r.hexToRgb(u)), enumerable: false }, ansi256ToAnsi: { value: (u) => {
    if (u < 8)
      return 30 + u;
    if (u < 16)
      return 90 + (u - 8);
    let F, e, s;
    if (u >= 232)
      F = ((u - 232) * 10 + 8) / 255, e = F, s = F;
    else {
      u -= 16;
      const C = u % 36;
      F = Math.floor(u / 36) / 5, e = Math.floor(C / 6) / 5, s = C % 6 / 5;
    }
    const i = Math.max(F, e, s) * 2;
    if (i === 0)
      return 30;
    let D = 30 + (Math.round(s) << 2 | Math.round(e) << 1 | Math.round(F));
    return i === 2 && (D += 60), D;
  }, enumerable: false }, rgbToAnsi: { value: (u, F, e) => r.ansi256ToAnsi(r.rgbToAnsi256(u, F, e)), enumerable: false }, hexToAnsi: { value: (u) => r.ansi256ToAnsi(r.hexToAnsi256(u)), enumerable: false } }), r;
}
var iD = sD();
var v = new Set(["\x1B", ""]);
var CD = 39;
var w = "\x07";
var W = "[";
var rD = "]";
var R = "m";
var y = `${rD}8;;`;
var V = (t) => `${v.values().next().value}${W}${t}${R}`;
var z = (t) => `${v.values().next().value}${y}${t}${w}`;
var ED = (t) => t.split(" ").map((u) => A(u));
var _ = (t, u, F) => {
  const e = [...u];
  let s = false, i = false, D = A(T(t[t.length - 1]));
  for (const [C, o] of e.entries()) {
    const E = A(o);
    if (D + E <= F ? t[t.length - 1] += o : (t.push(o), D = 0), v.has(o) && (s = true, i = e.slice(C + 1).join("").startsWith(y)), s) {
      i ? o === w && (s = false, i = false) : o === R && (s = false);
      continue;
    }
    D += E, D === F && C < e.length - 1 && (t.push(""), D = 0);
  }
  !D && t[t.length - 1].length > 0 && t.length > 1 && (t[t.length - 2] += t.pop());
};
var nD = (t) => {
  const u = t.split(" ");
  let F = u.length;
  for (;F > 0 && !(A(u[F - 1]) > 0); )
    F--;
  return F === u.length ? t : u.slice(0, F).join(" ") + u.slice(F).join("");
};
var oD = (t, u, F = {}) => {
  if (F.trim !== false && t.trim() === "")
    return "";
  let e = "", s, i;
  const D = ED(t);
  let C = [""];
  for (const [E, a] of t.split(" ").entries()) {
    F.trim !== false && (C[C.length - 1] = C[C.length - 1].trimStart());
    let n = A(C[C.length - 1]);
    if (E !== 0 && (n >= u && (F.wordWrap === false || F.trim === false) && (C.push(""), n = 0), (n > 0 || F.trim === false) && (C[C.length - 1] += " ", n++)), F.hard && D[E] > u) {
      const B = u - n, p = 1 + Math.floor((D[E] - B - 1) / u);
      Math.floor((D[E] - 1) / u) < p && C.push(""), _(C, a, u);
      continue;
    }
    if (n + D[E] > u && n > 0 && D[E] > 0) {
      if (F.wordWrap === false && n < u) {
        _(C, a, u);
        continue;
      }
      C.push("");
    }
    if (n + D[E] > u && F.wordWrap === false) {
      _(C, a, u);
      continue;
    }
    C[C.length - 1] += a;
  }
  F.trim !== false && (C = C.map((E) => nD(E)));
  const o = [...C.join(`
`)];
  for (const [E, a] of o.entries()) {
    if (e += a, v.has(a)) {
      const { groups: B } = new RegExp(`(?:\\${W}(?<code>\\d+)m|\\${y}(?<uri>.*)${w})`).exec(o.slice(E).join("")) || { groups: {} };
      if (B.code !== undefined) {
        const p = Number.parseFloat(B.code);
        s = p === CD ? undefined : p;
      } else
        B.uri !== undefined && (i = B.uri.length === 0 ? undefined : B.uri);
    }
    const n = iD.codes.get(Number(s));
    o[E + 1] === `
` ? (i && (e += z("")), s && n && (e += V(n))) : a === `
` && (s && n && (e += V(s)), i && (e += z(i)));
  }
  return e;
};
function G(t, u, F) {
  return String(t).normalize().replace(/\r\n/g, `
`).split(`
`).map((e) => oD(e, u, F)).join(`
`);
}
var aD = ["up", "down", "left", "right", "space", "enter", "cancel"];
var c = { actions: new Set(aD), aliases: new Map([["k", "up"], ["j", "down"], ["h", "left"], ["l", "right"], ["\x03", "cancel"], ["escape", "cancel"]]) };
function k(t, u) {
  if (typeof t == "string")
    return c.aliases.get(t) === u;
  for (const F of t)
    if (F !== undefined && k(F, u))
      return true;
  return false;
}
function lD(t, u) {
  if (t === u)
    return;
  const F = t.split(`
`), e = u.split(`
`), s = [];
  for (let i = 0;i < Math.max(F.length, e.length); i++)
    F[i] !== e[i] && s.push(i);
  return s;
}
var xD = globalThis.process.platform.startsWith("win");
var S = Symbol("clack:cancel");
function BD(t) {
  return t === S;
}
function d(t, u) {
  const F = t;
  F.isTTY && F.setRawMode(u);
}
function cD({ input: t = $, output: u = j, overwrite: F = true, hideCursor: e = true } = {}) {
  const s = f.createInterface({ input: t, output: u, prompt: "", tabSize: 1 });
  f.emitKeypressEvents(t, s), t.isTTY && t.setRawMode(true);
  const i = (D, { name: C, sequence: o }) => {
    const E = String(D);
    if (k([E, C, o], "cancel")) {
      e && u.write(import_sisteransi.cursor.show), process.exit(0);
      return;
    }
    if (!F)
      return;
    const a = C === "return" ? 0 : -1, n = C === "return" ? -1 : 0;
    f.moveCursor(u, a, n, () => {
      f.clearLine(u, 1, () => {
        t.once("keypress", i);
      });
    });
  };
  return e && u.write(import_sisteransi.cursor.hide), t.once("keypress", i), () => {
    t.off("keypress", i), e && u.write(import_sisteransi.cursor.show), t.isTTY && !xD && t.setRawMode(false), s.terminal = false, s.close();
  };
}
var AD = Object.defineProperty;
var pD = (t, u, F) => (u in t) ? AD(t, u, { enumerable: true, configurable: true, writable: true, value: F }) : t[u] = F;
var h = (t, u, F) => (pD(t, typeof u != "symbol" ? u + "" : u, F), F);

class x {
  constructor(u, F = true) {
    h(this, "input"), h(this, "output"), h(this, "_abortSignal"), h(this, "rl"), h(this, "opts"), h(this, "_render"), h(this, "_track", false), h(this, "_prevFrame", ""), h(this, "_subscribers", new Map), h(this, "_cursor", 0), h(this, "state", "initial"), h(this, "error", ""), h(this, "value");
    const { input: e = $, output: s = j, render: i, signal: D, ...C } = u;
    this.opts = C, this.onKeypress = this.onKeypress.bind(this), this.close = this.close.bind(this), this.render = this.render.bind(this), this._render = i.bind(this), this._track = F, this._abortSignal = D, this.input = e, this.output = s;
  }
  unsubscribe() {
    this._subscribers.clear();
  }
  setSubscriber(u, F) {
    const e = this._subscribers.get(u) ?? [];
    e.push(F), this._subscribers.set(u, e);
  }
  on(u, F) {
    this.setSubscriber(u, { cb: F });
  }
  once(u, F) {
    this.setSubscriber(u, { cb: F, once: true });
  }
  emit(u, ...F) {
    const e = this._subscribers.get(u) ?? [], s = [];
    for (const i of e)
      i.cb(...F), i.once && s.push(() => e.splice(e.indexOf(i), 1));
    for (const i of s)
      i();
  }
  prompt() {
    return new Promise((u, F) => {
      if (this._abortSignal) {
        if (this._abortSignal.aborted)
          return this.state = "cancel", this.close(), u(S);
        this._abortSignal.addEventListener("abort", () => {
          this.state = "cancel", this.close();
        }, { once: true });
      }
      const e = new U(0);
      e._write = (s, i, D) => {
        this._track && (this.value = this.rl?.line.replace(/\t/g, ""), this._cursor = this.rl?.cursor ?? 0, this.emit("value", this.value)), D();
      }, this.input.pipe(e), this.rl = M.createInterface({ input: this.input, output: e, tabSize: 2, prompt: "", escapeCodeTimeout: 50 }), M.emitKeypressEvents(this.input, this.rl), this.rl.prompt(), this.opts.initialValue !== undefined && this._track && this.rl.write(this.opts.initialValue), this.input.on("keypress", this.onKeypress), d(this.input, true), this.output.on("resize", this.render), this.render(), this.once("submit", () => {
        this.output.write(import_sisteransi.cursor.show), this.output.off("resize", this.render), d(this.input, false), u(this.value);
      }), this.once("cancel", () => {
        this.output.write(import_sisteransi.cursor.show), this.output.off("resize", this.render), d(this.input, false), u(S);
      });
    });
  }
  onKeypress(u, F) {
    if (this.state === "error" && (this.state = "active"), F?.name && (!this._track && c.aliases.has(F.name) && this.emit("cursor", c.aliases.get(F.name)), c.actions.has(F.name) && this.emit("cursor", F.name)), u && (u.toLowerCase() === "y" || u.toLowerCase() === "n") && this.emit("confirm", u.toLowerCase() === "y"), u === "\t" && this.opts.placeholder && (this.value || (this.rl?.write(this.opts.placeholder), this.emit("value", this.opts.placeholder))), u && this.emit("key", u.toLowerCase()), F?.name === "return") {
      if (this.opts.validate) {
        const e = this.opts.validate(this.value);
        e && (this.error = e instanceof Error ? e.message : e, this.state = "error", this.rl?.write(this.value));
      }
      this.state !== "error" && (this.state = "submit");
    }
    k([u, F?.name, F?.sequence], "cancel") && (this.state = "cancel"), (this.state === "submit" || this.state === "cancel") && this.emit("finalize"), this.render(), (this.state === "submit" || this.state === "cancel") && this.close();
  }
  close() {
    this.input.unpipe(), this.input.removeListener("keypress", this.onKeypress), this.output.write(`
`), d(this.input, false), this.rl?.close(), this.rl = undefined, this.emit(`${this.state}`, this.value), this.unsubscribe();
  }
  restoreCursor() {
    const u = G(this._prevFrame, process.stdout.columns, { hard: true }).split(`
`).length - 1;
    this.output.write(import_sisteransi.cursor.move(-999, u * -1));
  }
  render() {
    const u = G(this._render(this) ?? "", process.stdout.columns, { hard: true });
    if (u !== this._prevFrame) {
      if (this.state === "initial")
        this.output.write(import_sisteransi.cursor.hide);
      else {
        const F = lD(this._prevFrame, u);
        if (this.restoreCursor(), F && F?.length === 1) {
          const e = F[0];
          this.output.write(import_sisteransi.cursor.move(0, e)), this.output.write(import_sisteransi.erase.lines(1));
          const s = u.split(`
`);
          this.output.write(s[e]), this._prevFrame = u, this.output.write(import_sisteransi.cursor.move(0, s.length - e - 1));
          return;
        }
        if (F && F?.length > 1) {
          const e = F[0];
          this.output.write(import_sisteransi.cursor.move(0, e)), this.output.write(import_sisteransi.erase.down());
          const s = u.split(`
`).slice(e);
          this.output.write(s.join(`
`)), this._prevFrame = u;
          return;
        }
        this.output.write(import_sisteransi.erase.down());
      }
      this.output.write(u), this.state === "initial" && (this.state = "active"), this._prevFrame = u;
    }
  }
}
var SD = Object.defineProperty;
var $D = (t, u, F) => (u in t) ? SD(t, u, { enumerable: true, configurable: true, writable: true, value: F }) : t[u] = F;
var q = (t, u, F) => ($D(t, typeof u != "symbol" ? u + "" : u, F), F);

class jD extends x {
  constructor(u) {
    super(u, false), q(this, "options"), q(this, "cursor", 0), this.options = u.options, this.cursor = this.options.findIndex(({ value: F }) => F === u.initialValue), this.cursor === -1 && (this.cursor = 0), this.changeValue(), this.on("cursor", (F) => {
      switch (F) {
        case "left":
        case "up":
          this.cursor = this.cursor === 0 ? this.options.length - 1 : this.cursor - 1;
          break;
        case "down":
        case "right":
          this.cursor = this.cursor === this.options.length - 1 ? 0 : this.cursor + 1;
          break;
      }
      this.changeValue();
    });
  }
  get _value() {
    return this.options[this.cursor];
  }
  changeValue() {
    this.value = this._value.value;
  }
}
class PD extends x {
  get valueWithCursor() {
    if (this.state === "submit")
      return this.value;
    if (this.cursor >= this.value.length)
      return `${this.value}█`;
    const u = this.value.slice(0, this.cursor), [F, ...e] = this.value.slice(this.cursor);
    return `${u}${import_picocolors.default.inverse(F)}${e.join("")}`;
  }
  get cursor() {
    return this._cursor;
  }
  constructor(u) {
    super(u), this.on("finalize", () => {
      this.value || (this.value = u.defaultValue);
    });
  }
}

// node_modules/@clack/prompts/dist/index.mjs
var import_picocolors2 = __toESM(require_picocolors(), 1);
var import_sisteransi2 = __toESM(require_src(), 1);
import g2 from "node:process";
function ce() {
  return g2.platform !== "win32" ? g2.env.TERM !== "linux" : !!g2.env.CI || !!g2.env.WT_SESSION || !!g2.env.TERMINUS_SUBLIME || g2.env.ConEmuTask === "{cmd::Cmder}" || g2.env.TERM_PROGRAM === "Terminus-Sublime" || g2.env.TERM_PROGRAM === "vscode" || g2.env.TERM === "xterm-256color" || g2.env.TERM === "alacritty" || g2.env.TERMINAL_EMULATOR === "JetBrains-JediTerm";
}
var V2 = ce();
var u = (t, n) => V2 ? t : n;
var le = u("◆", "*");
var L2 = u("■", "x");
var W2 = u("▲", "x");
var C = u("◇", "o");
var ue = u("┌", "T");
var o = u("│", "|");
var d2 = u("└", "—");
var k2 = u("●", ">");
var P2 = u("○", " ");
var A2 = u("◻", "[•]");
var T2 = u("◼", "[+]");
var F = u("◻", "[ ]");
var $e = u("▪", "•");
var _2 = u("─", "-");
var me = u("╮", "+");
var de = u("├", "+");
var pe = u("╯", "+");
var q2 = u("●", "•");
var D = u("◆", "*");
var U2 = u("▲", "!");
var K = u("■", "x");
var w2 = (t) => {
  switch (t) {
    case "initial":
    case "active":
      return import_picocolors2.default.cyan(le);
    case "cancel":
      return import_picocolors2.default.red(L2);
    case "error":
      return import_picocolors2.default.yellow(W2);
    case "submit":
      return import_picocolors2.default.green(C);
  }
};
var B = (t) => {
  const { cursor: n, options: s, style: r2 } = t, i = t.maxItems ?? Number.POSITIVE_INFINITY, a = Math.max(process.stdout.rows - 4, 0), c2 = Math.min(a, Math.max(i, 5));
  let l2 = 0;
  n >= l2 + c2 - 3 ? l2 = Math.max(Math.min(n - c2 + 3, s.length - c2), 0) : n < l2 + 2 && (l2 = Math.max(n - 2, 0));
  const $2 = c2 < s.length && l2 > 0, p = c2 < s.length && l2 + c2 < s.length;
  return s.slice(l2, l2 + c2).map((M2, v2, x2) => {
    const j2 = v2 === 0 && $2, E = v2 === x2.length - 1 && p;
    return j2 || E ? import_picocolors2.default.dim("...") : r2(M2, v2 + l2 === n);
  });
};
var he = (t) => new PD({ validate: t.validate, placeholder: t.placeholder, defaultValue: t.defaultValue, initialValue: t.initialValue, render() {
  const n = `${import_picocolors2.default.gray(o)}
${w2(this.state)}  ${t.message}
`, s = t.placeholder ? import_picocolors2.default.inverse(t.placeholder[0]) + import_picocolors2.default.dim(t.placeholder.slice(1)) : import_picocolors2.default.inverse(import_picocolors2.default.hidden("_")), r2 = this.value ? this.valueWithCursor : s;
  switch (this.state) {
    case "error":
      return `${n.trim()}
${import_picocolors2.default.yellow(o)}  ${r2}
${import_picocolors2.default.yellow(d2)}  ${import_picocolors2.default.yellow(this.error)}
`;
    case "submit":
      return `${n}${import_picocolors2.default.gray(o)}  ${import_picocolors2.default.dim(this.value || t.placeholder)}`;
    case "cancel":
      return `${n}${import_picocolors2.default.gray(o)}  ${import_picocolors2.default.strikethrough(import_picocolors2.default.dim(this.value ?? ""))}${this.value?.trim() ? `
${import_picocolors2.default.gray(o)}` : ""}`;
    default:
      return `${n}${import_picocolors2.default.cyan(o)}  ${r2}
${import_picocolors2.default.cyan(d2)}
`;
  }
} }).prompt();
var ve = (t) => {
  const n = (s, r2) => {
    const i = s.label ?? String(s.value);
    switch (r2) {
      case "selected":
        return `${import_picocolors2.default.dim(i)}`;
      case "active":
        return `${import_picocolors2.default.green(k2)} ${i} ${s.hint ? import_picocolors2.default.dim(`(${s.hint})`) : ""}`;
      case "cancelled":
        return `${import_picocolors2.default.strikethrough(import_picocolors2.default.dim(i))}`;
      default:
        return `${import_picocolors2.default.dim(P2)} ${import_picocolors2.default.dim(i)}`;
    }
  };
  return new jD({ options: t.options, initialValue: t.initialValue, render() {
    const s = `${import_picocolors2.default.gray(o)}
${w2(this.state)}  ${t.message}
`;
    switch (this.state) {
      case "submit":
        return `${s}${import_picocolors2.default.gray(o)}  ${n(this.options[this.cursor], "selected")}`;
      case "cancel":
        return `${s}${import_picocolors2.default.gray(o)}  ${n(this.options[this.cursor], "cancelled")}
${import_picocolors2.default.gray(o)}`;
      default:
        return `${s}${import_picocolors2.default.cyan(o)}  ${B({ cursor: this.cursor, options: this.options, maxItems: t.maxItems, style: (r2, i) => n(r2, i ? "active" : "inactive") }).join(`
${import_picocolors2.default.cyan(o)}  `)}
${import_picocolors2.default.cyan(d2)}
`;
    }
  } }).prompt();
};
var Me = (t = "", n = "") => {
  const s = `
${t}
`.split(`
`), r2 = S2(n).length, i = Math.max(s.reduce((c2, l2) => {
    const $2 = S2(l2);
    return $2.length > c2 ? $2.length : c2;
  }, 0), r2) + 2, a = s.map((c2) => `${import_picocolors2.default.gray(o)}  ${import_picocolors2.default.dim(c2)}${" ".repeat(i - S2(c2).length)}${import_picocolors2.default.gray(o)}`).join(`
`);
  process.stdout.write(`${import_picocolors2.default.gray(o)}
${import_picocolors2.default.green(C)}  ${import_picocolors2.default.reset(n)} ${import_picocolors2.default.gray(_2.repeat(Math.max(i - r2 - 1, 1)) + me)}
${a}
${import_picocolors2.default.gray(de + _2.repeat(i + 2) + pe)}
`);
};
var xe = (t = "") => {
  process.stdout.write(`${import_picocolors2.default.gray(d2)}  ${import_picocolors2.default.red(t)}

`);
};
var Ie = (t = "") => {
  process.stdout.write(`${import_picocolors2.default.gray(ue)}  ${t}
`);
};
var Se = (t = "") => {
  process.stdout.write(`${import_picocolors2.default.gray(o)}
${import_picocolors2.default.gray(d2)}  ${t}

`);
};
var J2 = `${import_picocolors2.default.gray(o)}  `;
var Y = ({ indicator: t = "dots" } = {}) => {
  const n = V2 ? ["◒", "◐", "◓", "◑"] : ["•", "o", "O", "0"], s = V2 ? 80 : 120, r2 = process.env.CI === "true";
  let i, a, c2 = false, l2 = "", $2, p = performance.now();
  const M2 = (m2) => {
    const h2 = m2 > 1 ? "Something went wrong" : "Canceled";
    c2 && N2(h2, m2);
  }, v2 = () => M2(2), x2 = () => M2(1), j2 = () => {
    process.on("uncaughtExceptionMonitor", v2), process.on("unhandledRejection", v2), process.on("SIGINT", x2), process.on("SIGTERM", x2), process.on("exit", M2);
  }, E = () => {
    process.removeListener("uncaughtExceptionMonitor", v2), process.removeListener("unhandledRejection", v2), process.removeListener("SIGINT", x2), process.removeListener("SIGTERM", x2), process.removeListener("exit", M2);
  }, O2 = () => {
    if ($2 === undefined)
      return;
    r2 && process.stdout.write(`
`);
    const m2 = $2.split(`
`);
    process.stdout.write(import_sisteransi2.cursor.move(-999, m2.length - 1)), process.stdout.write(import_sisteransi2.erase.down(m2.length));
  }, R2 = (m2) => m2.replace(/\.+$/, ""), G2 = (m2) => {
    const h2 = (performance.now() - m2) / 1000, y2 = Math.floor(h2 / 60), I2 = Math.floor(h2 % 60);
    return y2 > 0 ? `[${y2}m ${I2}s]` : `[${I2}s]`;
  }, H = (m2 = "") => {
    c2 = true, i = cD(), l2 = R2(m2), p = performance.now(), process.stdout.write(`${import_picocolors2.default.gray(o)}
`);
    let h2 = 0, y2 = 0;
    j2(), a = setInterval(() => {
      if (r2 && l2 === $2)
        return;
      O2(), $2 = l2;
      const I2 = import_picocolors2.default.magenta(n[h2]);
      if (r2)
        process.stdout.write(`${I2}  ${l2}...`);
      else if (t === "timer")
        process.stdout.write(`${I2}  ${l2} ${G2(p)}`);
      else {
        const z2 = ".".repeat(Math.floor(y2)).slice(0, 3);
        process.stdout.write(`${I2}  ${l2}${z2}`);
      }
      h2 = h2 + 1 < n.length ? h2 + 1 : 0, y2 = y2 < n.length ? y2 + 0.125 : 0;
    }, s);
  }, N2 = (m2 = "", h2 = 0) => {
    c2 = false, clearInterval(a), O2();
    const y2 = h2 === 0 ? import_picocolors2.default.green(C) : h2 === 1 ? import_picocolors2.default.red(L2) : import_picocolors2.default.red(W2);
    l2 = R2(m2 ?? l2), t === "timer" ? process.stdout.write(`${y2}  ${l2} ${G2(p)}
`) : process.stdout.write(`${y2}  ${l2}
`), E(), i();
  };
  return { start: H, stop: N2, message: (m2 = "") => {
    l2 = R2(m2 ?? l2);
  } };
};

// index.ts
var import_picocolors3 = __toESM(require_picocolors(), 1);
import * as fs from "fs/promises";
import * as path from "path";

// node_modules/@vercel/sdk/esm/lib/url.js
var hasOwn = Object.prototype.hasOwnProperty;
function pathToFunc(pathPattern, options) {
  const paramRE = /\{([a-zA-Z0-9_]+?)\}/g;
  return function buildURLPath(params = {}) {
    return pathPattern.replace(paramRE, function(_3, placeholder) {
      if (!hasOwn.call(params, placeholder)) {
        throw new Error(`Parameter '${placeholder}' is required`);
      }
      const value = params[placeholder];
      if (typeof value !== "string" && typeof value !== "number") {
        throw new Error(`Parameter '${placeholder}' must be a string or number`);
      }
      return options?.charEncoding === "percent" ? encodeURIComponent(`${value}`) : `${value}`;
    });
  };
}

// node_modules/@vercel/sdk/esm/lib/config.js
var ServerList = [
  "https://api.vercel.com"
];
function serverURLFromOptions(options) {
  let serverURL = options.serverURL;
  const params = {};
  if (!serverURL) {
    const serverIdx = options.serverIdx ?? 0;
    if (serverIdx < 0 || serverIdx >= ServerList.length) {
      throw new Error(`Invalid server index ${serverIdx}`);
    }
    serverURL = ServerList[serverIdx] || "";
  }
  const u2 = pathToFunc(serverURL)(params);
  return new URL(u2);
}
var SDK_METADATA = {
  language: "typescript",
  openapiDocVersion: "0.0.1",
  sdkVersion: "1.3.1",
  genVersion: "2.493.32",
  userAgent: "speakeasy-sdk/typescript 1.3.1 2.493.32 0.0.1 @vercel/sdk"
};

// node_modules/@vercel/sdk/esm/hooks/registration.js
function initHooks(hooks) {
}

// node_modules/@vercel/sdk/esm/hooks/hooks.js
class SDKHooks {
  constructor() {
    this.sdkInitHooks = [];
    this.beforeCreateRequestHooks = [];
    this.beforeRequestHooks = [];
    this.afterSuccessHooks = [];
    this.afterErrorHooks = [];
    const presetHooks = [];
    for (const hook of presetHooks) {
      if ("sdkInit" in hook) {
        this.registerSDKInitHook(hook);
      }
      if ("beforeCreateRequest" in hook) {
        this.registerBeforeCreateRequestHook(hook);
      }
      if ("beforeRequest" in hook) {
        this.registerBeforeRequestHook(hook);
      }
      if ("afterSuccess" in hook) {
        this.registerAfterSuccessHook(hook);
      }
      if ("afterError" in hook) {
        this.registerAfterErrorHook(hook);
      }
    }
    initHooks(this);
  }
  registerSDKInitHook(hook) {
    this.sdkInitHooks.push(hook);
  }
  registerBeforeCreateRequestHook(hook) {
    this.beforeCreateRequestHooks.push(hook);
  }
  registerBeforeRequestHook(hook) {
    this.beforeRequestHooks.push(hook);
  }
  registerAfterSuccessHook(hook) {
    this.afterSuccessHooks.push(hook);
  }
  registerAfterErrorHook(hook) {
    this.afterErrorHooks.push(hook);
  }
  sdkInit(opts) {
    return this.sdkInitHooks.reduce((opts2, hook) => hook.sdkInit(opts2), opts);
  }
  beforeCreateRequest(hookCtx, input) {
    let inp = input;
    for (const hook of this.beforeCreateRequestHooks) {
      inp = hook.beforeCreateRequest(hookCtx, inp);
    }
    return inp;
  }
  async beforeRequest(hookCtx, request) {
    let req = request;
    for (const hook of this.beforeRequestHooks) {
      req = await hook.beforeRequest(hookCtx, req);
    }
    return req;
  }
  async afterSuccess(hookCtx, response) {
    let res = response;
    for (const hook of this.afterSuccessHooks) {
      res = await hook.afterSuccess(hookCtx, res);
    }
    return res;
  }
  async afterError(hookCtx, response, error) {
    let res = response;
    let err = error;
    for (const hook of this.afterErrorHooks) {
      const result = await hook.afterError(hookCtx, res, err);
      res = result.response;
      err = result.error;
    }
    return { response: res, error: err };
  }
}

// node_modules/@vercel/sdk/esm/models/httpclienterrors.js
class HTTPClientError extends Error {
  constructor(message, opts) {
    let msg = message;
    if (opts?.cause) {
      msg += `: ${opts.cause}`;
    }
    super(msg, opts);
    this.name = "HTTPClientError";
    if (typeof this.cause === "undefined") {
      this.cause = opts?.cause;
    }
  }
}

class UnexpectedClientError extends HTTPClientError {
  constructor() {
    super(...arguments);
    this.name = "UnexpectedClientError";
  }
}

class InvalidRequestError extends HTTPClientError {
  constructor() {
    super(...arguments);
    this.name = "InvalidRequestError";
  }
}

class RequestAbortedError extends HTTPClientError {
  constructor() {
    super(...arguments);
    this.name = "RequestAbortedError";
  }
}

class RequestTimeoutError extends HTTPClientError {
  constructor() {
    super(...arguments);
    this.name = "RequestTimeoutError";
  }
}

class ConnectionError extends HTTPClientError {
  constructor() {
    super(...arguments);
    this.name = "ConnectionError";
  }
}

// node_modules/@vercel/sdk/esm/types/fp.js
function OK(value) {
  return { ok: true, value };
}
function ERR(error) {
  return { ok: false, error };
}
async function unwrapAsync(pr) {
  const r2 = await pr;
  if (!r2.ok) {
    throw r2.error;
  }
  return r2.value;
}

// node_modules/zod/lib/index.mjs
var util;
(function(util2) {
  util2.assertEqual = (val) => val;
  function assertIs(_arg) {
  }
  util2.assertIs = assertIs;
  function assertNever(_x) {
    throw new Error;
  }
  util2.assertNever = assertNever;
  util2.arrayToEnum = (items) => {
    const obj = {};
    for (const item of items) {
      obj[item] = item;
    }
    return obj;
  };
  util2.getValidEnumValues = (obj) => {
    const validKeys = util2.objectKeys(obj).filter((k3) => typeof obj[obj[k3]] !== "number");
    const filtered = {};
    for (const k3 of validKeys) {
      filtered[k3] = obj[k3];
    }
    return util2.objectValues(filtered);
  };
  util2.objectValues = (obj) => {
    return util2.objectKeys(obj).map(function(e2) {
      return obj[e2];
    });
  };
  util2.objectKeys = typeof Object.keys === "function" ? (obj) => Object.keys(obj) : (object) => {
    const keys = [];
    for (const key in object) {
      if (Object.prototype.hasOwnProperty.call(object, key)) {
        keys.push(key);
      }
    }
    return keys;
  };
  util2.find = (arr, checker) => {
    for (const item of arr) {
      if (checker(item))
        return item;
    }
    return;
  };
  util2.isInteger = typeof Number.isInteger === "function" ? (val) => Number.isInteger(val) : (val) => typeof val === "number" && isFinite(val) && Math.floor(val) === val;
  function joinValues(array, separator = " | ") {
    return array.map((val) => typeof val === "string" ? `'${val}'` : val).join(separator);
  }
  util2.joinValues = joinValues;
  util2.jsonStringifyReplacer = (_3, value) => {
    if (typeof value === "bigint") {
      return value.toString();
    }
    return value;
  };
})(util || (util = {}));
var objectUtil;
(function(objectUtil2) {
  objectUtil2.mergeShapes = (first, second) => {
    return {
      ...first,
      ...second
    };
  };
})(objectUtil || (objectUtil = {}));
var ZodParsedType = util.arrayToEnum([
  "string",
  "nan",
  "number",
  "integer",
  "float",
  "boolean",
  "date",
  "bigint",
  "symbol",
  "function",
  "undefined",
  "null",
  "array",
  "object",
  "unknown",
  "promise",
  "void",
  "never",
  "map",
  "set"
]);
var getParsedType = (data) => {
  const t = typeof data;
  switch (t) {
    case "undefined":
      return ZodParsedType.undefined;
    case "string":
      return ZodParsedType.string;
    case "number":
      return isNaN(data) ? ZodParsedType.nan : ZodParsedType.number;
    case "boolean":
      return ZodParsedType.boolean;
    case "function":
      return ZodParsedType.function;
    case "bigint":
      return ZodParsedType.bigint;
    case "symbol":
      return ZodParsedType.symbol;
    case "object":
      if (Array.isArray(data)) {
        return ZodParsedType.array;
      }
      if (data === null) {
        return ZodParsedType.null;
      }
      if (data.then && typeof data.then === "function" && data.catch && typeof data.catch === "function") {
        return ZodParsedType.promise;
      }
      if (typeof Map !== "undefined" && data instanceof Map) {
        return ZodParsedType.map;
      }
      if (typeof Set !== "undefined" && data instanceof Set) {
        return ZodParsedType.set;
      }
      if (typeof Date !== "undefined" && data instanceof Date) {
        return ZodParsedType.date;
      }
      return ZodParsedType.object;
    default:
      return ZodParsedType.unknown;
  }
};
var ZodIssueCode = util.arrayToEnum([
  "invalid_type",
  "invalid_literal",
  "custom",
  "invalid_union",
  "invalid_union_discriminator",
  "invalid_enum_value",
  "unrecognized_keys",
  "invalid_arguments",
  "invalid_return_type",
  "invalid_date",
  "invalid_string",
  "too_small",
  "too_big",
  "invalid_intersection_types",
  "not_multiple_of",
  "not_finite"
]);
class ZodError extends Error {
  get errors() {
    return this.issues;
  }
  constructor(issues) {
    super();
    this.issues = [];
    this.addIssue = (sub) => {
      this.issues = [...this.issues, sub];
    };
    this.addIssues = (subs = []) => {
      this.issues = [...this.issues, ...subs];
    };
    const actualProto = new.target.prototype;
    if (Object.setPrototypeOf) {
      Object.setPrototypeOf(this, actualProto);
    } else {
      this.__proto__ = actualProto;
    }
    this.name = "ZodError";
    this.issues = issues;
  }
  format(_mapper) {
    const mapper = _mapper || function(issue) {
      return issue.message;
    };
    const fieldErrors = { _errors: [] };
    const processError = (error) => {
      for (const issue of error.issues) {
        if (issue.code === "invalid_union") {
          issue.unionErrors.map(processError);
        } else if (issue.code === "invalid_return_type") {
          processError(issue.returnTypeError);
        } else if (issue.code === "invalid_arguments") {
          processError(issue.argumentsError);
        } else if (issue.path.length === 0) {
          fieldErrors._errors.push(mapper(issue));
        } else {
          let curr = fieldErrors;
          let i = 0;
          while (i < issue.path.length) {
            const el = issue.path[i];
            const terminal = i === issue.path.length - 1;
            if (!terminal) {
              curr[el] = curr[el] || { _errors: [] };
            } else {
              curr[el] = curr[el] || { _errors: [] };
              curr[el]._errors.push(mapper(issue));
            }
            curr = curr[el];
            i++;
          }
        }
      }
    };
    processError(this);
    return fieldErrors;
  }
  static assert(value) {
    if (!(value instanceof ZodError)) {
      throw new Error(`Not a ZodError: ${value}`);
    }
  }
  toString() {
    return this.message;
  }
  get message() {
    return JSON.stringify(this.issues, util.jsonStringifyReplacer, 2);
  }
  get isEmpty() {
    return this.issues.length === 0;
  }
  flatten(mapper = (issue) => issue.message) {
    const fieldErrors = {};
    const formErrors = [];
    for (const sub of this.issues) {
      if (sub.path.length > 0) {
        fieldErrors[sub.path[0]] = fieldErrors[sub.path[0]] || [];
        fieldErrors[sub.path[0]].push(mapper(sub));
      } else {
        formErrors.push(mapper(sub));
      }
    }
    return { formErrors, fieldErrors };
  }
  get formErrors() {
    return this.flatten();
  }
}
ZodError.create = (issues) => {
  const error = new ZodError(issues);
  return error;
};
var errorMap = (issue, _ctx) => {
  let message;
  switch (issue.code) {
    case ZodIssueCode.invalid_type:
      if (issue.received === ZodParsedType.undefined) {
        message = "Required";
      } else {
        message = `Expected ${issue.expected}, received ${issue.received}`;
      }
      break;
    case ZodIssueCode.invalid_literal:
      message = `Invalid literal value, expected ${JSON.stringify(issue.expected, util.jsonStringifyReplacer)}`;
      break;
    case ZodIssueCode.unrecognized_keys:
      message = `Unrecognized key(s) in object: ${util.joinValues(issue.keys, ", ")}`;
      break;
    case ZodIssueCode.invalid_union:
      message = `Invalid input`;
      break;
    case ZodIssueCode.invalid_union_discriminator:
      message = `Invalid discriminator value. Expected ${util.joinValues(issue.options)}`;
      break;
    case ZodIssueCode.invalid_enum_value:
      message = `Invalid enum value. Expected ${util.joinValues(issue.options)}, received '${issue.received}'`;
      break;
    case ZodIssueCode.invalid_arguments:
      message = `Invalid function arguments`;
      break;
    case ZodIssueCode.invalid_return_type:
      message = `Invalid function return type`;
      break;
    case ZodIssueCode.invalid_date:
      message = `Invalid date`;
      break;
    case ZodIssueCode.invalid_string:
      if (typeof issue.validation === "object") {
        if ("includes" in issue.validation) {
          message = `Invalid input: must include "${issue.validation.includes}"`;
          if (typeof issue.validation.position === "number") {
            message = `${message} at one or more positions greater than or equal to ${issue.validation.position}`;
          }
        } else if ("startsWith" in issue.validation) {
          message = `Invalid input: must start with "${issue.validation.startsWith}"`;
        } else if ("endsWith" in issue.validation) {
          message = `Invalid input: must end with "${issue.validation.endsWith}"`;
        } else {
          util.assertNever(issue.validation);
        }
      } else if (issue.validation !== "regex") {
        message = `Invalid ${issue.validation}`;
      } else {
        message = "Invalid";
      }
      break;
    case ZodIssueCode.too_small:
      if (issue.type === "array")
        message = `Array must contain ${issue.exact ? "exactly" : issue.inclusive ? `at least` : `more than`} ${issue.minimum} element(s)`;
      else if (issue.type === "string")
        message = `String must contain ${issue.exact ? "exactly" : issue.inclusive ? `at least` : `over`} ${issue.minimum} character(s)`;
      else if (issue.type === "number")
        message = `Number must be ${issue.exact ? `exactly equal to ` : issue.inclusive ? `greater than or equal to ` : `greater than `}${issue.minimum}`;
      else if (issue.type === "date")
        message = `Date must be ${issue.exact ? `exactly equal to ` : issue.inclusive ? `greater than or equal to ` : `greater than `}${new Date(Number(issue.minimum))}`;
      else
        message = "Invalid input";
      break;
    case ZodIssueCode.too_big:
      if (issue.type === "array")
        message = `Array must contain ${issue.exact ? `exactly` : issue.inclusive ? `at most` : `less than`} ${issue.maximum} element(s)`;
      else if (issue.type === "string")
        message = `String must contain ${issue.exact ? `exactly` : issue.inclusive ? `at most` : `under`} ${issue.maximum} character(s)`;
      else if (issue.type === "number")
        message = `Number must be ${issue.exact ? `exactly` : issue.inclusive ? `less than or equal to` : `less than`} ${issue.maximum}`;
      else if (issue.type === "bigint")
        message = `BigInt must be ${issue.exact ? `exactly` : issue.inclusive ? `less than or equal to` : `less than`} ${issue.maximum}`;
      else if (issue.type === "date")
        message = `Date must be ${issue.exact ? `exactly` : issue.inclusive ? `smaller than or equal to` : `smaller than`} ${new Date(Number(issue.maximum))}`;
      else
        message = "Invalid input";
      break;
    case ZodIssueCode.custom:
      message = `Invalid input`;
      break;
    case ZodIssueCode.invalid_intersection_types:
      message = `Intersection results could not be merged`;
      break;
    case ZodIssueCode.not_multiple_of:
      message = `Number must be a multiple of ${issue.multipleOf}`;
      break;
    case ZodIssueCode.not_finite:
      message = "Number must be finite";
      break;
    default:
      message = _ctx.defaultError;
      util.assertNever(issue);
  }
  return { message };
};
var overrideErrorMap = errorMap;
function getErrorMap() {
  return overrideErrorMap;
}
var makeIssue = (params) => {
  const { data, path, errorMaps, issueData } = params;
  const fullPath = [...path, ...issueData.path || []];
  const fullIssue = {
    ...issueData,
    path: fullPath
  };
  if (issueData.message !== undefined) {
    return {
      ...issueData,
      path: fullPath,
      message: issueData.message
    };
  }
  let errorMessage = "";
  const maps = errorMaps.filter((m2) => !!m2).slice().reverse();
  for (const map of maps) {
    errorMessage = map(fullIssue, { data, defaultError: errorMessage }).message;
  }
  return {
    ...issueData,
    path: fullPath,
    message: errorMessage
  };
};
function addIssueToContext(ctx, issueData) {
  const overrideMap = getErrorMap();
  const issue = makeIssue({
    issueData,
    data: ctx.data,
    path: ctx.path,
    errorMaps: [
      ctx.common.contextualErrorMap,
      ctx.schemaErrorMap,
      overrideMap,
      overrideMap === errorMap ? undefined : errorMap
    ].filter((x2) => !!x2)
  });
  ctx.common.issues.push(issue);
}

class ParseStatus {
  constructor() {
    this.value = "valid";
  }
  dirty() {
    if (this.value === "valid")
      this.value = "dirty";
  }
  abort() {
    if (this.value !== "aborted")
      this.value = "aborted";
  }
  static mergeArray(status, results) {
    const arrayValue = [];
    for (const s of results) {
      if (s.status === "aborted")
        return INVALID;
      if (s.status === "dirty")
        status.dirty();
      arrayValue.push(s.value);
    }
    return { status: status.value, value: arrayValue };
  }
  static async mergeObjectAsync(status, pairs) {
    const syncPairs = [];
    for (const pair of pairs) {
      const key = await pair.key;
      const value = await pair.value;
      syncPairs.push({
        key,
        value
      });
    }
    return ParseStatus.mergeObjectSync(status, syncPairs);
  }
  static mergeObjectSync(status, pairs) {
    const finalObject = {};
    for (const pair of pairs) {
      const { key, value } = pair;
      if (key.status === "aborted")
        return INVALID;
      if (value.status === "aborted")
        return INVALID;
      if (key.status === "dirty")
        status.dirty();
      if (value.status === "dirty")
        status.dirty();
      if (key.value !== "__proto__" && (typeof value.value !== "undefined" || pair.alwaysSet)) {
        finalObject[key.value] = value.value;
      }
    }
    return { status: status.value, value: finalObject };
  }
}
var INVALID = Object.freeze({
  status: "aborted"
});
var DIRTY = (value) => ({ status: "dirty", value });
var OK2 = (value) => ({ status: "valid", value });
var isAborted = (x2) => x2.status === "aborted";
var isDirty = (x2) => x2.status === "dirty";
var isValid = (x2) => x2.status === "valid";
var isAsync = (x2) => typeof Promise !== "undefined" && x2 instanceof Promise;
function __classPrivateFieldGet(receiver, state, kind, f2) {
  if (kind === "a" && !f2)
    throw new TypeError("Private accessor was defined without a getter");
  if (typeof state === "function" ? receiver !== state || !f2 : !state.has(receiver))
    throw new TypeError("Cannot read private member from an object whose class did not declare it");
  return kind === "m" ? f2 : kind === "a" ? f2.call(receiver) : f2 ? f2.value : state.get(receiver);
}
function __classPrivateFieldSet(receiver, state, value, kind, f2) {
  if (kind === "m")
    throw new TypeError("Private method is not writable");
  if (kind === "a" && !f2)
    throw new TypeError("Private accessor was defined without a setter");
  if (typeof state === "function" ? receiver !== state || !f2 : !state.has(receiver))
    throw new TypeError("Cannot write private member to an object whose class did not declare it");
  return kind === "a" ? f2.call(receiver, value) : f2 ? f2.value = value : state.set(receiver, value), value;
}
var errorUtil;
(function(errorUtil2) {
  errorUtil2.errToObj = (message) => typeof message === "string" ? { message } : message || {};
  errorUtil2.toString = (message) => typeof message === "string" ? message : message === null || message === undefined ? undefined : message.message;
})(errorUtil || (errorUtil = {}));
var _ZodEnum_cache;
var _ZodNativeEnum_cache;

class ParseInputLazyPath {
  constructor(parent, value, path, key) {
    this._cachedPath = [];
    this.parent = parent;
    this.data = value;
    this._path = path;
    this._key = key;
  }
  get path() {
    if (!this._cachedPath.length) {
      if (this._key instanceof Array) {
        this._cachedPath.push(...this._path, ...this._key);
      } else {
        this._cachedPath.push(...this._path, this._key);
      }
    }
    return this._cachedPath;
  }
}
var handleResult = (ctx, result) => {
  if (isValid(result)) {
    return { success: true, data: result.value };
  } else {
    if (!ctx.common.issues.length) {
      throw new Error("Validation failed but no issues detected.");
    }
    return {
      success: false,
      get error() {
        if (this._error)
          return this._error;
        const error = new ZodError(ctx.common.issues);
        this._error = error;
        return this._error;
      }
    };
  }
};
function processCreateParams(params) {
  if (!params)
    return {};
  const { errorMap: errorMap2, invalid_type_error, required_error, description } = params;
  if (errorMap2 && (invalid_type_error || required_error)) {
    throw new Error(`Can't use "invalid_type_error" or "required_error" in conjunction with custom error map.`);
  }
  if (errorMap2)
    return { errorMap: errorMap2, description };
  const customMap = (iss, ctx) => {
    var _a, _b;
    const { message } = params;
    if (iss.code === "invalid_enum_value") {
      return { message: message !== null && message !== undefined ? message : ctx.defaultError };
    }
    if (typeof ctx.data === "undefined") {
      return { message: (_a = message !== null && message !== undefined ? message : required_error) !== null && _a !== undefined ? _a : ctx.defaultError };
    }
    if (iss.code !== "invalid_type")
      return { message: ctx.defaultError };
    return { message: (_b = message !== null && message !== undefined ? message : invalid_type_error) !== null && _b !== undefined ? _b : ctx.defaultError };
  };
  return { errorMap: customMap, description };
}

class ZodType {
  get description() {
    return this._def.description;
  }
  _getType(input) {
    return getParsedType(input.data);
  }
  _getOrReturnCtx(input, ctx) {
    return ctx || {
      common: input.parent.common,
      data: input.data,
      parsedType: getParsedType(input.data),
      schemaErrorMap: this._def.errorMap,
      path: input.path,
      parent: input.parent
    };
  }
  _processInputParams(input) {
    return {
      status: new ParseStatus,
      ctx: {
        common: input.parent.common,
        data: input.data,
        parsedType: getParsedType(input.data),
        schemaErrorMap: this._def.errorMap,
        path: input.path,
        parent: input.parent
      }
    };
  }
  _parseSync(input) {
    const result = this._parse(input);
    if (isAsync(result)) {
      throw new Error("Synchronous parse encountered promise.");
    }
    return result;
  }
  _parseAsync(input) {
    const result = this._parse(input);
    return Promise.resolve(result);
  }
  parse(data, params) {
    const result = this.safeParse(data, params);
    if (result.success)
      return result.data;
    throw result.error;
  }
  safeParse(data, params) {
    var _a;
    const ctx = {
      common: {
        issues: [],
        async: (_a = params === null || params === undefined ? undefined : params.async) !== null && _a !== undefined ? _a : false,
        contextualErrorMap: params === null || params === undefined ? undefined : params.errorMap
      },
      path: (params === null || params === undefined ? undefined : params.path) || [],
      schemaErrorMap: this._def.errorMap,
      parent: null,
      data,
      parsedType: getParsedType(data)
    };
    const result = this._parseSync({ data, path: ctx.path, parent: ctx });
    return handleResult(ctx, result);
  }
  "~validate"(data) {
    var _a, _b;
    const ctx = {
      common: {
        issues: [],
        async: !!this["~standard"].async
      },
      path: [],
      schemaErrorMap: this._def.errorMap,
      parent: null,
      data,
      parsedType: getParsedType(data)
    };
    if (!this["~standard"].async) {
      try {
        const result = this._parseSync({ data, path: [], parent: ctx });
        return isValid(result) ? {
          value: result.value
        } : {
          issues: ctx.common.issues
        };
      } catch (err) {
        if ((_b = (_a = err === null || err === undefined ? undefined : err.message) === null || _a === undefined ? undefined : _a.toLowerCase()) === null || _b === undefined ? undefined : _b.includes("encountered")) {
          this["~standard"].async = true;
        }
        ctx.common = {
          issues: [],
          async: true
        };
      }
    }
    return this._parseAsync({ data, path: [], parent: ctx }).then((result) => isValid(result) ? {
      value: result.value
    } : {
      issues: ctx.common.issues
    });
  }
  async parseAsync(data, params) {
    const result = await this.safeParseAsync(data, params);
    if (result.success)
      return result.data;
    throw result.error;
  }
  async safeParseAsync(data, params) {
    const ctx = {
      common: {
        issues: [],
        contextualErrorMap: params === null || params === undefined ? undefined : params.errorMap,
        async: true
      },
      path: (params === null || params === undefined ? undefined : params.path) || [],
      schemaErrorMap: this._def.errorMap,
      parent: null,
      data,
      parsedType: getParsedType(data)
    };
    const maybeAsyncResult = this._parse({ data, path: ctx.path, parent: ctx });
    const result = await (isAsync(maybeAsyncResult) ? maybeAsyncResult : Promise.resolve(maybeAsyncResult));
    return handleResult(ctx, result);
  }
  refine(check, message) {
    const getIssueProperties = (val) => {
      if (typeof message === "string" || typeof message === "undefined") {
        return { message };
      } else if (typeof message === "function") {
        return message(val);
      } else {
        return message;
      }
    };
    return this._refinement((val, ctx) => {
      const result = check(val);
      const setError = () => ctx.addIssue({
        code: ZodIssueCode.custom,
        ...getIssueProperties(val)
      });
      if (typeof Promise !== "undefined" && result instanceof Promise) {
        return result.then((data) => {
          if (!data) {
            setError();
            return false;
          } else {
            return true;
          }
        });
      }
      if (!result) {
        setError();
        return false;
      } else {
        return true;
      }
    });
  }
  refinement(check, refinementData) {
    return this._refinement((val, ctx) => {
      if (!check(val)) {
        ctx.addIssue(typeof refinementData === "function" ? refinementData(val, ctx) : refinementData);
        return false;
      } else {
        return true;
      }
    });
  }
  _refinement(refinement) {
    return new ZodEffects({
      schema: this,
      typeName: ZodFirstPartyTypeKind.ZodEffects,
      effect: { type: "refinement", refinement }
    });
  }
  superRefine(refinement) {
    return this._refinement(refinement);
  }
  constructor(def) {
    this.spa = this.safeParseAsync;
    this._def = def;
    this.parse = this.parse.bind(this);
    this.safeParse = this.safeParse.bind(this);
    this.parseAsync = this.parseAsync.bind(this);
    this.safeParseAsync = this.safeParseAsync.bind(this);
    this.spa = this.spa.bind(this);
    this.refine = this.refine.bind(this);
    this.refinement = this.refinement.bind(this);
    this.superRefine = this.superRefine.bind(this);
    this.optional = this.optional.bind(this);
    this.nullable = this.nullable.bind(this);
    this.nullish = this.nullish.bind(this);
    this.array = this.array.bind(this);
    this.promise = this.promise.bind(this);
    this.or = this.or.bind(this);
    this.and = this.and.bind(this);
    this.transform = this.transform.bind(this);
    this.brand = this.brand.bind(this);
    this.default = this.default.bind(this);
    this.catch = this.catch.bind(this);
    this.describe = this.describe.bind(this);
    this.pipe = this.pipe.bind(this);
    this.readonly = this.readonly.bind(this);
    this.isNullable = this.isNullable.bind(this);
    this.isOptional = this.isOptional.bind(this);
    this["~standard"] = {
      version: 1,
      vendor: "zod",
      validate: (data) => this["~validate"](data)
    };
  }
  optional() {
    return ZodOptional.create(this, this._def);
  }
  nullable() {
    return ZodNullable.create(this, this._def);
  }
  nullish() {
    return this.nullable().optional();
  }
  array() {
    return ZodArray.create(this);
  }
  promise() {
    return ZodPromise.create(this, this._def);
  }
  or(option) {
    return ZodUnion.create([this, option], this._def);
  }
  and(incoming) {
    return ZodIntersection.create(this, incoming, this._def);
  }
  transform(transform) {
    return new ZodEffects({
      ...processCreateParams(this._def),
      schema: this,
      typeName: ZodFirstPartyTypeKind.ZodEffects,
      effect: { type: "transform", transform }
    });
  }
  default(def) {
    const defaultValueFunc = typeof def === "function" ? def : () => def;
    return new ZodDefault({
      ...processCreateParams(this._def),
      innerType: this,
      defaultValue: defaultValueFunc,
      typeName: ZodFirstPartyTypeKind.ZodDefault
    });
  }
  brand() {
    return new ZodBranded({
      typeName: ZodFirstPartyTypeKind.ZodBranded,
      type: this,
      ...processCreateParams(this._def)
    });
  }
  catch(def) {
    const catchValueFunc = typeof def === "function" ? def : () => def;
    return new ZodCatch({
      ...processCreateParams(this._def),
      innerType: this,
      catchValue: catchValueFunc,
      typeName: ZodFirstPartyTypeKind.ZodCatch
    });
  }
  describe(description) {
    const This = this.constructor;
    return new This({
      ...this._def,
      description
    });
  }
  pipe(target) {
    return ZodPipeline.create(this, target);
  }
  readonly() {
    return ZodReadonly.create(this);
  }
  isOptional() {
    return this.safeParse(undefined).success;
  }
  isNullable() {
    return this.safeParse(null).success;
  }
}
var cuidRegex = /^c[^\s-]{8,}$/i;
var cuid2Regex = /^[0-9a-z]+$/;
var ulidRegex = /^[0-9A-HJKMNP-TV-Z]{26}$/i;
var uuidRegex = /^[0-9a-fA-F]{8}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{12}$/i;
var nanoidRegex = /^[a-z0-9_-]{21}$/i;
var jwtRegex = /^[A-Za-z0-9-_]+\.[A-Za-z0-9-_]+\.[A-Za-z0-9-_]*$/;
var durationRegex = /^[-+]?P(?!$)(?:(?:[-+]?\d+Y)|(?:[-+]?\d+[.,]\d+Y$))?(?:(?:[-+]?\d+M)|(?:[-+]?\d+[.,]\d+M$))?(?:(?:[-+]?\d+W)|(?:[-+]?\d+[.,]\d+W$))?(?:(?:[-+]?\d+D)|(?:[-+]?\d+[.,]\d+D$))?(?:T(?=[\d+-])(?:(?:[-+]?\d+H)|(?:[-+]?\d+[.,]\d+H$))?(?:(?:[-+]?\d+M)|(?:[-+]?\d+[.,]\d+M$))?(?:[-+]?\d+(?:[.,]\d+)?S)?)??$/;
var emailRegex = /^(?!\.)(?!.*\.\.)([A-Z0-9_'+\-\.]*)[A-Z0-9_+-]@([A-Z0-9][A-Z0-9\-]*\.)+[A-Z]{2,}$/i;
var _emojiRegex = `^(\\p{Extended_Pictographic}|\\p{Emoji_Component})+$`;
var emojiRegex;
var ipv4Regex = /^(?:(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])\.){3}(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])$/;
var ipv4CidrRegex = /^(?:(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])\.){3}(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])\/(3[0-2]|[12]?[0-9])$/;
var ipv6Regex = /^(([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe80:(:[0-9a-fA-F]{0,4}){0,4}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}((25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])\.){3,3}(25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])|([0-9a-fA-F]{1,4}:){1,4}:((25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])\.){3,3}(25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9]))$/;
var ipv6CidrRegex = /^(([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe80:(:[0-9a-fA-F]{0,4}){0,4}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}((25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])\.){3,3}(25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])|([0-9a-fA-F]{1,4}:){1,4}:((25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])\.){3,3}(25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9]))\/(12[0-8]|1[01][0-9]|[1-9]?[0-9])$/;
var base64Regex = /^([0-9a-zA-Z+/]{4})*(([0-9a-zA-Z+/]{2}==)|([0-9a-zA-Z+/]{3}=))?$/;
var base64urlRegex = /^([0-9a-zA-Z-_]{4})*(([0-9a-zA-Z-_]{2}(==)?)|([0-9a-zA-Z-_]{3}(=)?))?$/;
var dateRegexSource = `((\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-((0[13578]|1[02])-(0[1-9]|[12]\\d|3[01])|(0[469]|11)-(0[1-9]|[12]\\d|30)|(02)-(0[1-9]|1\\d|2[0-8])))`;
var dateRegex = new RegExp(`^${dateRegexSource}$`);
function timeRegexSource(args) {
  let regex = `([01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d`;
  if (args.precision) {
    regex = `${regex}\\.\\d{${args.precision}}`;
  } else if (args.precision == null) {
    regex = `${regex}(\\.\\d+)?`;
  }
  return regex;
}
function timeRegex(args) {
  return new RegExp(`^${timeRegexSource(args)}$`);
}
function datetimeRegex(args) {
  let regex = `${dateRegexSource}T${timeRegexSource(args)}`;
  const opts = [];
  opts.push(args.local ? `Z?` : `Z`);
  if (args.offset)
    opts.push(`([+-]\\d{2}:?\\d{2})`);
  regex = `${regex}(${opts.join("|")})`;
  return new RegExp(`^${regex}$`);
}
function isValidIP(ip, version) {
  if ((version === "v4" || !version) && ipv4Regex.test(ip)) {
    return true;
  }
  if ((version === "v6" || !version) && ipv6Regex.test(ip)) {
    return true;
  }
  return false;
}
function isValidJWT(jwt, alg) {
  if (!jwtRegex.test(jwt))
    return false;
  try {
    const [header] = jwt.split(".");
    const base64 = header.replace(/-/g, "+").replace(/_/g, "/").padEnd(header.length + (4 - header.length % 4) % 4, "=");
    const decoded = JSON.parse(atob(base64));
    if (typeof decoded !== "object" || decoded === null)
      return false;
    if (!decoded.typ || !decoded.alg)
      return false;
    if (alg && decoded.alg !== alg)
      return false;
    return true;
  } catch (_a) {
    return false;
  }
}
function isValidCidr(ip, version) {
  if ((version === "v4" || !version) && ipv4CidrRegex.test(ip)) {
    return true;
  }
  if ((version === "v6" || !version) && ipv6CidrRegex.test(ip)) {
    return true;
  }
  return false;
}

class ZodString extends ZodType {
  _parse(input) {
    if (this._def.coerce) {
      input.data = String(input.data);
    }
    const parsedType = this._getType(input);
    if (parsedType !== ZodParsedType.string) {
      const ctx2 = this._getOrReturnCtx(input);
      addIssueToContext(ctx2, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.string,
        received: ctx2.parsedType
      });
      return INVALID;
    }
    const status = new ParseStatus;
    let ctx = undefined;
    for (const check of this._def.checks) {
      if (check.kind === "min") {
        if (input.data.length < check.value) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.too_small,
            minimum: check.value,
            type: "string",
            inclusive: true,
            exact: false,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "max") {
        if (input.data.length > check.value) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.too_big,
            maximum: check.value,
            type: "string",
            inclusive: true,
            exact: false,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "length") {
        const tooBig = input.data.length > check.value;
        const tooSmall = input.data.length < check.value;
        if (tooBig || tooSmall) {
          ctx = this._getOrReturnCtx(input, ctx);
          if (tooBig) {
            addIssueToContext(ctx, {
              code: ZodIssueCode.too_big,
              maximum: check.value,
              type: "string",
              inclusive: true,
              exact: true,
              message: check.message
            });
          } else if (tooSmall) {
            addIssueToContext(ctx, {
              code: ZodIssueCode.too_small,
              minimum: check.value,
              type: "string",
              inclusive: true,
              exact: true,
              message: check.message
            });
          }
          status.dirty();
        }
      } else if (check.kind === "email") {
        if (!emailRegex.test(input.data)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            validation: "email",
            code: ZodIssueCode.invalid_string,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "emoji") {
        if (!emojiRegex) {
          emojiRegex = new RegExp(_emojiRegex, "u");
        }
        if (!emojiRegex.test(input.data)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            validation: "emoji",
            code: ZodIssueCode.invalid_string,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "uuid") {
        if (!uuidRegex.test(input.data)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            validation: "uuid",
            code: ZodIssueCode.invalid_string,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "nanoid") {
        if (!nanoidRegex.test(input.data)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            validation: "nanoid",
            code: ZodIssueCode.invalid_string,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "cuid") {
        if (!cuidRegex.test(input.data)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            validation: "cuid",
            code: ZodIssueCode.invalid_string,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "cuid2") {
        if (!cuid2Regex.test(input.data)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            validation: "cuid2",
            code: ZodIssueCode.invalid_string,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "ulid") {
        if (!ulidRegex.test(input.data)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            validation: "ulid",
            code: ZodIssueCode.invalid_string,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "url") {
        try {
          new URL(input.data);
        } catch (_a) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            validation: "url",
            code: ZodIssueCode.invalid_string,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "regex") {
        check.regex.lastIndex = 0;
        const testResult = check.regex.test(input.data);
        if (!testResult) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            validation: "regex",
            code: ZodIssueCode.invalid_string,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "trim") {
        input.data = input.data.trim();
      } else if (check.kind === "includes") {
        if (!input.data.includes(check.value, check.position)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.invalid_string,
            validation: { includes: check.value, position: check.position },
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "toLowerCase") {
        input.data = input.data.toLowerCase();
      } else if (check.kind === "toUpperCase") {
        input.data = input.data.toUpperCase();
      } else if (check.kind === "startsWith") {
        if (!input.data.startsWith(check.value)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.invalid_string,
            validation: { startsWith: check.value },
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "endsWith") {
        if (!input.data.endsWith(check.value)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.invalid_string,
            validation: { endsWith: check.value },
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "datetime") {
        const regex = datetimeRegex(check);
        if (!regex.test(input.data)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.invalid_string,
            validation: "datetime",
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "date") {
        const regex = dateRegex;
        if (!regex.test(input.data)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.invalid_string,
            validation: "date",
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "time") {
        const regex = timeRegex(check);
        if (!regex.test(input.data)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.invalid_string,
            validation: "time",
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "duration") {
        if (!durationRegex.test(input.data)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            validation: "duration",
            code: ZodIssueCode.invalid_string,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "ip") {
        if (!isValidIP(input.data, check.version)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            validation: "ip",
            code: ZodIssueCode.invalid_string,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "jwt") {
        if (!isValidJWT(input.data, check.alg)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            validation: "jwt",
            code: ZodIssueCode.invalid_string,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "cidr") {
        if (!isValidCidr(input.data, check.version)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            validation: "cidr",
            code: ZodIssueCode.invalid_string,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "base64") {
        if (!base64Regex.test(input.data)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            validation: "base64",
            code: ZodIssueCode.invalid_string,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "base64url") {
        if (!base64urlRegex.test(input.data)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            validation: "base64url",
            code: ZodIssueCode.invalid_string,
            message: check.message
          });
          status.dirty();
        }
      } else {
        util.assertNever(check);
      }
    }
    return { status: status.value, value: input.data };
  }
  _regex(regex, validation, message) {
    return this.refinement((data) => regex.test(data), {
      validation,
      code: ZodIssueCode.invalid_string,
      ...errorUtil.errToObj(message)
    });
  }
  _addCheck(check) {
    return new ZodString({
      ...this._def,
      checks: [...this._def.checks, check]
    });
  }
  email(message) {
    return this._addCheck({ kind: "email", ...errorUtil.errToObj(message) });
  }
  url(message) {
    return this._addCheck({ kind: "url", ...errorUtil.errToObj(message) });
  }
  emoji(message) {
    return this._addCheck({ kind: "emoji", ...errorUtil.errToObj(message) });
  }
  uuid(message) {
    return this._addCheck({ kind: "uuid", ...errorUtil.errToObj(message) });
  }
  nanoid(message) {
    return this._addCheck({ kind: "nanoid", ...errorUtil.errToObj(message) });
  }
  cuid(message) {
    return this._addCheck({ kind: "cuid", ...errorUtil.errToObj(message) });
  }
  cuid2(message) {
    return this._addCheck({ kind: "cuid2", ...errorUtil.errToObj(message) });
  }
  ulid(message) {
    return this._addCheck({ kind: "ulid", ...errorUtil.errToObj(message) });
  }
  base64(message) {
    return this._addCheck({ kind: "base64", ...errorUtil.errToObj(message) });
  }
  base64url(message) {
    return this._addCheck({
      kind: "base64url",
      ...errorUtil.errToObj(message)
    });
  }
  jwt(options) {
    return this._addCheck({ kind: "jwt", ...errorUtil.errToObj(options) });
  }
  ip(options) {
    return this._addCheck({ kind: "ip", ...errorUtil.errToObj(options) });
  }
  cidr(options) {
    return this._addCheck({ kind: "cidr", ...errorUtil.errToObj(options) });
  }
  datetime(options) {
    var _a, _b;
    if (typeof options === "string") {
      return this._addCheck({
        kind: "datetime",
        precision: null,
        offset: false,
        local: false,
        message: options
      });
    }
    return this._addCheck({
      kind: "datetime",
      precision: typeof (options === null || options === undefined ? undefined : options.precision) === "undefined" ? null : options === null || options === undefined ? undefined : options.precision,
      offset: (_a = options === null || options === undefined ? undefined : options.offset) !== null && _a !== undefined ? _a : false,
      local: (_b = options === null || options === undefined ? undefined : options.local) !== null && _b !== undefined ? _b : false,
      ...errorUtil.errToObj(options === null || options === undefined ? undefined : options.message)
    });
  }
  date(message) {
    return this._addCheck({ kind: "date", message });
  }
  time(options) {
    if (typeof options === "string") {
      return this._addCheck({
        kind: "time",
        precision: null,
        message: options
      });
    }
    return this._addCheck({
      kind: "time",
      precision: typeof (options === null || options === undefined ? undefined : options.precision) === "undefined" ? null : options === null || options === undefined ? undefined : options.precision,
      ...errorUtil.errToObj(options === null || options === undefined ? undefined : options.message)
    });
  }
  duration(message) {
    return this._addCheck({ kind: "duration", ...errorUtil.errToObj(message) });
  }
  regex(regex, message) {
    return this._addCheck({
      kind: "regex",
      regex,
      ...errorUtil.errToObj(message)
    });
  }
  includes(value, options) {
    return this._addCheck({
      kind: "includes",
      value,
      position: options === null || options === undefined ? undefined : options.position,
      ...errorUtil.errToObj(options === null || options === undefined ? undefined : options.message)
    });
  }
  startsWith(value, message) {
    return this._addCheck({
      kind: "startsWith",
      value,
      ...errorUtil.errToObj(message)
    });
  }
  endsWith(value, message) {
    return this._addCheck({
      kind: "endsWith",
      value,
      ...errorUtil.errToObj(message)
    });
  }
  min(minLength, message) {
    return this._addCheck({
      kind: "min",
      value: minLength,
      ...errorUtil.errToObj(message)
    });
  }
  max(maxLength, message) {
    return this._addCheck({
      kind: "max",
      value: maxLength,
      ...errorUtil.errToObj(message)
    });
  }
  length(len, message) {
    return this._addCheck({
      kind: "length",
      value: len,
      ...errorUtil.errToObj(message)
    });
  }
  nonempty(message) {
    return this.min(1, errorUtil.errToObj(message));
  }
  trim() {
    return new ZodString({
      ...this._def,
      checks: [...this._def.checks, { kind: "trim" }]
    });
  }
  toLowerCase() {
    return new ZodString({
      ...this._def,
      checks: [...this._def.checks, { kind: "toLowerCase" }]
    });
  }
  toUpperCase() {
    return new ZodString({
      ...this._def,
      checks: [...this._def.checks, { kind: "toUpperCase" }]
    });
  }
  get isDatetime() {
    return !!this._def.checks.find((ch) => ch.kind === "datetime");
  }
  get isDate() {
    return !!this._def.checks.find((ch) => ch.kind === "date");
  }
  get isTime() {
    return !!this._def.checks.find((ch) => ch.kind === "time");
  }
  get isDuration() {
    return !!this._def.checks.find((ch) => ch.kind === "duration");
  }
  get isEmail() {
    return !!this._def.checks.find((ch) => ch.kind === "email");
  }
  get isURL() {
    return !!this._def.checks.find((ch) => ch.kind === "url");
  }
  get isEmoji() {
    return !!this._def.checks.find((ch) => ch.kind === "emoji");
  }
  get isUUID() {
    return !!this._def.checks.find((ch) => ch.kind === "uuid");
  }
  get isNANOID() {
    return !!this._def.checks.find((ch) => ch.kind === "nanoid");
  }
  get isCUID() {
    return !!this._def.checks.find((ch) => ch.kind === "cuid");
  }
  get isCUID2() {
    return !!this._def.checks.find((ch) => ch.kind === "cuid2");
  }
  get isULID() {
    return !!this._def.checks.find((ch) => ch.kind === "ulid");
  }
  get isIP() {
    return !!this._def.checks.find((ch) => ch.kind === "ip");
  }
  get isCIDR() {
    return !!this._def.checks.find((ch) => ch.kind === "cidr");
  }
  get isBase64() {
    return !!this._def.checks.find((ch) => ch.kind === "base64");
  }
  get isBase64url() {
    return !!this._def.checks.find((ch) => ch.kind === "base64url");
  }
  get minLength() {
    let min = null;
    for (const ch of this._def.checks) {
      if (ch.kind === "min") {
        if (min === null || ch.value > min)
          min = ch.value;
      }
    }
    return min;
  }
  get maxLength() {
    let max = null;
    for (const ch of this._def.checks) {
      if (ch.kind === "max") {
        if (max === null || ch.value < max)
          max = ch.value;
      }
    }
    return max;
  }
}
ZodString.create = (params) => {
  var _a;
  return new ZodString({
    checks: [],
    typeName: ZodFirstPartyTypeKind.ZodString,
    coerce: (_a = params === null || params === undefined ? undefined : params.coerce) !== null && _a !== undefined ? _a : false,
    ...processCreateParams(params)
  });
};
function floatSafeRemainder(val, step) {
  const valDecCount = (val.toString().split(".")[1] || "").length;
  const stepDecCount = (step.toString().split(".")[1] || "").length;
  const decCount = valDecCount > stepDecCount ? valDecCount : stepDecCount;
  const valInt = parseInt(val.toFixed(decCount).replace(".", ""));
  const stepInt = parseInt(step.toFixed(decCount).replace(".", ""));
  return valInt % stepInt / Math.pow(10, decCount);
}

class ZodNumber extends ZodType {
  constructor() {
    super(...arguments);
    this.min = this.gte;
    this.max = this.lte;
    this.step = this.multipleOf;
  }
  _parse(input) {
    if (this._def.coerce) {
      input.data = Number(input.data);
    }
    const parsedType = this._getType(input);
    if (parsedType !== ZodParsedType.number) {
      const ctx2 = this._getOrReturnCtx(input);
      addIssueToContext(ctx2, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.number,
        received: ctx2.parsedType
      });
      return INVALID;
    }
    let ctx = undefined;
    const status = new ParseStatus;
    for (const check of this._def.checks) {
      if (check.kind === "int") {
        if (!util.isInteger(input.data)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.invalid_type,
            expected: "integer",
            received: "float",
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "min") {
        const tooSmall = check.inclusive ? input.data < check.value : input.data <= check.value;
        if (tooSmall) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.too_small,
            minimum: check.value,
            type: "number",
            inclusive: check.inclusive,
            exact: false,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "max") {
        const tooBig = check.inclusive ? input.data > check.value : input.data >= check.value;
        if (tooBig) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.too_big,
            maximum: check.value,
            type: "number",
            inclusive: check.inclusive,
            exact: false,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "multipleOf") {
        if (floatSafeRemainder(input.data, check.value) !== 0) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.not_multiple_of,
            multipleOf: check.value,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "finite") {
        if (!Number.isFinite(input.data)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.not_finite,
            message: check.message
          });
          status.dirty();
        }
      } else {
        util.assertNever(check);
      }
    }
    return { status: status.value, value: input.data };
  }
  gte(value, message) {
    return this.setLimit("min", value, true, errorUtil.toString(message));
  }
  gt(value, message) {
    return this.setLimit("min", value, false, errorUtil.toString(message));
  }
  lte(value, message) {
    return this.setLimit("max", value, true, errorUtil.toString(message));
  }
  lt(value, message) {
    return this.setLimit("max", value, false, errorUtil.toString(message));
  }
  setLimit(kind, value, inclusive, message) {
    return new ZodNumber({
      ...this._def,
      checks: [
        ...this._def.checks,
        {
          kind,
          value,
          inclusive,
          message: errorUtil.toString(message)
        }
      ]
    });
  }
  _addCheck(check) {
    return new ZodNumber({
      ...this._def,
      checks: [...this._def.checks, check]
    });
  }
  int(message) {
    return this._addCheck({
      kind: "int",
      message: errorUtil.toString(message)
    });
  }
  positive(message) {
    return this._addCheck({
      kind: "min",
      value: 0,
      inclusive: false,
      message: errorUtil.toString(message)
    });
  }
  negative(message) {
    return this._addCheck({
      kind: "max",
      value: 0,
      inclusive: false,
      message: errorUtil.toString(message)
    });
  }
  nonpositive(message) {
    return this._addCheck({
      kind: "max",
      value: 0,
      inclusive: true,
      message: errorUtil.toString(message)
    });
  }
  nonnegative(message) {
    return this._addCheck({
      kind: "min",
      value: 0,
      inclusive: true,
      message: errorUtil.toString(message)
    });
  }
  multipleOf(value, message) {
    return this._addCheck({
      kind: "multipleOf",
      value,
      message: errorUtil.toString(message)
    });
  }
  finite(message) {
    return this._addCheck({
      kind: "finite",
      message: errorUtil.toString(message)
    });
  }
  safe(message) {
    return this._addCheck({
      kind: "min",
      inclusive: true,
      value: Number.MIN_SAFE_INTEGER,
      message: errorUtil.toString(message)
    })._addCheck({
      kind: "max",
      inclusive: true,
      value: Number.MAX_SAFE_INTEGER,
      message: errorUtil.toString(message)
    });
  }
  get minValue() {
    let min = null;
    for (const ch of this._def.checks) {
      if (ch.kind === "min") {
        if (min === null || ch.value > min)
          min = ch.value;
      }
    }
    return min;
  }
  get maxValue() {
    let max = null;
    for (const ch of this._def.checks) {
      if (ch.kind === "max") {
        if (max === null || ch.value < max)
          max = ch.value;
      }
    }
    return max;
  }
  get isInt() {
    return !!this._def.checks.find((ch) => ch.kind === "int" || ch.kind === "multipleOf" && util.isInteger(ch.value));
  }
  get isFinite() {
    let max = null, min = null;
    for (const ch of this._def.checks) {
      if (ch.kind === "finite" || ch.kind === "int" || ch.kind === "multipleOf") {
        return true;
      } else if (ch.kind === "min") {
        if (min === null || ch.value > min)
          min = ch.value;
      } else if (ch.kind === "max") {
        if (max === null || ch.value < max)
          max = ch.value;
      }
    }
    return Number.isFinite(min) && Number.isFinite(max);
  }
}
ZodNumber.create = (params) => {
  return new ZodNumber({
    checks: [],
    typeName: ZodFirstPartyTypeKind.ZodNumber,
    coerce: (params === null || params === undefined ? undefined : params.coerce) || false,
    ...processCreateParams(params)
  });
};

class ZodBigInt extends ZodType {
  constructor() {
    super(...arguments);
    this.min = this.gte;
    this.max = this.lte;
  }
  _parse(input) {
    if (this._def.coerce) {
      try {
        input.data = BigInt(input.data);
      } catch (_a) {
        return this._getInvalidInput(input);
      }
    }
    const parsedType = this._getType(input);
    if (parsedType !== ZodParsedType.bigint) {
      return this._getInvalidInput(input);
    }
    let ctx = undefined;
    const status = new ParseStatus;
    for (const check of this._def.checks) {
      if (check.kind === "min") {
        const tooSmall = check.inclusive ? input.data < check.value : input.data <= check.value;
        if (tooSmall) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.too_small,
            type: "bigint",
            minimum: check.value,
            inclusive: check.inclusive,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "max") {
        const tooBig = check.inclusive ? input.data > check.value : input.data >= check.value;
        if (tooBig) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.too_big,
            type: "bigint",
            maximum: check.value,
            inclusive: check.inclusive,
            message: check.message
          });
          status.dirty();
        }
      } else if (check.kind === "multipleOf") {
        if (input.data % check.value !== BigInt(0)) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.not_multiple_of,
            multipleOf: check.value,
            message: check.message
          });
          status.dirty();
        }
      } else {
        util.assertNever(check);
      }
    }
    return { status: status.value, value: input.data };
  }
  _getInvalidInput(input) {
    const ctx = this._getOrReturnCtx(input);
    addIssueToContext(ctx, {
      code: ZodIssueCode.invalid_type,
      expected: ZodParsedType.bigint,
      received: ctx.parsedType
    });
    return INVALID;
  }
  gte(value, message) {
    return this.setLimit("min", value, true, errorUtil.toString(message));
  }
  gt(value, message) {
    return this.setLimit("min", value, false, errorUtil.toString(message));
  }
  lte(value, message) {
    return this.setLimit("max", value, true, errorUtil.toString(message));
  }
  lt(value, message) {
    return this.setLimit("max", value, false, errorUtil.toString(message));
  }
  setLimit(kind, value, inclusive, message) {
    return new ZodBigInt({
      ...this._def,
      checks: [
        ...this._def.checks,
        {
          kind,
          value,
          inclusive,
          message: errorUtil.toString(message)
        }
      ]
    });
  }
  _addCheck(check) {
    return new ZodBigInt({
      ...this._def,
      checks: [...this._def.checks, check]
    });
  }
  positive(message) {
    return this._addCheck({
      kind: "min",
      value: BigInt(0),
      inclusive: false,
      message: errorUtil.toString(message)
    });
  }
  negative(message) {
    return this._addCheck({
      kind: "max",
      value: BigInt(0),
      inclusive: false,
      message: errorUtil.toString(message)
    });
  }
  nonpositive(message) {
    return this._addCheck({
      kind: "max",
      value: BigInt(0),
      inclusive: true,
      message: errorUtil.toString(message)
    });
  }
  nonnegative(message) {
    return this._addCheck({
      kind: "min",
      value: BigInt(0),
      inclusive: true,
      message: errorUtil.toString(message)
    });
  }
  multipleOf(value, message) {
    return this._addCheck({
      kind: "multipleOf",
      value,
      message: errorUtil.toString(message)
    });
  }
  get minValue() {
    let min = null;
    for (const ch of this._def.checks) {
      if (ch.kind === "min") {
        if (min === null || ch.value > min)
          min = ch.value;
      }
    }
    return min;
  }
  get maxValue() {
    let max = null;
    for (const ch of this._def.checks) {
      if (ch.kind === "max") {
        if (max === null || ch.value < max)
          max = ch.value;
      }
    }
    return max;
  }
}
ZodBigInt.create = (params) => {
  var _a;
  return new ZodBigInt({
    checks: [],
    typeName: ZodFirstPartyTypeKind.ZodBigInt,
    coerce: (_a = params === null || params === undefined ? undefined : params.coerce) !== null && _a !== undefined ? _a : false,
    ...processCreateParams(params)
  });
};

class ZodBoolean extends ZodType {
  _parse(input) {
    if (this._def.coerce) {
      input.data = Boolean(input.data);
    }
    const parsedType = this._getType(input);
    if (parsedType !== ZodParsedType.boolean) {
      const ctx = this._getOrReturnCtx(input);
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.boolean,
        received: ctx.parsedType
      });
      return INVALID;
    }
    return OK2(input.data);
  }
}
ZodBoolean.create = (params) => {
  return new ZodBoolean({
    typeName: ZodFirstPartyTypeKind.ZodBoolean,
    coerce: (params === null || params === undefined ? undefined : params.coerce) || false,
    ...processCreateParams(params)
  });
};

class ZodDate extends ZodType {
  _parse(input) {
    if (this._def.coerce) {
      input.data = new Date(input.data);
    }
    const parsedType = this._getType(input);
    if (parsedType !== ZodParsedType.date) {
      const ctx2 = this._getOrReturnCtx(input);
      addIssueToContext(ctx2, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.date,
        received: ctx2.parsedType
      });
      return INVALID;
    }
    if (isNaN(input.data.getTime())) {
      const ctx2 = this._getOrReturnCtx(input);
      addIssueToContext(ctx2, {
        code: ZodIssueCode.invalid_date
      });
      return INVALID;
    }
    const status = new ParseStatus;
    let ctx = undefined;
    for (const check of this._def.checks) {
      if (check.kind === "min") {
        if (input.data.getTime() < check.value) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.too_small,
            message: check.message,
            inclusive: true,
            exact: false,
            minimum: check.value,
            type: "date"
          });
          status.dirty();
        }
      } else if (check.kind === "max") {
        if (input.data.getTime() > check.value) {
          ctx = this._getOrReturnCtx(input, ctx);
          addIssueToContext(ctx, {
            code: ZodIssueCode.too_big,
            message: check.message,
            inclusive: true,
            exact: false,
            maximum: check.value,
            type: "date"
          });
          status.dirty();
        }
      } else {
        util.assertNever(check);
      }
    }
    return {
      status: status.value,
      value: new Date(input.data.getTime())
    };
  }
  _addCheck(check) {
    return new ZodDate({
      ...this._def,
      checks: [...this._def.checks, check]
    });
  }
  min(minDate, message) {
    return this._addCheck({
      kind: "min",
      value: minDate.getTime(),
      message: errorUtil.toString(message)
    });
  }
  max(maxDate, message) {
    return this._addCheck({
      kind: "max",
      value: maxDate.getTime(),
      message: errorUtil.toString(message)
    });
  }
  get minDate() {
    let min = null;
    for (const ch of this._def.checks) {
      if (ch.kind === "min") {
        if (min === null || ch.value > min)
          min = ch.value;
      }
    }
    return min != null ? new Date(min) : null;
  }
  get maxDate() {
    let max = null;
    for (const ch of this._def.checks) {
      if (ch.kind === "max") {
        if (max === null || ch.value < max)
          max = ch.value;
      }
    }
    return max != null ? new Date(max) : null;
  }
}
ZodDate.create = (params) => {
  return new ZodDate({
    checks: [],
    coerce: (params === null || params === undefined ? undefined : params.coerce) || false,
    typeName: ZodFirstPartyTypeKind.ZodDate,
    ...processCreateParams(params)
  });
};

class ZodSymbol extends ZodType {
  _parse(input) {
    const parsedType = this._getType(input);
    if (parsedType !== ZodParsedType.symbol) {
      const ctx = this._getOrReturnCtx(input);
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.symbol,
        received: ctx.parsedType
      });
      return INVALID;
    }
    return OK2(input.data);
  }
}
ZodSymbol.create = (params) => {
  return new ZodSymbol({
    typeName: ZodFirstPartyTypeKind.ZodSymbol,
    ...processCreateParams(params)
  });
};

class ZodUndefined extends ZodType {
  _parse(input) {
    const parsedType = this._getType(input);
    if (parsedType !== ZodParsedType.undefined) {
      const ctx = this._getOrReturnCtx(input);
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.undefined,
        received: ctx.parsedType
      });
      return INVALID;
    }
    return OK2(input.data);
  }
}
ZodUndefined.create = (params) => {
  return new ZodUndefined({
    typeName: ZodFirstPartyTypeKind.ZodUndefined,
    ...processCreateParams(params)
  });
};

class ZodNull extends ZodType {
  _parse(input) {
    const parsedType = this._getType(input);
    if (parsedType !== ZodParsedType.null) {
      const ctx = this._getOrReturnCtx(input);
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.null,
        received: ctx.parsedType
      });
      return INVALID;
    }
    return OK2(input.data);
  }
}
ZodNull.create = (params) => {
  return new ZodNull({
    typeName: ZodFirstPartyTypeKind.ZodNull,
    ...processCreateParams(params)
  });
};

class ZodAny extends ZodType {
  constructor() {
    super(...arguments);
    this._any = true;
  }
  _parse(input) {
    return OK2(input.data);
  }
}
ZodAny.create = (params) => {
  return new ZodAny({
    typeName: ZodFirstPartyTypeKind.ZodAny,
    ...processCreateParams(params)
  });
};

class ZodUnknown extends ZodType {
  constructor() {
    super(...arguments);
    this._unknown = true;
  }
  _parse(input) {
    return OK2(input.data);
  }
}
ZodUnknown.create = (params) => {
  return new ZodUnknown({
    typeName: ZodFirstPartyTypeKind.ZodUnknown,
    ...processCreateParams(params)
  });
};

class ZodNever extends ZodType {
  _parse(input) {
    const ctx = this._getOrReturnCtx(input);
    addIssueToContext(ctx, {
      code: ZodIssueCode.invalid_type,
      expected: ZodParsedType.never,
      received: ctx.parsedType
    });
    return INVALID;
  }
}
ZodNever.create = (params) => {
  return new ZodNever({
    typeName: ZodFirstPartyTypeKind.ZodNever,
    ...processCreateParams(params)
  });
};

class ZodVoid extends ZodType {
  _parse(input) {
    const parsedType = this._getType(input);
    if (parsedType !== ZodParsedType.undefined) {
      const ctx = this._getOrReturnCtx(input);
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.void,
        received: ctx.parsedType
      });
      return INVALID;
    }
    return OK2(input.data);
  }
}
ZodVoid.create = (params) => {
  return new ZodVoid({
    typeName: ZodFirstPartyTypeKind.ZodVoid,
    ...processCreateParams(params)
  });
};

class ZodArray extends ZodType {
  _parse(input) {
    const { ctx, status } = this._processInputParams(input);
    const def = this._def;
    if (ctx.parsedType !== ZodParsedType.array) {
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.array,
        received: ctx.parsedType
      });
      return INVALID;
    }
    if (def.exactLength !== null) {
      const tooBig = ctx.data.length > def.exactLength.value;
      const tooSmall = ctx.data.length < def.exactLength.value;
      if (tooBig || tooSmall) {
        addIssueToContext(ctx, {
          code: tooBig ? ZodIssueCode.too_big : ZodIssueCode.too_small,
          minimum: tooSmall ? def.exactLength.value : undefined,
          maximum: tooBig ? def.exactLength.value : undefined,
          type: "array",
          inclusive: true,
          exact: true,
          message: def.exactLength.message
        });
        status.dirty();
      }
    }
    if (def.minLength !== null) {
      if (ctx.data.length < def.minLength.value) {
        addIssueToContext(ctx, {
          code: ZodIssueCode.too_small,
          minimum: def.minLength.value,
          type: "array",
          inclusive: true,
          exact: false,
          message: def.minLength.message
        });
        status.dirty();
      }
    }
    if (def.maxLength !== null) {
      if (ctx.data.length > def.maxLength.value) {
        addIssueToContext(ctx, {
          code: ZodIssueCode.too_big,
          maximum: def.maxLength.value,
          type: "array",
          inclusive: true,
          exact: false,
          message: def.maxLength.message
        });
        status.dirty();
      }
    }
    if (ctx.common.async) {
      return Promise.all([...ctx.data].map((item, i) => {
        return def.type._parseAsync(new ParseInputLazyPath(ctx, item, ctx.path, i));
      })).then((result2) => {
        return ParseStatus.mergeArray(status, result2);
      });
    }
    const result = [...ctx.data].map((item, i) => {
      return def.type._parseSync(new ParseInputLazyPath(ctx, item, ctx.path, i));
    });
    return ParseStatus.mergeArray(status, result);
  }
  get element() {
    return this._def.type;
  }
  min(minLength, message) {
    return new ZodArray({
      ...this._def,
      minLength: { value: minLength, message: errorUtil.toString(message) }
    });
  }
  max(maxLength, message) {
    return new ZodArray({
      ...this._def,
      maxLength: { value: maxLength, message: errorUtil.toString(message) }
    });
  }
  length(len, message) {
    return new ZodArray({
      ...this._def,
      exactLength: { value: len, message: errorUtil.toString(message) }
    });
  }
  nonempty(message) {
    return this.min(1, message);
  }
}
ZodArray.create = (schema, params) => {
  return new ZodArray({
    type: schema,
    minLength: null,
    maxLength: null,
    exactLength: null,
    typeName: ZodFirstPartyTypeKind.ZodArray,
    ...processCreateParams(params)
  });
};
function deepPartialify(schema) {
  if (schema instanceof ZodObject) {
    const newShape = {};
    for (const key in schema.shape) {
      const fieldSchema = schema.shape[key];
      newShape[key] = ZodOptional.create(deepPartialify(fieldSchema));
    }
    return new ZodObject({
      ...schema._def,
      shape: () => newShape
    });
  } else if (schema instanceof ZodArray) {
    return new ZodArray({
      ...schema._def,
      type: deepPartialify(schema.element)
    });
  } else if (schema instanceof ZodOptional) {
    return ZodOptional.create(deepPartialify(schema.unwrap()));
  } else if (schema instanceof ZodNullable) {
    return ZodNullable.create(deepPartialify(schema.unwrap()));
  } else if (schema instanceof ZodTuple) {
    return ZodTuple.create(schema.items.map((item) => deepPartialify(item)));
  } else {
    return schema;
  }
}

class ZodObject extends ZodType {
  constructor() {
    super(...arguments);
    this._cached = null;
    this.nonstrict = this.passthrough;
    this.augment = this.extend;
  }
  _getCached() {
    if (this._cached !== null)
      return this._cached;
    const shape = this._def.shape();
    const keys = util.objectKeys(shape);
    return this._cached = { shape, keys };
  }
  _parse(input) {
    const parsedType = this._getType(input);
    if (parsedType !== ZodParsedType.object) {
      const ctx2 = this._getOrReturnCtx(input);
      addIssueToContext(ctx2, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.object,
        received: ctx2.parsedType
      });
      return INVALID;
    }
    const { status, ctx } = this._processInputParams(input);
    const { shape, keys: shapeKeys } = this._getCached();
    const extraKeys = [];
    if (!(this._def.catchall instanceof ZodNever && this._def.unknownKeys === "strip")) {
      for (const key in ctx.data) {
        if (!shapeKeys.includes(key)) {
          extraKeys.push(key);
        }
      }
    }
    const pairs = [];
    for (const key of shapeKeys) {
      const keyValidator = shape[key];
      const value = ctx.data[key];
      pairs.push({
        key: { status: "valid", value: key },
        value: keyValidator._parse(new ParseInputLazyPath(ctx, value, ctx.path, key)),
        alwaysSet: key in ctx.data
      });
    }
    if (this._def.catchall instanceof ZodNever) {
      const unknownKeys = this._def.unknownKeys;
      if (unknownKeys === "passthrough") {
        for (const key of extraKeys) {
          pairs.push({
            key: { status: "valid", value: key },
            value: { status: "valid", value: ctx.data[key] }
          });
        }
      } else if (unknownKeys === "strict") {
        if (extraKeys.length > 0) {
          addIssueToContext(ctx, {
            code: ZodIssueCode.unrecognized_keys,
            keys: extraKeys
          });
          status.dirty();
        }
      } else if (unknownKeys === "strip")
        ;
      else {
        throw new Error(`Internal ZodObject error: invalid unknownKeys value.`);
      }
    } else {
      const catchall = this._def.catchall;
      for (const key of extraKeys) {
        const value = ctx.data[key];
        pairs.push({
          key: { status: "valid", value: key },
          value: catchall._parse(new ParseInputLazyPath(ctx, value, ctx.path, key)),
          alwaysSet: key in ctx.data
        });
      }
    }
    if (ctx.common.async) {
      return Promise.resolve().then(async () => {
        const syncPairs = [];
        for (const pair of pairs) {
          const key = await pair.key;
          const value = await pair.value;
          syncPairs.push({
            key,
            value,
            alwaysSet: pair.alwaysSet
          });
        }
        return syncPairs;
      }).then((syncPairs) => {
        return ParseStatus.mergeObjectSync(status, syncPairs);
      });
    } else {
      return ParseStatus.mergeObjectSync(status, pairs);
    }
  }
  get shape() {
    return this._def.shape();
  }
  strict(message) {
    errorUtil.errToObj;
    return new ZodObject({
      ...this._def,
      unknownKeys: "strict",
      ...message !== undefined ? {
        errorMap: (issue, ctx) => {
          var _a, _b, _c, _d;
          const defaultError = (_c = (_b = (_a = this._def).errorMap) === null || _b === undefined ? undefined : _b.call(_a, issue, ctx).message) !== null && _c !== undefined ? _c : ctx.defaultError;
          if (issue.code === "unrecognized_keys")
            return {
              message: (_d = errorUtil.errToObj(message).message) !== null && _d !== undefined ? _d : defaultError
            };
          return {
            message: defaultError
          };
        }
      } : {}
    });
  }
  strip() {
    return new ZodObject({
      ...this._def,
      unknownKeys: "strip"
    });
  }
  passthrough() {
    return new ZodObject({
      ...this._def,
      unknownKeys: "passthrough"
    });
  }
  extend(augmentation) {
    return new ZodObject({
      ...this._def,
      shape: () => ({
        ...this._def.shape(),
        ...augmentation
      })
    });
  }
  merge(merging) {
    const merged = new ZodObject({
      unknownKeys: merging._def.unknownKeys,
      catchall: merging._def.catchall,
      shape: () => ({
        ...this._def.shape(),
        ...merging._def.shape()
      }),
      typeName: ZodFirstPartyTypeKind.ZodObject
    });
    return merged;
  }
  setKey(key, schema) {
    return this.augment({ [key]: schema });
  }
  catchall(index) {
    return new ZodObject({
      ...this._def,
      catchall: index
    });
  }
  pick(mask) {
    const shape = {};
    util.objectKeys(mask).forEach((key) => {
      if (mask[key] && this.shape[key]) {
        shape[key] = this.shape[key];
      }
    });
    return new ZodObject({
      ...this._def,
      shape: () => shape
    });
  }
  omit(mask) {
    const shape = {};
    util.objectKeys(this.shape).forEach((key) => {
      if (!mask[key]) {
        shape[key] = this.shape[key];
      }
    });
    return new ZodObject({
      ...this._def,
      shape: () => shape
    });
  }
  deepPartial() {
    return deepPartialify(this);
  }
  partial(mask) {
    const newShape = {};
    util.objectKeys(this.shape).forEach((key) => {
      const fieldSchema = this.shape[key];
      if (mask && !mask[key]) {
        newShape[key] = fieldSchema;
      } else {
        newShape[key] = fieldSchema.optional();
      }
    });
    return new ZodObject({
      ...this._def,
      shape: () => newShape
    });
  }
  required(mask) {
    const newShape = {};
    util.objectKeys(this.shape).forEach((key) => {
      if (mask && !mask[key]) {
        newShape[key] = this.shape[key];
      } else {
        const fieldSchema = this.shape[key];
        let newField = fieldSchema;
        while (newField instanceof ZodOptional) {
          newField = newField._def.innerType;
        }
        newShape[key] = newField;
      }
    });
    return new ZodObject({
      ...this._def,
      shape: () => newShape
    });
  }
  keyof() {
    return createZodEnum(util.objectKeys(this.shape));
  }
}
ZodObject.create = (shape, params) => {
  return new ZodObject({
    shape: () => shape,
    unknownKeys: "strip",
    catchall: ZodNever.create(),
    typeName: ZodFirstPartyTypeKind.ZodObject,
    ...processCreateParams(params)
  });
};
ZodObject.strictCreate = (shape, params) => {
  return new ZodObject({
    shape: () => shape,
    unknownKeys: "strict",
    catchall: ZodNever.create(),
    typeName: ZodFirstPartyTypeKind.ZodObject,
    ...processCreateParams(params)
  });
};
ZodObject.lazycreate = (shape, params) => {
  return new ZodObject({
    shape,
    unknownKeys: "strip",
    catchall: ZodNever.create(),
    typeName: ZodFirstPartyTypeKind.ZodObject,
    ...processCreateParams(params)
  });
};

class ZodUnion extends ZodType {
  _parse(input) {
    const { ctx } = this._processInputParams(input);
    const options = this._def.options;
    function handleResults(results) {
      for (const result of results) {
        if (result.result.status === "valid") {
          return result.result;
        }
      }
      for (const result of results) {
        if (result.result.status === "dirty") {
          ctx.common.issues.push(...result.ctx.common.issues);
          return result.result;
        }
      }
      const unionErrors = results.map((result) => new ZodError(result.ctx.common.issues));
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_union,
        unionErrors
      });
      return INVALID;
    }
    if (ctx.common.async) {
      return Promise.all(options.map(async (option) => {
        const childCtx = {
          ...ctx,
          common: {
            ...ctx.common,
            issues: []
          },
          parent: null
        };
        return {
          result: await option._parseAsync({
            data: ctx.data,
            path: ctx.path,
            parent: childCtx
          }),
          ctx: childCtx
        };
      })).then(handleResults);
    } else {
      let dirty = undefined;
      const issues = [];
      for (const option of options) {
        const childCtx = {
          ...ctx,
          common: {
            ...ctx.common,
            issues: []
          },
          parent: null
        };
        const result = option._parseSync({
          data: ctx.data,
          path: ctx.path,
          parent: childCtx
        });
        if (result.status === "valid") {
          return result;
        } else if (result.status === "dirty" && !dirty) {
          dirty = { result, ctx: childCtx };
        }
        if (childCtx.common.issues.length) {
          issues.push(childCtx.common.issues);
        }
      }
      if (dirty) {
        ctx.common.issues.push(...dirty.ctx.common.issues);
        return dirty.result;
      }
      const unionErrors = issues.map((issues2) => new ZodError(issues2));
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_union,
        unionErrors
      });
      return INVALID;
    }
  }
  get options() {
    return this._def.options;
  }
}
ZodUnion.create = (types, params) => {
  return new ZodUnion({
    options: types,
    typeName: ZodFirstPartyTypeKind.ZodUnion,
    ...processCreateParams(params)
  });
};
var getDiscriminator = (type) => {
  if (type instanceof ZodLazy) {
    return getDiscriminator(type.schema);
  } else if (type instanceof ZodEffects) {
    return getDiscriminator(type.innerType());
  } else if (type instanceof ZodLiteral) {
    return [type.value];
  } else if (type instanceof ZodEnum) {
    return type.options;
  } else if (type instanceof ZodNativeEnum) {
    return util.objectValues(type.enum);
  } else if (type instanceof ZodDefault) {
    return getDiscriminator(type._def.innerType);
  } else if (type instanceof ZodUndefined) {
    return [undefined];
  } else if (type instanceof ZodNull) {
    return [null];
  } else if (type instanceof ZodOptional) {
    return [undefined, ...getDiscriminator(type.unwrap())];
  } else if (type instanceof ZodNullable) {
    return [null, ...getDiscriminator(type.unwrap())];
  } else if (type instanceof ZodBranded) {
    return getDiscriminator(type.unwrap());
  } else if (type instanceof ZodReadonly) {
    return getDiscriminator(type.unwrap());
  } else if (type instanceof ZodCatch) {
    return getDiscriminator(type._def.innerType);
  } else {
    return [];
  }
};

class ZodDiscriminatedUnion extends ZodType {
  _parse(input) {
    const { ctx } = this._processInputParams(input);
    if (ctx.parsedType !== ZodParsedType.object) {
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.object,
        received: ctx.parsedType
      });
      return INVALID;
    }
    const discriminator = this.discriminator;
    const discriminatorValue = ctx.data[discriminator];
    const option = this.optionsMap.get(discriminatorValue);
    if (!option) {
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_union_discriminator,
        options: Array.from(this.optionsMap.keys()),
        path: [discriminator]
      });
      return INVALID;
    }
    if (ctx.common.async) {
      return option._parseAsync({
        data: ctx.data,
        path: ctx.path,
        parent: ctx
      });
    } else {
      return option._parseSync({
        data: ctx.data,
        path: ctx.path,
        parent: ctx
      });
    }
  }
  get discriminator() {
    return this._def.discriminator;
  }
  get options() {
    return this._def.options;
  }
  get optionsMap() {
    return this._def.optionsMap;
  }
  static create(discriminator, options, params) {
    const optionsMap = new Map;
    for (const type of options) {
      const discriminatorValues = getDiscriminator(type.shape[discriminator]);
      if (!discriminatorValues.length) {
        throw new Error(`A discriminator value for key \`${discriminator}\` could not be extracted from all schema options`);
      }
      for (const value of discriminatorValues) {
        if (optionsMap.has(value)) {
          throw new Error(`Discriminator property ${String(discriminator)} has duplicate value ${String(value)}`);
        }
        optionsMap.set(value, type);
      }
    }
    return new ZodDiscriminatedUnion({
      typeName: ZodFirstPartyTypeKind.ZodDiscriminatedUnion,
      discriminator,
      options,
      optionsMap,
      ...processCreateParams(params)
    });
  }
}
function mergeValues(a, b2) {
  const aType = getParsedType(a);
  const bType = getParsedType(b2);
  if (a === b2) {
    return { valid: true, data: a };
  } else if (aType === ZodParsedType.object && bType === ZodParsedType.object) {
    const bKeys = util.objectKeys(b2);
    const sharedKeys = util.objectKeys(a).filter((key) => bKeys.indexOf(key) !== -1);
    const newObj = { ...a, ...b2 };
    for (const key of sharedKeys) {
      const sharedValue = mergeValues(a[key], b2[key]);
      if (!sharedValue.valid) {
        return { valid: false };
      }
      newObj[key] = sharedValue.data;
    }
    return { valid: true, data: newObj };
  } else if (aType === ZodParsedType.array && bType === ZodParsedType.array) {
    if (a.length !== b2.length) {
      return { valid: false };
    }
    const newArray = [];
    for (let index = 0;index < a.length; index++) {
      const itemA = a[index];
      const itemB = b2[index];
      const sharedValue = mergeValues(itemA, itemB);
      if (!sharedValue.valid) {
        return { valid: false };
      }
      newArray.push(sharedValue.data);
    }
    return { valid: true, data: newArray };
  } else if (aType === ZodParsedType.date && bType === ZodParsedType.date && +a === +b2) {
    return { valid: true, data: a };
  } else {
    return { valid: false };
  }
}

class ZodIntersection extends ZodType {
  _parse(input) {
    const { status, ctx } = this._processInputParams(input);
    const handleParsed = (parsedLeft, parsedRight) => {
      if (isAborted(parsedLeft) || isAborted(parsedRight)) {
        return INVALID;
      }
      const merged = mergeValues(parsedLeft.value, parsedRight.value);
      if (!merged.valid) {
        addIssueToContext(ctx, {
          code: ZodIssueCode.invalid_intersection_types
        });
        return INVALID;
      }
      if (isDirty(parsedLeft) || isDirty(parsedRight)) {
        status.dirty();
      }
      return { status: status.value, value: merged.data };
    };
    if (ctx.common.async) {
      return Promise.all([
        this._def.left._parseAsync({
          data: ctx.data,
          path: ctx.path,
          parent: ctx
        }),
        this._def.right._parseAsync({
          data: ctx.data,
          path: ctx.path,
          parent: ctx
        })
      ]).then(([left, right]) => handleParsed(left, right));
    } else {
      return handleParsed(this._def.left._parseSync({
        data: ctx.data,
        path: ctx.path,
        parent: ctx
      }), this._def.right._parseSync({
        data: ctx.data,
        path: ctx.path,
        parent: ctx
      }));
    }
  }
}
ZodIntersection.create = (left, right, params) => {
  return new ZodIntersection({
    left,
    right,
    typeName: ZodFirstPartyTypeKind.ZodIntersection,
    ...processCreateParams(params)
  });
};

class ZodTuple extends ZodType {
  _parse(input) {
    const { status, ctx } = this._processInputParams(input);
    if (ctx.parsedType !== ZodParsedType.array) {
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.array,
        received: ctx.parsedType
      });
      return INVALID;
    }
    if (ctx.data.length < this._def.items.length) {
      addIssueToContext(ctx, {
        code: ZodIssueCode.too_small,
        minimum: this._def.items.length,
        inclusive: true,
        exact: false,
        type: "array"
      });
      return INVALID;
    }
    const rest = this._def.rest;
    if (!rest && ctx.data.length > this._def.items.length) {
      addIssueToContext(ctx, {
        code: ZodIssueCode.too_big,
        maximum: this._def.items.length,
        inclusive: true,
        exact: false,
        type: "array"
      });
      status.dirty();
    }
    const items = [...ctx.data].map((item, itemIndex) => {
      const schema = this._def.items[itemIndex] || this._def.rest;
      if (!schema)
        return null;
      return schema._parse(new ParseInputLazyPath(ctx, item, ctx.path, itemIndex));
    }).filter((x2) => !!x2);
    if (ctx.common.async) {
      return Promise.all(items).then((results) => {
        return ParseStatus.mergeArray(status, results);
      });
    } else {
      return ParseStatus.mergeArray(status, items);
    }
  }
  get items() {
    return this._def.items;
  }
  rest(rest) {
    return new ZodTuple({
      ...this._def,
      rest
    });
  }
}
ZodTuple.create = (schemas, params) => {
  if (!Array.isArray(schemas)) {
    throw new Error("You must pass an array of schemas to z.tuple([ ... ])");
  }
  return new ZodTuple({
    items: schemas,
    typeName: ZodFirstPartyTypeKind.ZodTuple,
    rest: null,
    ...processCreateParams(params)
  });
};

class ZodRecord extends ZodType {
  get keySchema() {
    return this._def.keyType;
  }
  get valueSchema() {
    return this._def.valueType;
  }
  _parse(input) {
    const { status, ctx } = this._processInputParams(input);
    if (ctx.parsedType !== ZodParsedType.object) {
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.object,
        received: ctx.parsedType
      });
      return INVALID;
    }
    const pairs = [];
    const keyType = this._def.keyType;
    const valueType = this._def.valueType;
    for (const key in ctx.data) {
      pairs.push({
        key: keyType._parse(new ParseInputLazyPath(ctx, key, ctx.path, key)),
        value: valueType._parse(new ParseInputLazyPath(ctx, ctx.data[key], ctx.path, key)),
        alwaysSet: key in ctx.data
      });
    }
    if (ctx.common.async) {
      return ParseStatus.mergeObjectAsync(status, pairs);
    } else {
      return ParseStatus.mergeObjectSync(status, pairs);
    }
  }
  get element() {
    return this._def.valueType;
  }
  static create(first, second, third) {
    if (second instanceof ZodType) {
      return new ZodRecord({
        keyType: first,
        valueType: second,
        typeName: ZodFirstPartyTypeKind.ZodRecord,
        ...processCreateParams(third)
      });
    }
    return new ZodRecord({
      keyType: ZodString.create(),
      valueType: first,
      typeName: ZodFirstPartyTypeKind.ZodRecord,
      ...processCreateParams(second)
    });
  }
}

class ZodMap extends ZodType {
  get keySchema() {
    return this._def.keyType;
  }
  get valueSchema() {
    return this._def.valueType;
  }
  _parse(input) {
    const { status, ctx } = this._processInputParams(input);
    if (ctx.parsedType !== ZodParsedType.map) {
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.map,
        received: ctx.parsedType
      });
      return INVALID;
    }
    const keyType = this._def.keyType;
    const valueType = this._def.valueType;
    const pairs = [...ctx.data.entries()].map(([key, value], index) => {
      return {
        key: keyType._parse(new ParseInputLazyPath(ctx, key, ctx.path, [index, "key"])),
        value: valueType._parse(new ParseInputLazyPath(ctx, value, ctx.path, [index, "value"]))
      };
    });
    if (ctx.common.async) {
      const finalMap = new Map;
      return Promise.resolve().then(async () => {
        for (const pair of pairs) {
          const key = await pair.key;
          const value = await pair.value;
          if (key.status === "aborted" || value.status === "aborted") {
            return INVALID;
          }
          if (key.status === "dirty" || value.status === "dirty") {
            status.dirty();
          }
          finalMap.set(key.value, value.value);
        }
        return { status: status.value, value: finalMap };
      });
    } else {
      const finalMap = new Map;
      for (const pair of pairs) {
        const key = pair.key;
        const value = pair.value;
        if (key.status === "aborted" || value.status === "aborted") {
          return INVALID;
        }
        if (key.status === "dirty" || value.status === "dirty") {
          status.dirty();
        }
        finalMap.set(key.value, value.value);
      }
      return { status: status.value, value: finalMap };
    }
  }
}
ZodMap.create = (keyType, valueType, params) => {
  return new ZodMap({
    valueType,
    keyType,
    typeName: ZodFirstPartyTypeKind.ZodMap,
    ...processCreateParams(params)
  });
};

class ZodSet extends ZodType {
  _parse(input) {
    const { status, ctx } = this._processInputParams(input);
    if (ctx.parsedType !== ZodParsedType.set) {
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.set,
        received: ctx.parsedType
      });
      return INVALID;
    }
    const def = this._def;
    if (def.minSize !== null) {
      if (ctx.data.size < def.minSize.value) {
        addIssueToContext(ctx, {
          code: ZodIssueCode.too_small,
          minimum: def.minSize.value,
          type: "set",
          inclusive: true,
          exact: false,
          message: def.minSize.message
        });
        status.dirty();
      }
    }
    if (def.maxSize !== null) {
      if (ctx.data.size > def.maxSize.value) {
        addIssueToContext(ctx, {
          code: ZodIssueCode.too_big,
          maximum: def.maxSize.value,
          type: "set",
          inclusive: true,
          exact: false,
          message: def.maxSize.message
        });
        status.dirty();
      }
    }
    const valueType = this._def.valueType;
    function finalizeSet(elements2) {
      const parsedSet = new Set;
      for (const element of elements2) {
        if (element.status === "aborted")
          return INVALID;
        if (element.status === "dirty")
          status.dirty();
        parsedSet.add(element.value);
      }
      return { status: status.value, value: parsedSet };
    }
    const elements = [...ctx.data.values()].map((item, i) => valueType._parse(new ParseInputLazyPath(ctx, item, ctx.path, i)));
    if (ctx.common.async) {
      return Promise.all(elements).then((elements2) => finalizeSet(elements2));
    } else {
      return finalizeSet(elements);
    }
  }
  min(minSize, message) {
    return new ZodSet({
      ...this._def,
      minSize: { value: minSize, message: errorUtil.toString(message) }
    });
  }
  max(maxSize, message) {
    return new ZodSet({
      ...this._def,
      maxSize: { value: maxSize, message: errorUtil.toString(message) }
    });
  }
  size(size, message) {
    return this.min(size, message).max(size, message);
  }
  nonempty(message) {
    return this.min(1, message);
  }
}
ZodSet.create = (valueType, params) => {
  return new ZodSet({
    valueType,
    minSize: null,
    maxSize: null,
    typeName: ZodFirstPartyTypeKind.ZodSet,
    ...processCreateParams(params)
  });
};

class ZodFunction extends ZodType {
  constructor() {
    super(...arguments);
    this.validate = this.implement;
  }
  _parse(input) {
    const { ctx } = this._processInputParams(input);
    if (ctx.parsedType !== ZodParsedType.function) {
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.function,
        received: ctx.parsedType
      });
      return INVALID;
    }
    function makeArgsIssue(args, error) {
      return makeIssue({
        data: args,
        path: ctx.path,
        errorMaps: [
          ctx.common.contextualErrorMap,
          ctx.schemaErrorMap,
          getErrorMap(),
          errorMap
        ].filter((x2) => !!x2),
        issueData: {
          code: ZodIssueCode.invalid_arguments,
          argumentsError: error
        }
      });
    }
    function makeReturnsIssue(returns, error) {
      return makeIssue({
        data: returns,
        path: ctx.path,
        errorMaps: [
          ctx.common.contextualErrorMap,
          ctx.schemaErrorMap,
          getErrorMap(),
          errorMap
        ].filter((x2) => !!x2),
        issueData: {
          code: ZodIssueCode.invalid_return_type,
          returnTypeError: error
        }
      });
    }
    const params = { errorMap: ctx.common.contextualErrorMap };
    const fn = ctx.data;
    if (this._def.returns instanceof ZodPromise) {
      const me2 = this;
      return OK2(async function(...args) {
        const error = new ZodError([]);
        const parsedArgs = await me2._def.args.parseAsync(args, params).catch((e2) => {
          error.addIssue(makeArgsIssue(args, e2));
          throw error;
        });
        const result = await Reflect.apply(fn, this, parsedArgs);
        const parsedReturns = await me2._def.returns._def.type.parseAsync(result, params).catch((e2) => {
          error.addIssue(makeReturnsIssue(result, e2));
          throw error;
        });
        return parsedReturns;
      });
    } else {
      const me2 = this;
      return OK2(function(...args) {
        const parsedArgs = me2._def.args.safeParse(args, params);
        if (!parsedArgs.success) {
          throw new ZodError([makeArgsIssue(args, parsedArgs.error)]);
        }
        const result = Reflect.apply(fn, this, parsedArgs.data);
        const parsedReturns = me2._def.returns.safeParse(result, params);
        if (!parsedReturns.success) {
          throw new ZodError([makeReturnsIssue(result, parsedReturns.error)]);
        }
        return parsedReturns.data;
      });
    }
  }
  parameters() {
    return this._def.args;
  }
  returnType() {
    return this._def.returns;
  }
  args(...items) {
    return new ZodFunction({
      ...this._def,
      args: ZodTuple.create(items).rest(ZodUnknown.create())
    });
  }
  returns(returnType) {
    return new ZodFunction({
      ...this._def,
      returns: returnType
    });
  }
  implement(func) {
    const validatedFunc = this.parse(func);
    return validatedFunc;
  }
  strictImplement(func) {
    const validatedFunc = this.parse(func);
    return validatedFunc;
  }
  static create(args, returns, params) {
    return new ZodFunction({
      args: args ? args : ZodTuple.create([]).rest(ZodUnknown.create()),
      returns: returns || ZodUnknown.create(),
      typeName: ZodFirstPartyTypeKind.ZodFunction,
      ...processCreateParams(params)
    });
  }
}

class ZodLazy extends ZodType {
  get schema() {
    return this._def.getter();
  }
  _parse(input) {
    const { ctx } = this._processInputParams(input);
    const lazySchema = this._def.getter();
    return lazySchema._parse({ data: ctx.data, path: ctx.path, parent: ctx });
  }
}
ZodLazy.create = (getter, params) => {
  return new ZodLazy({
    getter,
    typeName: ZodFirstPartyTypeKind.ZodLazy,
    ...processCreateParams(params)
  });
};

class ZodLiteral extends ZodType {
  _parse(input) {
    if (input.data !== this._def.value) {
      const ctx = this._getOrReturnCtx(input);
      addIssueToContext(ctx, {
        received: ctx.data,
        code: ZodIssueCode.invalid_literal,
        expected: this._def.value
      });
      return INVALID;
    }
    return { status: "valid", value: input.data };
  }
  get value() {
    return this._def.value;
  }
}
ZodLiteral.create = (value, params) => {
  return new ZodLiteral({
    value,
    typeName: ZodFirstPartyTypeKind.ZodLiteral,
    ...processCreateParams(params)
  });
};
function createZodEnum(values, params) {
  return new ZodEnum({
    values,
    typeName: ZodFirstPartyTypeKind.ZodEnum,
    ...processCreateParams(params)
  });
}

class ZodEnum extends ZodType {
  constructor() {
    super(...arguments);
    _ZodEnum_cache.set(this, undefined);
  }
  _parse(input) {
    if (typeof input.data !== "string") {
      const ctx = this._getOrReturnCtx(input);
      const expectedValues = this._def.values;
      addIssueToContext(ctx, {
        expected: util.joinValues(expectedValues),
        received: ctx.parsedType,
        code: ZodIssueCode.invalid_type
      });
      return INVALID;
    }
    if (!__classPrivateFieldGet(this, _ZodEnum_cache, "f")) {
      __classPrivateFieldSet(this, _ZodEnum_cache, new Set(this._def.values), "f");
    }
    if (!__classPrivateFieldGet(this, _ZodEnum_cache, "f").has(input.data)) {
      const ctx = this._getOrReturnCtx(input);
      const expectedValues = this._def.values;
      addIssueToContext(ctx, {
        received: ctx.data,
        code: ZodIssueCode.invalid_enum_value,
        options: expectedValues
      });
      return INVALID;
    }
    return OK2(input.data);
  }
  get options() {
    return this._def.values;
  }
  get enum() {
    const enumValues = {};
    for (const val of this._def.values) {
      enumValues[val] = val;
    }
    return enumValues;
  }
  get Values() {
    const enumValues = {};
    for (const val of this._def.values) {
      enumValues[val] = val;
    }
    return enumValues;
  }
  get Enum() {
    const enumValues = {};
    for (const val of this._def.values) {
      enumValues[val] = val;
    }
    return enumValues;
  }
  extract(values, newDef = this._def) {
    return ZodEnum.create(values, {
      ...this._def,
      ...newDef
    });
  }
  exclude(values, newDef = this._def) {
    return ZodEnum.create(this.options.filter((opt) => !values.includes(opt)), {
      ...this._def,
      ...newDef
    });
  }
}
_ZodEnum_cache = new WeakMap;
ZodEnum.create = createZodEnum;

class ZodNativeEnum extends ZodType {
  constructor() {
    super(...arguments);
    _ZodNativeEnum_cache.set(this, undefined);
  }
  _parse(input) {
    const nativeEnumValues = util.getValidEnumValues(this._def.values);
    const ctx = this._getOrReturnCtx(input);
    if (ctx.parsedType !== ZodParsedType.string && ctx.parsedType !== ZodParsedType.number) {
      const expectedValues = util.objectValues(nativeEnumValues);
      addIssueToContext(ctx, {
        expected: util.joinValues(expectedValues),
        received: ctx.parsedType,
        code: ZodIssueCode.invalid_type
      });
      return INVALID;
    }
    if (!__classPrivateFieldGet(this, _ZodNativeEnum_cache, "f")) {
      __classPrivateFieldSet(this, _ZodNativeEnum_cache, new Set(util.getValidEnumValues(this._def.values)), "f");
    }
    if (!__classPrivateFieldGet(this, _ZodNativeEnum_cache, "f").has(input.data)) {
      const expectedValues = util.objectValues(nativeEnumValues);
      addIssueToContext(ctx, {
        received: ctx.data,
        code: ZodIssueCode.invalid_enum_value,
        options: expectedValues
      });
      return INVALID;
    }
    return OK2(input.data);
  }
  get enum() {
    return this._def.values;
  }
}
_ZodNativeEnum_cache = new WeakMap;
ZodNativeEnum.create = (values, params) => {
  return new ZodNativeEnum({
    values,
    typeName: ZodFirstPartyTypeKind.ZodNativeEnum,
    ...processCreateParams(params)
  });
};

class ZodPromise extends ZodType {
  unwrap() {
    return this._def.type;
  }
  _parse(input) {
    const { ctx } = this._processInputParams(input);
    if (ctx.parsedType !== ZodParsedType.promise && ctx.common.async === false) {
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.promise,
        received: ctx.parsedType
      });
      return INVALID;
    }
    const promisified = ctx.parsedType === ZodParsedType.promise ? ctx.data : Promise.resolve(ctx.data);
    return OK2(promisified.then((data) => {
      return this._def.type.parseAsync(data, {
        path: ctx.path,
        errorMap: ctx.common.contextualErrorMap
      });
    }));
  }
}
ZodPromise.create = (schema, params) => {
  return new ZodPromise({
    type: schema,
    typeName: ZodFirstPartyTypeKind.ZodPromise,
    ...processCreateParams(params)
  });
};

class ZodEffects extends ZodType {
  innerType() {
    return this._def.schema;
  }
  sourceType() {
    return this._def.schema._def.typeName === ZodFirstPartyTypeKind.ZodEffects ? this._def.schema.sourceType() : this._def.schema;
  }
  _parse(input) {
    const { status, ctx } = this._processInputParams(input);
    const effect = this._def.effect || null;
    const checkCtx = {
      addIssue: (arg) => {
        addIssueToContext(ctx, arg);
        if (arg.fatal) {
          status.abort();
        } else {
          status.dirty();
        }
      },
      get path() {
        return ctx.path;
      }
    };
    checkCtx.addIssue = checkCtx.addIssue.bind(checkCtx);
    if (effect.type === "preprocess") {
      const processed = effect.transform(ctx.data, checkCtx);
      if (ctx.common.async) {
        return Promise.resolve(processed).then(async (processed2) => {
          if (status.value === "aborted")
            return INVALID;
          const result = await this._def.schema._parseAsync({
            data: processed2,
            path: ctx.path,
            parent: ctx
          });
          if (result.status === "aborted")
            return INVALID;
          if (result.status === "dirty")
            return DIRTY(result.value);
          if (status.value === "dirty")
            return DIRTY(result.value);
          return result;
        });
      } else {
        if (status.value === "aborted")
          return INVALID;
        const result = this._def.schema._parseSync({
          data: processed,
          path: ctx.path,
          parent: ctx
        });
        if (result.status === "aborted")
          return INVALID;
        if (result.status === "dirty")
          return DIRTY(result.value);
        if (status.value === "dirty")
          return DIRTY(result.value);
        return result;
      }
    }
    if (effect.type === "refinement") {
      const executeRefinement = (acc) => {
        const result = effect.refinement(acc, checkCtx);
        if (ctx.common.async) {
          return Promise.resolve(result);
        }
        if (result instanceof Promise) {
          throw new Error("Async refinement encountered during synchronous parse operation. Use .parseAsync instead.");
        }
        return acc;
      };
      if (ctx.common.async === false) {
        const inner = this._def.schema._parseSync({
          data: ctx.data,
          path: ctx.path,
          parent: ctx
        });
        if (inner.status === "aborted")
          return INVALID;
        if (inner.status === "dirty")
          status.dirty();
        executeRefinement(inner.value);
        return { status: status.value, value: inner.value };
      } else {
        return this._def.schema._parseAsync({ data: ctx.data, path: ctx.path, parent: ctx }).then((inner) => {
          if (inner.status === "aborted")
            return INVALID;
          if (inner.status === "dirty")
            status.dirty();
          return executeRefinement(inner.value).then(() => {
            return { status: status.value, value: inner.value };
          });
        });
      }
    }
    if (effect.type === "transform") {
      if (ctx.common.async === false) {
        const base = this._def.schema._parseSync({
          data: ctx.data,
          path: ctx.path,
          parent: ctx
        });
        if (!isValid(base))
          return base;
        const result = effect.transform(base.value, checkCtx);
        if (result instanceof Promise) {
          throw new Error(`Asynchronous transform encountered during synchronous parse operation. Use .parseAsync instead.`);
        }
        return { status: status.value, value: result };
      } else {
        return this._def.schema._parseAsync({ data: ctx.data, path: ctx.path, parent: ctx }).then((base) => {
          if (!isValid(base))
            return base;
          return Promise.resolve(effect.transform(base.value, checkCtx)).then((result) => ({ status: status.value, value: result }));
        });
      }
    }
    util.assertNever(effect);
  }
}
ZodEffects.create = (schema, effect, params) => {
  return new ZodEffects({
    schema,
    typeName: ZodFirstPartyTypeKind.ZodEffects,
    effect,
    ...processCreateParams(params)
  });
};
ZodEffects.createWithPreprocess = (preprocess, schema, params) => {
  return new ZodEffects({
    schema,
    effect: { type: "preprocess", transform: preprocess },
    typeName: ZodFirstPartyTypeKind.ZodEffects,
    ...processCreateParams(params)
  });
};

class ZodOptional extends ZodType {
  _parse(input) {
    const parsedType = this._getType(input);
    if (parsedType === ZodParsedType.undefined) {
      return OK2(undefined);
    }
    return this._def.innerType._parse(input);
  }
  unwrap() {
    return this._def.innerType;
  }
}
ZodOptional.create = (type, params) => {
  return new ZodOptional({
    innerType: type,
    typeName: ZodFirstPartyTypeKind.ZodOptional,
    ...processCreateParams(params)
  });
};

class ZodNullable extends ZodType {
  _parse(input) {
    const parsedType = this._getType(input);
    if (parsedType === ZodParsedType.null) {
      return OK2(null);
    }
    return this._def.innerType._parse(input);
  }
  unwrap() {
    return this._def.innerType;
  }
}
ZodNullable.create = (type, params) => {
  return new ZodNullable({
    innerType: type,
    typeName: ZodFirstPartyTypeKind.ZodNullable,
    ...processCreateParams(params)
  });
};

class ZodDefault extends ZodType {
  _parse(input) {
    const { ctx } = this._processInputParams(input);
    let data = ctx.data;
    if (ctx.parsedType === ZodParsedType.undefined) {
      data = this._def.defaultValue();
    }
    return this._def.innerType._parse({
      data,
      path: ctx.path,
      parent: ctx
    });
  }
  removeDefault() {
    return this._def.innerType;
  }
}
ZodDefault.create = (type, params) => {
  return new ZodDefault({
    innerType: type,
    typeName: ZodFirstPartyTypeKind.ZodDefault,
    defaultValue: typeof params.default === "function" ? params.default : () => params.default,
    ...processCreateParams(params)
  });
};

class ZodCatch extends ZodType {
  _parse(input) {
    const { ctx } = this._processInputParams(input);
    const newCtx = {
      ...ctx,
      common: {
        ...ctx.common,
        issues: []
      }
    };
    const result = this._def.innerType._parse({
      data: newCtx.data,
      path: newCtx.path,
      parent: {
        ...newCtx
      }
    });
    if (isAsync(result)) {
      return result.then((result2) => {
        return {
          status: "valid",
          value: result2.status === "valid" ? result2.value : this._def.catchValue({
            get error() {
              return new ZodError(newCtx.common.issues);
            },
            input: newCtx.data
          })
        };
      });
    } else {
      return {
        status: "valid",
        value: result.status === "valid" ? result.value : this._def.catchValue({
          get error() {
            return new ZodError(newCtx.common.issues);
          },
          input: newCtx.data
        })
      };
    }
  }
  removeCatch() {
    return this._def.innerType;
  }
}
ZodCatch.create = (type, params) => {
  return new ZodCatch({
    innerType: type,
    typeName: ZodFirstPartyTypeKind.ZodCatch,
    catchValue: typeof params.catch === "function" ? params.catch : () => params.catch,
    ...processCreateParams(params)
  });
};

class ZodNaN extends ZodType {
  _parse(input) {
    const parsedType = this._getType(input);
    if (parsedType !== ZodParsedType.nan) {
      const ctx = this._getOrReturnCtx(input);
      addIssueToContext(ctx, {
        code: ZodIssueCode.invalid_type,
        expected: ZodParsedType.nan,
        received: ctx.parsedType
      });
      return INVALID;
    }
    return { status: "valid", value: input.data };
  }
}
ZodNaN.create = (params) => {
  return new ZodNaN({
    typeName: ZodFirstPartyTypeKind.ZodNaN,
    ...processCreateParams(params)
  });
};
var BRAND = Symbol("zod_brand");

class ZodBranded extends ZodType {
  _parse(input) {
    const { ctx } = this._processInputParams(input);
    const data = ctx.data;
    return this._def.type._parse({
      data,
      path: ctx.path,
      parent: ctx
    });
  }
  unwrap() {
    return this._def.type;
  }
}

class ZodPipeline extends ZodType {
  _parse(input) {
    const { status, ctx } = this._processInputParams(input);
    if (ctx.common.async) {
      const handleAsync = async () => {
        const inResult = await this._def.in._parseAsync({
          data: ctx.data,
          path: ctx.path,
          parent: ctx
        });
        if (inResult.status === "aborted")
          return INVALID;
        if (inResult.status === "dirty") {
          status.dirty();
          return DIRTY(inResult.value);
        } else {
          return this._def.out._parseAsync({
            data: inResult.value,
            path: ctx.path,
            parent: ctx
          });
        }
      };
      return handleAsync();
    } else {
      const inResult = this._def.in._parseSync({
        data: ctx.data,
        path: ctx.path,
        parent: ctx
      });
      if (inResult.status === "aborted")
        return INVALID;
      if (inResult.status === "dirty") {
        status.dirty();
        return {
          status: "dirty",
          value: inResult.value
        };
      } else {
        return this._def.out._parseSync({
          data: inResult.value,
          path: ctx.path,
          parent: ctx
        });
      }
    }
  }
  static create(a, b2) {
    return new ZodPipeline({
      in: a,
      out: b2,
      typeName: ZodFirstPartyTypeKind.ZodPipeline
    });
  }
}

class ZodReadonly extends ZodType {
  _parse(input) {
    const result = this._def.innerType._parse(input);
    const freeze = (data) => {
      if (isValid(data)) {
        data.value = Object.freeze(data.value);
      }
      return data;
    };
    return isAsync(result) ? result.then((data) => freeze(data)) : freeze(result);
  }
  unwrap() {
    return this._def.innerType;
  }
}
ZodReadonly.create = (type, params) => {
  return new ZodReadonly({
    innerType: type,
    typeName: ZodFirstPartyTypeKind.ZodReadonly,
    ...processCreateParams(params)
  });
};
function custom(check, params = {}, fatal) {
  if (check)
    return ZodAny.create().superRefine((data, ctx) => {
      var _a, _b;
      if (!check(data)) {
        const p = typeof params === "function" ? params(data) : typeof params === "string" ? { message: params } : params;
        const _fatal = (_b = (_a = p.fatal) !== null && _a !== undefined ? _a : fatal) !== null && _b !== undefined ? _b : true;
        const p2 = typeof p === "string" ? { message: p } : p;
        ctx.addIssue({ code: "custom", ...p2, fatal: _fatal });
      }
    });
  return ZodAny.create();
}
var late = {
  object: ZodObject.lazycreate
};
var ZodFirstPartyTypeKind;
(function(ZodFirstPartyTypeKind2) {
  ZodFirstPartyTypeKind2["ZodString"] = "ZodString";
  ZodFirstPartyTypeKind2["ZodNumber"] = "ZodNumber";
  ZodFirstPartyTypeKind2["ZodNaN"] = "ZodNaN";
  ZodFirstPartyTypeKind2["ZodBigInt"] = "ZodBigInt";
  ZodFirstPartyTypeKind2["ZodBoolean"] = "ZodBoolean";
  ZodFirstPartyTypeKind2["ZodDate"] = "ZodDate";
  ZodFirstPartyTypeKind2["ZodSymbol"] = "ZodSymbol";
  ZodFirstPartyTypeKind2["ZodUndefined"] = "ZodUndefined";
  ZodFirstPartyTypeKind2["ZodNull"] = "ZodNull";
  ZodFirstPartyTypeKind2["ZodAny"] = "ZodAny";
  ZodFirstPartyTypeKind2["ZodUnknown"] = "ZodUnknown";
  ZodFirstPartyTypeKind2["ZodNever"] = "ZodNever";
  ZodFirstPartyTypeKind2["ZodVoid"] = "ZodVoid";
  ZodFirstPartyTypeKind2["ZodArray"] = "ZodArray";
  ZodFirstPartyTypeKind2["ZodObject"] = "ZodObject";
  ZodFirstPartyTypeKind2["ZodUnion"] = "ZodUnion";
  ZodFirstPartyTypeKind2["ZodDiscriminatedUnion"] = "ZodDiscriminatedUnion";
  ZodFirstPartyTypeKind2["ZodIntersection"] = "ZodIntersection";
  ZodFirstPartyTypeKind2["ZodTuple"] = "ZodTuple";
  ZodFirstPartyTypeKind2["ZodRecord"] = "ZodRecord";
  ZodFirstPartyTypeKind2["ZodMap"] = "ZodMap";
  ZodFirstPartyTypeKind2["ZodSet"] = "ZodSet";
  ZodFirstPartyTypeKind2["ZodFunction"] = "ZodFunction";
  ZodFirstPartyTypeKind2["ZodLazy"] = "ZodLazy";
  ZodFirstPartyTypeKind2["ZodLiteral"] = "ZodLiteral";
  ZodFirstPartyTypeKind2["ZodEnum"] = "ZodEnum";
  ZodFirstPartyTypeKind2["ZodEffects"] = "ZodEffects";
  ZodFirstPartyTypeKind2["ZodNativeEnum"] = "ZodNativeEnum";
  ZodFirstPartyTypeKind2["ZodOptional"] = "ZodOptional";
  ZodFirstPartyTypeKind2["ZodNullable"] = "ZodNullable";
  ZodFirstPartyTypeKind2["ZodDefault"] = "ZodDefault";
  ZodFirstPartyTypeKind2["ZodCatch"] = "ZodCatch";
  ZodFirstPartyTypeKind2["ZodPromise"] = "ZodPromise";
  ZodFirstPartyTypeKind2["ZodBranded"] = "ZodBranded";
  ZodFirstPartyTypeKind2["ZodPipeline"] = "ZodPipeline";
  ZodFirstPartyTypeKind2["ZodReadonly"] = "ZodReadonly";
})(ZodFirstPartyTypeKind || (ZodFirstPartyTypeKind = {}));
var instanceOfType = (cls, params = {
  message: `Input not instance of ${cls.name}`
}) => custom((data) => data instanceof cls, params);
var stringType = ZodString.create;
var numberType = ZodNumber.create;
var nanType = ZodNaN.create;
var bigIntType = ZodBigInt.create;
var booleanType = ZodBoolean.create;
var dateType = ZodDate.create;
var symbolType = ZodSymbol.create;
var undefinedType = ZodUndefined.create;
var nullType = ZodNull.create;
var anyType = ZodAny.create;
var unknownType = ZodUnknown.create;
var neverType = ZodNever.create;
var voidType = ZodVoid.create;
var arrayType = ZodArray.create;
var objectType = ZodObject.create;
var strictObjectType = ZodObject.strictCreate;
var unionType = ZodUnion.create;
var discriminatedUnionType = ZodDiscriminatedUnion.create;
var intersectionType = ZodIntersection.create;
var tupleType = ZodTuple.create;
var recordType = ZodRecord.create;
var mapType = ZodMap.create;
var setType = ZodSet.create;
var functionType = ZodFunction.create;
var lazyType = ZodLazy.create;
var literalType = ZodLiteral.create;
var enumType = ZodEnum.create;
var nativeEnumType = ZodNativeEnum.create;
var promiseType = ZodPromise.create;
var effectsType = ZodEffects.create;
var optionalType = ZodOptional.create;
var nullableType = ZodNullable.create;
var preprocessType = ZodEffects.createWithPreprocess;
var pipelineType = ZodPipeline.create;

// node_modules/@vercel/sdk/esm/lib/base64.js
function bytesToBase64(u8arr) {
  return btoa(String.fromCodePoint(...u8arr));
}
function bytesFromBase64(encoded) {
  return Uint8Array.from(atob(encoded), (c2) => c2.charCodeAt(0));
}
function stringToBytes(str) {
  return new TextEncoder().encode(str);
}
function stringToBase64(str) {
  return bytesToBase64(stringToBytes(str));
}
var zodOutbound = instanceOfType(Uint8Array).or(stringType().transform(stringToBytes));
var zodInbound = instanceOfType(Uint8Array).or(stringType().transform(bytesFromBase64));

// node_modules/@vercel/sdk/esm/lib/is-plain-object.js
function isPlainObject(value) {
  if (typeof value !== "object" || value === null) {
    return false;
  }
  const prototype = Object.getPrototypeOf(value);
  return (prototype === null || prototype === Object.prototype || Object.getPrototypeOf(prototype) === null) && !(Symbol.toStringTag in value) && !(Symbol.iterator in value);
}

// node_modules/@vercel/sdk/esm/lib/encodings.js
class EncodingError extends Error {
  constructor(message) {
    super(message);
    this.name = "EncodingError";
  }
}
function formEncoder(sep) {
  return (key, value, options) => {
    let out = "";
    const pairs = options?.explode ? explode(key, value) : [[key, value]];
    if (pairs.every(([_3, v2]) => v2 == null)) {
      return;
    }
    const encodeString = (v2) => {
      return options?.charEncoding === "percent" ? encodeURIComponent(v2) : v2;
    };
    const encodeValue = (v2) => encodeString(serializeValue(v2));
    const encodedSep = encodeString(sep);
    pairs.forEach(([pk, pv]) => {
      let tmp = "";
      let encValue = null;
      if (pv == null) {
        return;
      } else if (Array.isArray(pv)) {
        encValue = mapDefined(pv, (v2) => `${encodeValue(v2)}`)?.join(encodedSep);
      } else if (isPlainObject(pv)) {
        encValue = mapDefinedEntries(Object.entries(pv), ([k3, v2]) => {
          return `${encodeString(k3)}${encodedSep}${encodeValue(v2)}`;
        })?.join(encodedSep);
      } else {
        encValue = `${encodeValue(pv)}`;
      }
      if (encValue == null) {
        return;
      }
      tmp = `${encodeString(pk)}=${encValue}`;
      if (!tmp || tmp === "=") {
        return;
      }
      out += `&${tmp}`;
    });
    return out.slice(1);
  };
}
var encodeForm = formEncoder(",");
var encodeSpaceDelimited = formEncoder(" ");
var encodePipeDelimited = formEncoder("|");
function encodeDeepObject(key, value, options) {
  if (value == null) {
    return;
  }
  if (!isPlainObject(value)) {
    throw new EncodingError(`Value of parameter '${key}' which uses deepObject encoding must be an object or null`);
  }
  return encodeDeepObjectObject(key, value, options);
}
function encodeDeepObjectObject(key, value, options) {
  if (value == null) {
    return;
  }
  let out = "";
  const encodeString = (v2) => {
    return options?.charEncoding === "percent" ? encodeURIComponent(v2) : v2;
  };
  if (!isPlainObject(value)) {
    throw new EncodingError(`Expected parameter '${key}' to be an object.`);
  }
  Object.entries(value).forEach(([ck, cv]) => {
    if (cv == null) {
      return;
    }
    const pk = `${key}[${ck}]`;
    if (isPlainObject(cv)) {
      const objOut = encodeDeepObjectObject(pk, cv, options);
      out += objOut == null ? "" : `&${objOut}`;
      return;
    }
    const pairs = Array.isArray(cv) ? cv : [cv];
    const encoded = mapDefined(pairs, (v2) => {
      return `${encodeString(pk)}=${encodeString(serializeValue(v2))}`;
    })?.join("&");
    out += encoded == null ? "" : `&${encoded}`;
  });
  return out.slice(1);
}
function encodeJSON(key, value, options) {
  if (typeof value === "undefined") {
    return;
  }
  const encodeString = (v2) => {
    return options?.charEncoding === "percent" ? encodeURIComponent(v2) : v2;
  };
  const encVal = encodeString(JSON.stringify(value, jsonReplacer));
  return options?.explode ? encVal : `${encodeString(key)}=${encVal}`;
}
var encodeSimple = (key, value, options) => {
  let out = "";
  const pairs = options?.explode ? explode(key, value) : [[key, value]];
  if (pairs.every(([_3, v2]) => v2 == null)) {
    return;
  }
  const encodeString = (v2) => {
    return options?.charEncoding === "percent" ? encodeURIComponent(v2) : v2;
  };
  const encodeValue = (v2) => encodeString(serializeValue(v2));
  pairs.forEach(([pk, pv]) => {
    let tmp = "";
    if (pv == null) {
      return;
    } else if (Array.isArray(pv)) {
      tmp = mapDefined(pv, (v2) => `${encodeValue(v2)}`)?.join(",");
    } else if (isPlainObject(pv)) {
      const mapped = mapDefinedEntries(Object.entries(pv), ([k3, v2]) => {
        return `,${encodeString(k3)},${encodeValue(v2)}`;
      });
      tmp = mapped?.join("").slice(1);
    } else {
      const k3 = options?.explode && isPlainObject(value) ? `${pk}=` : "";
      tmp = `${k3}${encodeValue(pv)}`;
    }
    out += tmp ? `,${tmp}` : "";
  });
  return out.slice(1);
};
function explode(key, value) {
  if (Array.isArray(value)) {
    return value.map((v2) => [key, v2]);
  } else if (isPlainObject(value)) {
    const o2 = value ?? {};
    return Object.entries(o2).map(([k3, v2]) => [k3, v2]);
  } else {
    return [[key, value]];
  }
}
function serializeValue(value) {
  if (value == null) {
    return "";
  } else if (value instanceof Date) {
    return value.toISOString();
  } else if (value instanceof Uint8Array) {
    return bytesToBase64(value);
  } else if (typeof value === "object") {
    return JSON.stringify(value, jsonReplacer);
  }
  return `${value}`;
}
function jsonReplacer(_3, value) {
  if (value instanceof Uint8Array) {
    return bytesToBase64(value);
  } else {
    return value;
  }
}
function mapDefined(inp, mapper) {
  const res = inp.reduce((acc, v2) => {
    if (v2 == null) {
      return acc;
    }
    const m2 = mapper(v2);
    if (m2 == null) {
      return acc;
    }
    acc.push(m2);
    return acc;
  }, []);
  return res.length ? res : null;
}
function mapDefinedEntries(inp, mapper) {
  const acc = [];
  for (const [k3, v2] of inp) {
    if (v2 == null) {
      continue;
    }
    const m2 = mapper([k3, v2]);
    if (m2 == null) {
      continue;
    }
    acc.push(m2);
  }
  return acc.length ? acc : null;
}
function queryJoin(...args) {
  return args.filter(Boolean).join("&");
}
function queryEncoder(f2) {
  const bulkEncode = function(values, options) {
    const opts = {
      ...options,
      explode: options?.explode ?? true,
      charEncoding: options?.charEncoding ?? "percent"
    };
    const encoded = Object.entries(values).map(([key, value]) => {
      return f2(key, value, opts);
    });
    return queryJoin(...encoded);
  };
  return bulkEncode;
}
var encodeJSONQuery = queryEncoder(encodeJSON);
var encodeFormQuery = queryEncoder(encodeForm);
var encodeSpaceDelimitedQuery = queryEncoder(encodeSpaceDelimited);
var encodePipeDelimitedQuery = queryEncoder(encodePipeDelimited);
var encodeDeepObjectQuery = queryEncoder(encodeDeepObject);

// node_modules/@vercel/sdk/esm/lib/http.js
var DEFAULT_FETCHER = (input, init) => {
  if (init == null) {
    return fetch(input);
  } else {
    return fetch(input, init);
  }
};

class HTTPClient {
  constructor(options = {}) {
    this.options = options;
    this.requestHooks = [];
    this.requestErrorHooks = [];
    this.responseHooks = [];
    this.fetcher = options.fetcher || DEFAULT_FETCHER;
  }
  async request(request) {
    let req = request;
    for (const hook of this.requestHooks) {
      const nextRequest = await hook(req);
      if (nextRequest) {
        req = nextRequest;
      }
    }
    try {
      const res = await this.fetcher(req);
      for (const hook of this.responseHooks) {
        await hook(res, req);
      }
      return res;
    } catch (err) {
      for (const hook of this.requestErrorHooks) {
        await hook(err, req);
      }
      throw err;
    }
  }
  addHook(...args) {
    if (args[0] === "beforeRequest") {
      this.requestHooks.push(args[1]);
    } else if (args[0] === "requestError") {
      this.requestErrorHooks.push(args[1]);
    } else if (args[0] === "response") {
      this.responseHooks.push(args[1]);
    } else {
      throw new Error(`Invalid hook type: ${args[0]}`);
    }
    return this;
  }
  removeHook(...args) {
    let target;
    if (args[0] === "beforeRequest") {
      target = this.requestHooks;
    } else if (args[0] === "requestError") {
      target = this.requestErrorHooks;
    } else if (args[0] === "response") {
      target = this.responseHooks;
    } else {
      throw new Error(`Invalid hook type: ${args[0]}`);
    }
    const index = target.findIndex((v2) => v2 === args[1]);
    if (index >= 0) {
      target.splice(index, 1);
    }
    return this;
  }
  clone() {
    const child = new HTTPClient(this.options);
    child.requestHooks = this.requestHooks.slice();
    child.requestErrorHooks = this.requestErrorHooks.slice();
    child.responseHooks = this.responseHooks.slice();
    return child;
  }
}
var mediaParamSeparator = /\s*;\s*/g;
function matchContentType(response, pattern) {
  if (pattern === "*") {
    return true;
  }
  let contentType = response.headers.get("content-type")?.trim() || "application/octet-stream";
  contentType = contentType.toLowerCase();
  const wantParts = pattern.toLowerCase().trim().split(mediaParamSeparator);
  const [wantType = "", ...wantParams] = wantParts;
  if (wantType.split("/").length !== 2) {
    return false;
  }
  const gotParts = contentType.split(mediaParamSeparator);
  const [gotType = "", ...gotParams] = gotParts;
  const [type = "", subtype = ""] = gotType.split("/");
  if (!type || !subtype) {
    return false;
  }
  if (wantType !== "*/*" && gotType !== wantType && `${type}/*` !== wantType && `*/${subtype}` !== wantType) {
    return false;
  }
  if (gotParams.length < wantParams.length) {
    return false;
  }
  const params = new Set(gotParams);
  for (const wantParam of wantParams) {
    if (!params.has(wantParam)) {
      return false;
    }
  }
  return true;
}
var codeRangeRE = new RegExp("^[0-9]xx$", "i");
function matchStatusCode(response, codes) {
  const actual = `${response.status}`;
  const expectedCodes = Array.isArray(codes) ? codes : [codes];
  if (!expectedCodes.length) {
    return false;
  }
  return expectedCodes.some((ec) => {
    const code = `${ec}`;
    if (code === "default") {
      return true;
    }
    if (!codeRangeRE.test(`${code}`)) {
      return code === actual;
    }
    const expectFamily = code.charAt(0);
    if (!expectFamily) {
      throw new Error("Invalid status code range");
    }
    const actualFamily = actual.charAt(0);
    if (!actualFamily) {
      throw new Error(`Invalid response status code: ${actual}`);
    }
    return actualFamily === expectFamily;
  });
}
function matchResponse(response, code, contentTypePattern) {
  return matchStatusCode(response, code) && matchContentType(response, contentTypePattern);
}
function isConnectionError(err) {
  if (typeof err !== "object" || err == null) {
    return false;
  }
  const isBrowserErr = err instanceof TypeError && err.message.toLowerCase().startsWith("failed to fetch");
  const isNodeErr = err instanceof TypeError && err.message.toLowerCase().startsWith("fetch failed");
  const isBunErr = "name" in err && err.name === "ConnectionError";
  const isGenericErr = "code" in err && typeof err.code === "string" && err.code.toLowerCase() === "econnreset";
  return isBrowserErr || isNodeErr || isGenericErr || isBunErr;
}
function isTimeoutError(err) {
  if (typeof err !== "object" || err == null) {
    return false;
  }
  const isNative = "name" in err && err.name === "TimeoutError";
  const isLegacyNative = "code" in err && err.code === 23;
  const isGenericErr = "code" in err && typeof err.code === "string" && err.code.toLowerCase() === "econnaborted";
  return isNative || isLegacyNative || isGenericErr;
}
function isAbortError(err) {
  if (typeof err !== "object" || err == null) {
    return false;
  }
  const isNative = "name" in err && err.name === "AbortError";
  const isLegacyNative = "code" in err && err.code === 20;
  const isGenericErr = "code" in err && typeof err.code === "string" && err.code.toLowerCase() === "econnaborted";
  return isNative || isLegacyNative || isGenericErr;
}

// node_modules/@vercel/sdk/esm/lib/retries.js
var defaultBackoff = {
  initialInterval: 500,
  maxInterval: 60000,
  exponent: 1.5,
  maxElapsedTime: 3600000
};

class PermanentError extends Error {
  constructor(message, options) {
    let msg = message;
    if (options?.cause) {
      msg += `: ${options.cause}`;
    }
    super(msg, options);
    this.name = "PermanentError";
    if (typeof this.cause === "undefined") {
      this.cause = options?.cause;
    }
    Object.setPrototypeOf(this, PermanentError.prototype);
  }
}

class TemporaryError extends Error {
  constructor(message, response) {
    super(message);
    this.response = response;
    this.name = "TemporaryError";
    Object.setPrototypeOf(this, TemporaryError.prototype);
  }
}
async function retry(fetchFn, options) {
  switch (options.config.strategy) {
    case "backoff":
      return retryBackoff(wrapFetcher(fetchFn, {
        statusCodes: options.statusCodes,
        retryConnectionErrors: !!options.config.retryConnectionErrors
      }), options.config.backoff ?? defaultBackoff);
    default:
      return await fetchFn();
  }
}
function wrapFetcher(fn, options) {
  return async () => {
    try {
      const res = await fn();
      if (isRetryableResponse(res, options.statusCodes)) {
        throw new TemporaryError("Response failed with retryable status code", res);
      }
      return res;
    } catch (err) {
      if (err instanceof TemporaryError) {
        throw err;
      }
      if (options.retryConnectionErrors && (isTimeoutError(err) || isConnectionError(err))) {
        throw err;
      }
      throw new PermanentError("Permanent error", { cause: err });
    }
  };
}
var codeRangeRE2 = new RegExp("^[0-9]xx$", "i");
function isRetryableResponse(res, statusCodes) {
  const actual = `${res.status}`;
  return statusCodes.some((code) => {
    if (!codeRangeRE2.test(code)) {
      return code === actual;
    }
    const expectFamily = code.charAt(0);
    if (!expectFamily) {
      throw new Error("Invalid status code range");
    }
    const actualFamily = actual.charAt(0);
    if (!actualFamily) {
      throw new Error(`Invalid response status code: ${actual}`);
    }
    return actualFamily === expectFamily;
  });
}
async function retryBackoff(fn, strategy) {
  const { maxElapsedTime, initialInterval, exponent, maxInterval } = strategy;
  const start = Date.now();
  let x2 = 0;
  while (true) {
    try {
      const res = await fn();
      return res;
    } catch (err) {
      if (err instanceof PermanentError) {
        throw err.cause;
      }
      const elapsed = Date.now() - start;
      if (elapsed > maxElapsedTime) {
        if (err instanceof TemporaryError) {
          return err.response;
        }
        throw err;
      }
      let retryInterval = 0;
      if (err instanceof TemporaryError) {
        retryInterval = retryIntervalFromResponse(err.response);
      }
      if (retryInterval <= 0) {
        retryInterval = initialInterval * Math.pow(x2, exponent) + Math.random() * 1000;
      }
      const d3 = Math.min(retryInterval, maxInterval);
      await delay(d3);
      x2++;
    }
  }
}
function retryIntervalFromResponse(res) {
  const retryVal = res.headers.get("retry-after") || "";
  if (!retryVal) {
    return 0;
  }
  const parsedNumber = Number(retryVal);
  if (Number.isInteger(parsedNumber)) {
    return parsedNumber * 1000;
  }
  const parsedDate = Date.parse(retryVal);
  if (Number.isInteger(parsedDate)) {
    const deltaMS = parsedDate - Date.now();
    return deltaMS > 0 ? Math.ceil(deltaMS) : 0;
  }
  return 0;
}
async function delay(delay2) {
  return new Promise((resolve) => setTimeout(resolve, delay2));
}

// node_modules/@vercel/sdk/esm/lib/sdks.js
var __classPrivateFieldSet2 = function(receiver, state, value, kind, f2) {
  if (kind === "m")
    throw new TypeError("Private method is not writable");
  if (kind === "a" && !f2)
    throw new TypeError("Private accessor was defined without a setter");
  if (typeof state === "function" ? receiver !== state || !f2 : !state.has(receiver))
    throw new TypeError("Cannot write private member to an object whose class did not declare it");
  return kind === "a" ? f2.call(receiver, value) : f2 ? f2.value = value : state.set(receiver, value), value;
};
var __classPrivateFieldGet2 = function(receiver, state, kind, f2) {
  if (kind === "a" && !f2)
    throw new TypeError("Private accessor was defined without a getter");
  if (typeof state === "function" ? receiver !== state || !f2 : !state.has(receiver))
    throw new TypeError("Cannot read private member from an object whose class did not declare it");
  return kind === "m" ? f2 : kind === "a" ? f2.call(receiver) : f2 ? f2.value : state.get(receiver);
};
var _ClientSDK_httpClient;
var _ClientSDK_hooks;
var _ClientSDK_logger;
var gt = typeof globalThis === "undefined" ? null : globalThis;
var webWorkerLike = typeof gt === "object" && gt != null && "importScripts" in gt && typeof gt["importScripts"] === "function";
var isBrowserLike = webWorkerLike || typeof navigator !== "undefined" && "serviceWorker" in navigator || typeof window === "object" && typeof window.document !== "undefined";

class ClientSDK {
  constructor(options = {}) {
    _ClientSDK_httpClient.set(this, undefined);
    _ClientSDK_hooks.set(this, undefined);
    _ClientSDK_logger.set(this, undefined);
    const opt = options;
    if (typeof opt === "object" && opt != null && "hooks" in opt && opt.hooks instanceof SDKHooks) {
      __classPrivateFieldSet2(this, _ClientSDK_hooks, opt.hooks, "f");
    } else {
      __classPrivateFieldSet2(this, _ClientSDK_hooks, new SDKHooks, "f");
    }
    this._options = { ...options, hooks: __classPrivateFieldGet2(this, _ClientSDK_hooks, "f") };
    const url = serverURLFromOptions(options);
    if (url) {
      url.pathname = url.pathname.replace(/\/+$/, "") + "/";
    }
    const { baseURL, client } = __classPrivateFieldGet2(this, _ClientSDK_hooks, "f").sdkInit({
      baseURL: url,
      client: options.httpClient || new HTTPClient
    });
    this._baseURL = baseURL;
    __classPrivateFieldSet2(this, _ClientSDK_httpClient, client, "f");
    __classPrivateFieldSet2(this, _ClientSDK_logger, options.debugLogger, "f");
  }
  _createRequest(context, conf, options) {
    const { method, path, query, headers: opHeaders, security } = conf;
    const base = conf.baseURL ?? this._baseURL;
    if (!base) {
      return ERR(new InvalidRequestError("No base URL provided for operation"));
    }
    const reqURL = new URL(base);
    const inputURL = new URL(path, reqURL);
    if (path) {
      reqURL.pathname += reqURL.pathname.endsWith("/") ? "" : "/";
      reqURL.pathname += inputURL.pathname.replace(/^\/+/, "");
    }
    let finalQuery = query || "";
    const secQuery = [];
    for (const [k3, v2] of Object.entries(security?.queryParams || {})) {
      const q3 = encodeForm(k3, v2, { charEncoding: "percent" });
      if (typeof q3 !== "undefined") {
        secQuery.push(q3);
      }
    }
    if (secQuery.length) {
      finalQuery += `&${secQuery.join("&")}`;
    }
    if (finalQuery) {
      const q3 = finalQuery.startsWith("&") ? finalQuery.slice(1) : finalQuery;
      reqURL.search = `?${q3}`;
    }
    const headers = new Headers(opHeaders);
    const username = security?.basic.username;
    const password = security?.basic.password;
    if (username != null || password != null) {
      const encoded = stringToBase64([username || "", password || ""].join(":"));
      headers.set("Authorization", `Basic ${encoded}`);
    }
    const securityHeaders = new Headers(security?.headers || {});
    for (const [k3, v2] of securityHeaders) {
      headers.set(k3, v2);
    }
    let cookie = headers.get("cookie") || "";
    for (const [k3, v2] of Object.entries(security?.cookies || {})) {
      cookie += `; ${k3}=${v2}`;
    }
    cookie = cookie.startsWith("; ") ? cookie.slice(2) : cookie;
    headers.set("cookie", cookie);
    const userHeaders = new Headers(options?.fetchOptions?.headers);
    for (const [k3, v2] of userHeaders) {
      headers.set(k3, v2);
    }
    if (!isBrowserLike) {
      headers.set(conf.uaHeader ?? "user-agent", SDK_METADATA.userAgent);
    }
    let fetchOptions = options?.fetchOptions;
    if (!fetchOptions?.signal && conf.timeoutMs && conf.timeoutMs > 0) {
      const timeoutSignal = AbortSignal.timeout(conf.timeoutMs);
      if (!fetchOptions) {
        fetchOptions = { signal: timeoutSignal };
      } else {
        fetchOptions.signal = timeoutSignal;
      }
    }
    if (conf.body instanceof ReadableStream) {
      if (!fetchOptions) {
        fetchOptions = {
          duplex: "half"
        };
      } else {
        fetchOptions.duplex = "half";
      }
    }
    let input;
    try {
      input = __classPrivateFieldGet2(this, _ClientSDK_hooks, "f").beforeCreateRequest(context, {
        url: reqURL,
        options: {
          ...fetchOptions,
          body: conf.body ?? null,
          headers,
          method
        }
      });
    } catch (err) {
      return ERR(new UnexpectedClientError("Create request hook failed to execute", {
        cause: err
      }));
    }
    return OK(new Request(input.url, input.options));
  }
  async _do(request, options) {
    const { context, errorCodes } = options;
    return retry(async () => {
      const req = await __classPrivateFieldGet2(this, _ClientSDK_hooks, "f").beforeRequest(context, request.clone());
      await logRequest(__classPrivateFieldGet2(this, _ClientSDK_logger, "f"), req).catch((e2) => __classPrivateFieldGet2(this, _ClientSDK_logger, "f")?.log("Failed to log request:", e2));
      let response = await __classPrivateFieldGet2(this, _ClientSDK_httpClient, "f").request(req);
      try {
        if (matchStatusCode(response, errorCodes)) {
          const result = await __classPrivateFieldGet2(this, _ClientSDK_hooks, "f").afterError(context, response, null);
          if (result.error) {
            throw result.error;
          }
          response = result.response || response;
        } else {
          response = await __classPrivateFieldGet2(this, _ClientSDK_hooks, "f").afterSuccess(context, response);
        }
      } finally {
        await logResponse(__classPrivateFieldGet2(this, _ClientSDK_logger, "f"), response, req).catch((e2) => __classPrivateFieldGet2(this, _ClientSDK_logger, "f")?.log("Failed to log response:", e2));
      }
      return response;
    }, { config: options.retryConfig, statusCodes: options.retryCodes }).then((r2) => OK(r2), (err) => {
      switch (true) {
        case isAbortError(err):
          return ERR(new RequestAbortedError("Request aborted by client", {
            cause: err
          }));
        case isTimeoutError(err):
          return ERR(new RequestTimeoutError("Request timed out", { cause: err }));
        case isConnectionError(err):
          return ERR(new ConnectionError("Unable to make request", { cause: err }));
        default:
          return ERR(new UnexpectedClientError("Unexpected HTTP client error", {
            cause: err
          }));
      }
    });
  }
}
_ClientSDK_httpClient = new WeakMap, _ClientSDK_hooks = new WeakMap, _ClientSDK_logger = new WeakMap;
var jsonLikeContentTypeRE = /^application\/(?:.{0,100}\+)?json/;
async function logRequest(logger, req) {
  if (!logger) {
    return;
  }
  const contentType = req.headers.get("content-type");
  const ct = contentType?.split(";")[0] || "";
  logger.group(`> Request: ${req.method} ${req.url}`);
  logger.group("Headers:");
  for (const [k3, v2] of req.headers.entries()) {
    logger.log(`${k3}: ${v2}`);
  }
  logger.groupEnd();
  logger.group("Body:");
  switch (true) {
    case jsonLikeContentTypeRE.test(ct):
      logger.log(await req.clone().json());
      break;
    case ct.startsWith("text/"):
      logger.log(await req.clone().text());
      break;
    case ct === "multipart/form-data": {
      const body = await req.clone().formData();
      for (const [k3, v2] of body) {
        const vlabel = v2 instanceof Blob ? "<Blob>" : v2;
        logger.log(`${k3}: ${vlabel}`);
      }
      break;
    }
    default:
      logger.log(`<${contentType}>`);
      break;
  }
  logger.groupEnd();
  logger.groupEnd();
}
async function logResponse(logger, res, req) {
  if (!logger) {
    return;
  }
  const contentType = res.headers.get("content-type");
  const ct = contentType?.split(";")[0] || "";
  logger.group(`< Response: ${req.method} ${req.url}`);
  logger.log("Status Code:", res.status, res.statusText);
  logger.group("Headers:");
  for (const [k3, v2] of res.headers.entries()) {
    logger.log(`${k3}: ${v2}`);
  }
  logger.groupEnd();
  logger.group("Body:");
  switch (true) {
    case (matchContentType(res, "application/json") || jsonLikeContentTypeRE.test(ct)):
      logger.log(await res.clone().json());
      break;
    case matchContentType(res, "text/event-stream"):
      logger.log(`<${contentType}>`);
      break;
    case matchContentType(res, "text/*"):
      logger.log(await res.clone().text());
      break;
    case matchContentType(res, "multipart/form-data"): {
      const body = await res.clone().formData();
      for (const [k3, v2] of body) {
        const vlabel = v2 instanceof Blob ? "<Blob>" : v2;
        logger.log(`${k3}: ${vlabel}`);
      }
      break;
    }
    default:
      logger.log(`<${contentType}>`);
      break;
  }
  logger.groupEnd();
  logger.groupEnd();
}

// node_modules/@vercel/sdk/esm/models/sdkerror.js
class SDKError extends Error {
  constructor(message, rawResponse, body = "") {
    const statusCode = rawResponse.status;
    const contentType = rawResponse.headers.get("content-type") || "";
    const bodyString = body.length > 0 ? `
${body}` : "";
    super(`${message}: Status ${statusCode} Content-Type ${contentType} Body ${bodyString}`);
    this.rawResponse = rawResponse;
    this.body = body;
    this.statusCode = statusCode;
    this.contentType = contentType;
    this.name = "SDKError";
  }
}

// node_modules/@vercel/sdk/esm/models/sdkvalidationerror.js
class SDKValidationError extends Error {
  constructor(message, cause, rawValue) {
    super(`${message}: ${cause}`);
    this.name = "SDKValidationError";
    this.cause = cause;
    this.rawValue = rawValue;
    this.rawMessage = message;
  }
  pretty() {
    if (this.cause instanceof ZodError) {
      return `${this.rawMessage}
${formatZodError(this.cause)}`;
    } else {
      return this.toString();
    }
  }
}
function formatZodError(err, level = 0) {
  let pre = "  ".repeat(level);
  pre = level > 0 ? `│${pre}` : pre;
  pre += " ".repeat(level);
  let message = "";
  const append = (str) => message += `
${pre}${str}`;
  const len = err.issues.length;
  const headline = len === 1 ? `${len} issue found` : `${len} issues found`;
  if (len) {
    append(`┌ ${headline}:`);
  }
  for (const issue of err.issues) {
    let path = issue.path.join(".");
    path = path ? `<root>.${path}` : "<root>";
    append(`│ • [${path}]: ${issue.message} (${issue.code})`);
    switch (issue.code) {
      case "invalid_literal":
      case "invalid_type": {
        append(`│     Want: ${issue.expected}`);
        append(`│      Got: ${issue.received}`);
        break;
      }
      case "unrecognized_keys": {
        append(`│     Keys: ${issue.keys.join(", ")}`);
        break;
      }
      case "invalid_enum_value": {
        append(`│     Allowed: ${issue.options.join(", ")}`);
        append(`│         Got: ${issue.received}`);
        break;
      }
      case "invalid_union_discriminator": {
        append(`│     Allowed: ${issue.options.join(", ")}`);
        break;
      }
      case "invalid_union": {
        const len2 = issue.unionErrors.length;
        append(`│   ✖︎ Attemped to deserialize into one of ${len2} union members:`);
        issue.unionErrors.forEach((err2, i) => {
          append(`│   ✖︎ Member ${i + 1} of ${len2}`);
          append(`${formatZodError(err2, level + 1)}`);
        });
      }
    }
  }
  if (err.issues.length) {
    append(`└─*`);
  }
  return message.slice(1);
}

// node_modules/@vercel/sdk/esm/lib/schemas.js
function safeParse(rawValue, fn, errorMessage) {
  try {
    return OK(fn(rawValue));
  } catch (err) {
    return ERR(new SDKValidationError(errorMessage, err, rawValue));
  }
}

// node_modules/@vercel/sdk/esm/lib/matchers.js
var DEFAULT_CONTENT_TYPES = {
  json: "application/json",
  text: "text/plain",
  bytes: "application/octet-stream",
  stream: "application/octet-stream",
  sse: "text/event-stream",
  nil: "*",
  fail: "*"
};
function jsonErr(codes, schema, options) {
  return { ...options, err: true, enc: "json", codes, schema };
}
function json(codes, schema, options) {
  return { ...options, enc: "json", codes, schema };
}
function stream(codes, schema, options) {
  return { ...options, enc: "stream", codes, schema };
}
function nil(codes, schema, options) {
  return { ...options, enc: "nil", codes, schema };
}
function fail(codes) {
  return { enc: "fail", codes };
}
function match(...matchers) {
  return async function matchFunc(response, options) {
    let raw;
    let matcher;
    for (const match2 of matchers) {
      const { codes } = match2;
      const ctpattern = "ctype" in match2 ? match2.ctype : DEFAULT_CONTENT_TYPES[match2.enc];
      if (ctpattern && matchResponse(response, codes, ctpattern)) {
        matcher = match2;
        break;
      } else if (!ctpattern && matchStatusCode(response, codes)) {
        matcher = match2;
        break;
      }
    }
    if (!matcher) {
      const responseBody = await response.text();
      return [{
        ok: false,
        error: new SDKError("Unexpected API response status or content-type", response, responseBody)
      }, responseBody];
    }
    const encoding = matcher.enc;
    switch (encoding) {
      case "json":
        raw = await response.json();
        break;
      case "bytes":
        raw = new Uint8Array(await response.arrayBuffer());
        break;
      case "stream":
        raw = response.body;
        break;
      case "text":
        raw = await response.text();
        break;
      case "sse":
        raw = response.body;
        break;
      case "nil":
        raw = await discardResponseBody(response);
        break;
      case "fail":
        raw = await response.text();
        break;
      default:
        throw new Error(`Unsupported response type: ${encoding}`);
    }
    if (matcher.enc === "fail") {
      return [{
        ok: false,
        error: new SDKError("API error occurred", response, typeof raw === "string" ? raw : "")
      }, raw];
    }
    const resultKey = matcher.key || options?.resultKey;
    let data;
    if ("err" in matcher) {
      data = {
        ...options?.extraFields,
        ...matcher.hdrs ? { Headers: unpackHeaders(response.headers) } : null,
        ...isPlainObject(raw) ? raw : null
      };
    } else if (resultKey) {
      data = {
        ...options?.extraFields,
        ...matcher.hdrs ? { Headers: unpackHeaders(response.headers) } : null,
        [resultKey]: raw
      };
    } else if (matcher.hdrs) {
      data = {
        ...options?.extraFields,
        ...matcher.hdrs ? { Headers: unpackHeaders(response.headers) } : null,
        ...isPlainObject(raw) ? raw : null
      };
    } else {
      data = raw;
    }
    if ("err" in matcher) {
      const result = safeParse(data, (v2) => matcher.schema.parse(v2), "Response validation failed");
      return [result.ok ? { ok: false, error: result.value } : result, raw];
    } else {
      return [
        safeParse(data, (v2) => matcher.schema.parse(v2), "Response validation failed"),
        raw
      ];
    }
  };
}
var headerValRE = /, */;
function unpackHeaders(headers) {
  const out = {};
  for (const [k3, v2] of headers.entries()) {
    out[k3] = v2.split(headerValRE);
  }
  return out;
}
async function discardResponseBody(res) {
  const reader = res.body?.getReader();
  if (reader == null) {
    return;
  }
  try {
    let done = false;
    while (!done) {
      const res2 = await reader.read();
      done = res2.done;
    }
  } finally {
    reader.releaseLock();
  }
}

// node_modules/@vercel/sdk/esm/lib/primitives.js
function remap(inp, mappings) {
  let out = {};
  if (!Object.keys(mappings).length) {
    out = inp;
    return out;
  }
  for (const [k3, v2] of Object.entries(inp)) {
    const j2 = mappings[k3];
    if (j2 === null) {
      continue;
    }
    out[j2 ?? k3] = v2;
  }
  return out;
}
function compactMap(values) {
  const out = {};
  for (const [k3, v2] of Object.entries(values)) {
    if (typeof v2 !== "undefined") {
      out[k3] = v2;
    }
  }
  return out;
}

// node_modules/@vercel/sdk/esm/lib/security.js
var SecurityErrorCode;
(function(SecurityErrorCode2) {
  SecurityErrorCode2["Incomplete"] = "incomplete";
  SecurityErrorCode2["UnrecognisedSecurityType"] = "unrecognized_security_type";
})(SecurityErrorCode || (SecurityErrorCode = {}));

class SecurityError extends Error {
  constructor(code, message) {
    super(message);
    this.code = code;
    this.name = "SecurityError";
  }
  static incomplete() {
    return new SecurityError(SecurityErrorCode.Incomplete, "Security requirements not met in order to perform the operation");
  }
  static unrecognizedType(type) {
    return new SecurityError(SecurityErrorCode.UnrecognisedSecurityType, `Unrecognised security type: ${type}`);
  }
}
function resolveSecurity(...options) {
  const state = {
    basic: {},
    headers: {},
    queryParams: {},
    cookies: {},
    oauth2: { type: "none" }
  };
  const option = options.find((opts) => {
    return opts.every((o2) => {
      if (o2.value == null) {
        return false;
      } else if (o2.type === "http:basic") {
        return o2.value.username != null || o2.value.password != null;
      } else if (o2.type === "http:custom") {
        return null;
      } else if (o2.type === "oauth2:password") {
        return typeof o2.value === "string" && !!o2.value;
      } else if (o2.type === "oauth2:client_credentials") {
        return o2.value.clientID != null || o2.value.clientSecret != null;
      } else if (typeof o2.value === "string") {
        return !!o2.value;
      } else {
        throw new Error(`Unrecognized security type: ${o2.type} (value type: ${typeof o2.value})`);
      }
    });
  });
  if (option == null) {
    return null;
  }
  option.forEach((spec) => {
    if (spec.value == null) {
      return;
    }
    const { type } = spec;
    switch (type) {
      case "apiKey:header":
        state.headers[spec.fieldName] = spec.value;
        break;
      case "apiKey:query":
        state.queryParams[spec.fieldName] = spec.value;
        break;
      case "apiKey:cookie":
        state.cookies[spec.fieldName] = spec.value;
        break;
      case "http:basic":
        applyBasic(state, spec);
        break;
      case "http:custom":
        break;
      case "http:bearer":
        applyBearer(state, spec);
        break;
      case "oauth2":
        applyBearer(state, spec);
        break;
      case "oauth2:password":
        applyBearer(state, spec);
        break;
      case "oauth2:client_credentials":
        break;
      case "openIdConnect":
        applyBearer(state, spec);
        break;
      default:
        throw SecurityError.unrecognizedType(type);
    }
  });
  return state;
}
function applyBasic(state, spec) {
  if (spec.value == null) {
    return;
  }
  state.basic = spec.value;
}
function applyBearer(state, spec) {
  if (typeof spec.value !== "string" || !spec.value) {
    return;
  }
  let value = spec.value;
  if (value.slice(0, 7).toLowerCase() !== "bearer ") {
    value = `Bearer ${value}`;
  }
  state.headers[spec.fieldName] = value;
}
function resolveGlobalSecurity(security) {
  return resolveSecurity([
    {
      fieldName: "Authorization",
      type: "http:bearer",
      value: security?.bearerToken
    }
  ]);
}
async function extractSecurity(sec) {
  if (sec == null) {
    return;
  }
  return typeof sec === "function" ? sec() : sec;
}

// node_modules/@vercel/sdk/esm/models/createaccessgroupop.js
var CreateAccessGroupRole = {
  Admin: "ADMIN",
  ProjectViewer: "PROJECT_VIEWER",
  ProjectDeveloper: "PROJECT_DEVELOPER"
};
var CreateAccessGroupRole$inboundSchema = nativeEnumType(CreateAccessGroupRole);
var CreateAccessGroupRole$outboundSchema = CreateAccessGroupRole$inboundSchema;
var CreateAccessGroupRole$;
(function(CreateAccessGroupRole$2) {
  CreateAccessGroupRole$2.inboundSchema = CreateAccessGroupRole$inboundSchema;
  CreateAccessGroupRole$2.outboundSchema = CreateAccessGroupRole$outboundSchema;
})(CreateAccessGroupRole$ || (CreateAccessGroupRole$ = {}));
var CreateAccessGroupProjects$inboundSchema = objectType({
  projectId: stringType(),
  role: nullableType(CreateAccessGroupRole$inboundSchema)
});
var CreateAccessGroupProjects$outboundSchema = objectType({
  projectId: stringType(),
  role: nullableType(CreateAccessGroupRole$outboundSchema)
});
var CreateAccessGroupProjects$;
(function(CreateAccessGroupProjects$2) {
  CreateAccessGroupProjects$2.inboundSchema = CreateAccessGroupProjects$inboundSchema;
  CreateAccessGroupProjects$2.outboundSchema = CreateAccessGroupProjects$outboundSchema;
})(CreateAccessGroupProjects$ || (CreateAccessGroupProjects$ = {}));
var CreateAccessGroupRequestBody$inboundSchema = objectType({
  name: stringType(),
  projects: arrayType(lazyType(() => CreateAccessGroupProjects$inboundSchema)).optional(),
  membersToAdd: arrayType(stringType()).optional()
});
var CreateAccessGroupRequestBody$outboundSchema = objectType({
  name: stringType(),
  projects: arrayType(lazyType(() => CreateAccessGroupProjects$outboundSchema)).optional(),
  membersToAdd: arrayType(stringType()).optional()
});
var CreateAccessGroupRequestBody$;
(function(CreateAccessGroupRequestBody$2) {
  CreateAccessGroupRequestBody$2.inboundSchema = CreateAccessGroupRequestBody$inboundSchema;
  CreateAccessGroupRequestBody$2.outboundSchema = CreateAccessGroupRequestBody$outboundSchema;
})(CreateAccessGroupRequestBody$ || (CreateAccessGroupRequestBody$ = {}));
var CreateAccessGroupRequest$inboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => CreateAccessGroupRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var CreateAccessGroupRequest$outboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => CreateAccessGroupRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var CreateAccessGroupRequest$;
(function(CreateAccessGroupRequest$2) {
  CreateAccessGroupRequest$2.inboundSchema = CreateAccessGroupRequest$inboundSchema;
  CreateAccessGroupRequest$2.outboundSchema = CreateAccessGroupRequest$outboundSchema;
})(CreateAccessGroupRequest$ || (CreateAccessGroupRequest$ = {}));
var CreateAccessGroupResponseBody$inboundSchema = objectType({
  membersCount: numberType(),
  projectsCount: numberType(),
  name: stringType(),
  createdAt: stringType(),
  teamId: stringType(),
  updatedAt: stringType(),
  accessGroupId: stringType()
});
var CreateAccessGroupResponseBody$outboundSchema = objectType({
  membersCount: numberType(),
  projectsCount: numberType(),
  name: stringType(),
  createdAt: stringType(),
  teamId: stringType(),
  updatedAt: stringType(),
  accessGroupId: stringType()
});
var CreateAccessGroupResponseBody$;
(function(CreateAccessGroupResponseBody$2) {
  CreateAccessGroupResponseBody$2.inboundSchema = CreateAccessGroupResponseBody$inboundSchema;
  CreateAccessGroupResponseBody$2.outboundSchema = CreateAccessGroupResponseBody$outboundSchema;
})(CreateAccessGroupResponseBody$ || (CreateAccessGroupResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/models/vercelbadrequesterror.js
class VercelBadRequestError extends Error {
  constructor(err) {
    const message = "message" in err && typeof err.message === "string" ? err.message : `API error occurred: ${JSON.stringify(err)}`;
    super(message);
    this.data$ = err;
    this.error = err.error;
    this.name = "VercelBadRequestError";
  }
}
var ErrorT$inboundSchema = objectType({
  code: literalType("bad_request").optional(),
  message: literalType("One of the provided values in the request query, body or headers is invalid").optional()
});
var ErrorT$outboundSchema = objectType({
  code: literalType("bad_request").default("bad_request"),
  message: literalType("One of the provided values in the request query, body or headers is invalid").default("One of the provided values in the request query, body or headers is invalid")
});
var ErrorT$;
(function(ErrorT$2) {
  ErrorT$2.inboundSchema = ErrorT$inboundSchema;
  ErrorT$2.outboundSchema = ErrorT$outboundSchema;
})(ErrorT$ || (ErrorT$ = {}));
var VercelBadRequestError$inboundSchema = objectType({
  error: lazyType(() => ErrorT$inboundSchema)
}).transform((v2) => {
  return new VercelBadRequestError(v2);
});
var VercelBadRequestError$outboundSchema = instanceOfType(VercelBadRequestError).transform((v2) => v2.data$).pipe(objectType({
  error: lazyType(() => ErrorT$outboundSchema)
}));
var VercelBadRequestError$;
(function(VercelBadRequestError$2) {
  VercelBadRequestError$2.inboundSchema = VercelBadRequestError$inboundSchema;
  VercelBadRequestError$2.outboundSchema = VercelBadRequestError$outboundSchema;
})(VercelBadRequestError$ || (VercelBadRequestError$ = {}));

// node_modules/@vercel/sdk/esm/models/vercelforbiddenerror.js
class VercelForbiddenError extends Error {
  constructor(err) {
    const message = "message" in err && typeof err.message === "string" ? err.message : `API error occurred: ${JSON.stringify(err)}`;
    super(message);
    this.data$ = err;
    this.error = err.error;
    this.name = "VercelForbiddenError";
  }
}
var VercelForbiddenErrorError$inboundSchema = objectType({
  code: literalType("forbidden").optional(),
  message: stringType()
});
var VercelForbiddenErrorError$outboundSchema = objectType({
  code: literalType("forbidden").default("forbidden"),
  message: stringType()
});
var VercelForbiddenErrorError$;
(function(VercelForbiddenErrorError$2) {
  VercelForbiddenErrorError$2.inboundSchema = VercelForbiddenErrorError$inboundSchema;
  VercelForbiddenErrorError$2.outboundSchema = VercelForbiddenErrorError$outboundSchema;
})(VercelForbiddenErrorError$ || (VercelForbiddenErrorError$ = {}));
var VercelForbiddenError$inboundSchema = objectType({
  error: lazyType(() => VercelForbiddenErrorError$inboundSchema)
}).transform((v2) => {
  return new VercelForbiddenError(v2);
});
var VercelForbiddenError$outboundSchema = instanceOfType(VercelForbiddenError).transform((v2) => v2.data$).pipe(objectType({
  error: lazyType(() => VercelForbiddenErrorError$outboundSchema)
}));
var VercelForbiddenError$;
(function(VercelForbiddenError$2) {
  VercelForbiddenError$2.inboundSchema = VercelForbiddenError$inboundSchema;
  VercelForbiddenError$2.outboundSchema = VercelForbiddenError$outboundSchema;
})(VercelForbiddenError$ || (VercelForbiddenError$ = {}));

// node_modules/@vercel/sdk/esm/models/vercelnotfounderror.js
class VercelNotFoundError extends Error {
  constructor(err) {
    const message = "message" in err && typeof err.message === "string" ? err.message : `API error occurred: ${JSON.stringify(err)}`;
    super(message);
    this.data$ = err;
    this.error = err.error;
    this.name = "VercelNotFoundError";
  }
}
var VercelNotFoundErrorError$inboundSchema = objectType({
  code: literalType("not_found").optional(),
  message: literalType("The item you requested was not found").optional()
});
var VercelNotFoundErrorError$outboundSchema = objectType({
  code: literalType("not_found").default("not_found"),
  message: literalType("The item you requested was not found").default("The item you requested was not found")
});
var VercelNotFoundErrorError$;
(function(VercelNotFoundErrorError$2) {
  VercelNotFoundErrorError$2.inboundSchema = VercelNotFoundErrorError$inboundSchema;
  VercelNotFoundErrorError$2.outboundSchema = VercelNotFoundErrorError$outboundSchema;
})(VercelNotFoundErrorError$ || (VercelNotFoundErrorError$ = {}));
var VercelNotFoundError$inboundSchema = objectType({
  error: lazyType(() => VercelNotFoundErrorError$inboundSchema)
}).transform((v2) => {
  return new VercelNotFoundError(v2);
});
var VercelNotFoundError$outboundSchema = instanceOfType(VercelNotFoundError).transform((v2) => v2.data$).pipe(objectType({
  error: lazyType(() => VercelNotFoundErrorError$outboundSchema)
}));
var VercelNotFoundError$;
(function(VercelNotFoundError$2) {
  VercelNotFoundError$2.inboundSchema = VercelNotFoundError$inboundSchema;
  VercelNotFoundError$2.outboundSchema = VercelNotFoundError$outboundSchema;
})(VercelNotFoundError$ || (VercelNotFoundError$ = {}));

// node_modules/@vercel/sdk/esm/funcs/accessGroupsCreateAccessGroup.js
async function accessGroupsCreateAccessGroup(client, request, options) {
  const parsed = safeParse(request, (value) => CreateAccessGroupRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v1/access-groups")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "createAccessGroup",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateAccessGroupResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/createaccessgroupprojectop.js
var CreateAccessGroupProjectRole = {
  Admin: "ADMIN",
  ProjectViewer: "PROJECT_VIEWER",
  ProjectDeveloper: "PROJECT_DEVELOPER"
};
var CreateAccessGroupProjectAccessGroupsRole = {
  Admin: "ADMIN",
  ProjectDeveloper: "PROJECT_DEVELOPER",
  ProjectViewer: "PROJECT_VIEWER"
};
var CreateAccessGroupProjectRole$inboundSchema = nativeEnumType(CreateAccessGroupProjectRole);
var CreateAccessGroupProjectRole$outboundSchema = CreateAccessGroupProjectRole$inboundSchema;
var CreateAccessGroupProjectRole$;
(function(CreateAccessGroupProjectRole$2) {
  CreateAccessGroupProjectRole$2.inboundSchema = CreateAccessGroupProjectRole$inboundSchema;
  CreateAccessGroupProjectRole$2.outboundSchema = CreateAccessGroupProjectRole$outboundSchema;
})(CreateAccessGroupProjectRole$ || (CreateAccessGroupProjectRole$ = {}));
var CreateAccessGroupProjectRequestBody$inboundSchema = objectType({
  projectId: stringType(),
  role: CreateAccessGroupProjectRole$inboundSchema
});
var CreateAccessGroupProjectRequestBody$outboundSchema = objectType({
  projectId: stringType(),
  role: CreateAccessGroupProjectRole$outboundSchema
});
var CreateAccessGroupProjectRequestBody$;
(function(CreateAccessGroupProjectRequestBody$2) {
  CreateAccessGroupProjectRequestBody$2.inboundSchema = CreateAccessGroupProjectRequestBody$inboundSchema;
  CreateAccessGroupProjectRequestBody$2.outboundSchema = CreateAccessGroupProjectRequestBody$outboundSchema;
})(CreateAccessGroupProjectRequestBody$ || (CreateAccessGroupProjectRequestBody$ = {}));
var CreateAccessGroupProjectRequest$inboundSchema = objectType({
  accessGroupIdOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => CreateAccessGroupProjectRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var CreateAccessGroupProjectRequest$outboundSchema = objectType({
  accessGroupIdOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => CreateAccessGroupProjectRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var CreateAccessGroupProjectRequest$;
(function(CreateAccessGroupProjectRequest$2) {
  CreateAccessGroupProjectRequest$2.inboundSchema = CreateAccessGroupProjectRequest$inboundSchema;
  CreateAccessGroupProjectRequest$2.outboundSchema = CreateAccessGroupProjectRequest$outboundSchema;
})(CreateAccessGroupProjectRequest$ || (CreateAccessGroupProjectRequest$ = {}));
var CreateAccessGroupProjectAccessGroupsRole$inboundSchema = nativeEnumType(CreateAccessGroupProjectAccessGroupsRole);
var CreateAccessGroupProjectAccessGroupsRole$outboundSchema = CreateAccessGroupProjectAccessGroupsRole$inboundSchema;
var CreateAccessGroupProjectAccessGroupsRole$;
(function(CreateAccessGroupProjectAccessGroupsRole$2) {
  CreateAccessGroupProjectAccessGroupsRole$2.inboundSchema = CreateAccessGroupProjectAccessGroupsRole$inboundSchema;
  CreateAccessGroupProjectAccessGroupsRole$2.outboundSchema = CreateAccessGroupProjectAccessGroupsRole$outboundSchema;
})(CreateAccessGroupProjectAccessGroupsRole$ || (CreateAccessGroupProjectAccessGroupsRole$ = {}));
var CreateAccessGroupProjectResponseBody$inboundSchema = objectType({
  teamId: stringType(),
  accessGroupId: stringType(),
  projectId: stringType(),
  role: CreateAccessGroupProjectAccessGroupsRole$inboundSchema,
  createdAt: stringType(),
  updatedAt: stringType()
});
var CreateAccessGroupProjectResponseBody$outboundSchema = objectType({
  teamId: stringType(),
  accessGroupId: stringType(),
  projectId: stringType(),
  role: CreateAccessGroupProjectAccessGroupsRole$outboundSchema,
  createdAt: stringType(),
  updatedAt: stringType()
});
var CreateAccessGroupProjectResponseBody$;
(function(CreateAccessGroupProjectResponseBody$2) {
  CreateAccessGroupProjectResponseBody$2.inboundSchema = CreateAccessGroupProjectResponseBody$inboundSchema;
  CreateAccessGroupProjectResponseBody$2.outboundSchema = CreateAccessGroupProjectResponseBody$outboundSchema;
})(CreateAccessGroupProjectResponseBody$ || (CreateAccessGroupProjectResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/accessGroupsCreateAccessGroupProject.js
async function accessGroupsCreateAccessGroupProject(client, request, options) {
  const parsed = safeParse(request, (value) => CreateAccessGroupProjectRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    accessGroupIdOrName: encodeSimple("accessGroupIdOrName", payload.accessGroupIdOrName, { explode: false, charEncoding: "percent" })
  };
  const path = pathToFunc("/v1/access-groups/{accessGroupIdOrName}/projects")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "createAccessGroupProject",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateAccessGroupProjectResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/deleteaccessgroupop.js
var DeleteAccessGroupRequest$inboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteAccessGroupRequest$outboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteAccessGroupRequest$;
(function(DeleteAccessGroupRequest$2) {
  DeleteAccessGroupRequest$2.inboundSchema = DeleteAccessGroupRequest$inboundSchema;
  DeleteAccessGroupRequest$2.outboundSchema = DeleteAccessGroupRequest$outboundSchema;
})(DeleteAccessGroupRequest$ || (DeleteAccessGroupRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/accessGroupsDeleteAccessGroup.js
async function accessGroupsDeleteAccessGroup(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteAccessGroupRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/access-groups/{idOrName}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "deleteAccessGroup",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(200, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/deleteaccessgroupprojectop.js
var DeleteAccessGroupProjectRequest$inboundSchema = objectType({
  accessGroupIdOrName: stringType(),
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteAccessGroupProjectRequest$outboundSchema = objectType({
  accessGroupIdOrName: stringType(),
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteAccessGroupProjectRequest$;
(function(DeleteAccessGroupProjectRequest$2) {
  DeleteAccessGroupProjectRequest$2.inboundSchema = DeleteAccessGroupProjectRequest$inboundSchema;
  DeleteAccessGroupProjectRequest$2.outboundSchema = DeleteAccessGroupProjectRequest$outboundSchema;
})(DeleteAccessGroupProjectRequest$ || (DeleteAccessGroupProjectRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/accessGroupsDeleteAccessGroupProject.js
async function accessGroupsDeleteAccessGroupProject(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteAccessGroupProjectRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    accessGroupIdOrName: encodeSimple("accessGroupIdOrName", payload.accessGroupIdOrName, { explode: false, charEncoding: "percent" }),
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/access-groups/{accessGroupIdOrName}/projects/{projectId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "deleteAccessGroupProject",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(200, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/listaccessgroupmembersop.js
var TeamRole = {
  Owner: "OWNER",
  Member: "MEMBER",
  Developer: "DEVELOPER",
  Billing: "BILLING",
  Viewer: "VIEWER",
  Contributor: "CONTRIBUTOR"
};
var ListAccessGroupMembersRequest$inboundSchema = objectType({
  idOrName: stringType(),
  limit: numberType().int().optional(),
  next: stringType().optional(),
  search: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ListAccessGroupMembersRequest$outboundSchema = objectType({
  idOrName: stringType(),
  limit: numberType().int().optional(),
  next: stringType().optional(),
  search: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ListAccessGroupMembersRequest$;
(function(ListAccessGroupMembersRequest$2) {
  ListAccessGroupMembersRequest$2.inboundSchema = ListAccessGroupMembersRequest$inboundSchema;
  ListAccessGroupMembersRequest$2.outboundSchema = ListAccessGroupMembersRequest$outboundSchema;
})(ListAccessGroupMembersRequest$ || (ListAccessGroupMembersRequest$ = {}));
var TeamRole$inboundSchema = nativeEnumType(TeamRole);
var TeamRole$outboundSchema = TeamRole$inboundSchema;
var TeamRole$;
(function(TeamRole$2) {
  TeamRole$2.inboundSchema = TeamRole$inboundSchema;
  TeamRole$2.outboundSchema = TeamRole$outboundSchema;
})(TeamRole$ || (TeamRole$ = {}));
var Members$inboundSchema = objectType({
  avatar: stringType().optional(),
  email: stringType(),
  uid: stringType(),
  username: stringType(),
  name: stringType().optional(),
  createdAt: stringType().optional(),
  teamRole: TeamRole$inboundSchema
});
var Members$outboundSchema = objectType({
  avatar: stringType().optional(),
  email: stringType(),
  uid: stringType(),
  username: stringType(),
  name: stringType().optional(),
  createdAt: stringType().optional(),
  teamRole: TeamRole$outboundSchema
});
var Members$;
(function(Members$2) {
  Members$2.inboundSchema = Members$inboundSchema;
  Members$2.outboundSchema = Members$outboundSchema;
})(Members$ || (Members$ = {}));
var ListAccessGroupMembersPagination$inboundSchema = objectType({
  count: numberType(),
  next: nullableType(stringType())
});
var ListAccessGroupMembersPagination$outboundSchema = objectType({
  count: numberType(),
  next: nullableType(stringType())
});
var ListAccessGroupMembersPagination$;
(function(ListAccessGroupMembersPagination$2) {
  ListAccessGroupMembersPagination$2.inboundSchema = ListAccessGroupMembersPagination$inboundSchema;
  ListAccessGroupMembersPagination$2.outboundSchema = ListAccessGroupMembersPagination$outboundSchema;
})(ListAccessGroupMembersPagination$ || (ListAccessGroupMembersPagination$ = {}));
var ListAccessGroupMembersResponseBody$inboundSchema = objectType({
  members: arrayType(lazyType(() => Members$inboundSchema)),
  pagination: lazyType(() => ListAccessGroupMembersPagination$inboundSchema)
});
var ListAccessGroupMembersResponseBody$outboundSchema = objectType({
  members: arrayType(lazyType(() => Members$outboundSchema)),
  pagination: lazyType(() => ListAccessGroupMembersPagination$outboundSchema)
});
var ListAccessGroupMembersResponseBody$;
(function(ListAccessGroupMembersResponseBody$2) {
  ListAccessGroupMembersResponseBody$2.inboundSchema = ListAccessGroupMembersResponseBody$inboundSchema;
  ListAccessGroupMembersResponseBody$2.outboundSchema = ListAccessGroupMembersResponseBody$outboundSchema;
})(ListAccessGroupMembersResponseBody$ || (ListAccessGroupMembersResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/accessGroupsListAccessGroupMembers.js
async function accessGroupsListAccessGroupMembers(client, request, options) {
  const parsed = safeParse(request, (value) => ListAccessGroupMembersRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/access-groups/{idOrName}/members")(pathParams);
  const query = encodeFormQuery({
    limit: payload.limit,
    next: payload.next,
    search: payload.search,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "listAccessGroupMembers",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ListAccessGroupMembersResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/listaccessgroupprojectsop.js
var ListAccessGroupProjectsRole = {
  Admin: "ADMIN",
  ProjectDeveloper: "PROJECT_DEVELOPER",
  ProjectViewer: "PROJECT_VIEWER"
};
var ListAccessGroupProjectsRequest$inboundSchema = objectType({
  idOrName: stringType(),
  limit: numberType().int().optional(),
  next: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ListAccessGroupProjectsRequest$outboundSchema = objectType({
  idOrName: stringType(),
  limit: numberType().int().optional(),
  next: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ListAccessGroupProjectsRequest$;
(function(ListAccessGroupProjectsRequest$2) {
  ListAccessGroupProjectsRequest$2.inboundSchema = ListAccessGroupProjectsRequest$inboundSchema;
  ListAccessGroupProjectsRequest$2.outboundSchema = ListAccessGroupProjectsRequest$outboundSchema;
})(ListAccessGroupProjectsRequest$ || (ListAccessGroupProjectsRequest$ = {}));
var ListAccessGroupProjectsRole$inboundSchema = nativeEnumType(ListAccessGroupProjectsRole);
var ListAccessGroupProjectsRole$outboundSchema = ListAccessGroupProjectsRole$inboundSchema;
var ListAccessGroupProjectsRole$;
(function(ListAccessGroupProjectsRole$2) {
  ListAccessGroupProjectsRole$2.inboundSchema = ListAccessGroupProjectsRole$inboundSchema;
  ListAccessGroupProjectsRole$2.outboundSchema = ListAccessGroupProjectsRole$outboundSchema;
})(ListAccessGroupProjectsRole$ || (ListAccessGroupProjectsRole$ = {}));
var ListAccessGroupProjectsProject$inboundSchema = objectType({
  name: stringType().optional(),
  framework: nullableType(stringType()).optional(),
  latestDeploymentId: stringType().optional()
});
var ListAccessGroupProjectsProject$outboundSchema = objectType({
  name: stringType().optional(),
  framework: nullableType(stringType()).optional(),
  latestDeploymentId: stringType().optional()
});
var ListAccessGroupProjectsProject$;
(function(ListAccessGroupProjectsProject$2) {
  ListAccessGroupProjectsProject$2.inboundSchema = ListAccessGroupProjectsProject$inboundSchema;
  ListAccessGroupProjectsProject$2.outboundSchema = ListAccessGroupProjectsProject$outboundSchema;
})(ListAccessGroupProjectsProject$ || (ListAccessGroupProjectsProject$ = {}));
var ListAccessGroupProjectsProjects$inboundSchema = objectType({
  projectId: stringType(),
  role: ListAccessGroupProjectsRole$inboundSchema,
  createdAt: stringType(),
  updatedAt: stringType(),
  project: lazyType(() => ListAccessGroupProjectsProject$inboundSchema)
});
var ListAccessGroupProjectsProjects$outboundSchema = objectType({
  projectId: stringType(),
  role: ListAccessGroupProjectsRole$outboundSchema,
  createdAt: stringType(),
  updatedAt: stringType(),
  project: lazyType(() => ListAccessGroupProjectsProject$outboundSchema)
});
var ListAccessGroupProjectsProjects$;
(function(ListAccessGroupProjectsProjects$2) {
  ListAccessGroupProjectsProjects$2.inboundSchema = ListAccessGroupProjectsProjects$inboundSchema;
  ListAccessGroupProjectsProjects$2.outboundSchema = ListAccessGroupProjectsProjects$outboundSchema;
})(ListAccessGroupProjectsProjects$ || (ListAccessGroupProjectsProjects$ = {}));
var ListAccessGroupProjectsPagination$inboundSchema = objectType({
  count: numberType(),
  next: nullableType(stringType())
});
var ListAccessGroupProjectsPagination$outboundSchema = objectType({
  count: numberType(),
  next: nullableType(stringType())
});
var ListAccessGroupProjectsPagination$;
(function(ListAccessGroupProjectsPagination$2) {
  ListAccessGroupProjectsPagination$2.inboundSchema = ListAccessGroupProjectsPagination$inboundSchema;
  ListAccessGroupProjectsPagination$2.outboundSchema = ListAccessGroupProjectsPagination$outboundSchema;
})(ListAccessGroupProjectsPagination$ || (ListAccessGroupProjectsPagination$ = {}));
var ListAccessGroupProjectsResponseBody$inboundSchema = objectType({
  projects: arrayType(lazyType(() => ListAccessGroupProjectsProjects$inboundSchema)),
  pagination: lazyType(() => ListAccessGroupProjectsPagination$inboundSchema)
});
var ListAccessGroupProjectsResponseBody$outboundSchema = objectType({
  projects: arrayType(lazyType(() => ListAccessGroupProjectsProjects$outboundSchema)),
  pagination: lazyType(() => ListAccessGroupProjectsPagination$outboundSchema)
});
var ListAccessGroupProjectsResponseBody$;
(function(ListAccessGroupProjectsResponseBody$2) {
  ListAccessGroupProjectsResponseBody$2.inboundSchema = ListAccessGroupProjectsResponseBody$inboundSchema;
  ListAccessGroupProjectsResponseBody$2.outboundSchema = ListAccessGroupProjectsResponseBody$outboundSchema;
})(ListAccessGroupProjectsResponseBody$ || (ListAccessGroupProjectsResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/accessGroupsListAccessGroupProjects.js
async function accessGroupsListAccessGroupProjects(client, request, options) {
  const parsed = safeParse(request, (value) => ListAccessGroupProjectsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/access-groups/{idOrName}/projects")(pathParams);
  const query = encodeFormQuery({
    limit: payload.limit,
    next: payload.next,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "listAccessGroupProjects",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ListAccessGroupProjectsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/listaccessgroupsop.js
var ListAccessGroupsRequest$inboundSchema = objectType({
  projectId: stringType().optional(),
  search: stringType().optional(),
  membersLimit: numberType().int().optional(),
  projectsLimit: numberType().int().optional(),
  limit: numberType().int().optional(),
  next: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ListAccessGroupsRequest$outboundSchema = objectType({
  projectId: stringType().optional(),
  search: stringType().optional(),
  membersLimit: numberType().int().optional(),
  projectsLimit: numberType().int().optional(),
  limit: numberType().int().optional(),
  next: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ListAccessGroupsRequest$;
(function(ListAccessGroupsRequest$2) {
  ListAccessGroupsRequest$2.inboundSchema = ListAccessGroupsRequest$inboundSchema;
  ListAccessGroupsRequest$2.outboundSchema = ListAccessGroupsRequest$outboundSchema;
})(ListAccessGroupsRequest$ || (ListAccessGroupsRequest$ = {}));
var AccessGroups$inboundSchema = objectType({
  members: arrayType(stringType()).optional(),
  projects: arrayType(stringType()).optional(),
  entitlements: arrayType(stringType()).optional(),
  isDsyncManaged: booleanType(),
  name: stringType(),
  createdAt: stringType(),
  teamId: stringType(),
  updatedAt: stringType(),
  accessGroupId: stringType(),
  membersCount: numberType(),
  projectsCount: numberType()
});
var AccessGroups$outboundSchema = objectType({
  members: arrayType(stringType()).optional(),
  projects: arrayType(stringType()).optional(),
  entitlements: arrayType(stringType()).optional(),
  isDsyncManaged: booleanType(),
  name: stringType(),
  createdAt: stringType(),
  teamId: stringType(),
  updatedAt: stringType(),
  accessGroupId: stringType(),
  membersCount: numberType(),
  projectsCount: numberType()
});
var AccessGroups$;
(function(AccessGroups$2) {
  AccessGroups$2.inboundSchema = AccessGroups$inboundSchema;
  AccessGroups$2.outboundSchema = AccessGroups$outboundSchema;
})(AccessGroups$ || (AccessGroups$ = {}));
var ResponseBodyPagination$inboundSchema = objectType({
  count: numberType(),
  next: nullableType(stringType())
});
var ResponseBodyPagination$outboundSchema = objectType({
  count: numberType(),
  next: nullableType(stringType())
});
var ResponseBodyPagination$;
(function(ResponseBodyPagination$2) {
  ResponseBodyPagination$2.inboundSchema = ResponseBodyPagination$inboundSchema;
  ResponseBodyPagination$2.outboundSchema = ResponseBodyPagination$outboundSchema;
})(ResponseBodyPagination$ || (ResponseBodyPagination$ = {}));
var ListAccessGroupsResponseBody2$inboundSchema = objectType({
  accessGroups: arrayType(lazyType(() => AccessGroups$inboundSchema)),
  pagination: lazyType(() => ResponseBodyPagination$inboundSchema)
});
var ListAccessGroupsResponseBody2$outboundSchema = objectType({
  accessGroups: arrayType(lazyType(() => AccessGroups$outboundSchema)),
  pagination: lazyType(() => ResponseBodyPagination$outboundSchema)
});
var ListAccessGroupsResponseBody2$;
(function(ListAccessGroupsResponseBody2$2) {
  ListAccessGroupsResponseBody2$2.inboundSchema = ListAccessGroupsResponseBody2$inboundSchema;
  ListAccessGroupsResponseBody2$2.outboundSchema = ListAccessGroupsResponseBody2$outboundSchema;
})(ListAccessGroupsResponseBody2$ || (ListAccessGroupsResponseBody2$ = {}));
var ListAccessGroupsResponseBody1$inboundSchema = objectType({});
var ListAccessGroupsResponseBody1$outboundSchema = objectType({});
var ListAccessGroupsResponseBody1$;
(function(ListAccessGroupsResponseBody1$2) {
  ListAccessGroupsResponseBody1$2.inboundSchema = ListAccessGroupsResponseBody1$inboundSchema;
  ListAccessGroupsResponseBody1$2.outboundSchema = ListAccessGroupsResponseBody1$outboundSchema;
})(ListAccessGroupsResponseBody1$ || (ListAccessGroupsResponseBody1$ = {}));
var ListAccessGroupsResponseBody$inboundSchema = unionType([
  lazyType(() => ListAccessGroupsResponseBody1$inboundSchema),
  lazyType(() => ListAccessGroupsResponseBody2$inboundSchema)
]);
var ListAccessGroupsResponseBody$outboundSchema = unionType([
  lazyType(() => ListAccessGroupsResponseBody1$outboundSchema),
  lazyType(() => ListAccessGroupsResponseBody2$outboundSchema)
]);
var ListAccessGroupsResponseBody$;
(function(ListAccessGroupsResponseBody$2) {
  ListAccessGroupsResponseBody$2.inboundSchema = ListAccessGroupsResponseBody$inboundSchema;
  ListAccessGroupsResponseBody$2.outboundSchema = ListAccessGroupsResponseBody$outboundSchema;
})(ListAccessGroupsResponseBody$ || (ListAccessGroupsResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/accessGroupsListAccessGroups.js
async function accessGroupsListAccessGroups(client, request, options) {
  const parsed = safeParse(request, (value) => ListAccessGroupsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v1/access-groups")();
  const query = encodeFormQuery({
    limit: payload.limit,
    membersLimit: payload.membersLimit,
    next: payload.next,
    projectId: payload.projectId,
    projectsLimit: payload.projectsLimit,
    search: payload.search,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "listAccessGroups",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ListAccessGroupsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/readaccessgroupop.js
var ReadAccessGroupEntitlements = {
  V0: "v0"
};
var ReadAccessGroupRequest$inboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ReadAccessGroupRequest$outboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ReadAccessGroupRequest$;
(function(ReadAccessGroupRequest$2) {
  ReadAccessGroupRequest$2.inboundSchema = ReadAccessGroupRequest$inboundSchema;
  ReadAccessGroupRequest$2.outboundSchema = ReadAccessGroupRequest$outboundSchema;
})(ReadAccessGroupRequest$ || (ReadAccessGroupRequest$ = {}));
var ReadAccessGroupEntitlements$inboundSchema = nativeEnumType(ReadAccessGroupEntitlements);
var ReadAccessGroupEntitlements$outboundSchema = ReadAccessGroupEntitlements$inboundSchema;
var ReadAccessGroupEntitlements$;
(function(ReadAccessGroupEntitlements$2) {
  ReadAccessGroupEntitlements$2.inboundSchema = ReadAccessGroupEntitlements$inboundSchema;
  ReadAccessGroupEntitlements$2.outboundSchema = ReadAccessGroupEntitlements$outboundSchema;
})(ReadAccessGroupEntitlements$ || (ReadAccessGroupEntitlements$ = {}));
var ReadAccessGroupResponseBody$inboundSchema = objectType({
  entitlements: arrayType(ReadAccessGroupEntitlements$inboundSchema).optional(),
  isDsyncManaged: booleanType(),
  name: stringType(),
  createdAt: stringType(),
  teamId: stringType(),
  updatedAt: stringType(),
  accessGroupId: stringType(),
  membersCount: numberType(),
  projectsCount: numberType()
});
var ReadAccessGroupResponseBody$outboundSchema = objectType({
  entitlements: arrayType(ReadAccessGroupEntitlements$outboundSchema).optional(),
  isDsyncManaged: booleanType(),
  name: stringType(),
  createdAt: stringType(),
  teamId: stringType(),
  updatedAt: stringType(),
  accessGroupId: stringType(),
  membersCount: numberType(),
  projectsCount: numberType()
});
var ReadAccessGroupResponseBody$;
(function(ReadAccessGroupResponseBody$2) {
  ReadAccessGroupResponseBody$2.inboundSchema = ReadAccessGroupResponseBody$inboundSchema;
  ReadAccessGroupResponseBody$2.outboundSchema = ReadAccessGroupResponseBody$outboundSchema;
})(ReadAccessGroupResponseBody$ || (ReadAccessGroupResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/accessGroupsReadAccessGroup.js
async function accessGroupsReadAccessGroup(client, request, options) {
  const parsed = safeParse(request, (value) => ReadAccessGroupRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/access-groups/{idOrName}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "readAccessGroup",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ReadAccessGroupResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/readaccessgroupprojectop.js
var ReadAccessGroupProjectRole = {
  Admin: "ADMIN",
  ProjectDeveloper: "PROJECT_DEVELOPER",
  ProjectViewer: "PROJECT_VIEWER"
};
var ReadAccessGroupProjectRequest$inboundSchema = objectType({
  accessGroupIdOrName: stringType(),
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ReadAccessGroupProjectRequest$outboundSchema = objectType({
  accessGroupIdOrName: stringType(),
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ReadAccessGroupProjectRequest$;
(function(ReadAccessGroupProjectRequest$2) {
  ReadAccessGroupProjectRequest$2.inboundSchema = ReadAccessGroupProjectRequest$inboundSchema;
  ReadAccessGroupProjectRequest$2.outboundSchema = ReadAccessGroupProjectRequest$outboundSchema;
})(ReadAccessGroupProjectRequest$ || (ReadAccessGroupProjectRequest$ = {}));
var ReadAccessGroupProjectRole$inboundSchema = nativeEnumType(ReadAccessGroupProjectRole);
var ReadAccessGroupProjectRole$outboundSchema = ReadAccessGroupProjectRole$inboundSchema;
var ReadAccessGroupProjectRole$;
(function(ReadAccessGroupProjectRole$2) {
  ReadAccessGroupProjectRole$2.inboundSchema = ReadAccessGroupProjectRole$inboundSchema;
  ReadAccessGroupProjectRole$2.outboundSchema = ReadAccessGroupProjectRole$outboundSchema;
})(ReadAccessGroupProjectRole$ || (ReadAccessGroupProjectRole$ = {}));
var ReadAccessGroupProjectResponseBody$inboundSchema = objectType({
  teamId: stringType(),
  accessGroupId: stringType(),
  projectId: stringType(),
  role: ReadAccessGroupProjectRole$inboundSchema,
  createdAt: stringType(),
  updatedAt: stringType()
});
var ReadAccessGroupProjectResponseBody$outboundSchema = objectType({
  teamId: stringType(),
  accessGroupId: stringType(),
  projectId: stringType(),
  role: ReadAccessGroupProjectRole$outboundSchema,
  createdAt: stringType(),
  updatedAt: stringType()
});
var ReadAccessGroupProjectResponseBody$;
(function(ReadAccessGroupProjectResponseBody$2) {
  ReadAccessGroupProjectResponseBody$2.inboundSchema = ReadAccessGroupProjectResponseBody$inboundSchema;
  ReadAccessGroupProjectResponseBody$2.outboundSchema = ReadAccessGroupProjectResponseBody$outboundSchema;
})(ReadAccessGroupProjectResponseBody$ || (ReadAccessGroupProjectResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/accessGroupsReadAccessGroupProject.js
async function accessGroupsReadAccessGroupProject(client, request, options) {
  const parsed = safeParse(request, (value) => ReadAccessGroupProjectRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    accessGroupIdOrName: encodeSimple("accessGroupIdOrName", payload.accessGroupIdOrName, { explode: false, charEncoding: "percent" }),
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/access-groups/{accessGroupIdOrName}/projects/{projectId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "readAccessGroupProject",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ReadAccessGroupProjectResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/updateaccessgroupop.js
var UpdateAccessGroupRole = {
  Admin: "ADMIN",
  ProjectViewer: "PROJECT_VIEWER",
  ProjectDeveloper: "PROJECT_DEVELOPER"
};
var UpdateAccessGroupEntitlements = {
  V0: "v0"
};
var UpdateAccessGroupRole$inboundSchema = nativeEnumType(UpdateAccessGroupRole);
var UpdateAccessGroupRole$outboundSchema = UpdateAccessGroupRole$inboundSchema;
var UpdateAccessGroupRole$;
(function(UpdateAccessGroupRole$2) {
  UpdateAccessGroupRole$2.inboundSchema = UpdateAccessGroupRole$inboundSchema;
  UpdateAccessGroupRole$2.outboundSchema = UpdateAccessGroupRole$outboundSchema;
})(UpdateAccessGroupRole$ || (UpdateAccessGroupRole$ = {}));
var Projects$inboundSchema = objectType({
  projectId: stringType(),
  role: nullableType(UpdateAccessGroupRole$inboundSchema)
});
var Projects$outboundSchema = objectType({
  projectId: stringType(),
  role: nullableType(UpdateAccessGroupRole$outboundSchema)
});
var Projects$;
(function(Projects$2) {
  Projects$2.inboundSchema = Projects$inboundSchema;
  Projects$2.outboundSchema = Projects$outboundSchema;
})(Projects$ || (Projects$ = {}));
var UpdateAccessGroupRequestBody$inboundSchema = objectType({
  name: stringType().optional(),
  projects: arrayType(lazyType(() => Projects$inboundSchema)).optional(),
  membersToAdd: arrayType(stringType()).optional(),
  membersToRemove: arrayType(stringType()).optional()
});
var UpdateAccessGroupRequestBody$outboundSchema = objectType({
  name: stringType().optional(),
  projects: arrayType(lazyType(() => Projects$outboundSchema)).optional(),
  membersToAdd: arrayType(stringType()).optional(),
  membersToRemove: arrayType(stringType()).optional()
});
var UpdateAccessGroupRequestBody$;
(function(UpdateAccessGroupRequestBody$2) {
  UpdateAccessGroupRequestBody$2.inboundSchema = UpdateAccessGroupRequestBody$inboundSchema;
  UpdateAccessGroupRequestBody$2.outboundSchema = UpdateAccessGroupRequestBody$outboundSchema;
})(UpdateAccessGroupRequestBody$ || (UpdateAccessGroupRequestBody$ = {}));
var UpdateAccessGroupRequest$inboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => UpdateAccessGroupRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var UpdateAccessGroupRequest$outboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => UpdateAccessGroupRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var UpdateAccessGroupRequest$;
(function(UpdateAccessGroupRequest$2) {
  UpdateAccessGroupRequest$2.inboundSchema = UpdateAccessGroupRequest$inboundSchema;
  UpdateAccessGroupRequest$2.outboundSchema = UpdateAccessGroupRequest$outboundSchema;
})(UpdateAccessGroupRequest$ || (UpdateAccessGroupRequest$ = {}));
var UpdateAccessGroupEntitlements$inboundSchema = nativeEnumType(UpdateAccessGroupEntitlements);
var UpdateAccessGroupEntitlements$outboundSchema = UpdateAccessGroupEntitlements$inboundSchema;
var UpdateAccessGroupEntitlements$;
(function(UpdateAccessGroupEntitlements$2) {
  UpdateAccessGroupEntitlements$2.inboundSchema = UpdateAccessGroupEntitlements$inboundSchema;
  UpdateAccessGroupEntitlements$2.outboundSchema = UpdateAccessGroupEntitlements$outboundSchema;
})(UpdateAccessGroupEntitlements$ || (UpdateAccessGroupEntitlements$ = {}));
var UpdateAccessGroupResponseBody$inboundSchema = objectType({
  entitlements: arrayType(UpdateAccessGroupEntitlements$inboundSchema).optional(),
  name: stringType(),
  createdAt: stringType(),
  teamId: stringType(),
  updatedAt: stringType(),
  accessGroupId: stringType(),
  membersCount: numberType(),
  projectsCount: numberType()
});
var UpdateAccessGroupResponseBody$outboundSchema = objectType({
  entitlements: arrayType(UpdateAccessGroupEntitlements$outboundSchema).optional(),
  name: stringType(),
  createdAt: stringType(),
  teamId: stringType(),
  updatedAt: stringType(),
  accessGroupId: stringType(),
  membersCount: numberType(),
  projectsCount: numberType()
});
var UpdateAccessGroupResponseBody$;
(function(UpdateAccessGroupResponseBody$2) {
  UpdateAccessGroupResponseBody$2.inboundSchema = UpdateAccessGroupResponseBody$inboundSchema;
  UpdateAccessGroupResponseBody$2.outboundSchema = UpdateAccessGroupResponseBody$outboundSchema;
})(UpdateAccessGroupResponseBody$ || (UpdateAccessGroupResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/accessGroupsUpdateAccessGroup.js
async function accessGroupsUpdateAccessGroup(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateAccessGroupRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/access-groups/{idOrName}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "updateAccessGroup",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateAccessGroupResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/updateaccessgroupprojectop.js
var UpdateAccessGroupProjectRole = {
  Admin: "ADMIN",
  ProjectViewer: "PROJECT_VIEWER",
  ProjectDeveloper: "PROJECT_DEVELOPER"
};
var UpdateAccessGroupProjectAccessGroupsRole = {
  Admin: "ADMIN",
  ProjectDeveloper: "PROJECT_DEVELOPER",
  ProjectViewer: "PROJECT_VIEWER"
};
var UpdateAccessGroupProjectRole$inboundSchema = nativeEnumType(UpdateAccessGroupProjectRole);
var UpdateAccessGroupProjectRole$outboundSchema = UpdateAccessGroupProjectRole$inboundSchema;
var UpdateAccessGroupProjectRole$;
(function(UpdateAccessGroupProjectRole$2) {
  UpdateAccessGroupProjectRole$2.inboundSchema = UpdateAccessGroupProjectRole$inboundSchema;
  UpdateAccessGroupProjectRole$2.outboundSchema = UpdateAccessGroupProjectRole$outboundSchema;
})(UpdateAccessGroupProjectRole$ || (UpdateAccessGroupProjectRole$ = {}));
var UpdateAccessGroupProjectRequestBody$inboundSchema = objectType({
  role: UpdateAccessGroupProjectRole$inboundSchema
});
var UpdateAccessGroupProjectRequestBody$outboundSchema = objectType({
  role: UpdateAccessGroupProjectRole$outboundSchema
});
var UpdateAccessGroupProjectRequestBody$;
(function(UpdateAccessGroupProjectRequestBody$2) {
  UpdateAccessGroupProjectRequestBody$2.inboundSchema = UpdateAccessGroupProjectRequestBody$inboundSchema;
  UpdateAccessGroupProjectRequestBody$2.outboundSchema = UpdateAccessGroupProjectRequestBody$outboundSchema;
})(UpdateAccessGroupProjectRequestBody$ || (UpdateAccessGroupProjectRequestBody$ = {}));
var UpdateAccessGroupProjectRequest$inboundSchema = objectType({
  accessGroupIdOrName: stringType(),
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => UpdateAccessGroupProjectRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var UpdateAccessGroupProjectRequest$outboundSchema = objectType({
  accessGroupIdOrName: stringType(),
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => UpdateAccessGroupProjectRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var UpdateAccessGroupProjectRequest$;
(function(UpdateAccessGroupProjectRequest$2) {
  UpdateAccessGroupProjectRequest$2.inboundSchema = UpdateAccessGroupProjectRequest$inboundSchema;
  UpdateAccessGroupProjectRequest$2.outboundSchema = UpdateAccessGroupProjectRequest$outboundSchema;
})(UpdateAccessGroupProjectRequest$ || (UpdateAccessGroupProjectRequest$ = {}));
var UpdateAccessGroupProjectAccessGroupsRole$inboundSchema = nativeEnumType(UpdateAccessGroupProjectAccessGroupsRole);
var UpdateAccessGroupProjectAccessGroupsRole$outboundSchema = UpdateAccessGroupProjectAccessGroupsRole$inboundSchema;
var UpdateAccessGroupProjectAccessGroupsRole$;
(function(UpdateAccessGroupProjectAccessGroupsRole$2) {
  UpdateAccessGroupProjectAccessGroupsRole$2.inboundSchema = UpdateAccessGroupProjectAccessGroupsRole$inboundSchema;
  UpdateAccessGroupProjectAccessGroupsRole$2.outboundSchema = UpdateAccessGroupProjectAccessGroupsRole$outboundSchema;
})(UpdateAccessGroupProjectAccessGroupsRole$ || (UpdateAccessGroupProjectAccessGroupsRole$ = {}));
var UpdateAccessGroupProjectResponseBody$inboundSchema = objectType({
  teamId: stringType(),
  accessGroupId: stringType(),
  projectId: stringType(),
  role: UpdateAccessGroupProjectAccessGroupsRole$inboundSchema,
  createdAt: stringType(),
  updatedAt: stringType()
});
var UpdateAccessGroupProjectResponseBody$outboundSchema = objectType({
  teamId: stringType(),
  accessGroupId: stringType(),
  projectId: stringType(),
  role: UpdateAccessGroupProjectAccessGroupsRole$outboundSchema,
  createdAt: stringType(),
  updatedAt: stringType()
});
var UpdateAccessGroupProjectResponseBody$;
(function(UpdateAccessGroupProjectResponseBody$2) {
  UpdateAccessGroupProjectResponseBody$2.inboundSchema = UpdateAccessGroupProjectResponseBody$inboundSchema;
  UpdateAccessGroupProjectResponseBody$2.outboundSchema = UpdateAccessGroupProjectResponseBody$outboundSchema;
})(UpdateAccessGroupProjectResponseBody$ || (UpdateAccessGroupProjectResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/accessGroupsUpdateAccessGroupProject.js
async function accessGroupsUpdateAccessGroupProject(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateAccessGroupProjectRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    accessGroupIdOrName: encodeSimple("accessGroupIdOrName", payload.accessGroupIdOrName, { explode: false, charEncoding: "percent" }),
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/access-groups/{accessGroupIdOrName}/projects/{projectId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "updateAccessGroupProject",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateAccessGroupProjectResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/accessgroups.js
class AccessGroups extends ClientSDK {
  async readAccessGroup(request, options) {
    return unwrapAsync(accessGroupsReadAccessGroup(this, request, options));
  }
  async updateAccessGroup(request, options) {
    return unwrapAsync(accessGroupsUpdateAccessGroup(this, request, options));
  }
  async deleteAccessGroup(request, options) {
    return unwrapAsync(accessGroupsDeleteAccessGroup(this, request, options));
  }
  async listAccessGroupMembers(request, options) {
    return unwrapAsync(accessGroupsListAccessGroupMembers(this, request, options));
  }
  async listAccessGroups(request, options) {
    return unwrapAsync(accessGroupsListAccessGroups(this, request, options));
  }
  async createAccessGroup(request, options) {
    return unwrapAsync(accessGroupsCreateAccessGroup(this, request, options));
  }
  async listAccessGroupProjects(request, options) {
    return unwrapAsync(accessGroupsListAccessGroupProjects(this, request, options));
  }
  async createAccessGroupProject(request, options) {
    return unwrapAsync(accessGroupsCreateAccessGroupProject(this, request, options));
  }
  async readAccessGroupProject(request, options) {
    return unwrapAsync(accessGroupsReadAccessGroupProject(this, request, options));
  }
  async updateAccessGroupProject(request, options) {
    return unwrapAsync(accessGroupsUpdateAccessGroupProject(this, request, options));
  }
  async deleteAccessGroupProject(request, options) {
    return unwrapAsync(accessGroupsDeleteAccessGroupProject(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/assignaliasop.js
var AssignAliasRequestBody$inboundSchema = objectType({
  alias: stringType().optional(),
  redirect: nullableType(stringType()).optional()
});
var AssignAliasRequestBody$outboundSchema = objectType({
  alias: stringType().optional(),
  redirect: nullableType(stringType()).optional()
});
var AssignAliasRequestBody$;
(function(AssignAliasRequestBody$2) {
  AssignAliasRequestBody$2.inboundSchema = AssignAliasRequestBody$inboundSchema;
  AssignAliasRequestBody$2.outboundSchema = AssignAliasRequestBody$outboundSchema;
})(AssignAliasRequestBody$ || (AssignAliasRequestBody$ = {}));
var AssignAliasRequest$inboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => AssignAliasRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var AssignAliasRequest$outboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => AssignAliasRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var AssignAliasRequest$;
(function(AssignAliasRequest$2) {
  AssignAliasRequest$2.inboundSchema = AssignAliasRequest$inboundSchema;
  AssignAliasRequest$2.outboundSchema = AssignAliasRequest$outboundSchema;
})(AssignAliasRequest$ || (AssignAliasRequest$ = {}));
var AssignAliasResponseBody$inboundSchema = objectType({
  uid: stringType(),
  alias: stringType(),
  created: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
  oldDeploymentId: nullableType(stringType()).optional()
});
var AssignAliasResponseBody$outboundSchema = objectType({
  uid: stringType(),
  alias: stringType(),
  created: dateType().transform((v2) => v2.toISOString()),
  oldDeploymentId: nullableType(stringType()).optional()
});
var AssignAliasResponseBody$;
(function(AssignAliasResponseBody$2) {
  AssignAliasResponseBody$2.inboundSchema = AssignAliasResponseBody$inboundSchema;
  AssignAliasResponseBody$2.outboundSchema = AssignAliasResponseBody$outboundSchema;
})(AssignAliasResponseBody$ || (AssignAliasResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/aliasesAssignAlias.js
async function aliasesAssignAlias(client, request, options) {
  const parsed = safeParse(request, (value) => AssignAliasRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v2/deployments/{id}/aliases")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "assignAlias",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, AssignAliasResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, 409, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/deletealiasop.js
var DeleteAliasStatus = {
  Success: "SUCCESS"
};
var DeleteAliasRequest$inboundSchema = objectType({
  aliasId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteAliasRequest$outboundSchema = objectType({
  aliasId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteAliasRequest$;
(function(DeleteAliasRequest$2) {
  DeleteAliasRequest$2.inboundSchema = DeleteAliasRequest$inboundSchema;
  DeleteAliasRequest$2.outboundSchema = DeleteAliasRequest$outboundSchema;
})(DeleteAliasRequest$ || (DeleteAliasRequest$ = {}));
var DeleteAliasStatus$inboundSchema = nativeEnumType(DeleteAliasStatus);
var DeleteAliasStatus$outboundSchema = DeleteAliasStatus$inboundSchema;
var DeleteAliasStatus$;
(function(DeleteAliasStatus$2) {
  DeleteAliasStatus$2.inboundSchema = DeleteAliasStatus$inboundSchema;
  DeleteAliasStatus$2.outboundSchema = DeleteAliasStatus$outboundSchema;
})(DeleteAliasStatus$ || (DeleteAliasStatus$ = {}));
var DeleteAliasResponseBody$inboundSchema = objectType({
  status: DeleteAliasStatus$inboundSchema
});
var DeleteAliasResponseBody$outboundSchema = objectType({
  status: DeleteAliasStatus$outboundSchema
});
var DeleteAliasResponseBody$;
(function(DeleteAliasResponseBody$2) {
  DeleteAliasResponseBody$2.inboundSchema = DeleteAliasResponseBody$inboundSchema;
  DeleteAliasResponseBody$2.outboundSchema = DeleteAliasResponseBody$outboundSchema;
})(DeleteAliasResponseBody$ || (DeleteAliasResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/aliasesDeleteAlias.js
async function aliasesDeleteAlias(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteAliasRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    aliasId: encodeSimple("aliasId", payload.aliasId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v2/aliases/{aliasId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "deleteAlias",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, DeleteAliasResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getaliasop.js
var GetAliasProtectionBypassAliasesResponseScope = {
  EmailInvite: "email_invite"
};
var GetAliasProtectionBypassAliasesScope = {
  AliasProtectionOverride: "alias-protection-override"
};
var Access = {
  Requested: "requested",
  Granted: "granted"
};
var GetAliasProtectionBypassScope = {
  User: "user"
};
var ProtectionBypassScope = {
  ShareableLink: "shareable-link"
};
var GetAliasRequest$inboundSchema = objectType({
  from: numberType().optional(),
  idOrAlias: stringType(),
  projectId: stringType().optional(),
  since: numberType().optional(),
  until: numberType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetAliasRequest$outboundSchema = objectType({
  from: numberType().optional(),
  idOrAlias: stringType(),
  projectId: stringType().optional(),
  since: numberType().optional(),
  until: numberType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetAliasRequest$;
(function(GetAliasRequest$2) {
  GetAliasRequest$2.inboundSchema = GetAliasRequest$inboundSchema;
  GetAliasRequest$2.outboundSchema = GetAliasRequest$outboundSchema;
})(GetAliasRequest$ || (GetAliasRequest$ = {}));
var GetAliasCreator$inboundSchema = objectType({
  uid: stringType(),
  email: stringType(),
  username: stringType()
});
var GetAliasCreator$outboundSchema = objectType({
  uid: stringType(),
  email: stringType(),
  username: stringType()
});
var GetAliasCreator$;
(function(GetAliasCreator$2) {
  GetAliasCreator$2.inboundSchema = GetAliasCreator$inboundSchema;
  GetAliasCreator$2.outboundSchema = GetAliasCreator$outboundSchema;
})(GetAliasCreator$ || (GetAliasCreator$ = {}));
var Deployment$inboundSchema = objectType({
  id: stringType(),
  url: stringType(),
  meta: stringType().optional()
});
var Deployment$outboundSchema = objectType({
  id: stringType(),
  url: stringType(),
  meta: stringType().optional()
});
var Deployment$;
(function(Deployment$2) {
  Deployment$2.inboundSchema = Deployment$inboundSchema;
  Deployment$2.outboundSchema = Deployment$outboundSchema;
})(Deployment$ || (Deployment$ = {}));
var GetAliasProtectionBypassAliasesResponseScope$inboundSchema = nativeEnumType(GetAliasProtectionBypassAliasesResponseScope);
var GetAliasProtectionBypassAliasesResponseScope$outboundSchema = GetAliasProtectionBypassAliasesResponseScope$inboundSchema;
var GetAliasProtectionBypassAliasesResponseScope$;
(function(GetAliasProtectionBypassAliasesResponseScope$2) {
  GetAliasProtectionBypassAliasesResponseScope$2.inboundSchema = GetAliasProtectionBypassAliasesResponseScope$inboundSchema;
  GetAliasProtectionBypassAliasesResponseScope$2.outboundSchema = GetAliasProtectionBypassAliasesResponseScope$outboundSchema;
})(GetAliasProtectionBypassAliasesResponseScope$ || (GetAliasProtectionBypassAliasesResponseScope$ = {}));
var ProtectionBypass4$inboundSchema = objectType({
  createdAt: numberType(),
  lastUpdatedAt: numberType(),
  lastUpdatedBy: stringType(),
  scope: GetAliasProtectionBypassAliasesResponseScope$inboundSchema
});
var ProtectionBypass4$outboundSchema = objectType({
  createdAt: numberType(),
  lastUpdatedAt: numberType(),
  lastUpdatedBy: stringType(),
  scope: GetAliasProtectionBypassAliasesResponseScope$outboundSchema
});
var ProtectionBypass4$;
(function(ProtectionBypass4$2) {
  ProtectionBypass4$2.inboundSchema = ProtectionBypass4$inboundSchema;
  ProtectionBypass4$2.outboundSchema = ProtectionBypass4$outboundSchema;
})(ProtectionBypass4$ || (ProtectionBypass4$ = {}));
var GetAliasProtectionBypassAliasesScope$inboundSchema = nativeEnumType(GetAliasProtectionBypassAliasesScope);
var GetAliasProtectionBypassAliasesScope$outboundSchema = GetAliasProtectionBypassAliasesScope$inboundSchema;
var GetAliasProtectionBypassAliasesScope$;
(function(GetAliasProtectionBypassAliasesScope$2) {
  GetAliasProtectionBypassAliasesScope$2.inboundSchema = GetAliasProtectionBypassAliasesScope$inboundSchema;
  GetAliasProtectionBypassAliasesScope$2.outboundSchema = GetAliasProtectionBypassAliasesScope$outboundSchema;
})(GetAliasProtectionBypassAliasesScope$ || (GetAliasProtectionBypassAliasesScope$ = {}));
var ProtectionBypass3$inboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: GetAliasProtectionBypassAliasesScope$inboundSchema
});
var ProtectionBypass3$outboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: GetAliasProtectionBypassAliasesScope$outboundSchema
});
var ProtectionBypass3$;
(function(ProtectionBypass3$2) {
  ProtectionBypass3$2.inboundSchema = ProtectionBypass3$inboundSchema;
  ProtectionBypass3$2.outboundSchema = ProtectionBypass3$outboundSchema;
})(ProtectionBypass3$ || (ProtectionBypass3$ = {}));
var Access$inboundSchema = nativeEnumType(Access);
var Access$outboundSchema = Access$inboundSchema;
var Access$;
(function(Access$2) {
  Access$2.inboundSchema = Access$inboundSchema;
  Access$2.outboundSchema = Access$outboundSchema;
})(Access$ || (Access$ = {}));
var GetAliasProtectionBypassScope$inboundSchema = nativeEnumType(GetAliasProtectionBypassScope);
var GetAliasProtectionBypassScope$outboundSchema = GetAliasProtectionBypassScope$inboundSchema;
var GetAliasProtectionBypassScope$;
(function(GetAliasProtectionBypassScope$2) {
  GetAliasProtectionBypassScope$2.inboundSchema = GetAliasProtectionBypassScope$inboundSchema;
  GetAliasProtectionBypassScope$2.outboundSchema = GetAliasProtectionBypassScope$outboundSchema;
})(GetAliasProtectionBypassScope$ || (GetAliasProtectionBypassScope$ = {}));
var ProtectionBypass2$inboundSchema = objectType({
  createdAt: numberType(),
  lastUpdatedAt: numberType(),
  lastUpdatedBy: stringType(),
  access: Access$inboundSchema,
  scope: GetAliasProtectionBypassScope$inboundSchema
});
var ProtectionBypass2$outboundSchema = objectType({
  createdAt: numberType(),
  lastUpdatedAt: numberType(),
  lastUpdatedBy: stringType(),
  access: Access$outboundSchema,
  scope: GetAliasProtectionBypassScope$outboundSchema
});
var ProtectionBypass2$;
(function(ProtectionBypass2$2) {
  ProtectionBypass2$2.inboundSchema = ProtectionBypass2$inboundSchema;
  ProtectionBypass2$2.outboundSchema = ProtectionBypass2$outboundSchema;
})(ProtectionBypass2$ || (ProtectionBypass2$ = {}));
var ProtectionBypassScope$inboundSchema = nativeEnumType(ProtectionBypassScope);
var ProtectionBypassScope$outboundSchema = ProtectionBypassScope$inboundSchema;
var ProtectionBypassScope$;
(function(ProtectionBypassScope$2) {
  ProtectionBypassScope$2.inboundSchema = ProtectionBypassScope$inboundSchema;
  ProtectionBypassScope$2.outboundSchema = ProtectionBypassScope$outboundSchema;
})(ProtectionBypassScope$ || (ProtectionBypassScope$ = {}));
var ProtectionBypass1$inboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: ProtectionBypassScope$inboundSchema
});
var ProtectionBypass1$outboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: ProtectionBypassScope$outboundSchema
});
var ProtectionBypass1$;
(function(ProtectionBypass1$2) {
  ProtectionBypass1$2.inboundSchema = ProtectionBypass1$inboundSchema;
  ProtectionBypass1$2.outboundSchema = ProtectionBypass1$outboundSchema;
})(ProtectionBypass1$ || (ProtectionBypass1$ = {}));
var GetAliasProtectionBypass$inboundSchema = unionType([
  lazyType(() => ProtectionBypass1$inboundSchema),
  lazyType(() => ProtectionBypass3$inboundSchema),
  lazyType(() => ProtectionBypass4$inboundSchema),
  lazyType(() => ProtectionBypass2$inboundSchema)
]);
var GetAliasProtectionBypass$outboundSchema = unionType([
  lazyType(() => ProtectionBypass1$outboundSchema),
  lazyType(() => ProtectionBypass3$outboundSchema),
  lazyType(() => ProtectionBypass4$outboundSchema),
  lazyType(() => ProtectionBypass2$outboundSchema)
]);
var GetAliasProtectionBypass$;
(function(GetAliasProtectionBypass$2) {
  GetAliasProtectionBypass$2.inboundSchema = GetAliasProtectionBypass$inboundSchema;
  GetAliasProtectionBypass$2.outboundSchema = GetAliasProtectionBypass$outboundSchema;
})(GetAliasProtectionBypass$ || (GetAliasProtectionBypass$ = {}));
var GetAliasResponseBody$inboundSchema = objectType({
  alias: stringType(),
  created: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
  createdAt: nullableType(numberType()).optional(),
  creator: lazyType(() => GetAliasCreator$inboundSchema).optional(),
  deletedAt: nullableType(numberType()).optional(),
  deployment: lazyType(() => Deployment$inboundSchema).optional(),
  deploymentId: nullableType(stringType()),
  projectId: nullableType(stringType()),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(numberType()).optional(),
  uid: stringType(),
  updatedAt: nullableType(numberType()).optional(),
  protectionBypass: recordType(unionType([
    lazyType(() => ProtectionBypass1$inboundSchema),
    lazyType(() => ProtectionBypass3$inboundSchema),
    lazyType(() => ProtectionBypass4$inboundSchema),
    lazyType(() => ProtectionBypass2$inboundSchema)
  ])).optional()
});
var GetAliasResponseBody$outboundSchema = objectType({
  alias: stringType(),
  created: dateType().transform((v2) => v2.toISOString()),
  createdAt: nullableType(numberType()).optional(),
  creator: lazyType(() => GetAliasCreator$outboundSchema).optional(),
  deletedAt: nullableType(numberType()).optional(),
  deployment: lazyType(() => Deployment$outboundSchema).optional(),
  deploymentId: nullableType(stringType()),
  projectId: nullableType(stringType()),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(numberType()).optional(),
  uid: stringType(),
  updatedAt: nullableType(numberType()).optional(),
  protectionBypass: recordType(unionType([
    lazyType(() => ProtectionBypass1$outboundSchema),
    lazyType(() => ProtectionBypass3$outboundSchema),
    lazyType(() => ProtectionBypass4$outboundSchema),
    lazyType(() => ProtectionBypass2$outboundSchema)
  ])).optional()
});
var GetAliasResponseBody$;
(function(GetAliasResponseBody$2) {
  GetAliasResponseBody$2.inboundSchema = GetAliasResponseBody$inboundSchema;
  GetAliasResponseBody$2.outboundSchema = GetAliasResponseBody$outboundSchema;
})(GetAliasResponseBody$ || (GetAliasResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/aliasesGetAlias.js
async function aliasesGetAlias(client, request, options) {
  const parsed = safeParse(request, (value) => GetAliasRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrAlias: encodeSimple("idOrAlias", payload.idOrAlias, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v4/aliases/{idOrAlias}")(pathParams);
  const query = encodeFormQuery({
    from: payload.from,
    projectId: payload.projectId,
    since: payload.since,
    slug: payload.slug,
    teamId: payload.teamId,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getAlias",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetAliasResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/pagination.js
var Pagination$inboundSchema = objectType({
  count: numberType(),
  next: nullableType(numberType()),
  prev: nullableType(numberType())
});
var Pagination$outboundSchema = objectType({
  count: numberType(),
  next: nullableType(numberType()),
  prev: nullableType(numberType())
});
var Pagination$;
(function(Pagination$2) {
  Pagination$2.inboundSchema = Pagination$inboundSchema;
  Pagination$2.outboundSchema = Pagination$outboundSchema;
})(Pagination$ || (Pagination$ = {}));

// node_modules/@vercel/sdk/esm/models/listaliasesop.js
var ListAliasesProtectionBypassAliasesResponseScope = {
  EmailInvite: "email_invite"
};
var ListAliasesProtectionBypassAliasesScope = {
  AliasProtectionOverride: "alias-protection-override"
};
var ProtectionBypassAccess = {
  Requested: "requested",
  Granted: "granted"
};
var ListAliasesProtectionBypassScope = {
  User: "user"
};
var ListAliasesProtectionBypassAliasesResponse200Scope = {
  ShareableLink: "shareable-link"
};
var Domain$inboundSchema = unionType([arrayType(stringType()), stringType()]);
var Domain$outboundSchema = unionType([arrayType(stringType()), stringType()]);
var Domain$;
(function(Domain$2) {
  Domain$2.inboundSchema = Domain$inboundSchema;
  Domain$2.outboundSchema = Domain$outboundSchema;
})(Domain$ || (Domain$ = {}));
var ListAliasesRequest$inboundSchema = objectType({
  domain: unionType([arrayType(stringType()), stringType()]).optional(),
  from: numberType().optional(),
  limit: numberType().optional(),
  projectId: stringType().optional(),
  since: numberType().optional(),
  until: numberType().optional(),
  rollbackDeploymentId: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ListAliasesRequest$outboundSchema = objectType({
  domain: unionType([arrayType(stringType()), stringType()]).optional(),
  from: numberType().optional(),
  limit: numberType().optional(),
  projectId: stringType().optional(),
  since: numberType().optional(),
  until: numberType().optional(),
  rollbackDeploymentId: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ListAliasesRequest$;
(function(ListAliasesRequest$2) {
  ListAliasesRequest$2.inboundSchema = ListAliasesRequest$inboundSchema;
  ListAliasesRequest$2.outboundSchema = ListAliasesRequest$outboundSchema;
})(ListAliasesRequest$ || (ListAliasesRequest$ = {}));
var ListAliasesCreator$inboundSchema = objectType({
  uid: stringType(),
  email: stringType(),
  username: stringType()
});
var ListAliasesCreator$outboundSchema = objectType({
  uid: stringType(),
  email: stringType(),
  username: stringType()
});
var ListAliasesCreator$;
(function(ListAliasesCreator$2) {
  ListAliasesCreator$2.inboundSchema = ListAliasesCreator$inboundSchema;
  ListAliasesCreator$2.outboundSchema = ListAliasesCreator$outboundSchema;
})(ListAliasesCreator$ || (ListAliasesCreator$ = {}));
var ListAliasesDeployment$inboundSchema = objectType({
  id: stringType(),
  url: stringType(),
  meta: stringType().optional()
});
var ListAliasesDeployment$outboundSchema = objectType({
  id: stringType(),
  url: stringType(),
  meta: stringType().optional()
});
var ListAliasesDeployment$;
(function(ListAliasesDeployment$2) {
  ListAliasesDeployment$2.inboundSchema = ListAliasesDeployment$inboundSchema;
  ListAliasesDeployment$2.outboundSchema = ListAliasesDeployment$outboundSchema;
})(ListAliasesDeployment$ || (ListAliasesDeployment$ = {}));
var ListAliasesProtectionBypassAliasesResponseScope$inboundSchema = nativeEnumType(ListAliasesProtectionBypassAliasesResponseScope);
var ListAliasesProtectionBypassAliasesResponseScope$outboundSchema = ListAliasesProtectionBypassAliasesResponseScope$inboundSchema;
var ListAliasesProtectionBypassAliasesResponseScope$;
(function(ListAliasesProtectionBypassAliasesResponseScope$2) {
  ListAliasesProtectionBypassAliasesResponseScope$2.inboundSchema = ListAliasesProtectionBypassAliasesResponseScope$inboundSchema;
  ListAliasesProtectionBypassAliasesResponseScope$2.outboundSchema = ListAliasesProtectionBypassAliasesResponseScope$outboundSchema;
})(ListAliasesProtectionBypassAliasesResponseScope$ || (ListAliasesProtectionBypassAliasesResponseScope$ = {}));
var ListAliasesProtectionBypass4$inboundSchema = objectType({
  createdAt: numberType(),
  lastUpdatedAt: numberType(),
  lastUpdatedBy: stringType(),
  scope: ListAliasesProtectionBypassAliasesResponseScope$inboundSchema
});
var ListAliasesProtectionBypass4$outboundSchema = objectType({
  createdAt: numberType(),
  lastUpdatedAt: numberType(),
  lastUpdatedBy: stringType(),
  scope: ListAliasesProtectionBypassAliasesResponseScope$outboundSchema
});
var ListAliasesProtectionBypass4$;
(function(ListAliasesProtectionBypass4$2) {
  ListAliasesProtectionBypass4$2.inboundSchema = ListAliasesProtectionBypass4$inboundSchema;
  ListAliasesProtectionBypass4$2.outboundSchema = ListAliasesProtectionBypass4$outboundSchema;
})(ListAliasesProtectionBypass4$ || (ListAliasesProtectionBypass4$ = {}));
var ListAliasesProtectionBypassAliasesScope$inboundSchema = nativeEnumType(ListAliasesProtectionBypassAliasesScope);
var ListAliasesProtectionBypassAliasesScope$outboundSchema = ListAliasesProtectionBypassAliasesScope$inboundSchema;
var ListAliasesProtectionBypassAliasesScope$;
(function(ListAliasesProtectionBypassAliasesScope$2) {
  ListAliasesProtectionBypassAliasesScope$2.inboundSchema = ListAliasesProtectionBypassAliasesScope$inboundSchema;
  ListAliasesProtectionBypassAliasesScope$2.outboundSchema = ListAliasesProtectionBypassAliasesScope$outboundSchema;
})(ListAliasesProtectionBypassAliasesScope$ || (ListAliasesProtectionBypassAliasesScope$ = {}));
var ListAliasesProtectionBypass3$inboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: ListAliasesProtectionBypassAliasesScope$inboundSchema
});
var ListAliasesProtectionBypass3$outboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: ListAliasesProtectionBypassAliasesScope$outboundSchema
});
var ListAliasesProtectionBypass3$;
(function(ListAliasesProtectionBypass3$2) {
  ListAliasesProtectionBypass3$2.inboundSchema = ListAliasesProtectionBypass3$inboundSchema;
  ListAliasesProtectionBypass3$2.outboundSchema = ListAliasesProtectionBypass3$outboundSchema;
})(ListAliasesProtectionBypass3$ || (ListAliasesProtectionBypass3$ = {}));
var ProtectionBypassAccess$inboundSchema = nativeEnumType(ProtectionBypassAccess);
var ProtectionBypassAccess$outboundSchema = ProtectionBypassAccess$inboundSchema;
var ProtectionBypassAccess$;
(function(ProtectionBypassAccess$2) {
  ProtectionBypassAccess$2.inboundSchema = ProtectionBypassAccess$inboundSchema;
  ProtectionBypassAccess$2.outboundSchema = ProtectionBypassAccess$outboundSchema;
})(ProtectionBypassAccess$ || (ProtectionBypassAccess$ = {}));
var ListAliasesProtectionBypassScope$inboundSchema = nativeEnumType(ListAliasesProtectionBypassScope);
var ListAliasesProtectionBypassScope$outboundSchema = ListAliasesProtectionBypassScope$inboundSchema;
var ListAliasesProtectionBypassScope$;
(function(ListAliasesProtectionBypassScope$2) {
  ListAliasesProtectionBypassScope$2.inboundSchema = ListAliasesProtectionBypassScope$inboundSchema;
  ListAliasesProtectionBypassScope$2.outboundSchema = ListAliasesProtectionBypassScope$outboundSchema;
})(ListAliasesProtectionBypassScope$ || (ListAliasesProtectionBypassScope$ = {}));
var ListAliasesProtectionBypass2$inboundSchema = objectType({
  createdAt: numberType(),
  lastUpdatedAt: numberType(),
  lastUpdatedBy: stringType(),
  access: ProtectionBypassAccess$inboundSchema,
  scope: ListAliasesProtectionBypassScope$inboundSchema
});
var ListAliasesProtectionBypass2$outboundSchema = objectType({
  createdAt: numberType(),
  lastUpdatedAt: numberType(),
  lastUpdatedBy: stringType(),
  access: ProtectionBypassAccess$outboundSchema,
  scope: ListAliasesProtectionBypassScope$outboundSchema
});
var ListAliasesProtectionBypass2$;
(function(ListAliasesProtectionBypass2$2) {
  ListAliasesProtectionBypass2$2.inboundSchema = ListAliasesProtectionBypass2$inboundSchema;
  ListAliasesProtectionBypass2$2.outboundSchema = ListAliasesProtectionBypass2$outboundSchema;
})(ListAliasesProtectionBypass2$ || (ListAliasesProtectionBypass2$ = {}));
var ListAliasesProtectionBypassAliasesResponse200Scope$inboundSchema = nativeEnumType(ListAliasesProtectionBypassAliasesResponse200Scope);
var ListAliasesProtectionBypassAliasesResponse200Scope$outboundSchema = ListAliasesProtectionBypassAliasesResponse200Scope$inboundSchema;
var ListAliasesProtectionBypassAliasesResponse200Scope$;
(function(ListAliasesProtectionBypassAliasesResponse200Scope$2) {
  ListAliasesProtectionBypassAliasesResponse200Scope$2.inboundSchema = ListAliasesProtectionBypassAliasesResponse200Scope$inboundSchema;
  ListAliasesProtectionBypassAliasesResponse200Scope$2.outboundSchema = ListAliasesProtectionBypassAliasesResponse200Scope$outboundSchema;
})(ListAliasesProtectionBypassAliasesResponse200Scope$ || (ListAliasesProtectionBypassAliasesResponse200Scope$ = {}));
var ListAliasesProtectionBypass1$inboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: ListAliasesProtectionBypassAliasesResponse200Scope$inboundSchema
});
var ListAliasesProtectionBypass1$outboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: ListAliasesProtectionBypassAliasesResponse200Scope$outboundSchema
});
var ListAliasesProtectionBypass1$;
(function(ListAliasesProtectionBypass1$2) {
  ListAliasesProtectionBypass1$2.inboundSchema = ListAliasesProtectionBypass1$inboundSchema;
  ListAliasesProtectionBypass1$2.outboundSchema = ListAliasesProtectionBypass1$outboundSchema;
})(ListAliasesProtectionBypass1$ || (ListAliasesProtectionBypass1$ = {}));
var ListAliasesProtectionBypass$inboundSchema = unionType([
  lazyType(() => ListAliasesProtectionBypass1$inboundSchema),
  lazyType(() => ListAliasesProtectionBypass3$inboundSchema),
  lazyType(() => ListAliasesProtectionBypass4$inboundSchema),
  lazyType(() => ListAliasesProtectionBypass2$inboundSchema)
]);
var ListAliasesProtectionBypass$outboundSchema = unionType([
  lazyType(() => ListAliasesProtectionBypass1$outboundSchema),
  lazyType(() => ListAliasesProtectionBypass3$outboundSchema),
  lazyType(() => ListAliasesProtectionBypass4$outboundSchema),
  lazyType(() => ListAliasesProtectionBypass2$outboundSchema)
]);
var ListAliasesProtectionBypass$;
(function(ListAliasesProtectionBypass$2) {
  ListAliasesProtectionBypass$2.inboundSchema = ListAliasesProtectionBypass$inboundSchema;
  ListAliasesProtectionBypass$2.outboundSchema = ListAliasesProtectionBypass$outboundSchema;
})(ListAliasesProtectionBypass$ || (ListAliasesProtectionBypass$ = {}));
var Aliases$inboundSchema = objectType({
  alias: stringType(),
  created: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
  createdAt: numberType().optional(),
  creator: lazyType(() => ListAliasesCreator$inboundSchema).optional(),
  deletedAt: nullableType(numberType()).optional(),
  deployment: lazyType(() => ListAliasesDeployment$inboundSchema).optional(),
  deploymentId: nullableType(stringType()),
  projectId: nullableType(stringType()),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(numberType()).optional(),
  uid: stringType(),
  updatedAt: numberType().optional(),
  protectionBypass: recordType(unionType([
    lazyType(() => ListAliasesProtectionBypass1$inboundSchema),
    lazyType(() => ListAliasesProtectionBypass3$inboundSchema),
    lazyType(() => ListAliasesProtectionBypass4$inboundSchema),
    lazyType(() => ListAliasesProtectionBypass2$inboundSchema)
  ])).optional()
});
var Aliases$outboundSchema = objectType({
  alias: stringType(),
  created: dateType().transform((v2) => v2.toISOString()),
  createdAt: numberType().optional(),
  creator: lazyType(() => ListAliasesCreator$outboundSchema).optional(),
  deletedAt: nullableType(numberType()).optional(),
  deployment: lazyType(() => ListAliasesDeployment$outboundSchema).optional(),
  deploymentId: nullableType(stringType()),
  projectId: nullableType(stringType()),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(numberType()).optional(),
  uid: stringType(),
  updatedAt: numberType().optional(),
  protectionBypass: recordType(unionType([
    lazyType(() => ListAliasesProtectionBypass1$outboundSchema),
    lazyType(() => ListAliasesProtectionBypass3$outboundSchema),
    lazyType(() => ListAliasesProtectionBypass4$outboundSchema),
    lazyType(() => ListAliasesProtectionBypass2$outboundSchema)
  ])).optional()
});
var Aliases$;
(function(Aliases$2) {
  Aliases$2.inboundSchema = Aliases$inboundSchema;
  Aliases$2.outboundSchema = Aliases$outboundSchema;
})(Aliases$ || (Aliases$ = {}));
var ListAliasesResponseBody$inboundSchema = objectType({
  aliases: arrayType(lazyType(() => Aliases$inboundSchema)),
  pagination: Pagination$inboundSchema
});
var ListAliasesResponseBody$outboundSchema = objectType({
  aliases: arrayType(lazyType(() => Aliases$outboundSchema)),
  pagination: Pagination$outboundSchema
});
var ListAliasesResponseBody$;
(function(ListAliasesResponseBody$2) {
  ListAliasesResponseBody$2.inboundSchema = ListAliasesResponseBody$inboundSchema;
  ListAliasesResponseBody$2.outboundSchema = ListAliasesResponseBody$outboundSchema;
})(ListAliasesResponseBody$ || (ListAliasesResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/aliasesListAliases.js
async function aliasesListAliases(client, request, options) {
  const parsed = safeParse(request, (value) => ListAliasesRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v4/aliases")();
  const query = encodeFormQuery({
    domain: payload.domain,
    from: payload.from,
    limit: payload.limit,
    projectId: payload.projectId,
    rollbackDeploymentId: payload.rollbackDeploymentId,
    since: payload.since,
    slug: payload.slug,
    teamId: payload.teamId,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "listAliases",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ListAliasesResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/listdeploymentaliasesop.js
var ListDeploymentAliasesProtectionBypassAliasesResponse200Scope = {
  EmailInvite: "email_invite"
};
var ListDeploymentAliasesProtectionBypassAliasesResponseScope = {
  AliasProtectionOverride: "alias-protection-override"
};
var ListDeploymentAliasesProtectionBypassAccess = {
  Requested: "requested",
  Granted: "granted"
};
var ListDeploymentAliasesProtectionBypassAliasesScope = {
  User: "user"
};
var ListDeploymentAliasesProtectionBypassScope = {
  ShareableLink: "shareable-link"
};
var ListDeploymentAliasesRequest$inboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ListDeploymentAliasesRequest$outboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ListDeploymentAliasesRequest$;
(function(ListDeploymentAliasesRequest$2) {
  ListDeploymentAliasesRequest$2.inboundSchema = ListDeploymentAliasesRequest$inboundSchema;
  ListDeploymentAliasesRequest$2.outboundSchema = ListDeploymentAliasesRequest$outboundSchema;
})(ListDeploymentAliasesRequest$ || (ListDeploymentAliasesRequest$ = {}));
var ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$inboundSchema = nativeEnumType(ListDeploymentAliasesProtectionBypassAliasesResponse200Scope);
var ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$outboundSchema = ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$inboundSchema;
var ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$;
(function(ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$2) {
  ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$2.inboundSchema = ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$inboundSchema;
  ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$2.outboundSchema = ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$outboundSchema;
})(ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$ || (ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$ = {}));
var ListDeploymentAliasesProtectionBypass4$inboundSchema = objectType({
  createdAt: numberType(),
  lastUpdatedAt: numberType(),
  lastUpdatedBy: stringType(),
  scope: ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$inboundSchema
});
var ListDeploymentAliasesProtectionBypass4$outboundSchema = objectType({
  createdAt: numberType(),
  lastUpdatedAt: numberType(),
  lastUpdatedBy: stringType(),
  scope: ListDeploymentAliasesProtectionBypassAliasesResponse200Scope$outboundSchema
});
var ListDeploymentAliasesProtectionBypass4$;
(function(ListDeploymentAliasesProtectionBypass4$2) {
  ListDeploymentAliasesProtectionBypass4$2.inboundSchema = ListDeploymentAliasesProtectionBypass4$inboundSchema;
  ListDeploymentAliasesProtectionBypass4$2.outboundSchema = ListDeploymentAliasesProtectionBypass4$outboundSchema;
})(ListDeploymentAliasesProtectionBypass4$ || (ListDeploymentAliasesProtectionBypass4$ = {}));
var ListDeploymentAliasesProtectionBypassAliasesResponseScope$inboundSchema = nativeEnumType(ListDeploymentAliasesProtectionBypassAliasesResponseScope);
var ListDeploymentAliasesProtectionBypassAliasesResponseScope$outboundSchema = ListDeploymentAliasesProtectionBypassAliasesResponseScope$inboundSchema;
var ListDeploymentAliasesProtectionBypassAliasesResponseScope$;
(function(ListDeploymentAliasesProtectionBypassAliasesResponseScope$2) {
  ListDeploymentAliasesProtectionBypassAliasesResponseScope$2.inboundSchema = ListDeploymentAliasesProtectionBypassAliasesResponseScope$inboundSchema;
  ListDeploymentAliasesProtectionBypassAliasesResponseScope$2.outboundSchema = ListDeploymentAliasesProtectionBypassAliasesResponseScope$outboundSchema;
})(ListDeploymentAliasesProtectionBypassAliasesResponseScope$ || (ListDeploymentAliasesProtectionBypassAliasesResponseScope$ = {}));
var ListDeploymentAliasesProtectionBypass3$inboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: ListDeploymentAliasesProtectionBypassAliasesResponseScope$inboundSchema
});
var ListDeploymentAliasesProtectionBypass3$outboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: ListDeploymentAliasesProtectionBypassAliasesResponseScope$outboundSchema
});
var ListDeploymentAliasesProtectionBypass3$;
(function(ListDeploymentAliasesProtectionBypass3$2) {
  ListDeploymentAliasesProtectionBypass3$2.inboundSchema = ListDeploymentAliasesProtectionBypass3$inboundSchema;
  ListDeploymentAliasesProtectionBypass3$2.outboundSchema = ListDeploymentAliasesProtectionBypass3$outboundSchema;
})(ListDeploymentAliasesProtectionBypass3$ || (ListDeploymentAliasesProtectionBypass3$ = {}));
var ListDeploymentAliasesProtectionBypassAccess$inboundSchema = nativeEnumType(ListDeploymentAliasesProtectionBypassAccess);
var ListDeploymentAliasesProtectionBypassAccess$outboundSchema = ListDeploymentAliasesProtectionBypassAccess$inboundSchema;
var ListDeploymentAliasesProtectionBypassAccess$;
(function(ListDeploymentAliasesProtectionBypassAccess$2) {
  ListDeploymentAliasesProtectionBypassAccess$2.inboundSchema = ListDeploymentAliasesProtectionBypassAccess$inboundSchema;
  ListDeploymentAliasesProtectionBypassAccess$2.outboundSchema = ListDeploymentAliasesProtectionBypassAccess$outboundSchema;
})(ListDeploymentAliasesProtectionBypassAccess$ || (ListDeploymentAliasesProtectionBypassAccess$ = {}));
var ListDeploymentAliasesProtectionBypassAliasesScope$inboundSchema = nativeEnumType(ListDeploymentAliasesProtectionBypassAliasesScope);
var ListDeploymentAliasesProtectionBypassAliasesScope$outboundSchema = ListDeploymentAliasesProtectionBypassAliasesScope$inboundSchema;
var ListDeploymentAliasesProtectionBypassAliasesScope$;
(function(ListDeploymentAliasesProtectionBypassAliasesScope$2) {
  ListDeploymentAliasesProtectionBypassAliasesScope$2.inboundSchema = ListDeploymentAliasesProtectionBypassAliasesScope$inboundSchema;
  ListDeploymentAliasesProtectionBypassAliasesScope$2.outboundSchema = ListDeploymentAliasesProtectionBypassAliasesScope$outboundSchema;
})(ListDeploymentAliasesProtectionBypassAliasesScope$ || (ListDeploymentAliasesProtectionBypassAliasesScope$ = {}));
var ListDeploymentAliasesProtectionBypass2$inboundSchema = objectType({
  createdAt: numberType(),
  lastUpdatedAt: numberType(),
  lastUpdatedBy: stringType(),
  access: ListDeploymentAliasesProtectionBypassAccess$inboundSchema,
  scope: ListDeploymentAliasesProtectionBypassAliasesScope$inboundSchema
});
var ListDeploymentAliasesProtectionBypass2$outboundSchema = objectType({
  createdAt: numberType(),
  lastUpdatedAt: numberType(),
  lastUpdatedBy: stringType(),
  access: ListDeploymentAliasesProtectionBypassAccess$outboundSchema,
  scope: ListDeploymentAliasesProtectionBypassAliasesScope$outboundSchema
});
var ListDeploymentAliasesProtectionBypass2$;
(function(ListDeploymentAliasesProtectionBypass2$2) {
  ListDeploymentAliasesProtectionBypass2$2.inboundSchema = ListDeploymentAliasesProtectionBypass2$inboundSchema;
  ListDeploymentAliasesProtectionBypass2$2.outboundSchema = ListDeploymentAliasesProtectionBypass2$outboundSchema;
})(ListDeploymentAliasesProtectionBypass2$ || (ListDeploymentAliasesProtectionBypass2$ = {}));
var ListDeploymentAliasesProtectionBypassScope$inboundSchema = nativeEnumType(ListDeploymentAliasesProtectionBypassScope);
var ListDeploymentAliasesProtectionBypassScope$outboundSchema = ListDeploymentAliasesProtectionBypassScope$inboundSchema;
var ListDeploymentAliasesProtectionBypassScope$;
(function(ListDeploymentAliasesProtectionBypassScope$2) {
  ListDeploymentAliasesProtectionBypassScope$2.inboundSchema = ListDeploymentAliasesProtectionBypassScope$inboundSchema;
  ListDeploymentAliasesProtectionBypassScope$2.outboundSchema = ListDeploymentAliasesProtectionBypassScope$outboundSchema;
})(ListDeploymentAliasesProtectionBypassScope$ || (ListDeploymentAliasesProtectionBypassScope$ = {}));
var ListDeploymentAliasesProtectionBypass1$inboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: ListDeploymentAliasesProtectionBypassScope$inboundSchema
});
var ListDeploymentAliasesProtectionBypass1$outboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: ListDeploymentAliasesProtectionBypassScope$outboundSchema
});
var ListDeploymentAliasesProtectionBypass1$;
(function(ListDeploymentAliasesProtectionBypass1$2) {
  ListDeploymentAliasesProtectionBypass1$2.inboundSchema = ListDeploymentAliasesProtectionBypass1$inboundSchema;
  ListDeploymentAliasesProtectionBypass1$2.outboundSchema = ListDeploymentAliasesProtectionBypass1$outboundSchema;
})(ListDeploymentAliasesProtectionBypass1$ || (ListDeploymentAliasesProtectionBypass1$ = {}));
var ListDeploymentAliasesProtectionBypass$inboundSchema = unionType([
  lazyType(() => ListDeploymentAliasesProtectionBypass1$inboundSchema),
  lazyType(() => ListDeploymentAliasesProtectionBypass3$inboundSchema),
  lazyType(() => ListDeploymentAliasesProtectionBypass4$inboundSchema),
  lazyType(() => ListDeploymentAliasesProtectionBypass2$inboundSchema)
]);
var ListDeploymentAliasesProtectionBypass$outboundSchema = unionType([
  lazyType(() => ListDeploymentAliasesProtectionBypass1$outboundSchema),
  lazyType(() => ListDeploymentAliasesProtectionBypass3$outboundSchema),
  lazyType(() => ListDeploymentAliasesProtectionBypass4$outboundSchema),
  lazyType(() => ListDeploymentAliasesProtectionBypass2$outboundSchema)
]);
var ListDeploymentAliasesProtectionBypass$;
(function(ListDeploymentAliasesProtectionBypass$2) {
  ListDeploymentAliasesProtectionBypass$2.inboundSchema = ListDeploymentAliasesProtectionBypass$inboundSchema;
  ListDeploymentAliasesProtectionBypass$2.outboundSchema = ListDeploymentAliasesProtectionBypass$outboundSchema;
})(ListDeploymentAliasesProtectionBypass$ || (ListDeploymentAliasesProtectionBypass$ = {}));
var ListDeploymentAliasesAliases$inboundSchema = objectType({
  uid: stringType(),
  alias: stringType(),
  created: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
  redirect: nullableType(stringType()).optional(),
  protectionBypass: recordType(unionType([
    lazyType(() => ListDeploymentAliasesProtectionBypass1$inboundSchema),
    lazyType(() => ListDeploymentAliasesProtectionBypass3$inboundSchema),
    lazyType(() => ListDeploymentAliasesProtectionBypass4$inboundSchema),
    lazyType(() => ListDeploymentAliasesProtectionBypass2$inboundSchema)
  ])).optional()
});
var ListDeploymentAliasesAliases$outboundSchema = objectType({
  uid: stringType(),
  alias: stringType(),
  created: dateType().transform((v2) => v2.toISOString()),
  redirect: nullableType(stringType()).optional(),
  protectionBypass: recordType(unionType([
    lazyType(() => ListDeploymentAliasesProtectionBypass1$outboundSchema),
    lazyType(() => ListDeploymentAliasesProtectionBypass3$outboundSchema),
    lazyType(() => ListDeploymentAliasesProtectionBypass4$outboundSchema),
    lazyType(() => ListDeploymentAliasesProtectionBypass2$outboundSchema)
  ])).optional()
});
var ListDeploymentAliasesAliases$;
(function(ListDeploymentAliasesAliases$2) {
  ListDeploymentAliasesAliases$2.inboundSchema = ListDeploymentAliasesAliases$inboundSchema;
  ListDeploymentAliasesAliases$2.outboundSchema = ListDeploymentAliasesAliases$outboundSchema;
})(ListDeploymentAliasesAliases$ || (ListDeploymentAliasesAliases$ = {}));
var ListDeploymentAliasesResponseBody$inboundSchema = objectType({
  aliases: arrayType(lazyType(() => ListDeploymentAliasesAliases$inboundSchema))
});
var ListDeploymentAliasesResponseBody$outboundSchema = objectType({
  aliases: arrayType(lazyType(() => ListDeploymentAliasesAliases$outboundSchema))
});
var ListDeploymentAliasesResponseBody$;
(function(ListDeploymentAliasesResponseBody$2) {
  ListDeploymentAliasesResponseBody$2.inboundSchema = ListDeploymentAliasesResponseBody$inboundSchema;
  ListDeploymentAliasesResponseBody$2.outboundSchema = ListDeploymentAliasesResponseBody$outboundSchema;
})(ListDeploymentAliasesResponseBody$ || (ListDeploymentAliasesResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/aliasesListDeploymentAliases.js
async function aliasesListDeploymentAliases(client, request, options) {
  const parsed = safeParse(request, (value) => ListDeploymentAliasesRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v2/deployments/{id}/aliases")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "listDeploymentAliases",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ListDeploymentAliasesResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/aliases.js
class Aliases extends ClientSDK {
  async listAliases(request, options) {
    return unwrapAsync(aliasesListAliases(this, request, options));
  }
  async getAlias(request, options) {
    return unwrapAsync(aliasesGetAlias(this, request, options));
  }
  async deleteAlias(request, options) {
    return unwrapAsync(aliasesDeleteAlias(this, request, options));
  }
  async listDeploymentAliases(request, options) {
    return unwrapAsync(aliasesListDeploymentAliases(this, request, options));
  }
  async assignAlias(request, options) {
    return unwrapAsync(aliasesAssignAlias(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/artifactexistsop.js
var ArtifactExistsRequest$inboundSchema = objectType({
  hash: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ArtifactExistsRequest$outboundSchema = objectType({
  hash: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ArtifactExistsRequest$;
(function(ArtifactExistsRequest$2) {
  ArtifactExistsRequest$2.inboundSchema = ArtifactExistsRequest$inboundSchema;
  ArtifactExistsRequest$2.outboundSchema = ArtifactExistsRequest$outboundSchema;
})(ArtifactExistsRequest$ || (ArtifactExistsRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/artifactsArtifactExists.js
async function artifactsArtifactExists(client, request, options) {
  const parsed = safeParse(request, (value) => ArtifactExistsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    hash: encodeSimple("hash", payload.hash, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v8/artifacts/{hash}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "artifactExists",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "HEAD",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(200, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/artifactqueryop.js
var ArtifactQueryRequestBody$inboundSchema = objectType({
  hashes: arrayType(stringType())
});
var ArtifactQueryRequestBody$outboundSchema = objectType({
  hashes: arrayType(stringType())
});
var ArtifactQueryRequestBody$;
(function(ArtifactQueryRequestBody$2) {
  ArtifactQueryRequestBody$2.inboundSchema = ArtifactQueryRequestBody$inboundSchema;
  ArtifactQueryRequestBody$2.outboundSchema = ArtifactQueryRequestBody$outboundSchema;
})(ArtifactQueryRequestBody$ || (ArtifactQueryRequestBody$ = {}));
var ArtifactQueryRequest$inboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => ArtifactQueryRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var ArtifactQueryRequest$outboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => ArtifactQueryRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var ArtifactQueryRequest$;
(function(ArtifactQueryRequest$2) {
  ArtifactQueryRequest$2.inboundSchema = ArtifactQueryRequest$inboundSchema;
  ArtifactQueryRequest$2.outboundSchema = ArtifactQueryRequest$outboundSchema;
})(ArtifactQueryRequest$ || (ArtifactQueryRequest$ = {}));
var ResponseBodyError$inboundSchema = objectType({
  message: stringType()
});
var ResponseBodyError$outboundSchema = objectType({
  message: stringType()
});
var ResponseBodyError$;
(function(ResponseBodyError$2) {
  ResponseBodyError$2.inboundSchema = ResponseBodyError$inboundSchema;
  ResponseBodyError$2.outboundSchema = ResponseBodyError$outboundSchema;
})(ResponseBodyError$ || (ResponseBodyError$ = {}));
var ResponseBody2$inboundSchema = objectType({
  error: lazyType(() => ResponseBodyError$inboundSchema)
});
var ResponseBody2$outboundSchema = objectType({
  error: lazyType(() => ResponseBodyError$outboundSchema)
});
var ResponseBody2$;
(function(ResponseBody2$2) {
  ResponseBody2$2.inboundSchema = ResponseBody2$inboundSchema;
  ResponseBody2$2.outboundSchema = ResponseBody2$outboundSchema;
})(ResponseBody2$ || (ResponseBody2$ = {}));
var ResponseBody1$inboundSchema = objectType({
  size: numberType(),
  taskDurationMs: numberType(),
  tag: stringType().optional()
});
var ResponseBody1$outboundSchema = objectType({
  size: numberType(),
  taskDurationMs: numberType(),
  tag: stringType().optional()
});
var ResponseBody1$;
(function(ResponseBody1$2) {
  ResponseBody1$2.inboundSchema = ResponseBody1$inboundSchema;
  ResponseBody1$2.outboundSchema = ResponseBody1$outboundSchema;
})(ResponseBody1$ || (ResponseBody1$ = {}));
var ResponseBody$inboundSchema = unionType([
  lazyType(() => ResponseBody2$inboundSchema),
  lazyType(() => ResponseBody1$inboundSchema)
]);
var ResponseBody$outboundSchema = unionType([
  lazyType(() => ResponseBody2$outboundSchema),
  lazyType(() => ResponseBody1$outboundSchema)
]);
var ResponseBody$;
(function(ResponseBody$2) {
  ResponseBody$2.inboundSchema = ResponseBody$inboundSchema;
  ResponseBody$2.outboundSchema = ResponseBody$outboundSchema;
})(ResponseBody$ || (ResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/artifactsArtifactQuery.js
async function artifactsArtifactQuery(client, request, options) {
  const parsed = safeParse(request, (value) => ArtifactQueryRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v8/artifacts")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "artifactQuery",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, recordType(ResponseBody$inboundSchema)), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/downloadartifactop.js
var DownloadArtifactRequest$inboundSchema = objectType({
  "x-artifact-client-ci": stringType().optional(),
  "x-artifact-client-interactive": numberType().int().optional(),
  hash: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
}).transform((v2) => {
  return remap(v2, {
    "x-artifact-client-ci": "xArtifactClientCi",
    "x-artifact-client-interactive": "xArtifactClientInteractive"
  });
});
var DownloadArtifactRequest$outboundSchema = objectType({
  xArtifactClientCi: stringType().optional(),
  xArtifactClientInteractive: numberType().int().optional(),
  hash: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
}).transform((v2) => {
  return remap(v2, {
    xArtifactClientCi: "x-artifact-client-ci",
    xArtifactClientInteractive: "x-artifact-client-interactive"
  });
});
var DownloadArtifactRequest$;
(function(DownloadArtifactRequest$2) {
  DownloadArtifactRequest$2.inboundSchema = DownloadArtifactRequest$inboundSchema;
  DownloadArtifactRequest$2.outboundSchema = DownloadArtifactRequest$outboundSchema;
})(DownloadArtifactRequest$ || (DownloadArtifactRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/artifactsDownloadArtifact.js
async function artifactsDownloadArtifact(client, request, options) {
  const parsed = safeParse(request, (value) => DownloadArtifactRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    hash: encodeSimple("hash", payload.hash, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v8/artifacts/{hash}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json",
    "x-artifact-client-ci": encodeSimple("x-artifact-client-ci", payload["x-artifact-client-ci"], { explode: false, charEncoding: "none" }),
    "x-artifact-client-interactive": encodeSimple("x-artifact-client-interactive", payload["x-artifact-client-interactive"], { explode: false, charEncoding: "none" })
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "downloadArtifact",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(stream(200, instanceOfType(ReadableStream), {
    ctype: "application/json"
  }), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/recordeventsop.js
var Source = {
  Local: "LOCAL",
  Remote: "REMOTE"
};
var Event = {
  Hit: "HIT",
  Miss: "MISS"
};
var Source$inboundSchema = nativeEnumType(Source);
var Source$outboundSchema = Source$inboundSchema;
var Source$;
(function(Source$2) {
  Source$2.inboundSchema = Source$inboundSchema;
  Source$2.outboundSchema = Source$outboundSchema;
})(Source$ || (Source$ = {}));
var Event$inboundSchema = nativeEnumType(Event);
var Event$outboundSchema = Event$inboundSchema;
var Event$;
(function(Event$2) {
  Event$2.inboundSchema = Event$inboundSchema;
  Event$2.outboundSchema = Event$outboundSchema;
})(Event$ || (Event$ = {}));
var RequestBody$inboundSchema = objectType({
  sessionId: stringType(),
  source: Source$inboundSchema,
  event: Event$inboundSchema,
  hash: stringType(),
  duration: numberType().optional()
});
var RequestBody$outboundSchema = objectType({
  sessionId: stringType(),
  source: Source$outboundSchema,
  event: Event$outboundSchema,
  hash: stringType(),
  duration: numberType().optional()
});
var RequestBody$;
(function(RequestBody$2) {
  RequestBody$2.inboundSchema = RequestBody$inboundSchema;
  RequestBody$2.outboundSchema = RequestBody$outboundSchema;
})(RequestBody$ || (RequestBody$ = {}));
var RecordEventsRequest$inboundSchema = objectType({
  "x-artifact-client-ci": stringType().optional(),
  "x-artifact-client-interactive": numberType().int().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: arrayType(lazyType(() => RequestBody$inboundSchema))
}).transform((v2) => {
  return remap(v2, {
    "x-artifact-client-ci": "xArtifactClientCi",
    "x-artifact-client-interactive": "xArtifactClientInteractive",
    RequestBody: "requestBody"
  });
});
var RecordEventsRequest$outboundSchema = objectType({
  xArtifactClientCi: stringType().optional(),
  xArtifactClientInteractive: numberType().int().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: arrayType(lazyType(() => RequestBody$outboundSchema))
}).transform((v2) => {
  return remap(v2, {
    xArtifactClientCi: "x-artifact-client-ci",
    xArtifactClientInteractive: "x-artifact-client-interactive",
    requestBody: "RequestBody"
  });
});
var RecordEventsRequest$;
(function(RecordEventsRequest$2) {
  RecordEventsRequest$2.inboundSchema = RecordEventsRequest$inboundSchema;
  RecordEventsRequest$2.outboundSchema = RecordEventsRequest$outboundSchema;
})(RecordEventsRequest$ || (RecordEventsRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/artifactsRecordEvents.js
async function artifactsRecordEvents(client, request, options) {
  const parsed = safeParse(request, (value) => RecordEventsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v8/artifacts/events")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json",
    "x-artifact-client-ci": encodeSimple("x-artifact-client-ci", payload["x-artifact-client-ci"], { explode: false, charEncoding: "none" }),
    "x-artifact-client-interactive": encodeSimple("x-artifact-client-interactive", payload["x-artifact-client-interactive"], { explode: false, charEncoding: "none" })
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "recordEvents",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(200, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/statusop.js
var StatusStatus = {
  Disabled: "disabled",
  Enabled: "enabled",
  OverLimit: "over_limit",
  Paused: "paused"
};
var StatusRequest$inboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var StatusRequest$outboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var StatusRequest$;
(function(StatusRequest$2) {
  StatusRequest$2.inboundSchema = StatusRequest$inboundSchema;
  StatusRequest$2.outboundSchema = StatusRequest$outboundSchema;
})(StatusRequest$ || (StatusRequest$ = {}));
var StatusStatus$inboundSchema = nativeEnumType(StatusStatus);
var StatusStatus$outboundSchema = StatusStatus$inboundSchema;
var StatusStatus$;
(function(StatusStatus$2) {
  StatusStatus$2.inboundSchema = StatusStatus$inboundSchema;
  StatusStatus$2.outboundSchema = StatusStatus$outboundSchema;
})(StatusStatus$ || (StatusStatus$ = {}));
var StatusResponseBody$inboundSchema = objectType({
  status: StatusStatus$inboundSchema
});
var StatusResponseBody$outboundSchema = objectType({
  status: StatusStatus$outboundSchema
});
var StatusResponseBody$;
(function(StatusResponseBody$2) {
  StatusResponseBody$2.inboundSchema = StatusResponseBody$inboundSchema;
  StatusResponseBody$2.outboundSchema = StatusResponseBody$outboundSchema;
})(StatusResponseBody$ || (StatusResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/artifactsStatus.js
async function artifactsStatus(client, request, options) {
  const parsed = safeParse(request, (value) => StatusRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v8/artifacts/status")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "status",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, StatusResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/uploadartifactop.js
var UploadArtifactRequest$inboundSchema = objectType({
  "Content-Length": numberType(),
  "x-artifact-duration": numberType().optional(),
  "x-artifact-client-ci": stringType().optional(),
  "x-artifact-client-interactive": numberType().int().optional(),
  "x-artifact-tag": stringType().optional(),
  hash: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: unionType([
    instanceOfType(ReadableStream),
    instanceOfType(Blob),
    instanceOfType(ArrayBuffer),
    instanceOfType(Uint8Array)
  ])
}).transform((v2) => {
  return remap(v2, {
    "Content-Length": "contentLength",
    "x-artifact-duration": "xArtifactDuration",
    "x-artifact-client-ci": "xArtifactClientCi",
    "x-artifact-client-interactive": "xArtifactClientInteractive",
    "x-artifact-tag": "xArtifactTag",
    RequestBody: "requestBody"
  });
});
var UploadArtifactRequest$outboundSchema = objectType({
  contentLength: numberType(),
  xArtifactDuration: numberType().optional(),
  xArtifactClientCi: stringType().optional(),
  xArtifactClientInteractive: numberType().int().optional(),
  xArtifactTag: stringType().optional(),
  hash: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: unionType([
    instanceOfType(ReadableStream),
    instanceOfType(Blob),
    instanceOfType(ArrayBuffer),
    instanceOfType(Uint8Array)
  ])
}).transform((v2) => {
  return remap(v2, {
    contentLength: "Content-Length",
    xArtifactDuration: "x-artifact-duration",
    xArtifactClientCi: "x-artifact-client-ci",
    xArtifactClientInteractive: "x-artifact-client-interactive",
    xArtifactTag: "x-artifact-tag",
    requestBody: "RequestBody"
  });
});
var UploadArtifactRequest$;
(function(UploadArtifactRequest$2) {
  UploadArtifactRequest$2.inboundSchema = UploadArtifactRequest$inboundSchema;
  UploadArtifactRequest$2.outboundSchema = UploadArtifactRequest$outboundSchema;
})(UploadArtifactRequest$ || (UploadArtifactRequest$ = {}));
var UploadArtifactResponseBody$inboundSchema = objectType({
  urls: arrayType(stringType())
});
var UploadArtifactResponseBody$outboundSchema = objectType({
  urls: arrayType(stringType())
});
var UploadArtifactResponseBody$;
(function(UploadArtifactResponseBody$2) {
  UploadArtifactResponseBody$2.inboundSchema = UploadArtifactResponseBody$inboundSchema;
  UploadArtifactResponseBody$2.outboundSchema = UploadArtifactResponseBody$outboundSchema;
})(UploadArtifactResponseBody$ || (UploadArtifactResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/artifactsUploadArtifact.js
async function artifactsUploadArtifact(client, request, options) {
  const parsed = safeParse(request, (value) => UploadArtifactRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = payload.RequestBody;
  const pathParams = {
    hash: encodeSimple("hash", payload.hash, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v8/artifacts/{hash}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/octet-stream",
    Accept: "application/json",
    "Content-Length": encodeSimple("Content-Length", payload["Content-Length"], { explode: false, charEncoding: "none" }),
    "x-artifact-client-ci": encodeSimple("x-artifact-client-ci", payload["x-artifact-client-ci"], { explode: false, charEncoding: "none" }),
    "x-artifact-client-interactive": encodeSimple("x-artifact-client-interactive", payload["x-artifact-client-interactive"], { explode: false, charEncoding: "none" }),
    "x-artifact-duration": encodeSimple("x-artifact-duration", payload["x-artifact-duration"], { explode: false, charEncoding: "none" }),
    "x-artifact-tag": encodeSimple("x-artifact-tag", payload["x-artifact-tag"], { explode: false, charEncoding: "none" })
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "uploadArtifact",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PUT",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(202, UploadArtifactResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/artifacts.js
class Artifacts extends ClientSDK {
  async recordEvents(request, options) {
    return unwrapAsync(artifactsRecordEvents(this, request, options));
  }
  async status(request, options) {
    return unwrapAsync(artifactsStatus(this, request, options));
  }
  async uploadArtifact(request, options) {
    return unwrapAsync(artifactsUploadArtifact(this, request, options));
  }
  async downloadArtifact(request, options) {
    return unwrapAsync(artifactsDownloadArtifact(this, request, options));
  }
  async artifactExists(request, options) {
    return unwrapAsync(artifactsArtifactExists(this, request, options));
  }
  async artifactQuery(request, options) {
    return unwrapAsync(artifactsArtifactQuery(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/authtoken.js
var ScopesType = {
  Team: "team"
};
var AuthTokenScopesOrigin = {
  Saml: "saml",
  Github: "github",
  Gitlab: "gitlab",
  Bitbucket: "bitbucket",
  Email: "email",
  Manual: "manual",
  Passkey: "passkey",
  Otp: "otp",
  Sms: "sms",
  Invite: "invite"
};
var AuthTokenScopesType = {
  User: "user"
};
var ScopesOrigin = {
  Saml: "saml",
  Github: "github",
  Gitlab: "gitlab",
  Bitbucket: "bitbucket",
  Email: "email",
  Manual: "manual",
  Passkey: "passkey",
  Otp: "otp",
  Sms: "sms",
  Invite: "invite"
};
var ScopesType$inboundSchema = nativeEnumType(ScopesType);
var ScopesType$outboundSchema = ScopesType$inboundSchema;
var ScopesType$;
(function(ScopesType$2) {
  ScopesType$2.inboundSchema = ScopesType$inboundSchema;
  ScopesType$2.outboundSchema = ScopesType$outboundSchema;
})(ScopesType$ || (ScopesType$ = {}));
var AuthTokenScopesOrigin$inboundSchema = nativeEnumType(AuthTokenScopesOrigin);
var AuthTokenScopesOrigin$outboundSchema = AuthTokenScopesOrigin$inboundSchema;
var AuthTokenScopesOrigin$;
(function(AuthTokenScopesOrigin$2) {
  AuthTokenScopesOrigin$2.inboundSchema = AuthTokenScopesOrigin$inboundSchema;
  AuthTokenScopesOrigin$2.outboundSchema = AuthTokenScopesOrigin$outboundSchema;
})(AuthTokenScopesOrigin$ || (AuthTokenScopesOrigin$ = {}));
var Scopes2$inboundSchema = objectType({
  type: ScopesType$inboundSchema,
  teamId: stringType(),
  origin: AuthTokenScopesOrigin$inboundSchema,
  createdAt: numberType(),
  expiresAt: numberType().optional()
});
var Scopes2$outboundSchema = objectType({
  type: ScopesType$outboundSchema,
  teamId: stringType(),
  origin: AuthTokenScopesOrigin$outboundSchema,
  createdAt: numberType(),
  expiresAt: numberType().optional()
});
var Scopes2$;
(function(Scopes2$2) {
  Scopes2$2.inboundSchema = Scopes2$inboundSchema;
  Scopes2$2.outboundSchema = Scopes2$outboundSchema;
})(Scopes2$ || (Scopes2$ = {}));
var AuthTokenScopesType$inboundSchema = nativeEnumType(AuthTokenScopesType);
var AuthTokenScopesType$outboundSchema = AuthTokenScopesType$inboundSchema;
var AuthTokenScopesType$;
(function(AuthTokenScopesType$2) {
  AuthTokenScopesType$2.inboundSchema = AuthTokenScopesType$inboundSchema;
  AuthTokenScopesType$2.outboundSchema = AuthTokenScopesType$outboundSchema;
})(AuthTokenScopesType$ || (AuthTokenScopesType$ = {}));
var ScopesOrigin$inboundSchema = nativeEnumType(ScopesOrigin);
var ScopesOrigin$outboundSchema = ScopesOrigin$inboundSchema;
var ScopesOrigin$;
(function(ScopesOrigin$2) {
  ScopesOrigin$2.inboundSchema = ScopesOrigin$inboundSchema;
  ScopesOrigin$2.outboundSchema = ScopesOrigin$outboundSchema;
})(ScopesOrigin$ || (ScopesOrigin$ = {}));
var Scopes1$inboundSchema = objectType({
  type: AuthTokenScopesType$inboundSchema,
  origin: ScopesOrigin$inboundSchema,
  createdAt: numberType(),
  expiresAt: numberType().optional()
});
var Scopes1$outboundSchema = objectType({
  type: AuthTokenScopesType$outboundSchema,
  origin: ScopesOrigin$outboundSchema,
  createdAt: numberType(),
  expiresAt: numberType().optional()
});
var Scopes1$;
(function(Scopes1$2) {
  Scopes1$2.inboundSchema = Scopes1$inboundSchema;
  Scopes1$2.outboundSchema = Scopes1$outboundSchema;
})(Scopes1$ || (Scopes1$ = {}));
var Scopes$inboundSchema = unionType([
  lazyType(() => Scopes1$inboundSchema),
  lazyType(() => Scopes2$inboundSchema)
]);
var Scopes$outboundSchema = unionType([
  lazyType(() => Scopes1$outboundSchema),
  lazyType(() => Scopes2$outboundSchema)
]);
var Scopes$;
(function(Scopes$2) {
  Scopes$2.inboundSchema = Scopes$inboundSchema;
  Scopes$2.outboundSchema = Scopes$outboundSchema;
})(Scopes$ || (Scopes$ = {}));
var AuthToken$inboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  type: stringType(),
  origin: stringType().optional(),
  scopes: arrayType(unionType([
    lazyType(() => Scopes1$inboundSchema),
    lazyType(() => Scopes2$inboundSchema)
  ])).optional(),
  expiresAt: numberType().optional(),
  activeAt: numberType(),
  createdAt: numberType()
});
var AuthToken$outboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  type: stringType(),
  origin: stringType().optional(),
  scopes: arrayType(unionType([
    lazyType(() => Scopes1$outboundSchema),
    lazyType(() => Scopes2$outboundSchema)
  ])).optional(),
  expiresAt: numberType().optional(),
  activeAt: numberType(),
  createdAt: numberType()
});
var AuthToken$;
(function(AuthToken$2) {
  AuthToken$2.inboundSchema = AuthToken$inboundSchema;
  AuthToken$2.outboundSchema = AuthToken$outboundSchema;
})(AuthToken$ || (AuthToken$ = {}));

// node_modules/@vercel/sdk/esm/models/createauthtokenop.js
var CreateAuthTokenRequestBody$inboundSchema = objectType({
  name: stringType(),
  expiresAt: numberType().optional()
});
var CreateAuthTokenRequestBody$outboundSchema = objectType({
  name: stringType(),
  expiresAt: numberType().optional()
});
var CreateAuthTokenRequestBody$;
(function(CreateAuthTokenRequestBody$2) {
  CreateAuthTokenRequestBody$2.inboundSchema = CreateAuthTokenRequestBody$inboundSchema;
  CreateAuthTokenRequestBody$2.outboundSchema = CreateAuthTokenRequestBody$outboundSchema;
})(CreateAuthTokenRequestBody$ || (CreateAuthTokenRequestBody$ = {}));
var CreateAuthTokenRequest$inboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => CreateAuthTokenRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var CreateAuthTokenRequest$outboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => CreateAuthTokenRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var CreateAuthTokenRequest$;
(function(CreateAuthTokenRequest$2) {
  CreateAuthTokenRequest$2.inboundSchema = CreateAuthTokenRequest$inboundSchema;
  CreateAuthTokenRequest$2.outboundSchema = CreateAuthTokenRequest$outboundSchema;
})(CreateAuthTokenRequest$ || (CreateAuthTokenRequest$ = {}));
var CreateAuthTokenResponseBody$inboundSchema = objectType({
  token: AuthToken$inboundSchema,
  bearerToken: stringType()
});
var CreateAuthTokenResponseBody$outboundSchema = objectType({
  token: AuthToken$outboundSchema,
  bearerToken: stringType()
});
var CreateAuthTokenResponseBody$;
(function(CreateAuthTokenResponseBody$2) {
  CreateAuthTokenResponseBody$2.inboundSchema = CreateAuthTokenResponseBody$inboundSchema;
  CreateAuthTokenResponseBody$2.outboundSchema = CreateAuthTokenResponseBody$outboundSchema;
})(CreateAuthTokenResponseBody$ || (CreateAuthTokenResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/authenticationCreateAuthToken.js
async function authenticationCreateAuthToken(client, request, options) {
  const parsed = safeParse(request, (value) => CreateAuthTokenRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v3/user/tokens")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "createAuthToken",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateAuthTokenResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/deleteauthtokenop.js
var DeleteAuthTokenRequest$inboundSchema = objectType({
  tokenId: stringType()
});
var DeleteAuthTokenRequest$outboundSchema = objectType({
  tokenId: stringType()
});
var DeleteAuthTokenRequest$;
(function(DeleteAuthTokenRequest$2) {
  DeleteAuthTokenRequest$2.inboundSchema = DeleteAuthTokenRequest$inboundSchema;
  DeleteAuthTokenRequest$2.outboundSchema = DeleteAuthTokenRequest$outboundSchema;
})(DeleteAuthTokenRequest$ || (DeleteAuthTokenRequest$ = {}));
var DeleteAuthTokenResponseBody$inboundSchema = objectType({
  tokenId: stringType()
});
var DeleteAuthTokenResponseBody$outboundSchema = objectType({
  tokenId: stringType()
});
var DeleteAuthTokenResponseBody$;
(function(DeleteAuthTokenResponseBody$2) {
  DeleteAuthTokenResponseBody$2.inboundSchema = DeleteAuthTokenResponseBody$inboundSchema;
  DeleteAuthTokenResponseBody$2.outboundSchema = DeleteAuthTokenResponseBody$outboundSchema;
})(DeleteAuthTokenResponseBody$ || (DeleteAuthTokenResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/authenticationDeleteAuthToken.js
async function authenticationDeleteAuthToken(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteAuthTokenRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    tokenId: encodeSimple("tokenId", payload.tokenId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v3/user/tokens/{tokenId}")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "deleteAuthToken",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, DeleteAuthTokenResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/exchangessotokenop.js
var ExchangeSsoTokenRequestBody$inboundSchema = objectType({
  code: stringType(),
  state: stringType().optional(),
  client_id: stringType(),
  client_secret: stringType(),
  redirect_uri: stringType().optional()
}).transform((v2) => {
  return remap(v2, {
    client_id: "clientId",
    client_secret: "clientSecret",
    redirect_uri: "redirectUri"
  });
});
var ExchangeSsoTokenRequestBody$outboundSchema = objectType({
  code: stringType(),
  state: stringType().optional(),
  clientId: stringType(),
  clientSecret: stringType(),
  redirectUri: stringType().optional()
}).transform((v2) => {
  return remap(v2, {
    clientId: "client_id",
    clientSecret: "client_secret",
    redirectUri: "redirect_uri"
  });
});
var ExchangeSsoTokenRequestBody$;
(function(ExchangeSsoTokenRequestBody$2) {
  ExchangeSsoTokenRequestBody$2.inboundSchema = ExchangeSsoTokenRequestBody$inboundSchema;
  ExchangeSsoTokenRequestBody$2.outboundSchema = ExchangeSsoTokenRequestBody$outboundSchema;
})(ExchangeSsoTokenRequestBody$ || (ExchangeSsoTokenRequestBody$ = {}));
var ExchangeSsoTokenResponseBody$inboundSchema = objectType({
  id_token: stringType(),
  access_token: nullableType(anyType()).optional(),
  token_type: nullableType(anyType()).optional()
}).transform((v2) => {
  return remap(v2, {
    id_token: "idToken",
    access_token: "accessToken",
    token_type: "tokenType"
  });
});
var ExchangeSsoTokenResponseBody$outboundSchema = objectType({
  idToken: stringType(),
  accessToken: nullableType(anyType()).optional(),
  tokenType: nullableType(anyType()).optional()
}).transform((v2) => {
  return remap(v2, {
    idToken: "id_token",
    accessToken: "access_token",
    tokenType: "token_type"
  });
});
var ExchangeSsoTokenResponseBody$;
(function(ExchangeSsoTokenResponseBody$2) {
  ExchangeSsoTokenResponseBody$2.inboundSchema = ExchangeSsoTokenResponseBody$inboundSchema;
  ExchangeSsoTokenResponseBody$2.outboundSchema = ExchangeSsoTokenResponseBody$outboundSchema;
})(ExchangeSsoTokenResponseBody$ || (ExchangeSsoTokenResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/authenticationExchangeSsoToken.js
async function authenticationExchangeSsoToken(client, request, options) {
  const parsed = safeParse(request, (value) => ExchangeSsoTokenRequestBody$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload, { explode: true });
  const path = pathToFunc("/v1/integrations/sso/token")();
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const context = {
    operationID: "exchange-sso-token",
    oAuth2Scopes: [],
    resolvedSecurity: null,
    securitySource: null,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "404", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ExchangeSsoTokenResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([500, "5XX"]), fail("4XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getauthtokenop.js
var GetAuthTokenRequest$inboundSchema = objectType({
  tokenId: stringType()
});
var GetAuthTokenRequest$outboundSchema = objectType({
  tokenId: stringType()
});
var GetAuthTokenRequest$;
(function(GetAuthTokenRequest$2) {
  GetAuthTokenRequest$2.inboundSchema = GetAuthTokenRequest$inboundSchema;
  GetAuthTokenRequest$2.outboundSchema = GetAuthTokenRequest$outboundSchema;
})(GetAuthTokenRequest$ || (GetAuthTokenRequest$ = {}));
var GetAuthTokenResponseBody$inboundSchema = objectType({
  token: AuthToken$inboundSchema
});
var GetAuthTokenResponseBody$outboundSchema = objectType({
  token: AuthToken$outboundSchema
});
var GetAuthTokenResponseBody$;
(function(GetAuthTokenResponseBody$2) {
  GetAuthTokenResponseBody$2.inboundSchema = GetAuthTokenResponseBody$inboundSchema;
  GetAuthTokenResponseBody$2.outboundSchema = GetAuthTokenResponseBody$outboundSchema;
})(GetAuthTokenResponseBody$ || (GetAuthTokenResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/authenticationGetAuthToken.js
async function authenticationGetAuthToken(client, request, options) {
  const parsed = safeParse(request, (value) => GetAuthTokenRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    tokenId: encodeSimple("tokenId", payload.tokenId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v5/user/tokens/{tokenId}")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getAuthToken",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetAuthTokenResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/listauthtokensop.js
var ListAuthTokensResponseBody$inboundSchema = objectType({
  tokens: arrayType(AuthToken$inboundSchema),
  testingToken: AuthToken$inboundSchema.optional(),
  pagination: Pagination$inboundSchema
});
var ListAuthTokensResponseBody$outboundSchema = objectType({
  tokens: arrayType(AuthToken$outboundSchema),
  testingToken: AuthToken$outboundSchema.optional(),
  pagination: Pagination$outboundSchema
});
var ListAuthTokensResponseBody$;
(function(ListAuthTokensResponseBody$2) {
  ListAuthTokensResponseBody$2.inboundSchema = ListAuthTokensResponseBody$inboundSchema;
  ListAuthTokensResponseBody$2.outboundSchema = ListAuthTokensResponseBody$outboundSchema;
})(ListAuthTokensResponseBody$ || (ListAuthTokensResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/authenticationListAuthTokens.js
async function authenticationListAuthTokens(client, options) {
  const path = pathToFunc("/v5/user/tokens")();
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "listAuthTokens",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ListAuthTokensResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/authentication.js
class Authentication extends ClientSDK {
  async exchangeSsoToken(request, options) {
    return unwrapAsync(authenticationExchangeSsoToken(this, request, options));
  }
  async listAuthTokens(options) {
    return unwrapAsync(authenticationListAuthTokens(this, options));
  }
  async createAuthToken(request, options) {
    return unwrapAsync(authenticationCreateAuthToken(this, request, options));
  }
  async getAuthToken(request, options) {
    return unwrapAsync(authenticationGetAuthToken(this, request, options));
  }
  async deleteAuthToken(request, options) {
    return unwrapAsync(authenticationDeleteAuthToken(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/getcertbyidop.js
var GetCertByIdRequest$inboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetCertByIdRequest$outboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetCertByIdRequest$;
(function(GetCertByIdRequest$2) {
  GetCertByIdRequest$2.inboundSchema = GetCertByIdRequest$inboundSchema;
  GetCertByIdRequest$2.outboundSchema = GetCertByIdRequest$outboundSchema;
})(GetCertByIdRequest$ || (GetCertByIdRequest$ = {}));
var GetCertByIdResponseBody$inboundSchema = objectType({
  id: stringType(),
  createdAt: numberType(),
  expiresAt: numberType(),
  autoRenew: booleanType(),
  cns: arrayType(stringType())
});
var GetCertByIdResponseBody$outboundSchema = objectType({
  id: stringType(),
  createdAt: numberType(),
  expiresAt: numberType(),
  autoRenew: booleanType(),
  cns: arrayType(stringType())
});
var GetCertByIdResponseBody$;
(function(GetCertByIdResponseBody$2) {
  GetCertByIdResponseBody$2.inboundSchema = GetCertByIdResponseBody$inboundSchema;
  GetCertByIdResponseBody$2.outboundSchema = GetCertByIdResponseBody$outboundSchema;
})(GetCertByIdResponseBody$ || (GetCertByIdResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/certsGetCertById.js
async function certsGetCertById(client, request, options) {
  const parsed = safeParse(request, (value) => GetCertByIdRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v7/certs/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getCertById",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetCertByIdResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/issuecertop.js
var IssueCertRequestBody$inboundSchema = objectType({
  cns: arrayType(stringType()).optional()
});
var IssueCertRequestBody$outboundSchema = objectType({
  cns: arrayType(stringType()).optional()
});
var IssueCertRequestBody$;
(function(IssueCertRequestBody$2) {
  IssueCertRequestBody$2.inboundSchema = IssueCertRequestBody$inboundSchema;
  IssueCertRequestBody$2.outboundSchema = IssueCertRequestBody$outboundSchema;
})(IssueCertRequestBody$ || (IssueCertRequestBody$ = {}));
var IssueCertRequest$inboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => IssueCertRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var IssueCertRequest$outboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => IssueCertRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var IssueCertRequest$;
(function(IssueCertRequest$2) {
  IssueCertRequest$2.inboundSchema = IssueCertRequest$inboundSchema;
  IssueCertRequest$2.outboundSchema = IssueCertRequest$outboundSchema;
})(IssueCertRequest$ || (IssueCertRequest$ = {}));
var IssueCertResponseBody$inboundSchema = objectType({
  id: stringType(),
  createdAt: numberType(),
  expiresAt: numberType(),
  autoRenew: booleanType(),
  cns: arrayType(stringType())
});
var IssueCertResponseBody$outboundSchema = objectType({
  id: stringType(),
  createdAt: numberType(),
  expiresAt: numberType(),
  autoRenew: booleanType(),
  cns: arrayType(stringType())
});
var IssueCertResponseBody$;
(function(IssueCertResponseBody$2) {
  IssueCertResponseBody$2.inboundSchema = IssueCertResponseBody$inboundSchema;
  IssueCertResponseBody$2.outboundSchema = IssueCertResponseBody$outboundSchema;
})(IssueCertResponseBody$ || (IssueCertResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/certsIssueCert.js
async function certsIssueCert(client, request, options) {
  const parsed = safeParse(request, (value) => IssueCertRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v7/certs")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "issueCert",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "449", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, IssueCertResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, 449, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/removecertop.js
var RemoveCertRequest$inboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var RemoveCertRequest$outboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var RemoveCertRequest$;
(function(RemoveCertRequest$2) {
  RemoveCertRequest$2.inboundSchema = RemoveCertRequest$inboundSchema;
  RemoveCertRequest$2.outboundSchema = RemoveCertRequest$outboundSchema;
})(RemoveCertRequest$ || (RemoveCertRequest$ = {}));
var RemoveCertResponseBody$inboundSchema = objectType({});
var RemoveCertResponseBody$outboundSchema = objectType({});
var RemoveCertResponseBody$;
(function(RemoveCertResponseBody$2) {
  RemoveCertResponseBody$2.inboundSchema = RemoveCertResponseBody$inboundSchema;
  RemoveCertResponseBody$2.outboundSchema = RemoveCertResponseBody$outboundSchema;
})(RemoveCertResponseBody$ || (RemoveCertResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/certsRemoveCert.js
async function certsRemoveCert(client, request, options) {
  const parsed = safeParse(request, (value) => RemoveCertRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v7/certs/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "removeCert",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RemoveCertResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/uploadcertop.js
var UploadCertRequestBody$inboundSchema = objectType({
  ca: stringType(),
  key: stringType(),
  cert: stringType(),
  skipValidation: booleanType().optional()
});
var UploadCertRequestBody$outboundSchema = objectType({
  ca: stringType(),
  key: stringType(),
  cert: stringType(),
  skipValidation: booleanType().optional()
});
var UploadCertRequestBody$;
(function(UploadCertRequestBody$2) {
  UploadCertRequestBody$2.inboundSchema = UploadCertRequestBody$inboundSchema;
  UploadCertRequestBody$2.outboundSchema = UploadCertRequestBody$outboundSchema;
})(UploadCertRequestBody$ || (UploadCertRequestBody$ = {}));
var UploadCertRequest$inboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => UploadCertRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var UploadCertRequest$outboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => UploadCertRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var UploadCertRequest$;
(function(UploadCertRequest$2) {
  UploadCertRequest$2.inboundSchema = UploadCertRequest$inboundSchema;
  UploadCertRequest$2.outboundSchema = UploadCertRequest$outboundSchema;
})(UploadCertRequest$ || (UploadCertRequest$ = {}));
var UploadCertResponseBody$inboundSchema = objectType({
  id: stringType(),
  createdAt: numberType(),
  expiresAt: numberType(),
  autoRenew: booleanType(),
  cns: arrayType(stringType())
});
var UploadCertResponseBody$outboundSchema = objectType({
  id: stringType(),
  createdAt: numberType(),
  expiresAt: numberType(),
  autoRenew: booleanType(),
  cns: arrayType(stringType())
});
var UploadCertResponseBody$;
(function(UploadCertResponseBody$2) {
  UploadCertResponseBody$2.inboundSchema = UploadCertResponseBody$inboundSchema;
  UploadCertResponseBody$2.outboundSchema = UploadCertResponseBody$outboundSchema;
})(UploadCertResponseBody$ || (UploadCertResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/certsUploadCert.js
async function certsUploadCert(client, request, options) {
  const parsed = safeParse(request, (value) => UploadCertRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v7/certs")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "uploadCert",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PUT",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UploadCertResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/certs.js
class Certs extends ClientSDK {
  async getCertById(request, options) {
    return unwrapAsync(certsGetCertById(this, request, options));
  }
  async removeCert(request, options) {
    return unwrapAsync(certsRemoveCert(this, request, options));
  }
  async issueCert(request, options) {
    return unwrapAsync(certsIssueCert(this, request, options));
  }
  async uploadCert(request, options) {
    return unwrapAsync(certsUploadCert(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/createcheckop.js
var CreateCheckStatus = {
  Registered: "registered",
  Running: "running",
  Completed: "completed"
};
var CreateCheckConclusion = {
  Canceled: "canceled",
  Failed: "failed",
  Neutral: "neutral",
  Succeeded: "succeeded",
  Skipped: "skipped",
  Stale: "stale"
};
var CreateCheckSource = {
  WebVitals: "web-vitals"
};
var CreateCheckChecksSource = {
  WebVitals: "web-vitals"
};
var CreateCheckChecksResponseSource = {
  WebVitals: "web-vitals"
};
var CreateCheckChecksResponse200Source = {
  WebVitals: "web-vitals"
};
var CreateCheckChecksResponse200ApplicationJSONSource = {
  WebVitals: "web-vitals"
};
var CreateCheckRequestBody$inboundSchema = objectType({
  name: stringType(),
  path: stringType().optional(),
  blocking: booleanType(),
  detailsUrl: stringType().optional(),
  externalId: stringType().optional(),
  rerequestable: booleanType().optional()
});
var CreateCheckRequestBody$outboundSchema = objectType({
  name: stringType(),
  path: stringType().optional(),
  blocking: booleanType(),
  detailsUrl: stringType().optional(),
  externalId: stringType().optional(),
  rerequestable: booleanType().optional()
});
var CreateCheckRequestBody$;
(function(CreateCheckRequestBody$2) {
  CreateCheckRequestBody$2.inboundSchema = CreateCheckRequestBody$inboundSchema;
  CreateCheckRequestBody$2.outboundSchema = CreateCheckRequestBody$outboundSchema;
})(CreateCheckRequestBody$ || (CreateCheckRequestBody$ = {}));
var CreateCheckRequest$inboundSchema = objectType({
  deploymentId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => CreateCheckRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var CreateCheckRequest$outboundSchema = objectType({
  deploymentId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => CreateCheckRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var CreateCheckRequest$;
(function(CreateCheckRequest$2) {
  CreateCheckRequest$2.inboundSchema = CreateCheckRequest$inboundSchema;
  CreateCheckRequest$2.outboundSchema = CreateCheckRequest$outboundSchema;
})(CreateCheckRequest$ || (CreateCheckRequest$ = {}));
var CreateCheckStatus$inboundSchema = nativeEnumType(CreateCheckStatus);
var CreateCheckStatus$outboundSchema = CreateCheckStatus$inboundSchema;
var CreateCheckStatus$;
(function(CreateCheckStatus$2) {
  CreateCheckStatus$2.inboundSchema = CreateCheckStatus$inboundSchema;
  CreateCheckStatus$2.outboundSchema = CreateCheckStatus$outboundSchema;
})(CreateCheckStatus$ || (CreateCheckStatus$ = {}));
var CreateCheckConclusion$inboundSchema = nativeEnumType(CreateCheckConclusion);
var CreateCheckConclusion$outboundSchema = CreateCheckConclusion$inboundSchema;
var CreateCheckConclusion$;
(function(CreateCheckConclusion$2) {
  CreateCheckConclusion$2.inboundSchema = CreateCheckConclusion$inboundSchema;
  CreateCheckConclusion$2.outboundSchema = CreateCheckConclusion$outboundSchema;
})(CreateCheckConclusion$ || (CreateCheckConclusion$ = {}));
var CreateCheckSource$inboundSchema = nativeEnumType(CreateCheckSource);
var CreateCheckSource$outboundSchema = CreateCheckSource$inboundSchema;
var CreateCheckSource$;
(function(CreateCheckSource$2) {
  CreateCheckSource$2.inboundSchema = CreateCheckSource$inboundSchema;
  CreateCheckSource$2.outboundSchema = CreateCheckSource$outboundSchema;
})(CreateCheckSource$ || (CreateCheckSource$ = {}));
var CreateCheckFCP$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: CreateCheckSource$inboundSchema
});
var CreateCheckFCP$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: CreateCheckSource$outboundSchema
});
var CreateCheckFCP$;
(function(CreateCheckFCP$2) {
  CreateCheckFCP$2.inboundSchema = CreateCheckFCP$inboundSchema;
  CreateCheckFCP$2.outboundSchema = CreateCheckFCP$outboundSchema;
})(CreateCheckFCP$ || (CreateCheckFCP$ = {}));
var CreateCheckChecksSource$inboundSchema = nativeEnumType(CreateCheckChecksSource);
var CreateCheckChecksSource$outboundSchema = CreateCheckChecksSource$inboundSchema;
var CreateCheckChecksSource$;
(function(CreateCheckChecksSource$2) {
  CreateCheckChecksSource$2.inboundSchema = CreateCheckChecksSource$inboundSchema;
  CreateCheckChecksSource$2.outboundSchema = CreateCheckChecksSource$outboundSchema;
})(CreateCheckChecksSource$ || (CreateCheckChecksSource$ = {}));
var CreateCheckLCP$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: CreateCheckChecksSource$inboundSchema
});
var CreateCheckLCP$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: CreateCheckChecksSource$outboundSchema
});
var CreateCheckLCP$;
(function(CreateCheckLCP$2) {
  CreateCheckLCP$2.inboundSchema = CreateCheckLCP$inboundSchema;
  CreateCheckLCP$2.outboundSchema = CreateCheckLCP$outboundSchema;
})(CreateCheckLCP$ || (CreateCheckLCP$ = {}));
var CreateCheckChecksResponseSource$inboundSchema = nativeEnumType(CreateCheckChecksResponseSource);
var CreateCheckChecksResponseSource$outboundSchema = CreateCheckChecksResponseSource$inboundSchema;
var CreateCheckChecksResponseSource$;
(function(CreateCheckChecksResponseSource$2) {
  CreateCheckChecksResponseSource$2.inboundSchema = CreateCheckChecksResponseSource$inboundSchema;
  CreateCheckChecksResponseSource$2.outboundSchema = CreateCheckChecksResponseSource$outboundSchema;
})(CreateCheckChecksResponseSource$ || (CreateCheckChecksResponseSource$ = {}));
var CreateCheckCLS$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: CreateCheckChecksResponseSource$inboundSchema
});
var CreateCheckCLS$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: CreateCheckChecksResponseSource$outboundSchema
});
var CreateCheckCLS$;
(function(CreateCheckCLS$2) {
  CreateCheckCLS$2.inboundSchema = CreateCheckCLS$inboundSchema;
  CreateCheckCLS$2.outboundSchema = CreateCheckCLS$outboundSchema;
})(CreateCheckCLS$ || (CreateCheckCLS$ = {}));
var CreateCheckChecksResponse200Source$inboundSchema = nativeEnumType(CreateCheckChecksResponse200Source);
var CreateCheckChecksResponse200Source$outboundSchema = CreateCheckChecksResponse200Source$inboundSchema;
var CreateCheckChecksResponse200Source$;
(function(CreateCheckChecksResponse200Source$2) {
  CreateCheckChecksResponse200Source$2.inboundSchema = CreateCheckChecksResponse200Source$inboundSchema;
  CreateCheckChecksResponse200Source$2.outboundSchema = CreateCheckChecksResponse200Source$outboundSchema;
})(CreateCheckChecksResponse200Source$ || (CreateCheckChecksResponse200Source$ = {}));
var CreateCheckTBT$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: CreateCheckChecksResponse200Source$inboundSchema
});
var CreateCheckTBT$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: CreateCheckChecksResponse200Source$outboundSchema
});
var CreateCheckTBT$;
(function(CreateCheckTBT$2) {
  CreateCheckTBT$2.inboundSchema = CreateCheckTBT$inboundSchema;
  CreateCheckTBT$2.outboundSchema = CreateCheckTBT$outboundSchema;
})(CreateCheckTBT$ || (CreateCheckTBT$ = {}));
var CreateCheckChecksResponse200ApplicationJSONSource$inboundSchema = nativeEnumType(CreateCheckChecksResponse200ApplicationJSONSource);
var CreateCheckChecksResponse200ApplicationJSONSource$outboundSchema = CreateCheckChecksResponse200ApplicationJSONSource$inboundSchema;
var CreateCheckChecksResponse200ApplicationJSONSource$;
(function(CreateCheckChecksResponse200ApplicationJSONSource$2) {
  CreateCheckChecksResponse200ApplicationJSONSource$2.inboundSchema = CreateCheckChecksResponse200ApplicationJSONSource$inboundSchema;
  CreateCheckChecksResponse200ApplicationJSONSource$2.outboundSchema = CreateCheckChecksResponse200ApplicationJSONSource$outboundSchema;
})(CreateCheckChecksResponse200ApplicationJSONSource$ || (CreateCheckChecksResponse200ApplicationJSONSource$ = {}));
var CreateCheckVirtualExperienceScore$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: CreateCheckChecksResponse200ApplicationJSONSource$inboundSchema
});
var CreateCheckVirtualExperienceScore$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: CreateCheckChecksResponse200ApplicationJSONSource$outboundSchema
});
var CreateCheckVirtualExperienceScore$;
(function(CreateCheckVirtualExperienceScore$2) {
  CreateCheckVirtualExperienceScore$2.inboundSchema = CreateCheckVirtualExperienceScore$inboundSchema;
  CreateCheckVirtualExperienceScore$2.outboundSchema = CreateCheckVirtualExperienceScore$outboundSchema;
})(CreateCheckVirtualExperienceScore$ || (CreateCheckVirtualExperienceScore$ = {}));
var CreateCheckMetrics$inboundSchema = objectType({
  FCP: lazyType(() => CreateCheckFCP$inboundSchema),
  LCP: lazyType(() => CreateCheckLCP$inboundSchema),
  CLS: lazyType(() => CreateCheckCLS$inboundSchema),
  TBT: lazyType(() => CreateCheckTBT$inboundSchema),
  virtualExperienceScore: lazyType(() => CreateCheckVirtualExperienceScore$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    FCP: "fcp",
    LCP: "lcp",
    CLS: "cls",
    TBT: "tbt"
  });
});
var CreateCheckMetrics$outboundSchema = objectType({
  fcp: lazyType(() => CreateCheckFCP$outboundSchema),
  lcp: lazyType(() => CreateCheckLCP$outboundSchema),
  cls: lazyType(() => CreateCheckCLS$outboundSchema),
  tbt: lazyType(() => CreateCheckTBT$outboundSchema),
  virtualExperienceScore: lazyType(() => CreateCheckVirtualExperienceScore$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    fcp: "FCP",
    lcp: "LCP",
    cls: "CLS",
    tbt: "TBT"
  });
});
var CreateCheckMetrics$;
(function(CreateCheckMetrics$2) {
  CreateCheckMetrics$2.inboundSchema = CreateCheckMetrics$inboundSchema;
  CreateCheckMetrics$2.outboundSchema = CreateCheckMetrics$outboundSchema;
})(CreateCheckMetrics$ || (CreateCheckMetrics$ = {}));
var CreateCheckOutput$inboundSchema = objectType({
  metrics: lazyType(() => CreateCheckMetrics$inboundSchema).optional()
});
var CreateCheckOutput$outboundSchema = objectType({
  metrics: lazyType(() => CreateCheckMetrics$outboundSchema).optional()
});
var CreateCheckOutput$;
(function(CreateCheckOutput$2) {
  CreateCheckOutput$2.inboundSchema = CreateCheckOutput$inboundSchema;
  CreateCheckOutput$2.outboundSchema = CreateCheckOutput$outboundSchema;
})(CreateCheckOutput$ || (CreateCheckOutput$ = {}));
var CreateCheckResponseBody$inboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  path: stringType().optional(),
  status: CreateCheckStatus$inboundSchema,
  conclusion: CreateCheckConclusion$inboundSchema.optional(),
  blocking: booleanType(),
  output: lazyType(() => CreateCheckOutput$inboundSchema).optional(),
  detailsUrl: stringType().optional(),
  integrationId: stringType(),
  deploymentId: stringType(),
  externalId: stringType().optional(),
  createdAt: numberType(),
  updatedAt: numberType(),
  startedAt: numberType().optional(),
  completedAt: numberType().optional(),
  rerequestable: booleanType().optional()
});
var CreateCheckResponseBody$outboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  path: stringType().optional(),
  status: CreateCheckStatus$outboundSchema,
  conclusion: CreateCheckConclusion$outboundSchema.optional(),
  blocking: booleanType(),
  output: lazyType(() => CreateCheckOutput$outboundSchema).optional(),
  detailsUrl: stringType().optional(),
  integrationId: stringType(),
  deploymentId: stringType(),
  externalId: stringType().optional(),
  createdAt: numberType(),
  updatedAt: numberType(),
  startedAt: numberType().optional(),
  completedAt: numberType().optional(),
  rerequestable: booleanType().optional()
});
var CreateCheckResponseBody$;
(function(CreateCheckResponseBody$2) {
  CreateCheckResponseBody$2.inboundSchema = CreateCheckResponseBody$inboundSchema;
  CreateCheckResponseBody$2.outboundSchema = CreateCheckResponseBody$outboundSchema;
})(CreateCheckResponseBody$ || (CreateCheckResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/checksCreateCheck.js
async function checksCreateCheck(client, request, options) {
  const parsed = safeParse(request, (value) => CreateCheckRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    deploymentId: encodeSimple("deploymentId", payload.deploymentId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/deployments/{deploymentId}/checks")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "createCheck",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateCheckResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getallchecksop.js
var GetAllChecksConclusion = {
  Canceled: "canceled",
  Failed: "failed",
  Neutral: "neutral",
  Succeeded: "succeeded",
  Skipped: "skipped",
  Stale: "stale"
};
var GetAllChecksSource = {
  WebVitals: "web-vitals"
};
var GetAllChecksChecksSource = {
  WebVitals: "web-vitals"
};
var GetAllChecksChecksResponseSource = {
  WebVitals: "web-vitals"
};
var GetAllChecksChecksResponse200Source = {
  WebVitals: "web-vitals"
};
var GetAllChecksChecksResponse200ApplicationJSONSource = {
  WebVitals: "web-vitals"
};
var GetAllChecksStatus = {
  Registered: "registered",
  Running: "running",
  Completed: "completed"
};
var GetAllChecksRequest$inboundSchema = objectType({
  deploymentId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetAllChecksRequest$outboundSchema = objectType({
  deploymentId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetAllChecksRequest$;
(function(GetAllChecksRequest$2) {
  GetAllChecksRequest$2.inboundSchema = GetAllChecksRequest$inboundSchema;
  GetAllChecksRequest$2.outboundSchema = GetAllChecksRequest$outboundSchema;
})(GetAllChecksRequest$ || (GetAllChecksRequest$ = {}));
var GetAllChecksConclusion$inboundSchema = nativeEnumType(GetAllChecksConclusion);
var GetAllChecksConclusion$outboundSchema = GetAllChecksConclusion$inboundSchema;
var GetAllChecksConclusion$;
(function(GetAllChecksConclusion$2) {
  GetAllChecksConclusion$2.inboundSchema = GetAllChecksConclusion$inboundSchema;
  GetAllChecksConclusion$2.outboundSchema = GetAllChecksConclusion$outboundSchema;
})(GetAllChecksConclusion$ || (GetAllChecksConclusion$ = {}));
var GetAllChecksSource$inboundSchema = nativeEnumType(GetAllChecksSource);
var GetAllChecksSource$outboundSchema = GetAllChecksSource$inboundSchema;
var GetAllChecksSource$;
(function(GetAllChecksSource$2) {
  GetAllChecksSource$2.inboundSchema = GetAllChecksSource$inboundSchema;
  GetAllChecksSource$2.outboundSchema = GetAllChecksSource$outboundSchema;
})(GetAllChecksSource$ || (GetAllChecksSource$ = {}));
var GetAllChecksFCP$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetAllChecksSource$inboundSchema
});
var GetAllChecksFCP$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetAllChecksSource$outboundSchema
});
var GetAllChecksFCP$;
(function(GetAllChecksFCP$2) {
  GetAllChecksFCP$2.inboundSchema = GetAllChecksFCP$inboundSchema;
  GetAllChecksFCP$2.outboundSchema = GetAllChecksFCP$outboundSchema;
})(GetAllChecksFCP$ || (GetAllChecksFCP$ = {}));
var GetAllChecksChecksSource$inboundSchema = nativeEnumType(GetAllChecksChecksSource);
var GetAllChecksChecksSource$outboundSchema = GetAllChecksChecksSource$inboundSchema;
var GetAllChecksChecksSource$;
(function(GetAllChecksChecksSource$2) {
  GetAllChecksChecksSource$2.inboundSchema = GetAllChecksChecksSource$inboundSchema;
  GetAllChecksChecksSource$2.outboundSchema = GetAllChecksChecksSource$outboundSchema;
})(GetAllChecksChecksSource$ || (GetAllChecksChecksSource$ = {}));
var GetAllChecksLCP$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetAllChecksChecksSource$inboundSchema
});
var GetAllChecksLCP$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetAllChecksChecksSource$outboundSchema
});
var GetAllChecksLCP$;
(function(GetAllChecksLCP$2) {
  GetAllChecksLCP$2.inboundSchema = GetAllChecksLCP$inboundSchema;
  GetAllChecksLCP$2.outboundSchema = GetAllChecksLCP$outboundSchema;
})(GetAllChecksLCP$ || (GetAllChecksLCP$ = {}));
var GetAllChecksChecksResponseSource$inboundSchema = nativeEnumType(GetAllChecksChecksResponseSource);
var GetAllChecksChecksResponseSource$outboundSchema = GetAllChecksChecksResponseSource$inboundSchema;
var GetAllChecksChecksResponseSource$;
(function(GetAllChecksChecksResponseSource$2) {
  GetAllChecksChecksResponseSource$2.inboundSchema = GetAllChecksChecksResponseSource$inboundSchema;
  GetAllChecksChecksResponseSource$2.outboundSchema = GetAllChecksChecksResponseSource$outboundSchema;
})(GetAllChecksChecksResponseSource$ || (GetAllChecksChecksResponseSource$ = {}));
var GetAllChecksCLS$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetAllChecksChecksResponseSource$inboundSchema
});
var GetAllChecksCLS$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetAllChecksChecksResponseSource$outboundSchema
});
var GetAllChecksCLS$;
(function(GetAllChecksCLS$2) {
  GetAllChecksCLS$2.inboundSchema = GetAllChecksCLS$inboundSchema;
  GetAllChecksCLS$2.outboundSchema = GetAllChecksCLS$outboundSchema;
})(GetAllChecksCLS$ || (GetAllChecksCLS$ = {}));
var GetAllChecksChecksResponse200Source$inboundSchema = nativeEnumType(GetAllChecksChecksResponse200Source);
var GetAllChecksChecksResponse200Source$outboundSchema = GetAllChecksChecksResponse200Source$inboundSchema;
var GetAllChecksChecksResponse200Source$;
(function(GetAllChecksChecksResponse200Source$2) {
  GetAllChecksChecksResponse200Source$2.inboundSchema = GetAllChecksChecksResponse200Source$inboundSchema;
  GetAllChecksChecksResponse200Source$2.outboundSchema = GetAllChecksChecksResponse200Source$outboundSchema;
})(GetAllChecksChecksResponse200Source$ || (GetAllChecksChecksResponse200Source$ = {}));
var GetAllChecksTBT$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetAllChecksChecksResponse200Source$inboundSchema
});
var GetAllChecksTBT$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetAllChecksChecksResponse200Source$outboundSchema
});
var GetAllChecksTBT$;
(function(GetAllChecksTBT$2) {
  GetAllChecksTBT$2.inboundSchema = GetAllChecksTBT$inboundSchema;
  GetAllChecksTBT$2.outboundSchema = GetAllChecksTBT$outboundSchema;
})(GetAllChecksTBT$ || (GetAllChecksTBT$ = {}));
var GetAllChecksChecksResponse200ApplicationJSONSource$inboundSchema = nativeEnumType(GetAllChecksChecksResponse200ApplicationJSONSource);
var GetAllChecksChecksResponse200ApplicationJSONSource$outboundSchema = GetAllChecksChecksResponse200ApplicationJSONSource$inboundSchema;
var GetAllChecksChecksResponse200ApplicationJSONSource$;
(function(GetAllChecksChecksResponse200ApplicationJSONSource$2) {
  GetAllChecksChecksResponse200ApplicationJSONSource$2.inboundSchema = GetAllChecksChecksResponse200ApplicationJSONSource$inboundSchema;
  GetAllChecksChecksResponse200ApplicationJSONSource$2.outboundSchema = GetAllChecksChecksResponse200ApplicationJSONSource$outboundSchema;
})(GetAllChecksChecksResponse200ApplicationJSONSource$ || (GetAllChecksChecksResponse200ApplicationJSONSource$ = {}));
var GetAllChecksVirtualExperienceScore$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetAllChecksChecksResponse200ApplicationJSONSource$inboundSchema
});
var GetAllChecksVirtualExperienceScore$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetAllChecksChecksResponse200ApplicationJSONSource$outboundSchema
});
var GetAllChecksVirtualExperienceScore$;
(function(GetAllChecksVirtualExperienceScore$2) {
  GetAllChecksVirtualExperienceScore$2.inboundSchema = GetAllChecksVirtualExperienceScore$inboundSchema;
  GetAllChecksVirtualExperienceScore$2.outboundSchema = GetAllChecksVirtualExperienceScore$outboundSchema;
})(GetAllChecksVirtualExperienceScore$ || (GetAllChecksVirtualExperienceScore$ = {}));
var GetAllChecksMetrics$inboundSchema = objectType({
  FCP: lazyType(() => GetAllChecksFCP$inboundSchema),
  LCP: lazyType(() => GetAllChecksLCP$inboundSchema),
  CLS: lazyType(() => GetAllChecksCLS$inboundSchema),
  TBT: lazyType(() => GetAllChecksTBT$inboundSchema),
  virtualExperienceScore: lazyType(() => GetAllChecksVirtualExperienceScore$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    FCP: "fcp",
    LCP: "lcp",
    CLS: "cls",
    TBT: "tbt"
  });
});
var GetAllChecksMetrics$outboundSchema = objectType({
  fcp: lazyType(() => GetAllChecksFCP$outboundSchema),
  lcp: lazyType(() => GetAllChecksLCP$outboundSchema),
  cls: lazyType(() => GetAllChecksCLS$outboundSchema),
  tbt: lazyType(() => GetAllChecksTBT$outboundSchema),
  virtualExperienceScore: lazyType(() => GetAllChecksVirtualExperienceScore$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    fcp: "FCP",
    lcp: "LCP",
    cls: "CLS",
    tbt: "TBT"
  });
});
var GetAllChecksMetrics$;
(function(GetAllChecksMetrics$2) {
  GetAllChecksMetrics$2.inboundSchema = GetAllChecksMetrics$inboundSchema;
  GetAllChecksMetrics$2.outboundSchema = GetAllChecksMetrics$outboundSchema;
})(GetAllChecksMetrics$ || (GetAllChecksMetrics$ = {}));
var GetAllChecksOutput$inboundSchema = objectType({
  metrics: lazyType(() => GetAllChecksMetrics$inboundSchema).optional()
});
var GetAllChecksOutput$outboundSchema = objectType({
  metrics: lazyType(() => GetAllChecksMetrics$outboundSchema).optional()
});
var GetAllChecksOutput$;
(function(GetAllChecksOutput$2) {
  GetAllChecksOutput$2.inboundSchema = GetAllChecksOutput$inboundSchema;
  GetAllChecksOutput$2.outboundSchema = GetAllChecksOutput$outboundSchema;
})(GetAllChecksOutput$ || (GetAllChecksOutput$ = {}));
var GetAllChecksStatus$inboundSchema = nativeEnumType(GetAllChecksStatus);
var GetAllChecksStatus$outboundSchema = GetAllChecksStatus$inboundSchema;
var GetAllChecksStatus$;
(function(GetAllChecksStatus$2) {
  GetAllChecksStatus$2.inboundSchema = GetAllChecksStatus$inboundSchema;
  GetAllChecksStatus$2.outboundSchema = GetAllChecksStatus$outboundSchema;
})(GetAllChecksStatus$ || (GetAllChecksStatus$ = {}));
var Checks$inboundSchema = objectType({
  completedAt: numberType().optional(),
  conclusion: GetAllChecksConclusion$inboundSchema.optional(),
  createdAt: numberType(),
  detailsUrl: stringType().optional(),
  id: stringType(),
  integrationId: stringType(),
  name: stringType(),
  output: lazyType(() => GetAllChecksOutput$inboundSchema).optional(),
  path: stringType().optional(),
  rerequestable: booleanType(),
  startedAt: numberType().optional(),
  status: GetAllChecksStatus$inboundSchema,
  updatedAt: numberType()
});
var Checks$outboundSchema = objectType({
  completedAt: numberType().optional(),
  conclusion: GetAllChecksConclusion$outboundSchema.optional(),
  createdAt: numberType(),
  detailsUrl: stringType().optional(),
  id: stringType(),
  integrationId: stringType(),
  name: stringType(),
  output: lazyType(() => GetAllChecksOutput$outboundSchema).optional(),
  path: stringType().optional(),
  rerequestable: booleanType(),
  startedAt: numberType().optional(),
  status: GetAllChecksStatus$outboundSchema,
  updatedAt: numberType()
});
var Checks$;
(function(Checks$2) {
  Checks$2.inboundSchema = Checks$inboundSchema;
  Checks$2.outboundSchema = Checks$outboundSchema;
})(Checks$ || (Checks$ = {}));
var GetAllChecksResponseBody$inboundSchema = objectType({
  checks: arrayType(lazyType(() => Checks$inboundSchema))
});
var GetAllChecksResponseBody$outboundSchema = objectType({
  checks: arrayType(lazyType(() => Checks$outboundSchema))
});
var GetAllChecksResponseBody$;
(function(GetAllChecksResponseBody$2) {
  GetAllChecksResponseBody$2.inboundSchema = GetAllChecksResponseBody$inboundSchema;
  GetAllChecksResponseBody$2.outboundSchema = GetAllChecksResponseBody$outboundSchema;
})(GetAllChecksResponseBody$ || (GetAllChecksResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/checksGetAllChecks.js
async function checksGetAllChecks(client, request, options) {
  const parsed = safeParse(request, (value) => GetAllChecksRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    deploymentId: encodeSimple("deploymentId", payload.deploymentId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/deployments/{deploymentId}/checks")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getAllChecks",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetAllChecksResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getcheckop.js
var GetCheckStatus = {
  Registered: "registered",
  Running: "running",
  Completed: "completed"
};
var GetCheckConclusion = {
  Canceled: "canceled",
  Failed: "failed",
  Neutral: "neutral",
  Succeeded: "succeeded",
  Skipped: "skipped",
  Stale: "stale"
};
var GetCheckSource = {
  WebVitals: "web-vitals"
};
var GetCheckChecksSource = {
  WebVitals: "web-vitals"
};
var GetCheckChecksResponseSource = {
  WebVitals: "web-vitals"
};
var GetCheckChecksResponse200Source = {
  WebVitals: "web-vitals"
};
var GetCheckChecksResponse200ApplicationJSONSource = {
  WebVitals: "web-vitals"
};
var GetCheckRequest$inboundSchema = objectType({
  deploymentId: stringType(),
  checkId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetCheckRequest$outboundSchema = objectType({
  deploymentId: stringType(),
  checkId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetCheckRequest$;
(function(GetCheckRequest$2) {
  GetCheckRequest$2.inboundSchema = GetCheckRequest$inboundSchema;
  GetCheckRequest$2.outboundSchema = GetCheckRequest$outboundSchema;
})(GetCheckRequest$ || (GetCheckRequest$ = {}));
var GetCheckStatus$inboundSchema = nativeEnumType(GetCheckStatus);
var GetCheckStatus$outboundSchema = GetCheckStatus$inboundSchema;
var GetCheckStatus$;
(function(GetCheckStatus$2) {
  GetCheckStatus$2.inboundSchema = GetCheckStatus$inboundSchema;
  GetCheckStatus$2.outboundSchema = GetCheckStatus$outboundSchema;
})(GetCheckStatus$ || (GetCheckStatus$ = {}));
var GetCheckConclusion$inboundSchema = nativeEnumType(GetCheckConclusion);
var GetCheckConclusion$outboundSchema = GetCheckConclusion$inboundSchema;
var GetCheckConclusion$;
(function(GetCheckConclusion$2) {
  GetCheckConclusion$2.inboundSchema = GetCheckConclusion$inboundSchema;
  GetCheckConclusion$2.outboundSchema = GetCheckConclusion$outboundSchema;
})(GetCheckConclusion$ || (GetCheckConclusion$ = {}));
var GetCheckSource$inboundSchema = nativeEnumType(GetCheckSource);
var GetCheckSource$outboundSchema = GetCheckSource$inboundSchema;
var GetCheckSource$;
(function(GetCheckSource$2) {
  GetCheckSource$2.inboundSchema = GetCheckSource$inboundSchema;
  GetCheckSource$2.outboundSchema = GetCheckSource$outboundSchema;
})(GetCheckSource$ || (GetCheckSource$ = {}));
var GetCheckFCP$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetCheckSource$inboundSchema
});
var GetCheckFCP$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetCheckSource$outboundSchema
});
var GetCheckFCP$;
(function(GetCheckFCP$2) {
  GetCheckFCP$2.inboundSchema = GetCheckFCP$inboundSchema;
  GetCheckFCP$2.outboundSchema = GetCheckFCP$outboundSchema;
})(GetCheckFCP$ || (GetCheckFCP$ = {}));
var GetCheckChecksSource$inboundSchema = nativeEnumType(GetCheckChecksSource);
var GetCheckChecksSource$outboundSchema = GetCheckChecksSource$inboundSchema;
var GetCheckChecksSource$;
(function(GetCheckChecksSource$2) {
  GetCheckChecksSource$2.inboundSchema = GetCheckChecksSource$inboundSchema;
  GetCheckChecksSource$2.outboundSchema = GetCheckChecksSource$outboundSchema;
})(GetCheckChecksSource$ || (GetCheckChecksSource$ = {}));
var GetCheckLCP$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetCheckChecksSource$inboundSchema
});
var GetCheckLCP$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetCheckChecksSource$outboundSchema
});
var GetCheckLCP$;
(function(GetCheckLCP$2) {
  GetCheckLCP$2.inboundSchema = GetCheckLCP$inboundSchema;
  GetCheckLCP$2.outboundSchema = GetCheckLCP$outboundSchema;
})(GetCheckLCP$ || (GetCheckLCP$ = {}));
var GetCheckChecksResponseSource$inboundSchema = nativeEnumType(GetCheckChecksResponseSource);
var GetCheckChecksResponseSource$outboundSchema = GetCheckChecksResponseSource$inboundSchema;
var GetCheckChecksResponseSource$;
(function(GetCheckChecksResponseSource$2) {
  GetCheckChecksResponseSource$2.inboundSchema = GetCheckChecksResponseSource$inboundSchema;
  GetCheckChecksResponseSource$2.outboundSchema = GetCheckChecksResponseSource$outboundSchema;
})(GetCheckChecksResponseSource$ || (GetCheckChecksResponseSource$ = {}));
var GetCheckCLS$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetCheckChecksResponseSource$inboundSchema
});
var GetCheckCLS$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetCheckChecksResponseSource$outboundSchema
});
var GetCheckCLS$;
(function(GetCheckCLS$2) {
  GetCheckCLS$2.inboundSchema = GetCheckCLS$inboundSchema;
  GetCheckCLS$2.outboundSchema = GetCheckCLS$outboundSchema;
})(GetCheckCLS$ || (GetCheckCLS$ = {}));
var GetCheckChecksResponse200Source$inboundSchema = nativeEnumType(GetCheckChecksResponse200Source);
var GetCheckChecksResponse200Source$outboundSchema = GetCheckChecksResponse200Source$inboundSchema;
var GetCheckChecksResponse200Source$;
(function(GetCheckChecksResponse200Source$2) {
  GetCheckChecksResponse200Source$2.inboundSchema = GetCheckChecksResponse200Source$inboundSchema;
  GetCheckChecksResponse200Source$2.outboundSchema = GetCheckChecksResponse200Source$outboundSchema;
})(GetCheckChecksResponse200Source$ || (GetCheckChecksResponse200Source$ = {}));
var GetCheckTBT$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetCheckChecksResponse200Source$inboundSchema
});
var GetCheckTBT$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetCheckChecksResponse200Source$outboundSchema
});
var GetCheckTBT$;
(function(GetCheckTBT$2) {
  GetCheckTBT$2.inboundSchema = GetCheckTBT$inboundSchema;
  GetCheckTBT$2.outboundSchema = GetCheckTBT$outboundSchema;
})(GetCheckTBT$ || (GetCheckTBT$ = {}));
var GetCheckChecksResponse200ApplicationJSONSource$inboundSchema = nativeEnumType(GetCheckChecksResponse200ApplicationJSONSource);
var GetCheckChecksResponse200ApplicationJSONSource$outboundSchema = GetCheckChecksResponse200ApplicationJSONSource$inboundSchema;
var GetCheckChecksResponse200ApplicationJSONSource$;
(function(GetCheckChecksResponse200ApplicationJSONSource$2) {
  GetCheckChecksResponse200ApplicationJSONSource$2.inboundSchema = GetCheckChecksResponse200ApplicationJSONSource$inboundSchema;
  GetCheckChecksResponse200ApplicationJSONSource$2.outboundSchema = GetCheckChecksResponse200ApplicationJSONSource$outboundSchema;
})(GetCheckChecksResponse200ApplicationJSONSource$ || (GetCheckChecksResponse200ApplicationJSONSource$ = {}));
var GetCheckVirtualExperienceScore$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetCheckChecksResponse200ApplicationJSONSource$inboundSchema
});
var GetCheckVirtualExperienceScore$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: GetCheckChecksResponse200ApplicationJSONSource$outboundSchema
});
var GetCheckVirtualExperienceScore$;
(function(GetCheckVirtualExperienceScore$2) {
  GetCheckVirtualExperienceScore$2.inboundSchema = GetCheckVirtualExperienceScore$inboundSchema;
  GetCheckVirtualExperienceScore$2.outboundSchema = GetCheckVirtualExperienceScore$outboundSchema;
})(GetCheckVirtualExperienceScore$ || (GetCheckVirtualExperienceScore$ = {}));
var GetCheckMetrics$inboundSchema = objectType({
  FCP: lazyType(() => GetCheckFCP$inboundSchema),
  LCP: lazyType(() => GetCheckLCP$inboundSchema),
  CLS: lazyType(() => GetCheckCLS$inboundSchema),
  TBT: lazyType(() => GetCheckTBT$inboundSchema),
  virtualExperienceScore: lazyType(() => GetCheckVirtualExperienceScore$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    FCP: "fcp",
    LCP: "lcp",
    CLS: "cls",
    TBT: "tbt"
  });
});
var GetCheckMetrics$outboundSchema = objectType({
  fcp: lazyType(() => GetCheckFCP$outboundSchema),
  lcp: lazyType(() => GetCheckLCP$outboundSchema),
  cls: lazyType(() => GetCheckCLS$outboundSchema),
  tbt: lazyType(() => GetCheckTBT$outboundSchema),
  virtualExperienceScore: lazyType(() => GetCheckVirtualExperienceScore$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    fcp: "FCP",
    lcp: "LCP",
    cls: "CLS",
    tbt: "TBT"
  });
});
var GetCheckMetrics$;
(function(GetCheckMetrics$2) {
  GetCheckMetrics$2.inboundSchema = GetCheckMetrics$inboundSchema;
  GetCheckMetrics$2.outboundSchema = GetCheckMetrics$outboundSchema;
})(GetCheckMetrics$ || (GetCheckMetrics$ = {}));
var GetCheckOutput$inboundSchema = objectType({
  metrics: lazyType(() => GetCheckMetrics$inboundSchema).optional()
});
var GetCheckOutput$outboundSchema = objectType({
  metrics: lazyType(() => GetCheckMetrics$outboundSchema).optional()
});
var GetCheckOutput$;
(function(GetCheckOutput$2) {
  GetCheckOutput$2.inboundSchema = GetCheckOutput$inboundSchema;
  GetCheckOutput$2.outboundSchema = GetCheckOutput$outboundSchema;
})(GetCheckOutput$ || (GetCheckOutput$ = {}));
var GetCheckResponseBody$inboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  path: stringType().optional(),
  status: GetCheckStatus$inboundSchema,
  conclusion: GetCheckConclusion$inboundSchema.optional(),
  blocking: booleanType(),
  output: lazyType(() => GetCheckOutput$inboundSchema).optional(),
  detailsUrl: stringType().optional(),
  integrationId: stringType(),
  deploymentId: stringType(),
  externalId: stringType().optional(),
  createdAt: numberType(),
  updatedAt: numberType(),
  startedAt: numberType().optional(),
  completedAt: numberType().optional(),
  rerequestable: booleanType().optional()
});
var GetCheckResponseBody$outboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  path: stringType().optional(),
  status: GetCheckStatus$outboundSchema,
  conclusion: GetCheckConclusion$outboundSchema.optional(),
  blocking: booleanType(),
  output: lazyType(() => GetCheckOutput$outboundSchema).optional(),
  detailsUrl: stringType().optional(),
  integrationId: stringType(),
  deploymentId: stringType(),
  externalId: stringType().optional(),
  createdAt: numberType(),
  updatedAt: numberType(),
  startedAt: numberType().optional(),
  completedAt: numberType().optional(),
  rerequestable: booleanType().optional()
});
var GetCheckResponseBody$;
(function(GetCheckResponseBody$2) {
  GetCheckResponseBody$2.inboundSchema = GetCheckResponseBody$inboundSchema;
  GetCheckResponseBody$2.outboundSchema = GetCheckResponseBody$outboundSchema;
})(GetCheckResponseBody$ || (GetCheckResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/checksGetCheck.js
async function checksGetCheck(client, request, options) {
  const parsed = safeParse(request, (value) => GetCheckRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    checkId: encodeSimple("checkId", payload.checkId, {
      explode: false,
      charEncoding: "percent"
    }),
    deploymentId: encodeSimple("deploymentId", payload.deploymentId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/deployments/{deploymentId}/checks/{checkId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getCheck",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetCheckResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/rerequestcheckop.js
var RerequestCheckRequest$inboundSchema = objectType({
  deploymentId: stringType(),
  checkId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var RerequestCheckRequest$outboundSchema = objectType({
  deploymentId: stringType(),
  checkId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var RerequestCheckRequest$;
(function(RerequestCheckRequest$2) {
  RerequestCheckRequest$2.inboundSchema = RerequestCheckRequest$inboundSchema;
  RerequestCheckRequest$2.outboundSchema = RerequestCheckRequest$outboundSchema;
})(RerequestCheckRequest$ || (RerequestCheckRequest$ = {}));
var RerequestCheckResponseBody$inboundSchema = objectType({});
var RerequestCheckResponseBody$outboundSchema = objectType({});
var RerequestCheckResponseBody$;
(function(RerequestCheckResponseBody$2) {
  RerequestCheckResponseBody$2.inboundSchema = RerequestCheckResponseBody$inboundSchema;
  RerequestCheckResponseBody$2.outboundSchema = RerequestCheckResponseBody$outboundSchema;
})(RerequestCheckResponseBody$ || (RerequestCheckResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/checksRerequestCheck.js
async function checksRerequestCheck(client, request, options) {
  const parsed = safeParse(request, (value) => RerequestCheckRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    checkId: encodeSimple("checkId", payload.checkId, {
      explode: false,
      charEncoding: "percent"
    }),
    deploymentId: encodeSimple("deploymentId", payload.deploymentId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/deployments/{deploymentId}/checks/{checkId}/rerequest")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "rerequestCheck",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RerequestCheckResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/updatecheckop.js
var Status = {
  Running: "running",
  Completed: "completed"
};
var Conclusion = {
  Canceled: "canceled",
  Failed: "failed",
  Neutral: "neutral",
  Succeeded: "succeeded",
  Skipped: "skipped"
};
var UpdateCheckSource = {
  WebVitals: "web-vitals"
};
var UpdateCheckChecksSource = {
  WebVitals: "web-vitals"
};
var UpdateCheckChecksRequestSource = {
  WebVitals: "web-vitals"
};
var UpdateCheckChecksRequestRequestBodySource = {
  WebVitals: "web-vitals"
};
var UpdateCheckChecksRequestRequestBodyOutputSource = {
  WebVitals: "web-vitals"
};
var UpdateCheckStatus = {
  Registered: "registered",
  Running: "running",
  Completed: "completed"
};
var UpdateCheckConclusion = {
  Canceled: "canceled",
  Failed: "failed",
  Neutral: "neutral",
  Succeeded: "succeeded",
  Skipped: "skipped",
  Stale: "stale"
};
var UpdateCheckChecksResponseSource = {
  WebVitals: "web-vitals"
};
var UpdateCheckChecksResponse200Source = {
  WebVitals: "web-vitals"
};
var UpdateCheckChecksResponse200ApplicationJSONSource = {
  WebVitals: "web-vitals"
};
var UpdateCheckChecksResponse200ApplicationJSONResponseBodySource = {
  WebVitals: "web-vitals"
};
var UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource = {
  WebVitals: "web-vitals"
};
var Status$inboundSchema = nativeEnumType(Status);
var Status$outboundSchema = Status$inboundSchema;
var Status$;
(function(Status$2) {
  Status$2.inboundSchema = Status$inboundSchema;
  Status$2.outboundSchema = Status$outboundSchema;
})(Status$ || (Status$ = {}));
var Conclusion$inboundSchema = nativeEnumType(Conclusion);
var Conclusion$outboundSchema = Conclusion$inboundSchema;
var Conclusion$;
(function(Conclusion$2) {
  Conclusion$2.inboundSchema = Conclusion$inboundSchema;
  Conclusion$2.outboundSchema = Conclusion$outboundSchema;
})(Conclusion$ || (Conclusion$ = {}));
var UpdateCheckSource$inboundSchema = nativeEnumType(UpdateCheckSource);
var UpdateCheckSource$outboundSchema = UpdateCheckSource$inboundSchema;
var UpdateCheckSource$;
(function(UpdateCheckSource$2) {
  UpdateCheckSource$2.inboundSchema = UpdateCheckSource$inboundSchema;
  UpdateCheckSource$2.outboundSchema = UpdateCheckSource$outboundSchema;
})(UpdateCheckSource$ || (UpdateCheckSource$ = {}));
var Fcp$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckSource$inboundSchema
});
var Fcp$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckSource$outboundSchema
});
var Fcp$;
(function(Fcp$2) {
  Fcp$2.inboundSchema = Fcp$inboundSchema;
  Fcp$2.outboundSchema = Fcp$outboundSchema;
})(Fcp$ || (Fcp$ = {}));
var UpdateCheckChecksSource$inboundSchema = nativeEnumType(UpdateCheckChecksSource);
var UpdateCheckChecksSource$outboundSchema = UpdateCheckChecksSource$inboundSchema;
var UpdateCheckChecksSource$;
(function(UpdateCheckChecksSource$2) {
  UpdateCheckChecksSource$2.inboundSchema = UpdateCheckChecksSource$inboundSchema;
  UpdateCheckChecksSource$2.outboundSchema = UpdateCheckChecksSource$outboundSchema;
})(UpdateCheckChecksSource$ || (UpdateCheckChecksSource$ = {}));
var Lcp$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckChecksSource$inboundSchema
});
var Lcp$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckChecksSource$outboundSchema
});
var Lcp$;
(function(Lcp$2) {
  Lcp$2.inboundSchema = Lcp$inboundSchema;
  Lcp$2.outboundSchema = Lcp$outboundSchema;
})(Lcp$ || (Lcp$ = {}));
var UpdateCheckChecksRequestSource$inboundSchema = nativeEnumType(UpdateCheckChecksRequestSource);
var UpdateCheckChecksRequestSource$outboundSchema = UpdateCheckChecksRequestSource$inboundSchema;
var UpdateCheckChecksRequestSource$;
(function(UpdateCheckChecksRequestSource$2) {
  UpdateCheckChecksRequestSource$2.inboundSchema = UpdateCheckChecksRequestSource$inboundSchema;
  UpdateCheckChecksRequestSource$2.outboundSchema = UpdateCheckChecksRequestSource$outboundSchema;
})(UpdateCheckChecksRequestSource$ || (UpdateCheckChecksRequestSource$ = {}));
var Cls$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckChecksRequestSource$inboundSchema
});
var Cls$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckChecksRequestSource$outboundSchema
});
var Cls$;
(function(Cls$2) {
  Cls$2.inboundSchema = Cls$inboundSchema;
  Cls$2.outboundSchema = Cls$outboundSchema;
})(Cls$ || (Cls$ = {}));
var UpdateCheckChecksRequestRequestBodySource$inboundSchema = nativeEnumType(UpdateCheckChecksRequestRequestBodySource);
var UpdateCheckChecksRequestRequestBodySource$outboundSchema = UpdateCheckChecksRequestRequestBodySource$inboundSchema;
var UpdateCheckChecksRequestRequestBodySource$;
(function(UpdateCheckChecksRequestRequestBodySource$2) {
  UpdateCheckChecksRequestRequestBodySource$2.inboundSchema = UpdateCheckChecksRequestRequestBodySource$inboundSchema;
  UpdateCheckChecksRequestRequestBodySource$2.outboundSchema = UpdateCheckChecksRequestRequestBodySource$outboundSchema;
})(UpdateCheckChecksRequestRequestBodySource$ || (UpdateCheckChecksRequestRequestBodySource$ = {}));
var Tbt$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckChecksRequestRequestBodySource$inboundSchema
});
var Tbt$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckChecksRequestRequestBodySource$outboundSchema
});
var Tbt$;
(function(Tbt$2) {
  Tbt$2.inboundSchema = Tbt$inboundSchema;
  Tbt$2.outboundSchema = Tbt$outboundSchema;
})(Tbt$ || (Tbt$ = {}));
var UpdateCheckChecksRequestRequestBodyOutputSource$inboundSchema = nativeEnumType(UpdateCheckChecksRequestRequestBodyOutputSource);
var UpdateCheckChecksRequestRequestBodyOutputSource$outboundSchema = UpdateCheckChecksRequestRequestBodyOutputSource$inboundSchema;
var UpdateCheckChecksRequestRequestBodyOutputSource$;
(function(UpdateCheckChecksRequestRequestBodyOutputSource$2) {
  UpdateCheckChecksRequestRequestBodyOutputSource$2.inboundSchema = UpdateCheckChecksRequestRequestBodyOutputSource$inboundSchema;
  UpdateCheckChecksRequestRequestBodyOutputSource$2.outboundSchema = UpdateCheckChecksRequestRequestBodyOutputSource$outboundSchema;
})(UpdateCheckChecksRequestRequestBodyOutputSource$ || (UpdateCheckChecksRequestRequestBodyOutputSource$ = {}));
var VirtualExperienceScore$inboundSchema = objectType({
  value: nullableType(numberType().int()),
  previousValue: numberType().int().optional(),
  source: UpdateCheckChecksRequestRequestBodyOutputSource$inboundSchema
});
var VirtualExperienceScore$outboundSchema = objectType({
  value: nullableType(numberType().int()),
  previousValue: numberType().int().optional(),
  source: UpdateCheckChecksRequestRequestBodyOutputSource$outboundSchema
});
var VirtualExperienceScore$;
(function(VirtualExperienceScore$2) {
  VirtualExperienceScore$2.inboundSchema = VirtualExperienceScore$inboundSchema;
  VirtualExperienceScore$2.outboundSchema = VirtualExperienceScore$outboundSchema;
})(VirtualExperienceScore$ || (VirtualExperienceScore$ = {}));
var Metrics$inboundSchema = objectType({
  FCP: lazyType(() => Fcp$inboundSchema),
  LCP: lazyType(() => Lcp$inboundSchema),
  CLS: lazyType(() => Cls$inboundSchema),
  TBT: lazyType(() => Tbt$inboundSchema),
  virtualExperienceScore: lazyType(() => VirtualExperienceScore$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    FCP: "fcp",
    LCP: "lcp",
    CLS: "cls",
    TBT: "tbt"
  });
});
var Metrics$outboundSchema = objectType({
  fcp: lazyType(() => Fcp$outboundSchema),
  lcp: lazyType(() => Lcp$outboundSchema),
  cls: lazyType(() => Cls$outboundSchema),
  tbt: lazyType(() => Tbt$outboundSchema),
  virtualExperienceScore: lazyType(() => VirtualExperienceScore$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    fcp: "FCP",
    lcp: "LCP",
    cls: "CLS",
    tbt: "TBT"
  });
});
var Metrics$;
(function(Metrics$2) {
  Metrics$2.inboundSchema = Metrics$inboundSchema;
  Metrics$2.outboundSchema = Metrics$outboundSchema;
})(Metrics$ || (Metrics$ = {}));
var Output$inboundSchema = objectType({
  metrics: lazyType(() => Metrics$inboundSchema).optional()
});
var Output$outboundSchema = objectType({
  metrics: lazyType(() => Metrics$outboundSchema).optional()
});
var Output$;
(function(Output$2) {
  Output$2.inboundSchema = Output$inboundSchema;
  Output$2.outboundSchema = Output$outboundSchema;
})(Output$ || (Output$ = {}));
var UpdateCheckRequestBody$inboundSchema = objectType({
  name: stringType().optional(),
  path: stringType().optional(),
  status: Status$inboundSchema.optional(),
  conclusion: Conclusion$inboundSchema.optional(),
  detailsUrl: stringType().optional(),
  output: lazyType(() => Output$inboundSchema).optional(),
  externalId: stringType().optional()
});
var UpdateCheckRequestBody$outboundSchema = objectType({
  name: stringType().optional(),
  path: stringType().optional(),
  status: Status$outboundSchema.optional(),
  conclusion: Conclusion$outboundSchema.optional(),
  detailsUrl: stringType().optional(),
  output: lazyType(() => Output$outboundSchema).optional(),
  externalId: stringType().optional()
});
var UpdateCheckRequestBody$;
(function(UpdateCheckRequestBody$2) {
  UpdateCheckRequestBody$2.inboundSchema = UpdateCheckRequestBody$inboundSchema;
  UpdateCheckRequestBody$2.outboundSchema = UpdateCheckRequestBody$outboundSchema;
})(UpdateCheckRequestBody$ || (UpdateCheckRequestBody$ = {}));
var UpdateCheckRequest$inboundSchema = objectType({
  deploymentId: stringType(),
  checkId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => UpdateCheckRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var UpdateCheckRequest$outboundSchema = objectType({
  deploymentId: stringType(),
  checkId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => UpdateCheckRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var UpdateCheckRequest$;
(function(UpdateCheckRequest$2) {
  UpdateCheckRequest$2.inboundSchema = UpdateCheckRequest$inboundSchema;
  UpdateCheckRequest$2.outboundSchema = UpdateCheckRequest$outboundSchema;
})(UpdateCheckRequest$ || (UpdateCheckRequest$ = {}));
var UpdateCheckStatus$inboundSchema = nativeEnumType(UpdateCheckStatus);
var UpdateCheckStatus$outboundSchema = UpdateCheckStatus$inboundSchema;
var UpdateCheckStatus$;
(function(UpdateCheckStatus$2) {
  UpdateCheckStatus$2.inboundSchema = UpdateCheckStatus$inboundSchema;
  UpdateCheckStatus$2.outboundSchema = UpdateCheckStatus$outboundSchema;
})(UpdateCheckStatus$ || (UpdateCheckStatus$ = {}));
var UpdateCheckConclusion$inboundSchema = nativeEnumType(UpdateCheckConclusion);
var UpdateCheckConclusion$outboundSchema = UpdateCheckConclusion$inboundSchema;
var UpdateCheckConclusion$;
(function(UpdateCheckConclusion$2) {
  UpdateCheckConclusion$2.inboundSchema = UpdateCheckConclusion$inboundSchema;
  UpdateCheckConclusion$2.outboundSchema = UpdateCheckConclusion$outboundSchema;
})(UpdateCheckConclusion$ || (UpdateCheckConclusion$ = {}));
var UpdateCheckChecksResponseSource$inboundSchema = nativeEnumType(UpdateCheckChecksResponseSource);
var UpdateCheckChecksResponseSource$outboundSchema = UpdateCheckChecksResponseSource$inboundSchema;
var UpdateCheckChecksResponseSource$;
(function(UpdateCheckChecksResponseSource$2) {
  UpdateCheckChecksResponseSource$2.inboundSchema = UpdateCheckChecksResponseSource$inboundSchema;
  UpdateCheckChecksResponseSource$2.outboundSchema = UpdateCheckChecksResponseSource$outboundSchema;
})(UpdateCheckChecksResponseSource$ || (UpdateCheckChecksResponseSource$ = {}));
var UpdateCheckFCP$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckChecksResponseSource$inboundSchema
});
var UpdateCheckFCP$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckChecksResponseSource$outboundSchema
});
var UpdateCheckFCP$;
(function(UpdateCheckFCP$2) {
  UpdateCheckFCP$2.inboundSchema = UpdateCheckFCP$inboundSchema;
  UpdateCheckFCP$2.outboundSchema = UpdateCheckFCP$outboundSchema;
})(UpdateCheckFCP$ || (UpdateCheckFCP$ = {}));
var UpdateCheckChecksResponse200Source$inboundSchema = nativeEnumType(UpdateCheckChecksResponse200Source);
var UpdateCheckChecksResponse200Source$outboundSchema = UpdateCheckChecksResponse200Source$inboundSchema;
var UpdateCheckChecksResponse200Source$;
(function(UpdateCheckChecksResponse200Source$2) {
  UpdateCheckChecksResponse200Source$2.inboundSchema = UpdateCheckChecksResponse200Source$inboundSchema;
  UpdateCheckChecksResponse200Source$2.outboundSchema = UpdateCheckChecksResponse200Source$outboundSchema;
})(UpdateCheckChecksResponse200Source$ || (UpdateCheckChecksResponse200Source$ = {}));
var UpdateCheckLCP$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckChecksResponse200Source$inboundSchema
});
var UpdateCheckLCP$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckChecksResponse200Source$outboundSchema
});
var UpdateCheckLCP$;
(function(UpdateCheckLCP$2) {
  UpdateCheckLCP$2.inboundSchema = UpdateCheckLCP$inboundSchema;
  UpdateCheckLCP$2.outboundSchema = UpdateCheckLCP$outboundSchema;
})(UpdateCheckLCP$ || (UpdateCheckLCP$ = {}));
var UpdateCheckChecksResponse200ApplicationJSONSource$inboundSchema = nativeEnumType(UpdateCheckChecksResponse200ApplicationJSONSource);
var UpdateCheckChecksResponse200ApplicationJSONSource$outboundSchema = UpdateCheckChecksResponse200ApplicationJSONSource$inboundSchema;
var UpdateCheckChecksResponse200ApplicationJSONSource$;
(function(UpdateCheckChecksResponse200ApplicationJSONSource$2) {
  UpdateCheckChecksResponse200ApplicationJSONSource$2.inboundSchema = UpdateCheckChecksResponse200ApplicationJSONSource$inboundSchema;
  UpdateCheckChecksResponse200ApplicationJSONSource$2.outboundSchema = UpdateCheckChecksResponse200ApplicationJSONSource$outboundSchema;
})(UpdateCheckChecksResponse200ApplicationJSONSource$ || (UpdateCheckChecksResponse200ApplicationJSONSource$ = {}));
var UpdateCheckCLS$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckChecksResponse200ApplicationJSONSource$inboundSchema
});
var UpdateCheckCLS$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckChecksResponse200ApplicationJSONSource$outboundSchema
});
var UpdateCheckCLS$;
(function(UpdateCheckCLS$2) {
  UpdateCheckCLS$2.inboundSchema = UpdateCheckCLS$inboundSchema;
  UpdateCheckCLS$2.outboundSchema = UpdateCheckCLS$outboundSchema;
})(UpdateCheckCLS$ || (UpdateCheckCLS$ = {}));
var UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$inboundSchema = nativeEnumType(UpdateCheckChecksResponse200ApplicationJSONResponseBodySource);
var UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$outboundSchema = UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$inboundSchema;
var UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$;
(function(UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$2) {
  UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$2.inboundSchema = UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$inboundSchema;
  UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$2.outboundSchema = UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$outboundSchema;
})(UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$ || (UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$ = {}));
var UpdateCheckTBT$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$inboundSchema
});
var UpdateCheckTBT$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckChecksResponse200ApplicationJSONResponseBodySource$outboundSchema
});
var UpdateCheckTBT$;
(function(UpdateCheckTBT$2) {
  UpdateCheckTBT$2.inboundSchema = UpdateCheckTBT$inboundSchema;
  UpdateCheckTBT$2.outboundSchema = UpdateCheckTBT$outboundSchema;
})(UpdateCheckTBT$ || (UpdateCheckTBT$ = {}));
var UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$inboundSchema = nativeEnumType(UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource);
var UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$outboundSchema = UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$inboundSchema;
var UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$;
(function(UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$2) {
  UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$2.inboundSchema = UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$inboundSchema;
  UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$2.outboundSchema = UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$outboundSchema;
})(UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$ || (UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$ = {}));
var UpdateCheckVirtualExperienceScore$inboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$inboundSchema
});
var UpdateCheckVirtualExperienceScore$outboundSchema = objectType({
  value: nullableType(numberType()),
  previousValue: numberType().optional(),
  source: UpdateCheckChecksResponse200ApplicationJSONResponseBodyOutputSource$outboundSchema
});
var UpdateCheckVirtualExperienceScore$;
(function(UpdateCheckVirtualExperienceScore$2) {
  UpdateCheckVirtualExperienceScore$2.inboundSchema = UpdateCheckVirtualExperienceScore$inboundSchema;
  UpdateCheckVirtualExperienceScore$2.outboundSchema = UpdateCheckVirtualExperienceScore$outboundSchema;
})(UpdateCheckVirtualExperienceScore$ || (UpdateCheckVirtualExperienceScore$ = {}));
var UpdateCheckMetrics$inboundSchema = objectType({
  FCP: lazyType(() => UpdateCheckFCP$inboundSchema),
  LCP: lazyType(() => UpdateCheckLCP$inboundSchema),
  CLS: lazyType(() => UpdateCheckCLS$inboundSchema),
  TBT: lazyType(() => UpdateCheckTBT$inboundSchema),
  virtualExperienceScore: lazyType(() => UpdateCheckVirtualExperienceScore$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    FCP: "fcp",
    LCP: "lcp",
    CLS: "cls",
    TBT: "tbt"
  });
});
var UpdateCheckMetrics$outboundSchema = objectType({
  fcp: lazyType(() => UpdateCheckFCP$outboundSchema),
  lcp: lazyType(() => UpdateCheckLCP$outboundSchema),
  cls: lazyType(() => UpdateCheckCLS$outboundSchema),
  tbt: lazyType(() => UpdateCheckTBT$outboundSchema),
  virtualExperienceScore: lazyType(() => UpdateCheckVirtualExperienceScore$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    fcp: "FCP",
    lcp: "LCP",
    cls: "CLS",
    tbt: "TBT"
  });
});
var UpdateCheckMetrics$;
(function(UpdateCheckMetrics$2) {
  UpdateCheckMetrics$2.inboundSchema = UpdateCheckMetrics$inboundSchema;
  UpdateCheckMetrics$2.outboundSchema = UpdateCheckMetrics$outboundSchema;
})(UpdateCheckMetrics$ || (UpdateCheckMetrics$ = {}));
var UpdateCheckOutput$inboundSchema = objectType({
  metrics: lazyType(() => UpdateCheckMetrics$inboundSchema).optional()
});
var UpdateCheckOutput$outboundSchema = objectType({
  metrics: lazyType(() => UpdateCheckMetrics$outboundSchema).optional()
});
var UpdateCheckOutput$;
(function(UpdateCheckOutput$2) {
  UpdateCheckOutput$2.inboundSchema = UpdateCheckOutput$inboundSchema;
  UpdateCheckOutput$2.outboundSchema = UpdateCheckOutput$outboundSchema;
})(UpdateCheckOutput$ || (UpdateCheckOutput$ = {}));
var UpdateCheckResponseBody$inboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  path: stringType().optional(),
  status: UpdateCheckStatus$inboundSchema,
  conclusion: UpdateCheckConclusion$inboundSchema.optional(),
  blocking: booleanType(),
  output: lazyType(() => UpdateCheckOutput$inboundSchema).optional(),
  detailsUrl: stringType().optional(),
  integrationId: stringType(),
  deploymentId: stringType(),
  externalId: stringType().optional(),
  createdAt: numberType(),
  updatedAt: numberType(),
  startedAt: numberType().optional(),
  completedAt: numberType().optional(),
  rerequestable: booleanType().optional()
});
var UpdateCheckResponseBody$outboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  path: stringType().optional(),
  status: UpdateCheckStatus$outboundSchema,
  conclusion: UpdateCheckConclusion$outboundSchema.optional(),
  blocking: booleanType(),
  output: lazyType(() => UpdateCheckOutput$outboundSchema).optional(),
  detailsUrl: stringType().optional(),
  integrationId: stringType(),
  deploymentId: stringType(),
  externalId: stringType().optional(),
  createdAt: numberType(),
  updatedAt: numberType(),
  startedAt: numberType().optional(),
  completedAt: numberType().optional(),
  rerequestable: booleanType().optional()
});
var UpdateCheckResponseBody$;
(function(UpdateCheckResponseBody$2) {
  UpdateCheckResponseBody$2.inboundSchema = UpdateCheckResponseBody$inboundSchema;
  UpdateCheckResponseBody$2.outboundSchema = UpdateCheckResponseBody$outboundSchema;
})(UpdateCheckResponseBody$ || (UpdateCheckResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/checksUpdateCheck.js
async function checksUpdateCheck(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateCheckRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    checkId: encodeSimple("checkId", payload.checkId, {
      explode: false,
      charEncoding: "percent"
    }),
    deploymentId: encodeSimple("deploymentId", payload.deploymentId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/deployments/{deploymentId}/checks/{checkId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "updateCheck",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "413", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateCheckResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 413, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/checks.js
class Checks extends ClientSDK {
  async createCheck(request, options) {
    return unwrapAsync(checksCreateCheck(this, request, options));
  }
  async getAllChecks(request, options) {
    return unwrapAsync(checksGetAllChecks(this, request, options));
  }
  async getCheck(request, options) {
    return unwrapAsync(checksGetCheck(this, request, options));
  }
  async updateCheck(request, options) {
    return unwrapAsync(checksUpdateCheck(this, request, options));
  }
  async rerequestCheck(request, options) {
    return unwrapAsync(checksRerequestCheck(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/flagjsonvalue.js
var FlagJSONValue$inboundSchema = unionType([
  stringType(),
  numberType(),
  booleanType(),
  arrayType(lazyType(() => FlagJSONValue$inboundSchema)),
  recordType(lazyType(() => FlagJSONValue$inboundSchema))
]);
var FlagJSONValue$outboundSchema = unionType([
  stringType(),
  numberType(),
  booleanType(),
  arrayType(lazyType(() => FlagJSONValue$outboundSchema)),
  recordType(lazyType(() => FlagJSONValue$outboundSchema))
]);
var FlagJSONValue$;
(function(FlagJSONValue$2) {
  FlagJSONValue$2.inboundSchema = FlagJSONValue$inboundSchema;
  FlagJSONValue$2.outboundSchema = FlagJSONValue$outboundSchema;
})(FlagJSONValue$ || (FlagJSONValue$ = {}));

// node_modules/@vercel/sdk/esm/models/canceldeploymentop.js
var CancelDeploymentFramework = {
  Blitzjs: "blitzjs",
  Nextjs: "nextjs",
  Gatsby: "gatsby",
  Remix: "remix",
  Astro: "astro",
  Hexo: "hexo",
  Eleventy: "eleventy",
  Docusaurus2: "docusaurus-2",
  Docusaurus: "docusaurus",
  Preact: "preact",
  Solidstart1: "solidstart-1",
  Solidstart: "solidstart",
  Dojo: "dojo",
  Ember: "ember",
  Vue: "vue",
  Scully: "scully",
  IonicAngular: "ionic-angular",
  Angular: "angular",
  Polymer: "polymer",
  Svelte: "svelte",
  Sveltekit: "sveltekit",
  Sveltekit1: "sveltekit-1",
  IonicReact: "ionic-react",
  CreateReactApp: "create-react-app",
  Gridsome: "gridsome",
  Umijs: "umijs",
  Sapper: "sapper",
  Saber: "saber",
  Stencil: "stencil",
  Nuxtjs: "nuxtjs",
  Redwoodjs: "redwoodjs",
  Hugo: "hugo",
  Jekyll: "jekyll",
  Brunch: "brunch",
  Middleman: "middleman",
  Zola: "zola",
  Hydrogen: "hydrogen",
  Vite: "vite",
  Vitepress: "vitepress",
  Vuepress: "vuepress",
  Parcel: "parcel",
  Fasthtml: "fasthtml",
  SanityV3: "sanity-v3",
  Sanity: "sanity",
  Storybook: "storybook"
};
var CancelDeploymentDeploymentsStatus = {
  Error: "error",
  Skipped: "skipped",
  Pending: "pending",
  Ready: "ready",
  Timeout: "timeout"
};
var CancelDeploymentProtocol = {
  Http: "http",
  Https: "https"
};
var CancelDeploymentFormats = {
  ImageAvif: "image/avif",
  ImageWebp: "image/webp"
};
var CancelDeploymentContentDispositionType = {
  Inline: "inline",
  Attachment: "attachment"
};
var CancelDeploymentDeploymentsReadyState = {
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Ready: "READY"
};
var CancelDeploymentStatus = {
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Queued: "QUEUED",
  Ready: "READY",
  Canceled: "CANCELED"
};
var CancelDeploymentChecksState = {
  Registered: "registered",
  Running: "running",
  Completed: "completed"
};
var CancelDeploymentChecksConclusion = {
  Skipped: "skipped",
  Succeeded: "succeeded",
  Failed: "failed",
  Canceled: "canceled"
};
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type = {
  Bitbucket: "bitbucket"
};
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type = {
  Gitlab: "gitlab"
};
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type = {
  Github: "github"
};
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType = {
  Custom: "custom"
};
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType = {
  Bitbucket: "bitbucket"
};
var CancelDeploymentGitSourceDeploymentsResponse200Type = {
  Bitbucket: "bitbucket"
};
var CancelDeploymentGitSourceDeploymentsResponseType = {
  Gitlab: "gitlab"
};
var CancelDeploymentGitSourceDeploymentsType = {
  Github: "github"
};
var CancelDeploymentGitSourceType = {
  Github: "github"
};
var CancelDeploymentReadyState = {
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Queued: "QUEUED",
  Ready: "READY",
  Canceled: "CANCELED"
};
var CancelDeploymentReadySubstate = {
  Staged: "STAGED",
  Promoted: "PROMOTED"
};
var CancelDeploymentSource = {
  ApiTriggerGitDeploy: "api-trigger-git-deploy",
  Cli: "cli",
  CloneRepo: "clone/repo",
  Git: "git",
  Import: "import",
  ImportRepo: "import/repo",
  Redeploy: "redeploy",
  V0Web: "v0-web"
};
var CancelDeploymentTarget = {
  Production: "production",
  Staging: "staging"
};
var CancelDeploymentType = {
  Lambdas: "LAMBDAS"
};
var CancelDeploymentPlan = {
  Pro: "pro",
  Enterprise: "enterprise",
  Hobby: "hobby"
};
var CancelDeploymentRoutesHandle = {
  Error: "error",
  Filesystem: "filesystem",
  Hit: "hit",
  Miss: "miss",
  Rewrite: "rewrite",
  Resource: "resource"
};
var CancelDeploymentHasDeploymentsType = {
  Header: "header",
  Cookie: "cookie",
  Query: "query"
};
var CancelDeploymentHasType = {
  Host: "host"
};
var CancelDeploymentMissingDeploymentsType = {
  Header: "header",
  Cookie: "cookie",
  Query: "query"
};
var CancelDeploymentMissingType = {
  Host: "host"
};
var CancelDeploymentGitRepoDeploymentsResponseType = {
  Bitbucket: "bitbucket"
};
var CancelDeploymentGitRepoDeploymentsResponseOwnerType = {
  Team: "team",
  User: "user"
};
var CancelDeploymentGitRepoDeploymentsType = {
  Github: "github"
};
var CancelDeploymentGitRepoDeploymentsOwnerType = {
  Team: "team",
  User: "user"
};
var CancelDeploymentGitRepoType = {
  Gitlab: "gitlab"
};
var CancelDeploymentGitRepoOwnerType = {
  Team: "team",
  User: "user"
};
var CancelDeploymentRequest$inboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var CancelDeploymentRequest$outboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var CancelDeploymentRequest$;
(function(CancelDeploymentRequest$2) {
  CancelDeploymentRequest$2.inboundSchema = CancelDeploymentRequest$inboundSchema;
  CancelDeploymentRequest$2.outboundSchema = CancelDeploymentRequest$outboundSchema;
})(CancelDeploymentRequest$ || (CancelDeploymentRequest$ = {}));
var CancelDeploymentAliasAssignedAt$inboundSchema = unionType([numberType(), booleanType()]);
var CancelDeploymentAliasAssignedAt$outboundSchema = unionType([numberType(), booleanType()]);
var CancelDeploymentAliasAssignedAt$;
(function(CancelDeploymentAliasAssignedAt$2) {
  CancelDeploymentAliasAssignedAt$2.inboundSchema = CancelDeploymentAliasAssignedAt$inboundSchema;
  CancelDeploymentAliasAssignedAt$2.outboundSchema = CancelDeploymentAliasAssignedAt$outboundSchema;
})(CancelDeploymentAliasAssignedAt$ || (CancelDeploymentAliasAssignedAt$ = {}));
var CancelDeploymentBuild$inboundSchema = objectType({
  env: arrayType(stringType())
});
var CancelDeploymentBuild$outboundSchema = objectType({
  env: arrayType(stringType())
});
var CancelDeploymentBuild$;
(function(CancelDeploymentBuild$2) {
  CancelDeploymentBuild$2.inboundSchema = CancelDeploymentBuild$inboundSchema;
  CancelDeploymentBuild$2.outboundSchema = CancelDeploymentBuild$outboundSchema;
})(CancelDeploymentBuild$ || (CancelDeploymentBuild$ = {}));
var CancelDeploymentBuilds$inboundSchema = objectType({});
var CancelDeploymentBuilds$outboundSchema = objectType({});
var CancelDeploymentBuilds$;
(function(CancelDeploymentBuilds$2) {
  CancelDeploymentBuilds$2.inboundSchema = CancelDeploymentBuilds$inboundSchema;
  CancelDeploymentBuilds$2.outboundSchema = CancelDeploymentBuilds$outboundSchema;
})(CancelDeploymentBuilds$ || (CancelDeploymentBuilds$ = {}));
var CancelDeploymentFramework$inboundSchema = nativeEnumType(CancelDeploymentFramework);
var CancelDeploymentFramework$outboundSchema = CancelDeploymentFramework$inboundSchema;
var CancelDeploymentFramework$;
(function(CancelDeploymentFramework$2) {
  CancelDeploymentFramework$2.inboundSchema = CancelDeploymentFramework$inboundSchema;
  CancelDeploymentFramework$2.outboundSchema = CancelDeploymentFramework$outboundSchema;
})(CancelDeploymentFramework$ || (CancelDeploymentFramework$ = {}));
var CancelDeploymentSpeedInsights$inboundSchema = objectType({
  id: stringType(),
  enabledAt: numberType().optional(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  hasData: booleanType().optional(),
  paidAt: numberType().optional()
});
var CancelDeploymentSpeedInsights$outboundSchema = objectType({
  id: stringType(),
  enabledAt: numberType().optional(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  hasData: booleanType().optional(),
  paidAt: numberType().optional()
});
var CancelDeploymentSpeedInsights$;
(function(CancelDeploymentSpeedInsights$2) {
  CancelDeploymentSpeedInsights$2.inboundSchema = CancelDeploymentSpeedInsights$inboundSchema;
  CancelDeploymentSpeedInsights$2.outboundSchema = CancelDeploymentSpeedInsights$outboundSchema;
})(CancelDeploymentSpeedInsights$ || (CancelDeploymentSpeedInsights$ = {}));
var CancelDeploymentWebAnalytics$inboundSchema = objectType({
  id: stringType(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  enabledAt: numberType().optional(),
  hasData: booleanType().optional()
});
var CancelDeploymentWebAnalytics$outboundSchema = objectType({
  id: stringType(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  enabledAt: numberType().optional(),
  hasData: booleanType().optional()
});
var CancelDeploymentWebAnalytics$;
(function(CancelDeploymentWebAnalytics$2) {
  CancelDeploymentWebAnalytics$2.inboundSchema = CancelDeploymentWebAnalytics$inboundSchema;
  CancelDeploymentWebAnalytics$2.outboundSchema = CancelDeploymentWebAnalytics$outboundSchema;
})(CancelDeploymentWebAnalytics$ || (CancelDeploymentWebAnalytics$ = {}));
var CancelDeploymentProjectSettings$inboundSchema = objectType({
  buildCommand: nullableType(stringType()).optional(),
  devCommand: nullableType(stringType()).optional(),
  framework: nullableType(CancelDeploymentFramework$inboundSchema).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  installCommand: nullableType(stringType()).optional(),
  outputDirectory: nullableType(stringType()).optional(),
  speedInsights: lazyType(() => CancelDeploymentSpeedInsights$inboundSchema).optional(),
  webAnalytics: lazyType(() => CancelDeploymentWebAnalytics$inboundSchema).optional()
});
var CancelDeploymentProjectSettings$outboundSchema = objectType({
  buildCommand: nullableType(stringType()).optional(),
  devCommand: nullableType(stringType()).optional(),
  framework: nullableType(CancelDeploymentFramework$outboundSchema).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  installCommand: nullableType(stringType()).optional(),
  outputDirectory: nullableType(stringType()).optional(),
  speedInsights: lazyType(() => CancelDeploymentSpeedInsights$outboundSchema).optional(),
  webAnalytics: lazyType(() => CancelDeploymentWebAnalytics$outboundSchema).optional()
});
var CancelDeploymentProjectSettings$;
(function(CancelDeploymentProjectSettings$2) {
  CancelDeploymentProjectSettings$2.inboundSchema = CancelDeploymentProjectSettings$inboundSchema;
  CancelDeploymentProjectSettings$2.outboundSchema = CancelDeploymentProjectSettings$outboundSchema;
})(CancelDeploymentProjectSettings$ || (CancelDeploymentProjectSettings$ = {}));
var CancelDeploymentDeploymentsStatus$inboundSchema = nativeEnumType(CancelDeploymentDeploymentsStatus);
var CancelDeploymentDeploymentsStatus$outboundSchema = CancelDeploymentDeploymentsStatus$inboundSchema;
var CancelDeploymentDeploymentsStatus$;
(function(CancelDeploymentDeploymentsStatus$2) {
  CancelDeploymentDeploymentsStatus$2.inboundSchema = CancelDeploymentDeploymentsStatus$inboundSchema;
  CancelDeploymentDeploymentsStatus$2.outboundSchema = CancelDeploymentDeploymentsStatus$outboundSchema;
})(CancelDeploymentDeploymentsStatus$ || (CancelDeploymentDeploymentsStatus$ = {}));
var CancelDeploymentIntegrations$inboundSchema = objectType({
  status: CancelDeploymentDeploymentsStatus$inboundSchema,
  startedAt: numberType(),
  completedAt: numberType().optional(),
  skippedAt: numberType().optional(),
  skippedBy: stringType().optional()
});
var CancelDeploymentIntegrations$outboundSchema = objectType({
  status: CancelDeploymentDeploymentsStatus$outboundSchema,
  startedAt: numberType(),
  completedAt: numberType().optional(),
  skippedAt: numberType().optional(),
  skippedBy: stringType().optional()
});
var CancelDeploymentIntegrations$;
(function(CancelDeploymentIntegrations$2) {
  CancelDeploymentIntegrations$2.inboundSchema = CancelDeploymentIntegrations$inboundSchema;
  CancelDeploymentIntegrations$2.outboundSchema = CancelDeploymentIntegrations$outboundSchema;
})(CancelDeploymentIntegrations$ || (CancelDeploymentIntegrations$ = {}));
var CancelDeploymentProtocol$inboundSchema = nativeEnumType(CancelDeploymentProtocol);
var CancelDeploymentProtocol$outboundSchema = CancelDeploymentProtocol$inboundSchema;
var CancelDeploymentProtocol$;
(function(CancelDeploymentProtocol$2) {
  CancelDeploymentProtocol$2.inboundSchema = CancelDeploymentProtocol$inboundSchema;
  CancelDeploymentProtocol$2.outboundSchema = CancelDeploymentProtocol$outboundSchema;
})(CancelDeploymentProtocol$ || (CancelDeploymentProtocol$ = {}));
var CancelDeploymentRemotePatterns$inboundSchema = objectType({
  protocol: CancelDeploymentProtocol$inboundSchema.optional(),
  hostname: stringType(),
  port: stringType().optional(),
  pathname: stringType().optional(),
  search: stringType().optional()
});
var CancelDeploymentRemotePatterns$outboundSchema = objectType({
  protocol: CancelDeploymentProtocol$outboundSchema.optional(),
  hostname: stringType(),
  port: stringType().optional(),
  pathname: stringType().optional(),
  search: stringType().optional()
});
var CancelDeploymentRemotePatterns$;
(function(CancelDeploymentRemotePatterns$2) {
  CancelDeploymentRemotePatterns$2.inboundSchema = CancelDeploymentRemotePatterns$inboundSchema;
  CancelDeploymentRemotePatterns$2.outboundSchema = CancelDeploymentRemotePatterns$outboundSchema;
})(CancelDeploymentRemotePatterns$ || (CancelDeploymentRemotePatterns$ = {}));
var CancelDeploymentLocalPatterns$inboundSchema = objectType({
  pathname: stringType().optional(),
  search: stringType().optional()
});
var CancelDeploymentLocalPatterns$outboundSchema = objectType({
  pathname: stringType().optional(),
  search: stringType().optional()
});
var CancelDeploymentLocalPatterns$;
(function(CancelDeploymentLocalPatterns$2) {
  CancelDeploymentLocalPatterns$2.inboundSchema = CancelDeploymentLocalPatterns$inboundSchema;
  CancelDeploymentLocalPatterns$2.outboundSchema = CancelDeploymentLocalPatterns$outboundSchema;
})(CancelDeploymentLocalPatterns$ || (CancelDeploymentLocalPatterns$ = {}));
var CancelDeploymentFormats$inboundSchema = nativeEnumType(CancelDeploymentFormats);
var CancelDeploymentFormats$outboundSchema = CancelDeploymentFormats$inboundSchema;
var CancelDeploymentFormats$;
(function(CancelDeploymentFormats$2) {
  CancelDeploymentFormats$2.inboundSchema = CancelDeploymentFormats$inboundSchema;
  CancelDeploymentFormats$2.outboundSchema = CancelDeploymentFormats$outboundSchema;
})(CancelDeploymentFormats$ || (CancelDeploymentFormats$ = {}));
var CancelDeploymentContentDispositionType$inboundSchema = nativeEnumType(CancelDeploymentContentDispositionType);
var CancelDeploymentContentDispositionType$outboundSchema = CancelDeploymentContentDispositionType$inboundSchema;
var CancelDeploymentContentDispositionType$;
(function(CancelDeploymentContentDispositionType$2) {
  CancelDeploymentContentDispositionType$2.inboundSchema = CancelDeploymentContentDispositionType$inboundSchema;
  CancelDeploymentContentDispositionType$2.outboundSchema = CancelDeploymentContentDispositionType$outboundSchema;
})(CancelDeploymentContentDispositionType$ || (CancelDeploymentContentDispositionType$ = {}));
var CancelDeploymentImages$inboundSchema = objectType({
  sizes: arrayType(numberType()).optional(),
  qualities: arrayType(numberType()).optional(),
  domains: arrayType(stringType()).optional(),
  remotePatterns: arrayType(lazyType(() => CancelDeploymentRemotePatterns$inboundSchema)).optional(),
  localPatterns: arrayType(lazyType(() => CancelDeploymentLocalPatterns$inboundSchema)).optional(),
  minimumCacheTTL: numberType().optional(),
  formats: arrayType(CancelDeploymentFormats$inboundSchema).optional(),
  dangerouslyAllowSVG: booleanType().optional(),
  contentSecurityPolicy: stringType().optional(),
  contentDispositionType: CancelDeploymentContentDispositionType$inboundSchema.optional()
});
var CancelDeploymentImages$outboundSchema = objectType({
  sizes: arrayType(numberType()).optional(),
  qualities: arrayType(numberType()).optional(),
  domains: arrayType(stringType()).optional(),
  remotePatterns: arrayType(lazyType(() => CancelDeploymentRemotePatterns$outboundSchema)).optional(),
  localPatterns: arrayType(lazyType(() => CancelDeploymentLocalPatterns$outboundSchema)).optional(),
  minimumCacheTTL: numberType().optional(),
  formats: arrayType(CancelDeploymentFormats$outboundSchema).optional(),
  dangerouslyAllowSVG: booleanType().optional(),
  contentSecurityPolicy: stringType().optional(),
  contentDispositionType: CancelDeploymentContentDispositionType$outboundSchema.optional()
});
var CancelDeploymentImages$;
(function(CancelDeploymentImages$2) {
  CancelDeploymentImages$2.inboundSchema = CancelDeploymentImages$inboundSchema;
  CancelDeploymentImages$2.outboundSchema = CancelDeploymentImages$outboundSchema;
})(CancelDeploymentImages$ || (CancelDeploymentImages$ = {}));
var CancelDeploymentCreator$inboundSchema = objectType({
  uid: stringType(),
  username: stringType().optional(),
  avatar: stringType().optional()
});
var CancelDeploymentCreator$outboundSchema = objectType({
  uid: stringType(),
  username: stringType().optional(),
  avatar: stringType().optional()
});
var CancelDeploymentCreator$;
(function(CancelDeploymentCreator$2) {
  CancelDeploymentCreator$2.inboundSchema = CancelDeploymentCreator$inboundSchema;
  CancelDeploymentCreator$2.outboundSchema = CancelDeploymentCreator$outboundSchema;
})(CancelDeploymentCreator$ || (CancelDeploymentCreator$ = {}));
var CancelDeploymentDeploymentsReadyState$inboundSchema = nativeEnumType(CancelDeploymentDeploymentsReadyState);
var CancelDeploymentDeploymentsReadyState$outboundSchema = CancelDeploymentDeploymentsReadyState$inboundSchema;
var CancelDeploymentDeploymentsReadyState$;
(function(CancelDeploymentDeploymentsReadyState$2) {
  CancelDeploymentDeploymentsReadyState$2.inboundSchema = CancelDeploymentDeploymentsReadyState$inboundSchema;
  CancelDeploymentDeploymentsReadyState$2.outboundSchema = CancelDeploymentDeploymentsReadyState$outboundSchema;
})(CancelDeploymentDeploymentsReadyState$ || (CancelDeploymentDeploymentsReadyState$ = {}));
var CancelDeploymentOutput$inboundSchema = objectType({
  path: stringType(),
  functionName: stringType()
});
var CancelDeploymentOutput$outboundSchema = objectType({
  path: stringType(),
  functionName: stringType()
});
var CancelDeploymentOutput$;
(function(CancelDeploymentOutput$2) {
  CancelDeploymentOutput$2.inboundSchema = CancelDeploymentOutput$inboundSchema;
  CancelDeploymentOutput$2.outboundSchema = CancelDeploymentOutput$outboundSchema;
})(CancelDeploymentOutput$ || (CancelDeploymentOutput$ = {}));
var CancelDeploymentLambdas$inboundSchema = objectType({
  id: stringType().optional(),
  createdAt: numberType().optional(),
  entrypoint: nullableType(stringType()).optional(),
  readyState: CancelDeploymentDeploymentsReadyState$inboundSchema.optional(),
  readyStateAt: numberType().optional(),
  output: arrayType(lazyType(() => CancelDeploymentOutput$inboundSchema))
});
var CancelDeploymentLambdas$outboundSchema = objectType({
  id: stringType().optional(),
  createdAt: numberType().optional(),
  entrypoint: nullableType(stringType()).optional(),
  readyState: CancelDeploymentDeploymentsReadyState$outboundSchema.optional(),
  readyStateAt: numberType().optional(),
  output: arrayType(lazyType(() => CancelDeploymentOutput$outboundSchema))
});
var CancelDeploymentLambdas$;
(function(CancelDeploymentLambdas$2) {
  CancelDeploymentLambdas$2.inboundSchema = CancelDeploymentLambdas$inboundSchema;
  CancelDeploymentLambdas$2.outboundSchema = CancelDeploymentLambdas$outboundSchema;
})(CancelDeploymentLambdas$ || (CancelDeploymentLambdas$ = {}));
var CancelDeploymentStatus$inboundSchema = nativeEnumType(CancelDeploymentStatus);
var CancelDeploymentStatus$outboundSchema = CancelDeploymentStatus$inboundSchema;
var CancelDeploymentStatus$;
(function(CancelDeploymentStatus$2) {
  CancelDeploymentStatus$2.inboundSchema = CancelDeploymentStatus$inboundSchema;
  CancelDeploymentStatus$2.outboundSchema = CancelDeploymentStatus$outboundSchema;
})(CancelDeploymentStatus$ || (CancelDeploymentStatus$ = {}));
var CancelDeploymentTeam$inboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  avatar: stringType().optional(),
  slug: stringType()
});
var CancelDeploymentTeam$outboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  avatar: stringType().optional(),
  slug: stringType()
});
var CancelDeploymentTeam$;
(function(CancelDeploymentTeam$2) {
  CancelDeploymentTeam$2.inboundSchema = CancelDeploymentTeam$inboundSchema;
  CancelDeploymentTeam$2.outboundSchema = CancelDeploymentTeam$outboundSchema;
})(CancelDeploymentTeam$ || (CancelDeploymentTeam$ = {}));
var CancelDeploymentCustomEnvironment2$inboundSchema = objectType({
  id: stringType()
});
var CancelDeploymentCustomEnvironment2$outboundSchema = objectType({
  id: stringType()
});
var CancelDeploymentCustomEnvironment2$;
(function(CancelDeploymentCustomEnvironment2$2) {
  CancelDeploymentCustomEnvironment2$2.inboundSchema = CancelDeploymentCustomEnvironment2$inboundSchema;
  CancelDeploymentCustomEnvironment2$2.outboundSchema = CancelDeploymentCustomEnvironment2$outboundSchema;
})(CancelDeploymentCustomEnvironment2$ || (CancelDeploymentCustomEnvironment2$ = {}));
var CancelDeploymentCustomEnvironment1$inboundSchema = objectType({});
var CancelDeploymentCustomEnvironment1$outboundSchema = objectType({});
var CancelDeploymentCustomEnvironment1$;
(function(CancelDeploymentCustomEnvironment1$2) {
  CancelDeploymentCustomEnvironment1$2.inboundSchema = CancelDeploymentCustomEnvironment1$inboundSchema;
  CancelDeploymentCustomEnvironment1$2.outboundSchema = CancelDeploymentCustomEnvironment1$outboundSchema;
})(CancelDeploymentCustomEnvironment1$ || (CancelDeploymentCustomEnvironment1$ = {}));
var CancelDeploymentCustomEnvironment$inboundSchema = unionType([
  lazyType(() => CancelDeploymentCustomEnvironment1$inboundSchema),
  lazyType(() => CancelDeploymentCustomEnvironment2$inboundSchema)
]);
var CancelDeploymentCustomEnvironment$outboundSchema = unionType([
  lazyType(() => CancelDeploymentCustomEnvironment1$outboundSchema),
  lazyType(() => CancelDeploymentCustomEnvironment2$outboundSchema)
]);
var CancelDeploymentCustomEnvironment$;
(function(CancelDeploymentCustomEnvironment$2) {
  CancelDeploymentCustomEnvironment$2.inboundSchema = CancelDeploymentCustomEnvironment$inboundSchema;
  CancelDeploymentCustomEnvironment$2.outboundSchema = CancelDeploymentCustomEnvironment$outboundSchema;
})(CancelDeploymentCustomEnvironment$ || (CancelDeploymentCustomEnvironment$ = {}));
var CancelDeploymentAliasError$inboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var CancelDeploymentAliasError$outboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var CancelDeploymentAliasError$;
(function(CancelDeploymentAliasError$2) {
  CancelDeploymentAliasError$2.inboundSchema = CancelDeploymentAliasError$inboundSchema;
  CancelDeploymentAliasError$2.outboundSchema = CancelDeploymentAliasError$outboundSchema;
})(CancelDeploymentAliasError$ || (CancelDeploymentAliasError$ = {}));
var CancelDeploymentAliasWarning$inboundSchema = objectType({
  code: stringType(),
  message: stringType(),
  link: stringType().optional(),
  action: stringType().optional()
});
var CancelDeploymentAliasWarning$outboundSchema = objectType({
  code: stringType(),
  message: stringType(),
  link: stringType().optional(),
  action: stringType().optional()
});
var CancelDeploymentAliasWarning$;
(function(CancelDeploymentAliasWarning$2) {
  CancelDeploymentAliasWarning$2.inboundSchema = CancelDeploymentAliasWarning$inboundSchema;
  CancelDeploymentAliasWarning$2.outboundSchema = CancelDeploymentAliasWarning$outboundSchema;
})(CancelDeploymentAliasWarning$ || (CancelDeploymentAliasWarning$ = {}));
var CancelDeploymentChecksState$inboundSchema = nativeEnumType(CancelDeploymentChecksState);
var CancelDeploymentChecksState$outboundSchema = CancelDeploymentChecksState$inboundSchema;
var CancelDeploymentChecksState$;
(function(CancelDeploymentChecksState$2) {
  CancelDeploymentChecksState$2.inboundSchema = CancelDeploymentChecksState$inboundSchema;
  CancelDeploymentChecksState$2.outboundSchema = CancelDeploymentChecksState$outboundSchema;
})(CancelDeploymentChecksState$ || (CancelDeploymentChecksState$ = {}));
var CancelDeploymentChecksConclusion$inboundSchema = nativeEnumType(CancelDeploymentChecksConclusion);
var CancelDeploymentChecksConclusion$outboundSchema = CancelDeploymentChecksConclusion$inboundSchema;
var CancelDeploymentChecksConclusion$;
(function(CancelDeploymentChecksConclusion$2) {
  CancelDeploymentChecksConclusion$2.inboundSchema = CancelDeploymentChecksConclusion$inboundSchema;
  CancelDeploymentChecksConclusion$2.outboundSchema = CancelDeploymentChecksConclusion$outboundSchema;
})(CancelDeploymentChecksConclusion$ || (CancelDeploymentChecksConclusion$ = {}));
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type);
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema;
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$;
(function(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$2) {
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$2.inboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema;
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$2.outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$outboundSchema;
})(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$ || (CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$ = {}));
var GitSource9$inboundSchema = objectType({
  type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema,
  ref: stringType(),
  sha: stringType(),
  owner: stringType().optional(),
  slug: stringType().optional(),
  workspaceUuid: stringType(),
  repoUuid: stringType()
});
var GitSource9$outboundSchema = objectType({
  type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$outboundSchema,
  ref: stringType(),
  sha: stringType(),
  owner: stringType().optional(),
  slug: stringType().optional(),
  workspaceUuid: stringType(),
  repoUuid: stringType()
});
var GitSource9$;
(function(GitSource9$2) {
  GitSource9$2.inboundSchema = GitSource9$inboundSchema;
  GitSource9$2.outboundSchema = GitSource9$outboundSchema;
})(GitSource9$ || (GitSource9$ = {}));
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type);
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema;
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$;
(function(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$2) {
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$2.inboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema;
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$2.outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$outboundSchema;
})(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$ || (CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$ = {}));
var GitSource8$inboundSchema = objectType({
  type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema,
  ref: stringType(),
  sha: stringType(),
  projectId: numberType()
});
var GitSource8$outboundSchema = objectType({
  type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$outboundSchema,
  ref: stringType(),
  sha: stringType(),
  projectId: numberType()
});
var GitSource8$;
(function(GitSource8$2) {
  GitSource8$2.inboundSchema = GitSource8$inboundSchema;
  GitSource8$2.outboundSchema = GitSource8$outboundSchema;
})(GitSource8$ || (GitSource8$ = {}));
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type);
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema;
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$;
(function(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$2) {
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$2.inboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema;
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$2.outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$outboundSchema;
})(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$ || (CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$ = {}));
var GitSource7$inboundSchema = objectType({
  type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema,
  ref: stringType(),
  sha: stringType(),
  repoId: numberType(),
  org: stringType().optional(),
  repo: stringType().optional()
});
var GitSource7$outboundSchema = objectType({
  type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$outboundSchema,
  ref: stringType(),
  sha: stringType(),
  repoId: numberType(),
  org: stringType().optional(),
  repo: stringType().optional()
});
var GitSource7$;
(function(GitSource7$2) {
  GitSource7$2.inboundSchema = GitSource7$inboundSchema;
  GitSource7$2.outboundSchema = GitSource7$outboundSchema;
})(GitSource7$ || (GitSource7$ = {}));
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType);
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema;
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$;
(function(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$2) {
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$2.inboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$2.outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema;
})(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$ || (CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$ = {}));
var GitSource6$inboundSchema = objectType({
  type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema,
  ref: stringType(),
  sha: stringType(),
  gitUrl: stringType()
});
var GitSource6$outboundSchema = objectType({
  type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema,
  ref: stringType(),
  sha: stringType(),
  gitUrl: stringType()
});
var GitSource6$;
(function(GitSource6$2) {
  GitSource6$2.inboundSchema = GitSource6$inboundSchema;
  GitSource6$2.outboundSchema = GitSource6$outboundSchema;
})(GitSource6$ || (GitSource6$ = {}));
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType);
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema;
var CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$;
(function(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$2) {
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$2.inboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema;
  CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$2.outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema;
})(CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$ || (CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$ = {}));
var CancelDeploymentGitSource5$inboundSchema = objectType({
  type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema,
  owner: stringType(),
  slug: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var CancelDeploymentGitSource5$outboundSchema = objectType({
  type: CancelDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema,
  owner: stringType(),
  slug: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var CancelDeploymentGitSource5$;
(function(CancelDeploymentGitSource5$2) {
  CancelDeploymentGitSource5$2.inboundSchema = CancelDeploymentGitSource5$inboundSchema;
  CancelDeploymentGitSource5$2.outboundSchema = CancelDeploymentGitSource5$outboundSchema;
})(CancelDeploymentGitSource5$ || (CancelDeploymentGitSource5$ = {}));
var CancelDeploymentGitSourceDeploymentsResponse200Type$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsResponse200Type);
var CancelDeploymentGitSourceDeploymentsResponse200Type$outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200Type$inboundSchema;
var CancelDeploymentGitSourceDeploymentsResponse200Type$;
(function(CancelDeploymentGitSourceDeploymentsResponse200Type$2) {
  CancelDeploymentGitSourceDeploymentsResponse200Type$2.inboundSchema = CancelDeploymentGitSourceDeploymentsResponse200Type$inboundSchema;
  CancelDeploymentGitSourceDeploymentsResponse200Type$2.outboundSchema = CancelDeploymentGitSourceDeploymentsResponse200Type$outboundSchema;
})(CancelDeploymentGitSourceDeploymentsResponse200Type$ || (CancelDeploymentGitSourceDeploymentsResponse200Type$ = {}));
var CancelDeploymentGitSource4$inboundSchema = objectType({
  type: CancelDeploymentGitSourceDeploymentsResponse200Type$inboundSchema,
  workspaceUuid: stringType().optional(),
  repoUuid: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var CancelDeploymentGitSource4$outboundSchema = objectType({
  type: CancelDeploymentGitSourceDeploymentsResponse200Type$outboundSchema,
  workspaceUuid: stringType().optional(),
  repoUuid: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var CancelDeploymentGitSource4$;
(function(CancelDeploymentGitSource4$2) {
  CancelDeploymentGitSource4$2.inboundSchema = CancelDeploymentGitSource4$inboundSchema;
  CancelDeploymentGitSource4$2.outboundSchema = CancelDeploymentGitSource4$outboundSchema;
})(CancelDeploymentGitSource4$ || (CancelDeploymentGitSource4$ = {}));
var CancelDeploymentGitSourceDeploymentsResponseType$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsResponseType);
var CancelDeploymentGitSourceDeploymentsResponseType$outboundSchema = CancelDeploymentGitSourceDeploymentsResponseType$inboundSchema;
var CancelDeploymentGitSourceDeploymentsResponseType$;
(function(CancelDeploymentGitSourceDeploymentsResponseType$2) {
  CancelDeploymentGitSourceDeploymentsResponseType$2.inboundSchema = CancelDeploymentGitSourceDeploymentsResponseType$inboundSchema;
  CancelDeploymentGitSourceDeploymentsResponseType$2.outboundSchema = CancelDeploymentGitSourceDeploymentsResponseType$outboundSchema;
})(CancelDeploymentGitSourceDeploymentsResponseType$ || (CancelDeploymentGitSourceDeploymentsResponseType$ = {}));
var CancelDeploymentGitSourceProjectId$inboundSchema = unionType([stringType(), numberType()]);
var CancelDeploymentGitSourceProjectId$outboundSchema = unionType([stringType(), numberType()]);
var CancelDeploymentGitSourceProjectId$;
(function(CancelDeploymentGitSourceProjectId$2) {
  CancelDeploymentGitSourceProjectId$2.inboundSchema = CancelDeploymentGitSourceProjectId$inboundSchema;
  CancelDeploymentGitSourceProjectId$2.outboundSchema = CancelDeploymentGitSourceProjectId$outboundSchema;
})(CancelDeploymentGitSourceProjectId$ || (CancelDeploymentGitSourceProjectId$ = {}));
var CancelDeploymentGitSource3$inboundSchema = objectType({
  type: CancelDeploymentGitSourceDeploymentsResponseType$inboundSchema,
  projectId: unionType([stringType(), numberType()]),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var CancelDeploymentGitSource3$outboundSchema = objectType({
  type: CancelDeploymentGitSourceDeploymentsResponseType$outboundSchema,
  projectId: unionType([stringType(), numberType()]),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var CancelDeploymentGitSource3$;
(function(CancelDeploymentGitSource3$2) {
  CancelDeploymentGitSource3$2.inboundSchema = CancelDeploymentGitSource3$inboundSchema;
  CancelDeploymentGitSource3$2.outboundSchema = CancelDeploymentGitSource3$outboundSchema;
})(CancelDeploymentGitSource3$ || (CancelDeploymentGitSource3$ = {}));
var CancelDeploymentGitSourceDeploymentsType$inboundSchema = nativeEnumType(CancelDeploymentGitSourceDeploymentsType);
var CancelDeploymentGitSourceDeploymentsType$outboundSchema = CancelDeploymentGitSourceDeploymentsType$inboundSchema;
var CancelDeploymentGitSourceDeploymentsType$;
(function(CancelDeploymentGitSourceDeploymentsType$2) {
  CancelDeploymentGitSourceDeploymentsType$2.inboundSchema = CancelDeploymentGitSourceDeploymentsType$inboundSchema;
  CancelDeploymentGitSourceDeploymentsType$2.outboundSchema = CancelDeploymentGitSourceDeploymentsType$outboundSchema;
})(CancelDeploymentGitSourceDeploymentsType$ || (CancelDeploymentGitSourceDeploymentsType$ = {}));
var CancelDeploymentGitSource2$inboundSchema = objectType({
  type: CancelDeploymentGitSourceDeploymentsType$inboundSchema,
  org: stringType(),
  repo: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var CancelDeploymentGitSource2$outboundSchema = objectType({
  type: CancelDeploymentGitSourceDeploymentsType$outboundSchema,
  org: stringType(),
  repo: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var CancelDeploymentGitSource2$;
(function(CancelDeploymentGitSource2$2) {
  CancelDeploymentGitSource2$2.inboundSchema = CancelDeploymentGitSource2$inboundSchema;
  CancelDeploymentGitSource2$2.outboundSchema = CancelDeploymentGitSource2$outboundSchema;
})(CancelDeploymentGitSource2$ || (CancelDeploymentGitSource2$ = {}));
var CancelDeploymentGitSourceType$inboundSchema = nativeEnumType(CancelDeploymentGitSourceType);
var CancelDeploymentGitSourceType$outboundSchema = CancelDeploymentGitSourceType$inboundSchema;
var CancelDeploymentGitSourceType$;
(function(CancelDeploymentGitSourceType$2) {
  CancelDeploymentGitSourceType$2.inboundSchema = CancelDeploymentGitSourceType$inboundSchema;
  CancelDeploymentGitSourceType$2.outboundSchema = CancelDeploymentGitSourceType$outboundSchema;
})(CancelDeploymentGitSourceType$ || (CancelDeploymentGitSourceType$ = {}));
var CancelDeploymentGitSourceRepoId$inboundSchema = unionType([stringType(), numberType()]);
var CancelDeploymentGitSourceRepoId$outboundSchema = unionType([stringType(), numberType()]);
var CancelDeploymentGitSourceRepoId$;
(function(CancelDeploymentGitSourceRepoId$2) {
  CancelDeploymentGitSourceRepoId$2.inboundSchema = CancelDeploymentGitSourceRepoId$inboundSchema;
  CancelDeploymentGitSourceRepoId$2.outboundSchema = CancelDeploymentGitSourceRepoId$outboundSchema;
})(CancelDeploymentGitSourceRepoId$ || (CancelDeploymentGitSourceRepoId$ = {}));
var CancelDeploymentGitSource1$inboundSchema = objectType({
  type: CancelDeploymentGitSourceType$inboundSchema,
  repoId: unionType([stringType(), numberType()]),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var CancelDeploymentGitSource1$outboundSchema = objectType({
  type: CancelDeploymentGitSourceType$outboundSchema,
  repoId: unionType([stringType(), numberType()]),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var CancelDeploymentGitSource1$;
(function(CancelDeploymentGitSource1$2) {
  CancelDeploymentGitSource1$2.inboundSchema = CancelDeploymentGitSource1$inboundSchema;
  CancelDeploymentGitSource1$2.outboundSchema = CancelDeploymentGitSource1$outboundSchema;
})(CancelDeploymentGitSource1$ || (CancelDeploymentGitSource1$ = {}));
var CancelDeploymentGitSource$inboundSchema = unionType([
  lazyType(() => GitSource6$inboundSchema),
  lazyType(() => GitSource8$inboundSchema),
  lazyType(() => CancelDeploymentGitSource1$inboundSchema),
  lazyType(() => CancelDeploymentGitSource3$inboundSchema),
  lazyType(() => CancelDeploymentGitSource2$inboundSchema),
  lazyType(() => CancelDeploymentGitSource4$inboundSchema),
  lazyType(() => CancelDeploymentGitSource5$inboundSchema),
  lazyType(() => GitSource7$inboundSchema),
  lazyType(() => GitSource9$inboundSchema)
]);
var CancelDeploymentGitSource$outboundSchema = unionType([
  lazyType(() => GitSource6$outboundSchema),
  lazyType(() => GitSource8$outboundSchema),
  lazyType(() => CancelDeploymentGitSource1$outboundSchema),
  lazyType(() => CancelDeploymentGitSource3$outboundSchema),
  lazyType(() => CancelDeploymentGitSource2$outboundSchema),
  lazyType(() => CancelDeploymentGitSource4$outboundSchema),
  lazyType(() => CancelDeploymentGitSource5$outboundSchema),
  lazyType(() => GitSource7$outboundSchema),
  lazyType(() => GitSource9$outboundSchema)
]);
var CancelDeploymentGitSource$;
(function(CancelDeploymentGitSource$2) {
  CancelDeploymentGitSource$2.inboundSchema = CancelDeploymentGitSource$inboundSchema;
  CancelDeploymentGitSource$2.outboundSchema = CancelDeploymentGitSource$outboundSchema;
})(CancelDeploymentGitSource$ || (CancelDeploymentGitSource$ = {}));
var CancelDeploymentProject$inboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  framework: nullableType(stringType()).optional()
});
var CancelDeploymentProject$outboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  framework: nullableType(stringType()).optional()
});
var CancelDeploymentProject$;
(function(CancelDeploymentProject$2) {
  CancelDeploymentProject$2.inboundSchema = CancelDeploymentProject$inboundSchema;
  CancelDeploymentProject$2.outboundSchema = CancelDeploymentProject$outboundSchema;
})(CancelDeploymentProject$ || (CancelDeploymentProject$ = {}));
var CancelDeploymentReadyState$inboundSchema = nativeEnumType(CancelDeploymentReadyState);
var CancelDeploymentReadyState$outboundSchema = CancelDeploymentReadyState$inboundSchema;
var CancelDeploymentReadyState$;
(function(CancelDeploymentReadyState$2) {
  CancelDeploymentReadyState$2.inboundSchema = CancelDeploymentReadyState$inboundSchema;
  CancelDeploymentReadyState$2.outboundSchema = CancelDeploymentReadyState$outboundSchema;
})(CancelDeploymentReadyState$ || (CancelDeploymentReadyState$ = {}));
var CancelDeploymentReadySubstate$inboundSchema = nativeEnumType(CancelDeploymentReadySubstate);
var CancelDeploymentReadySubstate$outboundSchema = CancelDeploymentReadySubstate$inboundSchema;
var CancelDeploymentReadySubstate$;
(function(CancelDeploymentReadySubstate$2) {
  CancelDeploymentReadySubstate$2.inboundSchema = CancelDeploymentReadySubstate$inboundSchema;
  CancelDeploymentReadySubstate$2.outboundSchema = CancelDeploymentReadySubstate$outboundSchema;
})(CancelDeploymentReadySubstate$ || (CancelDeploymentReadySubstate$ = {}));
var CancelDeploymentSource$inboundSchema = nativeEnumType(CancelDeploymentSource);
var CancelDeploymentSource$outboundSchema = CancelDeploymentSource$inboundSchema;
var CancelDeploymentSource$;
(function(CancelDeploymentSource$2) {
  CancelDeploymentSource$2.inboundSchema = CancelDeploymentSource$inboundSchema;
  CancelDeploymentSource$2.outboundSchema = CancelDeploymentSource$outboundSchema;
})(CancelDeploymentSource$ || (CancelDeploymentSource$ = {}));
var CancelDeploymentTarget$inboundSchema = nativeEnumType(CancelDeploymentTarget);
var CancelDeploymentTarget$outboundSchema = CancelDeploymentTarget$inboundSchema;
var CancelDeploymentTarget$;
(function(CancelDeploymentTarget$2) {
  CancelDeploymentTarget$2.inboundSchema = CancelDeploymentTarget$inboundSchema;
  CancelDeploymentTarget$2.outboundSchema = CancelDeploymentTarget$outboundSchema;
})(CancelDeploymentTarget$ || (CancelDeploymentTarget$ = {}));
var CancelDeploymentType$inboundSchema = nativeEnumType(CancelDeploymentType);
var CancelDeploymentType$outboundSchema = CancelDeploymentType$inboundSchema;
var CancelDeploymentType$;
(function(CancelDeploymentType$2) {
  CancelDeploymentType$2.inboundSchema = CancelDeploymentType$inboundSchema;
  CancelDeploymentType$2.outboundSchema = CancelDeploymentType$outboundSchema;
})(CancelDeploymentType$ || (CancelDeploymentType$ = {}));
var CancelDeploymentOidcTokenClaims$inboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  owner_id: stringType(),
  project: stringType(),
  project_id: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    owner_id: "ownerId",
    project_id: "projectId"
  });
});
var CancelDeploymentOidcTokenClaims$outboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  ownerId: stringType(),
  project: stringType(),
  projectId: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    ownerId: "owner_id",
    projectId: "project_id"
  });
});
var CancelDeploymentOidcTokenClaims$;
(function(CancelDeploymentOidcTokenClaims$2) {
  CancelDeploymentOidcTokenClaims$2.inboundSchema = CancelDeploymentOidcTokenClaims$inboundSchema;
  CancelDeploymentOidcTokenClaims$2.outboundSchema = CancelDeploymentOidcTokenClaims$outboundSchema;
})(CancelDeploymentOidcTokenClaims$ || (CancelDeploymentOidcTokenClaims$ = {}));
var CancelDeploymentCrons$inboundSchema = objectType({
  schedule: stringType(),
  path: stringType()
});
var CancelDeploymentCrons$outboundSchema = objectType({
  schedule: stringType(),
  path: stringType()
});
var CancelDeploymentCrons$;
(function(CancelDeploymentCrons$2) {
  CancelDeploymentCrons$2.inboundSchema = CancelDeploymentCrons$inboundSchema;
  CancelDeploymentCrons$2.outboundSchema = CancelDeploymentCrons$outboundSchema;
})(CancelDeploymentCrons$ || (CancelDeploymentCrons$ = {}));
var CancelDeploymentFunctions$inboundSchema = objectType({
  memory: numberType().optional(),
  maxDuration: numberType().optional(),
  runtime: stringType().optional(),
  includeFiles: stringType().optional(),
  excludeFiles: stringType().optional()
});
var CancelDeploymentFunctions$outboundSchema = objectType({
  memory: numberType().optional(),
  maxDuration: numberType().optional(),
  runtime: stringType().optional(),
  includeFiles: stringType().optional(),
  excludeFiles: stringType().optional()
});
var CancelDeploymentFunctions$;
(function(CancelDeploymentFunctions$2) {
  CancelDeploymentFunctions$2.inboundSchema = CancelDeploymentFunctions$inboundSchema;
  CancelDeploymentFunctions$2.outboundSchema = CancelDeploymentFunctions$outboundSchema;
})(CancelDeploymentFunctions$ || (CancelDeploymentFunctions$ = {}));
var CancelDeploymentPlan$inboundSchema = nativeEnumType(CancelDeploymentPlan);
var CancelDeploymentPlan$outboundSchema = CancelDeploymentPlan$inboundSchema;
var CancelDeploymentPlan$;
(function(CancelDeploymentPlan$2) {
  CancelDeploymentPlan$2.inboundSchema = CancelDeploymentPlan$inboundSchema;
  CancelDeploymentPlan$2.outboundSchema = CancelDeploymentPlan$outboundSchema;
})(CancelDeploymentPlan$ || (CancelDeploymentPlan$ = {}));
var CancelDeploymentRoutes3$inboundSchema = objectType({
  src: stringType(),
  continue: booleanType(),
  middleware: numberType()
});
var CancelDeploymentRoutes3$outboundSchema = objectType({
  src: stringType(),
  continue: booleanType(),
  middleware: numberType()
});
var CancelDeploymentRoutes3$;
(function(CancelDeploymentRoutes3$2) {
  CancelDeploymentRoutes3$2.inboundSchema = CancelDeploymentRoutes3$inboundSchema;
  CancelDeploymentRoutes3$2.outboundSchema = CancelDeploymentRoutes3$outboundSchema;
})(CancelDeploymentRoutes3$ || (CancelDeploymentRoutes3$ = {}));
var CancelDeploymentRoutesHandle$inboundSchema = nativeEnumType(CancelDeploymentRoutesHandle);
var CancelDeploymentRoutesHandle$outboundSchema = CancelDeploymentRoutesHandle$inboundSchema;
var CancelDeploymentRoutesHandle$;
(function(CancelDeploymentRoutesHandle$2) {
  CancelDeploymentRoutesHandle$2.inboundSchema = CancelDeploymentRoutesHandle$inboundSchema;
  CancelDeploymentRoutesHandle$2.outboundSchema = CancelDeploymentRoutesHandle$outboundSchema;
})(CancelDeploymentRoutesHandle$ || (CancelDeploymentRoutesHandle$ = {}));
var CancelDeploymentRoutes2$inboundSchema = objectType({
  handle: CancelDeploymentRoutesHandle$inboundSchema,
  src: stringType().optional(),
  dest: stringType().optional(),
  status: numberType().optional()
});
var CancelDeploymentRoutes2$outboundSchema = objectType({
  handle: CancelDeploymentRoutesHandle$outboundSchema,
  src: stringType().optional(),
  dest: stringType().optional(),
  status: numberType().optional()
});
var CancelDeploymentRoutes2$;
(function(CancelDeploymentRoutes2$2) {
  CancelDeploymentRoutes2$2.inboundSchema = CancelDeploymentRoutes2$inboundSchema;
  CancelDeploymentRoutes2$2.outboundSchema = CancelDeploymentRoutes2$outboundSchema;
})(CancelDeploymentRoutes2$ || (CancelDeploymentRoutes2$ = {}));
var CancelDeploymentHasDeploymentsType$inboundSchema = nativeEnumType(CancelDeploymentHasDeploymentsType);
var CancelDeploymentHasDeploymentsType$outboundSchema = CancelDeploymentHasDeploymentsType$inboundSchema;
var CancelDeploymentHasDeploymentsType$;
(function(CancelDeploymentHasDeploymentsType$2) {
  CancelDeploymentHasDeploymentsType$2.inboundSchema = CancelDeploymentHasDeploymentsType$inboundSchema;
  CancelDeploymentHasDeploymentsType$2.outboundSchema = CancelDeploymentHasDeploymentsType$outboundSchema;
})(CancelDeploymentHasDeploymentsType$ || (CancelDeploymentHasDeploymentsType$ = {}));
var CancelDeploymentHas2$inboundSchema = objectType({
  type: CancelDeploymentHasDeploymentsType$inboundSchema,
  key: stringType(),
  value: stringType().optional()
});
var CancelDeploymentHas2$outboundSchema = objectType({
  type: CancelDeploymentHasDeploymentsType$outboundSchema,
  key: stringType(),
  value: stringType().optional()
});
var CancelDeploymentHas2$;
(function(CancelDeploymentHas2$2) {
  CancelDeploymentHas2$2.inboundSchema = CancelDeploymentHas2$inboundSchema;
  CancelDeploymentHas2$2.outboundSchema = CancelDeploymentHas2$outboundSchema;
})(CancelDeploymentHas2$ || (CancelDeploymentHas2$ = {}));
var CancelDeploymentHasType$inboundSchema = nativeEnumType(CancelDeploymentHasType);
var CancelDeploymentHasType$outboundSchema = CancelDeploymentHasType$inboundSchema;
var CancelDeploymentHasType$;
(function(CancelDeploymentHasType$2) {
  CancelDeploymentHasType$2.inboundSchema = CancelDeploymentHasType$inboundSchema;
  CancelDeploymentHasType$2.outboundSchema = CancelDeploymentHasType$outboundSchema;
})(CancelDeploymentHasType$ || (CancelDeploymentHasType$ = {}));
var CancelDeploymentHas1$inboundSchema = objectType({
  type: CancelDeploymentHasType$inboundSchema,
  value: stringType()
});
var CancelDeploymentHas1$outboundSchema = objectType({
  type: CancelDeploymentHasType$outboundSchema,
  value: stringType()
});
var CancelDeploymentHas1$;
(function(CancelDeploymentHas1$2) {
  CancelDeploymentHas1$2.inboundSchema = CancelDeploymentHas1$inboundSchema;
  CancelDeploymentHas1$2.outboundSchema = CancelDeploymentHas1$outboundSchema;
})(CancelDeploymentHas1$ || (CancelDeploymentHas1$ = {}));
var CancelDeploymentRoutesHas$inboundSchema = unionType([
  lazyType(() => CancelDeploymentHas1$inboundSchema),
  lazyType(() => CancelDeploymentHas2$inboundSchema)
]);
var CancelDeploymentRoutesHas$outboundSchema = unionType([
  lazyType(() => CancelDeploymentHas1$outboundSchema),
  lazyType(() => CancelDeploymentHas2$outboundSchema)
]);
var CancelDeploymentRoutesHas$;
(function(CancelDeploymentRoutesHas$2) {
  CancelDeploymentRoutesHas$2.inboundSchema = CancelDeploymentRoutesHas$inboundSchema;
  CancelDeploymentRoutesHas$2.outboundSchema = CancelDeploymentRoutesHas$outboundSchema;
})(CancelDeploymentRoutesHas$ || (CancelDeploymentRoutesHas$ = {}));
var CancelDeploymentMissingDeploymentsType$inboundSchema = nativeEnumType(CancelDeploymentMissingDeploymentsType);
var CancelDeploymentMissingDeploymentsType$outboundSchema = CancelDeploymentMissingDeploymentsType$inboundSchema;
var CancelDeploymentMissingDeploymentsType$;
(function(CancelDeploymentMissingDeploymentsType$2) {
  CancelDeploymentMissingDeploymentsType$2.inboundSchema = CancelDeploymentMissingDeploymentsType$inboundSchema;
  CancelDeploymentMissingDeploymentsType$2.outboundSchema = CancelDeploymentMissingDeploymentsType$outboundSchema;
})(CancelDeploymentMissingDeploymentsType$ || (CancelDeploymentMissingDeploymentsType$ = {}));
var CancelDeploymentMissing2$inboundSchema = objectType({
  type: CancelDeploymentMissingDeploymentsType$inboundSchema,
  key: stringType(),
  value: stringType().optional()
});
var CancelDeploymentMissing2$outboundSchema = objectType({
  type: CancelDeploymentMissingDeploymentsType$outboundSchema,
  key: stringType(),
  value: stringType().optional()
});
var CancelDeploymentMissing2$;
(function(CancelDeploymentMissing2$2) {
  CancelDeploymentMissing2$2.inboundSchema = CancelDeploymentMissing2$inboundSchema;
  CancelDeploymentMissing2$2.outboundSchema = CancelDeploymentMissing2$outboundSchema;
})(CancelDeploymentMissing2$ || (CancelDeploymentMissing2$ = {}));
var CancelDeploymentMissingType$inboundSchema = nativeEnumType(CancelDeploymentMissingType);
var CancelDeploymentMissingType$outboundSchema = CancelDeploymentMissingType$inboundSchema;
var CancelDeploymentMissingType$;
(function(CancelDeploymentMissingType$2) {
  CancelDeploymentMissingType$2.inboundSchema = CancelDeploymentMissingType$inboundSchema;
  CancelDeploymentMissingType$2.outboundSchema = CancelDeploymentMissingType$outboundSchema;
})(CancelDeploymentMissingType$ || (CancelDeploymentMissingType$ = {}));
var CancelDeploymentMissing1$inboundSchema = objectType({
  type: CancelDeploymentMissingType$inboundSchema,
  value: stringType()
});
var CancelDeploymentMissing1$outboundSchema = objectType({
  type: CancelDeploymentMissingType$outboundSchema,
  value: stringType()
});
var CancelDeploymentMissing1$;
(function(CancelDeploymentMissing1$2) {
  CancelDeploymentMissing1$2.inboundSchema = CancelDeploymentMissing1$inboundSchema;
  CancelDeploymentMissing1$2.outboundSchema = CancelDeploymentMissing1$outboundSchema;
})(CancelDeploymentMissing1$ || (CancelDeploymentMissing1$ = {}));
var CancelDeploymentRoutesMissing$inboundSchema = unionType([
  lazyType(() => CancelDeploymentMissing1$inboundSchema),
  lazyType(() => CancelDeploymentMissing2$inboundSchema)
]);
var CancelDeploymentRoutesMissing$outboundSchema = unionType([
  lazyType(() => CancelDeploymentMissing1$outboundSchema),
  lazyType(() => CancelDeploymentMissing2$outboundSchema)
]);
var CancelDeploymentRoutesMissing$;
(function(CancelDeploymentRoutesMissing$2) {
  CancelDeploymentRoutesMissing$2.inboundSchema = CancelDeploymentRoutesMissing$inboundSchema;
  CancelDeploymentRoutesMissing$2.outboundSchema = CancelDeploymentRoutesMissing$outboundSchema;
})(CancelDeploymentRoutesMissing$ || (CancelDeploymentRoutesMissing$ = {}));
var RoutesLocale$inboundSchema = objectType({
  redirect: recordType(stringType()).optional(),
  cookie: stringType().optional()
});
var RoutesLocale$outboundSchema = objectType({
  redirect: recordType(stringType()).optional(),
  cookie: stringType().optional()
});
var RoutesLocale$;
(function(RoutesLocale$2) {
  RoutesLocale$2.inboundSchema = RoutesLocale$inboundSchema;
  RoutesLocale$2.outboundSchema = RoutesLocale$outboundSchema;
})(RoutesLocale$ || (RoutesLocale$ = {}));
var CancelDeploymentRoutes1$inboundSchema = objectType({
  src: stringType(),
  dest: stringType().optional(),
  headers: recordType(stringType()).optional(),
  methods: arrayType(stringType()).optional(),
  continue: booleanType().optional(),
  override: booleanType().optional(),
  caseSensitive: booleanType().optional(),
  check: booleanType().optional(),
  important: booleanType().optional(),
  status: numberType().optional(),
  has: arrayType(unionType([
    lazyType(() => CancelDeploymentHas1$inboundSchema),
    lazyType(() => CancelDeploymentHas2$inboundSchema)
  ])).optional(),
  missing: arrayType(unionType([
    lazyType(() => CancelDeploymentMissing1$inboundSchema),
    lazyType(() => CancelDeploymentMissing2$inboundSchema)
  ])).optional(),
  locale: lazyType(() => RoutesLocale$inboundSchema).optional(),
  middlewarePath: stringType().optional(),
  middlewareRawSrc: arrayType(stringType()).optional(),
  middleware: numberType().optional()
});
var CancelDeploymentRoutes1$outboundSchema = objectType({
  src: stringType(),
  dest: stringType().optional(),
  headers: recordType(stringType()).optional(),
  methods: arrayType(stringType()).optional(),
  continue: booleanType().optional(),
  override: booleanType().optional(),
  caseSensitive: booleanType().optional(),
  check: booleanType().optional(),
  important: booleanType().optional(),
  status: numberType().optional(),
  has: arrayType(unionType([
    lazyType(() => CancelDeploymentHas1$outboundSchema),
    lazyType(() => CancelDeploymentHas2$outboundSchema)
  ])).optional(),
  missing: arrayType(unionType([
    lazyType(() => CancelDeploymentMissing1$outboundSchema),
    lazyType(() => CancelDeploymentMissing2$outboundSchema)
  ])).optional(),
  locale: lazyType(() => RoutesLocale$outboundSchema).optional(),
  middlewarePath: stringType().optional(),
  middlewareRawSrc: arrayType(stringType()).optional(),
  middleware: numberType().optional()
});
var CancelDeploymentRoutes1$;
(function(CancelDeploymentRoutes1$2) {
  CancelDeploymentRoutes1$2.inboundSchema = CancelDeploymentRoutes1$inboundSchema;
  CancelDeploymentRoutes1$2.outboundSchema = CancelDeploymentRoutes1$outboundSchema;
})(CancelDeploymentRoutes1$ || (CancelDeploymentRoutes1$ = {}));
var CancelDeploymentRoutes$inboundSchema = unionType([
  lazyType(() => CancelDeploymentRoutes3$inboundSchema),
  lazyType(() => CancelDeploymentRoutes2$inboundSchema),
  lazyType(() => CancelDeploymentRoutes1$inboundSchema)
]);
var CancelDeploymentRoutes$outboundSchema = unionType([
  lazyType(() => CancelDeploymentRoutes3$outboundSchema),
  lazyType(() => CancelDeploymentRoutes2$outboundSchema),
  lazyType(() => CancelDeploymentRoutes1$outboundSchema)
]);
var CancelDeploymentRoutes$;
(function(CancelDeploymentRoutes$2) {
  CancelDeploymentRoutes$2.inboundSchema = CancelDeploymentRoutes$inboundSchema;
  CancelDeploymentRoutes$2.outboundSchema = CancelDeploymentRoutes$outboundSchema;
})(CancelDeploymentRoutes$ || (CancelDeploymentRoutes$ = {}));
var CancelDeploymentGitRepoDeploymentsResponseType$inboundSchema = nativeEnumType(CancelDeploymentGitRepoDeploymentsResponseType);
var CancelDeploymentGitRepoDeploymentsResponseType$outboundSchema = CancelDeploymentGitRepoDeploymentsResponseType$inboundSchema;
var CancelDeploymentGitRepoDeploymentsResponseType$;
(function(CancelDeploymentGitRepoDeploymentsResponseType$2) {
  CancelDeploymentGitRepoDeploymentsResponseType$2.inboundSchema = CancelDeploymentGitRepoDeploymentsResponseType$inboundSchema;
  CancelDeploymentGitRepoDeploymentsResponseType$2.outboundSchema = CancelDeploymentGitRepoDeploymentsResponseType$outboundSchema;
})(CancelDeploymentGitRepoDeploymentsResponseType$ || (CancelDeploymentGitRepoDeploymentsResponseType$ = {}));
var CancelDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema = nativeEnumType(CancelDeploymentGitRepoDeploymentsResponseOwnerType);
var CancelDeploymentGitRepoDeploymentsResponseOwnerType$outboundSchema = CancelDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema;
var CancelDeploymentGitRepoDeploymentsResponseOwnerType$;
(function(CancelDeploymentGitRepoDeploymentsResponseOwnerType$2) {
  CancelDeploymentGitRepoDeploymentsResponseOwnerType$2.inboundSchema = CancelDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema;
  CancelDeploymentGitRepoDeploymentsResponseOwnerType$2.outboundSchema = CancelDeploymentGitRepoDeploymentsResponseOwnerType$outboundSchema;
})(CancelDeploymentGitRepoDeploymentsResponseOwnerType$ || (CancelDeploymentGitRepoDeploymentsResponseOwnerType$ = {}));
var CancelDeploymentGitRepo3$inboundSchema = objectType({
  owner: stringType(),
  repoUuid: stringType(),
  slug: stringType(),
  type: CancelDeploymentGitRepoDeploymentsResponseType$inboundSchema,
  workspaceUuid: stringType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: CancelDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema
});
var CancelDeploymentGitRepo3$outboundSchema = objectType({
  owner: stringType(),
  repoUuid: stringType(),
  slug: stringType(),
  type: CancelDeploymentGitRepoDeploymentsResponseType$outboundSchema,
  workspaceUuid: stringType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: CancelDeploymentGitRepoDeploymentsResponseOwnerType$outboundSchema
});
var CancelDeploymentGitRepo3$;
(function(CancelDeploymentGitRepo3$2) {
  CancelDeploymentGitRepo3$2.inboundSchema = CancelDeploymentGitRepo3$inboundSchema;
  CancelDeploymentGitRepo3$2.outboundSchema = CancelDeploymentGitRepo3$outboundSchema;
})(CancelDeploymentGitRepo3$ || (CancelDeploymentGitRepo3$ = {}));
var CancelDeploymentGitRepoDeploymentsType$inboundSchema = nativeEnumType(CancelDeploymentGitRepoDeploymentsType);
var CancelDeploymentGitRepoDeploymentsType$outboundSchema = CancelDeploymentGitRepoDeploymentsType$inboundSchema;
var CancelDeploymentGitRepoDeploymentsType$;
(function(CancelDeploymentGitRepoDeploymentsType$2) {
  CancelDeploymentGitRepoDeploymentsType$2.inboundSchema = CancelDeploymentGitRepoDeploymentsType$inboundSchema;
  CancelDeploymentGitRepoDeploymentsType$2.outboundSchema = CancelDeploymentGitRepoDeploymentsType$outboundSchema;
})(CancelDeploymentGitRepoDeploymentsType$ || (CancelDeploymentGitRepoDeploymentsType$ = {}));
var CancelDeploymentGitRepoDeploymentsOwnerType$inboundSchema = nativeEnumType(CancelDeploymentGitRepoDeploymentsOwnerType);
var CancelDeploymentGitRepoDeploymentsOwnerType$outboundSchema = CancelDeploymentGitRepoDeploymentsOwnerType$inboundSchema;
var CancelDeploymentGitRepoDeploymentsOwnerType$;
(function(CancelDeploymentGitRepoDeploymentsOwnerType$2) {
  CancelDeploymentGitRepoDeploymentsOwnerType$2.inboundSchema = CancelDeploymentGitRepoDeploymentsOwnerType$inboundSchema;
  CancelDeploymentGitRepoDeploymentsOwnerType$2.outboundSchema = CancelDeploymentGitRepoDeploymentsOwnerType$outboundSchema;
})(CancelDeploymentGitRepoDeploymentsOwnerType$ || (CancelDeploymentGitRepoDeploymentsOwnerType$ = {}));
var CancelDeploymentGitRepo2$inboundSchema = objectType({
  org: stringType(),
  repo: stringType(),
  repoId: numberType(),
  type: CancelDeploymentGitRepoDeploymentsType$inboundSchema,
  repoOwnerId: numberType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: CancelDeploymentGitRepoDeploymentsOwnerType$inboundSchema
});
var CancelDeploymentGitRepo2$outboundSchema = objectType({
  org: stringType(),
  repo: stringType(),
  repoId: numberType(),
  type: CancelDeploymentGitRepoDeploymentsType$outboundSchema,
  repoOwnerId: numberType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: CancelDeploymentGitRepoDeploymentsOwnerType$outboundSchema
});
var CancelDeploymentGitRepo2$;
(function(CancelDeploymentGitRepo2$2) {
  CancelDeploymentGitRepo2$2.inboundSchema = CancelDeploymentGitRepo2$inboundSchema;
  CancelDeploymentGitRepo2$2.outboundSchema = CancelDeploymentGitRepo2$outboundSchema;
})(CancelDeploymentGitRepo2$ || (CancelDeploymentGitRepo2$ = {}));
var CancelDeploymentGitRepoType$inboundSchema = nativeEnumType(CancelDeploymentGitRepoType);
var CancelDeploymentGitRepoType$outboundSchema = CancelDeploymentGitRepoType$inboundSchema;
var CancelDeploymentGitRepoType$;
(function(CancelDeploymentGitRepoType$2) {
  CancelDeploymentGitRepoType$2.inboundSchema = CancelDeploymentGitRepoType$inboundSchema;
  CancelDeploymentGitRepoType$2.outboundSchema = CancelDeploymentGitRepoType$outboundSchema;
})(CancelDeploymentGitRepoType$ || (CancelDeploymentGitRepoType$ = {}));
var CancelDeploymentGitRepoOwnerType$inboundSchema = nativeEnumType(CancelDeploymentGitRepoOwnerType);
var CancelDeploymentGitRepoOwnerType$outboundSchema = CancelDeploymentGitRepoOwnerType$inboundSchema;
var CancelDeploymentGitRepoOwnerType$;
(function(CancelDeploymentGitRepoOwnerType$2) {
  CancelDeploymentGitRepoOwnerType$2.inboundSchema = CancelDeploymentGitRepoOwnerType$inboundSchema;
  CancelDeploymentGitRepoOwnerType$2.outboundSchema = CancelDeploymentGitRepoOwnerType$outboundSchema;
})(CancelDeploymentGitRepoOwnerType$ || (CancelDeploymentGitRepoOwnerType$ = {}));
var CancelDeploymentGitRepo1$inboundSchema = objectType({
  namespace: stringType(),
  projectId: numberType(),
  type: CancelDeploymentGitRepoType$inboundSchema,
  url: stringType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: CancelDeploymentGitRepoOwnerType$inboundSchema
});
var CancelDeploymentGitRepo1$outboundSchema = objectType({
  namespace: stringType(),
  projectId: numberType(),
  type: CancelDeploymentGitRepoType$outboundSchema,
  url: stringType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: CancelDeploymentGitRepoOwnerType$outboundSchema
});
var CancelDeploymentGitRepo1$;
(function(CancelDeploymentGitRepo1$2) {
  CancelDeploymentGitRepo1$2.inboundSchema = CancelDeploymentGitRepo1$inboundSchema;
  CancelDeploymentGitRepo1$2.outboundSchema = CancelDeploymentGitRepo1$outboundSchema;
})(CancelDeploymentGitRepo1$ || (CancelDeploymentGitRepo1$ = {}));
var CancelDeploymentGitRepo$inboundSchema = unionType([
  lazyType(() => CancelDeploymentGitRepo1$inboundSchema),
  lazyType(() => CancelDeploymentGitRepo2$inboundSchema),
  lazyType(() => CancelDeploymentGitRepo3$inboundSchema)
]);
var CancelDeploymentGitRepo$outboundSchema = unionType([
  lazyType(() => CancelDeploymentGitRepo1$outboundSchema),
  lazyType(() => CancelDeploymentGitRepo2$outboundSchema),
  lazyType(() => CancelDeploymentGitRepo3$outboundSchema)
]);
var CancelDeploymentGitRepo$;
(function(CancelDeploymentGitRepo$2) {
  CancelDeploymentGitRepo$2.inboundSchema = CancelDeploymentGitRepo$inboundSchema;
  CancelDeploymentGitRepo$2.outboundSchema = CancelDeploymentGitRepo$outboundSchema;
})(CancelDeploymentGitRepo$ || (CancelDeploymentGitRepo$ = {}));
var CancelDeploymentFlags2$inboundSchema = objectType({});
var CancelDeploymentFlags2$outboundSchema = objectType({});
var CancelDeploymentFlags2$;
(function(CancelDeploymentFlags2$2) {
  CancelDeploymentFlags2$2.inboundSchema = CancelDeploymentFlags2$inboundSchema;
  CancelDeploymentFlags2$2.outboundSchema = CancelDeploymentFlags2$outboundSchema;
})(CancelDeploymentFlags2$ || (CancelDeploymentFlags2$ = {}));
var FlagsOptions$inboundSchema = objectType({
  value: nullableType(FlagJSONValue$inboundSchema),
  label: stringType().optional()
});
var FlagsOptions$outboundSchema = objectType({
  value: nullableType(FlagJSONValue$outboundSchema),
  label: stringType().optional()
});
var FlagsOptions$;
(function(FlagsOptions$2) {
  FlagsOptions$2.inboundSchema = FlagsOptions$inboundSchema;
  FlagsOptions$2.outboundSchema = FlagsOptions$outboundSchema;
})(FlagsOptions$ || (FlagsOptions$ = {}));
var CancelDeploymentFlagsDefinitions$inboundSchema = objectType({
  options: arrayType(lazyType(() => FlagsOptions$inboundSchema)).optional(),
  url: stringType().optional(),
  description: stringType().optional()
});
var CancelDeploymentFlagsDefinitions$outboundSchema = objectType({
  options: arrayType(lazyType(() => FlagsOptions$outboundSchema)).optional(),
  url: stringType().optional(),
  description: stringType().optional()
});
var CancelDeploymentFlagsDefinitions$;
(function(CancelDeploymentFlagsDefinitions$2) {
  CancelDeploymentFlagsDefinitions$2.inboundSchema = CancelDeploymentFlagsDefinitions$inboundSchema;
  CancelDeploymentFlagsDefinitions$2.outboundSchema = CancelDeploymentFlagsDefinitions$outboundSchema;
})(CancelDeploymentFlagsDefinitions$ || (CancelDeploymentFlagsDefinitions$ = {}));
var CancelDeploymentFlags1$inboundSchema = objectType({
  definitions: recordType(lazyType(() => CancelDeploymentFlagsDefinitions$inboundSchema))
});
var CancelDeploymentFlags1$outboundSchema = objectType({
  definitions: recordType(lazyType(() => CancelDeploymentFlagsDefinitions$outboundSchema))
});
var CancelDeploymentFlags1$;
(function(CancelDeploymentFlags1$2) {
  CancelDeploymentFlags1$2.inboundSchema = CancelDeploymentFlags1$inboundSchema;
  CancelDeploymentFlags1$2.outboundSchema = CancelDeploymentFlags1$outboundSchema;
})(CancelDeploymentFlags1$ || (CancelDeploymentFlags1$ = {}));
var CancelDeploymentFlags$inboundSchema = unionType([
  lazyType(() => CancelDeploymentFlags1$inboundSchema),
  arrayType(lazyType(() => CancelDeploymentFlags2$inboundSchema))
]);
var CancelDeploymentFlags$outboundSchema = unionType([
  lazyType(() => CancelDeploymentFlags1$outboundSchema),
  arrayType(lazyType(() => CancelDeploymentFlags2$outboundSchema))
]);
var CancelDeploymentFlags$;
(function(CancelDeploymentFlags$2) {
  CancelDeploymentFlags$2.inboundSchema = CancelDeploymentFlags$inboundSchema;
  CancelDeploymentFlags$2.outboundSchema = CancelDeploymentFlags$outboundSchema;
})(CancelDeploymentFlags$ || (CancelDeploymentFlags$ = {}));
var MicrofrontendsApplications$inboundSchema = objectType({
  productionHost: stringType(),
  deploymentAlias: stringType().optional(),
  deploymentHost: stringType().optional()
});
var MicrofrontendsApplications$outboundSchema = objectType({
  productionHost: stringType(),
  deploymentAlias: stringType().optional(),
  deploymentHost: stringType().optional()
});
var MicrofrontendsApplications$;
(function(MicrofrontendsApplications$2) {
  MicrofrontendsApplications$2.inboundSchema = MicrofrontendsApplications$inboundSchema;
  MicrofrontendsApplications$2.outboundSchema = MicrofrontendsApplications$outboundSchema;
})(MicrofrontendsApplications$ || (MicrofrontendsApplications$ = {}));
var CancelDeploymentMicrofrontends2$inboundSchema = objectType({
  applications: recordType(lazyType(() => MicrofrontendsApplications$inboundSchema)).optional(),
  isDefaultApp: booleanType(),
  defaultRoute: stringType().optional(),
  groupIds: arrayType(stringType())
});
var CancelDeploymentMicrofrontends2$outboundSchema = objectType({
  applications: recordType(lazyType(() => MicrofrontendsApplications$outboundSchema)).optional(),
  isDefaultApp: booleanType(),
  defaultRoute: stringType().optional(),
  groupIds: arrayType(stringType())
});
var CancelDeploymentMicrofrontends2$;
(function(CancelDeploymentMicrofrontends2$2) {
  CancelDeploymentMicrofrontends2$2.inboundSchema = CancelDeploymentMicrofrontends2$inboundSchema;
  CancelDeploymentMicrofrontends2$2.outboundSchema = CancelDeploymentMicrofrontends2$outboundSchema;
})(CancelDeploymentMicrofrontends2$ || (CancelDeploymentMicrofrontends2$ = {}));
var CancelDeploymentMicrofrontends1$inboundSchema = objectType({
  isDefaultApp: booleanType().optional(),
  defaultRoute: stringType().optional(),
  groupIds: arrayType(stringType())
});
var CancelDeploymentMicrofrontends1$outboundSchema = objectType({
  isDefaultApp: booleanType().optional(),
  defaultRoute: stringType().optional(),
  groupIds: arrayType(stringType())
});
var CancelDeploymentMicrofrontends1$;
(function(CancelDeploymentMicrofrontends1$2) {
  CancelDeploymentMicrofrontends1$2.inboundSchema = CancelDeploymentMicrofrontends1$inboundSchema;
  CancelDeploymentMicrofrontends1$2.outboundSchema = CancelDeploymentMicrofrontends1$outboundSchema;
})(CancelDeploymentMicrofrontends1$ || (CancelDeploymentMicrofrontends1$ = {}));
var CancelDeploymentMicrofrontends$inboundSchema = unionType([
  lazyType(() => CancelDeploymentMicrofrontends1$inboundSchema),
  lazyType(() => CancelDeploymentMicrofrontends2$inboundSchema)
]);
var CancelDeploymentMicrofrontends$outboundSchema = unionType([
  lazyType(() => CancelDeploymentMicrofrontends1$outboundSchema),
  lazyType(() => CancelDeploymentMicrofrontends2$outboundSchema)
]);
var CancelDeploymentMicrofrontends$;
(function(CancelDeploymentMicrofrontends$2) {
  CancelDeploymentMicrofrontends$2.inboundSchema = CancelDeploymentMicrofrontends$inboundSchema;
  CancelDeploymentMicrofrontends$2.outboundSchema = CancelDeploymentMicrofrontends$outboundSchema;
})(CancelDeploymentMicrofrontends$ || (CancelDeploymentMicrofrontends$ = {}));
var CancelDeploymentResponseBody$inboundSchema = objectType({
  aliasAssignedAt: nullableType(unionType([numberType(), booleanType()])).optional(),
  alwaysRefuseToBuild: booleanType().optional(),
  build: lazyType(() => CancelDeploymentBuild$inboundSchema),
  buildArtifactUrls: arrayType(stringType()).optional(),
  builds: arrayType(lazyType(() => CancelDeploymentBuilds$inboundSchema)).optional(),
  env: arrayType(stringType()),
  inspectorUrl: nullableType(stringType()),
  isInConcurrentBuildsQueue: booleanType(),
  isInSystemBuildsQueue: booleanType(),
  projectSettings: lazyType(() => CancelDeploymentProjectSettings$inboundSchema),
  readyStateReason: stringType().optional(),
  integrations: lazyType(() => CancelDeploymentIntegrations$inboundSchema).optional(),
  images: lazyType(() => CancelDeploymentImages$inboundSchema).optional(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: booleanType(),
  bootedAt: numberType(),
  buildingAt: numberType(),
  buildSkipped: booleanType(),
  creator: lazyType(() => CancelDeploymentCreator$inboundSchema),
  initReadyAt: numberType().optional(),
  isFirstBranchDeployment: booleanType().optional(),
  lambdas: arrayType(lazyType(() => CancelDeploymentLambdas$inboundSchema)).optional(),
  public: booleanType(),
  ready: numberType().optional(),
  status: CancelDeploymentStatus$inboundSchema,
  team: lazyType(() => CancelDeploymentTeam$inboundSchema).optional(),
  userAliases: arrayType(stringType()).optional(),
  previewCommentsEnabled: booleanType().optional(),
  ttyBuildLogs: booleanType().optional(),
  customEnvironment: unionType([
    lazyType(() => CancelDeploymentCustomEnvironment1$inboundSchema),
    lazyType(() => CancelDeploymentCustomEnvironment2$inboundSchema)
  ]).optional(),
  id: stringType(),
  aliasError: nullableType(lazyType(() => CancelDeploymentAliasError$inboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  aliasWarning: nullableType(lazyType(() => CancelDeploymentAliasWarning$inboundSchema)).optional(),
  autoAssignCustomDomains: booleanType().optional(),
  automaticAliases: arrayType(stringType()).optional(),
  buildErrorAt: numberType().optional(),
  checksState: CancelDeploymentChecksState$inboundSchema.optional(),
  checksConclusion: CancelDeploymentChecksConclusion$inboundSchema.optional(),
  createdAt: numberType(),
  deletedAt: nullableType(numberType()).optional(),
  defaultRoute: stringType().optional(),
  canceledAt: numberType().optional(),
  errorCode: stringType().optional(),
  errorLink: stringType().optional(),
  errorMessage: nullableType(stringType()).optional(),
  errorStep: stringType().optional(),
  passiveRegions: arrayType(stringType()).optional(),
  gitSource: unionType([
    lazyType(() => GitSource6$inboundSchema),
    lazyType(() => GitSource8$inboundSchema),
    lazyType(() => CancelDeploymentGitSource1$inboundSchema),
    lazyType(() => CancelDeploymentGitSource3$inboundSchema),
    lazyType(() => CancelDeploymentGitSource2$inboundSchema),
    lazyType(() => CancelDeploymentGitSource4$inboundSchema),
    lazyType(() => CancelDeploymentGitSource5$inboundSchema),
    lazyType(() => GitSource7$inboundSchema),
    lazyType(() => GitSource9$inboundSchema)
  ]).optional(),
  name: stringType(),
  meta: recordType(stringType()),
  originCacheRegion: stringType().optional(),
  project: lazyType(() => CancelDeploymentProject$inboundSchema).optional(),
  readyState: CancelDeploymentReadyState$inboundSchema,
  readySubstate: CancelDeploymentReadySubstate$inboundSchema.optional(),
  regions: arrayType(stringType()),
  softDeletedByRetention: booleanType().optional(),
  source: CancelDeploymentSource$inboundSchema.optional(),
  target: nullableType(CancelDeploymentTarget$inboundSchema).optional(),
  type: CancelDeploymentType$inboundSchema,
  undeletedAt: numberType().optional(),
  url: stringType(),
  version: numberType(),
  oidcTokenClaims: lazyType(() => CancelDeploymentOidcTokenClaims$inboundSchema).optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdIn: stringType(),
  crons: arrayType(lazyType(() => CancelDeploymentCrons$inboundSchema)).optional(),
  functions: nullableType(recordType(lazyType(() => CancelDeploymentFunctions$inboundSchema))).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  ownerId: stringType(),
  passiveConnectConfigurationId: stringType().optional(),
  plan: CancelDeploymentPlan$inboundSchema,
  projectId: stringType(),
  routes: nullableType(arrayType(unionType([
    lazyType(() => CancelDeploymentRoutes3$inboundSchema),
    lazyType(() => CancelDeploymentRoutes2$inboundSchema),
    lazyType(() => CancelDeploymentRoutes1$inboundSchema)
  ]))),
  gitRepo: nullableType(unionType([
    lazyType(() => CancelDeploymentGitRepo1$inboundSchema),
    lazyType(() => CancelDeploymentGitRepo2$inboundSchema),
    lazyType(() => CancelDeploymentGitRepo3$inboundSchema)
  ])).optional(),
  flags: unionType([
    lazyType(() => CancelDeploymentFlags1$inboundSchema),
    arrayType(lazyType(() => CancelDeploymentFlags2$inboundSchema))
  ]).optional(),
  microfrontends: unionType([
    lazyType(() => CancelDeploymentMicrofrontends1$inboundSchema),
    lazyType(() => CancelDeploymentMicrofrontends2$inboundSchema)
  ]).optional()
});
var CancelDeploymentResponseBody$outboundSchema = objectType({
  aliasAssignedAt: nullableType(unionType([numberType(), booleanType()])).optional(),
  alwaysRefuseToBuild: booleanType().optional(),
  build: lazyType(() => CancelDeploymentBuild$outboundSchema),
  buildArtifactUrls: arrayType(stringType()).optional(),
  builds: arrayType(lazyType(() => CancelDeploymentBuilds$outboundSchema)).optional(),
  env: arrayType(stringType()),
  inspectorUrl: nullableType(stringType()),
  isInConcurrentBuildsQueue: booleanType(),
  isInSystemBuildsQueue: booleanType(),
  projectSettings: lazyType(() => CancelDeploymentProjectSettings$outboundSchema),
  readyStateReason: stringType().optional(),
  integrations: lazyType(() => CancelDeploymentIntegrations$outboundSchema).optional(),
  images: lazyType(() => CancelDeploymentImages$outboundSchema).optional(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: booleanType(),
  bootedAt: numberType(),
  buildingAt: numberType(),
  buildSkipped: booleanType(),
  creator: lazyType(() => CancelDeploymentCreator$outboundSchema),
  initReadyAt: numberType().optional(),
  isFirstBranchDeployment: booleanType().optional(),
  lambdas: arrayType(lazyType(() => CancelDeploymentLambdas$outboundSchema)).optional(),
  public: booleanType(),
  ready: numberType().optional(),
  status: CancelDeploymentStatus$outboundSchema,
  team: lazyType(() => CancelDeploymentTeam$outboundSchema).optional(),
  userAliases: arrayType(stringType()).optional(),
  previewCommentsEnabled: booleanType().optional(),
  ttyBuildLogs: booleanType().optional(),
  customEnvironment: unionType([
    lazyType(() => CancelDeploymentCustomEnvironment1$outboundSchema),
    lazyType(() => CancelDeploymentCustomEnvironment2$outboundSchema)
  ]).optional(),
  id: stringType(),
  aliasError: nullableType(lazyType(() => CancelDeploymentAliasError$outboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  aliasWarning: nullableType(lazyType(() => CancelDeploymentAliasWarning$outboundSchema)).optional(),
  autoAssignCustomDomains: booleanType().optional(),
  automaticAliases: arrayType(stringType()).optional(),
  buildErrorAt: numberType().optional(),
  checksState: CancelDeploymentChecksState$outboundSchema.optional(),
  checksConclusion: CancelDeploymentChecksConclusion$outboundSchema.optional(),
  createdAt: numberType(),
  deletedAt: nullableType(numberType()).optional(),
  defaultRoute: stringType().optional(),
  canceledAt: numberType().optional(),
  errorCode: stringType().optional(),
  errorLink: stringType().optional(),
  errorMessage: nullableType(stringType()).optional(),
  errorStep: stringType().optional(),
  passiveRegions: arrayType(stringType()).optional(),
  gitSource: unionType([
    lazyType(() => GitSource6$outboundSchema),
    lazyType(() => GitSource8$outboundSchema),
    lazyType(() => CancelDeploymentGitSource1$outboundSchema),
    lazyType(() => CancelDeploymentGitSource3$outboundSchema),
    lazyType(() => CancelDeploymentGitSource2$outboundSchema),
    lazyType(() => CancelDeploymentGitSource4$outboundSchema),
    lazyType(() => CancelDeploymentGitSource5$outboundSchema),
    lazyType(() => GitSource7$outboundSchema),
    lazyType(() => GitSource9$outboundSchema)
  ]).optional(),
  name: stringType(),
  meta: recordType(stringType()),
  originCacheRegion: stringType().optional(),
  project: lazyType(() => CancelDeploymentProject$outboundSchema).optional(),
  readyState: CancelDeploymentReadyState$outboundSchema,
  readySubstate: CancelDeploymentReadySubstate$outboundSchema.optional(),
  regions: arrayType(stringType()),
  softDeletedByRetention: booleanType().optional(),
  source: CancelDeploymentSource$outboundSchema.optional(),
  target: nullableType(CancelDeploymentTarget$outboundSchema).optional(),
  type: CancelDeploymentType$outboundSchema,
  undeletedAt: numberType().optional(),
  url: stringType(),
  version: numberType(),
  oidcTokenClaims: lazyType(() => CancelDeploymentOidcTokenClaims$outboundSchema).optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdIn: stringType(),
  crons: arrayType(lazyType(() => CancelDeploymentCrons$outboundSchema)).optional(),
  functions: nullableType(recordType(lazyType(() => CancelDeploymentFunctions$outboundSchema))).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  ownerId: stringType(),
  passiveConnectConfigurationId: stringType().optional(),
  plan: CancelDeploymentPlan$outboundSchema,
  projectId: stringType(),
  routes: nullableType(arrayType(unionType([
    lazyType(() => CancelDeploymentRoutes3$outboundSchema),
    lazyType(() => CancelDeploymentRoutes2$outboundSchema),
    lazyType(() => CancelDeploymentRoutes1$outboundSchema)
  ]))),
  gitRepo: nullableType(unionType([
    lazyType(() => CancelDeploymentGitRepo1$outboundSchema),
    lazyType(() => CancelDeploymentGitRepo2$outboundSchema),
    lazyType(() => CancelDeploymentGitRepo3$outboundSchema)
  ])).optional(),
  flags: unionType([
    lazyType(() => CancelDeploymentFlags1$outboundSchema),
    arrayType(lazyType(() => CancelDeploymentFlags2$outboundSchema))
  ]).optional(),
  microfrontends: unionType([
    lazyType(() => CancelDeploymentMicrofrontends1$outboundSchema),
    lazyType(() => CancelDeploymentMicrofrontends2$outboundSchema)
  ]).optional()
});
var CancelDeploymentResponseBody$;
(function(CancelDeploymentResponseBody$2) {
  CancelDeploymentResponseBody$2.inboundSchema = CancelDeploymentResponseBody$inboundSchema;
  CancelDeploymentResponseBody$2.outboundSchema = CancelDeploymentResponseBody$outboundSchema;
})(CancelDeploymentResponseBody$ || (CancelDeploymentResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/deploymentsCancelDeployment.js
async function deploymentsCancelDeployment(client, request, options) {
  const parsed = safeParse(request, (value) => CancelDeploymentRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v12/deployments/{id}/cancel")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "cancelDeployment",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CancelDeploymentResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/createdeploymentop.js
var ForceNew = {
  Zero: "0",
  One: "1"
};
var SkipAutoDetectionConfirmation = {
  Zero: "0",
  One: "1"
};
var Encoding = {
  Base64: "base64",
  Utf8: "utf-8"
};
var CreateDeploymentGitSourceDeploymentsRequestType = {
  Bitbucket: "bitbucket"
};
var CreateDeploymentGitSourceDeploymentsType = {
  Bitbucket: "bitbucket"
};
var CreateDeploymentGitSourceType = {
  Gitlab: "gitlab"
};
var GitSourceType = {
  Github: "github"
};
var CreateDeploymentGitSourceDeploymentsRequestRequestBodyType = {
  Github: "github"
};
var Framework = {
  Blitzjs: "blitzjs",
  Nextjs: "nextjs",
  Gatsby: "gatsby",
  Remix: "remix",
  Astro: "astro",
  Hexo: "hexo",
  Eleventy: "eleventy",
  Docusaurus2: "docusaurus-2",
  Docusaurus: "docusaurus",
  Preact: "preact",
  Solidstart1: "solidstart-1",
  Solidstart: "solidstart",
  Dojo: "dojo",
  Ember: "ember",
  Vue: "vue",
  Scully: "scully",
  IonicAngular: "ionic-angular",
  Angular: "angular",
  Polymer: "polymer",
  Svelte: "svelte",
  Sveltekit: "sveltekit",
  Sveltekit1: "sveltekit-1",
  IonicReact: "ionic-react",
  CreateReactApp: "create-react-app",
  Gridsome: "gridsome",
  Umijs: "umijs",
  Sapper: "sapper",
  Saber: "saber",
  Stencil: "stencil",
  Nuxtjs: "nuxtjs",
  Redwoodjs: "redwoodjs",
  Hugo: "hugo",
  Jekyll: "jekyll",
  Brunch: "brunch",
  Middleman: "middleman",
  Zola: "zola",
  Hydrogen: "hydrogen",
  Vite: "vite",
  Vitepress: "vitepress",
  Vuepress: "vuepress",
  Parcel: "parcel",
  Fasthtml: "fasthtml",
  SanityV3: "sanity-v3",
  Sanity: "sanity",
  Storybook: "storybook"
};
var NodeVersion = {
  TwentyTwoX: "22.x",
  TwentyX: "20.x",
  EighteenX: "18.x",
  SixteenX: "16.x",
  FourteenX: "14.x",
  TwelveX: "12.x",
  TenX: "10.x",
  Eight10X: "8.10.x"
};
var Target = {
  Staging: "staging",
  Production: "production"
};
var CreateDeploymentFramework = {
  Blitzjs: "blitzjs",
  Nextjs: "nextjs",
  Gatsby: "gatsby",
  Remix: "remix",
  Astro: "astro",
  Hexo: "hexo",
  Eleventy: "eleventy",
  Docusaurus2: "docusaurus-2",
  Docusaurus: "docusaurus",
  Preact: "preact",
  Solidstart1: "solidstart-1",
  Solidstart: "solidstart",
  Dojo: "dojo",
  Ember: "ember",
  Vue: "vue",
  Scully: "scully",
  IonicAngular: "ionic-angular",
  Angular: "angular",
  Polymer: "polymer",
  Svelte: "svelte",
  Sveltekit: "sveltekit",
  Sveltekit1: "sveltekit-1",
  IonicReact: "ionic-react",
  CreateReactApp: "create-react-app",
  Gridsome: "gridsome",
  Umijs: "umijs",
  Sapper: "sapper",
  Saber: "saber",
  Stencil: "stencil",
  Nuxtjs: "nuxtjs",
  Redwoodjs: "redwoodjs",
  Hugo: "hugo",
  Jekyll: "jekyll",
  Brunch: "brunch",
  Middleman: "middleman",
  Zola: "zola",
  Hydrogen: "hydrogen",
  Vite: "vite",
  Vitepress: "vitepress",
  Vuepress: "vuepress",
  Parcel: "parcel",
  Fasthtml: "fasthtml",
  SanityV3: "sanity-v3",
  Sanity: "sanity",
  Storybook: "storybook"
};
var CreateDeploymentDeploymentsStatus = {
  Error: "error",
  Skipped: "skipped",
  Pending: "pending",
  Ready: "ready",
  Timeout: "timeout"
};
var Protocol = {
  Http: "http",
  Https: "https"
};
var Formats = {
  ImageAvif: "image/avif",
  ImageWebp: "image/webp"
};
var ContentDispositionType = {
  Inline: "inline",
  Attachment: "attachment"
};
var CreateDeploymentReadyState = {
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Ready: "READY"
};
var CreateDeploymentStatus = {
  Canceled: "CANCELED",
  Error: "ERROR",
  Queued: "QUEUED",
  Building: "BUILDING",
  Initializing: "INITIALIZING",
  Ready: "READY"
};
var CreateDeploymentType = {
  Lambdas: "LAMBDAS"
};
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type = {
  Bitbucket: "bitbucket"
};
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type = {
  Gitlab: "gitlab"
};
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type = {
  Github: "github"
};
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type = {
  Custom: "custom"
};
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type = {
  Bitbucket: "bitbucket"
};
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType = {
  Bitbucket: "bitbucket"
};
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType = {
  Gitlab: "gitlab"
};
var CreateDeploymentGitSourceDeploymentsResponse200Type = {
  Github: "github"
};
var CreateDeploymentGitSourceDeploymentsResponseType = {
  Github: "github"
};
var ReadyState = {
  Canceled: "CANCELED",
  Error: "ERROR",
  Queued: "QUEUED",
  Building: "BUILDING",
  Initializing: "INITIALIZING",
  Ready: "READY"
};
var CreateDeploymentSource = {
  Cli: "cli",
  Git: "git",
  Import: "import",
  ImportRepo: "import/repo",
  CloneRepo: "clone/repo",
  ApiTriggerGitDeploy: "api-trigger-git-deploy",
  Redeploy: "redeploy",
  V0Web: "v0-web"
};
var CreateDeploymentTarget = {
  Staging: "staging",
  Production: "production"
};
var ChecksState = {
  Registered: "registered",
  Running: "running",
  Completed: "completed"
};
var ChecksConclusion = {
  Succeeded: "succeeded",
  Failed: "failed",
  Skipped: "skipped",
  Canceled: "canceled"
};
var ReadySubstate = {
  Staged: "STAGED",
  Promoted: "PROMOTED"
};
var RoutesHandle = {
  Error: "error",
  Filesystem: "filesystem",
  Hit: "hit",
  Miss: "miss",
  Rewrite: "rewrite",
  Resource: "resource"
};
var CreateDeploymentHasType = {
  Header: "header",
  Cookie: "cookie",
  Query: "query"
};
var HasType = {
  Host: "host"
};
var CreateDeploymentMissingType = {
  Header: "header",
  Cookie: "cookie",
  Query: "query"
};
var MissingType = {
  Host: "host"
};
var Plan = {
  Pro: "pro",
  Enterprise: "enterprise",
  Hobby: "hobby"
};
var CreateDeploymentGitRepoDeploymentsType = {
  Bitbucket: "bitbucket"
};
var CreateDeploymentGitRepoOwnerType = {
  Team: "team",
  User: "user"
};
var CreateDeploymentGitRepoType = {
  Github: "github"
};
var GitRepoOwnerType = {
  Team: "team",
  User: "user"
};
var GitRepoType = {
  Gitlab: "gitlab"
};
var OwnerType = {
  Team: "team",
  User: "user"
};
var ForceNew$inboundSchema = nativeEnumType(ForceNew);
var ForceNew$outboundSchema = ForceNew$inboundSchema;
var ForceNew$;
(function(ForceNew$2) {
  ForceNew$2.inboundSchema = ForceNew$inboundSchema;
  ForceNew$2.outboundSchema = ForceNew$outboundSchema;
})(ForceNew$ || (ForceNew$ = {}));
var SkipAutoDetectionConfirmation$inboundSchema = nativeEnumType(SkipAutoDetectionConfirmation);
var SkipAutoDetectionConfirmation$outboundSchema = SkipAutoDetectionConfirmation$inboundSchema;
var SkipAutoDetectionConfirmation$;
(function(SkipAutoDetectionConfirmation$2) {
  SkipAutoDetectionConfirmation$2.inboundSchema = SkipAutoDetectionConfirmation$inboundSchema;
  SkipAutoDetectionConfirmation$2.outboundSchema = SkipAutoDetectionConfirmation$outboundSchema;
})(SkipAutoDetectionConfirmation$ || (SkipAutoDetectionConfirmation$ = {}));
var UploadedFile$inboundSchema = objectType({
  file: stringType(),
  sha: stringType().optional(),
  size: numberType().int().optional()
});
var UploadedFile$outboundSchema = objectType({
  file: stringType(),
  sha: stringType().optional(),
  size: numberType().int().optional()
});
var UploadedFile$;
(function(UploadedFile$2) {
  UploadedFile$2.inboundSchema = UploadedFile$inboundSchema;
  UploadedFile$2.outboundSchema = UploadedFile$outboundSchema;
})(UploadedFile$ || (UploadedFile$ = {}));
var Encoding$inboundSchema = nativeEnumType(Encoding);
var Encoding$outboundSchema = Encoding$inboundSchema;
var Encoding$;
(function(Encoding$2) {
  Encoding$2.inboundSchema = Encoding$inboundSchema;
  Encoding$2.outboundSchema = Encoding$outboundSchema;
})(Encoding$ || (Encoding$ = {}));
var InlinedFile$inboundSchema = objectType({
  data: stringType(),
  encoding: Encoding$inboundSchema.optional(),
  file: stringType()
});
var InlinedFile$outboundSchema = objectType({
  data: stringType(),
  encoding: Encoding$outboundSchema.optional(),
  file: stringType()
});
var InlinedFile$;
(function(InlinedFile$2) {
  InlinedFile$2.inboundSchema = InlinedFile$inboundSchema;
  InlinedFile$2.outboundSchema = InlinedFile$outboundSchema;
})(InlinedFile$ || (InlinedFile$ = {}));
var Files$inboundSchema = unionType([
  lazyType(() => InlinedFile$inboundSchema),
  lazyType(() => UploadedFile$inboundSchema)
]);
var Files$outboundSchema = unionType([
  lazyType(() => InlinedFile$outboundSchema),
  lazyType(() => UploadedFile$outboundSchema)
]);
var Files$;
(function(Files$2) {
  Files$2.inboundSchema = Files$inboundSchema;
  Files$2.outboundSchema = Files$outboundSchema;
})(Files$ || (Files$ = {}));
var GitMetadata$inboundSchema = objectType({
  remoteUrl: stringType().optional(),
  commitAuthorName: stringType().optional(),
  commitMessage: stringType().optional(),
  commitRef: stringType().optional(),
  commitSha: stringType().optional(),
  dirty: booleanType().optional()
});
var GitMetadata$outboundSchema = objectType({
  remoteUrl: stringType().optional(),
  commitAuthorName: stringType().optional(),
  commitMessage: stringType().optional(),
  commitRef: stringType().optional(),
  commitSha: stringType().optional(),
  dirty: booleanType().optional()
});
var GitMetadata$;
(function(GitMetadata$2) {
  GitMetadata$2.inboundSchema = GitMetadata$inboundSchema;
  GitMetadata$2.outboundSchema = GitMetadata$outboundSchema;
})(GitMetadata$ || (GitMetadata$ = {}));
var CreateDeploymentGitSourceDeploymentsRequestType$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsRequestType);
var CreateDeploymentGitSourceDeploymentsRequestType$outboundSchema = CreateDeploymentGitSourceDeploymentsRequestType$inboundSchema;
var CreateDeploymentGitSourceDeploymentsRequestType$;
(function(CreateDeploymentGitSourceDeploymentsRequestType$2) {
  CreateDeploymentGitSourceDeploymentsRequestType$2.inboundSchema = CreateDeploymentGitSourceDeploymentsRequestType$inboundSchema;
  CreateDeploymentGitSourceDeploymentsRequestType$2.outboundSchema = CreateDeploymentGitSourceDeploymentsRequestType$outboundSchema;
})(CreateDeploymentGitSourceDeploymentsRequestType$ || (CreateDeploymentGitSourceDeploymentsRequestType$ = {}));
var Five$inboundSchema = objectType({
  owner: stringType(),
  ref: stringType(),
  sha: stringType().optional(),
  slug: stringType(),
  type: CreateDeploymentGitSourceDeploymentsRequestType$inboundSchema
});
var Five$outboundSchema = objectType({
  owner: stringType(),
  ref: stringType(),
  sha: stringType().optional(),
  slug: stringType(),
  type: CreateDeploymentGitSourceDeploymentsRequestType$outboundSchema
});
var Five$;
(function(Five$2) {
  Five$2.inboundSchema = Five$inboundSchema;
  Five$2.outboundSchema = Five$outboundSchema;
})(Five$ || (Five$ = {}));
var CreateDeploymentGitSourceDeploymentsType$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsType);
var CreateDeploymentGitSourceDeploymentsType$outboundSchema = CreateDeploymentGitSourceDeploymentsType$inboundSchema;
var CreateDeploymentGitSourceDeploymentsType$;
(function(CreateDeploymentGitSourceDeploymentsType$2) {
  CreateDeploymentGitSourceDeploymentsType$2.inboundSchema = CreateDeploymentGitSourceDeploymentsType$inboundSchema;
  CreateDeploymentGitSourceDeploymentsType$2.outboundSchema = CreateDeploymentGitSourceDeploymentsType$outboundSchema;
})(CreateDeploymentGitSourceDeploymentsType$ || (CreateDeploymentGitSourceDeploymentsType$ = {}));
var Four$inboundSchema = objectType({
  ref: stringType(),
  repoUuid: stringType(),
  sha: stringType().optional(),
  type: CreateDeploymentGitSourceDeploymentsType$inboundSchema,
  workspaceUuid: stringType().optional()
});
var Four$outboundSchema = objectType({
  ref: stringType(),
  repoUuid: stringType(),
  sha: stringType().optional(),
  type: CreateDeploymentGitSourceDeploymentsType$outboundSchema,
  workspaceUuid: stringType().optional()
});
var Four$;
(function(Four$2) {
  Four$2.inboundSchema = Four$inboundSchema;
  Four$2.outboundSchema = Four$outboundSchema;
})(Four$ || (Four$ = {}));
var ProjectId$inboundSchema = unionType([numberType(), stringType()]);
var ProjectId$outboundSchema = unionType([numberType(), stringType()]);
var ProjectId$;
(function(ProjectId$2) {
  ProjectId$2.inboundSchema = ProjectId$inboundSchema;
  ProjectId$2.outboundSchema = ProjectId$outboundSchema;
})(ProjectId$ || (ProjectId$ = {}));
var CreateDeploymentGitSourceType$inboundSchema = nativeEnumType(CreateDeploymentGitSourceType);
var CreateDeploymentGitSourceType$outboundSchema = CreateDeploymentGitSourceType$inboundSchema;
var CreateDeploymentGitSourceType$;
(function(CreateDeploymentGitSourceType$2) {
  CreateDeploymentGitSourceType$2.inboundSchema = CreateDeploymentGitSourceType$inboundSchema;
  CreateDeploymentGitSourceType$2.outboundSchema = CreateDeploymentGitSourceType$outboundSchema;
})(CreateDeploymentGitSourceType$ || (CreateDeploymentGitSourceType$ = {}));
var Three$inboundSchema = objectType({
  projectId: unionType([numberType(), stringType()]),
  ref: stringType(),
  sha: stringType().optional(),
  type: CreateDeploymentGitSourceType$inboundSchema
});
var Three$outboundSchema = objectType({
  projectId: unionType([numberType(), stringType()]),
  ref: stringType(),
  sha: stringType().optional(),
  type: CreateDeploymentGitSourceType$outboundSchema
});
var Three$;
(function(Three$2) {
  Three$2.inboundSchema = Three$inboundSchema;
  Three$2.outboundSchema = Three$outboundSchema;
})(Three$ || (Three$ = {}));
var GitSourceType$inboundSchema = nativeEnumType(GitSourceType);
var GitSourceType$outboundSchema = GitSourceType$inboundSchema;
var GitSourceType$;
(function(GitSourceType$2) {
  GitSourceType$2.inboundSchema = GitSourceType$inboundSchema;
  GitSourceType$2.outboundSchema = GitSourceType$outboundSchema;
})(GitSourceType$ || (GitSourceType$ = {}));
var GitSource2$inboundSchema = objectType({
  org: stringType(),
  ref: stringType(),
  repo: stringType(),
  sha: stringType().optional(),
  type: GitSourceType$inboundSchema
});
var GitSource2$outboundSchema = objectType({
  org: stringType(),
  ref: stringType(),
  repo: stringType(),
  sha: stringType().optional(),
  type: GitSourceType$outboundSchema
});
var GitSource2$;
(function(GitSource2$2) {
  GitSource2$2.inboundSchema = GitSource2$inboundSchema;
  GitSource2$2.outboundSchema = GitSource2$outboundSchema;
})(GitSource2$ || (GitSource2$ = {}));
var RepoId$inboundSchema = unionType([numberType(), stringType()]);
var RepoId$outboundSchema = unionType([numberType(), stringType()]);
var RepoId$;
(function(RepoId$2) {
  RepoId$2.inboundSchema = RepoId$inboundSchema;
  RepoId$2.outboundSchema = RepoId$outboundSchema;
})(RepoId$ || (RepoId$ = {}));
var CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsRequestRequestBodyType);
var CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$outboundSchema = CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$inboundSchema;
var CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$;
(function(CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$2) {
  CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$2.inboundSchema = CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$inboundSchema;
  CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$2.outboundSchema = CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$outboundSchema;
})(CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$ || (CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$ = {}));
var GitSource1$inboundSchema = objectType({
  ref: stringType(),
  repoId: unionType([numberType(), stringType()]),
  sha: stringType().optional(),
  type: CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$inboundSchema
});
var GitSource1$outboundSchema = objectType({
  ref: stringType(),
  repoId: unionType([numberType(), stringType()]),
  sha: stringType().optional(),
  type: CreateDeploymentGitSourceDeploymentsRequestRequestBodyType$outboundSchema
});
var GitSource1$;
(function(GitSource1$2) {
  GitSource1$2.inboundSchema = GitSource1$inboundSchema;
  GitSource1$2.outboundSchema = GitSource1$outboundSchema;
})(GitSource1$ || (GitSource1$ = {}));
var GitSource$inboundSchema = unionType([
  lazyType(() => GitSource1$inboundSchema),
  lazyType(() => Three$inboundSchema),
  lazyType(() => GitSource2$inboundSchema),
  lazyType(() => Four$inboundSchema),
  lazyType(() => Five$inboundSchema)
]);
var GitSource$outboundSchema = unionType([
  lazyType(() => GitSource1$outboundSchema),
  lazyType(() => Three$outboundSchema),
  lazyType(() => GitSource2$outboundSchema),
  lazyType(() => Four$outboundSchema),
  lazyType(() => Five$outboundSchema)
]);
var GitSource$;
(function(GitSource$2) {
  GitSource$2.inboundSchema = GitSource$inboundSchema;
  GitSource$2.outboundSchema = GitSource$outboundSchema;
})(GitSource$ || (GitSource$ = {}));
var Framework$inboundSchema = nativeEnumType(Framework);
var Framework$outboundSchema = Framework$inboundSchema;
var Framework$;
(function(Framework$2) {
  Framework$2.inboundSchema = Framework$inboundSchema;
  Framework$2.outboundSchema = Framework$outboundSchema;
})(Framework$ || (Framework$ = {}));
var NodeVersion$inboundSchema = nativeEnumType(NodeVersion);
var NodeVersion$outboundSchema = NodeVersion$inboundSchema;
var NodeVersion$;
(function(NodeVersion$2) {
  NodeVersion$2.inboundSchema = NodeVersion$inboundSchema;
  NodeVersion$2.outboundSchema = NodeVersion$outboundSchema;
})(NodeVersion$ || (NodeVersion$ = {}));
var ProjectSettings$inboundSchema = objectType({
  buildCommand: nullableType(stringType()).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  devCommand: nullableType(stringType()).optional(),
  framework: nullableType(Framework$inboundSchema).optional(),
  installCommand: nullableType(stringType()).optional(),
  nodeVersion: NodeVersion$inboundSchema.optional(),
  outputDirectory: nullableType(stringType()).optional(),
  rootDirectory: nullableType(stringType()).optional(),
  serverlessFunctionRegion: nullableType(stringType()).optional(),
  skipGitConnectDuringLink: booleanType().optional(),
  sourceFilesOutsideRootDirectory: booleanType().optional()
});
var ProjectSettings$outboundSchema = objectType({
  buildCommand: nullableType(stringType()).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  devCommand: nullableType(stringType()).optional(),
  framework: nullableType(Framework$outboundSchema).optional(),
  installCommand: nullableType(stringType()).optional(),
  nodeVersion: NodeVersion$outboundSchema.optional(),
  outputDirectory: nullableType(stringType()).optional(),
  rootDirectory: nullableType(stringType()).optional(),
  serverlessFunctionRegion: nullableType(stringType()).optional(),
  skipGitConnectDuringLink: booleanType().optional(),
  sourceFilesOutsideRootDirectory: booleanType().optional()
});
var ProjectSettings$;
(function(ProjectSettings$2) {
  ProjectSettings$2.inboundSchema = ProjectSettings$inboundSchema;
  ProjectSettings$2.outboundSchema = ProjectSettings$outboundSchema;
})(ProjectSettings$ || (ProjectSettings$ = {}));
var Target$inboundSchema = nativeEnumType(Target);
var Target$outboundSchema = Target$inboundSchema;
var Target$;
(function(Target$2) {
  Target$2.inboundSchema = Target$inboundSchema;
  Target$2.outboundSchema = Target$outboundSchema;
})(Target$ || (Target$ = {}));
var CreateDeploymentRequestBody$inboundSchema = objectType({
  customEnvironmentSlugOrId: stringType().optional(),
  deploymentId: stringType().optional(),
  files: arrayType(unionType([
    lazyType(() => InlinedFile$inboundSchema),
    lazyType(() => UploadedFile$inboundSchema)
  ])).optional(),
  gitMetadata: lazyType(() => GitMetadata$inboundSchema).optional(),
  gitSource: unionType([
    lazyType(() => GitSource1$inboundSchema),
    lazyType(() => Three$inboundSchema),
    lazyType(() => GitSource2$inboundSchema),
    lazyType(() => Four$inboundSchema),
    lazyType(() => Five$inboundSchema)
  ]).optional(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  name: stringType(),
  project: stringType().optional(),
  projectSettings: lazyType(() => ProjectSettings$inboundSchema).optional(),
  target: Target$inboundSchema.optional(),
  withLatestCommit: booleanType().optional()
});
var CreateDeploymentRequestBody$outboundSchema = objectType({
  customEnvironmentSlugOrId: stringType().optional(),
  deploymentId: stringType().optional(),
  files: arrayType(unionType([
    lazyType(() => InlinedFile$outboundSchema),
    lazyType(() => UploadedFile$outboundSchema)
  ])).optional(),
  gitMetadata: lazyType(() => GitMetadata$outboundSchema).optional(),
  gitSource: unionType([
    lazyType(() => GitSource1$outboundSchema),
    lazyType(() => Three$outboundSchema),
    lazyType(() => GitSource2$outboundSchema),
    lazyType(() => Four$outboundSchema),
    lazyType(() => Five$outboundSchema)
  ]).optional(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  name: stringType(),
  project: stringType().optional(),
  projectSettings: lazyType(() => ProjectSettings$outboundSchema).optional(),
  target: Target$outboundSchema.optional(),
  withLatestCommit: booleanType().optional()
});
var CreateDeploymentRequestBody$;
(function(CreateDeploymentRequestBody$2) {
  CreateDeploymentRequestBody$2.inboundSchema = CreateDeploymentRequestBody$inboundSchema;
  CreateDeploymentRequestBody$2.outboundSchema = CreateDeploymentRequestBody$outboundSchema;
})(CreateDeploymentRequestBody$ || (CreateDeploymentRequestBody$ = {}));
var CreateDeploymentRequest$inboundSchema = objectType({
  forceNew: ForceNew$inboundSchema.optional(),
  skipAutoDetectionConfirmation: SkipAutoDetectionConfirmation$inboundSchema.optional(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => CreateDeploymentRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var CreateDeploymentRequest$outboundSchema = objectType({
  forceNew: ForceNew$outboundSchema.optional(),
  skipAutoDetectionConfirmation: SkipAutoDetectionConfirmation$outboundSchema.optional(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => CreateDeploymentRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var CreateDeploymentRequest$;
(function(CreateDeploymentRequest$2) {
  CreateDeploymentRequest$2.inboundSchema = CreateDeploymentRequest$inboundSchema;
  CreateDeploymentRequest$2.outboundSchema = CreateDeploymentRequest$outboundSchema;
})(CreateDeploymentRequest$ || (CreateDeploymentRequest$ = {}));
var AliasAssignedAt$inboundSchema = unionType([numberType(), booleanType()]);
var AliasAssignedAt$outboundSchema = unionType([numberType(), booleanType()]);
var AliasAssignedAt$;
(function(AliasAssignedAt$2) {
  AliasAssignedAt$2.inboundSchema = AliasAssignedAt$inboundSchema;
  AliasAssignedAt$2.outboundSchema = AliasAssignedAt$outboundSchema;
})(AliasAssignedAt$ || (AliasAssignedAt$ = {}));
var Build$inboundSchema = objectType({
  env: arrayType(stringType())
});
var Build$outboundSchema = objectType({
  env: arrayType(stringType())
});
var Build$;
(function(Build$2) {
  Build$2.inboundSchema = Build$inboundSchema;
  Build$2.outboundSchema = Build$outboundSchema;
})(Build$ || (Build$ = {}));
var Builds$inboundSchema = objectType({});
var Builds$outboundSchema = objectType({});
var Builds$;
(function(Builds$2) {
  Builds$2.inboundSchema = Builds$inboundSchema;
  Builds$2.outboundSchema = Builds$outboundSchema;
})(Builds$ || (Builds$ = {}));
var CreateDeploymentFramework$inboundSchema = nativeEnumType(CreateDeploymentFramework);
var CreateDeploymentFramework$outboundSchema = CreateDeploymentFramework$inboundSchema;
var CreateDeploymentFramework$;
(function(CreateDeploymentFramework$2) {
  CreateDeploymentFramework$2.inboundSchema = CreateDeploymentFramework$inboundSchema;
  CreateDeploymentFramework$2.outboundSchema = CreateDeploymentFramework$outboundSchema;
})(CreateDeploymentFramework$ || (CreateDeploymentFramework$ = {}));
var CreateDeploymentSpeedInsights$inboundSchema = objectType({
  id: stringType(),
  enabledAt: numberType().optional(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  hasData: booleanType().optional(),
  paidAt: numberType().optional()
});
var CreateDeploymentSpeedInsights$outboundSchema = objectType({
  id: stringType(),
  enabledAt: numberType().optional(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  hasData: booleanType().optional(),
  paidAt: numberType().optional()
});
var CreateDeploymentSpeedInsights$;
(function(CreateDeploymentSpeedInsights$2) {
  CreateDeploymentSpeedInsights$2.inboundSchema = CreateDeploymentSpeedInsights$inboundSchema;
  CreateDeploymentSpeedInsights$2.outboundSchema = CreateDeploymentSpeedInsights$outboundSchema;
})(CreateDeploymentSpeedInsights$ || (CreateDeploymentSpeedInsights$ = {}));
var CreateDeploymentWebAnalytics$inboundSchema = objectType({
  id: stringType(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  enabledAt: numberType().optional(),
  hasData: booleanType().optional()
});
var CreateDeploymentWebAnalytics$outboundSchema = objectType({
  id: stringType(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  enabledAt: numberType().optional(),
  hasData: booleanType().optional()
});
var CreateDeploymentWebAnalytics$;
(function(CreateDeploymentWebAnalytics$2) {
  CreateDeploymentWebAnalytics$2.inboundSchema = CreateDeploymentWebAnalytics$inboundSchema;
  CreateDeploymentWebAnalytics$2.outboundSchema = CreateDeploymentWebAnalytics$outboundSchema;
})(CreateDeploymentWebAnalytics$ || (CreateDeploymentWebAnalytics$ = {}));
var CreateDeploymentProjectSettings$inboundSchema = objectType({
  buildCommand: nullableType(stringType()).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  devCommand: nullableType(stringType()).optional(),
  framework: nullableType(CreateDeploymentFramework$inboundSchema).optional(),
  installCommand: nullableType(stringType()).optional(),
  outputDirectory: nullableType(stringType()).optional(),
  speedInsights: lazyType(() => CreateDeploymentSpeedInsights$inboundSchema).optional(),
  webAnalytics: lazyType(() => CreateDeploymentWebAnalytics$inboundSchema).optional()
});
var CreateDeploymentProjectSettings$outboundSchema = objectType({
  buildCommand: nullableType(stringType()).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  devCommand: nullableType(stringType()).optional(),
  framework: nullableType(CreateDeploymentFramework$outboundSchema).optional(),
  installCommand: nullableType(stringType()).optional(),
  outputDirectory: nullableType(stringType()).optional(),
  speedInsights: lazyType(() => CreateDeploymentSpeedInsights$outboundSchema).optional(),
  webAnalytics: lazyType(() => CreateDeploymentWebAnalytics$outboundSchema).optional()
});
var CreateDeploymentProjectSettings$;
(function(CreateDeploymentProjectSettings$2) {
  CreateDeploymentProjectSettings$2.inboundSchema = CreateDeploymentProjectSettings$inboundSchema;
  CreateDeploymentProjectSettings$2.outboundSchema = CreateDeploymentProjectSettings$outboundSchema;
})(CreateDeploymentProjectSettings$ || (CreateDeploymentProjectSettings$ = {}));
var CreateDeploymentDeploymentsStatus$inboundSchema = nativeEnumType(CreateDeploymentDeploymentsStatus);
var CreateDeploymentDeploymentsStatus$outboundSchema = CreateDeploymentDeploymentsStatus$inboundSchema;
var CreateDeploymentDeploymentsStatus$;
(function(CreateDeploymentDeploymentsStatus$2) {
  CreateDeploymentDeploymentsStatus$2.inboundSchema = CreateDeploymentDeploymentsStatus$inboundSchema;
  CreateDeploymentDeploymentsStatus$2.outboundSchema = CreateDeploymentDeploymentsStatus$outboundSchema;
})(CreateDeploymentDeploymentsStatus$ || (CreateDeploymentDeploymentsStatus$ = {}));
var Integrations$inboundSchema = objectType({
  status: CreateDeploymentDeploymentsStatus$inboundSchema,
  startedAt: numberType(),
  completedAt: numberType().optional(),
  skippedAt: numberType().optional(),
  skippedBy: stringType().optional()
});
var Integrations$outboundSchema = objectType({
  status: CreateDeploymentDeploymentsStatus$outboundSchema,
  startedAt: numberType(),
  completedAt: numberType().optional(),
  skippedAt: numberType().optional(),
  skippedBy: stringType().optional()
});
var Integrations$;
(function(Integrations$2) {
  Integrations$2.inboundSchema = Integrations$inboundSchema;
  Integrations$2.outboundSchema = Integrations$outboundSchema;
})(Integrations$ || (Integrations$ = {}));
var Protocol$inboundSchema = nativeEnumType(Protocol);
var Protocol$outboundSchema = Protocol$inboundSchema;
var Protocol$;
(function(Protocol$2) {
  Protocol$2.inboundSchema = Protocol$inboundSchema;
  Protocol$2.outboundSchema = Protocol$outboundSchema;
})(Protocol$ || (Protocol$ = {}));
var RemotePatterns$inboundSchema = objectType({
  protocol: Protocol$inboundSchema.optional(),
  hostname: stringType(),
  port: stringType().optional(),
  pathname: stringType().optional(),
  search: stringType().optional()
});
var RemotePatterns$outboundSchema = objectType({
  protocol: Protocol$outboundSchema.optional(),
  hostname: stringType(),
  port: stringType().optional(),
  pathname: stringType().optional(),
  search: stringType().optional()
});
var RemotePatterns$;
(function(RemotePatterns$2) {
  RemotePatterns$2.inboundSchema = RemotePatterns$inboundSchema;
  RemotePatterns$2.outboundSchema = RemotePatterns$outboundSchema;
})(RemotePatterns$ || (RemotePatterns$ = {}));
var LocalPatterns$inboundSchema = objectType({
  pathname: stringType().optional(),
  search: stringType().optional()
});
var LocalPatterns$outboundSchema = objectType({
  pathname: stringType().optional(),
  search: stringType().optional()
});
var LocalPatterns$;
(function(LocalPatterns$2) {
  LocalPatterns$2.inboundSchema = LocalPatterns$inboundSchema;
  LocalPatterns$2.outboundSchema = LocalPatterns$outboundSchema;
})(LocalPatterns$ || (LocalPatterns$ = {}));
var Formats$inboundSchema = nativeEnumType(Formats);
var Formats$outboundSchema = Formats$inboundSchema;
var Formats$;
(function(Formats$2) {
  Formats$2.inboundSchema = Formats$inboundSchema;
  Formats$2.outboundSchema = Formats$outboundSchema;
})(Formats$ || (Formats$ = {}));
var ContentDispositionType$inboundSchema = nativeEnumType(ContentDispositionType);
var ContentDispositionType$outboundSchema = ContentDispositionType$inboundSchema;
var ContentDispositionType$;
(function(ContentDispositionType$2) {
  ContentDispositionType$2.inboundSchema = ContentDispositionType$inboundSchema;
  ContentDispositionType$2.outboundSchema = ContentDispositionType$outboundSchema;
})(ContentDispositionType$ || (ContentDispositionType$ = {}));
var Images$inboundSchema = objectType({
  sizes: arrayType(numberType()).optional(),
  qualities: arrayType(numberType()).optional(),
  domains: arrayType(stringType()).optional(),
  remotePatterns: arrayType(lazyType(() => RemotePatterns$inboundSchema)).optional(),
  localPatterns: arrayType(lazyType(() => LocalPatterns$inboundSchema)).optional(),
  minimumCacheTTL: numberType().optional(),
  formats: arrayType(Formats$inboundSchema).optional(),
  dangerouslyAllowSVG: booleanType().optional(),
  contentSecurityPolicy: stringType().optional(),
  contentDispositionType: ContentDispositionType$inboundSchema.optional()
});
var Images$outboundSchema = objectType({
  sizes: arrayType(numberType()).optional(),
  qualities: arrayType(numberType()).optional(),
  domains: arrayType(stringType()).optional(),
  remotePatterns: arrayType(lazyType(() => RemotePatterns$outboundSchema)).optional(),
  localPatterns: arrayType(lazyType(() => LocalPatterns$outboundSchema)).optional(),
  minimumCacheTTL: numberType().optional(),
  formats: arrayType(Formats$outboundSchema).optional(),
  dangerouslyAllowSVG: booleanType().optional(),
  contentSecurityPolicy: stringType().optional(),
  contentDispositionType: ContentDispositionType$outboundSchema.optional()
});
var Images$;
(function(Images$2) {
  Images$2.inboundSchema = Images$inboundSchema;
  Images$2.outboundSchema = Images$outboundSchema;
})(Images$ || (Images$ = {}));
var Creator$inboundSchema = objectType({
  uid: stringType(),
  username: stringType().optional(),
  avatar: stringType().optional()
});
var Creator$outboundSchema = objectType({
  uid: stringType(),
  username: stringType().optional(),
  avatar: stringType().optional()
});
var Creator$;
(function(Creator$2) {
  Creator$2.inboundSchema = Creator$inboundSchema;
  Creator$2.outboundSchema = Creator$outboundSchema;
})(Creator$ || (Creator$ = {}));
var CreateDeploymentReadyState$inboundSchema = nativeEnumType(CreateDeploymentReadyState);
var CreateDeploymentReadyState$outboundSchema = CreateDeploymentReadyState$inboundSchema;
var CreateDeploymentReadyState$;
(function(CreateDeploymentReadyState$2) {
  CreateDeploymentReadyState$2.inboundSchema = CreateDeploymentReadyState$inboundSchema;
  CreateDeploymentReadyState$2.outboundSchema = CreateDeploymentReadyState$outboundSchema;
})(CreateDeploymentReadyState$ || (CreateDeploymentReadyState$ = {}));
var CreateDeploymentOutput$inboundSchema = objectType({
  path: stringType(),
  functionName: stringType()
});
var CreateDeploymentOutput$outboundSchema = objectType({
  path: stringType(),
  functionName: stringType()
});
var CreateDeploymentOutput$;
(function(CreateDeploymentOutput$2) {
  CreateDeploymentOutput$2.inboundSchema = CreateDeploymentOutput$inboundSchema;
  CreateDeploymentOutput$2.outboundSchema = CreateDeploymentOutput$outboundSchema;
})(CreateDeploymentOutput$ || (CreateDeploymentOutput$ = {}));
var Lambdas$inboundSchema = objectType({
  id: stringType().optional(),
  createdAt: numberType().optional(),
  entrypoint: nullableType(stringType()).optional(),
  readyState: CreateDeploymentReadyState$inboundSchema.optional(),
  readyStateAt: numberType().optional(),
  output: arrayType(lazyType(() => CreateDeploymentOutput$inboundSchema))
});
var Lambdas$outboundSchema = objectType({
  id: stringType().optional(),
  createdAt: numberType().optional(),
  entrypoint: nullableType(stringType()).optional(),
  readyState: CreateDeploymentReadyState$outboundSchema.optional(),
  readyStateAt: numberType().optional(),
  output: arrayType(lazyType(() => CreateDeploymentOutput$outboundSchema))
});
var Lambdas$;
(function(Lambdas$2) {
  Lambdas$2.inboundSchema = Lambdas$inboundSchema;
  Lambdas$2.outboundSchema = Lambdas$outboundSchema;
})(Lambdas$ || (Lambdas$ = {}));
var CreateDeploymentStatus$inboundSchema = nativeEnumType(CreateDeploymentStatus);
var CreateDeploymentStatus$outboundSchema = CreateDeploymentStatus$inboundSchema;
var CreateDeploymentStatus$;
(function(CreateDeploymentStatus$2) {
  CreateDeploymentStatus$2.inboundSchema = CreateDeploymentStatus$inboundSchema;
  CreateDeploymentStatus$2.outboundSchema = CreateDeploymentStatus$outboundSchema;
})(CreateDeploymentStatus$ || (CreateDeploymentStatus$ = {}));
var Team$inboundSchema = objectType({
  name: stringType(),
  id: stringType(),
  slug: stringType(),
  avatar: stringType().optional()
});
var Team$outboundSchema = objectType({
  name: stringType(),
  id: stringType(),
  slug: stringType(),
  avatar: stringType().optional()
});
var Team$;
(function(Team$2) {
  Team$2.inboundSchema = Team$inboundSchema;
  Team$2.outboundSchema = Team$outboundSchema;
})(Team$ || (Team$ = {}));
var CustomEnvironment2$inboundSchema = objectType({
  id: stringType()
});
var CustomEnvironment2$outboundSchema = objectType({
  id: stringType()
});
var CustomEnvironment2$;
(function(CustomEnvironment2$2) {
  CustomEnvironment2$2.inboundSchema = CustomEnvironment2$inboundSchema;
  CustomEnvironment2$2.outboundSchema = CustomEnvironment2$outboundSchema;
})(CustomEnvironment2$ || (CustomEnvironment2$ = {}));
var CustomEnvironment1$inboundSchema = objectType({});
var CustomEnvironment1$outboundSchema = objectType({});
var CustomEnvironment1$;
(function(CustomEnvironment1$2) {
  CustomEnvironment1$2.inboundSchema = CustomEnvironment1$inboundSchema;
  CustomEnvironment1$2.outboundSchema = CustomEnvironment1$outboundSchema;
})(CustomEnvironment1$ || (CustomEnvironment1$ = {}));
var CustomEnvironment$inboundSchema = unionType([
  lazyType(() => CustomEnvironment1$inboundSchema),
  lazyType(() => CustomEnvironment2$inboundSchema)
]);
var CustomEnvironment$outboundSchema = unionType([
  lazyType(() => CustomEnvironment1$outboundSchema),
  lazyType(() => CustomEnvironment2$outboundSchema)
]);
var CustomEnvironment$;
(function(CustomEnvironment$2) {
  CustomEnvironment$2.inboundSchema = CustomEnvironment$inboundSchema;
  CustomEnvironment$2.outboundSchema = CustomEnvironment$outboundSchema;
})(CustomEnvironment$ || (CustomEnvironment$ = {}));
var CreateDeploymentType$inboundSchema = nativeEnumType(CreateDeploymentType);
var CreateDeploymentType$outboundSchema = CreateDeploymentType$inboundSchema;
var CreateDeploymentType$;
(function(CreateDeploymentType$2) {
  CreateDeploymentType$2.inboundSchema = CreateDeploymentType$inboundSchema;
  CreateDeploymentType$2.outboundSchema = CreateDeploymentType$outboundSchema;
})(CreateDeploymentType$ || (CreateDeploymentType$ = {}));
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type);
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema;
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$;
(function(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$2) {
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$2.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema;
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$2.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$outboundSchema;
})(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$ || (CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$ = {}));
var CreateDeploymentGitSource9$inboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$inboundSchema,
  ref: stringType(),
  sha: stringType(),
  owner: stringType().optional(),
  slug: stringType().optional(),
  workspaceUuid: stringType(),
  repoUuid: stringType()
});
var CreateDeploymentGitSource9$outboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody9Type$outboundSchema,
  ref: stringType(),
  sha: stringType(),
  owner: stringType().optional(),
  slug: stringType().optional(),
  workspaceUuid: stringType(),
  repoUuid: stringType()
});
var CreateDeploymentGitSource9$;
(function(CreateDeploymentGitSource9$2) {
  CreateDeploymentGitSource9$2.inboundSchema = CreateDeploymentGitSource9$inboundSchema;
  CreateDeploymentGitSource9$2.outboundSchema = CreateDeploymentGitSource9$outboundSchema;
})(CreateDeploymentGitSource9$ || (CreateDeploymentGitSource9$ = {}));
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type);
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema;
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$;
(function(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$2) {
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$2.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema;
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$2.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$outboundSchema;
})(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$ || (CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$ = {}));
var CreateDeploymentGitSource8$inboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$inboundSchema,
  ref: stringType(),
  sha: stringType(),
  projectId: numberType()
});
var CreateDeploymentGitSource8$outboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody8Type$outboundSchema,
  ref: stringType(),
  sha: stringType(),
  projectId: numberType()
});
var CreateDeploymentGitSource8$;
(function(CreateDeploymentGitSource8$2) {
  CreateDeploymentGitSource8$2.inboundSchema = CreateDeploymentGitSource8$inboundSchema;
  CreateDeploymentGitSource8$2.outboundSchema = CreateDeploymentGitSource8$outboundSchema;
})(CreateDeploymentGitSource8$ || (CreateDeploymentGitSource8$ = {}));
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type);
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema;
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$;
(function(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$2) {
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$2.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema;
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$2.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$outboundSchema;
})(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$ || (CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$ = {}));
var CreateDeploymentGitSource7$inboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$inboundSchema,
  ref: stringType(),
  sha: stringType(),
  repoId: numberType(),
  org: stringType().optional(),
  repo: stringType().optional()
});
var CreateDeploymentGitSource7$outboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody7Type$outboundSchema,
  ref: stringType(),
  sha: stringType(),
  repoId: numberType(),
  org: stringType().optional(),
  repo: stringType().optional()
});
var CreateDeploymentGitSource7$;
(function(CreateDeploymentGitSource7$2) {
  CreateDeploymentGitSource7$2.inboundSchema = CreateDeploymentGitSource7$inboundSchema;
  CreateDeploymentGitSource7$2.outboundSchema = CreateDeploymentGitSource7$outboundSchema;
})(CreateDeploymentGitSource7$ || (CreateDeploymentGitSource7$ = {}));
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type);
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$inboundSchema;
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$;
(function(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$2) {
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$2.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$inboundSchema;
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$2.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$outboundSchema;
})(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$ || (CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$ = {}));
var CreateDeploymentGitSource6$inboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$inboundSchema,
  ref: stringType(),
  sha: stringType(),
  gitUrl: stringType()
});
var CreateDeploymentGitSource6$outboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody6Type$outboundSchema,
  ref: stringType(),
  sha: stringType(),
  gitUrl: stringType()
});
var CreateDeploymentGitSource6$;
(function(CreateDeploymentGitSource6$2) {
  CreateDeploymentGitSource6$2.inboundSchema = CreateDeploymentGitSource6$inboundSchema;
  CreateDeploymentGitSource6$2.outboundSchema = CreateDeploymentGitSource6$outboundSchema;
})(CreateDeploymentGitSource6$ || (CreateDeploymentGitSource6$ = {}));
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type);
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$inboundSchema;
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$;
(function(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$2) {
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$2.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$inboundSchema;
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$2.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$outboundSchema;
})(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$ || (CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$ = {}));
var GitSource5$inboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$inboundSchema,
  owner: stringType(),
  slug: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GitSource5$outboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody5Type$outboundSchema,
  owner: stringType(),
  slug: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GitSource5$;
(function(GitSource5$2) {
  GitSource5$2.inboundSchema = GitSource5$inboundSchema;
  GitSource5$2.outboundSchema = GitSource5$outboundSchema;
})(GitSource5$ || (GitSource5$ = {}));
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType);
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema;
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$;
(function(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$2) {
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$2.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$2.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema;
})(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$ || (CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$ = {}));
var GitSource4$inboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema,
  workspaceUuid: stringType().optional(),
  repoUuid: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GitSource4$outboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema,
  workspaceUuid: stringType().optional(),
  repoUuid: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GitSource4$;
(function(GitSource4$2) {
  GitSource4$2.inboundSchema = GitSource4$inboundSchema;
  GitSource4$2.outboundSchema = GitSource4$outboundSchema;
})(GitSource4$ || (GitSource4$ = {}));
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType);
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema;
var CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$;
(function(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$2) {
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$2.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema;
  CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$2.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema;
})(CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$ || (CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$ = {}));
var GitSourceProjectId$inboundSchema = unionType([stringType(), numberType()]);
var GitSourceProjectId$outboundSchema = unionType([stringType(), numberType()]);
var GitSourceProjectId$;
(function(GitSourceProjectId$2) {
  GitSourceProjectId$2.inboundSchema = GitSourceProjectId$inboundSchema;
  GitSourceProjectId$2.outboundSchema = GitSourceProjectId$outboundSchema;
})(GitSourceProjectId$ || (GitSourceProjectId$ = {}));
var GitSource3$inboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema,
  projectId: unionType([stringType(), numberType()]),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GitSource3$outboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema,
  projectId: unionType([stringType(), numberType()]),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GitSource3$;
(function(GitSource3$2) {
  GitSource3$2.inboundSchema = GitSource3$inboundSchema;
  GitSource3$2.outboundSchema = GitSource3$outboundSchema;
})(GitSource3$ || (GitSource3$ = {}));
var CreateDeploymentGitSourceDeploymentsResponse200Type$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponse200Type);
var CreateDeploymentGitSourceDeploymentsResponse200Type$outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200Type$inboundSchema;
var CreateDeploymentGitSourceDeploymentsResponse200Type$;
(function(CreateDeploymentGitSourceDeploymentsResponse200Type$2) {
  CreateDeploymentGitSourceDeploymentsResponse200Type$2.inboundSchema = CreateDeploymentGitSourceDeploymentsResponse200Type$inboundSchema;
  CreateDeploymentGitSourceDeploymentsResponse200Type$2.outboundSchema = CreateDeploymentGitSourceDeploymentsResponse200Type$outboundSchema;
})(CreateDeploymentGitSourceDeploymentsResponse200Type$ || (CreateDeploymentGitSourceDeploymentsResponse200Type$ = {}));
var CreateDeploymentGitSource2$inboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponse200Type$inboundSchema,
  org: stringType(),
  repo: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var CreateDeploymentGitSource2$outboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponse200Type$outboundSchema,
  org: stringType(),
  repo: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var CreateDeploymentGitSource2$;
(function(CreateDeploymentGitSource2$2) {
  CreateDeploymentGitSource2$2.inboundSchema = CreateDeploymentGitSource2$inboundSchema;
  CreateDeploymentGitSource2$2.outboundSchema = CreateDeploymentGitSource2$outboundSchema;
})(CreateDeploymentGitSource2$ || (CreateDeploymentGitSource2$ = {}));
var CreateDeploymentGitSourceDeploymentsResponseType$inboundSchema = nativeEnumType(CreateDeploymentGitSourceDeploymentsResponseType);
var CreateDeploymentGitSourceDeploymentsResponseType$outboundSchema = CreateDeploymentGitSourceDeploymentsResponseType$inboundSchema;
var CreateDeploymentGitSourceDeploymentsResponseType$;
(function(CreateDeploymentGitSourceDeploymentsResponseType$2) {
  CreateDeploymentGitSourceDeploymentsResponseType$2.inboundSchema = CreateDeploymentGitSourceDeploymentsResponseType$inboundSchema;
  CreateDeploymentGitSourceDeploymentsResponseType$2.outboundSchema = CreateDeploymentGitSourceDeploymentsResponseType$outboundSchema;
})(CreateDeploymentGitSourceDeploymentsResponseType$ || (CreateDeploymentGitSourceDeploymentsResponseType$ = {}));
var GitSourceRepoId$inboundSchema = unionType([stringType(), numberType()]);
var GitSourceRepoId$outboundSchema = unionType([stringType(), numberType()]);
var GitSourceRepoId$;
(function(GitSourceRepoId$2) {
  GitSourceRepoId$2.inboundSchema = GitSourceRepoId$inboundSchema;
  GitSourceRepoId$2.outboundSchema = GitSourceRepoId$outboundSchema;
})(GitSourceRepoId$ || (GitSourceRepoId$ = {}));
var CreateDeploymentGitSource1$inboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponseType$inboundSchema,
  repoId: unionType([stringType(), numberType()]),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var CreateDeploymentGitSource1$outboundSchema = objectType({
  type: CreateDeploymentGitSourceDeploymentsResponseType$outboundSchema,
  repoId: unionType([stringType(), numberType()]),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var CreateDeploymentGitSource1$;
(function(CreateDeploymentGitSource1$2) {
  CreateDeploymentGitSource1$2.inboundSchema = CreateDeploymentGitSource1$inboundSchema;
  CreateDeploymentGitSource1$2.outboundSchema = CreateDeploymentGitSource1$outboundSchema;
})(CreateDeploymentGitSource1$ || (CreateDeploymentGitSource1$ = {}));
var CreateDeploymentGitSource$inboundSchema = unionType([
  lazyType(() => CreateDeploymentGitSource6$inboundSchema),
  lazyType(() => CreateDeploymentGitSource8$inboundSchema),
  lazyType(() => CreateDeploymentGitSource1$inboundSchema),
  lazyType(() => GitSource3$inboundSchema),
  lazyType(() => CreateDeploymentGitSource2$inboundSchema),
  lazyType(() => GitSource4$inboundSchema),
  lazyType(() => GitSource5$inboundSchema),
  lazyType(() => CreateDeploymentGitSource7$inboundSchema),
  lazyType(() => CreateDeploymentGitSource9$inboundSchema)
]);
var CreateDeploymentGitSource$outboundSchema = unionType([
  lazyType(() => CreateDeploymentGitSource6$outboundSchema),
  lazyType(() => CreateDeploymentGitSource8$outboundSchema),
  lazyType(() => CreateDeploymentGitSource1$outboundSchema),
  lazyType(() => GitSource3$outboundSchema),
  lazyType(() => CreateDeploymentGitSource2$outboundSchema),
  lazyType(() => GitSource4$outboundSchema),
  lazyType(() => GitSource5$outboundSchema),
  lazyType(() => CreateDeploymentGitSource7$outboundSchema),
  lazyType(() => CreateDeploymentGitSource9$outboundSchema)
]);
var CreateDeploymentGitSource$;
(function(CreateDeploymentGitSource$2) {
  CreateDeploymentGitSource$2.inboundSchema = CreateDeploymentGitSource$inboundSchema;
  CreateDeploymentGitSource$2.outboundSchema = CreateDeploymentGitSource$outboundSchema;
})(CreateDeploymentGitSource$ || (CreateDeploymentGitSource$ = {}));
var Project$inboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  framework: nullableType(stringType()).optional()
});
var Project$outboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  framework: nullableType(stringType()).optional()
});
var Project$;
(function(Project$2) {
  Project$2.inboundSchema = Project$inboundSchema;
  Project$2.outboundSchema = Project$outboundSchema;
})(Project$ || (Project$ = {}));
var ReadyState$inboundSchema = nativeEnumType(ReadyState);
var ReadyState$outboundSchema = ReadyState$inboundSchema;
var ReadyState$;
(function(ReadyState$2) {
  ReadyState$2.inboundSchema = ReadyState$inboundSchema;
  ReadyState$2.outboundSchema = ReadyState$outboundSchema;
})(ReadyState$ || (ReadyState$ = {}));
var CreateDeploymentSource$inboundSchema = nativeEnumType(CreateDeploymentSource);
var CreateDeploymentSource$outboundSchema = CreateDeploymentSource$inboundSchema;
var CreateDeploymentSource$;
(function(CreateDeploymentSource$2) {
  CreateDeploymentSource$2.inboundSchema = CreateDeploymentSource$inboundSchema;
  CreateDeploymentSource$2.outboundSchema = CreateDeploymentSource$outboundSchema;
})(CreateDeploymentSource$ || (CreateDeploymentSource$ = {}));
var CreateDeploymentTarget$inboundSchema = nativeEnumType(CreateDeploymentTarget);
var CreateDeploymentTarget$outboundSchema = CreateDeploymentTarget$inboundSchema;
var CreateDeploymentTarget$;
(function(CreateDeploymentTarget$2) {
  CreateDeploymentTarget$2.inboundSchema = CreateDeploymentTarget$inboundSchema;
  CreateDeploymentTarget$2.outboundSchema = CreateDeploymentTarget$outboundSchema;
})(CreateDeploymentTarget$ || (CreateDeploymentTarget$ = {}));
var AliasWarning$inboundSchema = objectType({
  code: stringType(),
  message: stringType(),
  link: stringType().optional(),
  action: stringType().optional()
});
var AliasWarning$outboundSchema = objectType({
  code: stringType(),
  message: stringType(),
  link: stringType().optional(),
  action: stringType().optional()
});
var AliasWarning$;
(function(AliasWarning$2) {
  AliasWarning$2.inboundSchema = AliasWarning$inboundSchema;
  AliasWarning$2.outboundSchema = AliasWarning$outboundSchema;
})(AliasWarning$ || (AliasWarning$ = {}));
var AliasError$inboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var AliasError$outboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var AliasError$;
(function(AliasError$2) {
  AliasError$2.inboundSchema = AliasError$inboundSchema;
  AliasError$2.outboundSchema = AliasError$outboundSchema;
})(AliasError$ || (AliasError$ = {}));
var ChecksState$inboundSchema = nativeEnumType(ChecksState);
var ChecksState$outboundSchema = ChecksState$inboundSchema;
var ChecksState$;
(function(ChecksState$2) {
  ChecksState$2.inboundSchema = ChecksState$inboundSchema;
  ChecksState$2.outboundSchema = ChecksState$outboundSchema;
})(ChecksState$ || (ChecksState$ = {}));
var ChecksConclusion$inboundSchema = nativeEnumType(ChecksConclusion);
var ChecksConclusion$outboundSchema = ChecksConclusion$inboundSchema;
var ChecksConclusion$;
(function(ChecksConclusion$2) {
  ChecksConclusion$2.inboundSchema = ChecksConclusion$inboundSchema;
  ChecksConclusion$2.outboundSchema = ChecksConclusion$outboundSchema;
})(ChecksConclusion$ || (ChecksConclusion$ = {}));
var ReadySubstate$inboundSchema = nativeEnumType(ReadySubstate);
var ReadySubstate$outboundSchema = ReadySubstate$inboundSchema;
var ReadySubstate$;
(function(ReadySubstate$2) {
  ReadySubstate$2.inboundSchema = ReadySubstate$inboundSchema;
  ReadySubstate$2.outboundSchema = ReadySubstate$outboundSchema;
})(ReadySubstate$ || (ReadySubstate$ = {}));
var OidcTokenClaims$inboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  owner_id: stringType(),
  project: stringType(),
  project_id: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    owner_id: "ownerId",
    project_id: "projectId"
  });
});
var OidcTokenClaims$outboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  ownerId: stringType(),
  project: stringType(),
  projectId: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    ownerId: "owner_id",
    projectId: "project_id"
  });
});
var OidcTokenClaims$;
(function(OidcTokenClaims$2) {
  OidcTokenClaims$2.inboundSchema = OidcTokenClaims$inboundSchema;
  OidcTokenClaims$2.outboundSchema = OidcTokenClaims$outboundSchema;
})(OidcTokenClaims$ || (OidcTokenClaims$ = {}));
var Applications$inboundSchema = objectType({
  productionHost: stringType(),
  deploymentAlias: stringType().optional(),
  deploymentHost: stringType().optional()
});
var Applications$outboundSchema = objectType({
  productionHost: stringType(),
  deploymentAlias: stringType().optional(),
  deploymentHost: stringType().optional()
});
var Applications$;
(function(Applications$2) {
  Applications$2.inboundSchema = Applications$inboundSchema;
  Applications$2.outboundSchema = Applications$outboundSchema;
})(Applications$ || (Applications$ = {}));
var Microfrontends2$inboundSchema = objectType({
  applications: recordType(lazyType(() => Applications$inboundSchema)).optional(),
  isDefaultApp: booleanType(),
  defaultRoute: stringType().optional(),
  groupIds: arrayType(stringType())
});
var Microfrontends2$outboundSchema = objectType({
  applications: recordType(lazyType(() => Applications$outboundSchema)).optional(),
  isDefaultApp: booleanType(),
  defaultRoute: stringType().optional(),
  groupIds: arrayType(stringType())
});
var Microfrontends2$;
(function(Microfrontends2$2) {
  Microfrontends2$2.inboundSchema = Microfrontends2$inboundSchema;
  Microfrontends2$2.outboundSchema = Microfrontends2$outboundSchema;
})(Microfrontends2$ || (Microfrontends2$ = {}));
var Microfrontends1$inboundSchema = objectType({
  isDefaultApp: booleanType().optional(),
  defaultRoute: stringType().optional(),
  groupIds: arrayType(stringType())
});
var Microfrontends1$outboundSchema = objectType({
  isDefaultApp: booleanType().optional(),
  defaultRoute: stringType().optional(),
  groupIds: arrayType(stringType())
});
var Microfrontends1$;
(function(Microfrontends1$2) {
  Microfrontends1$2.inboundSchema = Microfrontends1$inboundSchema;
  Microfrontends1$2.outboundSchema = Microfrontends1$outboundSchema;
})(Microfrontends1$ || (Microfrontends1$ = {}));
var CreateDeploymentMicrofrontends$inboundSchema = unionType([
  lazyType(() => Microfrontends1$inboundSchema),
  lazyType(() => Microfrontends2$inboundSchema)
]);
var CreateDeploymentMicrofrontends$outboundSchema = unionType([
  lazyType(() => Microfrontends1$outboundSchema),
  lazyType(() => Microfrontends2$outboundSchema)
]);
var CreateDeploymentMicrofrontends$;
(function(CreateDeploymentMicrofrontends$2) {
  CreateDeploymentMicrofrontends$2.inboundSchema = CreateDeploymentMicrofrontends$inboundSchema;
  CreateDeploymentMicrofrontends$2.outboundSchema = CreateDeploymentMicrofrontends$outboundSchema;
})(CreateDeploymentMicrofrontends$ || (CreateDeploymentMicrofrontends$ = {}));
var Functions$inboundSchema = objectType({
  memory: numberType().optional(),
  maxDuration: numberType().optional(),
  runtime: stringType().optional(),
  includeFiles: stringType().optional(),
  excludeFiles: stringType().optional()
});
var Functions$outboundSchema = objectType({
  memory: numberType().optional(),
  maxDuration: numberType().optional(),
  runtime: stringType().optional(),
  includeFiles: stringType().optional(),
  excludeFiles: stringType().optional()
});
var Functions$;
(function(Functions$2) {
  Functions$2.inboundSchema = Functions$inboundSchema;
  Functions$2.outboundSchema = Functions$outboundSchema;
})(Functions$ || (Functions$ = {}));
var Routes3$inboundSchema = objectType({
  src: stringType(),
  continue: booleanType(),
  middleware: numberType()
});
var Routes3$outboundSchema = objectType({
  src: stringType(),
  continue: booleanType(),
  middleware: numberType()
});
var Routes3$;
(function(Routes3$2) {
  Routes3$2.inboundSchema = Routes3$inboundSchema;
  Routes3$2.outboundSchema = Routes3$outboundSchema;
})(Routes3$ || (Routes3$ = {}));
var RoutesHandle$inboundSchema = nativeEnumType(RoutesHandle);
var RoutesHandle$outboundSchema = RoutesHandle$inboundSchema;
var RoutesHandle$;
(function(RoutesHandle$2) {
  RoutesHandle$2.inboundSchema = RoutesHandle$inboundSchema;
  RoutesHandle$2.outboundSchema = RoutesHandle$outboundSchema;
})(RoutesHandle$ || (RoutesHandle$ = {}));
var Routes2$inboundSchema = objectType({
  handle: RoutesHandle$inboundSchema,
  src: stringType().optional(),
  dest: stringType().optional(),
  status: numberType().optional()
});
var Routes2$outboundSchema = objectType({
  handle: RoutesHandle$outboundSchema,
  src: stringType().optional(),
  dest: stringType().optional(),
  status: numberType().optional()
});
var Routes2$;
(function(Routes2$2) {
  Routes2$2.inboundSchema = Routes2$inboundSchema;
  Routes2$2.outboundSchema = Routes2$outboundSchema;
})(Routes2$ || (Routes2$ = {}));
var CreateDeploymentHasType$inboundSchema = nativeEnumType(CreateDeploymentHasType);
var CreateDeploymentHasType$outboundSchema = CreateDeploymentHasType$inboundSchema;
var CreateDeploymentHasType$;
(function(CreateDeploymentHasType$2) {
  CreateDeploymentHasType$2.inboundSchema = CreateDeploymentHasType$inboundSchema;
  CreateDeploymentHasType$2.outboundSchema = CreateDeploymentHasType$outboundSchema;
})(CreateDeploymentHasType$ || (CreateDeploymentHasType$ = {}));
var Has2$inboundSchema = objectType({
  type: CreateDeploymentHasType$inboundSchema,
  key: stringType(),
  value: stringType().optional()
});
var Has2$outboundSchema = objectType({
  type: CreateDeploymentHasType$outboundSchema,
  key: stringType(),
  value: stringType().optional()
});
var Has2$;
(function(Has2$2) {
  Has2$2.inboundSchema = Has2$inboundSchema;
  Has2$2.outboundSchema = Has2$outboundSchema;
})(Has2$ || (Has2$ = {}));
var HasType$inboundSchema = nativeEnumType(HasType);
var HasType$outboundSchema = HasType$inboundSchema;
var HasType$;
(function(HasType$2) {
  HasType$2.inboundSchema = HasType$inboundSchema;
  HasType$2.outboundSchema = HasType$outboundSchema;
})(HasType$ || (HasType$ = {}));
var Has1$inboundSchema = objectType({
  type: HasType$inboundSchema,
  value: stringType()
});
var Has1$outboundSchema = objectType({
  type: HasType$outboundSchema,
  value: stringType()
});
var Has1$;
(function(Has1$2) {
  Has1$2.inboundSchema = Has1$inboundSchema;
  Has1$2.outboundSchema = Has1$outboundSchema;
})(Has1$ || (Has1$ = {}));
var RoutesHas$inboundSchema = unionType([
  lazyType(() => Has1$inboundSchema),
  lazyType(() => Has2$inboundSchema)
]);
var RoutesHas$outboundSchema = unionType([
  lazyType(() => Has1$outboundSchema),
  lazyType(() => Has2$outboundSchema)
]);
var RoutesHas$;
(function(RoutesHas$2) {
  RoutesHas$2.inboundSchema = RoutesHas$inboundSchema;
  RoutesHas$2.outboundSchema = RoutesHas$outboundSchema;
})(RoutesHas$ || (RoutesHas$ = {}));
var CreateDeploymentMissingType$inboundSchema = nativeEnumType(CreateDeploymentMissingType);
var CreateDeploymentMissingType$outboundSchema = CreateDeploymentMissingType$inboundSchema;
var CreateDeploymentMissingType$;
(function(CreateDeploymentMissingType$2) {
  CreateDeploymentMissingType$2.inboundSchema = CreateDeploymentMissingType$inboundSchema;
  CreateDeploymentMissingType$2.outboundSchema = CreateDeploymentMissingType$outboundSchema;
})(CreateDeploymentMissingType$ || (CreateDeploymentMissingType$ = {}));
var Missing2$inboundSchema = objectType({
  type: CreateDeploymentMissingType$inboundSchema,
  key: stringType(),
  value: stringType().optional()
});
var Missing2$outboundSchema = objectType({
  type: CreateDeploymentMissingType$outboundSchema,
  key: stringType(),
  value: stringType().optional()
});
var Missing2$;
(function(Missing2$2) {
  Missing2$2.inboundSchema = Missing2$inboundSchema;
  Missing2$2.outboundSchema = Missing2$outboundSchema;
})(Missing2$ || (Missing2$ = {}));
var MissingType$inboundSchema = nativeEnumType(MissingType);
var MissingType$outboundSchema = MissingType$inboundSchema;
var MissingType$;
(function(MissingType$2) {
  MissingType$2.inboundSchema = MissingType$inboundSchema;
  MissingType$2.outboundSchema = MissingType$outboundSchema;
})(MissingType$ || (MissingType$ = {}));
var Missing1$inboundSchema = objectType({
  type: MissingType$inboundSchema,
  value: stringType()
});
var Missing1$outboundSchema = objectType({
  type: MissingType$outboundSchema,
  value: stringType()
});
var Missing1$;
(function(Missing1$2) {
  Missing1$2.inboundSchema = Missing1$inboundSchema;
  Missing1$2.outboundSchema = Missing1$outboundSchema;
})(Missing1$ || (Missing1$ = {}));
var RoutesMissing$inboundSchema = unionType([
  lazyType(() => Missing1$inboundSchema),
  lazyType(() => Missing2$inboundSchema)
]);
var RoutesMissing$outboundSchema = unionType([
  lazyType(() => Missing1$outboundSchema),
  lazyType(() => Missing2$outboundSchema)
]);
var RoutesMissing$;
(function(RoutesMissing$2) {
  RoutesMissing$2.inboundSchema = RoutesMissing$inboundSchema;
  RoutesMissing$2.outboundSchema = RoutesMissing$outboundSchema;
})(RoutesMissing$ || (RoutesMissing$ = {}));
var Locale$inboundSchema = objectType({
  redirect: recordType(stringType()).optional(),
  cookie: stringType().optional()
});
var Locale$outboundSchema = objectType({
  redirect: recordType(stringType()).optional(),
  cookie: stringType().optional()
});
var Locale$;
(function(Locale$2) {
  Locale$2.inboundSchema = Locale$inboundSchema;
  Locale$2.outboundSchema = Locale$outboundSchema;
})(Locale$ || (Locale$ = {}));
var Routes1$inboundSchema = objectType({
  src: stringType(),
  dest: stringType().optional(),
  headers: recordType(stringType()).optional(),
  methods: arrayType(stringType()).optional(),
  continue: booleanType().optional(),
  override: booleanType().optional(),
  caseSensitive: booleanType().optional(),
  check: booleanType().optional(),
  important: booleanType().optional(),
  status: numberType().optional(),
  has: arrayType(unionType([
    lazyType(() => Has1$inboundSchema),
    lazyType(() => Has2$inboundSchema)
  ])).optional(),
  missing: arrayType(unionType([
    lazyType(() => Missing1$inboundSchema),
    lazyType(() => Missing2$inboundSchema)
  ])).optional(),
  locale: lazyType(() => Locale$inboundSchema).optional(),
  middlewarePath: stringType().optional(),
  middlewareRawSrc: arrayType(stringType()).optional(),
  middleware: numberType().optional()
});
var Routes1$outboundSchema = objectType({
  src: stringType(),
  dest: stringType().optional(),
  headers: recordType(stringType()).optional(),
  methods: arrayType(stringType()).optional(),
  continue: booleanType().optional(),
  override: booleanType().optional(),
  caseSensitive: booleanType().optional(),
  check: booleanType().optional(),
  important: booleanType().optional(),
  status: numberType().optional(),
  has: arrayType(unionType([
    lazyType(() => Has1$outboundSchema),
    lazyType(() => Has2$outboundSchema)
  ])).optional(),
  missing: arrayType(unionType([
    lazyType(() => Missing1$outboundSchema),
    lazyType(() => Missing2$outboundSchema)
  ])).optional(),
  locale: lazyType(() => Locale$outboundSchema).optional(),
  middlewarePath: stringType().optional(),
  middlewareRawSrc: arrayType(stringType()).optional(),
  middleware: numberType().optional()
});
var Routes1$;
(function(Routes1$2) {
  Routes1$2.inboundSchema = Routes1$inboundSchema;
  Routes1$2.outboundSchema = Routes1$outboundSchema;
})(Routes1$ || (Routes1$ = {}));
var Routes$inboundSchema = unionType([
  lazyType(() => Routes3$inboundSchema),
  lazyType(() => Routes2$inboundSchema),
  lazyType(() => Routes1$inboundSchema)
]);
var Routes$outboundSchema = unionType([
  lazyType(() => Routes3$outboundSchema),
  lazyType(() => Routes2$outboundSchema),
  lazyType(() => Routes1$outboundSchema)
]);
var Routes$;
(function(Routes$2) {
  Routes$2.inboundSchema = Routes$inboundSchema;
  Routes$2.outboundSchema = Routes$outboundSchema;
})(Routes$ || (Routes$ = {}));
var CreateDeploymentCrons$inboundSchema = objectType({
  schedule: stringType(),
  path: stringType()
});
var CreateDeploymentCrons$outboundSchema = objectType({
  schedule: stringType(),
  path: stringType()
});
var CreateDeploymentCrons$;
(function(CreateDeploymentCrons$2) {
  CreateDeploymentCrons$2.inboundSchema = CreateDeploymentCrons$inboundSchema;
  CreateDeploymentCrons$2.outboundSchema = CreateDeploymentCrons$outboundSchema;
})(CreateDeploymentCrons$ || (CreateDeploymentCrons$ = {}));
var Plan$inboundSchema = nativeEnumType(Plan);
var Plan$outboundSchema = Plan$inboundSchema;
var Plan$;
(function(Plan$2) {
  Plan$2.inboundSchema = Plan$inboundSchema;
  Plan$2.outboundSchema = Plan$outboundSchema;
})(Plan$ || (Plan$ = {}));
var CreateDeploymentGitRepoDeploymentsType$inboundSchema = nativeEnumType(CreateDeploymentGitRepoDeploymentsType);
var CreateDeploymentGitRepoDeploymentsType$outboundSchema = CreateDeploymentGitRepoDeploymentsType$inboundSchema;
var CreateDeploymentGitRepoDeploymentsType$;
(function(CreateDeploymentGitRepoDeploymentsType$2) {
  CreateDeploymentGitRepoDeploymentsType$2.inboundSchema = CreateDeploymentGitRepoDeploymentsType$inboundSchema;
  CreateDeploymentGitRepoDeploymentsType$2.outboundSchema = CreateDeploymentGitRepoDeploymentsType$outboundSchema;
})(CreateDeploymentGitRepoDeploymentsType$ || (CreateDeploymentGitRepoDeploymentsType$ = {}));
var CreateDeploymentGitRepoOwnerType$inboundSchema = nativeEnumType(CreateDeploymentGitRepoOwnerType);
var CreateDeploymentGitRepoOwnerType$outboundSchema = CreateDeploymentGitRepoOwnerType$inboundSchema;
var CreateDeploymentGitRepoOwnerType$;
(function(CreateDeploymentGitRepoOwnerType$2) {
  CreateDeploymentGitRepoOwnerType$2.inboundSchema = CreateDeploymentGitRepoOwnerType$inboundSchema;
  CreateDeploymentGitRepoOwnerType$2.outboundSchema = CreateDeploymentGitRepoOwnerType$outboundSchema;
})(CreateDeploymentGitRepoOwnerType$ || (CreateDeploymentGitRepoOwnerType$ = {}));
var GitRepo3$inboundSchema = objectType({
  owner: stringType(),
  repoUuid: stringType(),
  slug: stringType(),
  type: CreateDeploymentGitRepoDeploymentsType$inboundSchema,
  workspaceUuid: stringType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: CreateDeploymentGitRepoOwnerType$inboundSchema
});
var GitRepo3$outboundSchema = objectType({
  owner: stringType(),
  repoUuid: stringType(),
  slug: stringType(),
  type: CreateDeploymentGitRepoDeploymentsType$outboundSchema,
  workspaceUuid: stringType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: CreateDeploymentGitRepoOwnerType$outboundSchema
});
var GitRepo3$;
(function(GitRepo3$2) {
  GitRepo3$2.inboundSchema = GitRepo3$inboundSchema;
  GitRepo3$2.outboundSchema = GitRepo3$outboundSchema;
})(GitRepo3$ || (GitRepo3$ = {}));
var CreateDeploymentGitRepoType$inboundSchema = nativeEnumType(CreateDeploymentGitRepoType);
var CreateDeploymentGitRepoType$outboundSchema = CreateDeploymentGitRepoType$inboundSchema;
var CreateDeploymentGitRepoType$;
(function(CreateDeploymentGitRepoType$2) {
  CreateDeploymentGitRepoType$2.inboundSchema = CreateDeploymentGitRepoType$inboundSchema;
  CreateDeploymentGitRepoType$2.outboundSchema = CreateDeploymentGitRepoType$outboundSchema;
})(CreateDeploymentGitRepoType$ || (CreateDeploymentGitRepoType$ = {}));
var GitRepoOwnerType$inboundSchema = nativeEnumType(GitRepoOwnerType);
var GitRepoOwnerType$outboundSchema = GitRepoOwnerType$inboundSchema;
var GitRepoOwnerType$;
(function(GitRepoOwnerType$2) {
  GitRepoOwnerType$2.inboundSchema = GitRepoOwnerType$inboundSchema;
  GitRepoOwnerType$2.outboundSchema = GitRepoOwnerType$outboundSchema;
})(GitRepoOwnerType$ || (GitRepoOwnerType$ = {}));
var GitRepo2$inboundSchema = objectType({
  org: stringType(),
  repo: stringType(),
  repoId: numberType(),
  type: CreateDeploymentGitRepoType$inboundSchema,
  repoOwnerId: numberType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: GitRepoOwnerType$inboundSchema
});
var GitRepo2$outboundSchema = objectType({
  org: stringType(),
  repo: stringType(),
  repoId: numberType(),
  type: CreateDeploymentGitRepoType$outboundSchema,
  repoOwnerId: numberType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: GitRepoOwnerType$outboundSchema
});
var GitRepo2$;
(function(GitRepo2$2) {
  GitRepo2$2.inboundSchema = GitRepo2$inboundSchema;
  GitRepo2$2.outboundSchema = GitRepo2$outboundSchema;
})(GitRepo2$ || (GitRepo2$ = {}));
var GitRepoType$inboundSchema = nativeEnumType(GitRepoType);
var GitRepoType$outboundSchema = GitRepoType$inboundSchema;
var GitRepoType$;
(function(GitRepoType$2) {
  GitRepoType$2.inboundSchema = GitRepoType$inboundSchema;
  GitRepoType$2.outboundSchema = GitRepoType$outboundSchema;
})(GitRepoType$ || (GitRepoType$ = {}));
var OwnerType$inboundSchema = nativeEnumType(OwnerType);
var OwnerType$outboundSchema = OwnerType$inboundSchema;
var OwnerType$;
(function(OwnerType$2) {
  OwnerType$2.inboundSchema = OwnerType$inboundSchema;
  OwnerType$2.outboundSchema = OwnerType$outboundSchema;
})(OwnerType$ || (OwnerType$ = {}));
var GitRepo1$inboundSchema = objectType({
  namespace: stringType(),
  projectId: numberType(),
  type: GitRepoType$inboundSchema,
  url: stringType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: OwnerType$inboundSchema
});
var GitRepo1$outboundSchema = objectType({
  namespace: stringType(),
  projectId: numberType(),
  type: GitRepoType$outboundSchema,
  url: stringType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: OwnerType$outboundSchema
});
var GitRepo1$;
(function(GitRepo1$2) {
  GitRepo1$2.inboundSchema = GitRepo1$inboundSchema;
  GitRepo1$2.outboundSchema = GitRepo1$outboundSchema;
})(GitRepo1$ || (GitRepo1$ = {}));
var GitRepo$inboundSchema = unionType([
  lazyType(() => GitRepo1$inboundSchema),
  lazyType(() => GitRepo2$inboundSchema),
  lazyType(() => GitRepo3$inboundSchema)
]);
var GitRepo$outboundSchema = unionType([
  lazyType(() => GitRepo1$outboundSchema),
  lazyType(() => GitRepo2$outboundSchema),
  lazyType(() => GitRepo3$outboundSchema)
]);
var GitRepo$;
(function(GitRepo$2) {
  GitRepo$2.inboundSchema = GitRepo$inboundSchema;
  GitRepo$2.outboundSchema = GitRepo$outboundSchema;
})(GitRepo$ || (GitRepo$ = {}));
var Flags2$inboundSchema = objectType({});
var Flags2$outboundSchema = objectType({});
var Flags2$;
(function(Flags2$2) {
  Flags2$2.inboundSchema = Flags2$inboundSchema;
  Flags2$2.outboundSchema = Flags2$outboundSchema;
})(Flags2$ || (Flags2$ = {}));
var Options$inboundSchema = objectType({
  value: nullableType(FlagJSONValue$inboundSchema),
  label: stringType().optional()
});
var Options$outboundSchema = objectType({
  value: nullableType(FlagJSONValue$outboundSchema),
  label: stringType().optional()
});
var Options$;
(function(Options$2) {
  Options$2.inboundSchema = Options$inboundSchema;
  Options$2.outboundSchema = Options$outboundSchema;
})(Options$ || (Options$ = {}));
var FlagsDefinitions$inboundSchema = objectType({
  options: arrayType(lazyType(() => Options$inboundSchema)).optional(),
  url: stringType().optional(),
  description: stringType().optional()
});
var FlagsDefinitions$outboundSchema = objectType({
  options: arrayType(lazyType(() => Options$outboundSchema)).optional(),
  url: stringType().optional(),
  description: stringType().optional()
});
var FlagsDefinitions$;
(function(FlagsDefinitions$2) {
  FlagsDefinitions$2.inboundSchema = FlagsDefinitions$inboundSchema;
  FlagsDefinitions$2.outboundSchema = FlagsDefinitions$outboundSchema;
})(FlagsDefinitions$ || (FlagsDefinitions$ = {}));
var Flags1$inboundSchema = objectType({
  definitions: recordType(lazyType(() => FlagsDefinitions$inboundSchema))
});
var Flags1$outboundSchema = objectType({
  definitions: recordType(lazyType(() => FlagsDefinitions$outboundSchema))
});
var Flags1$;
(function(Flags1$2) {
  Flags1$2.inboundSchema = Flags1$inboundSchema;
  Flags1$2.outboundSchema = Flags1$outboundSchema;
})(Flags1$ || (Flags1$ = {}));
var Flags$inboundSchema = unionType([
  lazyType(() => Flags1$inboundSchema),
  arrayType(lazyType(() => Flags2$inboundSchema))
]);
var Flags$outboundSchema = unionType([
  lazyType(() => Flags1$outboundSchema),
  arrayType(lazyType(() => Flags2$outboundSchema))
]);
var Flags$;
(function(Flags$2) {
  Flags$2.inboundSchema = Flags$inboundSchema;
  Flags$2.outboundSchema = Flags$outboundSchema;
})(Flags$ || (Flags$ = {}));
var CreateDeploymentResponseBody$inboundSchema = objectType({
  aliasAssignedAt: nullableType(unionType([numberType(), booleanType()])).optional(),
  alwaysRefuseToBuild: booleanType().optional(),
  build: lazyType(() => Build$inboundSchema),
  buildArtifactUrls: arrayType(stringType()).optional(),
  builds: arrayType(lazyType(() => Builds$inboundSchema)).optional(),
  env: arrayType(stringType()),
  inspectorUrl: nullableType(stringType()),
  isInConcurrentBuildsQueue: booleanType(),
  isInSystemBuildsQueue: booleanType(),
  projectSettings: lazyType(() => CreateDeploymentProjectSettings$inboundSchema),
  readyStateReason: stringType().optional(),
  integrations: lazyType(() => Integrations$inboundSchema).optional(),
  images: lazyType(() => Images$inboundSchema).optional(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: booleanType(),
  bootedAt: numberType(),
  buildingAt: numberType(),
  buildSkipped: booleanType(),
  creator: lazyType(() => Creator$inboundSchema),
  initReadyAt: numberType().optional(),
  isFirstBranchDeployment: booleanType().optional(),
  lambdas: arrayType(lazyType(() => Lambdas$inboundSchema)).optional(),
  public: booleanType(),
  ready: numberType().optional(),
  status: CreateDeploymentStatus$inboundSchema,
  team: lazyType(() => Team$inboundSchema).optional(),
  userAliases: arrayType(stringType()).optional(),
  previewCommentsEnabled: booleanType().optional(),
  ttyBuildLogs: booleanType().optional(),
  customEnvironment: unionType([
    lazyType(() => CustomEnvironment1$inboundSchema),
    lazyType(() => CustomEnvironment2$inboundSchema)
  ]).optional(),
  type: CreateDeploymentType$inboundSchema,
  createdAt: numberType(),
  name: stringType(),
  deletedAt: nullableType(numberType()).optional(),
  id: stringType(),
  version: numberType(),
  autoAssignCustomDomains: booleanType().optional(),
  gitSource: unionType([
    lazyType(() => CreateDeploymentGitSource6$inboundSchema),
    lazyType(() => CreateDeploymentGitSource8$inboundSchema),
    lazyType(() => CreateDeploymentGitSource1$inboundSchema),
    lazyType(() => GitSource3$inboundSchema),
    lazyType(() => CreateDeploymentGitSource2$inboundSchema),
    lazyType(() => GitSource4$inboundSchema),
    lazyType(() => GitSource5$inboundSchema),
    lazyType(() => CreateDeploymentGitSource7$inboundSchema),
    lazyType(() => CreateDeploymentGitSource9$inboundSchema)
  ]).optional(),
  meta: recordType(stringType()),
  project: lazyType(() => Project$inboundSchema).optional(),
  readyState: ReadyState$inboundSchema,
  source: CreateDeploymentSource$inboundSchema.optional(),
  target: nullableType(CreateDeploymentTarget$inboundSchema).optional(),
  passiveRegions: arrayType(stringType()).optional(),
  regions: arrayType(stringType()),
  errorMessage: nullableType(stringType()).optional(),
  aliasWarning: nullableType(lazyType(() => AliasWarning$inboundSchema)).optional(),
  aliasError: nullableType(lazyType(() => AliasError$inboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  buildErrorAt: numberType().optional(),
  checksState: ChecksState$inboundSchema.optional(),
  checksConclusion: ChecksConclusion$inboundSchema.optional(),
  defaultRoute: stringType().optional(),
  canceledAt: numberType().optional(),
  errorCode: stringType().optional(),
  errorLink: stringType().optional(),
  errorStep: stringType().optional(),
  originCacheRegion: stringType().optional(),
  readySubstate: ReadySubstate$inboundSchema.optional(),
  softDeletedByRetention: booleanType().optional(),
  undeletedAt: numberType().optional(),
  url: stringType(),
  oidcTokenClaims: lazyType(() => OidcTokenClaims$inboundSchema).optional(),
  projectId: stringType(),
  ownerId: stringType(),
  microfrontends: unionType([
    lazyType(() => Microfrontends1$inboundSchema),
    lazyType(() => Microfrontends2$inboundSchema)
  ]).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  functions: nullableType(recordType(lazyType(() => Functions$inboundSchema))).optional(),
  routes: nullableType(arrayType(unionType([
    lazyType(() => Routes3$inboundSchema),
    lazyType(() => Routes2$inboundSchema),
    lazyType(() => Routes1$inboundSchema)
  ]))),
  crons: arrayType(lazyType(() => CreateDeploymentCrons$inboundSchema)).optional(),
  plan: Plan$inboundSchema,
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdIn: stringType(),
  passiveConnectConfigurationId: stringType().optional(),
  gitRepo: nullableType(unionType([
    lazyType(() => GitRepo1$inboundSchema),
    lazyType(() => GitRepo2$inboundSchema),
    lazyType(() => GitRepo3$inboundSchema)
  ])).optional(),
  flags: unionType([
    lazyType(() => Flags1$inboundSchema),
    arrayType(lazyType(() => Flags2$inboundSchema))
  ]).optional()
});
var CreateDeploymentResponseBody$outboundSchema = objectType({
  aliasAssignedAt: nullableType(unionType([numberType(), booleanType()])).optional(),
  alwaysRefuseToBuild: booleanType().optional(),
  build: lazyType(() => Build$outboundSchema),
  buildArtifactUrls: arrayType(stringType()).optional(),
  builds: arrayType(lazyType(() => Builds$outboundSchema)).optional(),
  env: arrayType(stringType()),
  inspectorUrl: nullableType(stringType()),
  isInConcurrentBuildsQueue: booleanType(),
  isInSystemBuildsQueue: booleanType(),
  projectSettings: lazyType(() => CreateDeploymentProjectSettings$outboundSchema),
  readyStateReason: stringType().optional(),
  integrations: lazyType(() => Integrations$outboundSchema).optional(),
  images: lazyType(() => Images$outboundSchema).optional(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: booleanType(),
  bootedAt: numberType(),
  buildingAt: numberType(),
  buildSkipped: booleanType(),
  creator: lazyType(() => Creator$outboundSchema),
  initReadyAt: numberType().optional(),
  isFirstBranchDeployment: booleanType().optional(),
  lambdas: arrayType(lazyType(() => Lambdas$outboundSchema)).optional(),
  public: booleanType(),
  ready: numberType().optional(),
  status: CreateDeploymentStatus$outboundSchema,
  team: lazyType(() => Team$outboundSchema).optional(),
  userAliases: arrayType(stringType()).optional(),
  previewCommentsEnabled: booleanType().optional(),
  ttyBuildLogs: booleanType().optional(),
  customEnvironment: unionType([
    lazyType(() => CustomEnvironment1$outboundSchema),
    lazyType(() => CustomEnvironment2$outboundSchema)
  ]).optional(),
  type: CreateDeploymentType$outboundSchema,
  createdAt: numberType(),
  name: stringType(),
  deletedAt: nullableType(numberType()).optional(),
  id: stringType(),
  version: numberType(),
  autoAssignCustomDomains: booleanType().optional(),
  gitSource: unionType([
    lazyType(() => CreateDeploymentGitSource6$outboundSchema),
    lazyType(() => CreateDeploymentGitSource8$outboundSchema),
    lazyType(() => CreateDeploymentGitSource1$outboundSchema),
    lazyType(() => GitSource3$outboundSchema),
    lazyType(() => CreateDeploymentGitSource2$outboundSchema),
    lazyType(() => GitSource4$outboundSchema),
    lazyType(() => GitSource5$outboundSchema),
    lazyType(() => CreateDeploymentGitSource7$outboundSchema),
    lazyType(() => CreateDeploymentGitSource9$outboundSchema)
  ]).optional(),
  meta: recordType(stringType()),
  project: lazyType(() => Project$outboundSchema).optional(),
  readyState: ReadyState$outboundSchema,
  source: CreateDeploymentSource$outboundSchema.optional(),
  target: nullableType(CreateDeploymentTarget$outboundSchema).optional(),
  passiveRegions: arrayType(stringType()).optional(),
  regions: arrayType(stringType()),
  errorMessage: nullableType(stringType()).optional(),
  aliasWarning: nullableType(lazyType(() => AliasWarning$outboundSchema)).optional(),
  aliasError: nullableType(lazyType(() => AliasError$outboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  buildErrorAt: numberType().optional(),
  checksState: ChecksState$outboundSchema.optional(),
  checksConclusion: ChecksConclusion$outboundSchema.optional(),
  defaultRoute: stringType().optional(),
  canceledAt: numberType().optional(),
  errorCode: stringType().optional(),
  errorLink: stringType().optional(),
  errorStep: stringType().optional(),
  originCacheRegion: stringType().optional(),
  readySubstate: ReadySubstate$outboundSchema.optional(),
  softDeletedByRetention: booleanType().optional(),
  undeletedAt: numberType().optional(),
  url: stringType(),
  oidcTokenClaims: lazyType(() => OidcTokenClaims$outboundSchema).optional(),
  projectId: stringType(),
  ownerId: stringType(),
  microfrontends: unionType([
    lazyType(() => Microfrontends1$outboundSchema),
    lazyType(() => Microfrontends2$outboundSchema)
  ]).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  functions: nullableType(recordType(lazyType(() => Functions$outboundSchema))).optional(),
  routes: nullableType(arrayType(unionType([
    lazyType(() => Routes3$outboundSchema),
    lazyType(() => Routes2$outboundSchema),
    lazyType(() => Routes1$outboundSchema)
  ]))),
  crons: arrayType(lazyType(() => CreateDeploymentCrons$outboundSchema)).optional(),
  plan: Plan$outboundSchema,
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdIn: stringType(),
  passiveConnectConfigurationId: stringType().optional(),
  gitRepo: nullableType(unionType([
    lazyType(() => GitRepo1$outboundSchema),
    lazyType(() => GitRepo2$outboundSchema),
    lazyType(() => GitRepo3$outboundSchema)
  ])).optional(),
  flags: unionType([
    lazyType(() => Flags1$outboundSchema),
    arrayType(lazyType(() => Flags2$outboundSchema))
  ]).optional()
});
var CreateDeploymentResponseBody$;
(function(CreateDeploymentResponseBody$2) {
  CreateDeploymentResponseBody$2.inboundSchema = CreateDeploymentResponseBody$inboundSchema;
  CreateDeploymentResponseBody$2.outboundSchema = CreateDeploymentResponseBody$outboundSchema;
})(CreateDeploymentResponseBody$ || (CreateDeploymentResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/deploymentsCreateDeployment.js
async function deploymentsCreateDeployment(client, request, options) {
  const parsed = safeParse(request, (value) => CreateDeploymentRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v13/deployments")();
  const query = encodeFormQuery({
    forceNew: payload.forceNew,
    skipAutoDetectionConfirmation: payload.skipAutoDetectionConfirmation,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "createDeployment",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateDeploymentResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, 409, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/deletedeploymentop.js
var DeleteDeploymentState = {
  Deleted: "DELETED"
};
var DeleteDeploymentRequest$inboundSchema = objectType({
  id: stringType(),
  url: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteDeploymentRequest$outboundSchema = objectType({
  id: stringType(),
  url: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteDeploymentRequest$;
(function(DeleteDeploymentRequest$2) {
  DeleteDeploymentRequest$2.inboundSchema = DeleteDeploymentRequest$inboundSchema;
  DeleteDeploymentRequest$2.outboundSchema = DeleteDeploymentRequest$outboundSchema;
})(DeleteDeploymentRequest$ || (DeleteDeploymentRequest$ = {}));
var DeleteDeploymentState$inboundSchema = nativeEnumType(DeleteDeploymentState);
var DeleteDeploymentState$outboundSchema = DeleteDeploymentState$inboundSchema;
var DeleteDeploymentState$;
(function(DeleteDeploymentState$2) {
  DeleteDeploymentState$2.inboundSchema = DeleteDeploymentState$inboundSchema;
  DeleteDeploymentState$2.outboundSchema = DeleteDeploymentState$outboundSchema;
})(DeleteDeploymentState$ || (DeleteDeploymentState$ = {}));
var DeleteDeploymentResponseBody$inboundSchema = objectType({
  uid: stringType(),
  state: DeleteDeploymentState$inboundSchema
});
var DeleteDeploymentResponseBody$outboundSchema = objectType({
  uid: stringType(),
  state: DeleteDeploymentState$outboundSchema
});
var DeleteDeploymentResponseBody$;
(function(DeleteDeploymentResponseBody$2) {
  DeleteDeploymentResponseBody$2.inboundSchema = DeleteDeploymentResponseBody$inboundSchema;
  DeleteDeploymentResponseBody$2.outboundSchema = DeleteDeploymentResponseBody$outboundSchema;
})(DeleteDeploymentResponseBody$ || (DeleteDeploymentResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/deploymentsDeleteDeployment.js
async function deploymentsDeleteDeployment(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteDeploymentRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v13/deployments/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId,
    url: payload.url
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "deleteDeployment",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, DeleteDeploymentResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getdeploymentop.js
var GetDeploymentResponseBodyDeploymentsReadyState = {
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Ready: "READY"
};
var GetDeploymentResponseBodyStatus = {
  Queued: "QUEUED",
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Ready: "READY",
  Canceled: "CANCELED"
};
var GetDeploymentResponseBodyType = {
  Lambdas: "LAMBDAS"
};
var GetDeploymentResponseBodyReadyState = {
  Queued: "QUEUED",
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Ready: "READY",
  Canceled: "CANCELED"
};
var GetDeploymentResponseBodyChecksState = {
  Registered: "registered",
  Running: "running",
  Completed: "completed"
};
var GetDeploymentResponseBodyChecksConclusion = {
  Succeeded: "succeeded",
  Failed: "failed",
  Skipped: "skipped",
  Canceled: "canceled"
};
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type = {
  Bitbucket: "bitbucket"
};
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type = {
  Gitlab: "gitlab"
};
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type = {
  Github: "github"
};
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type = {
  Custom: "custom"
};
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type = {
  Bitbucket: "bitbucket"
};
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type = {
  Bitbucket: "bitbucket"
};
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type = {
  Gitlab: "gitlab"
};
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type = {
  Github: "github"
};
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type = {
  Github: "github"
};
var GetDeploymentResponseBodyReadySubstate = {
  Staged: "STAGED",
  Promoted: "PROMOTED"
};
var GetDeploymentResponseBodySource = {
  ApiTriggerGitDeploy: "api-trigger-git-deploy",
  Cli: "cli",
  CloneRepo: "clone/repo",
  Git: "git",
  Import: "import",
  ImportRepo: "import/repo",
  Redeploy: "redeploy",
  V0Web: "v0-web"
};
var GetDeploymentResponseBodyTarget = {
  Staging: "staging",
  Production: "production"
};
var ResponseBodyFramework = {
  Blitzjs: "blitzjs",
  Nextjs: "nextjs",
  Gatsby: "gatsby",
  Remix: "remix",
  Astro: "astro",
  Hexo: "hexo",
  Eleventy: "eleventy",
  Docusaurus2: "docusaurus-2",
  Docusaurus: "docusaurus",
  Preact: "preact",
  Solidstart1: "solidstart-1",
  Solidstart: "solidstart",
  Dojo: "dojo",
  Ember: "ember",
  Vue: "vue",
  Scully: "scully",
  IonicAngular: "ionic-angular",
  Angular: "angular",
  Polymer: "polymer",
  Svelte: "svelte",
  Sveltekit: "sveltekit",
  Sveltekit1: "sveltekit-1",
  IonicReact: "ionic-react",
  CreateReactApp: "create-react-app",
  Gridsome: "gridsome",
  Umijs: "umijs",
  Sapper: "sapper",
  Saber: "saber",
  Stencil: "stencil",
  Nuxtjs: "nuxtjs",
  Redwoodjs: "redwoodjs",
  Hugo: "hugo",
  Jekyll: "jekyll",
  Brunch: "brunch",
  Middleman: "middleman",
  Zola: "zola",
  Hydrogen: "hydrogen",
  Vite: "vite",
  Vitepress: "vitepress",
  Vuepress: "vuepress",
  Parcel: "parcel",
  Fasthtml: "fasthtml",
  SanityV3: "sanity-v3",
  Sanity: "sanity",
  Storybook: "storybook"
};
var GetDeploymentResponseBodyDeploymentsStatus = {
  Error: "error",
  Skipped: "skipped",
  Pending: "pending",
  Ready: "ready",
  Timeout: "timeout"
};
var ResponseBodyProtocol = {
  Http: "http",
  Https: "https"
};
var ResponseBodyFormats = {
  ImageAvif: "image/avif",
  ImageWebp: "image/webp"
};
var ResponseBodyContentDispositionType = {
  Inline: "inline",
  Attachment: "attachment"
};
var GetDeploymentResponseBodyDeploymentsResponseReadyState = {
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Ready: "READY"
};
var ResponseBodyStatus = {
  Queued: "QUEUED",
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Ready: "READY",
  Canceled: "CANCELED"
};
var ResponseBodyType = {
  Lambdas: "LAMBDAS"
};
var ResponseBodyReadyState = {
  Queued: "QUEUED",
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Ready: "READY",
  Canceled: "CANCELED"
};
var ResponseBodyChecksState = {
  Registered: "registered",
  Running: "running",
  Completed: "completed"
};
var ResponseBodyChecksConclusion = {
  Succeeded: "succeeded",
  Failed: "failed",
  Skipped: "skipped",
  Canceled: "canceled"
};
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type = {
  Bitbucket: "bitbucket"
};
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type = {
  Gitlab: "gitlab"
};
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType = {
  Github: "github"
};
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType = {
  Custom: "custom"
};
var GetDeploymentGitSourceDeploymentsResponse200Type = {
  Bitbucket: "bitbucket"
};
var GetDeploymentGitSourceDeploymentsResponseType = {
  Bitbucket: "bitbucket"
};
var GetDeploymentGitSourceDeploymentsType = {
  Gitlab: "gitlab"
};
var GetDeploymentGitSourceType = {
  Github: "github"
};
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type = {
  Github: "github"
};
var ResponseBodyReadySubstate = {
  Staged: "STAGED",
  Promoted: "PROMOTED"
};
var ResponseBodySource = {
  ApiTriggerGitDeploy: "api-trigger-git-deploy",
  Cli: "cli",
  CloneRepo: "clone/repo",
  Git: "git",
  Import: "import",
  ImportRepo: "import/repo",
  Redeploy: "redeploy",
  V0Web: "v0-web"
};
var ResponseBodyTarget = {
  Staging: "staging",
  Production: "production"
};
var ResponseBodyPlan = {
  Pro: "pro",
  Enterprise: "enterprise",
  Hobby: "hobby"
};
var GetDeploymentRoutesHandle = {
  Error: "error",
  Filesystem: "filesystem",
  Hit: "hit",
  Miss: "miss",
  Rewrite: "rewrite",
  Resource: "resource"
};
var GetDeploymentHasType = {
  Header: "header",
  Cookie: "cookie",
  Query: "query"
};
var GetDeploymentHasDeploymentsType = {
  Host: "host"
};
var GetDeploymentMissingType = {
  Header: "header",
  Cookie: "cookie",
  Query: "query"
};
var GetDeploymentMissingDeploymentsType = {
  Host: "host"
};
var GetDeploymentGitRepoDeploymentsType = {
  Bitbucket: "bitbucket"
};
var GetDeploymentGitRepoOwnerType = {
  Team: "team",
  User: "user"
};
var GetDeploymentGitRepoType = {
  Github: "github"
};
var GetDeploymentGitRepoDeploymentsResponseOwnerType = {
  Team: "team",
  User: "user"
};
var GetDeploymentGitRepoDeploymentsResponseType = {
  Gitlab: "gitlab"
};
var GetDeploymentGitRepoDeploymentsOwnerType = {
  Team: "team",
  User: "user"
};
var GetDeploymentRequest$inboundSchema = objectType({
  idOrUrl: stringType(),
  withGitRepoInfo: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetDeploymentRequest$outboundSchema = objectType({
  idOrUrl: stringType(),
  withGitRepoInfo: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetDeploymentRequest$;
(function(GetDeploymentRequest$2) {
  GetDeploymentRequest$2.inboundSchema = GetDeploymentRequest$inboundSchema;
  GetDeploymentRequest$2.outboundSchema = GetDeploymentRequest$outboundSchema;
})(GetDeploymentRequest$ || (GetDeploymentRequest$ = {}));
var GetDeploymentResponseBodyCreator$inboundSchema = objectType({
  uid: stringType(),
  username: stringType().optional(),
  avatar: stringType().optional()
});
var GetDeploymentResponseBodyCreator$outboundSchema = objectType({
  uid: stringType(),
  username: stringType().optional(),
  avatar: stringType().optional()
});
var GetDeploymentResponseBodyCreator$;
(function(GetDeploymentResponseBodyCreator$2) {
  GetDeploymentResponseBodyCreator$2.inboundSchema = GetDeploymentResponseBodyCreator$inboundSchema;
  GetDeploymentResponseBodyCreator$2.outboundSchema = GetDeploymentResponseBodyCreator$outboundSchema;
})(GetDeploymentResponseBodyCreator$ || (GetDeploymentResponseBodyCreator$ = {}));
var GetDeploymentResponseBodyDeploymentsReadyState$inboundSchema = nativeEnumType(GetDeploymentResponseBodyDeploymentsReadyState);
var GetDeploymentResponseBodyDeploymentsReadyState$outboundSchema = GetDeploymentResponseBodyDeploymentsReadyState$inboundSchema;
var GetDeploymentResponseBodyDeploymentsReadyState$;
(function(GetDeploymentResponseBodyDeploymentsReadyState$2) {
  GetDeploymentResponseBodyDeploymentsReadyState$2.inboundSchema = GetDeploymentResponseBodyDeploymentsReadyState$inboundSchema;
  GetDeploymentResponseBodyDeploymentsReadyState$2.outboundSchema = GetDeploymentResponseBodyDeploymentsReadyState$outboundSchema;
})(GetDeploymentResponseBodyDeploymentsReadyState$ || (GetDeploymentResponseBodyDeploymentsReadyState$ = {}));
var GetDeploymentResponseBodyOutput$inboundSchema = objectType({
  path: stringType(),
  functionName: stringType()
});
var GetDeploymentResponseBodyOutput$outboundSchema = objectType({
  path: stringType(),
  functionName: stringType()
});
var GetDeploymentResponseBodyOutput$;
(function(GetDeploymentResponseBodyOutput$2) {
  GetDeploymentResponseBodyOutput$2.inboundSchema = GetDeploymentResponseBodyOutput$inboundSchema;
  GetDeploymentResponseBodyOutput$2.outboundSchema = GetDeploymentResponseBodyOutput$outboundSchema;
})(GetDeploymentResponseBodyOutput$ || (GetDeploymentResponseBodyOutput$ = {}));
var ResponseBodyLambdas$inboundSchema = objectType({
  id: stringType().optional(),
  createdAt: numberType().optional(),
  entrypoint: nullableType(stringType()).optional(),
  readyState: GetDeploymentResponseBodyDeploymentsReadyState$inboundSchema.optional(),
  readyStateAt: numberType().optional(),
  output: arrayType(lazyType(() => GetDeploymentResponseBodyOutput$inboundSchema))
});
var ResponseBodyLambdas$outboundSchema = objectType({
  id: stringType().optional(),
  createdAt: numberType().optional(),
  entrypoint: nullableType(stringType()).optional(),
  readyState: GetDeploymentResponseBodyDeploymentsReadyState$outboundSchema.optional(),
  readyStateAt: numberType().optional(),
  output: arrayType(lazyType(() => GetDeploymentResponseBodyOutput$outboundSchema))
});
var ResponseBodyLambdas$;
(function(ResponseBodyLambdas$2) {
  ResponseBodyLambdas$2.inboundSchema = ResponseBodyLambdas$inboundSchema;
  ResponseBodyLambdas$2.outboundSchema = ResponseBodyLambdas$outboundSchema;
})(ResponseBodyLambdas$ || (ResponseBodyLambdas$ = {}));
var GetDeploymentResponseBodyStatus$inboundSchema = nativeEnumType(GetDeploymentResponseBodyStatus);
var GetDeploymentResponseBodyStatus$outboundSchema = GetDeploymentResponseBodyStatus$inboundSchema;
var GetDeploymentResponseBodyStatus$;
(function(GetDeploymentResponseBodyStatus$2) {
  GetDeploymentResponseBodyStatus$2.inboundSchema = GetDeploymentResponseBodyStatus$inboundSchema;
  GetDeploymentResponseBodyStatus$2.outboundSchema = GetDeploymentResponseBodyStatus$outboundSchema;
})(GetDeploymentResponseBodyStatus$ || (GetDeploymentResponseBodyStatus$ = {}));
var ResponseBodyTeam$inboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  slug: stringType(),
  avatar: stringType().optional()
});
var ResponseBodyTeam$outboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  slug: stringType(),
  avatar: stringType().optional()
});
var ResponseBodyTeam$;
(function(ResponseBodyTeam$2) {
  ResponseBodyTeam$2.inboundSchema = ResponseBodyTeam$inboundSchema;
  ResponseBodyTeam$2.outboundSchema = ResponseBodyTeam$outboundSchema;
})(ResponseBodyTeam$ || (ResponseBodyTeam$ = {}));
var GetDeploymentCustomEnvironment2$inboundSchema = objectType({
  id: stringType()
});
var GetDeploymentCustomEnvironment2$outboundSchema = objectType({
  id: stringType()
});
var GetDeploymentCustomEnvironment2$;
(function(GetDeploymentCustomEnvironment2$2) {
  GetDeploymentCustomEnvironment2$2.inboundSchema = GetDeploymentCustomEnvironment2$inboundSchema;
  GetDeploymentCustomEnvironment2$2.outboundSchema = GetDeploymentCustomEnvironment2$outboundSchema;
})(GetDeploymentCustomEnvironment2$ || (GetDeploymentCustomEnvironment2$ = {}));
var GetDeploymentCustomEnvironment1$inboundSchema = objectType({});
var GetDeploymentCustomEnvironment1$outboundSchema = objectType({});
var GetDeploymentCustomEnvironment1$;
(function(GetDeploymentCustomEnvironment1$2) {
  GetDeploymentCustomEnvironment1$2.inboundSchema = GetDeploymentCustomEnvironment1$inboundSchema;
  GetDeploymentCustomEnvironment1$2.outboundSchema = GetDeploymentCustomEnvironment1$outboundSchema;
})(GetDeploymentCustomEnvironment1$ || (GetDeploymentCustomEnvironment1$ = {}));
var ResponseBodyCustomEnvironment$inboundSchema = unionType([
  lazyType(() => GetDeploymentCustomEnvironment1$inboundSchema),
  lazyType(() => GetDeploymentCustomEnvironment2$inboundSchema)
]);
var ResponseBodyCustomEnvironment$outboundSchema = unionType([
  lazyType(() => GetDeploymentCustomEnvironment1$outboundSchema),
  lazyType(() => GetDeploymentCustomEnvironment2$outboundSchema)
]);
var ResponseBodyCustomEnvironment$;
(function(ResponseBodyCustomEnvironment$2) {
  ResponseBodyCustomEnvironment$2.inboundSchema = ResponseBodyCustomEnvironment$inboundSchema;
  ResponseBodyCustomEnvironment$2.outboundSchema = ResponseBodyCustomEnvironment$outboundSchema;
})(ResponseBodyCustomEnvironment$ || (ResponseBodyCustomEnvironment$ = {}));
var ResponseBodyAliasWarning$inboundSchema = objectType({
  code: stringType(),
  message: stringType(),
  link: stringType().optional(),
  action: stringType().optional()
});
var ResponseBodyAliasWarning$outboundSchema = objectType({
  code: stringType(),
  message: stringType(),
  link: stringType().optional(),
  action: stringType().optional()
});
var ResponseBodyAliasWarning$;
(function(ResponseBodyAliasWarning$2) {
  ResponseBodyAliasWarning$2.inboundSchema = ResponseBodyAliasWarning$inboundSchema;
  ResponseBodyAliasWarning$2.outboundSchema = ResponseBodyAliasWarning$outboundSchema;
})(ResponseBodyAliasWarning$ || (ResponseBodyAliasWarning$ = {}));
var GetDeploymentResponseBodyType$inboundSchema = nativeEnumType(GetDeploymentResponseBodyType);
var GetDeploymentResponseBodyType$outboundSchema = GetDeploymentResponseBodyType$inboundSchema;
var GetDeploymentResponseBodyType$;
(function(GetDeploymentResponseBodyType$2) {
  GetDeploymentResponseBodyType$2.inboundSchema = GetDeploymentResponseBodyType$inboundSchema;
  GetDeploymentResponseBodyType$2.outboundSchema = GetDeploymentResponseBodyType$outboundSchema;
})(GetDeploymentResponseBodyType$ || (GetDeploymentResponseBodyType$ = {}));
var GetDeploymentResponseBodyReadyState$inboundSchema = nativeEnumType(GetDeploymentResponseBodyReadyState);
var GetDeploymentResponseBodyReadyState$outboundSchema = GetDeploymentResponseBodyReadyState$inboundSchema;
var GetDeploymentResponseBodyReadyState$;
(function(GetDeploymentResponseBodyReadyState$2) {
  GetDeploymentResponseBodyReadyState$2.inboundSchema = GetDeploymentResponseBodyReadyState$inboundSchema;
  GetDeploymentResponseBodyReadyState$2.outboundSchema = GetDeploymentResponseBodyReadyState$outboundSchema;
})(GetDeploymentResponseBodyReadyState$ || (GetDeploymentResponseBodyReadyState$ = {}));
var GetDeploymentResponseBodyAliasError$inboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var GetDeploymentResponseBodyAliasError$outboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var GetDeploymentResponseBodyAliasError$;
(function(GetDeploymentResponseBodyAliasError$2) {
  GetDeploymentResponseBodyAliasError$2.inboundSchema = GetDeploymentResponseBodyAliasError$inboundSchema;
  GetDeploymentResponseBodyAliasError$2.outboundSchema = GetDeploymentResponseBodyAliasError$outboundSchema;
})(GetDeploymentResponseBodyAliasError$ || (GetDeploymentResponseBodyAliasError$ = {}));
var GetDeploymentResponseBodyChecksState$inboundSchema = nativeEnumType(GetDeploymentResponseBodyChecksState);
var GetDeploymentResponseBodyChecksState$outboundSchema = GetDeploymentResponseBodyChecksState$inboundSchema;
var GetDeploymentResponseBodyChecksState$;
(function(GetDeploymentResponseBodyChecksState$2) {
  GetDeploymentResponseBodyChecksState$2.inboundSchema = GetDeploymentResponseBodyChecksState$inboundSchema;
  GetDeploymentResponseBodyChecksState$2.outboundSchema = GetDeploymentResponseBodyChecksState$outboundSchema;
})(GetDeploymentResponseBodyChecksState$ || (GetDeploymentResponseBodyChecksState$ = {}));
var GetDeploymentResponseBodyChecksConclusion$inboundSchema = nativeEnumType(GetDeploymentResponseBodyChecksConclusion);
var GetDeploymentResponseBodyChecksConclusion$outboundSchema = GetDeploymentResponseBodyChecksConclusion$inboundSchema;
var GetDeploymentResponseBodyChecksConclusion$;
(function(GetDeploymentResponseBodyChecksConclusion$2) {
  GetDeploymentResponseBodyChecksConclusion$2.inboundSchema = GetDeploymentResponseBodyChecksConclusion$inboundSchema;
  GetDeploymentResponseBodyChecksConclusion$2.outboundSchema = GetDeploymentResponseBodyChecksConclusion$outboundSchema;
})(GetDeploymentResponseBodyChecksConclusion$ || (GetDeploymentResponseBodyChecksConclusion$ = {}));
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type);
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$inboundSchema;
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$;
(function(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$2) {
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$2.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$inboundSchema;
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$2.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$outboundSchema;
})(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$ || (GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$ = {}));
var GetDeploymentGitSource9$inboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$inboundSchema,
  ref: stringType(),
  sha: stringType(),
  owner: stringType().optional(),
  slug: stringType().optional(),
  workspaceUuid: stringType(),
  repoUuid: stringType()
});
var GetDeploymentGitSource9$outboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody29Type$outboundSchema,
  ref: stringType(),
  sha: stringType(),
  owner: stringType().optional(),
  slug: stringType().optional(),
  workspaceUuid: stringType(),
  repoUuid: stringType()
});
var GetDeploymentGitSource9$;
(function(GetDeploymentGitSource9$2) {
  GetDeploymentGitSource9$2.inboundSchema = GetDeploymentGitSource9$inboundSchema;
  GetDeploymentGitSource9$2.outboundSchema = GetDeploymentGitSource9$outboundSchema;
})(GetDeploymentGitSource9$ || (GetDeploymentGitSource9$ = {}));
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type);
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$inboundSchema;
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$;
(function(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$2) {
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$2.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$inboundSchema;
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$2.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$outboundSchema;
})(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$ || (GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$ = {}));
var GetDeploymentGitSource8$inboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$inboundSchema,
  ref: stringType(),
  sha: stringType(),
  projectId: numberType()
});
var GetDeploymentGitSource8$outboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody28Type$outboundSchema,
  ref: stringType(),
  sha: stringType(),
  projectId: numberType()
});
var GetDeploymentGitSource8$;
(function(GetDeploymentGitSource8$2) {
  GetDeploymentGitSource8$2.inboundSchema = GetDeploymentGitSource8$inboundSchema;
  GetDeploymentGitSource8$2.outboundSchema = GetDeploymentGitSource8$outboundSchema;
})(GetDeploymentGitSource8$ || (GetDeploymentGitSource8$ = {}));
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type);
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$inboundSchema;
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$;
(function(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$2) {
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$2.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$inboundSchema;
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$2.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$outboundSchema;
})(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$ || (GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$ = {}));
var GetDeploymentGitSource7$inboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$inboundSchema,
  ref: stringType(),
  sha: stringType(),
  repoId: numberType(),
  org: stringType().optional(),
  repo: stringType().optional()
});
var GetDeploymentGitSource7$outboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody27Type$outboundSchema,
  ref: stringType(),
  sha: stringType(),
  repoId: numberType(),
  org: stringType().optional(),
  repo: stringType().optional()
});
var GetDeploymentGitSource7$;
(function(GetDeploymentGitSource7$2) {
  GetDeploymentGitSource7$2.inboundSchema = GetDeploymentGitSource7$inboundSchema;
  GetDeploymentGitSource7$2.outboundSchema = GetDeploymentGitSource7$outboundSchema;
})(GetDeploymentGitSource7$ || (GetDeploymentGitSource7$ = {}));
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type);
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$inboundSchema;
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$;
(function(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$2) {
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$2.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$inboundSchema;
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$2.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$outboundSchema;
})(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$ || (GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$ = {}));
var GetDeploymentGitSource6$inboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$inboundSchema,
  ref: stringType(),
  sha: stringType(),
  gitUrl: stringType()
});
var GetDeploymentGitSource6$outboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody26Type$outboundSchema,
  ref: stringType(),
  sha: stringType(),
  gitUrl: stringType()
});
var GetDeploymentGitSource6$;
(function(GetDeploymentGitSource6$2) {
  GetDeploymentGitSource6$2.inboundSchema = GetDeploymentGitSource6$inboundSchema;
  GetDeploymentGitSource6$2.outboundSchema = GetDeploymentGitSource6$outboundSchema;
})(GetDeploymentGitSource6$ || (GetDeploymentGitSource6$ = {}));
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type);
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$inboundSchema;
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$;
(function(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$2) {
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$2.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$inboundSchema;
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$2.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$outboundSchema;
})(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$ || (GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$ = {}));
var GetDeploymentGitSource5$inboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$inboundSchema,
  owner: stringType(),
  slug: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSource5$outboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody25Type$outboundSchema,
  owner: stringType(),
  slug: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSource5$;
(function(GetDeploymentGitSource5$2) {
  GetDeploymentGitSource5$2.inboundSchema = GetDeploymentGitSource5$inboundSchema;
  GetDeploymentGitSource5$2.outboundSchema = GetDeploymentGitSource5$outboundSchema;
})(GetDeploymentGitSource5$ || (GetDeploymentGitSource5$ = {}));
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type);
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$inboundSchema;
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$;
(function(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$2) {
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$2.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$inboundSchema;
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$2.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$outboundSchema;
})(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$ || (GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$ = {}));
var GetDeploymentGitSource4$inboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$inboundSchema,
  workspaceUuid: stringType().optional(),
  repoUuid: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSource4$outboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody24Type$outboundSchema,
  workspaceUuid: stringType().optional(),
  repoUuid: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSource4$;
(function(GetDeploymentGitSource4$2) {
  GetDeploymentGitSource4$2.inboundSchema = GetDeploymentGitSource4$inboundSchema;
  GetDeploymentGitSource4$2.outboundSchema = GetDeploymentGitSource4$outboundSchema;
})(GetDeploymentGitSource4$ || (GetDeploymentGitSource4$ = {}));
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type);
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$inboundSchema;
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$;
(function(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$2) {
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$2.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$inboundSchema;
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$2.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$outboundSchema;
})(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$ || (GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$ = {}));
var GetDeploymentGitSourceDeploymentsProjectId$inboundSchema = unionType([stringType(), numberType()]);
var GetDeploymentGitSourceDeploymentsProjectId$outboundSchema = unionType([stringType(), numberType()]);
var GetDeploymentGitSourceDeploymentsProjectId$;
(function(GetDeploymentGitSourceDeploymentsProjectId$2) {
  GetDeploymentGitSourceDeploymentsProjectId$2.inboundSchema = GetDeploymentGitSourceDeploymentsProjectId$inboundSchema;
  GetDeploymentGitSourceDeploymentsProjectId$2.outboundSchema = GetDeploymentGitSourceDeploymentsProjectId$outboundSchema;
})(GetDeploymentGitSourceDeploymentsProjectId$ || (GetDeploymentGitSourceDeploymentsProjectId$ = {}));
var GetDeploymentGitSource3$inboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$inboundSchema,
  projectId: unionType([stringType(), numberType()]),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSource3$outboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody23Type$outboundSchema,
  projectId: unionType([stringType(), numberType()]),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSource3$;
(function(GetDeploymentGitSource3$2) {
  GetDeploymentGitSource3$2.inboundSchema = GetDeploymentGitSource3$inboundSchema;
  GetDeploymentGitSource3$2.outboundSchema = GetDeploymentGitSource3$outboundSchema;
})(GetDeploymentGitSource3$ || (GetDeploymentGitSource3$ = {}));
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type);
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$inboundSchema;
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$;
(function(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$2) {
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$2.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$inboundSchema;
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$2.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$outboundSchema;
})(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$ || (GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$ = {}));
var GetDeploymentGitSource2$inboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$inboundSchema,
  org: stringType(),
  repo: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSource2$outboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody22Type$outboundSchema,
  org: stringType(),
  repo: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSource2$;
(function(GetDeploymentGitSource2$2) {
  GetDeploymentGitSource2$2.inboundSchema = GetDeploymentGitSource2$inboundSchema;
  GetDeploymentGitSource2$2.outboundSchema = GetDeploymentGitSource2$outboundSchema;
})(GetDeploymentGitSource2$ || (GetDeploymentGitSource2$ = {}));
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type);
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$inboundSchema;
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$;
(function(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$2) {
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$2.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$inboundSchema;
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$2.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$outboundSchema;
})(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$ || (GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$ = {}));
var GetDeploymentGitSourceDeploymentsRepoId$inboundSchema = unionType([stringType(), numberType()]);
var GetDeploymentGitSourceDeploymentsRepoId$outboundSchema = unionType([stringType(), numberType()]);
var GetDeploymentGitSourceDeploymentsRepoId$;
(function(GetDeploymentGitSourceDeploymentsRepoId$2) {
  GetDeploymentGitSourceDeploymentsRepoId$2.inboundSchema = GetDeploymentGitSourceDeploymentsRepoId$inboundSchema;
  GetDeploymentGitSourceDeploymentsRepoId$2.outboundSchema = GetDeploymentGitSourceDeploymentsRepoId$outboundSchema;
})(GetDeploymentGitSourceDeploymentsRepoId$ || (GetDeploymentGitSourceDeploymentsRepoId$ = {}));
var GetDeploymentGitSource1$inboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$inboundSchema,
  repoId: unionType([stringType(), numberType()]),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSource1$outboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody2Type$outboundSchema,
  repoId: unionType([stringType(), numberType()]),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSource1$;
(function(GetDeploymentGitSource1$2) {
  GetDeploymentGitSource1$2.inboundSchema = GetDeploymentGitSource1$inboundSchema;
  GetDeploymentGitSource1$2.outboundSchema = GetDeploymentGitSource1$outboundSchema;
})(GetDeploymentGitSource1$ || (GetDeploymentGitSource1$ = {}));
var ResponseBodyGitSource$inboundSchema = unionType([
  lazyType(() => GetDeploymentGitSource6$inboundSchema),
  lazyType(() => GetDeploymentGitSource8$inboundSchema),
  lazyType(() => GetDeploymentGitSource1$inboundSchema),
  lazyType(() => GetDeploymentGitSource3$inboundSchema),
  lazyType(() => GetDeploymentGitSource2$inboundSchema),
  lazyType(() => GetDeploymentGitSource4$inboundSchema),
  lazyType(() => GetDeploymentGitSource5$inboundSchema),
  lazyType(() => GetDeploymentGitSource7$inboundSchema),
  lazyType(() => GetDeploymentGitSource9$inboundSchema)
]);
var ResponseBodyGitSource$outboundSchema = unionType([
  lazyType(() => GetDeploymentGitSource6$outboundSchema),
  lazyType(() => GetDeploymentGitSource8$outboundSchema),
  lazyType(() => GetDeploymentGitSource1$outboundSchema),
  lazyType(() => GetDeploymentGitSource3$outboundSchema),
  lazyType(() => GetDeploymentGitSource2$outboundSchema),
  lazyType(() => GetDeploymentGitSource4$outboundSchema),
  lazyType(() => GetDeploymentGitSource5$outboundSchema),
  lazyType(() => GetDeploymentGitSource7$outboundSchema),
  lazyType(() => GetDeploymentGitSource9$outboundSchema)
]);
var ResponseBodyGitSource$;
(function(ResponseBodyGitSource$2) {
  ResponseBodyGitSource$2.inboundSchema = ResponseBodyGitSource$inboundSchema;
  ResponseBodyGitSource$2.outboundSchema = ResponseBodyGitSource$outboundSchema;
})(ResponseBodyGitSource$ || (ResponseBodyGitSource$ = {}));
var GetDeploymentResponseBodyProject$inboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  framework: nullableType(stringType()).optional()
});
var GetDeploymentResponseBodyProject$outboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  framework: nullableType(stringType()).optional()
});
var GetDeploymentResponseBodyProject$;
(function(GetDeploymentResponseBodyProject$2) {
  GetDeploymentResponseBodyProject$2.inboundSchema = GetDeploymentResponseBodyProject$inboundSchema;
  GetDeploymentResponseBodyProject$2.outboundSchema = GetDeploymentResponseBodyProject$outboundSchema;
})(GetDeploymentResponseBodyProject$ || (GetDeploymentResponseBodyProject$ = {}));
var GetDeploymentResponseBodyReadySubstate$inboundSchema = nativeEnumType(GetDeploymentResponseBodyReadySubstate);
var GetDeploymentResponseBodyReadySubstate$outboundSchema = GetDeploymentResponseBodyReadySubstate$inboundSchema;
var GetDeploymentResponseBodyReadySubstate$;
(function(GetDeploymentResponseBodyReadySubstate$2) {
  GetDeploymentResponseBodyReadySubstate$2.inboundSchema = GetDeploymentResponseBodyReadySubstate$inboundSchema;
  GetDeploymentResponseBodyReadySubstate$2.outboundSchema = GetDeploymentResponseBodyReadySubstate$outboundSchema;
})(GetDeploymentResponseBodyReadySubstate$ || (GetDeploymentResponseBodyReadySubstate$ = {}));
var GetDeploymentResponseBodySource$inboundSchema = nativeEnumType(GetDeploymentResponseBodySource);
var GetDeploymentResponseBodySource$outboundSchema = GetDeploymentResponseBodySource$inboundSchema;
var GetDeploymentResponseBodySource$;
(function(GetDeploymentResponseBodySource$2) {
  GetDeploymentResponseBodySource$2.inboundSchema = GetDeploymentResponseBodySource$inboundSchema;
  GetDeploymentResponseBodySource$2.outboundSchema = GetDeploymentResponseBodySource$outboundSchema;
})(GetDeploymentResponseBodySource$ || (GetDeploymentResponseBodySource$ = {}));
var GetDeploymentResponseBodyTarget$inboundSchema = nativeEnumType(GetDeploymentResponseBodyTarget);
var GetDeploymentResponseBodyTarget$outboundSchema = GetDeploymentResponseBodyTarget$inboundSchema;
var GetDeploymentResponseBodyTarget$;
(function(GetDeploymentResponseBodyTarget$2) {
  GetDeploymentResponseBodyTarget$2.inboundSchema = GetDeploymentResponseBodyTarget$inboundSchema;
  GetDeploymentResponseBodyTarget$2.outboundSchema = GetDeploymentResponseBodyTarget$outboundSchema;
})(GetDeploymentResponseBodyTarget$ || (GetDeploymentResponseBodyTarget$ = {}));
var GetDeploymentResponseBodyOidcTokenClaims$inboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  owner_id: stringType(),
  project: stringType(),
  project_id: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    owner_id: "ownerId",
    project_id: "projectId"
  });
});
var GetDeploymentResponseBodyOidcTokenClaims$outboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  ownerId: stringType(),
  project: stringType(),
  projectId: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    ownerId: "owner_id",
    projectId: "project_id"
  });
});
var GetDeploymentResponseBodyOidcTokenClaims$;
(function(GetDeploymentResponseBodyOidcTokenClaims$2) {
  GetDeploymentResponseBodyOidcTokenClaims$2.inboundSchema = GetDeploymentResponseBodyOidcTokenClaims$inboundSchema;
  GetDeploymentResponseBodyOidcTokenClaims$2.outboundSchema = GetDeploymentResponseBodyOidcTokenClaims$outboundSchema;
})(GetDeploymentResponseBodyOidcTokenClaims$ || (GetDeploymentResponseBodyOidcTokenClaims$ = {}));
var GetDeploymentResponseBody2$inboundSchema = objectType({
  alias: arrayType(stringType()).optional(),
  aliasAssigned: booleanType(),
  bootedAt: numberType(),
  buildingAt: numberType(),
  buildSkipped: booleanType(),
  creator: lazyType(() => GetDeploymentResponseBodyCreator$inboundSchema),
  initReadyAt: numberType().optional(),
  isFirstBranchDeployment: booleanType().optional(),
  lambdas: arrayType(lazyType(() => ResponseBodyLambdas$inboundSchema)).optional(),
  public: booleanType(),
  ready: numberType().optional(),
  status: GetDeploymentResponseBodyStatus$inboundSchema,
  team: lazyType(() => ResponseBodyTeam$inboundSchema).optional(),
  userAliases: arrayType(stringType()).optional(),
  previewCommentsEnabled: booleanType().optional(),
  ttyBuildLogs: booleanType().optional(),
  customEnvironment: unionType([
    lazyType(() => GetDeploymentCustomEnvironment1$inboundSchema),
    lazyType(() => GetDeploymentCustomEnvironment2$inboundSchema)
  ]).optional(),
  aliasWarning: nullableType(lazyType(() => ResponseBodyAliasWarning$inboundSchema)).optional(),
  id: stringType(),
  type: GetDeploymentResponseBodyType$inboundSchema,
  createdAt: numberType(),
  name: stringType(),
  readyState: GetDeploymentResponseBodyReadyState$inboundSchema,
  aliasError: nullableType(lazyType(() => GetDeploymentResponseBodyAliasError$inboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  autoAssignCustomDomains: booleanType().optional(),
  automaticAliases: arrayType(stringType()).optional(),
  buildErrorAt: numberType().optional(),
  checksState: GetDeploymentResponseBodyChecksState$inboundSchema.optional(),
  checksConclusion: GetDeploymentResponseBodyChecksConclusion$inboundSchema.optional(),
  deletedAt: nullableType(numberType()).optional(),
  defaultRoute: stringType().optional(),
  canceledAt: numberType().optional(),
  errorCode: stringType().optional(),
  errorLink: stringType().optional(),
  errorMessage: nullableType(stringType()).optional(),
  errorStep: stringType().optional(),
  passiveRegions: arrayType(stringType()).optional(),
  gitSource: unionType([
    lazyType(() => GetDeploymentGitSource6$inboundSchema),
    lazyType(() => GetDeploymentGitSource8$inboundSchema),
    lazyType(() => GetDeploymentGitSource1$inboundSchema),
    lazyType(() => GetDeploymentGitSource3$inboundSchema),
    lazyType(() => GetDeploymentGitSource2$inboundSchema),
    lazyType(() => GetDeploymentGitSource4$inboundSchema),
    lazyType(() => GetDeploymentGitSource5$inboundSchema),
    lazyType(() => GetDeploymentGitSource7$inboundSchema),
    lazyType(() => GetDeploymentGitSource9$inboundSchema)
  ]).optional(),
  meta: recordType(stringType()),
  originCacheRegion: stringType().optional(),
  project: lazyType(() => GetDeploymentResponseBodyProject$inboundSchema).optional(),
  readySubstate: GetDeploymentResponseBodyReadySubstate$inboundSchema.optional(),
  regions: arrayType(stringType()),
  softDeletedByRetention: booleanType().optional(),
  source: GetDeploymentResponseBodySource$inboundSchema.optional(),
  target: nullableType(GetDeploymentResponseBodyTarget$inboundSchema).optional(),
  undeletedAt: numberType().optional(),
  url: stringType(),
  version: numberType(),
  oidcTokenClaims: lazyType(() => GetDeploymentResponseBodyOidcTokenClaims$inboundSchema).optional()
});
var GetDeploymentResponseBody2$outboundSchema = objectType({
  alias: arrayType(stringType()).optional(),
  aliasAssigned: booleanType(),
  bootedAt: numberType(),
  buildingAt: numberType(),
  buildSkipped: booleanType(),
  creator: lazyType(() => GetDeploymentResponseBodyCreator$outboundSchema),
  initReadyAt: numberType().optional(),
  isFirstBranchDeployment: booleanType().optional(),
  lambdas: arrayType(lazyType(() => ResponseBodyLambdas$outboundSchema)).optional(),
  public: booleanType(),
  ready: numberType().optional(),
  status: GetDeploymentResponseBodyStatus$outboundSchema,
  team: lazyType(() => ResponseBodyTeam$outboundSchema).optional(),
  userAliases: arrayType(stringType()).optional(),
  previewCommentsEnabled: booleanType().optional(),
  ttyBuildLogs: booleanType().optional(),
  customEnvironment: unionType([
    lazyType(() => GetDeploymentCustomEnvironment1$outboundSchema),
    lazyType(() => GetDeploymentCustomEnvironment2$outboundSchema)
  ]).optional(),
  aliasWarning: nullableType(lazyType(() => ResponseBodyAliasWarning$outboundSchema)).optional(),
  id: stringType(),
  type: GetDeploymentResponseBodyType$outboundSchema,
  createdAt: numberType(),
  name: stringType(),
  readyState: GetDeploymentResponseBodyReadyState$outboundSchema,
  aliasError: nullableType(lazyType(() => GetDeploymentResponseBodyAliasError$outboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  autoAssignCustomDomains: booleanType().optional(),
  automaticAliases: arrayType(stringType()).optional(),
  buildErrorAt: numberType().optional(),
  checksState: GetDeploymentResponseBodyChecksState$outboundSchema.optional(),
  checksConclusion: GetDeploymentResponseBodyChecksConclusion$outboundSchema.optional(),
  deletedAt: nullableType(numberType()).optional(),
  defaultRoute: stringType().optional(),
  canceledAt: numberType().optional(),
  errorCode: stringType().optional(),
  errorLink: stringType().optional(),
  errorMessage: nullableType(stringType()).optional(),
  errorStep: stringType().optional(),
  passiveRegions: arrayType(stringType()).optional(),
  gitSource: unionType([
    lazyType(() => GetDeploymentGitSource6$outboundSchema),
    lazyType(() => GetDeploymentGitSource8$outboundSchema),
    lazyType(() => GetDeploymentGitSource1$outboundSchema),
    lazyType(() => GetDeploymentGitSource3$outboundSchema),
    lazyType(() => GetDeploymentGitSource2$outboundSchema),
    lazyType(() => GetDeploymentGitSource4$outboundSchema),
    lazyType(() => GetDeploymentGitSource5$outboundSchema),
    lazyType(() => GetDeploymentGitSource7$outboundSchema),
    lazyType(() => GetDeploymentGitSource9$outboundSchema)
  ]).optional(),
  meta: recordType(stringType()),
  originCacheRegion: stringType().optional(),
  project: lazyType(() => GetDeploymentResponseBodyProject$outboundSchema).optional(),
  readySubstate: GetDeploymentResponseBodyReadySubstate$outboundSchema.optional(),
  regions: arrayType(stringType()),
  softDeletedByRetention: booleanType().optional(),
  source: GetDeploymentResponseBodySource$outboundSchema.optional(),
  target: nullableType(GetDeploymentResponseBodyTarget$outboundSchema).optional(),
  undeletedAt: numberType().optional(),
  url: stringType(),
  version: numberType(),
  oidcTokenClaims: lazyType(() => GetDeploymentResponseBodyOidcTokenClaims$outboundSchema).optional()
});
var GetDeploymentResponseBody2$;
(function(GetDeploymentResponseBody2$2) {
  GetDeploymentResponseBody2$2.inboundSchema = GetDeploymentResponseBody2$inboundSchema;
  GetDeploymentResponseBody2$2.outboundSchema = GetDeploymentResponseBody2$outboundSchema;
})(GetDeploymentResponseBody2$ || (GetDeploymentResponseBody2$ = {}));
var ResponseBodyAliasAssignedAt$inboundSchema = unionType([numberType(), booleanType()]);
var ResponseBodyAliasAssignedAt$outboundSchema = unionType([numberType(), booleanType()]);
var ResponseBodyAliasAssignedAt$;
(function(ResponseBodyAliasAssignedAt$2) {
  ResponseBodyAliasAssignedAt$2.inboundSchema = ResponseBodyAliasAssignedAt$inboundSchema;
  ResponseBodyAliasAssignedAt$2.outboundSchema = ResponseBodyAliasAssignedAt$outboundSchema;
})(ResponseBodyAliasAssignedAt$ || (ResponseBodyAliasAssignedAt$ = {}));
var ResponseBodyBuild$inboundSchema = objectType({
  env: arrayType(stringType())
});
var ResponseBodyBuild$outboundSchema = objectType({
  env: arrayType(stringType())
});
var ResponseBodyBuild$;
(function(ResponseBodyBuild$2) {
  ResponseBodyBuild$2.inboundSchema = ResponseBodyBuild$inboundSchema;
  ResponseBodyBuild$2.outboundSchema = ResponseBodyBuild$outboundSchema;
})(ResponseBodyBuild$ || (ResponseBodyBuild$ = {}));
var ResponseBodyBuilds$inboundSchema = objectType({});
var ResponseBodyBuilds$outboundSchema = objectType({});
var ResponseBodyBuilds$;
(function(ResponseBodyBuilds$2) {
  ResponseBodyBuilds$2.inboundSchema = ResponseBodyBuilds$inboundSchema;
  ResponseBodyBuilds$2.outboundSchema = ResponseBodyBuilds$outboundSchema;
})(ResponseBodyBuilds$ || (ResponseBodyBuilds$ = {}));
var ResponseBodyFramework$inboundSchema = nativeEnumType(ResponseBodyFramework);
var ResponseBodyFramework$outboundSchema = ResponseBodyFramework$inboundSchema;
var ResponseBodyFramework$;
(function(ResponseBodyFramework$2) {
  ResponseBodyFramework$2.inboundSchema = ResponseBodyFramework$inboundSchema;
  ResponseBodyFramework$2.outboundSchema = ResponseBodyFramework$outboundSchema;
})(ResponseBodyFramework$ || (ResponseBodyFramework$ = {}));
var ResponseBodySpeedInsights$inboundSchema = objectType({
  id: stringType(),
  enabledAt: numberType().optional(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  hasData: booleanType().optional(),
  paidAt: numberType().optional()
});
var ResponseBodySpeedInsights$outboundSchema = objectType({
  id: stringType(),
  enabledAt: numberType().optional(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  hasData: booleanType().optional(),
  paidAt: numberType().optional()
});
var ResponseBodySpeedInsights$;
(function(ResponseBodySpeedInsights$2) {
  ResponseBodySpeedInsights$2.inboundSchema = ResponseBodySpeedInsights$inboundSchema;
  ResponseBodySpeedInsights$2.outboundSchema = ResponseBodySpeedInsights$outboundSchema;
})(ResponseBodySpeedInsights$ || (ResponseBodySpeedInsights$ = {}));
var ResponseBodyWebAnalytics$inboundSchema = objectType({
  id: stringType(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  enabledAt: numberType().optional(),
  hasData: booleanType().optional()
});
var ResponseBodyWebAnalytics$outboundSchema = objectType({
  id: stringType(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  enabledAt: numberType().optional(),
  hasData: booleanType().optional()
});
var ResponseBodyWebAnalytics$;
(function(ResponseBodyWebAnalytics$2) {
  ResponseBodyWebAnalytics$2.inboundSchema = ResponseBodyWebAnalytics$inboundSchema;
  ResponseBodyWebAnalytics$2.outboundSchema = ResponseBodyWebAnalytics$outboundSchema;
})(ResponseBodyWebAnalytics$ || (ResponseBodyWebAnalytics$ = {}));
var ResponseBodyProjectSettings$inboundSchema = objectType({
  buildCommand: nullableType(stringType()).optional(),
  devCommand: nullableType(stringType()).optional(),
  framework: nullableType(ResponseBodyFramework$inboundSchema).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  installCommand: nullableType(stringType()).optional(),
  outputDirectory: nullableType(stringType()).optional(),
  speedInsights: lazyType(() => ResponseBodySpeedInsights$inboundSchema).optional(),
  webAnalytics: lazyType(() => ResponseBodyWebAnalytics$inboundSchema).optional()
});
var ResponseBodyProjectSettings$outboundSchema = objectType({
  buildCommand: nullableType(stringType()).optional(),
  devCommand: nullableType(stringType()).optional(),
  framework: nullableType(ResponseBodyFramework$outboundSchema).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  installCommand: nullableType(stringType()).optional(),
  outputDirectory: nullableType(stringType()).optional(),
  speedInsights: lazyType(() => ResponseBodySpeedInsights$outboundSchema).optional(),
  webAnalytics: lazyType(() => ResponseBodyWebAnalytics$outboundSchema).optional()
});
var ResponseBodyProjectSettings$;
(function(ResponseBodyProjectSettings$2) {
  ResponseBodyProjectSettings$2.inboundSchema = ResponseBodyProjectSettings$inboundSchema;
  ResponseBodyProjectSettings$2.outboundSchema = ResponseBodyProjectSettings$outboundSchema;
})(ResponseBodyProjectSettings$ || (ResponseBodyProjectSettings$ = {}));
var GetDeploymentResponseBodyDeploymentsStatus$inboundSchema = nativeEnumType(GetDeploymentResponseBodyDeploymentsStatus);
var GetDeploymentResponseBodyDeploymentsStatus$outboundSchema = GetDeploymentResponseBodyDeploymentsStatus$inboundSchema;
var GetDeploymentResponseBodyDeploymentsStatus$;
(function(GetDeploymentResponseBodyDeploymentsStatus$2) {
  GetDeploymentResponseBodyDeploymentsStatus$2.inboundSchema = GetDeploymentResponseBodyDeploymentsStatus$inboundSchema;
  GetDeploymentResponseBodyDeploymentsStatus$2.outboundSchema = GetDeploymentResponseBodyDeploymentsStatus$outboundSchema;
})(GetDeploymentResponseBodyDeploymentsStatus$ || (GetDeploymentResponseBodyDeploymentsStatus$ = {}));
var ResponseBodyIntegrations$inboundSchema = objectType({
  status: GetDeploymentResponseBodyDeploymentsStatus$inboundSchema,
  startedAt: numberType(),
  completedAt: numberType().optional(),
  skippedAt: numberType().optional(),
  skippedBy: stringType().optional()
});
var ResponseBodyIntegrations$outboundSchema = objectType({
  status: GetDeploymentResponseBodyDeploymentsStatus$outboundSchema,
  startedAt: numberType(),
  completedAt: numberType().optional(),
  skippedAt: numberType().optional(),
  skippedBy: stringType().optional()
});
var ResponseBodyIntegrations$;
(function(ResponseBodyIntegrations$2) {
  ResponseBodyIntegrations$2.inboundSchema = ResponseBodyIntegrations$inboundSchema;
  ResponseBodyIntegrations$2.outboundSchema = ResponseBodyIntegrations$outboundSchema;
})(ResponseBodyIntegrations$ || (ResponseBodyIntegrations$ = {}));
var ResponseBodyProtocol$inboundSchema = nativeEnumType(ResponseBodyProtocol);
var ResponseBodyProtocol$outboundSchema = ResponseBodyProtocol$inboundSchema;
var ResponseBodyProtocol$;
(function(ResponseBodyProtocol$2) {
  ResponseBodyProtocol$2.inboundSchema = ResponseBodyProtocol$inboundSchema;
  ResponseBodyProtocol$2.outboundSchema = ResponseBodyProtocol$outboundSchema;
})(ResponseBodyProtocol$ || (ResponseBodyProtocol$ = {}));
var ResponseBodyRemotePatterns$inboundSchema = objectType({
  protocol: ResponseBodyProtocol$inboundSchema.optional(),
  hostname: stringType(),
  port: stringType().optional(),
  pathname: stringType().optional(),
  search: stringType().optional()
});
var ResponseBodyRemotePatterns$outboundSchema = objectType({
  protocol: ResponseBodyProtocol$outboundSchema.optional(),
  hostname: stringType(),
  port: stringType().optional(),
  pathname: stringType().optional(),
  search: stringType().optional()
});
var ResponseBodyRemotePatterns$;
(function(ResponseBodyRemotePatterns$2) {
  ResponseBodyRemotePatterns$2.inboundSchema = ResponseBodyRemotePatterns$inboundSchema;
  ResponseBodyRemotePatterns$2.outboundSchema = ResponseBodyRemotePatterns$outboundSchema;
})(ResponseBodyRemotePatterns$ || (ResponseBodyRemotePatterns$ = {}));
var ResponseBodyLocalPatterns$inboundSchema = objectType({
  pathname: stringType().optional(),
  search: stringType().optional()
});
var ResponseBodyLocalPatterns$outboundSchema = objectType({
  pathname: stringType().optional(),
  search: stringType().optional()
});
var ResponseBodyLocalPatterns$;
(function(ResponseBodyLocalPatterns$2) {
  ResponseBodyLocalPatterns$2.inboundSchema = ResponseBodyLocalPatterns$inboundSchema;
  ResponseBodyLocalPatterns$2.outboundSchema = ResponseBodyLocalPatterns$outboundSchema;
})(ResponseBodyLocalPatterns$ || (ResponseBodyLocalPatterns$ = {}));
var ResponseBodyFormats$inboundSchema = nativeEnumType(ResponseBodyFormats);
var ResponseBodyFormats$outboundSchema = ResponseBodyFormats$inboundSchema;
var ResponseBodyFormats$;
(function(ResponseBodyFormats$2) {
  ResponseBodyFormats$2.inboundSchema = ResponseBodyFormats$inboundSchema;
  ResponseBodyFormats$2.outboundSchema = ResponseBodyFormats$outboundSchema;
})(ResponseBodyFormats$ || (ResponseBodyFormats$ = {}));
var ResponseBodyContentDispositionType$inboundSchema = nativeEnumType(ResponseBodyContentDispositionType);
var ResponseBodyContentDispositionType$outboundSchema = ResponseBodyContentDispositionType$inboundSchema;
var ResponseBodyContentDispositionType$;
(function(ResponseBodyContentDispositionType$2) {
  ResponseBodyContentDispositionType$2.inboundSchema = ResponseBodyContentDispositionType$inboundSchema;
  ResponseBodyContentDispositionType$2.outboundSchema = ResponseBodyContentDispositionType$outboundSchema;
})(ResponseBodyContentDispositionType$ || (ResponseBodyContentDispositionType$ = {}));
var ResponseBodyImages$inboundSchema = objectType({
  sizes: arrayType(numberType()).optional(),
  qualities: arrayType(numberType()).optional(),
  domains: arrayType(stringType()).optional(),
  remotePatterns: arrayType(lazyType(() => ResponseBodyRemotePatterns$inboundSchema)).optional(),
  localPatterns: arrayType(lazyType(() => ResponseBodyLocalPatterns$inboundSchema)).optional(),
  minimumCacheTTL: numberType().optional(),
  formats: arrayType(ResponseBodyFormats$inboundSchema).optional(),
  dangerouslyAllowSVG: booleanType().optional(),
  contentSecurityPolicy: stringType().optional(),
  contentDispositionType: ResponseBodyContentDispositionType$inboundSchema.optional()
});
var ResponseBodyImages$outboundSchema = objectType({
  sizes: arrayType(numberType()).optional(),
  qualities: arrayType(numberType()).optional(),
  domains: arrayType(stringType()).optional(),
  remotePatterns: arrayType(lazyType(() => ResponseBodyRemotePatterns$outboundSchema)).optional(),
  localPatterns: arrayType(lazyType(() => ResponseBodyLocalPatterns$outboundSchema)).optional(),
  minimumCacheTTL: numberType().optional(),
  formats: arrayType(ResponseBodyFormats$outboundSchema).optional(),
  dangerouslyAllowSVG: booleanType().optional(),
  contentSecurityPolicy: stringType().optional(),
  contentDispositionType: ResponseBodyContentDispositionType$outboundSchema.optional()
});
var ResponseBodyImages$;
(function(ResponseBodyImages$2) {
  ResponseBodyImages$2.inboundSchema = ResponseBodyImages$inboundSchema;
  ResponseBodyImages$2.outboundSchema = ResponseBodyImages$outboundSchema;
})(ResponseBodyImages$ || (ResponseBodyImages$ = {}));
var ResponseBodyCreator$inboundSchema = objectType({
  uid: stringType(),
  username: stringType().optional(),
  avatar: stringType().optional()
});
var ResponseBodyCreator$outboundSchema = objectType({
  uid: stringType(),
  username: stringType().optional(),
  avatar: stringType().optional()
});
var ResponseBodyCreator$;
(function(ResponseBodyCreator$2) {
  ResponseBodyCreator$2.inboundSchema = ResponseBodyCreator$inboundSchema;
  ResponseBodyCreator$2.outboundSchema = ResponseBodyCreator$outboundSchema;
})(ResponseBodyCreator$ || (ResponseBodyCreator$ = {}));
var GetDeploymentResponseBodyDeploymentsResponseReadyState$inboundSchema = nativeEnumType(GetDeploymentResponseBodyDeploymentsResponseReadyState);
var GetDeploymentResponseBodyDeploymentsResponseReadyState$outboundSchema = GetDeploymentResponseBodyDeploymentsResponseReadyState$inboundSchema;
var GetDeploymentResponseBodyDeploymentsResponseReadyState$;
(function(GetDeploymentResponseBodyDeploymentsResponseReadyState$2) {
  GetDeploymentResponseBodyDeploymentsResponseReadyState$2.inboundSchema = GetDeploymentResponseBodyDeploymentsResponseReadyState$inboundSchema;
  GetDeploymentResponseBodyDeploymentsResponseReadyState$2.outboundSchema = GetDeploymentResponseBodyDeploymentsResponseReadyState$outboundSchema;
})(GetDeploymentResponseBodyDeploymentsResponseReadyState$ || (GetDeploymentResponseBodyDeploymentsResponseReadyState$ = {}));
var ResponseBodyOutput$inboundSchema = objectType({
  path: stringType(),
  functionName: stringType()
});
var ResponseBodyOutput$outboundSchema = objectType({
  path: stringType(),
  functionName: stringType()
});
var ResponseBodyOutput$;
(function(ResponseBodyOutput$2) {
  ResponseBodyOutput$2.inboundSchema = ResponseBodyOutput$inboundSchema;
  ResponseBodyOutput$2.outboundSchema = ResponseBodyOutput$outboundSchema;
})(ResponseBodyOutput$ || (ResponseBodyOutput$ = {}));
var GetDeploymentResponseBodyLambdas$inboundSchema = objectType({
  id: stringType().optional(),
  createdAt: numberType().optional(),
  entrypoint: nullableType(stringType()).optional(),
  readyState: GetDeploymentResponseBodyDeploymentsResponseReadyState$inboundSchema.optional(),
  readyStateAt: numberType().optional(),
  output: arrayType(lazyType(() => ResponseBodyOutput$inboundSchema))
});
var GetDeploymentResponseBodyLambdas$outboundSchema = objectType({
  id: stringType().optional(),
  createdAt: numberType().optional(),
  entrypoint: nullableType(stringType()).optional(),
  readyState: GetDeploymentResponseBodyDeploymentsResponseReadyState$outboundSchema.optional(),
  readyStateAt: numberType().optional(),
  output: arrayType(lazyType(() => ResponseBodyOutput$outboundSchema))
});
var GetDeploymentResponseBodyLambdas$;
(function(GetDeploymentResponseBodyLambdas$2) {
  GetDeploymentResponseBodyLambdas$2.inboundSchema = GetDeploymentResponseBodyLambdas$inboundSchema;
  GetDeploymentResponseBodyLambdas$2.outboundSchema = GetDeploymentResponseBodyLambdas$outboundSchema;
})(GetDeploymentResponseBodyLambdas$ || (GetDeploymentResponseBodyLambdas$ = {}));
var ResponseBodyStatus$inboundSchema = nativeEnumType(ResponseBodyStatus);
var ResponseBodyStatus$outboundSchema = ResponseBodyStatus$inboundSchema;
var ResponseBodyStatus$;
(function(ResponseBodyStatus$2) {
  ResponseBodyStatus$2.inboundSchema = ResponseBodyStatus$inboundSchema;
  ResponseBodyStatus$2.outboundSchema = ResponseBodyStatus$outboundSchema;
})(ResponseBodyStatus$ || (ResponseBodyStatus$ = {}));
var GetDeploymentResponseBodyTeam$inboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  slug: stringType(),
  avatar: stringType().optional()
});
var GetDeploymentResponseBodyTeam$outboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  slug: stringType(),
  avatar: stringType().optional()
});
var GetDeploymentResponseBodyTeam$;
(function(GetDeploymentResponseBodyTeam$2) {
  GetDeploymentResponseBodyTeam$2.inboundSchema = GetDeploymentResponseBodyTeam$inboundSchema;
  GetDeploymentResponseBodyTeam$2.outboundSchema = GetDeploymentResponseBodyTeam$outboundSchema;
})(GetDeploymentResponseBodyTeam$ || (GetDeploymentResponseBodyTeam$ = {}));
var GetDeploymentCustomEnvironmentDeployments2$inboundSchema = objectType({
  id: stringType()
});
var GetDeploymentCustomEnvironmentDeployments2$outboundSchema = objectType({
  id: stringType()
});
var GetDeploymentCustomEnvironmentDeployments2$;
(function(GetDeploymentCustomEnvironmentDeployments2$2) {
  GetDeploymentCustomEnvironmentDeployments2$2.inboundSchema = GetDeploymentCustomEnvironmentDeployments2$inboundSchema;
  GetDeploymentCustomEnvironmentDeployments2$2.outboundSchema = GetDeploymentCustomEnvironmentDeployments2$outboundSchema;
})(GetDeploymentCustomEnvironmentDeployments2$ || (GetDeploymentCustomEnvironmentDeployments2$ = {}));
var GetDeploymentCustomEnvironmentDeployments1$inboundSchema = objectType({});
var GetDeploymentCustomEnvironmentDeployments1$outboundSchema = objectType({});
var GetDeploymentCustomEnvironmentDeployments1$;
(function(GetDeploymentCustomEnvironmentDeployments1$2) {
  GetDeploymentCustomEnvironmentDeployments1$2.inboundSchema = GetDeploymentCustomEnvironmentDeployments1$inboundSchema;
  GetDeploymentCustomEnvironmentDeployments1$2.outboundSchema = GetDeploymentCustomEnvironmentDeployments1$outboundSchema;
})(GetDeploymentCustomEnvironmentDeployments1$ || (GetDeploymentCustomEnvironmentDeployments1$ = {}));
var GetDeploymentResponseBodyCustomEnvironment$inboundSchema = unionType([
  lazyType(() => GetDeploymentCustomEnvironmentDeployments1$inboundSchema),
  lazyType(() => GetDeploymentCustomEnvironmentDeployments2$inboundSchema)
]);
var GetDeploymentResponseBodyCustomEnvironment$outboundSchema = unionType([
  lazyType(() => GetDeploymentCustomEnvironmentDeployments1$outboundSchema),
  lazyType(() => GetDeploymentCustomEnvironmentDeployments2$outboundSchema)
]);
var GetDeploymentResponseBodyCustomEnvironment$;
(function(GetDeploymentResponseBodyCustomEnvironment$2) {
  GetDeploymentResponseBodyCustomEnvironment$2.inboundSchema = GetDeploymentResponseBodyCustomEnvironment$inboundSchema;
  GetDeploymentResponseBodyCustomEnvironment$2.outboundSchema = GetDeploymentResponseBodyCustomEnvironment$outboundSchema;
})(GetDeploymentResponseBodyCustomEnvironment$ || (GetDeploymentResponseBodyCustomEnvironment$ = {}));
var GetDeploymentResponseBodyAliasWarning$inboundSchema = objectType({
  code: stringType(),
  message: stringType(),
  link: stringType().optional(),
  action: stringType().optional()
});
var GetDeploymentResponseBodyAliasWarning$outboundSchema = objectType({
  code: stringType(),
  message: stringType(),
  link: stringType().optional(),
  action: stringType().optional()
});
var GetDeploymentResponseBodyAliasWarning$;
(function(GetDeploymentResponseBodyAliasWarning$2) {
  GetDeploymentResponseBodyAliasWarning$2.inboundSchema = GetDeploymentResponseBodyAliasWarning$inboundSchema;
  GetDeploymentResponseBodyAliasWarning$2.outboundSchema = GetDeploymentResponseBodyAliasWarning$outboundSchema;
})(GetDeploymentResponseBodyAliasWarning$ || (GetDeploymentResponseBodyAliasWarning$ = {}));
var ResponseBodyType$inboundSchema = nativeEnumType(ResponseBodyType);
var ResponseBodyType$outboundSchema = ResponseBodyType$inboundSchema;
var ResponseBodyType$;
(function(ResponseBodyType$2) {
  ResponseBodyType$2.inboundSchema = ResponseBodyType$inboundSchema;
  ResponseBodyType$2.outboundSchema = ResponseBodyType$outboundSchema;
})(ResponseBodyType$ || (ResponseBodyType$ = {}));
var ResponseBodyReadyState$inboundSchema = nativeEnumType(ResponseBodyReadyState);
var ResponseBodyReadyState$outboundSchema = ResponseBodyReadyState$inboundSchema;
var ResponseBodyReadyState$;
(function(ResponseBodyReadyState$2) {
  ResponseBodyReadyState$2.inboundSchema = ResponseBodyReadyState$inboundSchema;
  ResponseBodyReadyState$2.outboundSchema = ResponseBodyReadyState$outboundSchema;
})(ResponseBodyReadyState$ || (ResponseBodyReadyState$ = {}));
var ResponseBodyAliasError$inboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var ResponseBodyAliasError$outboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var ResponseBodyAliasError$;
(function(ResponseBodyAliasError$2) {
  ResponseBodyAliasError$2.inboundSchema = ResponseBodyAliasError$inboundSchema;
  ResponseBodyAliasError$2.outboundSchema = ResponseBodyAliasError$outboundSchema;
})(ResponseBodyAliasError$ || (ResponseBodyAliasError$ = {}));
var ResponseBodyChecksState$inboundSchema = nativeEnumType(ResponseBodyChecksState);
var ResponseBodyChecksState$outboundSchema = ResponseBodyChecksState$inboundSchema;
var ResponseBodyChecksState$;
(function(ResponseBodyChecksState$2) {
  ResponseBodyChecksState$2.inboundSchema = ResponseBodyChecksState$inboundSchema;
  ResponseBodyChecksState$2.outboundSchema = ResponseBodyChecksState$outboundSchema;
})(ResponseBodyChecksState$ || (ResponseBodyChecksState$ = {}));
var ResponseBodyChecksConclusion$inboundSchema = nativeEnumType(ResponseBodyChecksConclusion);
var ResponseBodyChecksConclusion$outboundSchema = ResponseBodyChecksConclusion$inboundSchema;
var ResponseBodyChecksConclusion$;
(function(ResponseBodyChecksConclusion$2) {
  ResponseBodyChecksConclusion$2.inboundSchema = ResponseBodyChecksConclusion$inboundSchema;
  ResponseBodyChecksConclusion$2.outboundSchema = ResponseBodyChecksConclusion$outboundSchema;
})(ResponseBodyChecksConclusion$ || (ResponseBodyChecksConclusion$ = {}));
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type);
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$;
(function(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$2) {
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$2.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$2.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$outboundSchema;
})(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$ || (GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$ = {}));
var GetDeploymentGitSourceDeployments9$inboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$inboundSchema,
  ref: stringType(),
  sha: stringType(),
  owner: stringType().optional(),
  slug: stringType().optional(),
  workspaceUuid: stringType(),
  repoUuid: stringType()
});
var GetDeploymentGitSourceDeployments9$outboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody19Type$outboundSchema,
  ref: stringType(),
  sha: stringType(),
  owner: stringType().optional(),
  slug: stringType().optional(),
  workspaceUuid: stringType(),
  repoUuid: stringType()
});
var GetDeploymentGitSourceDeployments9$;
(function(GetDeploymentGitSourceDeployments9$2) {
  GetDeploymentGitSourceDeployments9$2.inboundSchema = GetDeploymentGitSourceDeployments9$inboundSchema;
  GetDeploymentGitSourceDeployments9$2.outboundSchema = GetDeploymentGitSourceDeployments9$outboundSchema;
})(GetDeploymentGitSourceDeployments9$ || (GetDeploymentGitSourceDeployments9$ = {}));
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type);
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$;
(function(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$2) {
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$2.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$2.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$outboundSchema;
})(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$ || (GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$ = {}));
var GetDeploymentGitSourceDeployments8$inboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$inboundSchema,
  ref: stringType(),
  sha: stringType(),
  projectId: numberType()
});
var GetDeploymentGitSourceDeployments8$outboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody1Type$outboundSchema,
  ref: stringType(),
  sha: stringType(),
  projectId: numberType()
});
var GetDeploymentGitSourceDeployments8$;
(function(GetDeploymentGitSourceDeployments8$2) {
  GetDeploymentGitSourceDeployments8$2.inboundSchema = GetDeploymentGitSourceDeployments8$inboundSchema;
  GetDeploymentGitSourceDeployments8$2.outboundSchema = GetDeploymentGitSourceDeployments8$outboundSchema;
})(GetDeploymentGitSourceDeployments8$ || (GetDeploymentGitSourceDeployments8$ = {}));
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType);
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema;
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$;
(function(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$2) {
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$2.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$2.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema;
})(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$ || (GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$ = {}));
var GetDeploymentGitSourceDeployments7$inboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$inboundSchema,
  ref: stringType(),
  sha: stringType(),
  repoId: numberType(),
  org: stringType().optional(),
  repo: stringType().optional()
});
var GetDeploymentGitSourceDeployments7$outboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBodyType$outboundSchema,
  ref: stringType(),
  sha: stringType(),
  repoId: numberType(),
  org: stringType().optional(),
  repo: stringType().optional()
});
var GetDeploymentGitSourceDeployments7$;
(function(GetDeploymentGitSourceDeployments7$2) {
  GetDeploymentGitSourceDeployments7$2.inboundSchema = GetDeploymentGitSourceDeployments7$inboundSchema;
  GetDeploymentGitSourceDeployments7$2.outboundSchema = GetDeploymentGitSourceDeployments7$outboundSchema;
})(GetDeploymentGitSourceDeployments7$ || (GetDeploymentGitSourceDeployments7$ = {}));
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType);
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema;
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$;
(function(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$2) {
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$2.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema;
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$2.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema;
})(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$ || (GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$ = {}));
var GetDeploymentGitSourceDeployments6$inboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$inboundSchema,
  ref: stringType(),
  sha: stringType(),
  gitUrl: stringType()
});
var GetDeploymentGitSourceDeployments6$outboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONType$outboundSchema,
  ref: stringType(),
  sha: stringType(),
  gitUrl: stringType()
});
var GetDeploymentGitSourceDeployments6$;
(function(GetDeploymentGitSourceDeployments6$2) {
  GetDeploymentGitSourceDeployments6$2.inboundSchema = GetDeploymentGitSourceDeployments6$inboundSchema;
  GetDeploymentGitSourceDeployments6$2.outboundSchema = GetDeploymentGitSourceDeployments6$outboundSchema;
})(GetDeploymentGitSourceDeployments6$ || (GetDeploymentGitSourceDeployments6$ = {}));
var GetDeploymentGitSourceDeploymentsResponse200Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200Type);
var GetDeploymentGitSourceDeploymentsResponse200Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200Type$inboundSchema;
var GetDeploymentGitSourceDeploymentsResponse200Type$;
(function(GetDeploymentGitSourceDeploymentsResponse200Type$2) {
  GetDeploymentGitSourceDeploymentsResponse200Type$2.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200Type$inboundSchema;
  GetDeploymentGitSourceDeploymentsResponse200Type$2.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200Type$outboundSchema;
})(GetDeploymentGitSourceDeploymentsResponse200Type$ || (GetDeploymentGitSourceDeploymentsResponse200Type$ = {}));
var GetDeploymentGitSourceDeployments5$inboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200Type$inboundSchema,
  owner: stringType(),
  slug: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSourceDeployments5$outboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200Type$outboundSchema,
  owner: stringType(),
  slug: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSourceDeployments5$;
(function(GetDeploymentGitSourceDeployments5$2) {
  GetDeploymentGitSourceDeployments5$2.inboundSchema = GetDeploymentGitSourceDeployments5$inboundSchema;
  GetDeploymentGitSourceDeployments5$2.outboundSchema = GetDeploymentGitSourceDeployments5$outboundSchema;
})(GetDeploymentGitSourceDeployments5$ || (GetDeploymentGitSourceDeployments5$ = {}));
var GetDeploymentGitSourceDeploymentsResponseType$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponseType);
var GetDeploymentGitSourceDeploymentsResponseType$outboundSchema = GetDeploymentGitSourceDeploymentsResponseType$inboundSchema;
var GetDeploymentGitSourceDeploymentsResponseType$;
(function(GetDeploymentGitSourceDeploymentsResponseType$2) {
  GetDeploymentGitSourceDeploymentsResponseType$2.inboundSchema = GetDeploymentGitSourceDeploymentsResponseType$inboundSchema;
  GetDeploymentGitSourceDeploymentsResponseType$2.outboundSchema = GetDeploymentGitSourceDeploymentsResponseType$outboundSchema;
})(GetDeploymentGitSourceDeploymentsResponseType$ || (GetDeploymentGitSourceDeploymentsResponseType$ = {}));
var GetDeploymentGitSourceDeployments4$inboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponseType$inboundSchema,
  workspaceUuid: stringType().optional(),
  repoUuid: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSourceDeployments4$outboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponseType$outboundSchema,
  workspaceUuid: stringType().optional(),
  repoUuid: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSourceDeployments4$;
(function(GetDeploymentGitSourceDeployments4$2) {
  GetDeploymentGitSourceDeployments4$2.inboundSchema = GetDeploymentGitSourceDeployments4$inboundSchema;
  GetDeploymentGitSourceDeployments4$2.outboundSchema = GetDeploymentGitSourceDeployments4$outboundSchema;
})(GetDeploymentGitSourceDeployments4$ || (GetDeploymentGitSourceDeployments4$ = {}));
var GetDeploymentGitSourceDeploymentsType$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsType);
var GetDeploymentGitSourceDeploymentsType$outboundSchema = GetDeploymentGitSourceDeploymentsType$inboundSchema;
var GetDeploymentGitSourceDeploymentsType$;
(function(GetDeploymentGitSourceDeploymentsType$2) {
  GetDeploymentGitSourceDeploymentsType$2.inboundSchema = GetDeploymentGitSourceDeploymentsType$inboundSchema;
  GetDeploymentGitSourceDeploymentsType$2.outboundSchema = GetDeploymentGitSourceDeploymentsType$outboundSchema;
})(GetDeploymentGitSourceDeploymentsType$ || (GetDeploymentGitSourceDeploymentsType$ = {}));
var GetDeploymentGitSourceProjectId$inboundSchema = unionType([stringType(), numberType()]);
var GetDeploymentGitSourceProjectId$outboundSchema = unionType([stringType(), numberType()]);
var GetDeploymentGitSourceProjectId$;
(function(GetDeploymentGitSourceProjectId$2) {
  GetDeploymentGitSourceProjectId$2.inboundSchema = GetDeploymentGitSourceProjectId$inboundSchema;
  GetDeploymentGitSourceProjectId$2.outboundSchema = GetDeploymentGitSourceProjectId$outboundSchema;
})(GetDeploymentGitSourceProjectId$ || (GetDeploymentGitSourceProjectId$ = {}));
var GetDeploymentGitSourceDeployments3$inboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsType$inboundSchema,
  projectId: unionType([stringType(), numberType()]),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSourceDeployments3$outboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsType$outboundSchema,
  projectId: unionType([stringType(), numberType()]),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSourceDeployments3$;
(function(GetDeploymentGitSourceDeployments3$2) {
  GetDeploymentGitSourceDeployments3$2.inboundSchema = GetDeploymentGitSourceDeployments3$inboundSchema;
  GetDeploymentGitSourceDeployments3$2.outboundSchema = GetDeploymentGitSourceDeployments3$outboundSchema;
})(GetDeploymentGitSourceDeployments3$ || (GetDeploymentGitSourceDeployments3$ = {}));
var GetDeploymentGitSourceType$inboundSchema = nativeEnumType(GetDeploymentGitSourceType);
var GetDeploymentGitSourceType$outboundSchema = GetDeploymentGitSourceType$inboundSchema;
var GetDeploymentGitSourceType$;
(function(GetDeploymentGitSourceType$2) {
  GetDeploymentGitSourceType$2.inboundSchema = GetDeploymentGitSourceType$inboundSchema;
  GetDeploymentGitSourceType$2.outboundSchema = GetDeploymentGitSourceType$outboundSchema;
})(GetDeploymentGitSourceType$ || (GetDeploymentGitSourceType$ = {}));
var GetDeploymentGitSourceDeployments2$inboundSchema = objectType({
  type: GetDeploymentGitSourceType$inboundSchema,
  org: stringType(),
  repo: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSourceDeployments2$outboundSchema = objectType({
  type: GetDeploymentGitSourceType$outboundSchema,
  org: stringType(),
  repo: stringType(),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSourceDeployments2$;
(function(GetDeploymentGitSourceDeployments2$2) {
  GetDeploymentGitSourceDeployments2$2.inboundSchema = GetDeploymentGitSourceDeployments2$inboundSchema;
  GetDeploymentGitSourceDeployments2$2.outboundSchema = GetDeploymentGitSourceDeployments2$outboundSchema;
})(GetDeploymentGitSourceDeployments2$ || (GetDeploymentGitSourceDeployments2$ = {}));
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema = nativeEnumType(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type);
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema;
var GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$;
(function(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$2) {
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$2.inboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema;
  GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$2.outboundSchema = GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$outboundSchema;
})(GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$ || (GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$ = {}));
var GetDeploymentGitSourceRepoId$inboundSchema = unionType([stringType(), numberType()]);
var GetDeploymentGitSourceRepoId$outboundSchema = unionType([stringType(), numberType()]);
var GetDeploymentGitSourceRepoId$;
(function(GetDeploymentGitSourceRepoId$2) {
  GetDeploymentGitSourceRepoId$2.inboundSchema = GetDeploymentGitSourceRepoId$inboundSchema;
  GetDeploymentGitSourceRepoId$2.outboundSchema = GetDeploymentGitSourceRepoId$outboundSchema;
})(GetDeploymentGitSourceRepoId$ || (GetDeploymentGitSourceRepoId$ = {}));
var GetDeploymentGitSourceDeployments1$inboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$inboundSchema,
  repoId: unionType([stringType(), numberType()]),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSourceDeployments1$outboundSchema = objectType({
  type: GetDeploymentGitSourceDeploymentsResponse200ApplicationJSONResponseBody11Type$outboundSchema,
  repoId: unionType([stringType(), numberType()]),
  ref: nullableType(stringType()).optional(),
  sha: stringType().optional(),
  prId: nullableType(numberType()).optional()
});
var GetDeploymentGitSourceDeployments1$;
(function(GetDeploymentGitSourceDeployments1$2) {
  GetDeploymentGitSourceDeployments1$2.inboundSchema = GetDeploymentGitSourceDeployments1$inboundSchema;
  GetDeploymentGitSourceDeployments1$2.outboundSchema = GetDeploymentGitSourceDeployments1$outboundSchema;
})(GetDeploymentGitSourceDeployments1$ || (GetDeploymentGitSourceDeployments1$ = {}));
var GetDeploymentResponseBodyGitSource$inboundSchema = unionType([
  lazyType(() => GetDeploymentGitSourceDeployments6$inboundSchema),
  lazyType(() => GetDeploymentGitSourceDeployments8$inboundSchema),
  lazyType(() => GetDeploymentGitSourceDeployments1$inboundSchema),
  lazyType(() => GetDeploymentGitSourceDeployments3$inboundSchema),
  lazyType(() => GetDeploymentGitSourceDeployments2$inboundSchema),
  lazyType(() => GetDeploymentGitSourceDeployments4$inboundSchema),
  lazyType(() => GetDeploymentGitSourceDeployments5$inboundSchema),
  lazyType(() => GetDeploymentGitSourceDeployments7$inboundSchema),
  lazyType(() => GetDeploymentGitSourceDeployments9$inboundSchema)
]);
var GetDeploymentResponseBodyGitSource$outboundSchema = unionType([
  lazyType(() => GetDeploymentGitSourceDeployments6$outboundSchema),
  lazyType(() => GetDeploymentGitSourceDeployments8$outboundSchema),
  lazyType(() => GetDeploymentGitSourceDeployments1$outboundSchema),
  lazyType(() => GetDeploymentGitSourceDeployments3$outboundSchema),
  lazyType(() => GetDeploymentGitSourceDeployments2$outboundSchema),
  lazyType(() => GetDeploymentGitSourceDeployments4$outboundSchema),
  lazyType(() => GetDeploymentGitSourceDeployments5$outboundSchema),
  lazyType(() => GetDeploymentGitSourceDeployments7$outboundSchema),
  lazyType(() => GetDeploymentGitSourceDeployments9$outboundSchema)
]);
var GetDeploymentResponseBodyGitSource$;
(function(GetDeploymentResponseBodyGitSource$2) {
  GetDeploymentResponseBodyGitSource$2.inboundSchema = GetDeploymentResponseBodyGitSource$inboundSchema;
  GetDeploymentResponseBodyGitSource$2.outboundSchema = GetDeploymentResponseBodyGitSource$outboundSchema;
})(GetDeploymentResponseBodyGitSource$ || (GetDeploymentResponseBodyGitSource$ = {}));
var ResponseBodyProject$inboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  framework: nullableType(stringType()).optional()
});
var ResponseBodyProject$outboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  framework: nullableType(stringType()).optional()
});
var ResponseBodyProject$;
(function(ResponseBodyProject$2) {
  ResponseBodyProject$2.inboundSchema = ResponseBodyProject$inboundSchema;
  ResponseBodyProject$2.outboundSchema = ResponseBodyProject$outboundSchema;
})(ResponseBodyProject$ || (ResponseBodyProject$ = {}));
var ResponseBodyReadySubstate$inboundSchema = nativeEnumType(ResponseBodyReadySubstate);
var ResponseBodyReadySubstate$outboundSchema = ResponseBodyReadySubstate$inboundSchema;
var ResponseBodyReadySubstate$;
(function(ResponseBodyReadySubstate$2) {
  ResponseBodyReadySubstate$2.inboundSchema = ResponseBodyReadySubstate$inboundSchema;
  ResponseBodyReadySubstate$2.outboundSchema = ResponseBodyReadySubstate$outboundSchema;
})(ResponseBodyReadySubstate$ || (ResponseBodyReadySubstate$ = {}));
var ResponseBodySource$inboundSchema = nativeEnumType(ResponseBodySource);
var ResponseBodySource$outboundSchema = ResponseBodySource$inboundSchema;
var ResponseBodySource$;
(function(ResponseBodySource$2) {
  ResponseBodySource$2.inboundSchema = ResponseBodySource$inboundSchema;
  ResponseBodySource$2.outboundSchema = ResponseBodySource$outboundSchema;
})(ResponseBodySource$ || (ResponseBodySource$ = {}));
var ResponseBodyTarget$inboundSchema = nativeEnumType(ResponseBodyTarget);
var ResponseBodyTarget$outboundSchema = ResponseBodyTarget$inboundSchema;
var ResponseBodyTarget$;
(function(ResponseBodyTarget$2) {
  ResponseBodyTarget$2.inboundSchema = ResponseBodyTarget$inboundSchema;
  ResponseBodyTarget$2.outboundSchema = ResponseBodyTarget$outboundSchema;
})(ResponseBodyTarget$ || (ResponseBodyTarget$ = {}));
var ResponseBodyOidcTokenClaims$inboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  owner_id: stringType(),
  project: stringType(),
  project_id: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    owner_id: "ownerId",
    project_id: "projectId"
  });
});
var ResponseBodyOidcTokenClaims$outboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  ownerId: stringType(),
  project: stringType(),
  projectId: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    ownerId: "owner_id",
    projectId: "project_id"
  });
});
var ResponseBodyOidcTokenClaims$;
(function(ResponseBodyOidcTokenClaims$2) {
  ResponseBodyOidcTokenClaims$2.inboundSchema = ResponseBodyOidcTokenClaims$inboundSchema;
  ResponseBodyOidcTokenClaims$2.outboundSchema = ResponseBodyOidcTokenClaims$outboundSchema;
})(ResponseBodyOidcTokenClaims$ || (ResponseBodyOidcTokenClaims$ = {}));
var ResponseBodyPlan$inboundSchema = nativeEnumType(ResponseBodyPlan);
var ResponseBodyPlan$outboundSchema = ResponseBodyPlan$inboundSchema;
var ResponseBodyPlan$;
(function(ResponseBodyPlan$2) {
  ResponseBodyPlan$2.inboundSchema = ResponseBodyPlan$inboundSchema;
  ResponseBodyPlan$2.outboundSchema = ResponseBodyPlan$outboundSchema;
})(ResponseBodyPlan$ || (ResponseBodyPlan$ = {}));
var ResponseBodyCrons$inboundSchema = objectType({
  schedule: stringType(),
  path: stringType()
});
var ResponseBodyCrons$outboundSchema = objectType({
  schedule: stringType(),
  path: stringType()
});
var ResponseBodyCrons$;
(function(ResponseBodyCrons$2) {
  ResponseBodyCrons$2.inboundSchema = ResponseBodyCrons$inboundSchema;
  ResponseBodyCrons$2.outboundSchema = ResponseBodyCrons$outboundSchema;
})(ResponseBodyCrons$ || (ResponseBodyCrons$ = {}));
var ResponseBodyFunctions$inboundSchema = objectType({
  memory: numberType().optional(),
  maxDuration: numberType().optional(),
  runtime: stringType().optional(),
  includeFiles: stringType().optional(),
  excludeFiles: stringType().optional()
});
var ResponseBodyFunctions$outboundSchema = objectType({
  memory: numberType().optional(),
  maxDuration: numberType().optional(),
  runtime: stringType().optional(),
  includeFiles: stringType().optional(),
  excludeFiles: stringType().optional()
});
var ResponseBodyFunctions$;
(function(ResponseBodyFunctions$2) {
  ResponseBodyFunctions$2.inboundSchema = ResponseBodyFunctions$inboundSchema;
  ResponseBodyFunctions$2.outboundSchema = ResponseBodyFunctions$outboundSchema;
})(ResponseBodyFunctions$ || (ResponseBodyFunctions$ = {}));
var GetDeploymentRoutes3$inboundSchema = objectType({
  src: stringType(),
  continue: booleanType(),
  middleware: numberType()
});
var GetDeploymentRoutes3$outboundSchema = objectType({
  src: stringType(),
  continue: booleanType(),
  middleware: numberType()
});
var GetDeploymentRoutes3$;
(function(GetDeploymentRoutes3$2) {
  GetDeploymentRoutes3$2.inboundSchema = GetDeploymentRoutes3$inboundSchema;
  GetDeploymentRoutes3$2.outboundSchema = GetDeploymentRoutes3$outboundSchema;
})(GetDeploymentRoutes3$ || (GetDeploymentRoutes3$ = {}));
var GetDeploymentRoutesHandle$inboundSchema = nativeEnumType(GetDeploymentRoutesHandle);
var GetDeploymentRoutesHandle$outboundSchema = GetDeploymentRoutesHandle$inboundSchema;
var GetDeploymentRoutesHandle$;
(function(GetDeploymentRoutesHandle$2) {
  GetDeploymentRoutesHandle$2.inboundSchema = GetDeploymentRoutesHandle$inboundSchema;
  GetDeploymentRoutesHandle$2.outboundSchema = GetDeploymentRoutesHandle$outboundSchema;
})(GetDeploymentRoutesHandle$ || (GetDeploymentRoutesHandle$ = {}));
var GetDeploymentRoutes2$inboundSchema = objectType({
  handle: GetDeploymentRoutesHandle$inboundSchema,
  src: stringType().optional(),
  dest: stringType().optional(),
  status: numberType().optional()
});
var GetDeploymentRoutes2$outboundSchema = objectType({
  handle: GetDeploymentRoutesHandle$outboundSchema,
  src: stringType().optional(),
  dest: stringType().optional(),
  status: numberType().optional()
});
var GetDeploymentRoutes2$;
(function(GetDeploymentRoutes2$2) {
  GetDeploymentRoutes2$2.inboundSchema = GetDeploymentRoutes2$inboundSchema;
  GetDeploymentRoutes2$2.outboundSchema = GetDeploymentRoutes2$outboundSchema;
})(GetDeploymentRoutes2$ || (GetDeploymentRoutes2$ = {}));
var GetDeploymentHasType$inboundSchema = nativeEnumType(GetDeploymentHasType);
var GetDeploymentHasType$outboundSchema = GetDeploymentHasType$inboundSchema;
var GetDeploymentHasType$;
(function(GetDeploymentHasType$2) {
  GetDeploymentHasType$2.inboundSchema = GetDeploymentHasType$inboundSchema;
  GetDeploymentHasType$2.outboundSchema = GetDeploymentHasType$outboundSchema;
})(GetDeploymentHasType$ || (GetDeploymentHasType$ = {}));
var GetDeploymentHas2$inboundSchema = objectType({
  type: GetDeploymentHasType$inboundSchema,
  key: stringType(),
  value: stringType().optional()
});
var GetDeploymentHas2$outboundSchema = objectType({
  type: GetDeploymentHasType$outboundSchema,
  key: stringType(),
  value: stringType().optional()
});
var GetDeploymentHas2$;
(function(GetDeploymentHas2$2) {
  GetDeploymentHas2$2.inboundSchema = GetDeploymentHas2$inboundSchema;
  GetDeploymentHas2$2.outboundSchema = GetDeploymentHas2$outboundSchema;
})(GetDeploymentHas2$ || (GetDeploymentHas2$ = {}));
var GetDeploymentHasDeploymentsType$inboundSchema = nativeEnumType(GetDeploymentHasDeploymentsType);
var GetDeploymentHasDeploymentsType$outboundSchema = GetDeploymentHasDeploymentsType$inboundSchema;
var GetDeploymentHasDeploymentsType$;
(function(GetDeploymentHasDeploymentsType$2) {
  GetDeploymentHasDeploymentsType$2.inboundSchema = GetDeploymentHasDeploymentsType$inboundSchema;
  GetDeploymentHasDeploymentsType$2.outboundSchema = GetDeploymentHasDeploymentsType$outboundSchema;
})(GetDeploymentHasDeploymentsType$ || (GetDeploymentHasDeploymentsType$ = {}));
var GetDeploymentHas1$inboundSchema = objectType({
  type: GetDeploymentHasDeploymentsType$inboundSchema,
  value: stringType()
});
var GetDeploymentHas1$outboundSchema = objectType({
  type: GetDeploymentHasDeploymentsType$outboundSchema,
  value: stringType()
});
var GetDeploymentHas1$;
(function(GetDeploymentHas1$2) {
  GetDeploymentHas1$2.inboundSchema = GetDeploymentHas1$inboundSchema;
  GetDeploymentHas1$2.outboundSchema = GetDeploymentHas1$outboundSchema;
})(GetDeploymentHas1$ || (GetDeploymentHas1$ = {}));
var GetDeploymentRoutesHas$inboundSchema = unionType([
  lazyType(() => GetDeploymentHas1$inboundSchema),
  lazyType(() => GetDeploymentHas2$inboundSchema)
]);
var GetDeploymentRoutesHas$outboundSchema = unionType([
  lazyType(() => GetDeploymentHas1$outboundSchema),
  lazyType(() => GetDeploymentHas2$outboundSchema)
]);
var GetDeploymentRoutesHas$;
(function(GetDeploymentRoutesHas$2) {
  GetDeploymentRoutesHas$2.inboundSchema = GetDeploymentRoutesHas$inboundSchema;
  GetDeploymentRoutesHas$2.outboundSchema = GetDeploymentRoutesHas$outboundSchema;
})(GetDeploymentRoutesHas$ || (GetDeploymentRoutesHas$ = {}));
var GetDeploymentMissingType$inboundSchema = nativeEnumType(GetDeploymentMissingType);
var GetDeploymentMissingType$outboundSchema = GetDeploymentMissingType$inboundSchema;
var GetDeploymentMissingType$;
(function(GetDeploymentMissingType$2) {
  GetDeploymentMissingType$2.inboundSchema = GetDeploymentMissingType$inboundSchema;
  GetDeploymentMissingType$2.outboundSchema = GetDeploymentMissingType$outboundSchema;
})(GetDeploymentMissingType$ || (GetDeploymentMissingType$ = {}));
var GetDeploymentMissing2$inboundSchema = objectType({
  type: GetDeploymentMissingType$inboundSchema,
  key: stringType(),
  value: stringType().optional()
});
var GetDeploymentMissing2$outboundSchema = objectType({
  type: GetDeploymentMissingType$outboundSchema,
  key: stringType(),
  value: stringType().optional()
});
var GetDeploymentMissing2$;
(function(GetDeploymentMissing2$2) {
  GetDeploymentMissing2$2.inboundSchema = GetDeploymentMissing2$inboundSchema;
  GetDeploymentMissing2$2.outboundSchema = GetDeploymentMissing2$outboundSchema;
})(GetDeploymentMissing2$ || (GetDeploymentMissing2$ = {}));
var GetDeploymentMissingDeploymentsType$inboundSchema = nativeEnumType(GetDeploymentMissingDeploymentsType);
var GetDeploymentMissingDeploymentsType$outboundSchema = GetDeploymentMissingDeploymentsType$inboundSchema;
var GetDeploymentMissingDeploymentsType$;
(function(GetDeploymentMissingDeploymentsType$2) {
  GetDeploymentMissingDeploymentsType$2.inboundSchema = GetDeploymentMissingDeploymentsType$inboundSchema;
  GetDeploymentMissingDeploymentsType$2.outboundSchema = GetDeploymentMissingDeploymentsType$outboundSchema;
})(GetDeploymentMissingDeploymentsType$ || (GetDeploymentMissingDeploymentsType$ = {}));
var GetDeploymentMissing1$inboundSchema = objectType({
  type: GetDeploymentMissingDeploymentsType$inboundSchema,
  value: stringType()
});
var GetDeploymentMissing1$outboundSchema = objectType({
  type: GetDeploymentMissingDeploymentsType$outboundSchema,
  value: stringType()
});
var GetDeploymentMissing1$;
(function(GetDeploymentMissing1$2) {
  GetDeploymentMissing1$2.inboundSchema = GetDeploymentMissing1$inboundSchema;
  GetDeploymentMissing1$2.outboundSchema = GetDeploymentMissing1$outboundSchema;
})(GetDeploymentMissing1$ || (GetDeploymentMissing1$ = {}));
var GetDeploymentRoutesMissing$inboundSchema = unionType([
  lazyType(() => GetDeploymentMissing1$inboundSchema),
  lazyType(() => GetDeploymentMissing2$inboundSchema)
]);
var GetDeploymentRoutesMissing$outboundSchema = unionType([
  lazyType(() => GetDeploymentMissing1$outboundSchema),
  lazyType(() => GetDeploymentMissing2$outboundSchema)
]);
var GetDeploymentRoutesMissing$;
(function(GetDeploymentRoutesMissing$2) {
  GetDeploymentRoutesMissing$2.inboundSchema = GetDeploymentRoutesMissing$inboundSchema;
  GetDeploymentRoutesMissing$2.outboundSchema = GetDeploymentRoutesMissing$outboundSchema;
})(GetDeploymentRoutesMissing$ || (GetDeploymentRoutesMissing$ = {}));
var GetDeploymentRoutesLocale$inboundSchema = objectType({
  redirect: recordType(stringType()).optional(),
  cookie: stringType().optional()
});
var GetDeploymentRoutesLocale$outboundSchema = objectType({
  redirect: recordType(stringType()).optional(),
  cookie: stringType().optional()
});
var GetDeploymentRoutesLocale$;
(function(GetDeploymentRoutesLocale$2) {
  GetDeploymentRoutesLocale$2.inboundSchema = GetDeploymentRoutesLocale$inboundSchema;
  GetDeploymentRoutesLocale$2.outboundSchema = GetDeploymentRoutesLocale$outboundSchema;
})(GetDeploymentRoutesLocale$ || (GetDeploymentRoutesLocale$ = {}));
var GetDeploymentRoutes1$inboundSchema = objectType({
  src: stringType(),
  dest: stringType().optional(),
  headers: recordType(stringType()).optional(),
  methods: arrayType(stringType()).optional(),
  continue: booleanType().optional(),
  override: booleanType().optional(),
  caseSensitive: booleanType().optional(),
  check: booleanType().optional(),
  important: booleanType().optional(),
  status: numberType().optional(),
  has: arrayType(unionType([
    lazyType(() => GetDeploymentHas1$inboundSchema),
    lazyType(() => GetDeploymentHas2$inboundSchema)
  ])).optional(),
  missing: arrayType(unionType([
    lazyType(() => GetDeploymentMissing1$inboundSchema),
    lazyType(() => GetDeploymentMissing2$inboundSchema)
  ])).optional(),
  locale: lazyType(() => GetDeploymentRoutesLocale$inboundSchema).optional(),
  middlewarePath: stringType().optional(),
  middlewareRawSrc: arrayType(stringType()).optional(),
  middleware: numberType().optional()
});
var GetDeploymentRoutes1$outboundSchema = objectType({
  src: stringType(),
  dest: stringType().optional(),
  headers: recordType(stringType()).optional(),
  methods: arrayType(stringType()).optional(),
  continue: booleanType().optional(),
  override: booleanType().optional(),
  caseSensitive: booleanType().optional(),
  check: booleanType().optional(),
  important: booleanType().optional(),
  status: numberType().optional(),
  has: arrayType(unionType([
    lazyType(() => GetDeploymentHas1$outboundSchema),
    lazyType(() => GetDeploymentHas2$outboundSchema)
  ])).optional(),
  missing: arrayType(unionType([
    lazyType(() => GetDeploymentMissing1$outboundSchema),
    lazyType(() => GetDeploymentMissing2$outboundSchema)
  ])).optional(),
  locale: lazyType(() => GetDeploymentRoutesLocale$outboundSchema).optional(),
  middlewarePath: stringType().optional(),
  middlewareRawSrc: arrayType(stringType()).optional(),
  middleware: numberType().optional()
});
var GetDeploymentRoutes1$;
(function(GetDeploymentRoutes1$2) {
  GetDeploymentRoutes1$2.inboundSchema = GetDeploymentRoutes1$inboundSchema;
  GetDeploymentRoutes1$2.outboundSchema = GetDeploymentRoutes1$outboundSchema;
})(GetDeploymentRoutes1$ || (GetDeploymentRoutes1$ = {}));
var ResponseBodyRoutes$inboundSchema = unionType([
  lazyType(() => GetDeploymentRoutes3$inboundSchema),
  lazyType(() => GetDeploymentRoutes2$inboundSchema),
  lazyType(() => GetDeploymentRoutes1$inboundSchema)
]);
var ResponseBodyRoutes$outboundSchema = unionType([
  lazyType(() => GetDeploymentRoutes3$outboundSchema),
  lazyType(() => GetDeploymentRoutes2$outboundSchema),
  lazyType(() => GetDeploymentRoutes1$outboundSchema)
]);
var ResponseBodyRoutes$;
(function(ResponseBodyRoutes$2) {
  ResponseBodyRoutes$2.inboundSchema = ResponseBodyRoutes$inboundSchema;
  ResponseBodyRoutes$2.outboundSchema = ResponseBodyRoutes$outboundSchema;
})(ResponseBodyRoutes$ || (ResponseBodyRoutes$ = {}));
var GetDeploymentGitRepoDeploymentsType$inboundSchema = nativeEnumType(GetDeploymentGitRepoDeploymentsType);
var GetDeploymentGitRepoDeploymentsType$outboundSchema = GetDeploymentGitRepoDeploymentsType$inboundSchema;
var GetDeploymentGitRepoDeploymentsType$;
(function(GetDeploymentGitRepoDeploymentsType$2) {
  GetDeploymentGitRepoDeploymentsType$2.inboundSchema = GetDeploymentGitRepoDeploymentsType$inboundSchema;
  GetDeploymentGitRepoDeploymentsType$2.outboundSchema = GetDeploymentGitRepoDeploymentsType$outboundSchema;
})(GetDeploymentGitRepoDeploymentsType$ || (GetDeploymentGitRepoDeploymentsType$ = {}));
var GetDeploymentGitRepoOwnerType$inboundSchema = nativeEnumType(GetDeploymentGitRepoOwnerType);
var GetDeploymentGitRepoOwnerType$outboundSchema = GetDeploymentGitRepoOwnerType$inboundSchema;
var GetDeploymentGitRepoOwnerType$;
(function(GetDeploymentGitRepoOwnerType$2) {
  GetDeploymentGitRepoOwnerType$2.inboundSchema = GetDeploymentGitRepoOwnerType$inboundSchema;
  GetDeploymentGitRepoOwnerType$2.outboundSchema = GetDeploymentGitRepoOwnerType$outboundSchema;
})(GetDeploymentGitRepoOwnerType$ || (GetDeploymentGitRepoOwnerType$ = {}));
var GetDeploymentGitRepo3$inboundSchema = objectType({
  owner: stringType(),
  repoUuid: stringType(),
  slug: stringType(),
  type: GetDeploymentGitRepoDeploymentsType$inboundSchema,
  workspaceUuid: stringType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: GetDeploymentGitRepoOwnerType$inboundSchema
});
var GetDeploymentGitRepo3$outboundSchema = objectType({
  owner: stringType(),
  repoUuid: stringType(),
  slug: stringType(),
  type: GetDeploymentGitRepoDeploymentsType$outboundSchema,
  workspaceUuid: stringType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: GetDeploymentGitRepoOwnerType$outboundSchema
});
var GetDeploymentGitRepo3$;
(function(GetDeploymentGitRepo3$2) {
  GetDeploymentGitRepo3$2.inboundSchema = GetDeploymentGitRepo3$inboundSchema;
  GetDeploymentGitRepo3$2.outboundSchema = GetDeploymentGitRepo3$outboundSchema;
})(GetDeploymentGitRepo3$ || (GetDeploymentGitRepo3$ = {}));
var GetDeploymentGitRepoType$inboundSchema = nativeEnumType(GetDeploymentGitRepoType);
var GetDeploymentGitRepoType$outboundSchema = GetDeploymentGitRepoType$inboundSchema;
var GetDeploymentGitRepoType$;
(function(GetDeploymentGitRepoType$2) {
  GetDeploymentGitRepoType$2.inboundSchema = GetDeploymentGitRepoType$inboundSchema;
  GetDeploymentGitRepoType$2.outboundSchema = GetDeploymentGitRepoType$outboundSchema;
})(GetDeploymentGitRepoType$ || (GetDeploymentGitRepoType$ = {}));
var GetDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema = nativeEnumType(GetDeploymentGitRepoDeploymentsResponseOwnerType);
var GetDeploymentGitRepoDeploymentsResponseOwnerType$outboundSchema = GetDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema;
var GetDeploymentGitRepoDeploymentsResponseOwnerType$;
(function(GetDeploymentGitRepoDeploymentsResponseOwnerType$2) {
  GetDeploymentGitRepoDeploymentsResponseOwnerType$2.inboundSchema = GetDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema;
  GetDeploymentGitRepoDeploymentsResponseOwnerType$2.outboundSchema = GetDeploymentGitRepoDeploymentsResponseOwnerType$outboundSchema;
})(GetDeploymentGitRepoDeploymentsResponseOwnerType$ || (GetDeploymentGitRepoDeploymentsResponseOwnerType$ = {}));
var GetDeploymentGitRepo2$inboundSchema = objectType({
  org: stringType(),
  repo: stringType(),
  repoId: numberType(),
  type: GetDeploymentGitRepoType$inboundSchema,
  repoOwnerId: numberType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: GetDeploymentGitRepoDeploymentsResponseOwnerType$inboundSchema
});
var GetDeploymentGitRepo2$outboundSchema = objectType({
  org: stringType(),
  repo: stringType(),
  repoId: numberType(),
  type: GetDeploymentGitRepoType$outboundSchema,
  repoOwnerId: numberType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: GetDeploymentGitRepoDeploymentsResponseOwnerType$outboundSchema
});
var GetDeploymentGitRepo2$;
(function(GetDeploymentGitRepo2$2) {
  GetDeploymentGitRepo2$2.inboundSchema = GetDeploymentGitRepo2$inboundSchema;
  GetDeploymentGitRepo2$2.outboundSchema = GetDeploymentGitRepo2$outboundSchema;
})(GetDeploymentGitRepo2$ || (GetDeploymentGitRepo2$ = {}));
var GetDeploymentGitRepoDeploymentsResponseType$inboundSchema = nativeEnumType(GetDeploymentGitRepoDeploymentsResponseType);
var GetDeploymentGitRepoDeploymentsResponseType$outboundSchema = GetDeploymentGitRepoDeploymentsResponseType$inboundSchema;
var GetDeploymentGitRepoDeploymentsResponseType$;
(function(GetDeploymentGitRepoDeploymentsResponseType$2) {
  GetDeploymentGitRepoDeploymentsResponseType$2.inboundSchema = GetDeploymentGitRepoDeploymentsResponseType$inboundSchema;
  GetDeploymentGitRepoDeploymentsResponseType$2.outboundSchema = GetDeploymentGitRepoDeploymentsResponseType$outboundSchema;
})(GetDeploymentGitRepoDeploymentsResponseType$ || (GetDeploymentGitRepoDeploymentsResponseType$ = {}));
var GetDeploymentGitRepoDeploymentsOwnerType$inboundSchema = nativeEnumType(GetDeploymentGitRepoDeploymentsOwnerType);
var GetDeploymentGitRepoDeploymentsOwnerType$outboundSchema = GetDeploymentGitRepoDeploymentsOwnerType$inboundSchema;
var GetDeploymentGitRepoDeploymentsOwnerType$;
(function(GetDeploymentGitRepoDeploymentsOwnerType$2) {
  GetDeploymentGitRepoDeploymentsOwnerType$2.inboundSchema = GetDeploymentGitRepoDeploymentsOwnerType$inboundSchema;
  GetDeploymentGitRepoDeploymentsOwnerType$2.outboundSchema = GetDeploymentGitRepoDeploymentsOwnerType$outboundSchema;
})(GetDeploymentGitRepoDeploymentsOwnerType$ || (GetDeploymentGitRepoDeploymentsOwnerType$ = {}));
var GetDeploymentGitRepo1$inboundSchema = objectType({
  namespace: stringType(),
  projectId: numberType(),
  type: GetDeploymentGitRepoDeploymentsResponseType$inboundSchema,
  url: stringType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: GetDeploymentGitRepoDeploymentsOwnerType$inboundSchema
});
var GetDeploymentGitRepo1$outboundSchema = objectType({
  namespace: stringType(),
  projectId: numberType(),
  type: GetDeploymentGitRepoDeploymentsResponseType$outboundSchema,
  url: stringType(),
  path: stringType(),
  defaultBranch: stringType(),
  name: stringType(),
  private: booleanType(),
  ownerType: GetDeploymentGitRepoDeploymentsOwnerType$outboundSchema
});
var GetDeploymentGitRepo1$;
(function(GetDeploymentGitRepo1$2) {
  GetDeploymentGitRepo1$2.inboundSchema = GetDeploymentGitRepo1$inboundSchema;
  GetDeploymentGitRepo1$2.outboundSchema = GetDeploymentGitRepo1$outboundSchema;
})(GetDeploymentGitRepo1$ || (GetDeploymentGitRepo1$ = {}));
var ResponseBodyGitRepo$inboundSchema = unionType([
  lazyType(() => GetDeploymentGitRepo1$inboundSchema),
  lazyType(() => GetDeploymentGitRepo2$inboundSchema),
  lazyType(() => GetDeploymentGitRepo3$inboundSchema)
]);
var ResponseBodyGitRepo$outboundSchema = unionType([
  lazyType(() => GetDeploymentGitRepo1$outboundSchema),
  lazyType(() => GetDeploymentGitRepo2$outboundSchema),
  lazyType(() => GetDeploymentGitRepo3$outboundSchema)
]);
var ResponseBodyGitRepo$;
(function(ResponseBodyGitRepo$2) {
  ResponseBodyGitRepo$2.inboundSchema = ResponseBodyGitRepo$inboundSchema;
  ResponseBodyGitRepo$2.outboundSchema = ResponseBodyGitRepo$outboundSchema;
})(ResponseBodyGitRepo$ || (ResponseBodyGitRepo$ = {}));
var GetDeploymentFlags2$inboundSchema = objectType({});
var GetDeploymentFlags2$outboundSchema = objectType({});
var GetDeploymentFlags2$;
(function(GetDeploymentFlags2$2) {
  GetDeploymentFlags2$2.inboundSchema = GetDeploymentFlags2$inboundSchema;
  GetDeploymentFlags2$2.outboundSchema = GetDeploymentFlags2$outboundSchema;
})(GetDeploymentFlags2$ || (GetDeploymentFlags2$ = {}));
var GetDeploymentFlagsOptions$inboundSchema = objectType({
  value: nullableType(FlagJSONValue$inboundSchema),
  label: stringType().optional()
});
var GetDeploymentFlagsOptions$outboundSchema = objectType({
  value: nullableType(FlagJSONValue$outboundSchema),
  label: stringType().optional()
});
var GetDeploymentFlagsOptions$;
(function(GetDeploymentFlagsOptions$2) {
  GetDeploymentFlagsOptions$2.inboundSchema = GetDeploymentFlagsOptions$inboundSchema;
  GetDeploymentFlagsOptions$2.outboundSchema = GetDeploymentFlagsOptions$outboundSchema;
})(GetDeploymentFlagsOptions$ || (GetDeploymentFlagsOptions$ = {}));
var GetDeploymentFlagsDefinitions$inboundSchema = objectType({
  options: arrayType(lazyType(() => GetDeploymentFlagsOptions$inboundSchema)).optional(),
  url: stringType().optional(),
  description: stringType().optional()
});
var GetDeploymentFlagsDefinitions$outboundSchema = objectType({
  options: arrayType(lazyType(() => GetDeploymentFlagsOptions$outboundSchema)).optional(),
  url: stringType().optional(),
  description: stringType().optional()
});
var GetDeploymentFlagsDefinitions$;
(function(GetDeploymentFlagsDefinitions$2) {
  GetDeploymentFlagsDefinitions$2.inboundSchema = GetDeploymentFlagsDefinitions$inboundSchema;
  GetDeploymentFlagsDefinitions$2.outboundSchema = GetDeploymentFlagsDefinitions$outboundSchema;
})(GetDeploymentFlagsDefinitions$ || (GetDeploymentFlagsDefinitions$ = {}));
var GetDeploymentFlags1$inboundSchema = objectType({
  definitions: recordType(lazyType(() => GetDeploymentFlagsDefinitions$inboundSchema))
});
var GetDeploymentFlags1$outboundSchema = objectType({
  definitions: recordType(lazyType(() => GetDeploymentFlagsDefinitions$outboundSchema))
});
var GetDeploymentFlags1$;
(function(GetDeploymentFlags1$2) {
  GetDeploymentFlags1$2.inboundSchema = GetDeploymentFlags1$inboundSchema;
  GetDeploymentFlags1$2.outboundSchema = GetDeploymentFlags1$outboundSchema;
})(GetDeploymentFlags1$ || (GetDeploymentFlags1$ = {}));
var ResponseBodyFlags$inboundSchema = unionType([
  lazyType(() => GetDeploymentFlags1$inboundSchema),
  arrayType(lazyType(() => GetDeploymentFlags2$inboundSchema))
]);
var ResponseBodyFlags$outboundSchema = unionType([
  lazyType(() => GetDeploymentFlags1$outboundSchema),
  arrayType(lazyType(() => GetDeploymentFlags2$outboundSchema))
]);
var ResponseBodyFlags$;
(function(ResponseBodyFlags$2) {
  ResponseBodyFlags$2.inboundSchema = ResponseBodyFlags$inboundSchema;
  ResponseBodyFlags$2.outboundSchema = ResponseBodyFlags$outboundSchema;
})(ResponseBodyFlags$ || (ResponseBodyFlags$ = {}));
var GetDeploymentMicrofrontendsApplications$inboundSchema = objectType({
  productionHost: stringType(),
  deploymentAlias: stringType().optional(),
  deploymentHost: stringType().optional()
});
var GetDeploymentMicrofrontendsApplications$outboundSchema = objectType({
  productionHost: stringType(),
  deploymentAlias: stringType().optional(),
  deploymentHost: stringType().optional()
});
var GetDeploymentMicrofrontendsApplications$;
(function(GetDeploymentMicrofrontendsApplications$2) {
  GetDeploymentMicrofrontendsApplications$2.inboundSchema = GetDeploymentMicrofrontendsApplications$inboundSchema;
  GetDeploymentMicrofrontendsApplications$2.outboundSchema = GetDeploymentMicrofrontendsApplications$outboundSchema;
})(GetDeploymentMicrofrontendsApplications$ || (GetDeploymentMicrofrontendsApplications$ = {}));
var GetDeploymentMicrofrontends2$inboundSchema = objectType({
  applications: recordType(lazyType(() => GetDeploymentMicrofrontendsApplications$inboundSchema)).optional(),
  isDefaultApp: booleanType(),
  defaultRoute: stringType().optional(),
  groupIds: arrayType(stringType())
});
var GetDeploymentMicrofrontends2$outboundSchema = objectType({
  applications: recordType(lazyType(() => GetDeploymentMicrofrontendsApplications$outboundSchema)).optional(),
  isDefaultApp: booleanType(),
  defaultRoute: stringType().optional(),
  groupIds: arrayType(stringType())
});
var GetDeploymentMicrofrontends2$;
(function(GetDeploymentMicrofrontends2$2) {
  GetDeploymentMicrofrontends2$2.inboundSchema = GetDeploymentMicrofrontends2$inboundSchema;
  GetDeploymentMicrofrontends2$2.outboundSchema = GetDeploymentMicrofrontends2$outboundSchema;
})(GetDeploymentMicrofrontends2$ || (GetDeploymentMicrofrontends2$ = {}));
var GetDeploymentMicrofrontends1$inboundSchema = objectType({
  isDefaultApp: booleanType().optional(),
  defaultRoute: stringType().optional(),
  groupIds: arrayType(stringType())
});
var GetDeploymentMicrofrontends1$outboundSchema = objectType({
  isDefaultApp: booleanType().optional(),
  defaultRoute: stringType().optional(),
  groupIds: arrayType(stringType())
});
var GetDeploymentMicrofrontends1$;
(function(GetDeploymentMicrofrontends1$2) {
  GetDeploymentMicrofrontends1$2.inboundSchema = GetDeploymentMicrofrontends1$inboundSchema;
  GetDeploymentMicrofrontends1$2.outboundSchema = GetDeploymentMicrofrontends1$outboundSchema;
})(GetDeploymentMicrofrontends1$ || (GetDeploymentMicrofrontends1$ = {}));
var ResponseBodyMicrofrontends$inboundSchema = unionType([
  lazyType(() => GetDeploymentMicrofrontends1$inboundSchema),
  lazyType(() => GetDeploymentMicrofrontends2$inboundSchema)
]);
var ResponseBodyMicrofrontends$outboundSchema = unionType([
  lazyType(() => GetDeploymentMicrofrontends1$outboundSchema),
  lazyType(() => GetDeploymentMicrofrontends2$outboundSchema)
]);
var ResponseBodyMicrofrontends$;
(function(ResponseBodyMicrofrontends$2) {
  ResponseBodyMicrofrontends$2.inboundSchema = ResponseBodyMicrofrontends$inboundSchema;
  ResponseBodyMicrofrontends$2.outboundSchema = ResponseBodyMicrofrontends$outboundSchema;
})(ResponseBodyMicrofrontends$ || (ResponseBodyMicrofrontends$ = {}));
var GetDeploymentResponseBody1$inboundSchema = objectType({
  aliasAssignedAt: nullableType(unionType([numberType(), booleanType()])).optional(),
  alwaysRefuseToBuild: booleanType().optional(),
  build: lazyType(() => ResponseBodyBuild$inboundSchema),
  buildArtifactUrls: arrayType(stringType()).optional(),
  builds: arrayType(lazyType(() => ResponseBodyBuilds$inboundSchema)).optional(),
  env: arrayType(stringType()),
  inspectorUrl: nullableType(stringType()),
  isInConcurrentBuildsQueue: booleanType(),
  isInSystemBuildsQueue: booleanType(),
  projectSettings: lazyType(() => ResponseBodyProjectSettings$inboundSchema),
  readyStateReason: stringType().optional(),
  integrations: lazyType(() => ResponseBodyIntegrations$inboundSchema).optional(),
  images: lazyType(() => ResponseBodyImages$inboundSchema).optional(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: booleanType(),
  bootedAt: numberType(),
  buildingAt: numberType(),
  buildSkipped: booleanType(),
  creator: lazyType(() => ResponseBodyCreator$inboundSchema),
  initReadyAt: numberType().optional(),
  isFirstBranchDeployment: booleanType().optional(),
  lambdas: arrayType(lazyType(() => GetDeploymentResponseBodyLambdas$inboundSchema)).optional(),
  public: booleanType(),
  ready: numberType().optional(),
  status: ResponseBodyStatus$inboundSchema,
  team: lazyType(() => GetDeploymentResponseBodyTeam$inboundSchema).optional(),
  userAliases: arrayType(stringType()).optional(),
  previewCommentsEnabled: booleanType().optional(),
  ttyBuildLogs: booleanType().optional(),
  customEnvironment: unionType([
    lazyType(() => GetDeploymentCustomEnvironmentDeployments1$inboundSchema),
    lazyType(() => GetDeploymentCustomEnvironmentDeployments2$inboundSchema)
  ]).optional(),
  aliasWarning: nullableType(lazyType(() => GetDeploymentResponseBodyAliasWarning$inboundSchema)).optional(),
  id: stringType(),
  type: ResponseBodyType$inboundSchema,
  createdAt: numberType(),
  name: stringType(),
  readyState: ResponseBodyReadyState$inboundSchema,
  aliasError: nullableType(lazyType(() => ResponseBodyAliasError$inboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  autoAssignCustomDomains: booleanType().optional(),
  automaticAliases: arrayType(stringType()).optional(),
  buildErrorAt: numberType().optional(),
  checksState: ResponseBodyChecksState$inboundSchema.optional(),
  checksConclusion: ResponseBodyChecksConclusion$inboundSchema.optional(),
  deletedAt: nullableType(numberType()).optional(),
  defaultRoute: stringType().optional(),
  canceledAt: numberType().optional(),
  errorCode: stringType().optional(),
  errorLink: stringType().optional(),
  errorMessage: nullableType(stringType()).optional(),
  errorStep: stringType().optional(),
  passiveRegions: arrayType(stringType()).optional(),
  gitSource: unionType([
    lazyType(() => GetDeploymentGitSourceDeployments6$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments8$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments1$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments3$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments2$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments4$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments5$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments7$inboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments9$inboundSchema)
  ]).optional(),
  meta: recordType(stringType()),
  originCacheRegion: stringType().optional(),
  project: lazyType(() => ResponseBodyProject$inboundSchema).optional(),
  readySubstate: ResponseBodyReadySubstate$inboundSchema.optional(),
  regions: arrayType(stringType()),
  softDeletedByRetention: booleanType().optional(),
  source: ResponseBodySource$inboundSchema.optional(),
  target: nullableType(ResponseBodyTarget$inboundSchema).optional(),
  undeletedAt: numberType().optional(),
  url: stringType(),
  version: numberType(),
  oidcTokenClaims: lazyType(() => ResponseBodyOidcTokenClaims$inboundSchema).optional(),
  projectId: stringType(),
  plan: ResponseBodyPlan$inboundSchema,
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdIn: stringType(),
  crons: arrayType(lazyType(() => ResponseBodyCrons$inboundSchema)).optional(),
  functions: nullableType(recordType(lazyType(() => ResponseBodyFunctions$inboundSchema))).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  ownerId: stringType(),
  passiveConnectConfigurationId: stringType().optional(),
  routes: nullableType(arrayType(unionType([
    lazyType(() => GetDeploymentRoutes3$inboundSchema),
    lazyType(() => GetDeploymentRoutes2$inboundSchema),
    lazyType(() => GetDeploymentRoutes1$inboundSchema)
  ]))),
  gitRepo: nullableType(unionType([
    lazyType(() => GetDeploymentGitRepo1$inboundSchema),
    lazyType(() => GetDeploymentGitRepo2$inboundSchema),
    lazyType(() => GetDeploymentGitRepo3$inboundSchema)
  ])).optional(),
  flags: unionType([
    lazyType(() => GetDeploymentFlags1$inboundSchema),
    arrayType(lazyType(() => GetDeploymentFlags2$inboundSchema))
  ]).optional(),
  microfrontends: unionType([
    lazyType(() => GetDeploymentMicrofrontends1$inboundSchema),
    lazyType(() => GetDeploymentMicrofrontends2$inboundSchema)
  ]).optional()
});
var GetDeploymentResponseBody1$outboundSchema = objectType({
  aliasAssignedAt: nullableType(unionType([numberType(), booleanType()])).optional(),
  alwaysRefuseToBuild: booleanType().optional(),
  build: lazyType(() => ResponseBodyBuild$outboundSchema),
  buildArtifactUrls: arrayType(stringType()).optional(),
  builds: arrayType(lazyType(() => ResponseBodyBuilds$outboundSchema)).optional(),
  env: arrayType(stringType()),
  inspectorUrl: nullableType(stringType()),
  isInConcurrentBuildsQueue: booleanType(),
  isInSystemBuildsQueue: booleanType(),
  projectSettings: lazyType(() => ResponseBodyProjectSettings$outboundSchema),
  readyStateReason: stringType().optional(),
  integrations: lazyType(() => ResponseBodyIntegrations$outboundSchema).optional(),
  images: lazyType(() => ResponseBodyImages$outboundSchema).optional(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: booleanType(),
  bootedAt: numberType(),
  buildingAt: numberType(),
  buildSkipped: booleanType(),
  creator: lazyType(() => ResponseBodyCreator$outboundSchema),
  initReadyAt: numberType().optional(),
  isFirstBranchDeployment: booleanType().optional(),
  lambdas: arrayType(lazyType(() => GetDeploymentResponseBodyLambdas$outboundSchema)).optional(),
  public: booleanType(),
  ready: numberType().optional(),
  status: ResponseBodyStatus$outboundSchema,
  team: lazyType(() => GetDeploymentResponseBodyTeam$outboundSchema).optional(),
  userAliases: arrayType(stringType()).optional(),
  previewCommentsEnabled: booleanType().optional(),
  ttyBuildLogs: booleanType().optional(),
  customEnvironment: unionType([
    lazyType(() => GetDeploymentCustomEnvironmentDeployments1$outboundSchema),
    lazyType(() => GetDeploymentCustomEnvironmentDeployments2$outboundSchema)
  ]).optional(),
  aliasWarning: nullableType(lazyType(() => GetDeploymentResponseBodyAliasWarning$outboundSchema)).optional(),
  id: stringType(),
  type: ResponseBodyType$outboundSchema,
  createdAt: numberType(),
  name: stringType(),
  readyState: ResponseBodyReadyState$outboundSchema,
  aliasError: nullableType(lazyType(() => ResponseBodyAliasError$outboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  autoAssignCustomDomains: booleanType().optional(),
  automaticAliases: arrayType(stringType()).optional(),
  buildErrorAt: numberType().optional(),
  checksState: ResponseBodyChecksState$outboundSchema.optional(),
  checksConclusion: ResponseBodyChecksConclusion$outboundSchema.optional(),
  deletedAt: nullableType(numberType()).optional(),
  defaultRoute: stringType().optional(),
  canceledAt: numberType().optional(),
  errorCode: stringType().optional(),
  errorLink: stringType().optional(),
  errorMessage: nullableType(stringType()).optional(),
  errorStep: stringType().optional(),
  passiveRegions: arrayType(stringType()).optional(),
  gitSource: unionType([
    lazyType(() => GetDeploymentGitSourceDeployments6$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments8$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments1$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments3$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments2$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments4$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments5$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments7$outboundSchema),
    lazyType(() => GetDeploymentGitSourceDeployments9$outboundSchema)
  ]).optional(),
  meta: recordType(stringType()),
  originCacheRegion: stringType().optional(),
  project: lazyType(() => ResponseBodyProject$outboundSchema).optional(),
  readySubstate: ResponseBodyReadySubstate$outboundSchema.optional(),
  regions: arrayType(stringType()),
  softDeletedByRetention: booleanType().optional(),
  source: ResponseBodySource$outboundSchema.optional(),
  target: nullableType(ResponseBodyTarget$outboundSchema).optional(),
  undeletedAt: numberType().optional(),
  url: stringType(),
  version: numberType(),
  oidcTokenClaims: lazyType(() => ResponseBodyOidcTokenClaims$outboundSchema).optional(),
  projectId: stringType(),
  plan: ResponseBodyPlan$outboundSchema,
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdIn: stringType(),
  crons: arrayType(lazyType(() => ResponseBodyCrons$outboundSchema)).optional(),
  functions: nullableType(recordType(lazyType(() => ResponseBodyFunctions$outboundSchema))).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  ownerId: stringType(),
  passiveConnectConfigurationId: stringType().optional(),
  routes: nullableType(arrayType(unionType([
    lazyType(() => GetDeploymentRoutes3$outboundSchema),
    lazyType(() => GetDeploymentRoutes2$outboundSchema),
    lazyType(() => GetDeploymentRoutes1$outboundSchema)
  ]))),
  gitRepo: nullableType(unionType([
    lazyType(() => GetDeploymentGitRepo1$outboundSchema),
    lazyType(() => GetDeploymentGitRepo2$outboundSchema),
    lazyType(() => GetDeploymentGitRepo3$outboundSchema)
  ])).optional(),
  flags: unionType([
    lazyType(() => GetDeploymentFlags1$outboundSchema),
    arrayType(lazyType(() => GetDeploymentFlags2$outboundSchema))
  ]).optional(),
  microfrontends: unionType([
    lazyType(() => GetDeploymentMicrofrontends1$outboundSchema),
    lazyType(() => GetDeploymentMicrofrontends2$outboundSchema)
  ]).optional()
});
var GetDeploymentResponseBody1$;
(function(GetDeploymentResponseBody1$2) {
  GetDeploymentResponseBody1$2.inboundSchema = GetDeploymentResponseBody1$inboundSchema;
  GetDeploymentResponseBody1$2.outboundSchema = GetDeploymentResponseBody1$outboundSchema;
})(GetDeploymentResponseBody1$ || (GetDeploymentResponseBody1$ = {}));
var GetDeploymentResponseBody$inboundSchema = unionType([
  lazyType(() => GetDeploymentResponseBody2$inboundSchema),
  lazyType(() => GetDeploymentResponseBody1$inboundSchema)
]);
var GetDeploymentResponseBody$outboundSchema = unionType([
  lazyType(() => GetDeploymentResponseBody2$outboundSchema),
  lazyType(() => GetDeploymentResponseBody1$outboundSchema)
]);
var GetDeploymentResponseBody$;
(function(GetDeploymentResponseBody$2) {
  GetDeploymentResponseBody$2.inboundSchema = GetDeploymentResponseBody$inboundSchema;
  GetDeploymentResponseBody$2.outboundSchema = GetDeploymentResponseBody$outboundSchema;
})(GetDeploymentResponseBody$ || (GetDeploymentResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/deploymentsGetDeployment.js
async function deploymentsGetDeployment(client, request, options) {
  const parsed = safeParse(request, (value) => GetDeploymentRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrUrl: encodeSimple("idOrUrl", payload.idOrUrl, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v13/deployments/{idOrUrl}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId,
    withGitRepoInfo: payload.withGitRepoInfo
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getDeployment",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetDeploymentResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getdeploymenteventsop.js
var Direction = {
  Backward: "backward",
  Forward: "forward"
};
var Direction$inboundSchema = nativeEnumType(Direction);
var Direction$outboundSchema = Direction$inboundSchema;
var Direction$;
(function(Direction$2) {
  Direction$2.inboundSchema = Direction$inboundSchema;
  Direction$2.outboundSchema = Direction$outboundSchema;
})(Direction$ || (Direction$ = {}));
var StatusCode$inboundSchema = unionType([numberType(), stringType()]);
var StatusCode$outboundSchema = unionType([numberType(), stringType()]);
var StatusCode$;
(function(StatusCode$2) {
  StatusCode$2.inboundSchema = StatusCode$inboundSchema;
  StatusCode$2.outboundSchema = StatusCode$outboundSchema;
})(StatusCode$ || (StatusCode$ = {}));
var GetDeploymentEventsRequest$inboundSchema = objectType({
  idOrUrl: stringType(),
  direction: Direction$inboundSchema.default("forward"),
  follow: numberType().optional(),
  limit: numberType().optional(),
  name: stringType().optional(),
  since: numberType().optional(),
  until: numberType().optional(),
  statusCode: unionType([numberType(), stringType()]).optional(),
  delimiter: numberType().optional(),
  builds: numberType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetDeploymentEventsRequest$outboundSchema = objectType({
  idOrUrl: stringType(),
  direction: Direction$outboundSchema.default("forward"),
  follow: numberType().optional(),
  limit: numberType().optional(),
  name: stringType().optional(),
  since: numberType().optional(),
  until: numberType().optional(),
  statusCode: unionType([numberType(), stringType()]).optional(),
  delimiter: numberType().optional(),
  builds: numberType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetDeploymentEventsRequest$;
(function(GetDeploymentEventsRequest$2) {
  GetDeploymentEventsRequest$2.inboundSchema = GetDeploymentEventsRequest$inboundSchema;
  GetDeploymentEventsRequest$2.outboundSchema = GetDeploymentEventsRequest$outboundSchema;
})(GetDeploymentEventsRequest$ || (GetDeploymentEventsRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/deploymentsGetDeploymentEvents.js
async function deploymentsGetDeploymentEvents(client, request, options) {
  const parsed = safeParse(request, (value) => GetDeploymentEventsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrUrl: encodeSimple("idOrUrl", payload.idOrUrl, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v3/deployments/{idOrUrl}/events")(pathParams);
  const query = encodeFormQuery({
    builds: payload.builds,
    delimiter: payload.delimiter,
    direction: payload.direction,
    follow: payload.follow,
    limit: payload.limit,
    name: payload.name,
    since: payload.since,
    slug: payload.slug,
    statusCode: payload.statusCode,
    teamId: payload.teamId,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getDeploymentEvents",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail([500, "5XX"]), nil("2XX", voidType()))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getdeploymentfilecontentsop.js
var GetDeploymentFileContentsRequest$inboundSchema = objectType({
  id: stringType(),
  fileId: stringType(),
  path: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetDeploymentFileContentsRequest$outboundSchema = objectType({
  id: stringType(),
  fileId: stringType(),
  path: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetDeploymentFileContentsRequest$;
(function(GetDeploymentFileContentsRequest$2) {
  GetDeploymentFileContentsRequest$2.inboundSchema = GetDeploymentFileContentsRequest$inboundSchema;
  GetDeploymentFileContentsRequest$2.outboundSchema = GetDeploymentFileContentsRequest$outboundSchema;
})(GetDeploymentFileContentsRequest$ || (GetDeploymentFileContentsRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/deploymentsGetDeploymentFileContents.js
async function deploymentsGetDeploymentFileContents(client, request, options) {
  const parsed = safeParse(request, (value) => GetDeploymentFileContentsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    fileId: encodeSimple("fileId", payload.fileId, {
      explode: false,
      charEncoding: "percent"
    }),
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v7/deployments/{id}/files/{fileId}")(pathParams);
  const query = encodeFormQuery({
    path: payload.path,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getDeploymentFileContents",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "410", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 410, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), nil("2XX", voidType()), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getdeploymentsop.js
var GetDeploymentsSource = {
  ApiTriggerGitDeploy: "api-trigger-git-deploy",
  Cli: "cli",
  CloneRepo: "clone/repo",
  Git: "git",
  Import: "import",
  ImportRepo: "import/repo",
  Redeploy: "redeploy",
  V0Web: "v0-web"
};
var GetDeploymentsState = {
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Queued: "QUEUED",
  Ready: "READY",
  Canceled: "CANCELED",
  Deleted: "DELETED"
};
var GetDeploymentsReadyState = {
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Queued: "QUEUED",
  Ready: "READY",
  Canceled: "CANCELED",
  Deleted: "DELETED"
};
var GetDeploymentsType = {
  Lambdas: "LAMBDAS"
};
var GetDeploymentsTarget = {
  Production: "production",
  Staging: "staging"
};
var GetDeploymentsReadySubstate = {
  Staged: "STAGED",
  Promoted: "PROMOTED"
};
var GetDeploymentsChecksState = {
  Registered: "registered",
  Running: "running",
  Completed: "completed"
};
var GetDeploymentsChecksConclusion = {
  Succeeded: "succeeded",
  Failed: "failed",
  Skipped: "skipped",
  Canceled: "canceled"
};
var GetDeploymentsFramework = {
  Blitzjs: "blitzjs",
  Nextjs: "nextjs",
  Gatsby: "gatsby",
  Remix: "remix",
  Astro: "astro",
  Hexo: "hexo",
  Eleventy: "eleventy",
  Docusaurus2: "docusaurus-2",
  Docusaurus: "docusaurus",
  Preact: "preact",
  Solidstart1: "solidstart-1",
  Solidstart: "solidstart",
  Dojo: "dojo",
  Ember: "ember",
  Vue: "vue",
  Scully: "scully",
  IonicAngular: "ionic-angular",
  Angular: "angular",
  Polymer: "polymer",
  Svelte: "svelte",
  Sveltekit: "sveltekit",
  Sveltekit1: "sveltekit-1",
  IonicReact: "ionic-react",
  CreateReactApp: "create-react-app",
  Gridsome: "gridsome",
  Umijs: "umijs",
  Sapper: "sapper",
  Saber: "saber",
  Stencil: "stencil",
  Nuxtjs: "nuxtjs",
  Redwoodjs: "redwoodjs",
  Hugo: "hugo",
  Jekyll: "jekyll",
  Brunch: "brunch",
  Middleman: "middleman",
  Zola: "zola",
  Hydrogen: "hydrogen",
  Vite: "vite",
  Vitepress: "vitepress",
  Vuepress: "vuepress",
  Parcel: "parcel",
  Fasthtml: "fasthtml",
  SanityV3: "sanity-v3",
  Sanity: "sanity",
  Storybook: "storybook"
};
var GetDeploymentsNodeVersion = {
  TwentyTwoX: "22.x",
  TwentyX: "20.x",
  EighteenX: "18.x",
  SixteenX: "16.x",
  FourteenX: "14.x",
  TwelveX: "12.x",
  TenX: "10.x",
  Eight10X: "8.10.x"
};
var GetDeploymentsRequest$inboundSchema = objectType({
  app: stringType().optional(),
  from: numberType().optional(),
  limit: numberType().optional(),
  projectId: stringType().optional(),
  target: stringType().optional(),
  to: numberType().optional(),
  users: stringType().optional(),
  since: numberType().optional(),
  until: numberType().optional(),
  state: stringType().optional(),
  rollbackCandidate: booleanType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetDeploymentsRequest$outboundSchema = objectType({
  app: stringType().optional(),
  from: numberType().optional(),
  limit: numberType().optional(),
  projectId: stringType().optional(),
  target: stringType().optional(),
  to: numberType().optional(),
  users: stringType().optional(),
  since: numberType().optional(),
  until: numberType().optional(),
  state: stringType().optional(),
  rollbackCandidate: booleanType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetDeploymentsRequest$;
(function(GetDeploymentsRequest$2) {
  GetDeploymentsRequest$2.inboundSchema = GetDeploymentsRequest$inboundSchema;
  GetDeploymentsRequest$2.outboundSchema = GetDeploymentsRequest$outboundSchema;
})(GetDeploymentsRequest$ || (GetDeploymentsRequest$ = {}));
var GetDeploymentsSource$inboundSchema = nativeEnumType(GetDeploymentsSource);
var GetDeploymentsSource$outboundSchema = GetDeploymentsSource$inboundSchema;
var GetDeploymentsSource$;
(function(GetDeploymentsSource$2) {
  GetDeploymentsSource$2.inboundSchema = GetDeploymentsSource$inboundSchema;
  GetDeploymentsSource$2.outboundSchema = GetDeploymentsSource$outboundSchema;
})(GetDeploymentsSource$ || (GetDeploymentsSource$ = {}));
var GetDeploymentsState$inboundSchema = nativeEnumType(GetDeploymentsState);
var GetDeploymentsState$outboundSchema = GetDeploymentsState$inboundSchema;
var GetDeploymentsState$;
(function(GetDeploymentsState$2) {
  GetDeploymentsState$2.inboundSchema = GetDeploymentsState$inboundSchema;
  GetDeploymentsState$2.outboundSchema = GetDeploymentsState$outboundSchema;
})(GetDeploymentsState$ || (GetDeploymentsState$ = {}));
var GetDeploymentsReadyState$inboundSchema = nativeEnumType(GetDeploymentsReadyState);
var GetDeploymentsReadyState$outboundSchema = GetDeploymentsReadyState$inboundSchema;
var GetDeploymentsReadyState$;
(function(GetDeploymentsReadyState$2) {
  GetDeploymentsReadyState$2.inboundSchema = GetDeploymentsReadyState$inboundSchema;
  GetDeploymentsReadyState$2.outboundSchema = GetDeploymentsReadyState$outboundSchema;
})(GetDeploymentsReadyState$ || (GetDeploymentsReadyState$ = {}));
var GetDeploymentsType$inboundSchema = nativeEnumType(GetDeploymentsType);
var GetDeploymentsType$outboundSchema = GetDeploymentsType$inboundSchema;
var GetDeploymentsType$;
(function(GetDeploymentsType$2) {
  GetDeploymentsType$2.inboundSchema = GetDeploymentsType$inboundSchema;
  GetDeploymentsType$2.outboundSchema = GetDeploymentsType$outboundSchema;
})(GetDeploymentsType$ || (GetDeploymentsType$ = {}));
var GetDeploymentsCreator$inboundSchema = objectType({
  uid: stringType(),
  email: stringType().optional(),
  username: stringType().optional(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional()
});
var GetDeploymentsCreator$outboundSchema = objectType({
  uid: stringType(),
  email: stringType().optional(),
  username: stringType().optional(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional()
});
var GetDeploymentsCreator$;
(function(GetDeploymentsCreator$2) {
  GetDeploymentsCreator$2.inboundSchema = GetDeploymentsCreator$inboundSchema;
  GetDeploymentsCreator$2.outboundSchema = GetDeploymentsCreator$outboundSchema;
})(GetDeploymentsCreator$ || (GetDeploymentsCreator$ = {}));
var GetDeploymentsTarget$inboundSchema = nativeEnumType(GetDeploymentsTarget);
var GetDeploymentsTarget$outboundSchema = GetDeploymentsTarget$inboundSchema;
var GetDeploymentsTarget$;
(function(GetDeploymentsTarget$2) {
  GetDeploymentsTarget$2.inboundSchema = GetDeploymentsTarget$inboundSchema;
  GetDeploymentsTarget$2.outboundSchema = GetDeploymentsTarget$outboundSchema;
})(GetDeploymentsTarget$ || (GetDeploymentsTarget$ = {}));
var GetDeploymentsAliasError$inboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var GetDeploymentsAliasError$outboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var GetDeploymentsAliasError$;
(function(GetDeploymentsAliasError$2) {
  GetDeploymentsAliasError$2.inboundSchema = GetDeploymentsAliasError$inboundSchema;
  GetDeploymentsAliasError$2.outboundSchema = GetDeploymentsAliasError$outboundSchema;
})(GetDeploymentsAliasError$ || (GetDeploymentsAliasError$ = {}));
var GetDeploymentsAliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
var GetDeploymentsAliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
var GetDeploymentsAliasAssigned$;
(function(GetDeploymentsAliasAssigned$2) {
  GetDeploymentsAliasAssigned$2.inboundSchema = GetDeploymentsAliasAssigned$inboundSchema;
  GetDeploymentsAliasAssigned$2.outboundSchema = GetDeploymentsAliasAssigned$outboundSchema;
})(GetDeploymentsAliasAssigned$ || (GetDeploymentsAliasAssigned$ = {}));
var GetDeploymentsReadySubstate$inboundSchema = nativeEnumType(GetDeploymentsReadySubstate);
var GetDeploymentsReadySubstate$outboundSchema = GetDeploymentsReadySubstate$inboundSchema;
var GetDeploymentsReadySubstate$;
(function(GetDeploymentsReadySubstate$2) {
  GetDeploymentsReadySubstate$2.inboundSchema = GetDeploymentsReadySubstate$inboundSchema;
  GetDeploymentsReadySubstate$2.outboundSchema = GetDeploymentsReadySubstate$outboundSchema;
})(GetDeploymentsReadySubstate$ || (GetDeploymentsReadySubstate$ = {}));
var GetDeploymentsChecksState$inboundSchema = nativeEnumType(GetDeploymentsChecksState);
var GetDeploymentsChecksState$outboundSchema = GetDeploymentsChecksState$inboundSchema;
var GetDeploymentsChecksState$;
(function(GetDeploymentsChecksState$2) {
  GetDeploymentsChecksState$2.inboundSchema = GetDeploymentsChecksState$inboundSchema;
  GetDeploymentsChecksState$2.outboundSchema = GetDeploymentsChecksState$outboundSchema;
})(GetDeploymentsChecksState$ || (GetDeploymentsChecksState$ = {}));
var GetDeploymentsChecksConclusion$inboundSchema = nativeEnumType(GetDeploymentsChecksConclusion);
var GetDeploymentsChecksConclusion$outboundSchema = GetDeploymentsChecksConclusion$inboundSchema;
var GetDeploymentsChecksConclusion$;
(function(GetDeploymentsChecksConclusion$2) {
  GetDeploymentsChecksConclusion$2.inboundSchema = GetDeploymentsChecksConclusion$inboundSchema;
  GetDeploymentsChecksConclusion$2.outboundSchema = GetDeploymentsChecksConclusion$outboundSchema;
})(GetDeploymentsChecksConclusion$ || (GetDeploymentsChecksConclusion$ = {}));
var GetDeploymentsFramework$inboundSchema = nativeEnumType(GetDeploymentsFramework);
var GetDeploymentsFramework$outboundSchema = GetDeploymentsFramework$inboundSchema;
var GetDeploymentsFramework$;
(function(GetDeploymentsFramework$2) {
  GetDeploymentsFramework$2.inboundSchema = GetDeploymentsFramework$inboundSchema;
  GetDeploymentsFramework$2.outboundSchema = GetDeploymentsFramework$outboundSchema;
})(GetDeploymentsFramework$ || (GetDeploymentsFramework$ = {}));
var GetDeploymentsNodeVersion$inboundSchema = nativeEnumType(GetDeploymentsNodeVersion);
var GetDeploymentsNodeVersion$outboundSchema = GetDeploymentsNodeVersion$inboundSchema;
var GetDeploymentsNodeVersion$;
(function(GetDeploymentsNodeVersion$2) {
  GetDeploymentsNodeVersion$2.inboundSchema = GetDeploymentsNodeVersion$inboundSchema;
  GetDeploymentsNodeVersion$2.outboundSchema = GetDeploymentsNodeVersion$outboundSchema;
})(GetDeploymentsNodeVersion$ || (GetDeploymentsNodeVersion$ = {}));
var GetDeploymentsSpeedInsights$inboundSchema = objectType({
  id: stringType(),
  enabledAt: numberType().optional(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  hasData: booleanType().optional(),
  paidAt: numberType().optional()
});
var GetDeploymentsSpeedInsights$outboundSchema = objectType({
  id: stringType(),
  enabledAt: numberType().optional(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  hasData: booleanType().optional(),
  paidAt: numberType().optional()
});
var GetDeploymentsSpeedInsights$;
(function(GetDeploymentsSpeedInsights$2) {
  GetDeploymentsSpeedInsights$2.inboundSchema = GetDeploymentsSpeedInsights$inboundSchema;
  GetDeploymentsSpeedInsights$2.outboundSchema = GetDeploymentsSpeedInsights$outboundSchema;
})(GetDeploymentsSpeedInsights$ || (GetDeploymentsSpeedInsights$ = {}));
var GetDeploymentsWebAnalytics$inboundSchema = objectType({
  id: stringType(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  enabledAt: numberType().optional(),
  hasData: booleanType().optional()
});
var GetDeploymentsWebAnalytics$outboundSchema = objectType({
  id: stringType(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  enabledAt: numberType().optional(),
  hasData: booleanType().optional()
});
var GetDeploymentsWebAnalytics$;
(function(GetDeploymentsWebAnalytics$2) {
  GetDeploymentsWebAnalytics$2.inboundSchema = GetDeploymentsWebAnalytics$inboundSchema;
  GetDeploymentsWebAnalytics$2.outboundSchema = GetDeploymentsWebAnalytics$outboundSchema;
})(GetDeploymentsWebAnalytics$ || (GetDeploymentsWebAnalytics$ = {}));
var GetDeploymentsGitComments$inboundSchema = objectType({
  onPullRequest: booleanType(),
  onCommit: booleanType()
});
var GetDeploymentsGitComments$outboundSchema = objectType({
  onPullRequest: booleanType(),
  onCommit: booleanType()
});
var GetDeploymentsGitComments$;
(function(GetDeploymentsGitComments$2) {
  GetDeploymentsGitComments$2.inboundSchema = GetDeploymentsGitComments$inboundSchema;
  GetDeploymentsGitComments$2.outboundSchema = GetDeploymentsGitComments$outboundSchema;
})(GetDeploymentsGitComments$ || (GetDeploymentsGitComments$ = {}));
var GetDeploymentsProjectSettings$inboundSchema = objectType({
  framework: nullableType(GetDeploymentsFramework$inboundSchema).optional(),
  gitForkProtection: booleanType().optional(),
  customerSupportCodeVisibility: booleanType().optional(),
  gitLFS: booleanType().optional(),
  devCommand: nullableType(stringType()).optional(),
  installCommand: nullableType(stringType()).optional(),
  buildCommand: nullableType(stringType()).optional(),
  nodeVersion: GetDeploymentsNodeVersion$inboundSchema.optional(),
  outputDirectory: nullableType(stringType()).optional(),
  publicSource: nullableType(booleanType()).optional(),
  rootDirectory: nullableType(stringType()).optional(),
  serverlessFunctionRegion: nullableType(stringType()).optional(),
  sourceFilesOutsideRootDirectory: booleanType().optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  speedInsights: lazyType(() => GetDeploymentsSpeedInsights$inboundSchema).optional(),
  webAnalytics: lazyType(() => GetDeploymentsWebAnalytics$inboundSchema).optional(),
  skipGitConnectDuringLink: booleanType().optional(),
  gitComments: lazyType(() => GetDeploymentsGitComments$inboundSchema).optional()
});
var GetDeploymentsProjectSettings$outboundSchema = objectType({
  framework: nullableType(GetDeploymentsFramework$outboundSchema).optional(),
  gitForkProtection: booleanType().optional(),
  customerSupportCodeVisibility: booleanType().optional(),
  gitLFS: booleanType().optional(),
  devCommand: nullableType(stringType()).optional(),
  installCommand: nullableType(stringType()).optional(),
  buildCommand: nullableType(stringType()).optional(),
  nodeVersion: GetDeploymentsNodeVersion$outboundSchema.optional(),
  outputDirectory: nullableType(stringType()).optional(),
  publicSource: nullableType(booleanType()).optional(),
  rootDirectory: nullableType(stringType()).optional(),
  serverlessFunctionRegion: nullableType(stringType()).optional(),
  sourceFilesOutsideRootDirectory: booleanType().optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  speedInsights: lazyType(() => GetDeploymentsSpeedInsights$outboundSchema).optional(),
  webAnalytics: lazyType(() => GetDeploymentsWebAnalytics$outboundSchema).optional(),
  skipGitConnectDuringLink: booleanType().optional(),
  gitComments: lazyType(() => GetDeploymentsGitComments$outboundSchema).optional()
});
var GetDeploymentsProjectSettings$;
(function(GetDeploymentsProjectSettings$2) {
  GetDeploymentsProjectSettings$2.inboundSchema = GetDeploymentsProjectSettings$inboundSchema;
  GetDeploymentsProjectSettings$2.outboundSchema = GetDeploymentsProjectSettings$outboundSchema;
})(GetDeploymentsProjectSettings$ || (GetDeploymentsProjectSettings$ = {}));
var GetDeploymentsCustomEnvironment$inboundSchema = objectType({
  id: stringType(),
  slug: stringType().optional()
});
var GetDeploymentsCustomEnvironment$outboundSchema = objectType({
  id: stringType(),
  slug: stringType().optional()
});
var GetDeploymentsCustomEnvironment$;
(function(GetDeploymentsCustomEnvironment$2) {
  GetDeploymentsCustomEnvironment$2.inboundSchema = GetDeploymentsCustomEnvironment$inboundSchema;
  GetDeploymentsCustomEnvironment$2.outboundSchema = GetDeploymentsCustomEnvironment$outboundSchema;
})(GetDeploymentsCustomEnvironment$ || (GetDeploymentsCustomEnvironment$ = {}));
var Deployments$inboundSchema = objectType({
  uid: stringType(),
  name: stringType(),
  url: stringType(),
  created: numberType(),
  defaultRoute: stringType().optional(),
  deleted: numberType().optional(),
  undeleted: numberType().optional(),
  softDeletedByRetention: booleanType().optional(),
  source: GetDeploymentsSource$inboundSchema.optional(),
  state: GetDeploymentsState$inboundSchema.optional(),
  readyState: GetDeploymentsReadyState$inboundSchema.optional(),
  type: GetDeploymentsType$inboundSchema,
  creator: lazyType(() => GetDeploymentsCreator$inboundSchema),
  meta: recordType(stringType()).optional(),
  target: nullableType(GetDeploymentsTarget$inboundSchema).optional(),
  aliasError: nullableType(lazyType(() => GetDeploymentsAliasError$inboundSchema)).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  createdAt: numberType().optional(),
  buildingAt: numberType().optional(),
  ready: numberType().optional(),
  readySubstate: GetDeploymentsReadySubstate$inboundSchema.optional(),
  checksState: GetDeploymentsChecksState$inboundSchema.optional(),
  checksConclusion: GetDeploymentsChecksConclusion$inboundSchema.optional(),
  inspectorUrl: nullableType(stringType()),
  isRollbackCandidate: nullableType(booleanType()).optional(),
  projectSettings: lazyType(() => GetDeploymentsProjectSettings$inboundSchema).optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  passiveConnectConfigurationId: stringType().optional(),
  expiration: numberType().optional(),
  proposedExpiration: numberType().optional(),
  customEnvironment: lazyType(() => GetDeploymentsCustomEnvironment$inboundSchema).optional()
});
var Deployments$outboundSchema = objectType({
  uid: stringType(),
  name: stringType(),
  url: stringType(),
  created: numberType(),
  defaultRoute: stringType().optional(),
  deleted: numberType().optional(),
  undeleted: numberType().optional(),
  softDeletedByRetention: booleanType().optional(),
  source: GetDeploymentsSource$outboundSchema.optional(),
  state: GetDeploymentsState$outboundSchema.optional(),
  readyState: GetDeploymentsReadyState$outboundSchema.optional(),
  type: GetDeploymentsType$outboundSchema,
  creator: lazyType(() => GetDeploymentsCreator$outboundSchema),
  meta: recordType(stringType()).optional(),
  target: nullableType(GetDeploymentsTarget$outboundSchema).optional(),
  aliasError: nullableType(lazyType(() => GetDeploymentsAliasError$outboundSchema)).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  createdAt: numberType().optional(),
  buildingAt: numberType().optional(),
  ready: numberType().optional(),
  readySubstate: GetDeploymentsReadySubstate$outboundSchema.optional(),
  checksState: GetDeploymentsChecksState$outboundSchema.optional(),
  checksConclusion: GetDeploymentsChecksConclusion$outboundSchema.optional(),
  inspectorUrl: nullableType(stringType()),
  isRollbackCandidate: nullableType(booleanType()).optional(),
  projectSettings: lazyType(() => GetDeploymentsProjectSettings$outboundSchema).optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  passiveConnectConfigurationId: stringType().optional(),
  expiration: numberType().optional(),
  proposedExpiration: numberType().optional(),
  customEnvironment: lazyType(() => GetDeploymentsCustomEnvironment$outboundSchema).optional()
});
var Deployments$;
(function(Deployments$2) {
  Deployments$2.inboundSchema = Deployments$inboundSchema;
  Deployments$2.outboundSchema = Deployments$outboundSchema;
})(Deployments$ || (Deployments$ = {}));
var GetDeploymentsResponseBody$inboundSchema = objectType({
  pagination: Pagination$inboundSchema,
  deployments: arrayType(lazyType(() => Deployments$inboundSchema))
});
var GetDeploymentsResponseBody$outboundSchema = objectType({
  pagination: Pagination$outboundSchema,
  deployments: arrayType(lazyType(() => Deployments$outboundSchema))
});
var GetDeploymentsResponseBody$;
(function(GetDeploymentsResponseBody$2) {
  GetDeploymentsResponseBody$2.inboundSchema = GetDeploymentsResponseBody$inboundSchema;
  GetDeploymentsResponseBody$2.outboundSchema = GetDeploymentsResponseBody$outboundSchema;
})(GetDeploymentsResponseBody$ || (GetDeploymentsResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/deploymentsGetDeployments.js
async function deploymentsGetDeployments(client, request, options) {
  const parsed = safeParse(request, (value) => GetDeploymentsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v6/deployments")();
  const query = encodeFormQuery({
    app: payload.app,
    from: payload.from,
    limit: payload.limit,
    projectId: payload.projectId,
    rollbackCandidate: payload.rollbackCandidate,
    since: payload.since,
    slug: payload.slug,
    state: payload.state,
    target: payload.target,
    teamId: payload.teamId,
    to: payload.to,
    until: payload.until,
    users: payload.users
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getDeployments",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "422", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetDeploymentsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 422, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/filetree.js
var Type = {
  Directory: "directory",
  File: "file",
  Symlink: "symlink",
  Lambda: "lambda",
  Middleware: "middleware",
  Invalid: "invalid"
};
var Type$inboundSchema = nativeEnumType(Type);
var Type$outboundSchema = Type$inboundSchema;
var Type$;
(function(Type$2) {
  Type$2.inboundSchema = Type$inboundSchema;
  Type$2.outboundSchema = Type$outboundSchema;
})(Type$ || (Type$ = {}));
var FileTree$inboundSchema = objectType({
  name: stringType(),
  type: Type$inboundSchema,
  uid: stringType().optional(),
  children: arrayType(lazyType(() => FileTree$inboundSchema)).optional(),
  contentType: stringType().optional(),
  mode: numberType(),
  symlink: stringType().optional()
});
var FileTree$outboundSchema = objectType({
  name: stringType(),
  type: Type$outboundSchema,
  uid: stringType().optional(),
  children: arrayType(lazyType(() => FileTree$outboundSchema)).optional(),
  contentType: stringType().optional(),
  mode: numberType(),
  symlink: stringType().optional()
});
var FileTree$;
(function(FileTree$2) {
  FileTree$2.inboundSchema = FileTree$inboundSchema;
  FileTree$2.outboundSchema = FileTree$outboundSchema;
})(FileTree$ || (FileTree$ = {}));

// node_modules/@vercel/sdk/esm/models/listdeploymentfilesop.js
var ListDeploymentFilesRequest$inboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ListDeploymentFilesRequest$outboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ListDeploymentFilesRequest$;
(function(ListDeploymentFilesRequest$2) {
  ListDeploymentFilesRequest$2.inboundSchema = ListDeploymentFilesRequest$inboundSchema;
  ListDeploymentFilesRequest$2.outboundSchema = ListDeploymentFilesRequest$outboundSchema;
})(ListDeploymentFilesRequest$ || (ListDeploymentFilesRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/deploymentsListDeploymentFiles.js
async function deploymentsListDeploymentFiles(client, request, options) {
  const parsed = safeParse(request, (value) => ListDeploymentFilesRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v6/deployments/{id}/files")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "listDeploymentFiles",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, arrayType(FileTree$inboundSchema)), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/uploadfileop.js
var UploadFileRequest$inboundSchema = objectType({
  "Content-Length": numberType().optional(),
  "x-vercel-digest": stringType().optional(),
  "x-now-digest": stringType().optional(),
  "x-now-size": numberType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
}).transform((v2) => {
  return remap(v2, {
    "Content-Length": "contentLength",
    "x-vercel-digest": "xVercelDigest",
    "x-now-digest": "xNowDigest",
    "x-now-size": "xNowSize"
  });
});
var UploadFileRequest$outboundSchema = objectType({
  contentLength: numberType().optional(),
  xVercelDigest: stringType().optional(),
  xNowDigest: stringType().optional(),
  xNowSize: numberType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
}).transform((v2) => {
  return remap(v2, {
    contentLength: "Content-Length",
    xVercelDigest: "x-vercel-digest",
    xNowDigest: "x-now-digest",
    xNowSize: "x-now-size"
  });
});
var UploadFileRequest$;
(function(UploadFileRequest$2) {
  UploadFileRequest$2.inboundSchema = UploadFileRequest$inboundSchema;
  UploadFileRequest$2.outboundSchema = UploadFileRequest$outboundSchema;
})(UploadFileRequest$ || (UploadFileRequest$ = {}));
var UploadFileResponseBody2$inboundSchema = objectType({});
var UploadFileResponseBody2$outboundSchema = objectType({});
var UploadFileResponseBody2$;
(function(UploadFileResponseBody2$2) {
  UploadFileResponseBody2$2.inboundSchema = UploadFileResponseBody2$inboundSchema;
  UploadFileResponseBody2$2.outboundSchema = UploadFileResponseBody2$outboundSchema;
})(UploadFileResponseBody2$ || (UploadFileResponseBody2$ = {}));
var UploadFileResponseBody1$inboundSchema = objectType({
  urls: arrayType(stringType())
});
var UploadFileResponseBody1$outboundSchema = objectType({
  urls: arrayType(stringType())
});
var UploadFileResponseBody1$;
(function(UploadFileResponseBody1$2) {
  UploadFileResponseBody1$2.inboundSchema = UploadFileResponseBody1$inboundSchema;
  UploadFileResponseBody1$2.outboundSchema = UploadFileResponseBody1$outboundSchema;
})(UploadFileResponseBody1$ || (UploadFileResponseBody1$ = {}));
var UploadFileResponseBody$inboundSchema = unionType([
  lazyType(() => UploadFileResponseBody2$inboundSchema),
  lazyType(() => UploadFileResponseBody1$inboundSchema)
]);
var UploadFileResponseBody$outboundSchema = unionType([
  lazyType(() => UploadFileResponseBody2$outboundSchema),
  lazyType(() => UploadFileResponseBody1$outboundSchema)
]);
var UploadFileResponseBody$;
(function(UploadFileResponseBody$2) {
  UploadFileResponseBody$2.inboundSchema = UploadFileResponseBody$inboundSchema;
  UploadFileResponseBody$2.outboundSchema = UploadFileResponseBody$outboundSchema;
})(UploadFileResponseBody$ || (UploadFileResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/deploymentsUploadFile.js
async function deploymentsUploadFile(client, request, options) {
  const parsed = safeParse(request, (value) => UploadFileRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v2/files")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json",
    "Content-Length": encodeSimple("Content-Length", payload["Content-Length"], { explode: false, charEncoding: "none" }),
    "x-now-digest": encodeSimple("x-now-digest", payload["x-now-digest"], {
      explode: false,
      charEncoding: "none"
    }),
    "x-now-size": encodeSimple("x-now-size", payload["x-now-size"], {
      explode: false,
      charEncoding: "none"
    }),
    "x-vercel-digest": encodeSimple("x-vercel-digest", payload["x-vercel-digest"], { explode: false, charEncoding: "none" })
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "uploadFile",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UploadFileResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/deployments.js
class Deployments extends ClientSDK {
  async getDeploymentEvents(request, options) {
    return unwrapAsync(deploymentsGetDeploymentEvents(this, request, options));
  }
  async getDeployment(request, options) {
    return unwrapAsync(deploymentsGetDeployment(this, request, options));
  }
  async createDeployment(request, options) {
    return unwrapAsync(deploymentsCreateDeployment(this, request, options));
  }
  async cancelDeployment(request, options) {
    return unwrapAsync(deploymentsCancelDeployment(this, request, options));
  }
  async uploadFile(request, options) {
    return unwrapAsync(deploymentsUploadFile(this, request, options));
  }
  async listDeploymentFiles(request, options) {
    return unwrapAsync(deploymentsListDeploymentFiles(this, request, options));
  }
  async getDeploymentFileContents(request, options) {
    return unwrapAsync(deploymentsGetDeploymentFileContents(this, request, options));
  }
  async getDeployments(request, options) {
    return unwrapAsync(deploymentsGetDeployments(this, request, options));
  }
  async deleteDeployment(request, options) {
    return unwrapAsync(deploymentsDeleteDeployment(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/createrecordop.js
var CreateRecordRequestBodyDnsRequest10Type = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS"
};
var CreateRecordRequestBodyDnsRequest9Type = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS"
};
var CreateRecordRequestBodyDnsRequest8Type = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS"
};
var CreateRecordRequestBodyDnsRequest7Type = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS"
};
var CreateRecordRequestBodyDnsRequest6Type = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS"
};
var CreateRecordRequestBodyDnsRequest5Type = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS"
};
var CreateRecordRequestBodyDnsRequestType = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS"
};
var CreateRecordRequestBodyDnsType = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS"
};
var CreateRecordRequestBodyType = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS"
};
var RequestBodyType = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS"
};
var CreateRecordRequestBodyDnsRequest10Type$inboundSchema = nativeEnumType(CreateRecordRequestBodyDnsRequest10Type);
var CreateRecordRequestBodyDnsRequest10Type$outboundSchema = CreateRecordRequestBodyDnsRequest10Type$inboundSchema;
var CreateRecordRequestBodyDnsRequest10Type$;
(function(CreateRecordRequestBodyDnsRequest10Type$2) {
  CreateRecordRequestBodyDnsRequest10Type$2.inboundSchema = CreateRecordRequestBodyDnsRequest10Type$inboundSchema;
  CreateRecordRequestBodyDnsRequest10Type$2.outboundSchema = CreateRecordRequestBodyDnsRequest10Type$outboundSchema;
})(CreateRecordRequestBodyDnsRequest10Type$ || (CreateRecordRequestBodyDnsRequest10Type$ = {}));
var RequestBodyHttps$inboundSchema = objectType({
  priority: nullableType(numberType()),
  target: stringType(),
  params: stringType().optional()
});
var RequestBodyHttps$outboundSchema = objectType({
  priority: nullableType(numberType()),
  target: stringType(),
  params: stringType().optional()
});
var RequestBodyHttps$;
(function(RequestBodyHttps$2) {
  RequestBodyHttps$2.inboundSchema = RequestBodyHttps$inboundSchema;
  RequestBodyHttps$2.outboundSchema = RequestBodyHttps$outboundSchema;
})(RequestBodyHttps$ || (RequestBodyHttps$ = {}));
var Ten$inboundSchema = objectType({
  type: CreateRecordRequestBodyDnsRequest10Type$inboundSchema,
  ttl: numberType().optional(),
  https: lazyType(() => RequestBodyHttps$inboundSchema),
  comment: stringType().optional()
});
var Ten$outboundSchema = objectType({
  type: CreateRecordRequestBodyDnsRequest10Type$outboundSchema,
  ttl: numberType().optional(),
  https: lazyType(() => RequestBodyHttps$outboundSchema),
  comment: stringType().optional()
});
var Ten$;
(function(Ten$2) {
  Ten$2.inboundSchema = Ten$inboundSchema;
  Ten$2.outboundSchema = Ten$outboundSchema;
})(Ten$ || (Ten$ = {}));
var CreateRecordRequestBodyDnsRequest9Type$inboundSchema = nativeEnumType(CreateRecordRequestBodyDnsRequest9Type);
var CreateRecordRequestBodyDnsRequest9Type$outboundSchema = CreateRecordRequestBodyDnsRequest9Type$inboundSchema;
var CreateRecordRequestBodyDnsRequest9Type$;
(function(CreateRecordRequestBodyDnsRequest9Type$2) {
  CreateRecordRequestBodyDnsRequest9Type$2.inboundSchema = CreateRecordRequestBodyDnsRequest9Type$inboundSchema;
  CreateRecordRequestBodyDnsRequest9Type$2.outboundSchema = CreateRecordRequestBodyDnsRequest9Type$outboundSchema;
})(CreateRecordRequestBodyDnsRequest9Type$ || (CreateRecordRequestBodyDnsRequest9Type$ = {}));
var Nine$inboundSchema = objectType({
  name: stringType(),
  type: CreateRecordRequestBodyDnsRequest9Type$inboundSchema,
  ttl: numberType().optional(),
  value: stringType().optional(),
  comment: stringType().optional()
});
var Nine$outboundSchema = objectType({
  name: stringType(),
  type: CreateRecordRequestBodyDnsRequest9Type$outboundSchema,
  ttl: numberType().optional(),
  value: stringType().optional(),
  comment: stringType().optional()
});
var Nine$;
(function(Nine$2) {
  Nine$2.inboundSchema = Nine$inboundSchema;
  Nine$2.outboundSchema = Nine$outboundSchema;
})(Nine$ || (Nine$ = {}));
var CreateRecordRequestBodyDnsRequest8Type$inboundSchema = nativeEnumType(CreateRecordRequestBodyDnsRequest8Type);
var CreateRecordRequestBodyDnsRequest8Type$outboundSchema = CreateRecordRequestBodyDnsRequest8Type$inboundSchema;
var CreateRecordRequestBodyDnsRequest8Type$;
(function(CreateRecordRequestBodyDnsRequest8Type$2) {
  CreateRecordRequestBodyDnsRequest8Type$2.inboundSchema = CreateRecordRequestBodyDnsRequest8Type$inboundSchema;
  CreateRecordRequestBodyDnsRequest8Type$2.outboundSchema = CreateRecordRequestBodyDnsRequest8Type$outboundSchema;
})(CreateRecordRequestBodyDnsRequest8Type$ || (CreateRecordRequestBodyDnsRequest8Type$ = {}));
var Eight$inboundSchema = objectType({
  type: CreateRecordRequestBodyDnsRequest8Type$inboundSchema,
  ttl: numberType().optional(),
  value: stringType(),
  comment: stringType().optional()
});
var Eight$outboundSchema = objectType({
  type: CreateRecordRequestBodyDnsRequest8Type$outboundSchema,
  ttl: numberType().optional(),
  value: stringType(),
  comment: stringType().optional()
});
var Eight$;
(function(Eight$2) {
  Eight$2.inboundSchema = Eight$inboundSchema;
  Eight$2.outboundSchema = Eight$outboundSchema;
})(Eight$ || (Eight$ = {}));
var CreateRecordRequestBodyDnsRequest7Type$inboundSchema = nativeEnumType(CreateRecordRequestBodyDnsRequest7Type);
var CreateRecordRequestBodyDnsRequest7Type$outboundSchema = CreateRecordRequestBodyDnsRequest7Type$inboundSchema;
var CreateRecordRequestBodyDnsRequest7Type$;
(function(CreateRecordRequestBodyDnsRequest7Type$2) {
  CreateRecordRequestBodyDnsRequest7Type$2.inboundSchema = CreateRecordRequestBodyDnsRequest7Type$inboundSchema;
  CreateRecordRequestBodyDnsRequest7Type$2.outboundSchema = CreateRecordRequestBodyDnsRequest7Type$outboundSchema;
})(CreateRecordRequestBodyDnsRequest7Type$ || (CreateRecordRequestBodyDnsRequest7Type$ = {}));
var RequestBodySrv$inboundSchema = objectType({
  priority: nullableType(numberType()),
  weight: nullableType(numberType()),
  port: nullableType(numberType()),
  target: stringType()
});
var RequestBodySrv$outboundSchema = objectType({
  priority: nullableType(numberType()),
  weight: nullableType(numberType()),
  port: nullableType(numberType()),
  target: stringType()
});
var RequestBodySrv$;
(function(RequestBodySrv$2) {
  RequestBodySrv$2.inboundSchema = RequestBodySrv$inboundSchema;
  RequestBodySrv$2.outboundSchema = RequestBodySrv$outboundSchema;
})(RequestBodySrv$ || (RequestBodySrv$ = {}));
var Seven$inboundSchema = objectType({
  type: CreateRecordRequestBodyDnsRequest7Type$inboundSchema,
  ttl: numberType().optional(),
  srv: lazyType(() => RequestBodySrv$inboundSchema),
  comment: stringType().optional()
});
var Seven$outboundSchema = objectType({
  type: CreateRecordRequestBodyDnsRequest7Type$outboundSchema,
  ttl: numberType().optional(),
  srv: lazyType(() => RequestBodySrv$outboundSchema),
  comment: stringType().optional()
});
var Seven$;
(function(Seven$2) {
  Seven$2.inboundSchema = Seven$inboundSchema;
  Seven$2.outboundSchema = Seven$outboundSchema;
})(Seven$ || (Seven$ = {}));
var CreateRecordRequestBodyDnsRequest6Type$inboundSchema = nativeEnumType(CreateRecordRequestBodyDnsRequest6Type);
var CreateRecordRequestBodyDnsRequest6Type$outboundSchema = CreateRecordRequestBodyDnsRequest6Type$inboundSchema;
var CreateRecordRequestBodyDnsRequest6Type$;
(function(CreateRecordRequestBodyDnsRequest6Type$2) {
  CreateRecordRequestBodyDnsRequest6Type$2.inboundSchema = CreateRecordRequestBodyDnsRequest6Type$inboundSchema;
  CreateRecordRequestBodyDnsRequest6Type$2.outboundSchema = CreateRecordRequestBodyDnsRequest6Type$outboundSchema;
})(CreateRecordRequestBodyDnsRequest6Type$ || (CreateRecordRequestBodyDnsRequest6Type$ = {}));
var Six$inboundSchema = objectType({
  name: stringType(),
  type: CreateRecordRequestBodyDnsRequest6Type$inboundSchema,
  ttl: numberType().optional(),
  value: stringType(),
  mxPriority: numberType(),
  comment: stringType().optional()
});
var Six$outboundSchema = objectType({
  name: stringType(),
  type: CreateRecordRequestBodyDnsRequest6Type$outboundSchema,
  ttl: numberType().optional(),
  value: stringType(),
  mxPriority: numberType(),
  comment: stringType().optional()
});
var Six$;
(function(Six$2) {
  Six$2.inboundSchema = Six$inboundSchema;
  Six$2.outboundSchema = Six$outboundSchema;
})(Six$ || (Six$ = {}));
var CreateRecordRequestBodyDnsRequest5Type$inboundSchema = nativeEnumType(CreateRecordRequestBodyDnsRequest5Type);
var CreateRecordRequestBodyDnsRequest5Type$outboundSchema = CreateRecordRequestBodyDnsRequest5Type$inboundSchema;
var CreateRecordRequestBodyDnsRequest5Type$;
(function(CreateRecordRequestBodyDnsRequest5Type$2) {
  CreateRecordRequestBodyDnsRequest5Type$2.inboundSchema = CreateRecordRequestBodyDnsRequest5Type$inboundSchema;
  CreateRecordRequestBodyDnsRequest5Type$2.outboundSchema = CreateRecordRequestBodyDnsRequest5Type$outboundSchema;
})(CreateRecordRequestBodyDnsRequest5Type$ || (CreateRecordRequestBodyDnsRequest5Type$ = {}));
var RequestBody5$inboundSchema = objectType({
  name: stringType(),
  type: CreateRecordRequestBodyDnsRequest5Type$inboundSchema,
  ttl: numberType().optional(),
  value: stringType().optional(),
  comment: stringType().optional()
});
var RequestBody5$outboundSchema = objectType({
  name: stringType(),
  type: CreateRecordRequestBodyDnsRequest5Type$outboundSchema,
  ttl: numberType().optional(),
  value: stringType().optional(),
  comment: stringType().optional()
});
var RequestBody5$;
(function(RequestBody5$2) {
  RequestBody5$2.inboundSchema = RequestBody5$inboundSchema;
  RequestBody5$2.outboundSchema = RequestBody5$outboundSchema;
})(RequestBody5$ || (RequestBody5$ = {}));
var CreateRecordRequestBodyDnsRequestType$inboundSchema = nativeEnumType(CreateRecordRequestBodyDnsRequestType);
var CreateRecordRequestBodyDnsRequestType$outboundSchema = CreateRecordRequestBodyDnsRequestType$inboundSchema;
var CreateRecordRequestBodyDnsRequestType$;
(function(CreateRecordRequestBodyDnsRequestType$2) {
  CreateRecordRequestBodyDnsRequestType$2.inboundSchema = CreateRecordRequestBodyDnsRequestType$inboundSchema;
  CreateRecordRequestBodyDnsRequestType$2.outboundSchema = CreateRecordRequestBodyDnsRequestType$outboundSchema;
})(CreateRecordRequestBodyDnsRequestType$ || (CreateRecordRequestBodyDnsRequestType$ = {}));
var RequestBody4$inboundSchema = objectType({
  name: stringType(),
  type: CreateRecordRequestBodyDnsRequestType$inboundSchema,
  ttl: numberType().optional(),
  value: stringType(),
  comment: stringType().optional()
});
var RequestBody4$outboundSchema = objectType({
  name: stringType(),
  type: CreateRecordRequestBodyDnsRequestType$outboundSchema,
  ttl: numberType().optional(),
  value: stringType(),
  comment: stringType().optional()
});
var RequestBody4$;
(function(RequestBody4$2) {
  RequestBody4$2.inboundSchema = RequestBody4$inboundSchema;
  RequestBody4$2.outboundSchema = RequestBody4$outboundSchema;
})(RequestBody4$ || (RequestBody4$ = {}));
var CreateRecordRequestBodyDnsType$inboundSchema = nativeEnumType(CreateRecordRequestBodyDnsType);
var CreateRecordRequestBodyDnsType$outboundSchema = CreateRecordRequestBodyDnsType$inboundSchema;
var CreateRecordRequestBodyDnsType$;
(function(CreateRecordRequestBodyDnsType$2) {
  CreateRecordRequestBodyDnsType$2.inboundSchema = CreateRecordRequestBodyDnsType$inboundSchema;
  CreateRecordRequestBodyDnsType$2.outboundSchema = CreateRecordRequestBodyDnsType$outboundSchema;
})(CreateRecordRequestBodyDnsType$ || (CreateRecordRequestBodyDnsType$ = {}));
var RequestBody3$inboundSchema = objectType({
  name: stringType(),
  type: CreateRecordRequestBodyDnsType$inboundSchema,
  ttl: numberType().optional(),
  value: stringType(),
  comment: stringType().optional()
});
var RequestBody3$outboundSchema = objectType({
  name: stringType(),
  type: CreateRecordRequestBodyDnsType$outboundSchema,
  ttl: numberType().optional(),
  value: stringType(),
  comment: stringType().optional()
});
var RequestBody3$;
(function(RequestBody3$2) {
  RequestBody3$2.inboundSchema = RequestBody3$inboundSchema;
  RequestBody3$2.outboundSchema = RequestBody3$outboundSchema;
})(RequestBody3$ || (RequestBody3$ = {}));
var CreateRecordRequestBodyType$inboundSchema = nativeEnumType(CreateRecordRequestBodyType);
var CreateRecordRequestBodyType$outboundSchema = CreateRecordRequestBodyType$inboundSchema;
var CreateRecordRequestBodyType$;
(function(CreateRecordRequestBodyType$2) {
  CreateRecordRequestBodyType$2.inboundSchema = CreateRecordRequestBodyType$inboundSchema;
  CreateRecordRequestBodyType$2.outboundSchema = CreateRecordRequestBodyType$outboundSchema;
})(CreateRecordRequestBodyType$ || (CreateRecordRequestBodyType$ = {}));
var RequestBody2$inboundSchema = objectType({
  name: stringType(),
  type: CreateRecordRequestBodyType$inboundSchema,
  ttl: numberType().optional(),
  value: stringType(),
  comment: stringType().optional()
});
var RequestBody2$outboundSchema = objectType({
  name: stringType(),
  type: CreateRecordRequestBodyType$outboundSchema,
  ttl: numberType().optional(),
  value: stringType(),
  comment: stringType().optional()
});
var RequestBody2$;
(function(RequestBody2$2) {
  RequestBody2$2.inboundSchema = RequestBody2$inboundSchema;
  RequestBody2$2.outboundSchema = RequestBody2$outboundSchema;
})(RequestBody2$ || (RequestBody2$ = {}));
var RequestBodyType$inboundSchema = nativeEnumType(RequestBodyType);
var RequestBodyType$outboundSchema = RequestBodyType$inboundSchema;
var RequestBodyType$;
(function(RequestBodyType$2) {
  RequestBodyType$2.inboundSchema = RequestBodyType$inboundSchema;
  RequestBodyType$2.outboundSchema = RequestBodyType$outboundSchema;
})(RequestBodyType$ || (RequestBodyType$ = {}));
var RequestBody1$inboundSchema = objectType({
  name: stringType(),
  type: RequestBodyType$inboundSchema,
  ttl: numberType().optional(),
  value: stringType(),
  comment: stringType().optional()
});
var RequestBody1$outboundSchema = objectType({
  name: stringType(),
  type: RequestBodyType$outboundSchema,
  ttl: numberType().optional(),
  value: stringType(),
  comment: stringType().optional()
});
var RequestBody1$;
(function(RequestBody1$2) {
  RequestBody1$2.inboundSchema = RequestBody1$inboundSchema;
  RequestBody1$2.outboundSchema = RequestBody1$outboundSchema;
})(RequestBody1$ || (RequestBody1$ = {}));
var CreateRecordRequestBody$inboundSchema = unionType([
  lazyType(() => Seven$inboundSchema),
  lazyType(() => Eight$inboundSchema),
  lazyType(() => Ten$inboundSchema),
  lazyType(() => RequestBody1$inboundSchema),
  lazyType(() => RequestBody2$inboundSchema),
  lazyType(() => RequestBody3$inboundSchema),
  lazyType(() => RequestBody4$inboundSchema),
  lazyType(() => RequestBody5$inboundSchema),
  lazyType(() => Nine$inboundSchema),
  lazyType(() => Six$inboundSchema)
]);
var CreateRecordRequestBody$outboundSchema = unionType([
  lazyType(() => Seven$outboundSchema),
  lazyType(() => Eight$outboundSchema),
  lazyType(() => Ten$outboundSchema),
  lazyType(() => RequestBody1$outboundSchema),
  lazyType(() => RequestBody2$outboundSchema),
  lazyType(() => RequestBody3$outboundSchema),
  lazyType(() => RequestBody4$outboundSchema),
  lazyType(() => RequestBody5$outboundSchema),
  lazyType(() => Nine$outboundSchema),
  lazyType(() => Six$outboundSchema)
]);
var CreateRecordRequestBody$;
(function(CreateRecordRequestBody$2) {
  CreateRecordRequestBody$2.inboundSchema = CreateRecordRequestBody$inboundSchema;
  CreateRecordRequestBody$2.outboundSchema = CreateRecordRequestBody$outboundSchema;
})(CreateRecordRequestBody$ || (CreateRecordRequestBody$ = {}));
var CreateRecordRequest$inboundSchema = objectType({
  domain: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: unionType([
    lazyType(() => Seven$inboundSchema),
    lazyType(() => Eight$inboundSchema),
    lazyType(() => Ten$inboundSchema),
    lazyType(() => RequestBody1$inboundSchema),
    lazyType(() => RequestBody2$inboundSchema),
    lazyType(() => RequestBody3$inboundSchema),
    lazyType(() => RequestBody4$inboundSchema),
    lazyType(() => RequestBody5$inboundSchema),
    lazyType(() => Nine$inboundSchema),
    lazyType(() => Six$inboundSchema)
  ])
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var CreateRecordRequest$outboundSchema = objectType({
  domain: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: unionType([
    lazyType(() => Seven$outboundSchema),
    lazyType(() => Eight$outboundSchema),
    lazyType(() => Ten$outboundSchema),
    lazyType(() => RequestBody1$outboundSchema),
    lazyType(() => RequestBody2$outboundSchema),
    lazyType(() => RequestBody3$outboundSchema),
    lazyType(() => RequestBody4$outboundSchema),
    lazyType(() => RequestBody5$outboundSchema),
    lazyType(() => Nine$outboundSchema),
    lazyType(() => Six$outboundSchema)
  ])
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var CreateRecordRequest$;
(function(CreateRecordRequest$2) {
  CreateRecordRequest$2.inboundSchema = CreateRecordRequest$inboundSchema;
  CreateRecordRequest$2.outboundSchema = CreateRecordRequest$outboundSchema;
})(CreateRecordRequest$ || (CreateRecordRequest$ = {}));
var CreateRecordResponseBody2$inboundSchema = objectType({
  uid: stringType()
});
var CreateRecordResponseBody2$outboundSchema = objectType({
  uid: stringType()
});
var CreateRecordResponseBody2$;
(function(CreateRecordResponseBody2$2) {
  CreateRecordResponseBody2$2.inboundSchema = CreateRecordResponseBody2$inboundSchema;
  CreateRecordResponseBody2$2.outboundSchema = CreateRecordResponseBody2$outboundSchema;
})(CreateRecordResponseBody2$ || (CreateRecordResponseBody2$ = {}));
var CreateRecordResponseBody1$inboundSchema = objectType({
  uid: stringType(),
  updated: numberType()
});
var CreateRecordResponseBody1$outboundSchema = objectType({
  uid: stringType(),
  updated: numberType()
});
var CreateRecordResponseBody1$;
(function(CreateRecordResponseBody1$2) {
  CreateRecordResponseBody1$2.inboundSchema = CreateRecordResponseBody1$inboundSchema;
  CreateRecordResponseBody1$2.outboundSchema = CreateRecordResponseBody1$outboundSchema;
})(CreateRecordResponseBody1$ || (CreateRecordResponseBody1$ = {}));
var CreateRecordResponseBody$inboundSchema = unionType([
  lazyType(() => CreateRecordResponseBody2$inboundSchema),
  lazyType(() => CreateRecordResponseBody1$inboundSchema)
]);
var CreateRecordResponseBody$outboundSchema = unionType([
  lazyType(() => CreateRecordResponseBody2$outboundSchema),
  lazyType(() => CreateRecordResponseBody1$outboundSchema)
]);
var CreateRecordResponseBody$;
(function(CreateRecordResponseBody$2) {
  CreateRecordResponseBody$2.inboundSchema = CreateRecordResponseBody$inboundSchema;
  CreateRecordResponseBody$2.outboundSchema = CreateRecordResponseBody$outboundSchema;
})(CreateRecordResponseBody$ || (CreateRecordResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/dnsCreateRecord.js
async function dnsCreateRecord(client, request, options) {
  const parsed = safeParse(request, (value) => CreateRecordRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v2/domains/{domain}/records")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "createRecord",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateRecordResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, 409, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getrecordsop.js
var GetRecordsResponseBodyDnsType = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS"
};
var GetRecordsResponseBodyType = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS"
};
var GetRecordsRequest$inboundSchema = objectType({
  domain: stringType(),
  limit: stringType().optional(),
  since: stringType().optional(),
  until: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetRecordsRequest$outboundSchema = objectType({
  domain: stringType(),
  limit: stringType().optional(),
  since: stringType().optional(),
  until: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetRecordsRequest$;
(function(GetRecordsRequest$2) {
  GetRecordsRequest$2.inboundSchema = GetRecordsRequest$inboundSchema;
  GetRecordsRequest$2.outboundSchema = GetRecordsRequest$outboundSchema;
})(GetRecordsRequest$ || (GetRecordsRequest$ = {}));
var GetRecordsResponseBodyDnsType$inboundSchema = nativeEnumType(GetRecordsResponseBodyDnsType);
var GetRecordsResponseBodyDnsType$outboundSchema = GetRecordsResponseBodyDnsType$inboundSchema;
var GetRecordsResponseBodyDnsType$;
(function(GetRecordsResponseBodyDnsType$2) {
  GetRecordsResponseBodyDnsType$2.inboundSchema = GetRecordsResponseBodyDnsType$inboundSchema;
  GetRecordsResponseBodyDnsType$2.outboundSchema = GetRecordsResponseBodyDnsType$outboundSchema;
})(GetRecordsResponseBodyDnsType$ || (GetRecordsResponseBodyDnsType$ = {}));
var ResponseBodyRecords$inboundSchema = objectType({
  id: stringType(),
  slug: stringType(),
  name: stringType(),
  type: GetRecordsResponseBodyDnsType$inboundSchema,
  value: stringType(),
  mxPriority: numberType().optional(),
  priority: numberType().optional(),
  creator: stringType(),
  created: nullableType(numberType()),
  updated: nullableType(numberType()),
  createdAt: nullableType(numberType()),
  updatedAt: nullableType(numberType())
});
var ResponseBodyRecords$outboundSchema = objectType({
  id: stringType(),
  slug: stringType(),
  name: stringType(),
  type: GetRecordsResponseBodyDnsType$outboundSchema,
  value: stringType(),
  mxPriority: numberType().optional(),
  priority: numberType().optional(),
  creator: stringType(),
  created: nullableType(numberType()),
  updated: nullableType(numberType()),
  createdAt: nullableType(numberType()),
  updatedAt: nullableType(numberType())
});
var ResponseBodyRecords$;
(function(ResponseBodyRecords$2) {
  ResponseBodyRecords$2.inboundSchema = ResponseBodyRecords$inboundSchema;
  ResponseBodyRecords$2.outboundSchema = ResponseBodyRecords$outboundSchema;
})(ResponseBodyRecords$ || (ResponseBodyRecords$ = {}));
var ResponseBody3$inboundSchema = objectType({
  records: arrayType(lazyType(() => ResponseBodyRecords$inboundSchema)),
  pagination: Pagination$inboundSchema
});
var ResponseBody3$outboundSchema = objectType({
  records: arrayType(lazyType(() => ResponseBodyRecords$outboundSchema)),
  pagination: Pagination$outboundSchema
});
var ResponseBody3$;
(function(ResponseBody3$2) {
  ResponseBody3$2.inboundSchema = ResponseBody3$inboundSchema;
  ResponseBody3$2.outboundSchema = ResponseBody3$outboundSchema;
})(ResponseBody3$ || (ResponseBody3$ = {}));
var GetRecordsResponseBodyType$inboundSchema = nativeEnumType(GetRecordsResponseBodyType);
var GetRecordsResponseBodyType$outboundSchema = GetRecordsResponseBodyType$inboundSchema;
var GetRecordsResponseBodyType$;
(function(GetRecordsResponseBodyType$2) {
  GetRecordsResponseBodyType$2.inboundSchema = GetRecordsResponseBodyType$inboundSchema;
  GetRecordsResponseBodyType$2.outboundSchema = GetRecordsResponseBodyType$outboundSchema;
})(GetRecordsResponseBodyType$ || (GetRecordsResponseBodyType$ = {}));
var Records$inboundSchema = objectType({
  id: stringType(),
  slug: stringType(),
  name: stringType(),
  type: GetRecordsResponseBodyType$inboundSchema,
  value: stringType(),
  mxPriority: numberType().optional(),
  priority: numberType().optional(),
  creator: stringType(),
  created: nullableType(numberType()),
  updated: nullableType(numberType()),
  createdAt: nullableType(numberType()),
  updatedAt: nullableType(numberType())
});
var Records$outboundSchema = objectType({
  id: stringType(),
  slug: stringType(),
  name: stringType(),
  type: GetRecordsResponseBodyType$outboundSchema,
  value: stringType(),
  mxPriority: numberType().optional(),
  priority: numberType().optional(),
  creator: stringType(),
  created: nullableType(numberType()),
  updated: nullableType(numberType()),
  createdAt: nullableType(numberType()),
  updatedAt: nullableType(numberType())
});
var Records$;
(function(Records$2) {
  Records$2.inboundSchema = Records$inboundSchema;
  Records$2.outboundSchema = Records$outboundSchema;
})(Records$ || (Records$ = {}));
var GetRecordsResponseBody2$inboundSchema = objectType({
  records: arrayType(lazyType(() => Records$inboundSchema))
});
var GetRecordsResponseBody2$outboundSchema = objectType({
  records: arrayType(lazyType(() => Records$outboundSchema))
});
var GetRecordsResponseBody2$;
(function(GetRecordsResponseBody2$2) {
  GetRecordsResponseBody2$2.inboundSchema = GetRecordsResponseBody2$inboundSchema;
  GetRecordsResponseBody2$2.outboundSchema = GetRecordsResponseBody2$outboundSchema;
})(GetRecordsResponseBody2$ || (GetRecordsResponseBody2$ = {}));
var GetRecordsResponseBody$inboundSchema = unionType([
  lazyType(() => GetRecordsResponseBody2$inboundSchema),
  lazyType(() => ResponseBody3$inboundSchema),
  stringType()
]);
var GetRecordsResponseBody$outboundSchema = unionType([
  lazyType(() => GetRecordsResponseBody2$outboundSchema),
  lazyType(() => ResponseBody3$outboundSchema),
  stringType()
]);
var GetRecordsResponseBody$;
(function(GetRecordsResponseBody$2) {
  GetRecordsResponseBody$2.inboundSchema = GetRecordsResponseBody$inboundSchema;
  GetRecordsResponseBody$2.outboundSchema = GetRecordsResponseBody$outboundSchema;
})(GetRecordsResponseBody$ || (GetRecordsResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/dnsGetRecords.js
async function dnsGetRecords(client, request, options) {
  const parsed = safeParse(request, (value) => GetRecordsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v4/domains/{domain}/records")(pathParams);
  const query = encodeFormQuery({
    limit: payload.limit,
    since: payload.since,
    slug: payload.slug,
    teamId: payload.teamId,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getRecords",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetRecordsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/removerecordop.js
var RemoveRecordRequest$inboundSchema = objectType({
  domain: stringType(),
  recordId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var RemoveRecordRequest$outboundSchema = objectType({
  domain: stringType(),
  recordId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var RemoveRecordRequest$;
(function(RemoveRecordRequest$2) {
  RemoveRecordRequest$2.inboundSchema = RemoveRecordRequest$inboundSchema;
  RemoveRecordRequest$2.outboundSchema = RemoveRecordRequest$outboundSchema;
})(RemoveRecordRequest$ || (RemoveRecordRequest$ = {}));
var RemoveRecordResponseBody$inboundSchema = objectType({});
var RemoveRecordResponseBody$outboundSchema = objectType({});
var RemoveRecordResponseBody$;
(function(RemoveRecordResponseBody$2) {
  RemoveRecordResponseBody$2.inboundSchema = RemoveRecordResponseBody$inboundSchema;
  RemoveRecordResponseBody$2.outboundSchema = RemoveRecordResponseBody$outboundSchema;
})(RemoveRecordResponseBody$ || (RemoveRecordResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/dnsRemoveRecord.js
async function dnsRemoveRecord(client, request, options) {
  const parsed = safeParse(request, (value) => RemoveRecordRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    }),
    recordId: encodeSimple("recordId", payload.recordId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v2/domains/{domain}/records/{recordId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "removeRecord",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RemoveRecordResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/updaterecordop.js
var UpdateRecordType = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS"
};
var RecordType = {
  A: "A",
  Aaaa: "AAAA",
  Alias: "ALIAS",
  Caa: "CAA",
  Cname: "CNAME",
  Https: "HTTPS",
  Mx: "MX",
  Srv: "SRV",
  Txt: "TXT",
  Ns: "NS"
};
var UpdateRecordDnsType = {
  Record: "record",
  RecordSys: "record-sys"
};
var UpdateRecordType$inboundSchema = nativeEnumType(UpdateRecordType);
var UpdateRecordType$outboundSchema = UpdateRecordType$inboundSchema;
var UpdateRecordType$;
(function(UpdateRecordType$2) {
  UpdateRecordType$2.inboundSchema = UpdateRecordType$inboundSchema;
  UpdateRecordType$2.outboundSchema = UpdateRecordType$outboundSchema;
})(UpdateRecordType$ || (UpdateRecordType$ = {}));
var Srv$inboundSchema = objectType({
  target: nullableType(stringType()),
  weight: nullableType(numberType().int()),
  port: nullableType(numberType().int()),
  priority: nullableType(numberType().int())
});
var Srv$outboundSchema = objectType({
  target: nullableType(stringType()),
  weight: nullableType(numberType().int()),
  port: nullableType(numberType().int()),
  priority: nullableType(numberType().int())
});
var Srv$;
(function(Srv$2) {
  Srv$2.inboundSchema = Srv$inboundSchema;
  Srv$2.outboundSchema = Srv$outboundSchema;
})(Srv$ || (Srv$ = {}));
var Https$inboundSchema = objectType({
  priority: nullableType(numberType().int()),
  target: nullableType(stringType()),
  params: nullableType(stringType()).optional()
});
var Https$outboundSchema = objectType({
  priority: nullableType(numberType().int()),
  target: nullableType(stringType()),
  params: nullableType(stringType()).optional()
});
var Https$;
(function(Https$2) {
  Https$2.inboundSchema = Https$inboundSchema;
  Https$2.outboundSchema = Https$outboundSchema;
})(Https$ || (Https$ = {}));
var UpdateRecordRequestBody$inboundSchema = objectType({
  name: nullableType(stringType()).optional(),
  value: nullableType(stringType()).optional(),
  type: nullableType(UpdateRecordType$inboundSchema).optional(),
  ttl: nullableType(numberType().int()).optional(),
  mxPriority: nullableType(numberType().int()).optional(),
  srv: nullableType(lazyType(() => Srv$inboundSchema)).optional(),
  https: nullableType(lazyType(() => Https$inboundSchema)).optional(),
  comment: stringType().optional()
});
var UpdateRecordRequestBody$outboundSchema = objectType({
  name: nullableType(stringType()).optional(),
  value: nullableType(stringType()).optional(),
  type: nullableType(UpdateRecordType$outboundSchema).optional(),
  ttl: nullableType(numberType().int()).optional(),
  mxPriority: nullableType(numberType().int()).optional(),
  srv: nullableType(lazyType(() => Srv$outboundSchema)).optional(),
  https: nullableType(lazyType(() => Https$outboundSchema)).optional(),
  comment: stringType().optional()
});
var UpdateRecordRequestBody$;
(function(UpdateRecordRequestBody$2) {
  UpdateRecordRequestBody$2.inboundSchema = UpdateRecordRequestBody$inboundSchema;
  UpdateRecordRequestBody$2.outboundSchema = UpdateRecordRequestBody$outboundSchema;
})(UpdateRecordRequestBody$ || (UpdateRecordRequestBody$ = {}));
var UpdateRecordRequest$inboundSchema = objectType({
  recordId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => UpdateRecordRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var UpdateRecordRequest$outboundSchema = objectType({
  recordId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => UpdateRecordRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var UpdateRecordRequest$;
(function(UpdateRecordRequest$2) {
  UpdateRecordRequest$2.inboundSchema = UpdateRecordRequest$inboundSchema;
  UpdateRecordRequest$2.outboundSchema = UpdateRecordRequest$outboundSchema;
})(UpdateRecordRequest$ || (UpdateRecordRequest$ = {}));
var RecordType$inboundSchema = nativeEnumType(RecordType);
var RecordType$outboundSchema = RecordType$inboundSchema;
var RecordType$;
(function(RecordType$2) {
  RecordType$2.inboundSchema = RecordType$inboundSchema;
  RecordType$2.outboundSchema = RecordType$outboundSchema;
})(RecordType$ || (RecordType$ = {}));
var UpdateRecordDnsType$inboundSchema = nativeEnumType(UpdateRecordDnsType);
var UpdateRecordDnsType$outboundSchema = UpdateRecordDnsType$inboundSchema;
var UpdateRecordDnsType$;
(function(UpdateRecordDnsType$2) {
  UpdateRecordDnsType$2.inboundSchema = UpdateRecordDnsType$inboundSchema;
  UpdateRecordDnsType$2.outboundSchema = UpdateRecordDnsType$outboundSchema;
})(UpdateRecordDnsType$ || (UpdateRecordDnsType$ = {}));
var UpdateRecordResponseBody$inboundSchema = objectType({
  createdAt: nullableType(numberType()).optional(),
  creator: stringType(),
  domain: stringType(),
  id: stringType(),
  name: stringType(),
  recordType: RecordType$inboundSchema,
  ttl: numberType().optional(),
  type: UpdateRecordDnsType$inboundSchema,
  value: stringType(),
  comment: stringType().optional()
});
var UpdateRecordResponseBody$outboundSchema = objectType({
  createdAt: nullableType(numberType()).optional(),
  creator: stringType(),
  domain: stringType(),
  id: stringType(),
  name: stringType(),
  recordType: RecordType$outboundSchema,
  ttl: numberType().optional(),
  type: UpdateRecordDnsType$outboundSchema,
  value: stringType(),
  comment: stringType().optional()
});
var UpdateRecordResponseBody$;
(function(UpdateRecordResponseBody$2) {
  UpdateRecordResponseBody$2.inboundSchema = UpdateRecordResponseBody$inboundSchema;
  UpdateRecordResponseBody$2.outboundSchema = UpdateRecordResponseBody$outboundSchema;
})(UpdateRecordResponseBody$ || (UpdateRecordResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/dnsUpdateRecord.js
async function dnsUpdateRecord(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateRecordRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    recordId: encodeSimple("recordId", payload.recordId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/domains/records/{recordId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "updateRecord",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateRecordResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, 409, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/dns.js
class Dns extends ClientSDK {
  async getRecords(request, options) {
    return unwrapAsync(dnsGetRecords(this, request, options));
  }
  async createRecord(request, options) {
    return unwrapAsync(dnsCreateRecord(this, request, options));
  }
  async updateRecord(request, options) {
    return unwrapAsync(dnsUpdateRecord(this, request, options));
  }
  async removeRecord(request, options) {
    return unwrapAsync(dnsRemoveRecord(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/buydomainop.js
var BuyDomainRequestBody$inboundSchema = objectType({
  name: stringType(),
  expectedPrice: numberType().optional(),
  renew: booleanType().optional(),
  country: stringType(),
  orgName: stringType().optional(),
  firstName: stringType(),
  lastName: stringType(),
  address1: stringType(),
  city: stringType(),
  state: stringType(),
  postalCode: stringType(),
  phone: stringType(),
  email: stringType()
});
var BuyDomainRequestBody$outboundSchema = objectType({
  name: stringType(),
  expectedPrice: numberType().optional(),
  renew: booleanType().optional(),
  country: stringType(),
  orgName: stringType().optional(),
  firstName: stringType(),
  lastName: stringType(),
  address1: stringType(),
  city: stringType(),
  state: stringType(),
  postalCode: stringType(),
  phone: stringType(),
  email: stringType()
});
var BuyDomainRequestBody$;
(function(BuyDomainRequestBody$2) {
  BuyDomainRequestBody$2.inboundSchema = BuyDomainRequestBody$inboundSchema;
  BuyDomainRequestBody$2.outboundSchema = BuyDomainRequestBody$outboundSchema;
})(BuyDomainRequestBody$ || (BuyDomainRequestBody$ = {}));
var BuyDomainRequest$inboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => BuyDomainRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var BuyDomainRequest$outboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => BuyDomainRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var BuyDomainRequest$;
(function(BuyDomainRequest$2) {
  BuyDomainRequest$2.inboundSchema = BuyDomainRequest$inboundSchema;
  BuyDomainRequest$2.outboundSchema = BuyDomainRequest$outboundSchema;
})(BuyDomainRequest$ || (BuyDomainRequest$ = {}));
var BuyDomainDomain$inboundSchema = objectType({
  uid: stringType(),
  ns: arrayType(stringType()),
  verified: booleanType(),
  created: numberType(),
  pending: booleanType()
});
var BuyDomainDomain$outboundSchema = objectType({
  uid: stringType(),
  ns: arrayType(stringType()),
  verified: booleanType(),
  created: numberType(),
  pending: booleanType()
});
var BuyDomainDomain$;
(function(BuyDomainDomain$2) {
  BuyDomainDomain$2.inboundSchema = BuyDomainDomain$inboundSchema;
  BuyDomainDomain$2.outboundSchema = BuyDomainDomain$outboundSchema;
})(BuyDomainDomain$ || (BuyDomainDomain$ = {}));
var BuyDomainDomainsResponseBody$inboundSchema = objectType({
  domain: lazyType(() => BuyDomainDomain$inboundSchema)
});
var BuyDomainDomainsResponseBody$outboundSchema = objectType({
  domain: lazyType(() => BuyDomainDomain$outboundSchema)
});
var BuyDomainDomainsResponseBody$;
(function(BuyDomainDomainsResponseBody$2) {
  BuyDomainDomainsResponseBody$2.inboundSchema = BuyDomainDomainsResponseBody$inboundSchema;
  BuyDomainDomainsResponseBody$2.outboundSchema = BuyDomainDomainsResponseBody$outboundSchema;
})(BuyDomainDomainsResponseBody$ || (BuyDomainDomainsResponseBody$ = {}));
var BuyDomainDomainsDomain$inboundSchema = objectType({
  uid: stringType(),
  ns: arrayType(stringType()),
  verified: booleanType(),
  created: numberType(),
  pending: booleanType()
});
var BuyDomainDomainsDomain$outboundSchema = objectType({
  uid: stringType(),
  ns: arrayType(stringType()),
  verified: booleanType(),
  created: numberType(),
  pending: booleanType()
});
var BuyDomainDomainsDomain$;
(function(BuyDomainDomainsDomain$2) {
  BuyDomainDomainsDomain$2.inboundSchema = BuyDomainDomainsDomain$inboundSchema;
  BuyDomainDomainsDomain$2.outboundSchema = BuyDomainDomainsDomain$outboundSchema;
})(BuyDomainDomainsDomain$ || (BuyDomainDomainsDomain$ = {}));
var BuyDomainResponseBody$inboundSchema = objectType({
  domain: lazyType(() => BuyDomainDomainsDomain$inboundSchema)
});
var BuyDomainResponseBody$outboundSchema = objectType({
  domain: lazyType(() => BuyDomainDomainsDomain$outboundSchema)
});
var BuyDomainResponseBody$;
(function(BuyDomainResponseBody$2) {
  BuyDomainResponseBody$2.inboundSchema = BuyDomainResponseBody$inboundSchema;
  BuyDomainResponseBody$2.outboundSchema = BuyDomainResponseBody$outboundSchema;
})(BuyDomainResponseBody$ || (BuyDomainResponseBody$ = {}));
var BuyDomainResponse$inboundSchema = unionType([
  lazyType(() => BuyDomainResponseBody$inboundSchema),
  lazyType(() => BuyDomainDomainsResponseBody$inboundSchema)
]);
var BuyDomainResponse$outboundSchema = unionType([
  lazyType(() => BuyDomainResponseBody$outboundSchema),
  lazyType(() => BuyDomainDomainsResponseBody$outboundSchema)
]);
var BuyDomainResponse$;
(function(BuyDomainResponse$2) {
  BuyDomainResponse$2.inboundSchema = BuyDomainResponse$inboundSchema;
  BuyDomainResponse$2.outboundSchema = BuyDomainResponse$outboundSchema;
})(BuyDomainResponse$ || (BuyDomainResponse$ = {}));

// node_modules/@vercel/sdk/esm/models/ratelimitnotice.js
var RateLimitNotice$inboundSchema = objectType({
  remaining: numberType().int(),
  reset: numberType().int(),
  resetMs: numberType().int(),
  total: numberType().int()
});
var RateLimitNotice$outboundSchema = objectType({
  remaining: numberType().int(),
  reset: numberType().int(),
  resetMs: numberType().int(),
  total: numberType().int()
});
var RateLimitNotice$;
(function(RateLimitNotice$2) {
  RateLimitNotice$2.inboundSchema = RateLimitNotice$inboundSchema;
  RateLimitNotice$2.outboundSchema = RateLimitNotice$outboundSchema;
})(RateLimitNotice$ || (RateLimitNotice$ = {}));

// node_modules/@vercel/sdk/esm/models/vercelratelimiterror.js
class VercelRateLimitError extends Error {
  constructor(err) {
    const message = "message" in err && typeof err.message === "string" ? err.message : `API error occurred: ${JSON.stringify(err)}`;
    super(message);
    this.data$ = err;
    this.error = err.error;
    this.name = "VercelRateLimitError";
  }
}
var VercelRateLimitErrorError$inboundSchema = objectType({
  code: literalType("rate_limited").optional(),
  message: stringType(),
  limit: RateLimitNotice$inboundSchema.optional()
});
var VercelRateLimitErrorError$outboundSchema = objectType({
  code: literalType("rate_limited").default("rate_limited"),
  message: stringType(),
  limit: RateLimitNotice$outboundSchema.optional()
});
var VercelRateLimitErrorError$;
(function(VercelRateLimitErrorError$2) {
  VercelRateLimitErrorError$2.inboundSchema = VercelRateLimitErrorError$inboundSchema;
  VercelRateLimitErrorError$2.outboundSchema = VercelRateLimitErrorError$outboundSchema;
})(VercelRateLimitErrorError$ || (VercelRateLimitErrorError$ = {}));
var VercelRateLimitError$inboundSchema = objectType({
  error: lazyType(() => VercelRateLimitErrorError$inboundSchema)
}).transform((v2) => {
  return new VercelRateLimitError(v2);
});
var VercelRateLimitError$outboundSchema = instanceOfType(VercelRateLimitError).transform((v2) => v2.data$).pipe(objectType({
  error: lazyType(() => VercelRateLimitErrorError$outboundSchema)
}));
var VercelRateLimitError$;
(function(VercelRateLimitError$2) {
  VercelRateLimitError$2.inboundSchema = VercelRateLimitError$inboundSchema;
  VercelRateLimitError$2.outboundSchema = VercelRateLimitError$outboundSchema;
})(VercelRateLimitError$ || (VercelRateLimitError$ = {}));

// node_modules/@vercel/sdk/esm/funcs/domainsBuyDomain.js
async function domainsBuyDomain(client, request, options) {
  const parsed = safeParse(request, (value) => BuyDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v5/domains/buy")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "buyDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "409", "429", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(201, BuyDomainResponse$inboundSchema), json(202, BuyDomainResponse$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), jsonErr(429, VercelRateLimitError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/checkdomainpriceop.js
var QueryParamType = {
  New: "new",
  Renewal: "renewal",
  Transfer: "transfer",
  Redemption: "redemption"
};
var QueryParamType$inboundSchema = nativeEnumType(QueryParamType);
var QueryParamType$outboundSchema = QueryParamType$inboundSchema;
var QueryParamType$;
(function(QueryParamType$2) {
  QueryParamType$2.inboundSchema = QueryParamType$inboundSchema;
  QueryParamType$2.outboundSchema = QueryParamType$outboundSchema;
})(QueryParamType$ || (QueryParamType$ = {}));
var CheckDomainPriceRequest$inboundSchema = objectType({
  name: stringType(),
  type: QueryParamType$inboundSchema.optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var CheckDomainPriceRequest$outboundSchema = objectType({
  name: stringType(),
  type: QueryParamType$outboundSchema.optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var CheckDomainPriceRequest$;
(function(CheckDomainPriceRequest$2) {
  CheckDomainPriceRequest$2.inboundSchema = CheckDomainPriceRequest$inboundSchema;
  CheckDomainPriceRequest$2.outboundSchema = CheckDomainPriceRequest$outboundSchema;
})(CheckDomainPriceRequest$ || (CheckDomainPriceRequest$ = {}));
var CheckDomainPriceResponseBody$inboundSchema = objectType({
  price: numberType(),
  period: numberType()
});
var CheckDomainPriceResponseBody$outboundSchema = objectType({
  price: numberType(),
  period: numberType()
});
var CheckDomainPriceResponseBody$;
(function(CheckDomainPriceResponseBody$2) {
  CheckDomainPriceResponseBody$2.inboundSchema = CheckDomainPriceResponseBody$inboundSchema;
  CheckDomainPriceResponseBody$2.outboundSchema = CheckDomainPriceResponseBody$outboundSchema;
})(CheckDomainPriceResponseBody$ || (CheckDomainPriceResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/domainsCheckDomainPrice.js
async function domainsCheckDomainPrice(client, request, options) {
  const parsed = safeParse(request, (value) => CheckDomainPriceRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v4/domains/price")();
  const query = encodeFormQuery({
    name: payload.name,
    slug: payload.slug,
    teamId: payload.teamId,
    type: payload.type
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "checkDomainPrice",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CheckDomainPriceResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/checkdomainstatusop.js
var CheckDomainStatusRequest$inboundSchema = objectType({
  name: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var CheckDomainStatusRequest$outboundSchema = objectType({
  name: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var CheckDomainStatusRequest$;
(function(CheckDomainStatusRequest$2) {
  CheckDomainStatusRequest$2.inboundSchema = CheckDomainStatusRequest$inboundSchema;
  CheckDomainStatusRequest$2.outboundSchema = CheckDomainStatusRequest$outboundSchema;
})(CheckDomainStatusRequest$ || (CheckDomainStatusRequest$ = {}));
var CheckDomainStatusResponseBody$inboundSchema = objectType({
  available: booleanType()
});
var CheckDomainStatusResponseBody$outboundSchema = objectType({
  available: booleanType()
});
var CheckDomainStatusResponseBody$;
(function(CheckDomainStatusResponseBody$2) {
  CheckDomainStatusResponseBody$2.inboundSchema = CheckDomainStatusResponseBody$inboundSchema;
  CheckDomainStatusResponseBody$2.outboundSchema = CheckDomainStatusResponseBody$outboundSchema;
})(CheckDomainStatusResponseBody$ || (CheckDomainStatusResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/domainsCheckDomainStatus.js
async function domainsCheckDomainStatus(client, request, options) {
  const parsed = safeParse(request, (value) => CheckDomainStatusRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v4/domains/status")();
  const query = encodeFormQuery({
    name: payload.name,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "checkDomainStatus",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CheckDomainStatusResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/createortransferdomainop.js
var CreateOrTransferDomainServiceType = {
  ZeitWorld: "zeit.world",
  External: "external",
  Na: "na"
};
var CreateOrTransferDomainRequestBody3$inboundSchema = objectType({
  name: stringType(),
  method: stringType(),
  authCode: stringType().optional(),
  expectedPrice: numberType().optional()
});
var CreateOrTransferDomainRequestBody3$outboundSchema = objectType({
  name: stringType(),
  method: stringType(),
  authCode: stringType().optional(),
  expectedPrice: numberType().optional()
});
var CreateOrTransferDomainRequestBody3$;
(function(CreateOrTransferDomainRequestBody3$2) {
  CreateOrTransferDomainRequestBody3$2.inboundSchema = CreateOrTransferDomainRequestBody3$inboundSchema;
  CreateOrTransferDomainRequestBody3$2.outboundSchema = CreateOrTransferDomainRequestBody3$outboundSchema;
})(CreateOrTransferDomainRequestBody3$ || (CreateOrTransferDomainRequestBody3$ = {}));
var CreateOrTransferDomainRequestBody2$inboundSchema = objectType({
  name: stringType(),
  method: stringType(),
  token: stringType().optional()
});
var CreateOrTransferDomainRequestBody2$outboundSchema = objectType({
  name: stringType(),
  method: stringType(),
  token: stringType().optional()
});
var CreateOrTransferDomainRequestBody2$;
(function(CreateOrTransferDomainRequestBody2$2) {
  CreateOrTransferDomainRequestBody2$2.inboundSchema = CreateOrTransferDomainRequestBody2$inboundSchema;
  CreateOrTransferDomainRequestBody2$2.outboundSchema = CreateOrTransferDomainRequestBody2$outboundSchema;
})(CreateOrTransferDomainRequestBody2$ || (CreateOrTransferDomainRequestBody2$ = {}));
var CreateOrTransferDomainRequestBody1$inboundSchema = objectType({
  name: stringType(),
  cdnEnabled: booleanType().optional(),
  zone: booleanType().optional(),
  method: stringType().optional()
});
var CreateOrTransferDomainRequestBody1$outboundSchema = objectType({
  name: stringType(),
  cdnEnabled: booleanType().optional(),
  zone: booleanType().optional(),
  method: stringType().optional()
});
var CreateOrTransferDomainRequestBody1$;
(function(CreateOrTransferDomainRequestBody1$2) {
  CreateOrTransferDomainRequestBody1$2.inboundSchema = CreateOrTransferDomainRequestBody1$inboundSchema;
  CreateOrTransferDomainRequestBody1$2.outboundSchema = CreateOrTransferDomainRequestBody1$outboundSchema;
})(CreateOrTransferDomainRequestBody1$ || (CreateOrTransferDomainRequestBody1$ = {}));
var CreateOrTransferDomainRequestBody$inboundSchema = unionType([
  lazyType(() => CreateOrTransferDomainRequestBody2$inboundSchema),
  lazyType(() => CreateOrTransferDomainRequestBody1$inboundSchema),
  lazyType(() => CreateOrTransferDomainRequestBody3$inboundSchema)
]);
var CreateOrTransferDomainRequestBody$outboundSchema = unionType([
  lazyType(() => CreateOrTransferDomainRequestBody2$outboundSchema),
  lazyType(() => CreateOrTransferDomainRequestBody1$outboundSchema),
  lazyType(() => CreateOrTransferDomainRequestBody3$outboundSchema)
]);
var CreateOrTransferDomainRequestBody$;
(function(CreateOrTransferDomainRequestBody$2) {
  CreateOrTransferDomainRequestBody$2.inboundSchema = CreateOrTransferDomainRequestBody$inboundSchema;
  CreateOrTransferDomainRequestBody$2.outboundSchema = CreateOrTransferDomainRequestBody$outboundSchema;
})(CreateOrTransferDomainRequestBody$ || (CreateOrTransferDomainRequestBody$ = {}));
var CreateOrTransferDomainRequest$inboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: unionType([
    lazyType(() => CreateOrTransferDomainRequestBody2$inboundSchema),
    lazyType(() => CreateOrTransferDomainRequestBody1$inboundSchema),
    lazyType(() => CreateOrTransferDomainRequestBody3$inboundSchema)
  ])
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var CreateOrTransferDomainRequest$outboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: unionType([
    lazyType(() => CreateOrTransferDomainRequestBody2$outboundSchema),
    lazyType(() => CreateOrTransferDomainRequestBody1$outboundSchema),
    lazyType(() => CreateOrTransferDomainRequestBody3$outboundSchema)
  ])
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var CreateOrTransferDomainRequest$;
(function(CreateOrTransferDomainRequest$2) {
  CreateOrTransferDomainRequest$2.inboundSchema = CreateOrTransferDomainRequest$inboundSchema;
  CreateOrTransferDomainRequest$2.outboundSchema = CreateOrTransferDomainRequest$outboundSchema;
})(CreateOrTransferDomainRequest$ || (CreateOrTransferDomainRequest$ = {}));
var CreateOrTransferDomainCreator$inboundSchema = objectType({
  username: stringType(),
  email: stringType(),
  customerId: nullableType(stringType()).optional(),
  isDomainReseller: booleanType().optional(),
  id: stringType()
});
var CreateOrTransferDomainCreator$outboundSchema = objectType({
  username: stringType(),
  email: stringType(),
  customerId: nullableType(stringType()).optional(),
  isDomainReseller: booleanType().optional(),
  id: stringType()
});
var CreateOrTransferDomainCreator$;
(function(CreateOrTransferDomainCreator$2) {
  CreateOrTransferDomainCreator$2.inboundSchema = CreateOrTransferDomainCreator$inboundSchema;
  CreateOrTransferDomainCreator$2.outboundSchema = CreateOrTransferDomainCreator$outboundSchema;
})(CreateOrTransferDomainCreator$ || (CreateOrTransferDomainCreator$ = {}));
var CreateOrTransferDomainServiceType$inboundSchema = nativeEnumType(CreateOrTransferDomainServiceType);
var CreateOrTransferDomainServiceType$outboundSchema = CreateOrTransferDomainServiceType$inboundSchema;
var CreateOrTransferDomainServiceType$;
(function(CreateOrTransferDomainServiceType$2) {
  CreateOrTransferDomainServiceType$2.inboundSchema = CreateOrTransferDomainServiceType$inboundSchema;
  CreateOrTransferDomainServiceType$2.outboundSchema = CreateOrTransferDomainServiceType$outboundSchema;
})(CreateOrTransferDomainServiceType$ || (CreateOrTransferDomainServiceType$ = {}));
var CreateOrTransferDomainDomain$inboundSchema = objectType({
  verified: booleanType(),
  nameservers: arrayType(stringType()),
  intendedNameservers: arrayType(stringType()),
  customNameservers: arrayType(stringType()).optional(),
  creator: lazyType(() => CreateOrTransferDomainCreator$inboundSchema),
  name: stringType(),
  boughtAt: nullableType(numberType()),
  createdAt: numberType(),
  expiresAt: nullableType(numberType()),
  id: stringType(),
  orderedAt: numberType().optional(),
  renew: booleanType().optional(),
  serviceType: CreateOrTransferDomainServiceType$inboundSchema,
  transferredAt: nullableType(numberType()).optional(),
  transferStartedAt: numberType().optional(),
  userId: stringType(),
  teamId: nullableType(stringType())
});
var CreateOrTransferDomainDomain$outboundSchema = objectType({
  verified: booleanType(),
  nameservers: arrayType(stringType()),
  intendedNameservers: arrayType(stringType()),
  customNameservers: arrayType(stringType()).optional(),
  creator: lazyType(() => CreateOrTransferDomainCreator$outboundSchema),
  name: stringType(),
  boughtAt: nullableType(numberType()),
  createdAt: numberType(),
  expiresAt: nullableType(numberType()),
  id: stringType(),
  orderedAt: numberType().optional(),
  renew: booleanType().optional(),
  serviceType: CreateOrTransferDomainServiceType$outboundSchema,
  transferredAt: nullableType(numberType()).optional(),
  transferStartedAt: numberType().optional(),
  userId: stringType(),
  teamId: nullableType(stringType())
});
var CreateOrTransferDomainDomain$;
(function(CreateOrTransferDomainDomain$2) {
  CreateOrTransferDomainDomain$2.inboundSchema = CreateOrTransferDomainDomain$inboundSchema;
  CreateOrTransferDomainDomain$2.outboundSchema = CreateOrTransferDomainDomain$outboundSchema;
})(CreateOrTransferDomainDomain$ || (CreateOrTransferDomainDomain$ = {}));
var CreateOrTransferDomainResponseBody$inboundSchema = objectType({
  domain: lazyType(() => CreateOrTransferDomainDomain$inboundSchema)
});
var CreateOrTransferDomainResponseBody$outboundSchema = objectType({
  domain: lazyType(() => CreateOrTransferDomainDomain$outboundSchema)
});
var CreateOrTransferDomainResponseBody$;
(function(CreateOrTransferDomainResponseBody$2) {
  CreateOrTransferDomainResponseBody$2.inboundSchema = CreateOrTransferDomainResponseBody$inboundSchema;
  CreateOrTransferDomainResponseBody$2.outboundSchema = CreateOrTransferDomainResponseBody$outboundSchema;
})(CreateOrTransferDomainResponseBody$ || (CreateOrTransferDomainResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/domainsCreateOrTransferDomain.js
async function domainsCreateOrTransferDomain(client, request, options) {
  const parsed = safeParse(request, (value) => CreateOrTransferDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v5/domains")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "createOrTransferDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "409", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateOrTransferDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, 409, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/deletedomainop.js
var DeleteDomainRequest$inboundSchema = objectType({
  domain: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteDomainRequest$outboundSchema = objectType({
  domain: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteDomainRequest$;
(function(DeleteDomainRequest$2) {
  DeleteDomainRequest$2.inboundSchema = DeleteDomainRequest$inboundSchema;
  DeleteDomainRequest$2.outboundSchema = DeleteDomainRequest$outboundSchema;
})(DeleteDomainRequest$ || (DeleteDomainRequest$ = {}));
var DeleteDomainResponseBody$inboundSchema = objectType({
  uid: stringType()
});
var DeleteDomainResponseBody$outboundSchema = objectType({
  uid: stringType()
});
var DeleteDomainResponseBody$;
(function(DeleteDomainResponseBody$2) {
  DeleteDomainResponseBody$2.inboundSchema = DeleteDomainResponseBody$inboundSchema;
  DeleteDomainResponseBody$2.outboundSchema = DeleteDomainResponseBody$outboundSchema;
})(DeleteDomainResponseBody$ || (DeleteDomainResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/domainsDeleteDomain.js
async function domainsDeleteDomain(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v6/domains/{domain}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "deleteDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, DeleteDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getdomainop.js
var ServiceType = {
  ZeitWorld: "zeit.world",
  External: "external",
  Na: "na"
};
var GetDomainRequest$inboundSchema = objectType({
  domain: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetDomainRequest$outboundSchema = objectType({
  domain: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetDomainRequest$;
(function(GetDomainRequest$2) {
  GetDomainRequest$2.inboundSchema = GetDomainRequest$inboundSchema;
  GetDomainRequest$2.outboundSchema = GetDomainRequest$outboundSchema;
})(GetDomainRequest$ || (GetDomainRequest$ = {}));
var GetDomainCreator$inboundSchema = objectType({
  username: stringType(),
  email: stringType(),
  customerId: nullableType(stringType()).optional(),
  isDomainReseller: booleanType().optional(),
  id: stringType()
});
var GetDomainCreator$outboundSchema = objectType({
  username: stringType(),
  email: stringType(),
  customerId: nullableType(stringType()).optional(),
  isDomainReseller: booleanType().optional(),
  id: stringType()
});
var GetDomainCreator$;
(function(GetDomainCreator$2) {
  GetDomainCreator$2.inboundSchema = GetDomainCreator$inboundSchema;
  GetDomainCreator$2.outboundSchema = GetDomainCreator$outboundSchema;
})(GetDomainCreator$ || (GetDomainCreator$ = {}));
var ServiceType$inboundSchema = nativeEnumType(ServiceType);
var ServiceType$outboundSchema = ServiceType$inboundSchema;
var ServiceType$;
(function(ServiceType$2) {
  ServiceType$2.inboundSchema = ServiceType$inboundSchema;
  ServiceType$2.outboundSchema = ServiceType$outboundSchema;
})(ServiceType$ || (ServiceType$ = {}));
var GetDomainDomain$inboundSchema = objectType({
  suffix: booleanType(),
  verified: booleanType(),
  nameservers: arrayType(stringType()),
  intendedNameservers: arrayType(stringType()),
  customNameservers: arrayType(stringType()).optional(),
  creator: lazyType(() => GetDomainCreator$inboundSchema),
  teamId: nullableType(stringType()),
  boughtAt: nullableType(numberType()),
  createdAt: numberType(),
  expiresAt: nullableType(numberType()),
  id: stringType(),
  name: stringType(),
  orderedAt: numberType().optional(),
  renew: booleanType().optional(),
  serviceType: ServiceType$inboundSchema,
  transferredAt: nullableType(numberType()).optional(),
  transferStartedAt: numberType().optional(),
  userId: stringType()
});
var GetDomainDomain$outboundSchema = objectType({
  suffix: booleanType(),
  verified: booleanType(),
  nameservers: arrayType(stringType()),
  intendedNameservers: arrayType(stringType()),
  customNameservers: arrayType(stringType()).optional(),
  creator: lazyType(() => GetDomainCreator$outboundSchema),
  teamId: nullableType(stringType()),
  boughtAt: nullableType(numberType()),
  createdAt: numberType(),
  expiresAt: nullableType(numberType()),
  id: stringType(),
  name: stringType(),
  orderedAt: numberType().optional(),
  renew: booleanType().optional(),
  serviceType: ServiceType$outboundSchema,
  transferredAt: nullableType(numberType()).optional(),
  transferStartedAt: numberType().optional(),
  userId: stringType()
});
var GetDomainDomain$;
(function(GetDomainDomain$2) {
  GetDomainDomain$2.inboundSchema = GetDomainDomain$inboundSchema;
  GetDomainDomain$2.outboundSchema = GetDomainDomain$outboundSchema;
})(GetDomainDomain$ || (GetDomainDomain$ = {}));
var GetDomainResponseBody$inboundSchema = objectType({
  domain: lazyType(() => GetDomainDomain$inboundSchema)
});
var GetDomainResponseBody$outboundSchema = objectType({
  domain: lazyType(() => GetDomainDomain$outboundSchema)
});
var GetDomainResponseBody$;
(function(GetDomainResponseBody$2) {
  GetDomainResponseBody$2.inboundSchema = GetDomainResponseBody$inboundSchema;
  GetDomainResponseBody$2.outboundSchema = GetDomainResponseBody$outboundSchema;
})(GetDomainResponseBody$ || (GetDomainResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/domainsGetDomain.js
async function domainsGetDomain(client, request, options) {
  const parsed = safeParse(request, (value) => GetDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v5/domains/{domain}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getdomainconfigop.js
var Strict = {
  True: "true",
  False: "false"
};
var ConfiguredBy = {
  Cname: "CNAME",
  A: "A",
  Http: "http",
  Dns01: "dns-01"
};
var AcceptedChallenges = {
  Dns01: "dns-01",
  Http01: "http-01"
};
var Strict$inboundSchema = nativeEnumType(Strict);
var Strict$outboundSchema = Strict$inboundSchema;
var Strict$;
(function(Strict$2) {
  Strict$2.inboundSchema = Strict$inboundSchema;
  Strict$2.outboundSchema = Strict$outboundSchema;
})(Strict$ || (Strict$ = {}));
var GetDomainConfigRequest$inboundSchema = objectType({
  domain: stringType(),
  strict: Strict$inboundSchema.optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetDomainConfigRequest$outboundSchema = objectType({
  domain: stringType(),
  strict: Strict$outboundSchema.optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetDomainConfigRequest$;
(function(GetDomainConfigRequest$2) {
  GetDomainConfigRequest$2.inboundSchema = GetDomainConfigRequest$inboundSchema;
  GetDomainConfigRequest$2.outboundSchema = GetDomainConfigRequest$outboundSchema;
})(GetDomainConfigRequest$ || (GetDomainConfigRequest$ = {}));
var ConfiguredBy$inboundSchema = nativeEnumType(ConfiguredBy);
var ConfiguredBy$outboundSchema = ConfiguredBy$inboundSchema;
var ConfiguredBy$;
(function(ConfiguredBy$2) {
  ConfiguredBy$2.inboundSchema = ConfiguredBy$inboundSchema;
  ConfiguredBy$2.outboundSchema = ConfiguredBy$outboundSchema;
})(ConfiguredBy$ || (ConfiguredBy$ = {}));
var AcceptedChallenges$inboundSchema = nativeEnumType(AcceptedChallenges);
var AcceptedChallenges$outboundSchema = AcceptedChallenges$inboundSchema;
var AcceptedChallenges$;
(function(AcceptedChallenges$2) {
  AcceptedChallenges$2.inboundSchema = AcceptedChallenges$inboundSchema;
  AcceptedChallenges$2.outboundSchema = AcceptedChallenges$outboundSchema;
})(AcceptedChallenges$ || (AcceptedChallenges$ = {}));
var GetDomainConfigResponseBody$inboundSchema = objectType({
  configuredBy: nullableType(ConfiguredBy$inboundSchema).optional(),
  acceptedChallenges: arrayType(AcceptedChallenges$inboundSchema).optional(),
  misconfigured: booleanType()
});
var GetDomainConfigResponseBody$outboundSchema = objectType({
  configuredBy: nullableType(ConfiguredBy$outboundSchema).optional(),
  acceptedChallenges: arrayType(AcceptedChallenges$outboundSchema).optional(),
  misconfigured: booleanType()
});
var GetDomainConfigResponseBody$;
(function(GetDomainConfigResponseBody$2) {
  GetDomainConfigResponseBody$2.inboundSchema = GetDomainConfigResponseBody$inboundSchema;
  GetDomainConfigResponseBody$2.outboundSchema = GetDomainConfigResponseBody$outboundSchema;
})(GetDomainConfigResponseBody$ || (GetDomainConfigResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/domainsGetDomainConfig.js
async function domainsGetDomainConfig(client, request, options) {
  const parsed = safeParse(request, (value) => GetDomainConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v6/domains/{domain}/config")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    strict: payload.strict,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getDomainConfig",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetDomainConfigResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getdomainsop.js
var GetDomainsServiceType = {
  ZeitWorld: "zeit.world",
  External: "external",
  Na: "na"
};
var GetDomainsRequest$inboundSchema = objectType({
  limit: numberType().optional(),
  since: numberType().optional(),
  until: numberType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetDomainsRequest$outboundSchema = objectType({
  limit: numberType().optional(),
  since: numberType().optional(),
  until: numberType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetDomainsRequest$;
(function(GetDomainsRequest$2) {
  GetDomainsRequest$2.inboundSchema = GetDomainsRequest$inboundSchema;
  GetDomainsRequest$2.outboundSchema = GetDomainsRequest$outboundSchema;
})(GetDomainsRequest$ || (GetDomainsRequest$ = {}));
var GetDomainsCreator$inboundSchema = objectType({
  username: stringType(),
  email: stringType(),
  customerId: nullableType(stringType()).optional(),
  isDomainReseller: booleanType().optional(),
  id: stringType()
});
var GetDomainsCreator$outboundSchema = objectType({
  username: stringType(),
  email: stringType(),
  customerId: nullableType(stringType()).optional(),
  isDomainReseller: booleanType().optional(),
  id: stringType()
});
var GetDomainsCreator$;
(function(GetDomainsCreator$2) {
  GetDomainsCreator$2.inboundSchema = GetDomainsCreator$inboundSchema;
  GetDomainsCreator$2.outboundSchema = GetDomainsCreator$outboundSchema;
})(GetDomainsCreator$ || (GetDomainsCreator$ = {}));
var GetDomainsServiceType$inboundSchema = nativeEnumType(GetDomainsServiceType);
var GetDomainsServiceType$outboundSchema = GetDomainsServiceType$inboundSchema;
var GetDomainsServiceType$;
(function(GetDomainsServiceType$2) {
  GetDomainsServiceType$2.inboundSchema = GetDomainsServiceType$inboundSchema;
  GetDomainsServiceType$2.outboundSchema = GetDomainsServiceType$outboundSchema;
})(GetDomainsServiceType$ || (GetDomainsServiceType$ = {}));
var Domains$inboundSchema = objectType({
  verified: booleanType(),
  nameservers: arrayType(stringType()),
  intendedNameservers: arrayType(stringType()),
  customNameservers: arrayType(stringType()).optional(),
  creator: lazyType(() => GetDomainsCreator$inboundSchema),
  teamId: nullableType(stringType()),
  createdAt: numberType(),
  boughtAt: nullableType(numberType()),
  expiresAt: nullableType(numberType()),
  id: stringType(),
  name: stringType(),
  orderedAt: numberType().optional(),
  renew: booleanType().optional(),
  serviceType: GetDomainsServiceType$inboundSchema,
  transferredAt: nullableType(numberType()).optional(),
  transferStartedAt: numberType().optional(),
  userId: stringType()
});
var Domains$outboundSchema = objectType({
  verified: booleanType(),
  nameservers: arrayType(stringType()),
  intendedNameservers: arrayType(stringType()),
  customNameservers: arrayType(stringType()).optional(),
  creator: lazyType(() => GetDomainsCreator$outboundSchema),
  teamId: nullableType(stringType()),
  createdAt: numberType(),
  boughtAt: nullableType(numberType()),
  expiresAt: nullableType(numberType()),
  id: stringType(),
  name: stringType(),
  orderedAt: numberType().optional(),
  renew: booleanType().optional(),
  serviceType: GetDomainsServiceType$outboundSchema,
  transferredAt: nullableType(numberType()).optional(),
  transferStartedAt: numberType().optional(),
  userId: stringType()
});
var Domains$;
(function(Domains$2) {
  Domains$2.inboundSchema = Domains$inboundSchema;
  Domains$2.outboundSchema = Domains$outboundSchema;
})(Domains$ || (Domains$ = {}));
var GetDomainsResponseBody$inboundSchema = objectType({
  domains: arrayType(lazyType(() => Domains$inboundSchema)),
  pagination: Pagination$inboundSchema
});
var GetDomainsResponseBody$outboundSchema = objectType({
  domains: arrayType(lazyType(() => Domains$outboundSchema)),
  pagination: Pagination$outboundSchema
});
var GetDomainsResponseBody$;
(function(GetDomainsResponseBody$2) {
  GetDomainsResponseBody$2.inboundSchema = GetDomainsResponseBody$inboundSchema;
  GetDomainsResponseBody$2.outboundSchema = GetDomainsResponseBody$outboundSchema;
})(GetDomainsResponseBody$ || (GetDomainsResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/domainsGetDomains.js
async function domainsGetDomains(client, request, options) {
  const parsed = safeParse(request, (value) => GetDomainsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v5/domains")();
  const query = encodeFormQuery({
    limit: payload.limit,
    since: payload.since,
    slug: payload.slug,
    teamId: payload.teamId,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getDomains",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetDomainsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getdomaintransferop.js
var TransferPolicy = {
  ChargeAndRenew: "charge-and-renew",
  NoChargeNoChange: "no-charge-no-change",
  NoChange: "no-change",
  NewTerm: "new-term",
  NotSupported: "not-supported"
};
var GetDomainTransferStatus = {
  PendingOwner: "pending_owner",
  PendingAdmin: "pending_admin",
  PendingRegistry: "pending_registry",
  Completed: "completed",
  Cancelled: "cancelled",
  Undef: "undef",
  Unknown: "unknown"
};
var GetDomainTransferRequest$inboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  domain: stringType()
});
var GetDomainTransferRequest$outboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  domain: stringType()
});
var GetDomainTransferRequest$;
(function(GetDomainTransferRequest$2) {
  GetDomainTransferRequest$2.inboundSchema = GetDomainTransferRequest$inboundSchema;
  GetDomainTransferRequest$2.outboundSchema = GetDomainTransferRequest$outboundSchema;
})(GetDomainTransferRequest$ || (GetDomainTransferRequest$ = {}));
var TransferPolicy$inboundSchema = nativeEnumType(TransferPolicy);
var TransferPolicy$outboundSchema = TransferPolicy$inboundSchema;
var TransferPolicy$;
(function(TransferPolicy$2) {
  TransferPolicy$2.inboundSchema = TransferPolicy$inboundSchema;
  TransferPolicy$2.outboundSchema = TransferPolicy$outboundSchema;
})(TransferPolicy$ || (TransferPolicy$ = {}));
var GetDomainTransferStatus$inboundSchema = nativeEnumType(GetDomainTransferStatus);
var GetDomainTransferStatus$outboundSchema = GetDomainTransferStatus$inboundSchema;
var GetDomainTransferStatus$;
(function(GetDomainTransferStatus$2) {
  GetDomainTransferStatus$2.inboundSchema = GetDomainTransferStatus$inboundSchema;
  GetDomainTransferStatus$2.outboundSchema = GetDomainTransferStatus$outboundSchema;
})(GetDomainTransferStatus$ || (GetDomainTransferStatus$ = {}));
var GetDomainTransferResponseBody$inboundSchema = objectType({
  transferable: booleanType(),
  transferPolicy: nullableType(TransferPolicy$inboundSchema),
  reason: stringType(),
  status: GetDomainTransferStatus$inboundSchema
});
var GetDomainTransferResponseBody$outboundSchema = objectType({
  transferable: booleanType(),
  transferPolicy: nullableType(TransferPolicy$outboundSchema),
  reason: stringType(),
  status: GetDomainTransferStatus$outboundSchema
});
var GetDomainTransferResponseBody$;
(function(GetDomainTransferResponseBody$2) {
  GetDomainTransferResponseBody$2.inboundSchema = GetDomainTransferResponseBody$inboundSchema;
  GetDomainTransferResponseBody$2.outboundSchema = GetDomainTransferResponseBody$outboundSchema;
})(GetDomainTransferResponseBody$ || (GetDomainTransferResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/domainsGetDomainTransfer.js
async function domainsGetDomainTransfer(client, request, options) {
  const parsed = safeParse(request, (value) => GetDomainTransferRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/domains/{domain}/registry")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getDomainTransfer",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetDomainTransferResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/patchdomainop.js
var PatchDomainRequestBody2$inboundSchema = objectType({
  op: stringType().optional(),
  destination: stringType().optional()
});
var PatchDomainRequestBody2$outboundSchema = objectType({
  op: stringType().optional(),
  destination: stringType().optional()
});
var PatchDomainRequestBody2$;
(function(PatchDomainRequestBody2$2) {
  PatchDomainRequestBody2$2.inboundSchema = PatchDomainRequestBody2$inboundSchema;
  PatchDomainRequestBody2$2.outboundSchema = PatchDomainRequestBody2$outboundSchema;
})(PatchDomainRequestBody2$ || (PatchDomainRequestBody2$ = {}));
var PatchDomainRequestBody1$inboundSchema = objectType({
  op: stringType().optional(),
  renew: booleanType().optional(),
  customNameservers: arrayType(stringType()).optional(),
  zone: booleanType().optional()
});
var PatchDomainRequestBody1$outboundSchema = objectType({
  op: stringType().optional(),
  renew: booleanType().optional(),
  customNameservers: arrayType(stringType()).optional(),
  zone: booleanType().optional()
});
var PatchDomainRequestBody1$;
(function(PatchDomainRequestBody1$2) {
  PatchDomainRequestBody1$2.inboundSchema = PatchDomainRequestBody1$inboundSchema;
  PatchDomainRequestBody1$2.outboundSchema = PatchDomainRequestBody1$outboundSchema;
})(PatchDomainRequestBody1$ || (PatchDomainRequestBody1$ = {}));
var PatchDomainRequestBody$inboundSchema = unionType([
  lazyType(() => PatchDomainRequestBody2$inboundSchema),
  lazyType(() => PatchDomainRequestBody1$inboundSchema)
]);
var PatchDomainRequestBody$outboundSchema = unionType([
  lazyType(() => PatchDomainRequestBody2$outboundSchema),
  lazyType(() => PatchDomainRequestBody1$outboundSchema)
]);
var PatchDomainRequestBody$;
(function(PatchDomainRequestBody$2) {
  PatchDomainRequestBody$2.inboundSchema = PatchDomainRequestBody$inboundSchema;
  PatchDomainRequestBody$2.outboundSchema = PatchDomainRequestBody$outboundSchema;
})(PatchDomainRequestBody$ || (PatchDomainRequestBody$ = {}));
var PatchDomainRequest$inboundSchema = objectType({
  domain: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: unionType([
    lazyType(() => PatchDomainRequestBody2$inboundSchema),
    lazyType(() => PatchDomainRequestBody1$inboundSchema)
  ])
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var PatchDomainRequest$outboundSchema = objectType({
  domain: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: unionType([
    lazyType(() => PatchDomainRequestBody2$outboundSchema),
    lazyType(() => PatchDomainRequestBody1$outboundSchema)
  ])
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var PatchDomainRequest$;
(function(PatchDomainRequest$2) {
  PatchDomainRequest$2.inboundSchema = PatchDomainRequest$inboundSchema;
  PatchDomainRequest$2.outboundSchema = PatchDomainRequest$outboundSchema;
})(PatchDomainRequest$ || (PatchDomainRequest$ = {}));
var PatchDomainResponseBody3$inboundSchema = objectType({
  renew: booleanType().optional(),
  customNameservers: arrayType(stringType()).optional(),
  zone: booleanType().optional()
});
var PatchDomainResponseBody3$outboundSchema = objectType({
  renew: booleanType().optional(),
  customNameservers: arrayType(stringType()).optional(),
  zone: booleanType().optional()
});
var PatchDomainResponseBody3$;
(function(PatchDomainResponseBody3$2) {
  PatchDomainResponseBody3$2.inboundSchema = PatchDomainResponseBody3$inboundSchema;
  PatchDomainResponseBody3$2.outboundSchema = PatchDomainResponseBody3$outboundSchema;
})(PatchDomainResponseBody3$ || (PatchDomainResponseBody3$ = {}));
var PatchDomainResponseBody2$inboundSchema = objectType({
  moved: booleanType(),
  token: stringType()
});
var PatchDomainResponseBody2$outboundSchema = objectType({
  moved: booleanType(),
  token: stringType()
});
var PatchDomainResponseBody2$;
(function(PatchDomainResponseBody2$2) {
  PatchDomainResponseBody2$2.inboundSchema = PatchDomainResponseBody2$inboundSchema;
  PatchDomainResponseBody2$2.outboundSchema = PatchDomainResponseBody2$outboundSchema;
})(PatchDomainResponseBody2$ || (PatchDomainResponseBody2$ = {}));
var PatchDomainResponseBody1$inboundSchema = objectType({
  moved: booleanType()
});
var PatchDomainResponseBody1$outboundSchema = objectType({
  moved: booleanType()
});
var PatchDomainResponseBody1$;
(function(PatchDomainResponseBody1$2) {
  PatchDomainResponseBody1$2.inboundSchema = PatchDomainResponseBody1$inboundSchema;
  PatchDomainResponseBody1$2.outboundSchema = PatchDomainResponseBody1$outboundSchema;
})(PatchDomainResponseBody1$ || (PatchDomainResponseBody1$ = {}));
var PatchDomainResponseBody$inboundSchema = unionType([
  lazyType(() => PatchDomainResponseBody1$inboundSchema),
  lazyType(() => PatchDomainResponseBody2$inboundSchema),
  lazyType(() => PatchDomainResponseBody3$inboundSchema)
]);
var PatchDomainResponseBody$outboundSchema = unionType([
  lazyType(() => PatchDomainResponseBody1$outboundSchema),
  lazyType(() => PatchDomainResponseBody2$outboundSchema),
  lazyType(() => PatchDomainResponseBody3$outboundSchema)
]);
var PatchDomainResponseBody$;
(function(PatchDomainResponseBody$2) {
  PatchDomainResponseBody$2.inboundSchema = PatchDomainResponseBody$inboundSchema;
  PatchDomainResponseBody$2.outboundSchema = PatchDomainResponseBody$outboundSchema;
})(PatchDomainResponseBody$ || (PatchDomainResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/domainsPatchDomain.js
async function domainsPatchDomain(client, request, options) {
  const parsed = safeParse(request, (value) => PatchDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v3/domains/{domain}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "patchDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, PatchDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/domains.js
class Domains extends ClientSDK {
  async buyDomain(request, options) {
    return unwrapAsync(domainsBuyDomain(this, request, options));
  }
  async checkDomainPrice(request, options) {
    return unwrapAsync(domainsCheckDomainPrice(this, request, options));
  }
  async checkDomainStatus(request, options) {
    return unwrapAsync(domainsCheckDomainStatus(this, request, options));
  }
  async getDomainTransfer(request, options) {
    return unwrapAsync(domainsGetDomainTransfer(this, request, options));
  }
  async getDomainConfig(request, options) {
    return unwrapAsync(domainsGetDomainConfig(this, request, options));
  }
  async getDomain(request, options) {
    return unwrapAsync(domainsGetDomain(this, request, options));
  }
  async getDomains(request, options) {
    return unwrapAsync(domainsGetDomains(this, request, options));
  }
  async createOrTransferDomain(request, options) {
    return unwrapAsync(domainsCreateOrTransferDomain(this, request, options));
  }
  async patchDomain(request, options) {
    return unwrapAsync(domainsPatchDomain(this, request, options));
  }
  async deleteDomain(request, options) {
    return unwrapAsync(domainsDeleteDomain(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/createedgeconfigop.js
var CreateEdgeConfigType = {
  Flags: "flags"
};
var Two5$inboundSchema = objectType({});
var Two5$outboundSchema = objectType({});
var Two5$;
(function(Two5$2) {
  Two5$2.inboundSchema = Two5$inboundSchema;
  Two5$2.outboundSchema = Two5$outboundSchema;
})(Two5$ || (Two5$ = {}));
var Items2$inboundSchema = unionType([
  lazyType(() => Two5$inboundSchema),
  stringType(),
  numberType(),
  booleanType(),
  anyType()
]);
var Items2$outboundSchema = unionType([
  lazyType(() => Two5$outboundSchema),
  stringType(),
  numberType(),
  booleanType(),
  anyType()
]);
var Items2$;
(function(Items2$2) {
  Items2$2.inboundSchema = Items2$inboundSchema;
  Items2$2.outboundSchema = Items2$outboundSchema;
})(Items2$ || (Items2$ = {}));
var One5$inboundSchema = objectType({});
var One5$outboundSchema = objectType({});
var One5$;
(function(One5$2) {
  One5$2.inboundSchema = One5$inboundSchema;
  One5$2.outboundSchema = One5$outboundSchema;
})(One5$ || (One5$ = {}));
var Items1$inboundSchema = unionType([
  lazyType(() => One5$inboundSchema),
  stringType(),
  numberType(),
  booleanType(),
  anyType()
]);
var Items1$outboundSchema = unionType([
  lazyType(() => One5$outboundSchema),
  stringType(),
  numberType(),
  booleanType(),
  anyType()
]);
var Items1$;
(function(Items1$2) {
  Items1$2.inboundSchema = Items1$inboundSchema;
  Items1$2.outboundSchema = Items1$outboundSchema;
})(Items1$ || (Items1$ = {}));
var Items$inboundSchema = unionType([
  unionType([
    lazyType(() => One5$inboundSchema),
    stringType(),
    numberType(),
    booleanType(),
    anyType()
  ]),
  arrayType(unionType([
    lazyType(() => Two5$inboundSchema),
    stringType(),
    numberType(),
    booleanType(),
    anyType()
  ]))
]);
var Items$outboundSchema = unionType([
  unionType([
    lazyType(() => One5$outboundSchema),
    stringType(),
    numberType(),
    booleanType(),
    anyType()
  ]),
  arrayType(unionType([
    lazyType(() => Two5$outboundSchema),
    stringType(),
    numberType(),
    booleanType(),
    anyType()
  ]))
]);
var Items$;
(function(Items$2) {
  Items$2.inboundSchema = Items$inboundSchema;
  Items$2.outboundSchema = Items$outboundSchema;
})(Items$ || (Items$ = {}));
var CreateEdgeConfigRequestBody$inboundSchema = objectType({
  slug: stringType(),
  items: recordType(unionType([
    unionType([
      lazyType(() => One5$inboundSchema),
      stringType(),
      numberType(),
      booleanType(),
      anyType()
    ]),
    arrayType(unionType([
      lazyType(() => Two5$inboundSchema),
      stringType(),
      numberType(),
      booleanType(),
      anyType()
    ]))
  ])).optional()
});
var CreateEdgeConfigRequestBody$outboundSchema = objectType({
  slug: stringType(),
  items: recordType(unionType([
    unionType([
      lazyType(() => One5$outboundSchema),
      stringType(),
      numberType(),
      booleanType(),
      anyType()
    ]),
    arrayType(unionType([
      lazyType(() => Two5$outboundSchema),
      stringType(),
      numberType(),
      booleanType(),
      anyType()
    ]))
  ])).optional()
});
var CreateEdgeConfigRequestBody$;
(function(CreateEdgeConfigRequestBody$2) {
  CreateEdgeConfigRequestBody$2.inboundSchema = CreateEdgeConfigRequestBody$inboundSchema;
  CreateEdgeConfigRequestBody$2.outboundSchema = CreateEdgeConfigRequestBody$outboundSchema;
})(CreateEdgeConfigRequestBody$ || (CreateEdgeConfigRequestBody$ = {}));
var CreateEdgeConfigRequest$inboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => CreateEdgeConfigRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var CreateEdgeConfigRequest$outboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => CreateEdgeConfigRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var CreateEdgeConfigRequest$;
(function(CreateEdgeConfigRequest$2) {
  CreateEdgeConfigRequest$2.inboundSchema = CreateEdgeConfigRequest$inboundSchema;
  CreateEdgeConfigRequest$2.outboundSchema = CreateEdgeConfigRequest$outboundSchema;
})(CreateEdgeConfigRequest$ || (CreateEdgeConfigRequest$ = {}));
var CreateEdgeConfigTransfer$inboundSchema = objectType({
  fromAccountId: stringType(),
  startedAt: numberType(),
  doneAt: nullableType(numberType())
});
var CreateEdgeConfigTransfer$outboundSchema = objectType({
  fromAccountId: stringType(),
  startedAt: numberType(),
  doneAt: nullableType(numberType())
});
var CreateEdgeConfigTransfer$;
(function(CreateEdgeConfigTransfer$2) {
  CreateEdgeConfigTransfer$2.inboundSchema = CreateEdgeConfigTransfer$inboundSchema;
  CreateEdgeConfigTransfer$2.outboundSchema = CreateEdgeConfigTransfer$outboundSchema;
})(CreateEdgeConfigTransfer$ || (CreateEdgeConfigTransfer$ = {}));
var CreateEdgeConfigSchema$inboundSchema = objectType({});
var CreateEdgeConfigSchema$outboundSchema = objectType({});
var CreateEdgeConfigSchema$;
(function(CreateEdgeConfigSchema$2) {
  CreateEdgeConfigSchema$2.inboundSchema = CreateEdgeConfigSchema$inboundSchema;
  CreateEdgeConfigSchema$2.outboundSchema = CreateEdgeConfigSchema$outboundSchema;
})(CreateEdgeConfigSchema$ || (CreateEdgeConfigSchema$ = {}));
var CreateEdgeConfigType$inboundSchema = nativeEnumType(CreateEdgeConfigType);
var CreateEdgeConfigType$outboundSchema = CreateEdgeConfigType$inboundSchema;
var CreateEdgeConfigType$;
(function(CreateEdgeConfigType$2) {
  CreateEdgeConfigType$2.inboundSchema = CreateEdgeConfigType$inboundSchema;
  CreateEdgeConfigType$2.outboundSchema = CreateEdgeConfigType$outboundSchema;
})(CreateEdgeConfigType$ || (CreateEdgeConfigType$ = {}));
var CreateEdgeConfigPurpose$inboundSchema = objectType({
  type: CreateEdgeConfigType$inboundSchema,
  projectId: stringType()
});
var CreateEdgeConfigPurpose$outboundSchema = objectType({
  type: CreateEdgeConfigType$outboundSchema,
  projectId: stringType()
});
var CreateEdgeConfigPurpose$;
(function(CreateEdgeConfigPurpose$2) {
  CreateEdgeConfigPurpose$2.inboundSchema = CreateEdgeConfigPurpose$inboundSchema;
  CreateEdgeConfigPurpose$2.outboundSchema = CreateEdgeConfigPurpose$outboundSchema;
})(CreateEdgeConfigPurpose$ || (CreateEdgeConfigPurpose$ = {}));
var CreateEdgeConfigResponseBody$inboundSchema = objectType({
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  id: stringType().optional(),
  slug: stringType().optional(),
  ownerId: stringType().optional(),
  digest: stringType().optional(),
  transfer: lazyType(() => CreateEdgeConfigTransfer$inboundSchema).optional(),
  schema: lazyType(() => CreateEdgeConfigSchema$inboundSchema).optional(),
  purpose: lazyType(() => CreateEdgeConfigPurpose$inboundSchema).optional(),
  sizeInBytes: numberType(),
  itemCount: numberType()
});
var CreateEdgeConfigResponseBody$outboundSchema = objectType({
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  id: stringType().optional(),
  slug: stringType().optional(),
  ownerId: stringType().optional(),
  digest: stringType().optional(),
  transfer: lazyType(() => CreateEdgeConfigTransfer$outboundSchema).optional(),
  schema: lazyType(() => CreateEdgeConfigSchema$outboundSchema).optional(),
  purpose: lazyType(() => CreateEdgeConfigPurpose$outboundSchema).optional(),
  sizeInBytes: numberType(),
  itemCount: numberType()
});
var CreateEdgeConfigResponseBody$;
(function(CreateEdgeConfigResponseBody$2) {
  CreateEdgeConfigResponseBody$2.inboundSchema = CreateEdgeConfigResponseBody$inboundSchema;
  CreateEdgeConfigResponseBody$2.outboundSchema = CreateEdgeConfigResponseBody$outboundSchema;
})(CreateEdgeConfigResponseBody$ || (CreateEdgeConfigResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/edgeConfigCreateEdgeConfig.js
async function edgeConfigCreateEdgeConfig(client, request, options) {
  const parsed = safeParse(request, (value) => CreateEdgeConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v1/edge-config")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "createEdgeConfig",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(201, CreateEdgeConfigResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/createedgeconfigtokenop.js
var CreateEdgeConfigTokenRequestBody$inboundSchema = objectType({
  label: stringType()
});
var CreateEdgeConfigTokenRequestBody$outboundSchema = objectType({
  label: stringType()
});
var CreateEdgeConfigTokenRequestBody$;
(function(CreateEdgeConfigTokenRequestBody$2) {
  CreateEdgeConfigTokenRequestBody$2.inboundSchema = CreateEdgeConfigTokenRequestBody$inboundSchema;
  CreateEdgeConfigTokenRequestBody$2.outboundSchema = CreateEdgeConfigTokenRequestBody$outboundSchema;
})(CreateEdgeConfigTokenRequestBody$ || (CreateEdgeConfigTokenRequestBody$ = {}));
var CreateEdgeConfigTokenRequest$inboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => CreateEdgeConfigTokenRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var CreateEdgeConfigTokenRequest$outboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => CreateEdgeConfigTokenRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var CreateEdgeConfigTokenRequest$;
(function(CreateEdgeConfigTokenRequest$2) {
  CreateEdgeConfigTokenRequest$2.inboundSchema = CreateEdgeConfigTokenRequest$inboundSchema;
  CreateEdgeConfigTokenRequest$2.outboundSchema = CreateEdgeConfigTokenRequest$outboundSchema;
})(CreateEdgeConfigTokenRequest$ || (CreateEdgeConfigTokenRequest$ = {}));
var CreateEdgeConfigTokenResponseBody$inboundSchema = objectType({
  token: stringType(),
  id: stringType()
});
var CreateEdgeConfigTokenResponseBody$outboundSchema = objectType({
  token: stringType(),
  id: stringType()
});
var CreateEdgeConfigTokenResponseBody$;
(function(CreateEdgeConfigTokenResponseBody$2) {
  CreateEdgeConfigTokenResponseBody$2.inboundSchema = CreateEdgeConfigTokenResponseBody$inboundSchema;
  CreateEdgeConfigTokenResponseBody$2.outboundSchema = CreateEdgeConfigTokenResponseBody$outboundSchema;
})(CreateEdgeConfigTokenResponseBody$ || (CreateEdgeConfigTokenResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/edgeConfigCreateEdgeConfigToken.js
async function edgeConfigCreateEdgeConfigToken(client, request, options) {
  const parsed = safeParse(request, (value) => CreateEdgeConfigTokenRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/token")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "createEdgeConfigToken",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(201, CreateEdgeConfigTokenResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/deleteedgeconfigop.js
var DeleteEdgeConfigRequest$inboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteEdgeConfigRequest$outboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteEdgeConfigRequest$;
(function(DeleteEdgeConfigRequest$2) {
  DeleteEdgeConfigRequest$2.inboundSchema = DeleteEdgeConfigRequest$inboundSchema;
  DeleteEdgeConfigRequest$2.outboundSchema = DeleteEdgeConfigRequest$outboundSchema;
})(DeleteEdgeConfigRequest$ || (DeleteEdgeConfigRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/edgeConfigDeleteEdgeConfig.js
async function edgeConfigDeleteEdgeConfig(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteEdgeConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "deleteEdgeConfig",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/deleteedgeconfigschemaop.js
var DeleteEdgeConfigSchemaRequest$inboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteEdgeConfigSchemaRequest$outboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteEdgeConfigSchemaRequest$;
(function(DeleteEdgeConfigSchemaRequest$2) {
  DeleteEdgeConfigSchemaRequest$2.inboundSchema = DeleteEdgeConfigSchemaRequest$inboundSchema;
  DeleteEdgeConfigSchemaRequest$2.outboundSchema = DeleteEdgeConfigSchemaRequest$outboundSchema;
})(DeleteEdgeConfigSchemaRequest$ || (DeleteEdgeConfigSchemaRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/edgeConfigDeleteEdgeConfigSchema.js
async function edgeConfigDeleteEdgeConfigSchema(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteEdgeConfigSchemaRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/schema")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "deleteEdgeConfigSchema",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/deleteedgeconfigtokensop.js
var DeleteEdgeConfigTokensRequestBody$inboundSchema = objectType({
  tokens: arrayType(stringType())
});
var DeleteEdgeConfigTokensRequestBody$outboundSchema = objectType({
  tokens: arrayType(stringType())
});
var DeleteEdgeConfigTokensRequestBody$;
(function(DeleteEdgeConfigTokensRequestBody$2) {
  DeleteEdgeConfigTokensRequestBody$2.inboundSchema = DeleteEdgeConfigTokensRequestBody$inboundSchema;
  DeleteEdgeConfigTokensRequestBody$2.outboundSchema = DeleteEdgeConfigTokensRequestBody$outboundSchema;
})(DeleteEdgeConfigTokensRequestBody$ || (DeleteEdgeConfigTokensRequestBody$ = {}));
var DeleteEdgeConfigTokensRequest$inboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => DeleteEdgeConfigTokensRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var DeleteEdgeConfigTokensRequest$outboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => DeleteEdgeConfigTokensRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var DeleteEdgeConfigTokensRequest$;
(function(DeleteEdgeConfigTokensRequest$2) {
  DeleteEdgeConfigTokensRequest$2.inboundSchema = DeleteEdgeConfigTokensRequest$inboundSchema;
  DeleteEdgeConfigTokensRequest$2.outboundSchema = DeleteEdgeConfigTokensRequest$outboundSchema;
})(DeleteEdgeConfigTokensRequest$ || (DeleteEdgeConfigTokensRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/edgeConfigDeleteEdgeConfigTokens.js
async function edgeConfigDeleteEdgeConfigTokens(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteEdgeConfigTokensRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/tokens")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "deleteEdgeConfigTokens",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getedgeconfigop.js
var GetEdgeConfigType = {
  Flags: "flags"
};
var GetEdgeConfigRequest$inboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigRequest$outboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigRequest$;
(function(GetEdgeConfigRequest$2) {
  GetEdgeConfigRequest$2.inboundSchema = GetEdgeConfigRequest$inboundSchema;
  GetEdgeConfigRequest$2.outboundSchema = GetEdgeConfigRequest$outboundSchema;
})(GetEdgeConfigRequest$ || (GetEdgeConfigRequest$ = {}));
var GetEdgeConfigTransfer$inboundSchema = objectType({
  fromAccountId: stringType(),
  startedAt: numberType(),
  doneAt: nullableType(numberType())
});
var GetEdgeConfigTransfer$outboundSchema = objectType({
  fromAccountId: stringType(),
  startedAt: numberType(),
  doneAt: nullableType(numberType())
});
var GetEdgeConfigTransfer$;
(function(GetEdgeConfigTransfer$2) {
  GetEdgeConfigTransfer$2.inboundSchema = GetEdgeConfigTransfer$inboundSchema;
  GetEdgeConfigTransfer$2.outboundSchema = GetEdgeConfigTransfer$outboundSchema;
})(GetEdgeConfigTransfer$ || (GetEdgeConfigTransfer$ = {}));
var GetEdgeConfigSchema$inboundSchema = objectType({});
var GetEdgeConfigSchema$outboundSchema = objectType({});
var GetEdgeConfigSchema$;
(function(GetEdgeConfigSchema$2) {
  GetEdgeConfigSchema$2.inboundSchema = GetEdgeConfigSchema$inboundSchema;
  GetEdgeConfigSchema$2.outboundSchema = GetEdgeConfigSchema$outboundSchema;
})(GetEdgeConfigSchema$ || (GetEdgeConfigSchema$ = {}));
var GetEdgeConfigType$inboundSchema = nativeEnumType(GetEdgeConfigType);
var GetEdgeConfigType$outboundSchema = GetEdgeConfigType$inboundSchema;
var GetEdgeConfigType$;
(function(GetEdgeConfigType$2) {
  GetEdgeConfigType$2.inboundSchema = GetEdgeConfigType$inboundSchema;
  GetEdgeConfigType$2.outboundSchema = GetEdgeConfigType$outboundSchema;
})(GetEdgeConfigType$ || (GetEdgeConfigType$ = {}));
var GetEdgeConfigPurpose$inboundSchema = objectType({
  type: GetEdgeConfigType$inboundSchema,
  projectId: stringType()
});
var GetEdgeConfigPurpose$outboundSchema = objectType({
  type: GetEdgeConfigType$outboundSchema,
  projectId: stringType()
});
var GetEdgeConfigPurpose$;
(function(GetEdgeConfigPurpose$2) {
  GetEdgeConfigPurpose$2.inboundSchema = GetEdgeConfigPurpose$inboundSchema;
  GetEdgeConfigPurpose$2.outboundSchema = GetEdgeConfigPurpose$outboundSchema;
})(GetEdgeConfigPurpose$ || (GetEdgeConfigPurpose$ = {}));
var GetEdgeConfigResponseBody$inboundSchema = objectType({
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  id: stringType().optional(),
  slug: stringType().optional(),
  ownerId: stringType().optional(),
  digest: stringType().optional(),
  transfer: lazyType(() => GetEdgeConfigTransfer$inboundSchema).optional(),
  schema: lazyType(() => GetEdgeConfigSchema$inboundSchema).optional(),
  purpose: lazyType(() => GetEdgeConfigPurpose$inboundSchema).optional(),
  sizeInBytes: numberType(),
  itemCount: numberType()
});
var GetEdgeConfigResponseBody$outboundSchema = objectType({
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  id: stringType().optional(),
  slug: stringType().optional(),
  ownerId: stringType().optional(),
  digest: stringType().optional(),
  transfer: lazyType(() => GetEdgeConfigTransfer$outboundSchema).optional(),
  schema: lazyType(() => GetEdgeConfigSchema$outboundSchema).optional(),
  purpose: lazyType(() => GetEdgeConfigPurpose$outboundSchema).optional(),
  sizeInBytes: numberType(),
  itemCount: numberType()
});
var GetEdgeConfigResponseBody$;
(function(GetEdgeConfigResponseBody$2) {
  GetEdgeConfigResponseBody$2.inboundSchema = GetEdgeConfigResponseBody$inboundSchema;
  GetEdgeConfigResponseBody$2.outboundSchema = GetEdgeConfigResponseBody$outboundSchema;
})(GetEdgeConfigResponseBody$ || (GetEdgeConfigResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/edgeConfigGetEdgeConfig.js
async function edgeConfigGetEdgeConfig(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getEdgeConfig",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetEdgeConfigResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/edgeconfigitemvalue.js
var EdgeConfigItemValue$inboundSchema = unionType([
  stringType(),
  numberType(),
  booleanType(),
  recordType(lazyType(() => EdgeConfigItemValue$inboundSchema)),
  arrayType(lazyType(() => EdgeConfigItemValue$inboundSchema))
]);
var EdgeConfigItemValue$outboundSchema = unionType([
  stringType(),
  numberType(),
  booleanType(),
  recordType(lazyType(() => EdgeConfigItemValue$outboundSchema)),
  arrayType(lazyType(() => EdgeConfigItemValue$outboundSchema))
]);
var EdgeConfigItemValue$;
(function(EdgeConfigItemValue$2) {
  EdgeConfigItemValue$2.inboundSchema = EdgeConfigItemValue$inboundSchema;
  EdgeConfigItemValue$2.outboundSchema = EdgeConfigItemValue$outboundSchema;
})(EdgeConfigItemValue$ || (EdgeConfigItemValue$ = {}));

// node_modules/@vercel/sdk/esm/models/getedgeconfigbackupop.js
var GetEdgeConfigBackupRequest$inboundSchema = objectType({
  edgeConfigId: stringType(),
  edgeConfigBackupVersionId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigBackupRequest$outboundSchema = objectType({
  edgeConfigId: stringType(),
  edgeConfigBackupVersionId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigBackupRequest$;
(function(GetEdgeConfigBackupRequest$2) {
  GetEdgeConfigBackupRequest$2.inboundSchema = GetEdgeConfigBackupRequest$inboundSchema;
  GetEdgeConfigBackupRequest$2.outboundSchema = GetEdgeConfigBackupRequest$outboundSchema;
})(GetEdgeConfigBackupRequest$ || (GetEdgeConfigBackupRequest$ = {}));
var ResponseBodyUser$inboundSchema = objectType({
  id: stringType(),
  username: stringType(),
  email: stringType(),
  name: stringType().optional(),
  avatar: stringType().optional()
});
var ResponseBodyUser$outboundSchema = objectType({
  id: stringType(),
  username: stringType(),
  email: stringType(),
  name: stringType().optional(),
  avatar: stringType().optional()
});
var ResponseBodyUser$;
(function(ResponseBodyUser$2) {
  ResponseBodyUser$2.inboundSchema = ResponseBodyUser$inboundSchema;
  ResponseBodyUser$2.outboundSchema = ResponseBodyUser$outboundSchema;
})(ResponseBodyUser$ || (ResponseBodyUser$ = {}));
var GetEdgeConfigBackupResponseBodyItems$inboundSchema = objectType({
  updatedAt: numberType(),
  value: nullableType(EdgeConfigItemValue$inboundSchema),
  description: stringType().optional(),
  createdAt: numberType()
});
var GetEdgeConfigBackupResponseBodyItems$outboundSchema = objectType({
  updatedAt: numberType(),
  value: nullableType(EdgeConfigItemValue$outboundSchema),
  description: stringType().optional(),
  createdAt: numberType()
});
var GetEdgeConfigBackupResponseBodyItems$;
(function(GetEdgeConfigBackupResponseBodyItems$2) {
  GetEdgeConfigBackupResponseBodyItems$2.inboundSchema = GetEdgeConfigBackupResponseBodyItems$inboundSchema;
  GetEdgeConfigBackupResponseBodyItems$2.outboundSchema = GetEdgeConfigBackupResponseBodyItems$outboundSchema;
})(GetEdgeConfigBackupResponseBodyItems$ || (GetEdgeConfigBackupResponseBodyItems$ = {}));
var ResponseBodyBackup$inboundSchema = objectType({
  digest: stringType(),
  items: recordType(lazyType(() => GetEdgeConfigBackupResponseBodyItems$inboundSchema)),
  slug: stringType(),
  updatedAt: numberType()
});
var ResponseBodyBackup$outboundSchema = objectType({
  digest: stringType(),
  items: recordType(lazyType(() => GetEdgeConfigBackupResponseBodyItems$outboundSchema)),
  slug: stringType(),
  updatedAt: numberType()
});
var ResponseBodyBackup$;
(function(ResponseBodyBackup$2) {
  ResponseBodyBackup$2.inboundSchema = ResponseBodyBackup$inboundSchema;
  ResponseBodyBackup$2.outboundSchema = ResponseBodyBackup$outboundSchema;
})(ResponseBodyBackup$ || (ResponseBodyBackup$ = {}));
var ResponseBodyMetadata$inboundSchema = objectType({
  updatedAt: stringType().optional(),
  updatedBy: stringType().optional(),
  itemsCount: numberType().optional(),
  itemsBytes: numberType().optional()
});
var ResponseBodyMetadata$outboundSchema = objectType({
  updatedAt: stringType().optional(),
  updatedBy: stringType().optional(),
  itemsCount: numberType().optional(),
  itemsBytes: numberType().optional()
});
var ResponseBodyMetadata$;
(function(ResponseBodyMetadata$2) {
  ResponseBodyMetadata$2.inboundSchema = ResponseBodyMetadata$inboundSchema;
  ResponseBodyMetadata$2.outboundSchema = ResponseBodyMetadata$outboundSchema;
})(ResponseBodyMetadata$ || (ResponseBodyMetadata$ = {}));
var GetEdgeConfigBackupResponseBody2$inboundSchema = objectType({
  user: lazyType(() => ResponseBodyUser$inboundSchema),
  id: stringType(),
  lastModified: numberType(),
  backup: lazyType(() => ResponseBodyBackup$inboundSchema),
  metadata: lazyType(() => ResponseBodyMetadata$inboundSchema)
});
var GetEdgeConfigBackupResponseBody2$outboundSchema = objectType({
  user: lazyType(() => ResponseBodyUser$outboundSchema),
  id: stringType(),
  lastModified: numberType(),
  backup: lazyType(() => ResponseBodyBackup$outboundSchema),
  metadata: lazyType(() => ResponseBodyMetadata$outboundSchema)
});
var GetEdgeConfigBackupResponseBody2$;
(function(GetEdgeConfigBackupResponseBody2$2) {
  GetEdgeConfigBackupResponseBody2$2.inboundSchema = GetEdgeConfigBackupResponseBody2$inboundSchema;
  GetEdgeConfigBackupResponseBody2$2.outboundSchema = GetEdgeConfigBackupResponseBody2$outboundSchema;
})(GetEdgeConfigBackupResponseBody2$ || (GetEdgeConfigBackupResponseBody2$ = {}));
var ResponseBodyItems$inboundSchema = objectType({
  updatedAt: numberType(),
  value: nullableType(EdgeConfigItemValue$inboundSchema),
  description: stringType().optional(),
  createdAt: numberType()
});
var ResponseBodyItems$outboundSchema = objectType({
  updatedAt: numberType(),
  value: nullableType(EdgeConfigItemValue$outboundSchema),
  description: stringType().optional(),
  createdAt: numberType()
});
var ResponseBodyItems$;
(function(ResponseBodyItems$2) {
  ResponseBodyItems$2.inboundSchema = ResponseBodyItems$inboundSchema;
  ResponseBodyItems$2.outboundSchema = ResponseBodyItems$outboundSchema;
})(ResponseBodyItems$ || (ResponseBodyItems$ = {}));
var Backup$inboundSchema = objectType({
  digest: stringType(),
  items: recordType(lazyType(() => ResponseBodyItems$inboundSchema)),
  slug: stringType(),
  updatedAt: numberType()
});
var Backup$outboundSchema = objectType({
  digest: stringType(),
  items: recordType(lazyType(() => ResponseBodyItems$outboundSchema)),
  slug: stringType(),
  updatedAt: numberType()
});
var Backup$;
(function(Backup$2) {
  Backup$2.inboundSchema = Backup$inboundSchema;
  Backup$2.outboundSchema = Backup$outboundSchema;
})(Backup$ || (Backup$ = {}));
var Metadata$inboundSchema = objectType({
  updatedAt: stringType().optional(),
  updatedBy: stringType().optional(),
  itemsCount: numberType().optional(),
  itemsBytes: numberType().optional()
});
var Metadata$outboundSchema = objectType({
  updatedAt: stringType().optional(),
  updatedBy: stringType().optional(),
  itemsCount: numberType().optional(),
  itemsBytes: numberType().optional()
});
var Metadata$;
(function(Metadata$2) {
  Metadata$2.inboundSchema = Metadata$inboundSchema;
  Metadata$2.outboundSchema = Metadata$outboundSchema;
})(Metadata$ || (Metadata$ = {}));
var GetEdgeConfigBackupResponseBodyUser$inboundSchema = objectType({
  id: stringType(),
  username: stringType(),
  email: stringType(),
  name: stringType().optional(),
  avatar: stringType().optional()
});
var GetEdgeConfigBackupResponseBodyUser$outboundSchema = objectType({
  id: stringType(),
  username: stringType(),
  email: stringType(),
  name: stringType().optional(),
  avatar: stringType().optional()
});
var GetEdgeConfigBackupResponseBodyUser$;
(function(GetEdgeConfigBackupResponseBodyUser$2) {
  GetEdgeConfigBackupResponseBodyUser$2.inboundSchema = GetEdgeConfigBackupResponseBodyUser$inboundSchema;
  GetEdgeConfigBackupResponseBodyUser$2.outboundSchema = GetEdgeConfigBackupResponseBodyUser$outboundSchema;
})(GetEdgeConfigBackupResponseBodyUser$ || (GetEdgeConfigBackupResponseBodyUser$ = {}));
var GetEdgeConfigBackupResponseBody1$inboundSchema = objectType({
  id: stringType(),
  lastModified: numberType(),
  backup: lazyType(() => Backup$inboundSchema),
  metadata: lazyType(() => Metadata$inboundSchema),
  user: lazyType(() => GetEdgeConfigBackupResponseBodyUser$inboundSchema).optional()
});
var GetEdgeConfigBackupResponseBody1$outboundSchema = objectType({
  id: stringType(),
  lastModified: numberType(),
  backup: lazyType(() => Backup$outboundSchema),
  metadata: lazyType(() => Metadata$outboundSchema),
  user: lazyType(() => GetEdgeConfigBackupResponseBodyUser$outboundSchema).optional()
});
var GetEdgeConfigBackupResponseBody1$;
(function(GetEdgeConfigBackupResponseBody1$2) {
  GetEdgeConfigBackupResponseBody1$2.inboundSchema = GetEdgeConfigBackupResponseBody1$inboundSchema;
  GetEdgeConfigBackupResponseBody1$2.outboundSchema = GetEdgeConfigBackupResponseBody1$outboundSchema;
})(GetEdgeConfigBackupResponseBody1$ || (GetEdgeConfigBackupResponseBody1$ = {}));
var GetEdgeConfigBackupResponseBody$inboundSchema = unionType([
  lazyType(() => GetEdgeConfigBackupResponseBody1$inboundSchema),
  lazyType(() => GetEdgeConfigBackupResponseBody2$inboundSchema)
]);
var GetEdgeConfigBackupResponseBody$outboundSchema = unionType([
  lazyType(() => GetEdgeConfigBackupResponseBody1$outboundSchema),
  lazyType(() => GetEdgeConfigBackupResponseBody2$outboundSchema)
]);
var GetEdgeConfigBackupResponseBody$;
(function(GetEdgeConfigBackupResponseBody$2) {
  GetEdgeConfigBackupResponseBody$2.inboundSchema = GetEdgeConfigBackupResponseBody$inboundSchema;
  GetEdgeConfigBackupResponseBody$2.outboundSchema = GetEdgeConfigBackupResponseBody$outboundSchema;
})(GetEdgeConfigBackupResponseBody$ || (GetEdgeConfigBackupResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/edgeConfigGetEdgeConfigBackup.js
async function edgeConfigGetEdgeConfigBackup(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigBackupRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigBackupVersionId: encodeSimple("edgeConfigBackupVersionId", payload.edgeConfigBackupVersionId, { explode: false, charEncoding: "percent" }),
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/backups/{edgeConfigBackupVersionId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getEdgeConfigBackup",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetEdgeConfigBackupResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getedgeconfigbackupsop.js
var GetEdgeConfigBackupsRequest$inboundSchema = objectType({
  edgeConfigId: stringType(),
  next: stringType().optional(),
  limit: numberType().optional(),
  metadata: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigBackupsRequest$outboundSchema = objectType({
  edgeConfigId: stringType(),
  next: stringType().optional(),
  limit: numberType().optional(),
  metadata: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigBackupsRequest$;
(function(GetEdgeConfigBackupsRequest$2) {
  GetEdgeConfigBackupsRequest$2.inboundSchema = GetEdgeConfigBackupsRequest$inboundSchema;
  GetEdgeConfigBackupsRequest$2.outboundSchema = GetEdgeConfigBackupsRequest$outboundSchema;
})(GetEdgeConfigBackupsRequest$ || (GetEdgeConfigBackupsRequest$ = {}));
var GetEdgeConfigBackupsMetadata$inboundSchema = objectType({
  updatedAt: stringType().optional(),
  updatedBy: stringType().optional(),
  itemsCount: numberType().optional(),
  itemsBytes: numberType().optional()
});
var GetEdgeConfigBackupsMetadata$outboundSchema = objectType({
  updatedAt: stringType().optional(),
  updatedBy: stringType().optional(),
  itemsCount: numberType().optional(),
  itemsBytes: numberType().optional()
});
var GetEdgeConfigBackupsMetadata$;
(function(GetEdgeConfigBackupsMetadata$2) {
  GetEdgeConfigBackupsMetadata$2.inboundSchema = GetEdgeConfigBackupsMetadata$inboundSchema;
  GetEdgeConfigBackupsMetadata$2.outboundSchema = GetEdgeConfigBackupsMetadata$outboundSchema;
})(GetEdgeConfigBackupsMetadata$ || (GetEdgeConfigBackupsMetadata$ = {}));
var Backups$inboundSchema = objectType({
  metadata: lazyType(() => GetEdgeConfigBackupsMetadata$inboundSchema).optional(),
  id: stringType(),
  lastModified: numberType()
});
var Backups$outboundSchema = objectType({
  metadata: lazyType(() => GetEdgeConfigBackupsMetadata$outboundSchema).optional(),
  id: stringType(),
  lastModified: numberType()
});
var Backups$;
(function(Backups$2) {
  Backups$2.inboundSchema = Backups$inboundSchema;
  Backups$2.outboundSchema = Backups$outboundSchema;
})(Backups$ || (Backups$ = {}));
var GetEdgeConfigBackupsPagination$inboundSchema = objectType({
  hasNext: booleanType(),
  next: stringType().optional()
});
var GetEdgeConfigBackupsPagination$outboundSchema = objectType({
  hasNext: booleanType(),
  next: stringType().optional()
});
var GetEdgeConfigBackupsPagination$;
(function(GetEdgeConfigBackupsPagination$2) {
  GetEdgeConfigBackupsPagination$2.inboundSchema = GetEdgeConfigBackupsPagination$inboundSchema;
  GetEdgeConfigBackupsPagination$2.outboundSchema = GetEdgeConfigBackupsPagination$outboundSchema;
})(GetEdgeConfigBackupsPagination$ || (GetEdgeConfigBackupsPagination$ = {}));
var GetEdgeConfigBackupsResponseBody$inboundSchema = objectType({
  backups: arrayType(lazyType(() => Backups$inboundSchema)),
  pagination: lazyType(() => GetEdgeConfigBackupsPagination$inboundSchema)
});
var GetEdgeConfigBackupsResponseBody$outboundSchema = objectType({
  backups: arrayType(lazyType(() => Backups$outboundSchema)),
  pagination: lazyType(() => GetEdgeConfigBackupsPagination$outboundSchema)
});
var GetEdgeConfigBackupsResponseBody$;
(function(GetEdgeConfigBackupsResponseBody$2) {
  GetEdgeConfigBackupsResponseBody$2.inboundSchema = GetEdgeConfigBackupsResponseBody$inboundSchema;
  GetEdgeConfigBackupsResponseBody$2.outboundSchema = GetEdgeConfigBackupsResponseBody$outboundSchema;
})(GetEdgeConfigBackupsResponseBody$ || (GetEdgeConfigBackupsResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/edgeConfigGetEdgeConfigBackups.js
async function edgeConfigGetEdgeConfigBackups(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigBackupsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/backups")(pathParams);
  const query = encodeFormQuery({
    limit: payload.limit,
    metadata: payload.metadata,
    next: payload.next,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getEdgeConfigBackups",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetEdgeConfigBackupsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/edgeconfigitem.js
var EdgeConfigItem$inboundSchema = objectType({
  key: stringType(),
  value: nullableType(EdgeConfigItemValue$inboundSchema),
  description: stringType().optional(),
  edgeConfigId: stringType(),
  createdAt: numberType(),
  updatedAt: numberType()
});
var EdgeConfigItem$outboundSchema = objectType({
  key: stringType(),
  value: nullableType(EdgeConfigItemValue$outboundSchema),
  description: stringType().optional(),
  edgeConfigId: stringType(),
  createdAt: numberType(),
  updatedAt: numberType()
});
var EdgeConfigItem$;
(function(EdgeConfigItem$2) {
  EdgeConfigItem$2.inboundSchema = EdgeConfigItem$inboundSchema;
  EdgeConfigItem$2.outboundSchema = EdgeConfigItem$outboundSchema;
})(EdgeConfigItem$ || (EdgeConfigItem$ = {}));

// node_modules/@vercel/sdk/esm/models/getedgeconfigitemop.js
var GetEdgeConfigItemRequest$inboundSchema = objectType({
  edgeConfigId: stringType(),
  edgeConfigItemKey: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigItemRequest$outboundSchema = objectType({
  edgeConfigId: stringType(),
  edgeConfigItemKey: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigItemRequest$;
(function(GetEdgeConfigItemRequest$2) {
  GetEdgeConfigItemRequest$2.inboundSchema = GetEdgeConfigItemRequest$inboundSchema;
  GetEdgeConfigItemRequest$2.outboundSchema = GetEdgeConfigItemRequest$outboundSchema;
})(GetEdgeConfigItemRequest$ || (GetEdgeConfigItemRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/edgeConfigGetEdgeConfigItem.js
async function edgeConfigGetEdgeConfigItem(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigItemRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    }),
    edgeConfigItemKey: encodeSimple("edgeConfigItemKey", payload.edgeConfigItemKey, { explode: false, charEncoding: "percent" })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/item/{edgeConfigItemKey}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getEdgeConfigItem",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, EdgeConfigItem$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getedgeconfigitemsop.js
var GetEdgeConfigItemsRequest$inboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigItemsRequest$outboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigItemsRequest$;
(function(GetEdgeConfigItemsRequest$2) {
  GetEdgeConfigItemsRequest$2.inboundSchema = GetEdgeConfigItemsRequest$inboundSchema;
  GetEdgeConfigItemsRequest$2.outboundSchema = GetEdgeConfigItemsRequest$outboundSchema;
})(GetEdgeConfigItemsRequest$ || (GetEdgeConfigItemsRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/edgeConfigGetEdgeConfigItems.js
async function edgeConfigGetEdgeConfigItems(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigItemsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/items")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getEdgeConfigItems",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, EdgeConfigItem$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getedgeconfigsop.js
var GetEdgeConfigsType = {
  Flags: "flags"
};
var GetEdgeConfigsRequest$inboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigsRequest$outboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigsRequest$;
(function(GetEdgeConfigsRequest$2) {
  GetEdgeConfigsRequest$2.inboundSchema = GetEdgeConfigsRequest$inboundSchema;
  GetEdgeConfigsRequest$2.outboundSchema = GetEdgeConfigsRequest$outboundSchema;
})(GetEdgeConfigsRequest$ || (GetEdgeConfigsRequest$ = {}));
var Transfer$inboundSchema = objectType({
  fromAccountId: stringType(),
  startedAt: numberType(),
  doneAt: nullableType(numberType())
});
var Transfer$outboundSchema = objectType({
  fromAccountId: stringType(),
  startedAt: numberType(),
  doneAt: nullableType(numberType())
});
var Transfer$;
(function(Transfer$2) {
  Transfer$2.inboundSchema = Transfer$inboundSchema;
  Transfer$2.outboundSchema = Transfer$outboundSchema;
})(Transfer$ || (Transfer$ = {}));
var Schema$inboundSchema = objectType({});
var Schema$outboundSchema = objectType({});
var Schema$;
(function(Schema$2) {
  Schema$2.inboundSchema = Schema$inboundSchema;
  Schema$2.outboundSchema = Schema$outboundSchema;
})(Schema$ || (Schema$ = {}));
var GetEdgeConfigsType$inboundSchema = nativeEnumType(GetEdgeConfigsType);
var GetEdgeConfigsType$outboundSchema = GetEdgeConfigsType$inboundSchema;
var GetEdgeConfigsType$;
(function(GetEdgeConfigsType$2) {
  GetEdgeConfigsType$2.inboundSchema = GetEdgeConfigsType$inboundSchema;
  GetEdgeConfigsType$2.outboundSchema = GetEdgeConfigsType$outboundSchema;
})(GetEdgeConfigsType$ || (GetEdgeConfigsType$ = {}));
var Purpose$inboundSchema = objectType({
  type: GetEdgeConfigsType$inboundSchema,
  projectId: stringType()
});
var Purpose$outboundSchema = objectType({
  type: GetEdgeConfigsType$outboundSchema,
  projectId: stringType()
});
var Purpose$;
(function(Purpose$2) {
  Purpose$2.inboundSchema = Purpose$inboundSchema;
  Purpose$2.outboundSchema = Purpose$outboundSchema;
})(Purpose$ || (Purpose$ = {}));
var GetEdgeConfigsResponseBody$inboundSchema = objectType({
  id: stringType().optional(),
  createdAt: numberType().optional(),
  ownerId: stringType().optional(),
  slug: stringType().optional(),
  updatedAt: numberType().optional(),
  digest: stringType().optional(),
  transfer: lazyType(() => Transfer$inboundSchema).optional(),
  schema: lazyType(() => Schema$inboundSchema).optional(),
  purpose: lazyType(() => Purpose$inboundSchema).optional(),
  sizeInBytes: numberType(),
  itemCount: numberType()
});
var GetEdgeConfigsResponseBody$outboundSchema = objectType({
  id: stringType().optional(),
  createdAt: numberType().optional(),
  ownerId: stringType().optional(),
  slug: stringType().optional(),
  updatedAt: numberType().optional(),
  digest: stringType().optional(),
  transfer: lazyType(() => Transfer$outboundSchema).optional(),
  schema: lazyType(() => Schema$outboundSchema).optional(),
  purpose: lazyType(() => Purpose$outboundSchema).optional(),
  sizeInBytes: numberType(),
  itemCount: numberType()
});
var GetEdgeConfigsResponseBody$;
(function(GetEdgeConfigsResponseBody$2) {
  GetEdgeConfigsResponseBody$2.inboundSchema = GetEdgeConfigsResponseBody$inboundSchema;
  GetEdgeConfigsResponseBody$2.outboundSchema = GetEdgeConfigsResponseBody$outboundSchema;
})(GetEdgeConfigsResponseBody$ || (GetEdgeConfigsResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/edgeConfigGetEdgeConfigs.js
async function edgeConfigGetEdgeConfigs(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v1/edge-config")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getEdgeConfigs",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, arrayType(GetEdgeConfigsResponseBody$inboundSchema)), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getedgeconfigschemaop.js
var GetEdgeConfigSchemaRequest$inboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigSchemaRequest$outboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigSchemaRequest$;
(function(GetEdgeConfigSchemaRequest$2) {
  GetEdgeConfigSchemaRequest$2.inboundSchema = GetEdgeConfigSchemaRequest$inboundSchema;
  GetEdgeConfigSchemaRequest$2.outboundSchema = GetEdgeConfigSchemaRequest$outboundSchema;
})(GetEdgeConfigSchemaRequest$ || (GetEdgeConfigSchemaRequest$ = {}));
var GetEdgeConfigSchemaResponseBody$inboundSchema = objectType({});
var GetEdgeConfigSchemaResponseBody$outboundSchema = objectType({});
var GetEdgeConfigSchemaResponseBody$;
(function(GetEdgeConfigSchemaResponseBody$2) {
  GetEdgeConfigSchemaResponseBody$2.inboundSchema = GetEdgeConfigSchemaResponseBody$inboundSchema;
  GetEdgeConfigSchemaResponseBody$2.outboundSchema = GetEdgeConfigSchemaResponseBody$outboundSchema;
})(GetEdgeConfigSchemaResponseBody$ || (GetEdgeConfigSchemaResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/edgeConfigGetEdgeConfigSchema.js
async function edgeConfigGetEdgeConfigSchema(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigSchemaRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/schema")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getEdgeConfigSchema",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetEdgeConfigSchemaResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/edgeconfigtoken.js
var EdgeConfigToken$inboundSchema = objectType({
  token: stringType(),
  label: stringType(),
  id: stringType(),
  edgeConfigId: stringType(),
  createdAt: numberType()
});
var EdgeConfigToken$outboundSchema = objectType({
  token: stringType(),
  label: stringType(),
  id: stringType(),
  edgeConfigId: stringType(),
  createdAt: numberType()
});
var EdgeConfigToken$;
(function(EdgeConfigToken$2) {
  EdgeConfigToken$2.inboundSchema = EdgeConfigToken$inboundSchema;
  EdgeConfigToken$2.outboundSchema = EdgeConfigToken$outboundSchema;
})(EdgeConfigToken$ || (EdgeConfigToken$ = {}));

// node_modules/@vercel/sdk/esm/models/getedgeconfigtokenop.js
var GetEdgeConfigTokenRequest$inboundSchema = objectType({
  edgeConfigId: stringType(),
  token: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigTokenRequest$outboundSchema = objectType({
  edgeConfigId: stringType(),
  token: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigTokenRequest$;
(function(GetEdgeConfigTokenRequest$2) {
  GetEdgeConfigTokenRequest$2.inboundSchema = GetEdgeConfigTokenRequest$inboundSchema;
  GetEdgeConfigTokenRequest$2.outboundSchema = GetEdgeConfigTokenRequest$outboundSchema;
})(GetEdgeConfigTokenRequest$ || (GetEdgeConfigTokenRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/edgeConfigGetEdgeConfigToken.js
async function edgeConfigGetEdgeConfigToken(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigTokenRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    }),
    token: encodeSimple("token", payload.token, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/token/{token}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getEdgeConfigToken",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, EdgeConfigToken$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getedgeconfigtokensop.js
var GetEdgeConfigTokensRequest$inboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigTokensRequest$outboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetEdgeConfigTokensRequest$;
(function(GetEdgeConfigTokensRequest$2) {
  GetEdgeConfigTokensRequest$2.inboundSchema = GetEdgeConfigTokensRequest$inboundSchema;
  GetEdgeConfigTokensRequest$2.outboundSchema = GetEdgeConfigTokensRequest$outboundSchema;
})(GetEdgeConfigTokensRequest$ || (GetEdgeConfigTokensRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/edgeConfigGetEdgeConfigTokens.js
async function edgeConfigGetEdgeConfigTokens(client, request, options) {
  const parsed = safeParse(request, (value) => GetEdgeConfigTokensRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/tokens")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getEdgeConfigTokens",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, EdgeConfigToken$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/patchedgeconfigschemaop.js
var PatchEdgeConfigSchemaRequestBody$inboundSchema = objectType({
  definition: anyType().optional()
});
var PatchEdgeConfigSchemaRequestBody$outboundSchema = objectType({
  definition: anyType().optional()
});
var PatchEdgeConfigSchemaRequestBody$;
(function(PatchEdgeConfigSchemaRequestBody$2) {
  PatchEdgeConfigSchemaRequestBody$2.inboundSchema = PatchEdgeConfigSchemaRequestBody$inboundSchema;
  PatchEdgeConfigSchemaRequestBody$2.outboundSchema = PatchEdgeConfigSchemaRequestBody$outboundSchema;
})(PatchEdgeConfigSchemaRequestBody$ || (PatchEdgeConfigSchemaRequestBody$ = {}));
var PatchEdgeConfigSchemaRequest$inboundSchema = objectType({
  edgeConfigId: stringType(),
  dryRun: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => PatchEdgeConfigSchemaRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var PatchEdgeConfigSchemaRequest$outboundSchema = objectType({
  edgeConfigId: stringType(),
  dryRun: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => PatchEdgeConfigSchemaRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var PatchEdgeConfigSchemaRequest$;
(function(PatchEdgeConfigSchemaRequest$2) {
  PatchEdgeConfigSchemaRequest$2.inboundSchema = PatchEdgeConfigSchemaRequest$inboundSchema;
  PatchEdgeConfigSchemaRequest$2.outboundSchema = PatchEdgeConfigSchemaRequest$outboundSchema;
})(PatchEdgeConfigSchemaRequest$ || (PatchEdgeConfigSchemaRequest$ = {}));
var PatchEdgeConfigSchemaResponseBody$inboundSchema = objectType({});
var PatchEdgeConfigSchemaResponseBody$outboundSchema = objectType({});
var PatchEdgeConfigSchemaResponseBody$;
(function(PatchEdgeConfigSchemaResponseBody$2) {
  PatchEdgeConfigSchemaResponseBody$2.inboundSchema = PatchEdgeConfigSchemaResponseBody$inboundSchema;
  PatchEdgeConfigSchemaResponseBody$2.outboundSchema = PatchEdgeConfigSchemaResponseBody$outboundSchema;
})(PatchEdgeConfigSchemaResponseBody$ || (PatchEdgeConfigSchemaResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/edgeConfigPatchEdgeConfigSchema.js
async function edgeConfigPatchEdgeConfigSchema(client, request, options) {
  const parsed = safeParse(request, (value) => PatchEdgeConfigSchemaRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}/schema")(pathParams);
  const query = encodeFormQuery({
    dryRun: payload.dryRun,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "patchEdgeConfigSchema",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, PatchEdgeConfigSchemaResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/updateedgeconfigop.js
var UpdateEdgeConfigType = {
  Flags: "flags"
};
var UpdateEdgeConfigRequestBody$inboundSchema = objectType({
  slug: stringType()
});
var UpdateEdgeConfigRequestBody$outboundSchema = objectType({
  slug: stringType()
});
var UpdateEdgeConfigRequestBody$;
(function(UpdateEdgeConfigRequestBody$2) {
  UpdateEdgeConfigRequestBody$2.inboundSchema = UpdateEdgeConfigRequestBody$inboundSchema;
  UpdateEdgeConfigRequestBody$2.outboundSchema = UpdateEdgeConfigRequestBody$outboundSchema;
})(UpdateEdgeConfigRequestBody$ || (UpdateEdgeConfigRequestBody$ = {}));
var UpdateEdgeConfigRequest$inboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => UpdateEdgeConfigRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var UpdateEdgeConfigRequest$outboundSchema = objectType({
  edgeConfigId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => UpdateEdgeConfigRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var UpdateEdgeConfigRequest$;
(function(UpdateEdgeConfigRequest$2) {
  UpdateEdgeConfigRequest$2.inboundSchema = UpdateEdgeConfigRequest$inboundSchema;
  UpdateEdgeConfigRequest$2.outboundSchema = UpdateEdgeConfigRequest$outboundSchema;
})(UpdateEdgeConfigRequest$ || (UpdateEdgeConfigRequest$ = {}));
var UpdateEdgeConfigTransfer$inboundSchema = objectType({
  fromAccountId: stringType(),
  startedAt: numberType(),
  doneAt: nullableType(numberType())
});
var UpdateEdgeConfigTransfer$outboundSchema = objectType({
  fromAccountId: stringType(),
  startedAt: numberType(),
  doneAt: nullableType(numberType())
});
var UpdateEdgeConfigTransfer$;
(function(UpdateEdgeConfigTransfer$2) {
  UpdateEdgeConfigTransfer$2.inboundSchema = UpdateEdgeConfigTransfer$inboundSchema;
  UpdateEdgeConfigTransfer$2.outboundSchema = UpdateEdgeConfigTransfer$outboundSchema;
})(UpdateEdgeConfigTransfer$ || (UpdateEdgeConfigTransfer$ = {}));
var UpdateEdgeConfigSchema$inboundSchema = objectType({});
var UpdateEdgeConfigSchema$outboundSchema = objectType({});
var UpdateEdgeConfigSchema$;
(function(UpdateEdgeConfigSchema$2) {
  UpdateEdgeConfigSchema$2.inboundSchema = UpdateEdgeConfigSchema$inboundSchema;
  UpdateEdgeConfigSchema$2.outboundSchema = UpdateEdgeConfigSchema$outboundSchema;
})(UpdateEdgeConfigSchema$ || (UpdateEdgeConfigSchema$ = {}));
var UpdateEdgeConfigType$inboundSchema = nativeEnumType(UpdateEdgeConfigType);
var UpdateEdgeConfigType$outboundSchema = UpdateEdgeConfigType$inboundSchema;
var UpdateEdgeConfigType$;
(function(UpdateEdgeConfigType$2) {
  UpdateEdgeConfigType$2.inboundSchema = UpdateEdgeConfigType$inboundSchema;
  UpdateEdgeConfigType$2.outboundSchema = UpdateEdgeConfigType$outboundSchema;
})(UpdateEdgeConfigType$ || (UpdateEdgeConfigType$ = {}));
var UpdateEdgeConfigPurpose$inboundSchema = objectType({
  type: UpdateEdgeConfigType$inboundSchema,
  projectId: stringType()
});
var UpdateEdgeConfigPurpose$outboundSchema = objectType({
  type: UpdateEdgeConfigType$outboundSchema,
  projectId: stringType()
});
var UpdateEdgeConfigPurpose$;
(function(UpdateEdgeConfigPurpose$2) {
  UpdateEdgeConfigPurpose$2.inboundSchema = UpdateEdgeConfigPurpose$inboundSchema;
  UpdateEdgeConfigPurpose$2.outboundSchema = UpdateEdgeConfigPurpose$outboundSchema;
})(UpdateEdgeConfigPurpose$ || (UpdateEdgeConfigPurpose$ = {}));
var UpdateEdgeConfigResponseBody$inboundSchema = objectType({
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  id: stringType().optional(),
  slug: stringType().optional(),
  ownerId: stringType().optional(),
  digest: stringType().optional(),
  transfer: lazyType(() => UpdateEdgeConfigTransfer$inboundSchema).optional(),
  schema: lazyType(() => UpdateEdgeConfigSchema$inboundSchema).optional(),
  purpose: lazyType(() => UpdateEdgeConfigPurpose$inboundSchema).optional(),
  sizeInBytes: numberType(),
  itemCount: numberType()
});
var UpdateEdgeConfigResponseBody$outboundSchema = objectType({
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  id: stringType().optional(),
  slug: stringType().optional(),
  ownerId: stringType().optional(),
  digest: stringType().optional(),
  transfer: lazyType(() => UpdateEdgeConfigTransfer$outboundSchema).optional(),
  schema: lazyType(() => UpdateEdgeConfigSchema$outboundSchema).optional(),
  purpose: lazyType(() => UpdateEdgeConfigPurpose$outboundSchema).optional(),
  sizeInBytes: numberType(),
  itemCount: numberType()
});
var UpdateEdgeConfigResponseBody$;
(function(UpdateEdgeConfigResponseBody$2) {
  UpdateEdgeConfigResponseBody$2.inboundSchema = UpdateEdgeConfigResponseBody$inboundSchema;
  UpdateEdgeConfigResponseBody$2.outboundSchema = UpdateEdgeConfigResponseBody$outboundSchema;
})(UpdateEdgeConfigResponseBody$ || (UpdateEdgeConfigResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/edgeConfigUpdateEdgeConfig.js
async function edgeConfigUpdateEdgeConfig(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateEdgeConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    edgeConfigId: encodeSimple("edgeConfigId", payload.edgeConfigId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/edge-config/{edgeConfigId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "updateEdgeConfig",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PUT",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateEdgeConfigResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/edgeconfig.js
class EdgeConfig extends ClientSDK {
  async getEdgeConfigs(request, options) {
    return unwrapAsync(edgeConfigGetEdgeConfigs(this, request, options));
  }
  async createEdgeConfig(request, options) {
    return unwrapAsync(edgeConfigCreateEdgeConfig(this, request, options));
  }
  async getEdgeConfig(request, options) {
    return unwrapAsync(edgeConfigGetEdgeConfig(this, request, options));
  }
  async updateEdgeConfig(request, options) {
    return unwrapAsync(edgeConfigUpdateEdgeConfig(this, request, options));
  }
  async deleteEdgeConfig(request, options) {
    return unwrapAsync(edgeConfigDeleteEdgeConfig(this, request, options));
  }
  async getEdgeConfigItems(request, options) {
    return unwrapAsync(edgeConfigGetEdgeConfigItems(this, request, options));
  }
  async getEdgeConfigSchema(request, options) {
    return unwrapAsync(edgeConfigGetEdgeConfigSchema(this, request, options));
  }
  async patchEdgeConfigSchema(request, options) {
    return unwrapAsync(edgeConfigPatchEdgeConfigSchema(this, request, options));
  }
  async deleteEdgeConfigSchema(request, options) {
    return unwrapAsync(edgeConfigDeleteEdgeConfigSchema(this, request, options));
  }
  async getEdgeConfigItem(request, options) {
    return unwrapAsync(edgeConfigGetEdgeConfigItem(this, request, options));
  }
  async getEdgeConfigTokens(request, options) {
    return unwrapAsync(edgeConfigGetEdgeConfigTokens(this, request, options));
  }
  async deleteEdgeConfigTokens(request, options) {
    return unwrapAsync(edgeConfigDeleteEdgeConfigTokens(this, request, options));
  }
  async getEdgeConfigToken(request, options) {
    return unwrapAsync(edgeConfigGetEdgeConfigToken(this, request, options));
  }
  async createEdgeConfigToken(request, options) {
    return unwrapAsync(edgeConfigCreateEdgeConfigToken(this, request, options));
  }
  async getEdgeConfigBackup(request, options) {
    return unwrapAsync(edgeConfigGetEdgeConfigBackup(this, request, options));
  }
  async getEdgeConfigBackups(request, options) {
    return unwrapAsync(edgeConfigGetEdgeConfigBackups(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/deletev9projectsidornamecustomenvironmentsenvironmentslugoridop.js
var DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$inboundSchema = objectType({
  deleteUnassignedEnvironmentVariables: booleanType().optional()
});
var DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$outboundSchema = objectType({
  deleteUnassignedEnvironmentVariables: booleanType().optional()
});
var DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$;
(function(DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$2) {
  DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$2.inboundSchema = DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$inboundSchema;
  DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$2.outboundSchema = DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$outboundSchema;
})(DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$ || (DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$ = {}));
var DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$inboundSchema = objectType({
  idOrName: stringType(),
  environmentSlugOrId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$outboundSchema = objectType({
  idOrName: stringType(),
  environmentSlugOrId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$;
(function(DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$2) {
  DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$2.inboundSchema = DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$inboundSchema;
  DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$2.outboundSchema = DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$outboundSchema;
})(DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$ || (DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$ = {}));
var DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$inboundSchema = objectType({});
var DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$outboundSchema = objectType({});
var DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$;
(function(DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$2) {
  DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$2.inboundSchema = DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$inboundSchema;
  DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$2.outboundSchema = DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$outboundSchema;
})(DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$ || (DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/environmentDeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrId.js
async function environmentDeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrId(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    environmentSlugOrId: encodeSimple("environmentSlugOrId", payload.environmentSlugOrId, { explode: false, charEncoding: "percent" }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/custom-environments/{environmentSlugOrId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "delete_/v9/projects/{idOrName}/custom-environments/{environmentSlugOrId}",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, DeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getv9projectsidornamecustomenvironmentsop.js
var GetV9ProjectsIdOrNameCustomEnvironmentsRequest$inboundSchema = objectType({
  idOrName: stringType(),
  gitBranch: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetV9ProjectsIdOrNameCustomEnvironmentsRequest$outboundSchema = objectType({
  idOrName: stringType(),
  gitBranch: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetV9ProjectsIdOrNameCustomEnvironmentsRequest$;
(function(GetV9ProjectsIdOrNameCustomEnvironmentsRequest$2) {
  GetV9ProjectsIdOrNameCustomEnvironmentsRequest$2.inboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsRequest$inboundSchema;
  GetV9ProjectsIdOrNameCustomEnvironmentsRequest$2.outboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsRequest$outboundSchema;
})(GetV9ProjectsIdOrNameCustomEnvironmentsRequest$ || (GetV9ProjectsIdOrNameCustomEnvironmentsRequest$ = {}));
var GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$inboundSchema = objectType({});
var GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$outboundSchema = objectType({});
var GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$;
(function(GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$2) {
  GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$2.inboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$inboundSchema;
  GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$2.outboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$outboundSchema;
})(GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$ || (GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$ = {}));
var GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$inboundSchema = objectType({
  environments: arrayType(lazyType(() => GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$inboundSchema))
});
var GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$outboundSchema = objectType({
  environments: arrayType(lazyType(() => GetV9ProjectsIdOrNameCustomEnvironmentsEnvironments$outboundSchema))
});
var GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$;
(function(GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$2) {
  GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$2.inboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$inboundSchema;
  GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$2.outboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$outboundSchema;
})(GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$ || (GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/environmentGetV9ProjectsIdOrNameCustomEnvironments.js
async function environmentGetV9ProjectsIdOrNameCustomEnvironments(client, request, options) {
  const parsed = safeParse(request, (value) => GetV9ProjectsIdOrNameCustomEnvironmentsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/custom-environments")(pathParams);
  const query = encodeFormQuery({
    gitBranch: payload.gitBranch,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "get_/v9/projects/{idOrName}/custom-environments",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetV9ProjectsIdOrNameCustomEnvironmentsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getv9projectsidornamecustomenvironmentsenvironmentslugoridop.js
var GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$inboundSchema = objectType({
  idOrName: stringType(),
  environmentSlugOrId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$outboundSchema = objectType({
  idOrName: stringType(),
  environmentSlugOrId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$;
(function(GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$2) {
  GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$2.inboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$inboundSchema;
  GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$2.outboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$outboundSchema;
})(GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$ || (GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$ = {}));
var GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$inboundSchema = objectType({});
var GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$outboundSchema = objectType({});
var GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$;
(function(GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$2) {
  GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$2.inboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$inboundSchema;
  GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$2.outboundSchema = GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$outboundSchema;
})(GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$ || (GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/environmentGetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrId.js
async function environmentGetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrId(client, request, options) {
  const parsed = safeParse(request, (value) => GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    environmentSlugOrId: encodeSimple("environmentSlugOrId", payload.environmentSlugOrId, { explode: false, charEncoding: "percent" }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/custom-environments/{environmentSlugOrId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "get_/v9/projects/{idOrName}/custom-environments/{environmentSlugOrId}",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/patchv9projectsidornamecustomenvironmentsenvironmentslugoridop.js
var PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdType = {
  Equals: "equals",
  StartsWith: "startsWith",
  EndsWith: "endsWith"
};
var PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdType$inboundSchema = nativeEnumType(PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdType);
var PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdType$outboundSchema = PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdType$inboundSchema;
var PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdType$;
(function(PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdType$2) {
  PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdType$2.inboundSchema = PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdType$inboundSchema;
  PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdType$2.outboundSchema = PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdType$outboundSchema;
})(PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdType$ || (PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdType$ = {}));
var PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdBranchMatcher$inboundSchema = objectType({
  type: PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdType$inboundSchema,
  pattern: stringType()
});
var PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdBranchMatcher$outboundSchema = objectType({
  type: PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdType$outboundSchema,
  pattern: stringType()
});
var PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdBranchMatcher$;
(function(PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdBranchMatcher$2) {
  PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdBranchMatcher$2.inboundSchema = PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdBranchMatcher$inboundSchema;
  PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdBranchMatcher$2.outboundSchema = PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdBranchMatcher$outboundSchema;
})(PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdBranchMatcher$ || (PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdBranchMatcher$ = {}));
var PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$inboundSchema = objectType({
  slug: stringType().optional(),
  description: stringType().optional(),
  branchMatcher: nullableType(lazyType(() => PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdBranchMatcher$inboundSchema)).optional()
});
var PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$outboundSchema = objectType({
  slug: stringType().optional(),
  description: stringType().optional(),
  branchMatcher: nullableType(lazyType(() => PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdBranchMatcher$outboundSchema)).optional()
});
var PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$;
(function(PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$2) {
  PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$2.inboundSchema = PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$inboundSchema;
  PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$2.outboundSchema = PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$outboundSchema;
})(PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$ || (PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$ = {}));
var PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$inboundSchema = objectType({
  idOrName: stringType(),
  environmentSlugOrId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$outboundSchema = objectType({
  idOrName: stringType(),
  environmentSlugOrId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequestBody$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$;
(function(PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$2) {
  PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$2.inboundSchema = PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$inboundSchema;
  PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$2.outboundSchema = PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$outboundSchema;
})(PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$ || (PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$ = {}));
var PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$inboundSchema = objectType({});
var PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$outboundSchema = objectType({});
var PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$;
(function(PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$2) {
  PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$2.inboundSchema = PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$inboundSchema;
  PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$2.outboundSchema = PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$outboundSchema;
})(PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$ || (PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/environmentPatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrId.js
async function environmentPatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrId(client, request, options) {
  const parsed = safeParse(request, (value) => PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    environmentSlugOrId: encodeSimple("environmentSlugOrId", payload.environmentSlugOrId, { explode: false, charEncoding: "percent" }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/custom-environments/{environmentSlugOrId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "patch_/v9/projects/{idOrName}/custom-environments/{environmentSlugOrId}",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, PatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrIdResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/postv1projectsidornamecustomenvironmentsop.js
var PostV1ProjectsIdOrNameCustomEnvironmentsType = {
  Equals: "equals",
  StartsWith: "startsWith",
  EndsWith: "endsWith"
};
var PostV1ProjectsIdOrNameCustomEnvironmentsType$inboundSchema = nativeEnumType(PostV1ProjectsIdOrNameCustomEnvironmentsType);
var PostV1ProjectsIdOrNameCustomEnvironmentsType$outboundSchema = PostV1ProjectsIdOrNameCustomEnvironmentsType$inboundSchema;
var PostV1ProjectsIdOrNameCustomEnvironmentsType$;
(function(PostV1ProjectsIdOrNameCustomEnvironmentsType$2) {
  PostV1ProjectsIdOrNameCustomEnvironmentsType$2.inboundSchema = PostV1ProjectsIdOrNameCustomEnvironmentsType$inboundSchema;
  PostV1ProjectsIdOrNameCustomEnvironmentsType$2.outboundSchema = PostV1ProjectsIdOrNameCustomEnvironmentsType$outboundSchema;
})(PostV1ProjectsIdOrNameCustomEnvironmentsType$ || (PostV1ProjectsIdOrNameCustomEnvironmentsType$ = {}));
var BranchMatcher$inboundSchema = objectType({
  type: PostV1ProjectsIdOrNameCustomEnvironmentsType$inboundSchema,
  pattern: stringType()
});
var BranchMatcher$outboundSchema = objectType({
  type: PostV1ProjectsIdOrNameCustomEnvironmentsType$outboundSchema,
  pattern: stringType()
});
var BranchMatcher$;
(function(BranchMatcher$2) {
  BranchMatcher$2.inboundSchema = BranchMatcher$inboundSchema;
  BranchMatcher$2.outboundSchema = BranchMatcher$outboundSchema;
})(BranchMatcher$ || (BranchMatcher$ = {}));
var PostV1ProjectsIdOrNameCustomEnvironmentsRequestBody$inboundSchema = objectType({
  slug: stringType().optional(),
  description: stringType().optional(),
  branchMatcher: lazyType(() => BranchMatcher$inboundSchema).optional(),
  copyEnvVarsFrom: stringType().optional()
});
var PostV1ProjectsIdOrNameCustomEnvironmentsRequestBody$outboundSchema = objectType({
  slug: stringType().optional(),
  description: stringType().optional(),
  branchMatcher: lazyType(() => BranchMatcher$outboundSchema).optional(),
  copyEnvVarsFrom: stringType().optional()
});
var PostV1ProjectsIdOrNameCustomEnvironmentsRequestBody$;
(function(PostV1ProjectsIdOrNameCustomEnvironmentsRequestBody$2) {
  PostV1ProjectsIdOrNameCustomEnvironmentsRequestBody$2.inboundSchema = PostV1ProjectsIdOrNameCustomEnvironmentsRequestBody$inboundSchema;
  PostV1ProjectsIdOrNameCustomEnvironmentsRequestBody$2.outboundSchema = PostV1ProjectsIdOrNameCustomEnvironmentsRequestBody$outboundSchema;
})(PostV1ProjectsIdOrNameCustomEnvironmentsRequestBody$ || (PostV1ProjectsIdOrNameCustomEnvironmentsRequestBody$ = {}));
var PostV1ProjectsIdOrNameCustomEnvironmentsRequest$inboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => PostV1ProjectsIdOrNameCustomEnvironmentsRequestBody$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var PostV1ProjectsIdOrNameCustomEnvironmentsRequest$outboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => PostV1ProjectsIdOrNameCustomEnvironmentsRequestBody$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var PostV1ProjectsIdOrNameCustomEnvironmentsRequest$;
(function(PostV1ProjectsIdOrNameCustomEnvironmentsRequest$2) {
  PostV1ProjectsIdOrNameCustomEnvironmentsRequest$2.inboundSchema = PostV1ProjectsIdOrNameCustomEnvironmentsRequest$inboundSchema;
  PostV1ProjectsIdOrNameCustomEnvironmentsRequest$2.outboundSchema = PostV1ProjectsIdOrNameCustomEnvironmentsRequest$outboundSchema;
})(PostV1ProjectsIdOrNameCustomEnvironmentsRequest$ || (PostV1ProjectsIdOrNameCustomEnvironmentsRequest$ = {}));
var PostV1ProjectsIdOrNameCustomEnvironmentsResponseBody$inboundSchema = objectType({});
var PostV1ProjectsIdOrNameCustomEnvironmentsResponseBody$outboundSchema = objectType({});
var PostV1ProjectsIdOrNameCustomEnvironmentsResponseBody$;
(function(PostV1ProjectsIdOrNameCustomEnvironmentsResponseBody$2) {
  PostV1ProjectsIdOrNameCustomEnvironmentsResponseBody$2.inboundSchema = PostV1ProjectsIdOrNameCustomEnvironmentsResponseBody$inboundSchema;
  PostV1ProjectsIdOrNameCustomEnvironmentsResponseBody$2.outboundSchema = PostV1ProjectsIdOrNameCustomEnvironmentsResponseBody$outboundSchema;
})(PostV1ProjectsIdOrNameCustomEnvironmentsResponseBody$ || (PostV1ProjectsIdOrNameCustomEnvironmentsResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/environmentPostV1ProjectsIdOrNameCustomEnvironments.js
async function environmentPostV1ProjectsIdOrNameCustomEnvironments(client, request, options) {
  const parsed = safeParse(request, (value) => PostV1ProjectsIdOrNameCustomEnvironmentsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/projects/{idOrName}/custom-environments")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "post_/v1/projects/{idOrName}/custom-environments",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(201, PostV1ProjectsIdOrNameCustomEnvironmentsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/environment.js
class Environment extends ClientSDK {
  async postV1ProjectsIdOrNameCustomEnvironments(request, options) {
    return unwrapAsync(environmentPostV1ProjectsIdOrNameCustomEnvironments(this, request, options));
  }
  async getV9ProjectsIdOrNameCustomEnvironments(request, options) {
    return unwrapAsync(environmentGetV9ProjectsIdOrNameCustomEnvironments(this, request, options));
  }
  async getV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrId(request, options) {
    return unwrapAsync(environmentGetV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrId(this, request, options));
  }
  async patchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrId(request, options) {
    return unwrapAsync(environmentPatchV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrId(this, request, options));
  }
  async deleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrId(request, options) {
    return unwrapAsync(environmentDeleteV9ProjectsIdOrNameCustomEnvironmentsEnvironmentSlugOrId(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/deleteconfigurationop.js
var DeleteConfigurationRequest$inboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteConfigurationRequest$outboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteConfigurationRequest$;
(function(DeleteConfigurationRequest$2) {
  DeleteConfigurationRequest$2.inboundSchema = DeleteConfigurationRequest$inboundSchema;
  DeleteConfigurationRequest$2.outboundSchema = DeleteConfigurationRequest$outboundSchema;
})(DeleteConfigurationRequest$ || (DeleteConfigurationRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/integrationsDeleteConfiguration.js
async function integrationsDeleteConfiguration(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteConfigurationRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/integrations/configuration/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "deleteConfiguration",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getconfigurationop.js
var ProjectSelection = {
  Selected: "selected",
  All: "all"
};
var GetConfigurationResponseBodyIntegrationsSource = {
  Marketplace: "marketplace",
  DeployButton: "deploy-button",
  External: "external"
};
var GetConfigurationResponseBodyIntegrationsType = {
  IntegrationConfiguration: "integration-configuration"
};
var GetConfigurationResponseBodyIntegrationsDisabledReason = {
  DisabledByOwner: "disabled-by-owner",
  FeatureNotAvailable: "feature-not-available",
  DisabledByAdmin: "disabled-by-admin",
  OriginalOwnerLeftTheTeam: "original-owner-left-the-team",
  AccountPlanDowngrade: "account-plan-downgrade",
  OriginalOwnerRoleDowngraded: "original-owner-role-downgraded"
};
var GetConfigurationResponseBodyIntegrationsInstallationType = {
  Marketplace: "marketplace",
  External: "external"
};
var GetConfigurationResponseBodyIntegrationsResponseType = {
  Prepayment: "prepayment",
  Subscription: "subscription"
};
var GetConfigurationResponseBodyScope = {
  Installation: "installation",
  Resource: "resource"
};
var GetConfigurationResponseBodySource = {
  Marketplace: "marketplace",
  DeployButton: "deploy-button",
  External: "external"
};
var GetConfigurationResponseBodyType = {
  IntegrationConfiguration: "integration-configuration"
};
var GetConfigurationResponseBodyDisabledReason = {
  DisabledByOwner: "disabled-by-owner",
  FeatureNotAvailable: "feature-not-available",
  DisabledByAdmin: "disabled-by-admin",
  OriginalOwnerLeftTheTeam: "original-owner-left-the-team",
  AccountPlanDowngrade: "account-plan-downgrade",
  OriginalOwnerRoleDowngraded: "original-owner-role-downgraded"
};
var GetConfigurationResponseBodyInstallationType = {
  Marketplace: "marketplace",
  External: "external"
};
var GetConfigurationRequest$inboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetConfigurationRequest$outboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetConfigurationRequest$;
(function(GetConfigurationRequest$2) {
  GetConfigurationRequest$2.inboundSchema = GetConfigurationRequest$inboundSchema;
  GetConfigurationRequest$2.outboundSchema = GetConfigurationRequest$outboundSchema;
})(GetConfigurationRequest$ || (GetConfigurationRequest$ = {}));
var ProjectSelection$inboundSchema = nativeEnumType(ProjectSelection);
var ProjectSelection$outboundSchema = ProjectSelection$inboundSchema;
var ProjectSelection$;
(function(ProjectSelection$2) {
  ProjectSelection$2.inboundSchema = ProjectSelection$inboundSchema;
  ProjectSelection$2.outboundSchema = ProjectSelection$outboundSchema;
})(ProjectSelection$ || (ProjectSelection$ = {}));
var GetConfigurationResponseBodyIntegrationsSource$inboundSchema = nativeEnumType(GetConfigurationResponseBodyIntegrationsSource);
var GetConfigurationResponseBodyIntegrationsSource$outboundSchema = GetConfigurationResponseBodyIntegrationsSource$inboundSchema;
var GetConfigurationResponseBodyIntegrationsSource$;
(function(GetConfigurationResponseBodyIntegrationsSource$2) {
  GetConfigurationResponseBodyIntegrationsSource$2.inboundSchema = GetConfigurationResponseBodyIntegrationsSource$inboundSchema;
  GetConfigurationResponseBodyIntegrationsSource$2.outboundSchema = GetConfigurationResponseBodyIntegrationsSource$outboundSchema;
})(GetConfigurationResponseBodyIntegrationsSource$ || (GetConfigurationResponseBodyIntegrationsSource$ = {}));
var GetConfigurationResponseBodyIntegrationsType$inboundSchema = nativeEnumType(GetConfigurationResponseBodyIntegrationsType);
var GetConfigurationResponseBodyIntegrationsType$outboundSchema = GetConfigurationResponseBodyIntegrationsType$inboundSchema;
var GetConfigurationResponseBodyIntegrationsType$;
(function(GetConfigurationResponseBodyIntegrationsType$2) {
  GetConfigurationResponseBodyIntegrationsType$2.inboundSchema = GetConfigurationResponseBodyIntegrationsType$inboundSchema;
  GetConfigurationResponseBodyIntegrationsType$2.outboundSchema = GetConfigurationResponseBodyIntegrationsType$outboundSchema;
})(GetConfigurationResponseBodyIntegrationsType$ || (GetConfigurationResponseBodyIntegrationsType$ = {}));
var GetConfigurationResponseBodyIntegrationsDisabledReason$inboundSchema = nativeEnumType(GetConfigurationResponseBodyIntegrationsDisabledReason);
var GetConfigurationResponseBodyIntegrationsDisabledReason$outboundSchema = GetConfigurationResponseBodyIntegrationsDisabledReason$inboundSchema;
var GetConfigurationResponseBodyIntegrationsDisabledReason$;
(function(GetConfigurationResponseBodyIntegrationsDisabledReason$2) {
  GetConfigurationResponseBodyIntegrationsDisabledReason$2.inboundSchema = GetConfigurationResponseBodyIntegrationsDisabledReason$inboundSchema;
  GetConfigurationResponseBodyIntegrationsDisabledReason$2.outboundSchema = GetConfigurationResponseBodyIntegrationsDisabledReason$outboundSchema;
})(GetConfigurationResponseBodyIntegrationsDisabledReason$ || (GetConfigurationResponseBodyIntegrationsDisabledReason$ = {}));
var GetConfigurationResponseBodyIntegrationsInstallationType$inboundSchema = nativeEnumType(GetConfigurationResponseBodyIntegrationsInstallationType);
var GetConfigurationResponseBodyIntegrationsInstallationType$outboundSchema = GetConfigurationResponseBodyIntegrationsInstallationType$inboundSchema;
var GetConfigurationResponseBodyIntegrationsInstallationType$;
(function(GetConfigurationResponseBodyIntegrationsInstallationType$2) {
  GetConfigurationResponseBodyIntegrationsInstallationType$2.inboundSchema = GetConfigurationResponseBodyIntegrationsInstallationType$inboundSchema;
  GetConfigurationResponseBodyIntegrationsInstallationType$2.outboundSchema = GetConfigurationResponseBodyIntegrationsInstallationType$outboundSchema;
})(GetConfigurationResponseBodyIntegrationsInstallationType$ || (GetConfigurationResponseBodyIntegrationsInstallationType$ = {}));
var GetConfigurationResponseBody2$inboundSchema = objectType({
  projectSelection: ProjectSelection$inboundSchema,
  projects: arrayType(stringType()).optional(),
  completedAt: numberType().optional(),
  createdAt: numberType(),
  id: stringType(),
  integrationId: stringType(),
  ownerId: stringType(),
  source: GetConfigurationResponseBodyIntegrationsSource$inboundSchema.optional(),
  slug: stringType(),
  teamId: nullableType(stringType()).optional(),
  type: GetConfigurationResponseBodyIntegrationsType$inboundSchema,
  updatedAt: numberType(),
  userId: stringType(),
  scopes: arrayType(stringType()),
  disabledAt: numberType().optional(),
  deletedAt: nullableType(numberType()).optional(),
  deleteRequestedAt: nullableType(numberType()).optional(),
  disabledReason: GetConfigurationResponseBodyIntegrationsDisabledReason$inboundSchema.optional(),
  installationType: GetConfigurationResponseBodyIntegrationsInstallationType$inboundSchema.optional(),
  canConfigureOpenTelemetry: booleanType().optional()
});
var GetConfigurationResponseBody2$outboundSchema = objectType({
  projectSelection: ProjectSelection$outboundSchema,
  projects: arrayType(stringType()).optional(),
  completedAt: numberType().optional(),
  createdAt: numberType(),
  id: stringType(),
  integrationId: stringType(),
  ownerId: stringType(),
  source: GetConfigurationResponseBodyIntegrationsSource$outboundSchema.optional(),
  slug: stringType(),
  teamId: nullableType(stringType()).optional(),
  type: GetConfigurationResponseBodyIntegrationsType$outboundSchema,
  updatedAt: numberType(),
  userId: stringType(),
  scopes: arrayType(stringType()),
  disabledAt: numberType().optional(),
  deletedAt: nullableType(numberType()).optional(),
  deleteRequestedAt: nullableType(numberType()).optional(),
  disabledReason: GetConfigurationResponseBodyIntegrationsDisabledReason$outboundSchema.optional(),
  installationType: GetConfigurationResponseBodyIntegrationsInstallationType$outboundSchema.optional(),
  canConfigureOpenTelemetry: booleanType().optional()
});
var GetConfigurationResponseBody2$;
(function(GetConfigurationResponseBody2$2) {
  GetConfigurationResponseBody2$2.inboundSchema = GetConfigurationResponseBody2$inboundSchema;
  GetConfigurationResponseBody2$2.outboundSchema = GetConfigurationResponseBody2$outboundSchema;
})(GetConfigurationResponseBody2$ || (GetConfigurationResponseBody2$ = {}));
var GetConfigurationResponseBodyIntegrationsResponseType$inboundSchema = nativeEnumType(GetConfigurationResponseBodyIntegrationsResponseType);
var GetConfigurationResponseBodyIntegrationsResponseType$outboundSchema = GetConfigurationResponseBodyIntegrationsResponseType$inboundSchema;
var GetConfigurationResponseBodyIntegrationsResponseType$;
(function(GetConfigurationResponseBodyIntegrationsResponseType$2) {
  GetConfigurationResponseBodyIntegrationsResponseType$2.inboundSchema = GetConfigurationResponseBodyIntegrationsResponseType$inboundSchema;
  GetConfigurationResponseBodyIntegrationsResponseType$2.outboundSchema = GetConfigurationResponseBodyIntegrationsResponseType$outboundSchema;
})(GetConfigurationResponseBodyIntegrationsResponseType$ || (GetConfigurationResponseBodyIntegrationsResponseType$ = {}));
var GetConfigurationResponseBodyScope$inboundSchema = nativeEnumType(GetConfigurationResponseBodyScope);
var GetConfigurationResponseBodyScope$outboundSchema = GetConfigurationResponseBodyScope$inboundSchema;
var GetConfigurationResponseBodyScope$;
(function(GetConfigurationResponseBodyScope$2) {
  GetConfigurationResponseBodyScope$2.inboundSchema = GetConfigurationResponseBodyScope$inboundSchema;
  GetConfigurationResponseBodyScope$2.outboundSchema = GetConfigurationResponseBodyScope$outboundSchema;
})(GetConfigurationResponseBodyScope$ || (GetConfigurationResponseBodyScope$ = {}));
var GetConfigurationResponseBodyDetails$inboundSchema = objectType({
  label: stringType(),
  value: stringType().optional()
});
var GetConfigurationResponseBodyDetails$outboundSchema = objectType({
  label: stringType(),
  value: stringType().optional()
});
var GetConfigurationResponseBodyDetails$;
(function(GetConfigurationResponseBodyDetails$2) {
  GetConfigurationResponseBodyDetails$2.inboundSchema = GetConfigurationResponseBodyDetails$inboundSchema;
  GetConfigurationResponseBodyDetails$2.outboundSchema = GetConfigurationResponseBodyDetails$outboundSchema;
})(GetConfigurationResponseBodyDetails$ || (GetConfigurationResponseBodyDetails$ = {}));
var GetConfigurationResponseBodyHeightlightedDetails$inboundSchema = objectType({
  label: stringType(),
  value: stringType().optional()
});
var GetConfigurationResponseBodyHeightlightedDetails$outboundSchema = objectType({
  label: stringType(),
  value: stringType().optional()
});
var GetConfigurationResponseBodyHeightlightedDetails$;
(function(GetConfigurationResponseBodyHeightlightedDetails$2) {
  GetConfigurationResponseBodyHeightlightedDetails$2.inboundSchema = GetConfigurationResponseBodyHeightlightedDetails$inboundSchema;
  GetConfigurationResponseBodyHeightlightedDetails$2.outboundSchema = GetConfigurationResponseBodyHeightlightedDetails$outboundSchema;
})(GetConfigurationResponseBodyHeightlightedDetails$ || (GetConfigurationResponseBodyHeightlightedDetails$ = {}));
var GetConfigurationResponseBodyQuote$inboundSchema = objectType({
  line: stringType(),
  amount: stringType()
});
var GetConfigurationResponseBodyQuote$outboundSchema = objectType({
  line: stringType(),
  amount: stringType()
});
var GetConfigurationResponseBodyQuote$;
(function(GetConfigurationResponseBodyQuote$2) {
  GetConfigurationResponseBodyQuote$2.inboundSchema = GetConfigurationResponseBodyQuote$inboundSchema;
  GetConfigurationResponseBodyQuote$2.outboundSchema = GetConfigurationResponseBodyQuote$outboundSchema;
})(GetConfigurationResponseBodyQuote$ || (GetConfigurationResponseBodyQuote$ = {}));
var GetConfigurationResponseBodyBillingPlan$inboundSchema = objectType({
  id: stringType(),
  type: GetConfigurationResponseBodyIntegrationsResponseType$inboundSchema,
  name: stringType(),
  scope: GetConfigurationResponseBodyScope$inboundSchema.optional(),
  description: stringType(),
  paymentMethodRequired: booleanType().optional(),
  preauthorizationAmount: numberType().optional(),
  cost: stringType().optional(),
  details: arrayType(lazyType(() => GetConfigurationResponseBodyDetails$inboundSchema)).optional(),
  heightlightedDetails: arrayType(lazyType(() => GetConfigurationResponseBodyHeightlightedDetails$inboundSchema)).optional(),
  quote: arrayType(lazyType(() => GetConfigurationResponseBodyQuote$inboundSchema)).optional(),
  effectiveDate: stringType().optional()
});
var GetConfigurationResponseBodyBillingPlan$outboundSchema = objectType({
  id: stringType(),
  type: GetConfigurationResponseBodyIntegrationsResponseType$outboundSchema,
  name: stringType(),
  scope: GetConfigurationResponseBodyScope$outboundSchema.optional(),
  description: stringType(),
  paymentMethodRequired: booleanType().optional(),
  preauthorizationAmount: numberType().optional(),
  cost: stringType().optional(),
  details: arrayType(lazyType(() => GetConfigurationResponseBodyDetails$outboundSchema)).optional(),
  heightlightedDetails: arrayType(lazyType(() => GetConfigurationResponseBodyHeightlightedDetails$outboundSchema)).optional(),
  quote: arrayType(lazyType(() => GetConfigurationResponseBodyQuote$outboundSchema)).optional(),
  effectiveDate: stringType().optional()
});
var GetConfigurationResponseBodyBillingPlan$;
(function(GetConfigurationResponseBodyBillingPlan$2) {
  GetConfigurationResponseBodyBillingPlan$2.inboundSchema = GetConfigurationResponseBodyBillingPlan$inboundSchema;
  GetConfigurationResponseBodyBillingPlan$2.outboundSchema = GetConfigurationResponseBodyBillingPlan$outboundSchema;
})(GetConfigurationResponseBodyBillingPlan$ || (GetConfigurationResponseBodyBillingPlan$ = {}));
var GetConfigurationResponseBodySource$inboundSchema = nativeEnumType(GetConfigurationResponseBodySource);
var GetConfigurationResponseBodySource$outboundSchema = GetConfigurationResponseBodySource$inboundSchema;
var GetConfigurationResponseBodySource$;
(function(GetConfigurationResponseBodySource$2) {
  GetConfigurationResponseBodySource$2.inboundSchema = GetConfigurationResponseBodySource$inboundSchema;
  GetConfigurationResponseBodySource$2.outboundSchema = GetConfigurationResponseBodySource$outboundSchema;
})(GetConfigurationResponseBodySource$ || (GetConfigurationResponseBodySource$ = {}));
var GetConfigurationResponseBodyType$inboundSchema = nativeEnumType(GetConfigurationResponseBodyType);
var GetConfigurationResponseBodyType$outboundSchema = GetConfigurationResponseBodyType$inboundSchema;
var GetConfigurationResponseBodyType$;
(function(GetConfigurationResponseBodyType$2) {
  GetConfigurationResponseBodyType$2.inboundSchema = GetConfigurationResponseBodyType$inboundSchema;
  GetConfigurationResponseBodyType$2.outboundSchema = GetConfigurationResponseBodyType$outboundSchema;
})(GetConfigurationResponseBodyType$ || (GetConfigurationResponseBodyType$ = {}));
var GetConfigurationResponseBodyDisabledReason$inboundSchema = nativeEnumType(GetConfigurationResponseBodyDisabledReason);
var GetConfigurationResponseBodyDisabledReason$outboundSchema = GetConfigurationResponseBodyDisabledReason$inboundSchema;
var GetConfigurationResponseBodyDisabledReason$;
(function(GetConfigurationResponseBodyDisabledReason$2) {
  GetConfigurationResponseBodyDisabledReason$2.inboundSchema = GetConfigurationResponseBodyDisabledReason$inboundSchema;
  GetConfigurationResponseBodyDisabledReason$2.outboundSchema = GetConfigurationResponseBodyDisabledReason$outboundSchema;
})(GetConfigurationResponseBodyDisabledReason$ || (GetConfigurationResponseBodyDisabledReason$ = {}));
var GetConfigurationResponseBodyInstallationType$inboundSchema = nativeEnumType(GetConfigurationResponseBodyInstallationType);
var GetConfigurationResponseBodyInstallationType$outboundSchema = GetConfigurationResponseBodyInstallationType$inboundSchema;
var GetConfigurationResponseBodyInstallationType$;
(function(GetConfigurationResponseBodyInstallationType$2) {
  GetConfigurationResponseBodyInstallationType$2.inboundSchema = GetConfigurationResponseBodyInstallationType$inboundSchema;
  GetConfigurationResponseBodyInstallationType$2.outboundSchema = GetConfigurationResponseBodyInstallationType$outboundSchema;
})(GetConfigurationResponseBodyInstallationType$ || (GetConfigurationResponseBodyInstallationType$ = {}));
var GetConfigurationResponseBody1$inboundSchema = objectType({
  billingPlan: lazyType(() => GetConfigurationResponseBodyBillingPlan$inboundSchema).optional(),
  billingTotal: stringType().optional(),
  periodStart: stringType().optional(),
  periodEnd: stringType().optional(),
  completedAt: numberType().optional(),
  createdAt: numberType(),
  id: stringType(),
  integrationId: stringType(),
  ownerId: stringType(),
  projects: arrayType(stringType()).optional(),
  source: GetConfigurationResponseBodySource$inboundSchema.optional(),
  slug: stringType(),
  teamId: nullableType(stringType()).optional(),
  type: GetConfigurationResponseBodyType$inboundSchema,
  updatedAt: numberType(),
  userId: stringType(),
  scopes: arrayType(stringType()),
  disabledAt: numberType().optional(),
  deletedAt: nullableType(numberType()).optional(),
  deleteRequestedAt: nullableType(numberType()).optional(),
  disabledReason: GetConfigurationResponseBodyDisabledReason$inboundSchema.optional(),
  installationType: GetConfigurationResponseBodyInstallationType$inboundSchema.optional()
});
var GetConfigurationResponseBody1$outboundSchema = objectType({
  billingPlan: lazyType(() => GetConfigurationResponseBodyBillingPlan$outboundSchema).optional(),
  billingTotal: stringType().optional(),
  periodStart: stringType().optional(),
  periodEnd: stringType().optional(),
  completedAt: numberType().optional(),
  createdAt: numberType(),
  id: stringType(),
  integrationId: stringType(),
  ownerId: stringType(),
  projects: arrayType(stringType()).optional(),
  source: GetConfigurationResponseBodySource$outboundSchema.optional(),
  slug: stringType(),
  teamId: nullableType(stringType()).optional(),
  type: GetConfigurationResponseBodyType$outboundSchema,
  updatedAt: numberType(),
  userId: stringType(),
  scopes: arrayType(stringType()),
  disabledAt: numberType().optional(),
  deletedAt: nullableType(numberType()).optional(),
  deleteRequestedAt: nullableType(numberType()).optional(),
  disabledReason: GetConfigurationResponseBodyDisabledReason$outboundSchema.optional(),
  installationType: GetConfigurationResponseBodyInstallationType$outboundSchema.optional()
});
var GetConfigurationResponseBody1$;
(function(GetConfigurationResponseBody1$2) {
  GetConfigurationResponseBody1$2.inboundSchema = GetConfigurationResponseBody1$inboundSchema;
  GetConfigurationResponseBody1$2.outboundSchema = GetConfigurationResponseBody1$outboundSchema;
})(GetConfigurationResponseBody1$ || (GetConfigurationResponseBody1$ = {}));
var GetConfigurationResponseBody$inboundSchema = unionType([
  lazyType(() => GetConfigurationResponseBody2$inboundSchema),
  lazyType(() => GetConfigurationResponseBody1$inboundSchema)
]);
var GetConfigurationResponseBody$outboundSchema = unionType([
  lazyType(() => GetConfigurationResponseBody2$outboundSchema),
  lazyType(() => GetConfigurationResponseBody1$outboundSchema)
]);
var GetConfigurationResponseBody$;
(function(GetConfigurationResponseBody$2) {
  GetConfigurationResponseBody$2.inboundSchema = GetConfigurationResponseBody$inboundSchema;
  GetConfigurationResponseBody$2.outboundSchema = GetConfigurationResponseBody$outboundSchema;
})(GetConfigurationResponseBody$ || (GetConfigurationResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/integrationsGetConfiguration.js
async function integrationsGetConfiguration(client, request, options) {
  const parsed = safeParse(request, (value) => GetConfigurationRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/integrations/configuration/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getConfiguration",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetConfigurationResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getconfigurationsop.js
var View = {
  Account: "account",
  Project: "project"
};
var InstallationType = {
  Marketplace: "marketplace",
  External: "external"
};
var TagIds = {
  TagAi: "tag_ai",
  TagAnalytics: "tag_analytics",
  TagAuthentication: "tag_authentication",
  TagCms: "tag_cms",
  TagCodeRepository: "tag_code_repository",
  TagCommerce: "tag_commerce",
  TagDatabases: "tag_databases",
  TagDevTools: "tag_dev_tools",
  TagExperiments: "tag_experiments",
  TagLogging: "tag_logging",
  TagMessaging: "tag_messaging",
  TagMonitoring: "tag_monitoring",
  TagObservability: "tag_observability",
  TagPerformance: "tag_performance",
  TagProductivity: "tag_productivity",
  TagSearching: "tag_searching",
  TagSecurity: "tag_security",
  TagTesting: "tag_testing",
  TagVideo: "tag_video"
};
var GetConfigurationsResponseBodyIntegrationsSource = {
  Marketplace: "marketplace",
  DeployButton: "deploy-button",
  External: "external"
};
var GetConfigurationsResponseBodyIntegrationsType = {
  IntegrationConfiguration: "integration-configuration"
};
var ResponseBodyDisabledReason = {
  DisabledByOwner: "disabled-by-owner",
  FeatureNotAvailable: "feature-not-available",
  DisabledByAdmin: "disabled-by-admin",
  OriginalOwnerLeftTheTeam: "original-owner-left-the-team",
  AccountPlanDowngrade: "account-plan-downgrade",
  OriginalOwnerRoleDowngraded: "original-owner-role-downgraded"
};
var GetConfigurationsResponseBodyInstallationType = {
  Marketplace: "marketplace",
  External: "external"
};
var GetConfigurationsResponseBodyIntegrationsResponse200Type = {
  Prepayment: "prepayment",
  Subscription: "subscription"
};
var GetConfigurationsResponseBodyScope = {
  Installation: "installation",
  Resource: "resource"
};
var GetConfigurationsResponseBodySource = {
  Marketplace: "marketplace",
  DeployButton: "deploy-button",
  External: "external"
};
var GetConfigurationsResponseBodyType = {
  IntegrationConfiguration: "integration-configuration"
};
var GetConfigurationsResponseBodyDisabledReason = {
  DisabledByOwner: "disabled-by-owner",
  FeatureNotAvailable: "feature-not-available",
  DisabledByAdmin: "disabled-by-admin",
  OriginalOwnerLeftTheTeam: "original-owner-left-the-team",
  AccountPlanDowngrade: "account-plan-downgrade",
  OriginalOwnerRoleDowngraded: "original-owner-role-downgraded"
};
var ResponseBodyInstallationType = {
  Marketplace: "marketplace",
  External: "external"
};
var GetConfigurationsResponseBodyIntegrationsResponseType = {
  Prepayment: "prepayment",
  Subscription: "subscription"
};
var ResponseBodyScope = {
  Installation: "installation",
  Resource: "resource"
};
var View$inboundSchema = nativeEnumType(View);
var View$outboundSchema = View$inboundSchema;
var View$;
(function(View$2) {
  View$2.inboundSchema = View$inboundSchema;
  View$2.outboundSchema = View$outboundSchema;
})(View$ || (View$ = {}));
var InstallationType$inboundSchema = nativeEnumType(InstallationType);
var InstallationType$outboundSchema = InstallationType$inboundSchema;
var InstallationType$;
(function(InstallationType$2) {
  InstallationType$2.inboundSchema = InstallationType$inboundSchema;
  InstallationType$2.outboundSchema = InstallationType$outboundSchema;
})(InstallationType$ || (InstallationType$ = {}));
var GetConfigurationsRequest$inboundSchema = objectType({
  view: View$inboundSchema,
  installationType: InstallationType$inboundSchema.optional(),
  integrationIdOrSlug: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetConfigurationsRequest$outboundSchema = objectType({
  view: View$outboundSchema,
  installationType: InstallationType$outboundSchema.optional(),
  integrationIdOrSlug: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetConfigurationsRequest$;
(function(GetConfigurationsRequest$2) {
  GetConfigurationsRequest$2.inboundSchema = GetConfigurationsRequest$inboundSchema;
  GetConfigurationsRequest$2.outboundSchema = GetConfigurationsRequest$outboundSchema;
})(GetConfigurationsRequest$ || (GetConfigurationsRequest$ = {}));
var TagIds$inboundSchema = nativeEnumType(TagIds);
var TagIds$outboundSchema = TagIds$inboundSchema;
var TagIds$;
(function(TagIds$2) {
  TagIds$2.inboundSchema = TagIds$inboundSchema;
  TagIds$2.outboundSchema = TagIds$outboundSchema;
})(TagIds$ || (TagIds$ = {}));
var Integration$inboundSchema = objectType({
  name: stringType(),
  icon: stringType(),
  category: stringType(),
  isLegacy: booleanType(),
  flags: arrayType(stringType()).optional(),
  assignedBetaLabelAt: numberType().optional(),
  tagIds: arrayType(TagIds$inboundSchema).optional()
});
var Integration$outboundSchema = objectType({
  name: stringType(),
  icon: stringType(),
  category: stringType(),
  isLegacy: booleanType(),
  flags: arrayType(stringType()).optional(),
  assignedBetaLabelAt: numberType().optional(),
  tagIds: arrayType(TagIds$outboundSchema).optional()
});
var Integration$;
(function(Integration$2) {
  Integration$2.inboundSchema = Integration$inboundSchema;
  Integration$2.outboundSchema = Integration$outboundSchema;
})(Integration$ || (Integration$ = {}));
var GetConfigurationsResponseBodyIntegrationsSource$inboundSchema = nativeEnumType(GetConfigurationsResponseBodyIntegrationsSource);
var GetConfigurationsResponseBodyIntegrationsSource$outboundSchema = GetConfigurationsResponseBodyIntegrationsSource$inboundSchema;
var GetConfigurationsResponseBodyIntegrationsSource$;
(function(GetConfigurationsResponseBodyIntegrationsSource$2) {
  GetConfigurationsResponseBodyIntegrationsSource$2.inboundSchema = GetConfigurationsResponseBodyIntegrationsSource$inboundSchema;
  GetConfigurationsResponseBodyIntegrationsSource$2.outboundSchema = GetConfigurationsResponseBodyIntegrationsSource$outboundSchema;
})(GetConfigurationsResponseBodyIntegrationsSource$ || (GetConfigurationsResponseBodyIntegrationsSource$ = {}));
var GetConfigurationsResponseBodyIntegrationsType$inboundSchema = nativeEnumType(GetConfigurationsResponseBodyIntegrationsType);
var GetConfigurationsResponseBodyIntegrationsType$outboundSchema = GetConfigurationsResponseBodyIntegrationsType$inboundSchema;
var GetConfigurationsResponseBodyIntegrationsType$;
(function(GetConfigurationsResponseBodyIntegrationsType$2) {
  GetConfigurationsResponseBodyIntegrationsType$2.inboundSchema = GetConfigurationsResponseBodyIntegrationsType$inboundSchema;
  GetConfigurationsResponseBodyIntegrationsType$2.outboundSchema = GetConfigurationsResponseBodyIntegrationsType$outboundSchema;
})(GetConfigurationsResponseBodyIntegrationsType$ || (GetConfigurationsResponseBodyIntegrationsType$ = {}));
var ResponseBodyDisabledReason$inboundSchema = nativeEnumType(ResponseBodyDisabledReason);
var ResponseBodyDisabledReason$outboundSchema = ResponseBodyDisabledReason$inboundSchema;
var ResponseBodyDisabledReason$;
(function(ResponseBodyDisabledReason$2) {
  ResponseBodyDisabledReason$2.inboundSchema = ResponseBodyDisabledReason$inboundSchema;
  ResponseBodyDisabledReason$2.outboundSchema = ResponseBodyDisabledReason$outboundSchema;
})(ResponseBodyDisabledReason$ || (ResponseBodyDisabledReason$ = {}));
var GetConfigurationsResponseBodyInstallationType$inboundSchema = nativeEnumType(GetConfigurationsResponseBodyInstallationType);
var GetConfigurationsResponseBodyInstallationType$outboundSchema = GetConfigurationsResponseBodyInstallationType$inboundSchema;
var GetConfigurationsResponseBodyInstallationType$;
(function(GetConfigurationsResponseBodyInstallationType$2) {
  GetConfigurationsResponseBodyInstallationType$2.inboundSchema = GetConfigurationsResponseBodyInstallationType$inboundSchema;
  GetConfigurationsResponseBodyInstallationType$2.outboundSchema = GetConfigurationsResponseBodyInstallationType$outboundSchema;
})(GetConfigurationsResponseBodyInstallationType$ || (GetConfigurationsResponseBodyInstallationType$ = {}));
var GetConfigurationsResponseBodyIntegrationsResponse200Type$inboundSchema = nativeEnumType(GetConfigurationsResponseBodyIntegrationsResponse200Type);
var GetConfigurationsResponseBodyIntegrationsResponse200Type$outboundSchema = GetConfigurationsResponseBodyIntegrationsResponse200Type$inboundSchema;
var GetConfigurationsResponseBodyIntegrationsResponse200Type$;
(function(GetConfigurationsResponseBodyIntegrationsResponse200Type$2) {
  GetConfigurationsResponseBodyIntegrationsResponse200Type$2.inboundSchema = GetConfigurationsResponseBodyIntegrationsResponse200Type$inboundSchema;
  GetConfigurationsResponseBodyIntegrationsResponse200Type$2.outboundSchema = GetConfigurationsResponseBodyIntegrationsResponse200Type$outboundSchema;
})(GetConfigurationsResponseBodyIntegrationsResponse200Type$ || (GetConfigurationsResponseBodyIntegrationsResponse200Type$ = {}));
var GetConfigurationsResponseBodyScope$inboundSchema = nativeEnumType(GetConfigurationsResponseBodyScope);
var GetConfigurationsResponseBodyScope$outboundSchema = GetConfigurationsResponseBodyScope$inboundSchema;
var GetConfigurationsResponseBodyScope$;
(function(GetConfigurationsResponseBodyScope$2) {
  GetConfigurationsResponseBodyScope$2.inboundSchema = GetConfigurationsResponseBodyScope$inboundSchema;
  GetConfigurationsResponseBodyScope$2.outboundSchema = GetConfigurationsResponseBodyScope$outboundSchema;
})(GetConfigurationsResponseBodyScope$ || (GetConfigurationsResponseBodyScope$ = {}));
var ResponseBodyDetails$inboundSchema = objectType({
  label: stringType(),
  value: stringType().optional()
});
var ResponseBodyDetails$outboundSchema = objectType({
  label: stringType(),
  value: stringType().optional()
});
var ResponseBodyDetails$;
(function(ResponseBodyDetails$2) {
  ResponseBodyDetails$2.inboundSchema = ResponseBodyDetails$inboundSchema;
  ResponseBodyDetails$2.outboundSchema = ResponseBodyDetails$outboundSchema;
})(ResponseBodyDetails$ || (ResponseBodyDetails$ = {}));
var ResponseBodyHeightlightedDetails$inboundSchema = objectType({
  label: stringType(),
  value: stringType().optional()
});
var ResponseBodyHeightlightedDetails$outboundSchema = objectType({
  label: stringType(),
  value: stringType().optional()
});
var ResponseBodyHeightlightedDetails$;
(function(ResponseBodyHeightlightedDetails$2) {
  ResponseBodyHeightlightedDetails$2.inboundSchema = ResponseBodyHeightlightedDetails$inboundSchema;
  ResponseBodyHeightlightedDetails$2.outboundSchema = ResponseBodyHeightlightedDetails$outboundSchema;
})(ResponseBodyHeightlightedDetails$ || (ResponseBodyHeightlightedDetails$ = {}));
var ResponseBodyQuote$inboundSchema = objectType({
  line: stringType(),
  amount: stringType()
});
var ResponseBodyQuote$outboundSchema = objectType({
  line: stringType(),
  amount: stringType()
});
var ResponseBodyQuote$;
(function(ResponseBodyQuote$2) {
  ResponseBodyQuote$2.inboundSchema = ResponseBodyQuote$inboundSchema;
  ResponseBodyQuote$2.outboundSchema = ResponseBodyQuote$outboundSchema;
})(ResponseBodyQuote$ || (ResponseBodyQuote$ = {}));
var ResponseBodyBillingPlan$inboundSchema = objectType({
  id: stringType(),
  type: GetConfigurationsResponseBodyIntegrationsResponse200Type$inboundSchema,
  name: stringType(),
  scope: GetConfigurationsResponseBodyScope$inboundSchema.optional(),
  description: stringType(),
  paymentMethodRequired: booleanType().optional(),
  preauthorizationAmount: numberType().optional(),
  cost: stringType().optional(),
  details: arrayType(lazyType(() => ResponseBodyDetails$inboundSchema)).optional(),
  heightlightedDetails: arrayType(lazyType(() => ResponseBodyHeightlightedDetails$inboundSchema)).optional(),
  quote: arrayType(lazyType(() => ResponseBodyQuote$inboundSchema)).optional(),
  effectiveDate: stringType().optional()
});
var ResponseBodyBillingPlan$outboundSchema = objectType({
  id: stringType(),
  type: GetConfigurationsResponseBodyIntegrationsResponse200Type$outboundSchema,
  name: stringType(),
  scope: GetConfigurationsResponseBodyScope$outboundSchema.optional(),
  description: stringType(),
  paymentMethodRequired: booleanType().optional(),
  preauthorizationAmount: numberType().optional(),
  cost: stringType().optional(),
  details: arrayType(lazyType(() => ResponseBodyDetails$outboundSchema)).optional(),
  heightlightedDetails: arrayType(lazyType(() => ResponseBodyHeightlightedDetails$outboundSchema)).optional(),
  quote: arrayType(lazyType(() => ResponseBodyQuote$outboundSchema)).optional(),
  effectiveDate: stringType().optional()
});
var ResponseBodyBillingPlan$;
(function(ResponseBodyBillingPlan$2) {
  ResponseBodyBillingPlan$2.inboundSchema = ResponseBodyBillingPlan$inboundSchema;
  ResponseBodyBillingPlan$2.outboundSchema = ResponseBodyBillingPlan$outboundSchema;
})(ResponseBodyBillingPlan$ || (ResponseBodyBillingPlan$ = {}));
var GetConfigurationsResponseBody2$inboundSchema = objectType({
  integration: lazyType(() => Integration$inboundSchema),
  completedAt: numberType().optional(),
  createdAt: numberType(),
  id: stringType(),
  integrationId: stringType(),
  ownerId: stringType(),
  projects: arrayType(stringType()).optional(),
  source: GetConfigurationsResponseBodyIntegrationsSource$inboundSchema.optional(),
  slug: stringType(),
  teamId: nullableType(stringType()).optional(),
  type: GetConfigurationsResponseBodyIntegrationsType$inboundSchema,
  updatedAt: numberType(),
  userId: stringType(),
  scopes: arrayType(stringType()),
  disabledAt: numberType().optional(),
  deletedAt: nullableType(numberType()).optional(),
  deleteRequestedAt: nullableType(numberType()).optional(),
  disabledReason: ResponseBodyDisabledReason$inboundSchema.optional(),
  installationType: GetConfigurationsResponseBodyInstallationType$inboundSchema.optional(),
  billingPlan: lazyType(() => ResponseBodyBillingPlan$inboundSchema).optional(),
  billingTotal: stringType().optional(),
  periodStart: stringType().optional(),
  periodEnd: stringType().optional()
});
var GetConfigurationsResponseBody2$outboundSchema = objectType({
  integration: lazyType(() => Integration$outboundSchema),
  completedAt: numberType().optional(),
  createdAt: numberType(),
  id: stringType(),
  integrationId: stringType(),
  ownerId: stringType(),
  projects: arrayType(stringType()).optional(),
  source: GetConfigurationsResponseBodyIntegrationsSource$outboundSchema.optional(),
  slug: stringType(),
  teamId: nullableType(stringType()).optional(),
  type: GetConfigurationsResponseBodyIntegrationsType$outboundSchema,
  updatedAt: numberType(),
  userId: stringType(),
  scopes: arrayType(stringType()),
  disabledAt: numberType().optional(),
  deletedAt: nullableType(numberType()).optional(),
  deleteRequestedAt: nullableType(numberType()).optional(),
  disabledReason: ResponseBodyDisabledReason$outboundSchema.optional(),
  installationType: GetConfigurationsResponseBodyInstallationType$outboundSchema.optional(),
  billingPlan: lazyType(() => ResponseBodyBillingPlan$outboundSchema).optional(),
  billingTotal: stringType().optional(),
  periodStart: stringType().optional(),
  periodEnd: stringType().optional()
});
var GetConfigurationsResponseBody2$;
(function(GetConfigurationsResponseBody2$2) {
  GetConfigurationsResponseBody2$2.inboundSchema = GetConfigurationsResponseBody2$inboundSchema;
  GetConfigurationsResponseBody2$2.outboundSchema = GetConfigurationsResponseBody2$outboundSchema;
})(GetConfigurationsResponseBody2$ || (GetConfigurationsResponseBody2$ = {}));
var GetConfigurationsResponseBodySource$inboundSchema = nativeEnumType(GetConfigurationsResponseBodySource);
var GetConfigurationsResponseBodySource$outboundSchema = GetConfigurationsResponseBodySource$inboundSchema;
var GetConfigurationsResponseBodySource$;
(function(GetConfigurationsResponseBodySource$2) {
  GetConfigurationsResponseBodySource$2.inboundSchema = GetConfigurationsResponseBodySource$inboundSchema;
  GetConfigurationsResponseBodySource$2.outboundSchema = GetConfigurationsResponseBodySource$outboundSchema;
})(GetConfigurationsResponseBodySource$ || (GetConfigurationsResponseBodySource$ = {}));
var GetConfigurationsResponseBodyType$inboundSchema = nativeEnumType(GetConfigurationsResponseBodyType);
var GetConfigurationsResponseBodyType$outboundSchema = GetConfigurationsResponseBodyType$inboundSchema;
var GetConfigurationsResponseBodyType$;
(function(GetConfigurationsResponseBodyType$2) {
  GetConfigurationsResponseBodyType$2.inboundSchema = GetConfigurationsResponseBodyType$inboundSchema;
  GetConfigurationsResponseBodyType$2.outboundSchema = GetConfigurationsResponseBodyType$outboundSchema;
})(GetConfigurationsResponseBodyType$ || (GetConfigurationsResponseBodyType$ = {}));
var GetConfigurationsResponseBodyDisabledReason$inboundSchema = nativeEnumType(GetConfigurationsResponseBodyDisabledReason);
var GetConfigurationsResponseBodyDisabledReason$outboundSchema = GetConfigurationsResponseBodyDisabledReason$inboundSchema;
var GetConfigurationsResponseBodyDisabledReason$;
(function(GetConfigurationsResponseBodyDisabledReason$2) {
  GetConfigurationsResponseBodyDisabledReason$2.inboundSchema = GetConfigurationsResponseBodyDisabledReason$inboundSchema;
  GetConfigurationsResponseBodyDisabledReason$2.outboundSchema = GetConfigurationsResponseBodyDisabledReason$outboundSchema;
})(GetConfigurationsResponseBodyDisabledReason$ || (GetConfigurationsResponseBodyDisabledReason$ = {}));
var ResponseBodyInstallationType$inboundSchema = nativeEnumType(ResponseBodyInstallationType);
var ResponseBodyInstallationType$outboundSchema = ResponseBodyInstallationType$inboundSchema;
var ResponseBodyInstallationType$;
(function(ResponseBodyInstallationType$2) {
  ResponseBodyInstallationType$2.inboundSchema = ResponseBodyInstallationType$inboundSchema;
  ResponseBodyInstallationType$2.outboundSchema = ResponseBodyInstallationType$outboundSchema;
})(ResponseBodyInstallationType$ || (ResponseBodyInstallationType$ = {}));
var GetConfigurationsResponseBodyIntegrationsResponseType$inboundSchema = nativeEnumType(GetConfigurationsResponseBodyIntegrationsResponseType);
var GetConfigurationsResponseBodyIntegrationsResponseType$outboundSchema = GetConfigurationsResponseBodyIntegrationsResponseType$inboundSchema;
var GetConfigurationsResponseBodyIntegrationsResponseType$;
(function(GetConfigurationsResponseBodyIntegrationsResponseType$2) {
  GetConfigurationsResponseBodyIntegrationsResponseType$2.inboundSchema = GetConfigurationsResponseBodyIntegrationsResponseType$inboundSchema;
  GetConfigurationsResponseBodyIntegrationsResponseType$2.outboundSchema = GetConfigurationsResponseBodyIntegrationsResponseType$outboundSchema;
})(GetConfigurationsResponseBodyIntegrationsResponseType$ || (GetConfigurationsResponseBodyIntegrationsResponseType$ = {}));
var ResponseBodyScope$inboundSchema = nativeEnumType(ResponseBodyScope);
var ResponseBodyScope$outboundSchema = ResponseBodyScope$inboundSchema;
var ResponseBodyScope$;
(function(ResponseBodyScope$2) {
  ResponseBodyScope$2.inboundSchema = ResponseBodyScope$inboundSchema;
  ResponseBodyScope$2.outboundSchema = ResponseBodyScope$outboundSchema;
})(ResponseBodyScope$ || (ResponseBodyScope$ = {}));
var Details$inboundSchema = objectType({
  label: stringType(),
  value: stringType().optional()
});
var Details$outboundSchema = objectType({
  label: stringType(),
  value: stringType().optional()
});
var Details$;
(function(Details$2) {
  Details$2.inboundSchema = Details$inboundSchema;
  Details$2.outboundSchema = Details$outboundSchema;
})(Details$ || (Details$ = {}));
var HeightlightedDetails$inboundSchema = objectType({
  label: stringType(),
  value: stringType().optional()
});
var HeightlightedDetails$outboundSchema = objectType({
  label: stringType(),
  value: stringType().optional()
});
var HeightlightedDetails$;
(function(HeightlightedDetails$2) {
  HeightlightedDetails$2.inboundSchema = HeightlightedDetails$inboundSchema;
  HeightlightedDetails$2.outboundSchema = HeightlightedDetails$outboundSchema;
})(HeightlightedDetails$ || (HeightlightedDetails$ = {}));
var Quote$inboundSchema = objectType({
  line: stringType(),
  amount: stringType()
});
var Quote$outboundSchema = objectType({
  line: stringType(),
  amount: stringType()
});
var Quote$;
(function(Quote$2) {
  Quote$2.inboundSchema = Quote$inboundSchema;
  Quote$2.outboundSchema = Quote$outboundSchema;
})(Quote$ || (Quote$ = {}));
var BillingPlan$inboundSchema = objectType({
  id: stringType(),
  type: GetConfigurationsResponseBodyIntegrationsResponseType$inboundSchema,
  name: stringType(),
  scope: ResponseBodyScope$inboundSchema.optional(),
  description: stringType(),
  paymentMethodRequired: booleanType().optional(),
  preauthorizationAmount: numberType().optional(),
  cost: stringType().optional(),
  details: arrayType(lazyType(() => Details$inboundSchema)).optional(),
  heightlightedDetails: arrayType(lazyType(() => HeightlightedDetails$inboundSchema)).optional(),
  quote: arrayType(lazyType(() => Quote$inboundSchema)).optional(),
  effectiveDate: stringType().optional()
});
var BillingPlan$outboundSchema = objectType({
  id: stringType(),
  type: GetConfigurationsResponseBodyIntegrationsResponseType$outboundSchema,
  name: stringType(),
  scope: ResponseBodyScope$outboundSchema.optional(),
  description: stringType(),
  paymentMethodRequired: booleanType().optional(),
  preauthorizationAmount: numberType().optional(),
  cost: stringType().optional(),
  details: arrayType(lazyType(() => Details$outboundSchema)).optional(),
  heightlightedDetails: arrayType(lazyType(() => HeightlightedDetails$outboundSchema)).optional(),
  quote: arrayType(lazyType(() => Quote$outboundSchema)).optional(),
  effectiveDate: stringType().optional()
});
var BillingPlan$;
(function(BillingPlan$2) {
  BillingPlan$2.inboundSchema = BillingPlan$inboundSchema;
  BillingPlan$2.outboundSchema = BillingPlan$outboundSchema;
})(BillingPlan$ || (BillingPlan$ = {}));
var GetConfigurationsResponseBody1$inboundSchema = objectType({
  completedAt: numberType().optional(),
  createdAt: numberType().optional(),
  id: stringType().optional(),
  integrationId: stringType().optional(),
  ownerId: stringType().optional(),
  projects: arrayType(stringType()).optional(),
  source: GetConfigurationsResponseBodySource$inboundSchema.optional(),
  slug: stringType().optional(),
  teamId: nullableType(stringType()).optional(),
  type: GetConfigurationsResponseBodyType$inboundSchema.optional(),
  updatedAt: numberType().optional(),
  userId: stringType().optional(),
  scopes: arrayType(stringType()).optional(),
  disabledAt: numberType().optional(),
  deletedAt: nullableType(numberType()).optional(),
  deleteRequestedAt: nullableType(numberType()).optional(),
  disabledReason: GetConfigurationsResponseBodyDisabledReason$inboundSchema.optional(),
  installationType: ResponseBodyInstallationType$inboundSchema.optional(),
  billingPlan: lazyType(() => BillingPlan$inboundSchema).optional(),
  billingTotal: stringType().optional(),
  periodStart: stringType().optional(),
  periodEnd: stringType().optional()
});
var GetConfigurationsResponseBody1$outboundSchema = objectType({
  completedAt: numberType().optional(),
  createdAt: numberType().optional(),
  id: stringType().optional(),
  integrationId: stringType().optional(),
  ownerId: stringType().optional(),
  projects: arrayType(stringType()).optional(),
  source: GetConfigurationsResponseBodySource$outboundSchema.optional(),
  slug: stringType().optional(),
  teamId: nullableType(stringType()).optional(),
  type: GetConfigurationsResponseBodyType$outboundSchema.optional(),
  updatedAt: numberType().optional(),
  userId: stringType().optional(),
  scopes: arrayType(stringType()).optional(),
  disabledAt: numberType().optional(),
  deletedAt: nullableType(numberType()).optional(),
  deleteRequestedAt: nullableType(numberType()).optional(),
  disabledReason: GetConfigurationsResponseBodyDisabledReason$outboundSchema.optional(),
  installationType: ResponseBodyInstallationType$outboundSchema.optional(),
  billingPlan: lazyType(() => BillingPlan$outboundSchema).optional(),
  billingTotal: stringType().optional(),
  periodStart: stringType().optional(),
  periodEnd: stringType().optional()
});
var GetConfigurationsResponseBody1$;
(function(GetConfigurationsResponseBody1$2) {
  GetConfigurationsResponseBody1$2.inboundSchema = GetConfigurationsResponseBody1$inboundSchema;
  GetConfigurationsResponseBody1$2.outboundSchema = GetConfigurationsResponseBody1$outboundSchema;
})(GetConfigurationsResponseBody1$ || (GetConfigurationsResponseBody1$ = {}));
var GetConfigurationsResponseBody$inboundSchema = unionType([
  arrayType(lazyType(() => GetConfigurationsResponseBody1$inboundSchema)),
  arrayType(lazyType(() => GetConfigurationsResponseBody2$inboundSchema))
]);
var GetConfigurationsResponseBody$outboundSchema = unionType([
  arrayType(lazyType(() => GetConfigurationsResponseBody1$outboundSchema)),
  arrayType(lazyType(() => GetConfigurationsResponseBody2$outboundSchema))
]);
var GetConfigurationsResponseBody$;
(function(GetConfigurationsResponseBody$2) {
  GetConfigurationsResponseBody$2.inboundSchema = GetConfigurationsResponseBody$inboundSchema;
  GetConfigurationsResponseBody$2.outboundSchema = GetConfigurationsResponseBody$outboundSchema;
})(GetConfigurationsResponseBody$ || (GetConfigurationsResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/integrationsGetConfigurations.js
async function integrationsGetConfigurations(client, request, options) {
  const parsed = safeParse(request, (value) => GetConfigurationsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v1/integrations/configurations")();
  const query = encodeFormQuery({
    installationType: payload.installationType,
    integrationIdOrSlug: payload.integrationIdOrSlug,
    slug: payload.slug,
    teamId: payload.teamId,
    view: payload.view
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getConfigurations",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetConfigurationsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/gitnamespacesop.js
var Provider = {
  Github: "github",
  GithubCustomHost: "github-custom-host",
  Gitlab: "gitlab",
  Bitbucket: "bitbucket"
};
var Provider$inboundSchema = nativeEnumType(Provider);
var Provider$outboundSchema = Provider$inboundSchema;
var Provider$;
(function(Provider$2) {
  Provider$2.inboundSchema = Provider$inboundSchema;
  Provider$2.outboundSchema = Provider$outboundSchema;
})(Provider$ || (Provider$ = {}));
var GitNamespacesRequest$inboundSchema = objectType({
  host: stringType().optional(),
  provider: Provider$inboundSchema.optional()
});
var GitNamespacesRequest$outboundSchema = objectType({
  host: stringType().optional(),
  provider: Provider$outboundSchema.optional()
});
var GitNamespacesRequest$;
(function(GitNamespacesRequest$2) {
  GitNamespacesRequest$2.inboundSchema = GitNamespacesRequest$inboundSchema;
  GitNamespacesRequest$2.outboundSchema = GitNamespacesRequest$outboundSchema;
})(GitNamespacesRequest$ || (GitNamespacesRequest$ = {}));
var GitNamespacesId$inboundSchema = unionType([stringType(), numberType()]);
var GitNamespacesId$outboundSchema = unionType([stringType(), numberType()]);
var GitNamespacesId$;
(function(GitNamespacesId$2) {
  GitNamespacesId$2.inboundSchema = GitNamespacesId$inboundSchema;
  GitNamespacesId$2.outboundSchema = GitNamespacesId$outboundSchema;
})(GitNamespacesId$ || (GitNamespacesId$ = {}));
var GitNamespacesResponseBody$inboundSchema = objectType({
  provider: stringType(),
  slug: stringType(),
  id: unionType([stringType(), numberType()]),
  ownerType: stringType(),
  name: stringType().optional(),
  isAccessRestricted: booleanType().optional(),
  installationId: numberType().optional(),
  requireReauth: booleanType().optional()
});
var GitNamespacesResponseBody$outboundSchema = objectType({
  provider: stringType(),
  slug: stringType(),
  id: unionType([stringType(), numberType()]),
  ownerType: stringType(),
  name: stringType().optional(),
  isAccessRestricted: booleanType().optional(),
  installationId: numberType().optional(),
  requireReauth: booleanType().optional()
});
var GitNamespacesResponseBody$;
(function(GitNamespacesResponseBody$2) {
  GitNamespacesResponseBody$2.inboundSchema = GitNamespacesResponseBody$inboundSchema;
  GitNamespacesResponseBody$2.outboundSchema = GitNamespacesResponseBody$outboundSchema;
})(GitNamespacesResponseBody$ || (GitNamespacesResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/integrationsGitNamespaces.js
async function integrationsGitNamespaces(client, request, options) {
  const parsed = safeParse(request, (value) => GitNamespacesRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v1/integrations/git-namespaces")();
  const query = encodeFormQuery({
    host: payload.host,
    provider: payload.provider
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "gitNamespaces",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, arrayType(GitNamespacesResponseBody$inboundSchema)), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/searchrepoop.js
var QueryParamProvider = {
  Github: "github",
  GithubCustomHost: "github-custom-host",
  Gitlab: "gitlab",
  Bitbucket: "bitbucket"
};
var ResponseBodyProvider = {
  Github: "github",
  GithubCustomHost: "github-custom-host",
  Gitlab: "gitlab",
  Bitbucket: "bitbucket"
};
var SearchRepoResponseBodyProvider = {
  Github: "github",
  GithubCustomHost: "github-custom-host",
  Gitlab: "gitlab",
  Bitbucket: "bitbucket"
};
var ResponseBodyOwnerType = {
  User: "user",
  Team: "team"
};
var NamespaceId$inboundSchema = unionType([stringType(), numberType()]);
var NamespaceId$outboundSchema = unionType([stringType(), numberType()]);
var NamespaceId$;
(function(NamespaceId$2) {
  NamespaceId$2.inboundSchema = NamespaceId$inboundSchema;
  NamespaceId$2.outboundSchema = NamespaceId$outboundSchema;
})(NamespaceId$ || (NamespaceId$ = {}));
var QueryParamProvider$inboundSchema = nativeEnumType(QueryParamProvider);
var QueryParamProvider$outboundSchema = QueryParamProvider$inboundSchema;
var QueryParamProvider$;
(function(QueryParamProvider$2) {
  QueryParamProvider$2.inboundSchema = QueryParamProvider$inboundSchema;
  QueryParamProvider$2.outboundSchema = QueryParamProvider$outboundSchema;
})(QueryParamProvider$ || (QueryParamProvider$ = {}));
var SearchRepoRequest$inboundSchema = objectType({
  query: stringType().optional(),
  namespaceId: nullableType(unionType([stringType(), numberType()])).optional(),
  provider: QueryParamProvider$inboundSchema.optional(),
  installationId: stringType().optional(),
  host: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var SearchRepoRequest$outboundSchema = objectType({
  query: stringType().optional(),
  namespaceId: nullableType(unionType([stringType(), numberType()])).optional(),
  provider: QueryParamProvider$outboundSchema.optional(),
  installationId: stringType().optional(),
  host: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var SearchRepoRequest$;
(function(SearchRepoRequest$2) {
  SearchRepoRequest$2.inboundSchema = SearchRepoRequest$inboundSchema;
  SearchRepoRequest$2.outboundSchema = SearchRepoRequest$outboundSchema;
})(SearchRepoRequest$ || (SearchRepoRequest$ = {}));
var ResponseBodyProvider$inboundSchema = nativeEnumType(ResponseBodyProvider);
var ResponseBodyProvider$outboundSchema = ResponseBodyProvider$inboundSchema;
var ResponseBodyProvider$;
(function(ResponseBodyProvider$2) {
  ResponseBodyProvider$2.inboundSchema = ResponseBodyProvider$inboundSchema;
  ResponseBodyProvider$2.outboundSchema = ResponseBodyProvider$outboundSchema;
})(ResponseBodyProvider$ || (ResponseBodyProvider$ = {}));
var ResponseBodyNamespaceId$inboundSchema = unionType([stringType(), numberType()]);
var ResponseBodyNamespaceId$outboundSchema = unionType([stringType(), numberType()]);
var ResponseBodyNamespaceId$;
(function(ResponseBodyNamespaceId$2) {
  ResponseBodyNamespaceId$2.inboundSchema = ResponseBodyNamespaceId$inboundSchema;
  ResponseBodyNamespaceId$2.outboundSchema = ResponseBodyNamespaceId$outboundSchema;
})(ResponseBodyNamespaceId$ || (ResponseBodyNamespaceId$ = {}));
var GitAccount$inboundSchema = objectType({
  provider: ResponseBodyProvider$inboundSchema,
  namespaceId: nullableType(unionType([stringType(), numberType()]))
});
var GitAccount$outboundSchema = objectType({
  provider: ResponseBodyProvider$outboundSchema,
  namespaceId: nullableType(unionType([stringType(), numberType()]))
});
var GitAccount$;
(function(GitAccount$2) {
  GitAccount$2.inboundSchema = GitAccount$inboundSchema;
  GitAccount$2.outboundSchema = GitAccount$outboundSchema;
})(GitAccount$ || (GitAccount$ = {}));
var ResponseBodyId$inboundSchema = unionType([stringType(), numberType()]);
var ResponseBodyId$outboundSchema = unionType([stringType(), numberType()]);
var ResponseBodyId$;
(function(ResponseBodyId$2) {
  ResponseBodyId$2.inboundSchema = ResponseBodyId$inboundSchema;
  ResponseBodyId$2.outboundSchema = ResponseBodyId$outboundSchema;
})(ResponseBodyId$ || (ResponseBodyId$ = {}));
var SearchRepoResponseBodyProvider$inboundSchema = nativeEnumType(SearchRepoResponseBodyProvider);
var SearchRepoResponseBodyProvider$outboundSchema = SearchRepoResponseBodyProvider$inboundSchema;
var SearchRepoResponseBodyProvider$;
(function(SearchRepoResponseBodyProvider$2) {
  SearchRepoResponseBodyProvider$2.inboundSchema = SearchRepoResponseBodyProvider$inboundSchema;
  SearchRepoResponseBodyProvider$2.outboundSchema = SearchRepoResponseBodyProvider$outboundSchema;
})(SearchRepoResponseBodyProvider$ || (SearchRepoResponseBodyProvider$ = {}));
var SearchRepoResponseBodyId$inboundSchema = unionType([stringType(), numberType()]);
var SearchRepoResponseBodyId$outboundSchema = unionType([stringType(), numberType()]);
var SearchRepoResponseBodyId$;
(function(SearchRepoResponseBodyId$2) {
  SearchRepoResponseBodyId$2.inboundSchema = SearchRepoResponseBodyId$inboundSchema;
  SearchRepoResponseBodyId$2.outboundSchema = SearchRepoResponseBodyId$outboundSchema;
})(SearchRepoResponseBodyId$ || (SearchRepoResponseBodyId$ = {}));
var Owner$inboundSchema = objectType({
  id: unionType([stringType(), numberType()]),
  name: stringType()
});
var Owner$outboundSchema = objectType({
  id: unionType([stringType(), numberType()]),
  name: stringType()
});
var Owner$;
(function(Owner$2) {
  Owner$2.inboundSchema = Owner$inboundSchema;
  Owner$2.outboundSchema = Owner$outboundSchema;
})(Owner$ || (Owner$ = {}));
var ResponseBodyOwnerType$inboundSchema = nativeEnumType(ResponseBodyOwnerType);
var ResponseBodyOwnerType$outboundSchema = ResponseBodyOwnerType$inboundSchema;
var ResponseBodyOwnerType$;
(function(ResponseBodyOwnerType$2) {
  ResponseBodyOwnerType$2.inboundSchema = ResponseBodyOwnerType$inboundSchema;
  ResponseBodyOwnerType$2.outboundSchema = ResponseBodyOwnerType$outboundSchema;
})(ResponseBodyOwnerType$ || (ResponseBodyOwnerType$ = {}));
var Repos$inboundSchema = objectType({
  id: unionType([stringType(), numberType()]),
  provider: SearchRepoResponseBodyProvider$inboundSchema,
  url: stringType(),
  name: stringType(),
  slug: stringType(),
  namespace: stringType(),
  owner: lazyType(() => Owner$inboundSchema),
  ownerType: ResponseBodyOwnerType$inboundSchema,
  private: booleanType(),
  defaultBranch: stringType(),
  updatedAt: numberType()
});
var Repos$outboundSchema = objectType({
  id: unionType([stringType(), numberType()]),
  provider: SearchRepoResponseBodyProvider$outboundSchema,
  url: stringType(),
  name: stringType(),
  slug: stringType(),
  namespace: stringType(),
  owner: lazyType(() => Owner$outboundSchema),
  ownerType: ResponseBodyOwnerType$outboundSchema,
  private: booleanType(),
  defaultBranch: stringType(),
  updatedAt: numberType()
});
var Repos$;
(function(Repos$2) {
  Repos$2.inboundSchema = Repos$inboundSchema;
  Repos$2.outboundSchema = Repos$outboundSchema;
})(Repos$ || (Repos$ = {}));
var SearchRepoResponseBody2$inboundSchema = objectType({
  gitAccount: lazyType(() => GitAccount$inboundSchema),
  repos: arrayType(lazyType(() => Repos$inboundSchema))
});
var SearchRepoResponseBody2$outboundSchema = objectType({
  gitAccount: lazyType(() => GitAccount$outboundSchema),
  repos: arrayType(lazyType(() => Repos$outboundSchema))
});
var SearchRepoResponseBody2$;
(function(SearchRepoResponseBody2$2) {
  SearchRepoResponseBody2$2.inboundSchema = SearchRepoResponseBody2$inboundSchema;
  SearchRepoResponseBody2$2.outboundSchema = SearchRepoResponseBody2$outboundSchema;
})(SearchRepoResponseBody2$ || (SearchRepoResponseBody2$ = {}));
var SearchRepoResponseBody1$inboundSchema = objectType({});
var SearchRepoResponseBody1$outboundSchema = objectType({});
var SearchRepoResponseBody1$;
(function(SearchRepoResponseBody1$2) {
  SearchRepoResponseBody1$2.inboundSchema = SearchRepoResponseBody1$inboundSchema;
  SearchRepoResponseBody1$2.outboundSchema = SearchRepoResponseBody1$outboundSchema;
})(SearchRepoResponseBody1$ || (SearchRepoResponseBody1$ = {}));
var SearchRepoResponseBody$inboundSchema = unionType([
  lazyType(() => SearchRepoResponseBody1$inboundSchema),
  lazyType(() => SearchRepoResponseBody2$inboundSchema)
]);
var SearchRepoResponseBody$outboundSchema = unionType([
  lazyType(() => SearchRepoResponseBody1$outboundSchema),
  lazyType(() => SearchRepoResponseBody2$outboundSchema)
]);
var SearchRepoResponseBody$;
(function(SearchRepoResponseBody$2) {
  SearchRepoResponseBody$2.inboundSchema = SearchRepoResponseBody$inboundSchema;
  SearchRepoResponseBody$2.outboundSchema = SearchRepoResponseBody$outboundSchema;
})(SearchRepoResponseBody$ || (SearchRepoResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/integrationsSearchRepo.js
async function integrationsSearchRepo(client, request, options) {
  const parsed = safeParse(request, (value) => SearchRepoRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v1/integrations/search-repo")();
  const query = encodeFormQuery({
    host: payload.host,
    installationId: payload.installationId,
    namespaceId: payload.namespaceId,
    provider: payload.provider,
    query: payload.query,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "searchRepo",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, SearchRepoResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/integrations.js
class Integrations extends ClientSDK {
  async getConfigurations(request, options) {
    return unwrapAsync(integrationsGetConfigurations(this, request, options));
  }
  async getConfiguration(request, options) {
    return unwrapAsync(integrationsGetConfiguration(this, request, options));
  }
  async deleteConfiguration(request, options) {
    return unwrapAsync(integrationsDeleteConfiguration(this, request, options));
  }
  async gitNamespaces(request, options) {
    return unwrapAsync(integrationsGitNamespaces(this, request, options));
  }
  async searchRepo(request, options) {
    return unwrapAsync(integrationsSearchRepo(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/createconfigurablelogdrainop.js
var CreateConfigurableLogDrainDeliveryFormat = {
  Json: "json",
  Ndjson: "ndjson"
};
var CreateConfigurableLogDrainSources = {
  Static: "static",
  Lambda: "lambda",
  Build: "build",
  Edge: "edge",
  External: "external",
  Firewall: "firewall"
};
var CreateConfigurableLogDrainEnvironments = {
  Preview: "preview",
  Production: "production"
};
var CreateConfigurableLogDrainLogDrainsDeliveryFormat = {
  Json: "json",
  Ndjson: "ndjson",
  Syslog: "syslog"
};
var CreateConfigurableLogDrainLogDrainsSources = {
  Build: "build",
  Edge: "edge",
  Lambda: "lambda",
  Static: "static",
  External: "external",
  Firewall: "firewall"
};
var CreateConfigurableLogDrainLogDrainsEnvironments = {
  Production: "production",
  Preview: "preview"
};
var CreateConfigurableLogDrainStatus = {
  Enabled: "enabled",
  Disabled: "disabled",
  Errored: "errored"
};
var CreateConfigurableLogDrainDisabledReason = {
  DisabledByOwner: "disabled-by-owner",
  FeatureNotAvailable: "feature-not-available",
  AccountPlanDowngrade: "account-plan-downgrade",
  DisabledByAdmin: "disabled-by-admin"
};
var CreateConfigurableLogDrainCreatedFrom = {
  SelfServed: "self-served"
};
var CreateConfigurableLogDrainDeliveryFormat$inboundSchema = nativeEnumType(CreateConfigurableLogDrainDeliveryFormat);
var CreateConfigurableLogDrainDeliveryFormat$outboundSchema = CreateConfigurableLogDrainDeliveryFormat$inboundSchema;
var CreateConfigurableLogDrainDeliveryFormat$;
(function(CreateConfigurableLogDrainDeliveryFormat$2) {
  CreateConfigurableLogDrainDeliveryFormat$2.inboundSchema = CreateConfigurableLogDrainDeliveryFormat$inboundSchema;
  CreateConfigurableLogDrainDeliveryFormat$2.outboundSchema = CreateConfigurableLogDrainDeliveryFormat$outboundSchema;
})(CreateConfigurableLogDrainDeliveryFormat$ || (CreateConfigurableLogDrainDeliveryFormat$ = {}));
var CreateConfigurableLogDrainSources$inboundSchema = nativeEnumType(CreateConfigurableLogDrainSources);
var CreateConfigurableLogDrainSources$outboundSchema = CreateConfigurableLogDrainSources$inboundSchema;
var CreateConfigurableLogDrainSources$;
(function(CreateConfigurableLogDrainSources$2) {
  CreateConfigurableLogDrainSources$2.inboundSchema = CreateConfigurableLogDrainSources$inboundSchema;
  CreateConfigurableLogDrainSources$2.outboundSchema = CreateConfigurableLogDrainSources$outboundSchema;
})(CreateConfigurableLogDrainSources$ || (CreateConfigurableLogDrainSources$ = {}));
var CreateConfigurableLogDrainEnvironments$inboundSchema = nativeEnumType(CreateConfigurableLogDrainEnvironments);
var CreateConfigurableLogDrainEnvironments$outboundSchema = CreateConfigurableLogDrainEnvironments$inboundSchema;
var CreateConfigurableLogDrainEnvironments$;
(function(CreateConfigurableLogDrainEnvironments$2) {
  CreateConfigurableLogDrainEnvironments$2.inboundSchema = CreateConfigurableLogDrainEnvironments$inboundSchema;
  CreateConfigurableLogDrainEnvironments$2.outboundSchema = CreateConfigurableLogDrainEnvironments$outboundSchema;
})(CreateConfigurableLogDrainEnvironments$ || (CreateConfigurableLogDrainEnvironments$ = {}));
var CreateConfigurableLogDrainRequestBody$inboundSchema = objectType({
  deliveryFormat: CreateConfigurableLogDrainDeliveryFormat$inboundSchema,
  url: stringType(),
  headers: recordType(stringType()).optional(),
  projectIds: arrayType(stringType()).optional(),
  sources: arrayType(CreateConfigurableLogDrainSources$inboundSchema),
  environments: arrayType(CreateConfigurableLogDrainEnvironments$inboundSchema).optional(),
  secret: stringType().optional(),
  samplingRate: numberType().optional(),
  name: stringType().optional()
});
var CreateConfigurableLogDrainRequestBody$outboundSchema = objectType({
  deliveryFormat: CreateConfigurableLogDrainDeliveryFormat$outboundSchema,
  url: stringType(),
  headers: recordType(stringType()).optional(),
  projectIds: arrayType(stringType()).optional(),
  sources: arrayType(CreateConfigurableLogDrainSources$outboundSchema),
  environments: arrayType(CreateConfigurableLogDrainEnvironments$outboundSchema).optional(),
  secret: stringType().optional(),
  samplingRate: numberType().optional(),
  name: stringType().optional()
});
var CreateConfigurableLogDrainRequestBody$;
(function(CreateConfigurableLogDrainRequestBody$2) {
  CreateConfigurableLogDrainRequestBody$2.inboundSchema = CreateConfigurableLogDrainRequestBody$inboundSchema;
  CreateConfigurableLogDrainRequestBody$2.outboundSchema = CreateConfigurableLogDrainRequestBody$outboundSchema;
})(CreateConfigurableLogDrainRequestBody$ || (CreateConfigurableLogDrainRequestBody$ = {}));
var CreateConfigurableLogDrainRequest$inboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => CreateConfigurableLogDrainRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var CreateConfigurableLogDrainRequest$outboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => CreateConfigurableLogDrainRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var CreateConfigurableLogDrainRequest$;
(function(CreateConfigurableLogDrainRequest$2) {
  CreateConfigurableLogDrainRequest$2.inboundSchema = CreateConfigurableLogDrainRequest$inboundSchema;
  CreateConfigurableLogDrainRequest$2.outboundSchema = CreateConfigurableLogDrainRequest$outboundSchema;
})(CreateConfigurableLogDrainRequest$ || (CreateConfigurableLogDrainRequest$ = {}));
var CreateConfigurableLogDrainLogDrainsDeliveryFormat$inboundSchema = nativeEnumType(CreateConfigurableLogDrainLogDrainsDeliveryFormat);
var CreateConfigurableLogDrainLogDrainsDeliveryFormat$outboundSchema = CreateConfigurableLogDrainLogDrainsDeliveryFormat$inboundSchema;
var CreateConfigurableLogDrainLogDrainsDeliveryFormat$;
(function(CreateConfigurableLogDrainLogDrainsDeliveryFormat$2) {
  CreateConfigurableLogDrainLogDrainsDeliveryFormat$2.inboundSchema = CreateConfigurableLogDrainLogDrainsDeliveryFormat$inboundSchema;
  CreateConfigurableLogDrainLogDrainsDeliveryFormat$2.outboundSchema = CreateConfigurableLogDrainLogDrainsDeliveryFormat$outboundSchema;
})(CreateConfigurableLogDrainLogDrainsDeliveryFormat$ || (CreateConfigurableLogDrainLogDrainsDeliveryFormat$ = {}));
var CreateConfigurableLogDrainLogDrainsSources$inboundSchema = nativeEnumType(CreateConfigurableLogDrainLogDrainsSources);
var CreateConfigurableLogDrainLogDrainsSources$outboundSchema = CreateConfigurableLogDrainLogDrainsSources$inboundSchema;
var CreateConfigurableLogDrainLogDrainsSources$;
(function(CreateConfigurableLogDrainLogDrainsSources$2) {
  CreateConfigurableLogDrainLogDrainsSources$2.inboundSchema = CreateConfigurableLogDrainLogDrainsSources$inboundSchema;
  CreateConfigurableLogDrainLogDrainsSources$2.outboundSchema = CreateConfigurableLogDrainLogDrainsSources$outboundSchema;
})(CreateConfigurableLogDrainLogDrainsSources$ || (CreateConfigurableLogDrainLogDrainsSources$ = {}));
var CreateConfigurableLogDrainLogDrainsEnvironments$inboundSchema = nativeEnumType(CreateConfigurableLogDrainLogDrainsEnvironments);
var CreateConfigurableLogDrainLogDrainsEnvironments$outboundSchema = CreateConfigurableLogDrainLogDrainsEnvironments$inboundSchema;
var CreateConfigurableLogDrainLogDrainsEnvironments$;
(function(CreateConfigurableLogDrainLogDrainsEnvironments$2) {
  CreateConfigurableLogDrainLogDrainsEnvironments$2.inboundSchema = CreateConfigurableLogDrainLogDrainsEnvironments$inboundSchema;
  CreateConfigurableLogDrainLogDrainsEnvironments$2.outboundSchema = CreateConfigurableLogDrainLogDrainsEnvironments$outboundSchema;
})(CreateConfigurableLogDrainLogDrainsEnvironments$ || (CreateConfigurableLogDrainLogDrainsEnvironments$ = {}));
var CreateConfigurableLogDrainStatus$inboundSchema = nativeEnumType(CreateConfigurableLogDrainStatus);
var CreateConfigurableLogDrainStatus$outboundSchema = CreateConfigurableLogDrainStatus$inboundSchema;
var CreateConfigurableLogDrainStatus$;
(function(CreateConfigurableLogDrainStatus$2) {
  CreateConfigurableLogDrainStatus$2.inboundSchema = CreateConfigurableLogDrainStatus$inboundSchema;
  CreateConfigurableLogDrainStatus$2.outboundSchema = CreateConfigurableLogDrainStatus$outboundSchema;
})(CreateConfigurableLogDrainStatus$ || (CreateConfigurableLogDrainStatus$ = {}));
var CreateConfigurableLogDrainDisabledReason$inboundSchema = nativeEnumType(CreateConfigurableLogDrainDisabledReason);
var CreateConfigurableLogDrainDisabledReason$outboundSchema = CreateConfigurableLogDrainDisabledReason$inboundSchema;
var CreateConfigurableLogDrainDisabledReason$;
(function(CreateConfigurableLogDrainDisabledReason$2) {
  CreateConfigurableLogDrainDisabledReason$2.inboundSchema = CreateConfigurableLogDrainDisabledReason$inboundSchema;
  CreateConfigurableLogDrainDisabledReason$2.outboundSchema = CreateConfigurableLogDrainDisabledReason$outboundSchema;
})(CreateConfigurableLogDrainDisabledReason$ || (CreateConfigurableLogDrainDisabledReason$ = {}));
var CreateConfigurableLogDrainCreatedFrom$inboundSchema = nativeEnumType(CreateConfigurableLogDrainCreatedFrom);
var CreateConfigurableLogDrainCreatedFrom$outboundSchema = CreateConfigurableLogDrainCreatedFrom$inboundSchema;
var CreateConfigurableLogDrainCreatedFrom$;
(function(CreateConfigurableLogDrainCreatedFrom$2) {
  CreateConfigurableLogDrainCreatedFrom$2.inboundSchema = CreateConfigurableLogDrainCreatedFrom$inboundSchema;
  CreateConfigurableLogDrainCreatedFrom$2.outboundSchema = CreateConfigurableLogDrainCreatedFrom$outboundSchema;
})(CreateConfigurableLogDrainCreatedFrom$ || (CreateConfigurableLogDrainCreatedFrom$ = {}));
var CreateConfigurableLogDrainResponseBody$inboundSchema = objectType({
  secret: stringType().optional(),
  id: stringType(),
  deliveryFormat: CreateConfigurableLogDrainLogDrainsDeliveryFormat$inboundSchema,
  url: stringType(),
  name: stringType(),
  clientId: stringType().optional(),
  configurationId: stringType().optional(),
  teamId: nullableType(stringType()).optional(),
  ownerId: stringType(),
  projectIds: arrayType(stringType()).optional(),
  createdAt: numberType(),
  deletedAt: nullableType(numberType()),
  updatedAt: numberType(),
  sources: arrayType(CreateConfigurableLogDrainLogDrainsSources$inboundSchema).optional(),
  headers: recordType(stringType()).optional(),
  environments: arrayType(CreateConfigurableLogDrainLogDrainsEnvironments$inboundSchema),
  status: CreateConfigurableLogDrainStatus$inboundSchema.optional(),
  disabledAt: numberType().optional(),
  disabledReason: CreateConfigurableLogDrainDisabledReason$inboundSchema.optional(),
  disabledBy: stringType().optional(),
  firstErrorTimestamp: numberType().optional(),
  samplingRate: numberType().optional(),
  hideIpAddresses: booleanType().optional(),
  createdFrom: CreateConfigurableLogDrainCreatedFrom$inboundSchema.optional()
});
var CreateConfigurableLogDrainResponseBody$outboundSchema = objectType({
  secret: stringType().optional(),
  id: stringType(),
  deliveryFormat: CreateConfigurableLogDrainLogDrainsDeliveryFormat$outboundSchema,
  url: stringType(),
  name: stringType(),
  clientId: stringType().optional(),
  configurationId: stringType().optional(),
  teamId: nullableType(stringType()).optional(),
  ownerId: stringType(),
  projectIds: arrayType(stringType()).optional(),
  createdAt: numberType(),
  deletedAt: nullableType(numberType()),
  updatedAt: numberType(),
  sources: arrayType(CreateConfigurableLogDrainLogDrainsSources$outboundSchema).optional(),
  headers: recordType(stringType()).optional(),
  environments: arrayType(CreateConfigurableLogDrainLogDrainsEnvironments$outboundSchema),
  status: CreateConfigurableLogDrainStatus$outboundSchema.optional(),
  disabledAt: numberType().optional(),
  disabledReason: CreateConfigurableLogDrainDisabledReason$outboundSchema.optional(),
  disabledBy: stringType().optional(),
  firstErrorTimestamp: numberType().optional(),
  samplingRate: numberType().optional(),
  hideIpAddresses: booleanType().optional(),
  createdFrom: CreateConfigurableLogDrainCreatedFrom$outboundSchema.optional()
});
var CreateConfigurableLogDrainResponseBody$;
(function(CreateConfigurableLogDrainResponseBody$2) {
  CreateConfigurableLogDrainResponseBody$2.inboundSchema = CreateConfigurableLogDrainResponseBody$inboundSchema;
  CreateConfigurableLogDrainResponseBody$2.outboundSchema = CreateConfigurableLogDrainResponseBody$outboundSchema;
})(CreateConfigurableLogDrainResponseBody$ || (CreateConfigurableLogDrainResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/logDrainsCreateConfigurableLogDrain.js
async function logDrainsCreateConfigurableLogDrain(client, request, options) {
  const parsed = safeParse(request, (value) => CreateConfigurableLogDrainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v1/log-drains")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "createConfigurableLogDrain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateConfigurableLogDrainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/createlogdrainop.js
var DeliveryFormat = {
  Json: "json",
  Ndjson: "ndjson",
  Syslog: "syslog"
};
var Sources = {
  Static: "static",
  Lambda: "lambda",
  Build: "build",
  Edge: "edge",
  External: "external",
  Firewall: "firewall"
};
var Environments = {
  Preview: "preview",
  Production: "production"
};
var CreateLogDrainDeliveryFormat = {
  Json: "json",
  Ndjson: "ndjson",
  Syslog: "syslog"
};
var CreateLogDrainSources = {
  Build: "build",
  Edge: "edge",
  Lambda: "lambda",
  Static: "static",
  External: "external",
  Firewall: "firewall"
};
var CreateLogDrainCreatedFrom = {
  SelfServed: "self-served",
  Integration: "integration"
};
var CreateLogDrainEnvironments = {
  Production: "production",
  Preview: "preview"
};
var DeliveryFormat$inboundSchema = nativeEnumType(DeliveryFormat);
var DeliveryFormat$outboundSchema = DeliveryFormat$inboundSchema;
var DeliveryFormat$;
(function(DeliveryFormat$2) {
  DeliveryFormat$2.inboundSchema = DeliveryFormat$inboundSchema;
  DeliveryFormat$2.outboundSchema = DeliveryFormat$outboundSchema;
})(DeliveryFormat$ || (DeliveryFormat$ = {}));
var Sources$inboundSchema = nativeEnumType(Sources);
var Sources$outboundSchema = Sources$inboundSchema;
var Sources$;
(function(Sources$2) {
  Sources$2.inboundSchema = Sources$inboundSchema;
  Sources$2.outboundSchema = Sources$outboundSchema;
})(Sources$ || (Sources$ = {}));
var Environments$inboundSchema = nativeEnumType(Environments);
var Environments$outboundSchema = Environments$inboundSchema;
var Environments$;
(function(Environments$2) {
  Environments$2.inboundSchema = Environments$inboundSchema;
  Environments$2.outboundSchema = Environments$outboundSchema;
})(Environments$ || (Environments$ = {}));
var CreateLogDrainRequestBody$inboundSchema = objectType({
  name: stringType(),
  projectIds: arrayType(stringType()).optional(),
  secret: stringType().optional(),
  deliveryFormat: DeliveryFormat$inboundSchema.optional(),
  url: stringType(),
  sources: arrayType(Sources$inboundSchema).optional(),
  headers: recordType(stringType()).optional(),
  environments: arrayType(Environments$inboundSchema).optional()
});
var CreateLogDrainRequestBody$outboundSchema = objectType({
  name: stringType(),
  projectIds: arrayType(stringType()).optional(),
  secret: stringType().optional(),
  deliveryFormat: DeliveryFormat$outboundSchema.optional(),
  url: stringType(),
  sources: arrayType(Sources$outboundSchema).optional(),
  headers: recordType(stringType()).optional(),
  environments: arrayType(Environments$outboundSchema).optional()
});
var CreateLogDrainRequestBody$;
(function(CreateLogDrainRequestBody$2) {
  CreateLogDrainRequestBody$2.inboundSchema = CreateLogDrainRequestBody$inboundSchema;
  CreateLogDrainRequestBody$2.outboundSchema = CreateLogDrainRequestBody$outboundSchema;
})(CreateLogDrainRequestBody$ || (CreateLogDrainRequestBody$ = {}));
var CreateLogDrainRequest$inboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => CreateLogDrainRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var CreateLogDrainRequest$outboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => CreateLogDrainRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var CreateLogDrainRequest$;
(function(CreateLogDrainRequest$2) {
  CreateLogDrainRequest$2.inboundSchema = CreateLogDrainRequest$inboundSchema;
  CreateLogDrainRequest$2.outboundSchema = CreateLogDrainRequest$outboundSchema;
})(CreateLogDrainRequest$ || (CreateLogDrainRequest$ = {}));
var CreateLogDrainDeliveryFormat$inboundSchema = nativeEnumType(CreateLogDrainDeliveryFormat);
var CreateLogDrainDeliveryFormat$outboundSchema = CreateLogDrainDeliveryFormat$inboundSchema;
var CreateLogDrainDeliveryFormat$;
(function(CreateLogDrainDeliveryFormat$2) {
  CreateLogDrainDeliveryFormat$2.inboundSchema = CreateLogDrainDeliveryFormat$inboundSchema;
  CreateLogDrainDeliveryFormat$2.outboundSchema = CreateLogDrainDeliveryFormat$outboundSchema;
})(CreateLogDrainDeliveryFormat$ || (CreateLogDrainDeliveryFormat$ = {}));
var CreateLogDrainSources$inboundSchema = nativeEnumType(CreateLogDrainSources);
var CreateLogDrainSources$outboundSchema = CreateLogDrainSources$inboundSchema;
var CreateLogDrainSources$;
(function(CreateLogDrainSources$2) {
  CreateLogDrainSources$2.inboundSchema = CreateLogDrainSources$inboundSchema;
  CreateLogDrainSources$2.outboundSchema = CreateLogDrainSources$outboundSchema;
})(CreateLogDrainSources$ || (CreateLogDrainSources$ = {}));
var CreateLogDrainCreatedFrom$inboundSchema = nativeEnumType(CreateLogDrainCreatedFrom);
var CreateLogDrainCreatedFrom$outboundSchema = CreateLogDrainCreatedFrom$inboundSchema;
var CreateLogDrainCreatedFrom$;
(function(CreateLogDrainCreatedFrom$2) {
  CreateLogDrainCreatedFrom$2.inboundSchema = CreateLogDrainCreatedFrom$inboundSchema;
  CreateLogDrainCreatedFrom$2.outboundSchema = CreateLogDrainCreatedFrom$outboundSchema;
})(CreateLogDrainCreatedFrom$ || (CreateLogDrainCreatedFrom$ = {}));
var CreateLogDrainEnvironments$inboundSchema = nativeEnumType(CreateLogDrainEnvironments);
var CreateLogDrainEnvironments$outboundSchema = CreateLogDrainEnvironments$inboundSchema;
var CreateLogDrainEnvironments$;
(function(CreateLogDrainEnvironments$2) {
  CreateLogDrainEnvironments$2.inboundSchema = CreateLogDrainEnvironments$inboundSchema;
  CreateLogDrainEnvironments$2.outboundSchema = CreateLogDrainEnvironments$outboundSchema;
})(CreateLogDrainEnvironments$ || (CreateLogDrainEnvironments$ = {}));
var CreateLogDrainResponseBody$inboundSchema = objectType({
  clientId: stringType().optional(),
  configurationId: stringType().optional(),
  createdAt: numberType(),
  id: stringType(),
  deliveryFormat: CreateLogDrainDeliveryFormat$inboundSchema.optional(),
  name: stringType(),
  ownerId: stringType(),
  projectId: nullableType(stringType()).optional(),
  projectIds: arrayType(stringType()).optional(),
  url: stringType(),
  sources: arrayType(CreateLogDrainSources$inboundSchema).optional(),
  createdFrom: CreateLogDrainCreatedFrom$inboundSchema.optional(),
  headers: recordType(stringType()).optional(),
  environments: arrayType(CreateLogDrainEnvironments$inboundSchema),
  branch: stringType().optional(),
  samplingRate: numberType().optional()
});
var CreateLogDrainResponseBody$outboundSchema = objectType({
  clientId: stringType().optional(),
  configurationId: stringType().optional(),
  createdAt: numberType(),
  id: stringType(),
  deliveryFormat: CreateLogDrainDeliveryFormat$outboundSchema.optional(),
  name: stringType(),
  ownerId: stringType(),
  projectId: nullableType(stringType()).optional(),
  projectIds: arrayType(stringType()).optional(),
  url: stringType(),
  sources: arrayType(CreateLogDrainSources$outboundSchema).optional(),
  createdFrom: CreateLogDrainCreatedFrom$outboundSchema.optional(),
  headers: recordType(stringType()).optional(),
  environments: arrayType(CreateLogDrainEnvironments$outboundSchema),
  branch: stringType().optional(),
  samplingRate: numberType().optional()
});
var CreateLogDrainResponseBody$;
(function(CreateLogDrainResponseBody$2) {
  CreateLogDrainResponseBody$2.inboundSchema = CreateLogDrainResponseBody$inboundSchema;
  CreateLogDrainResponseBody$2.outboundSchema = CreateLogDrainResponseBody$outboundSchema;
})(CreateLogDrainResponseBody$ || (CreateLogDrainResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/logDrainsCreateLogDrain.js
async function logDrainsCreateLogDrain(client, request, options) {
  const parsed = safeParse(request, (value) => CreateLogDrainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v2/integrations/log-drains")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "createLogDrain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateLogDrainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/deleteconfigurablelogdrainop.js
var DeleteConfigurableLogDrainRequest$inboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteConfigurableLogDrainRequest$outboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteConfigurableLogDrainRequest$;
(function(DeleteConfigurableLogDrainRequest$2) {
  DeleteConfigurableLogDrainRequest$2.inboundSchema = DeleteConfigurableLogDrainRequest$inboundSchema;
  DeleteConfigurableLogDrainRequest$2.outboundSchema = DeleteConfigurableLogDrainRequest$outboundSchema;
})(DeleteConfigurableLogDrainRequest$ || (DeleteConfigurableLogDrainRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/logDrainsDeleteConfigurableLogDrain.js
async function logDrainsDeleteConfigurableLogDrain(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteConfigurableLogDrainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/log-drains/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "deleteConfigurableLogDrain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/deleteintegrationlogdrainop.js
var DeleteIntegrationLogDrainRequest$inboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteIntegrationLogDrainRequest$outboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteIntegrationLogDrainRequest$;
(function(DeleteIntegrationLogDrainRequest$2) {
  DeleteIntegrationLogDrainRequest$2.inboundSchema = DeleteIntegrationLogDrainRequest$inboundSchema;
  DeleteIntegrationLogDrainRequest$2.outboundSchema = DeleteIntegrationLogDrainRequest$outboundSchema;
})(DeleteIntegrationLogDrainRequest$ || (DeleteIntegrationLogDrainRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/logDrainsDeleteIntegrationLogDrain.js
async function logDrainsDeleteIntegrationLogDrain(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteIntegrationLogDrainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/integrations/log-drains/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "deleteIntegrationLogDrain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getalllogdrainsop.js
var GetAllLogDrainsDeliveryFormat = {
  Json: "json",
  Ndjson: "ndjson",
  Syslog: "syslog"
};
var GetAllLogDrainsSources = {
  Build: "build",
  Edge: "edge",
  Lambda: "lambda",
  Static: "static",
  External: "external",
  Firewall: "firewall"
};
var GetAllLogDrainsEnvironments = {
  Production: "production",
  Preview: "preview"
};
var GetAllLogDrainsStatus = {
  Enabled: "enabled",
  Disabled: "disabled",
  Errored: "errored"
};
var GetAllLogDrainsDisabledReason = {
  DisabledByOwner: "disabled-by-owner",
  FeatureNotAvailable: "feature-not-available",
  AccountPlanDowngrade: "account-plan-downgrade",
  DisabledByAdmin: "disabled-by-admin"
};
var GetAllLogDrainsCreatedFrom = {
  SelfServed: "self-served",
  Integration: "integration"
};
var GetAllLogDrainsRequest$inboundSchema = objectType({
  projectId: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetAllLogDrainsRequest$outboundSchema = objectType({
  projectId: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetAllLogDrainsRequest$;
(function(GetAllLogDrainsRequest$2) {
  GetAllLogDrainsRequest$2.inboundSchema = GetAllLogDrainsRequest$inboundSchema;
  GetAllLogDrainsRequest$2.outboundSchema = GetAllLogDrainsRequest$outboundSchema;
})(GetAllLogDrainsRequest$ || (GetAllLogDrainsRequest$ = {}));
var GetAllLogDrainsDeliveryFormat$inboundSchema = nativeEnumType(GetAllLogDrainsDeliveryFormat);
var GetAllLogDrainsDeliveryFormat$outboundSchema = GetAllLogDrainsDeliveryFormat$inboundSchema;
var GetAllLogDrainsDeliveryFormat$;
(function(GetAllLogDrainsDeliveryFormat$2) {
  GetAllLogDrainsDeliveryFormat$2.inboundSchema = GetAllLogDrainsDeliveryFormat$inboundSchema;
  GetAllLogDrainsDeliveryFormat$2.outboundSchema = GetAllLogDrainsDeliveryFormat$outboundSchema;
})(GetAllLogDrainsDeliveryFormat$ || (GetAllLogDrainsDeliveryFormat$ = {}));
var GetAllLogDrainsSources$inboundSchema = nativeEnumType(GetAllLogDrainsSources);
var GetAllLogDrainsSources$outboundSchema = GetAllLogDrainsSources$inboundSchema;
var GetAllLogDrainsSources$;
(function(GetAllLogDrainsSources$2) {
  GetAllLogDrainsSources$2.inboundSchema = GetAllLogDrainsSources$inboundSchema;
  GetAllLogDrainsSources$2.outboundSchema = GetAllLogDrainsSources$outboundSchema;
})(GetAllLogDrainsSources$ || (GetAllLogDrainsSources$ = {}));
var GetAllLogDrainsEnvironments$inboundSchema = nativeEnumType(GetAllLogDrainsEnvironments);
var GetAllLogDrainsEnvironments$outboundSchema = GetAllLogDrainsEnvironments$inboundSchema;
var GetAllLogDrainsEnvironments$;
(function(GetAllLogDrainsEnvironments$2) {
  GetAllLogDrainsEnvironments$2.inboundSchema = GetAllLogDrainsEnvironments$inboundSchema;
  GetAllLogDrainsEnvironments$2.outboundSchema = GetAllLogDrainsEnvironments$outboundSchema;
})(GetAllLogDrainsEnvironments$ || (GetAllLogDrainsEnvironments$ = {}));
var GetAllLogDrainsStatus$inboundSchema = nativeEnumType(GetAllLogDrainsStatus);
var GetAllLogDrainsStatus$outboundSchema = GetAllLogDrainsStatus$inboundSchema;
var GetAllLogDrainsStatus$;
(function(GetAllLogDrainsStatus$2) {
  GetAllLogDrainsStatus$2.inboundSchema = GetAllLogDrainsStatus$inboundSchema;
  GetAllLogDrainsStatus$2.outboundSchema = GetAllLogDrainsStatus$outboundSchema;
})(GetAllLogDrainsStatus$ || (GetAllLogDrainsStatus$ = {}));
var GetAllLogDrainsDisabledReason$inboundSchema = nativeEnumType(GetAllLogDrainsDisabledReason);
var GetAllLogDrainsDisabledReason$outboundSchema = GetAllLogDrainsDisabledReason$inboundSchema;
var GetAllLogDrainsDisabledReason$;
(function(GetAllLogDrainsDisabledReason$2) {
  GetAllLogDrainsDisabledReason$2.inboundSchema = GetAllLogDrainsDisabledReason$inboundSchema;
  GetAllLogDrainsDisabledReason$2.outboundSchema = GetAllLogDrainsDisabledReason$outboundSchema;
})(GetAllLogDrainsDisabledReason$ || (GetAllLogDrainsDisabledReason$ = {}));
var GetAllLogDrainsCreatedFrom$inboundSchema = nativeEnumType(GetAllLogDrainsCreatedFrom);
var GetAllLogDrainsCreatedFrom$outboundSchema = GetAllLogDrainsCreatedFrom$inboundSchema;
var GetAllLogDrainsCreatedFrom$;
(function(GetAllLogDrainsCreatedFrom$2) {
  GetAllLogDrainsCreatedFrom$2.inboundSchema = GetAllLogDrainsCreatedFrom$inboundSchema;
  GetAllLogDrainsCreatedFrom$2.outboundSchema = GetAllLogDrainsCreatedFrom$outboundSchema;
})(GetAllLogDrainsCreatedFrom$ || (GetAllLogDrainsCreatedFrom$ = {}));
var GetAllLogDrainsResponseBody$inboundSchema = objectType({
  id: stringType(),
  deliveryFormat: GetAllLogDrainsDeliveryFormat$inboundSchema,
  url: stringType(),
  name: stringType(),
  clientId: stringType().optional(),
  configurationId: stringType().optional(),
  teamId: nullableType(stringType()).optional(),
  ownerId: stringType(),
  projectIds: arrayType(stringType()).optional(),
  createdAt: numberType(),
  deletedAt: nullableType(numberType()),
  updatedAt: numberType(),
  sources: arrayType(GetAllLogDrainsSources$inboundSchema).optional(),
  headers: recordType(stringType()).optional(),
  environments: arrayType(GetAllLogDrainsEnvironments$inboundSchema),
  status: GetAllLogDrainsStatus$inboundSchema.optional(),
  disabledAt: numberType().optional(),
  disabledReason: GetAllLogDrainsDisabledReason$inboundSchema.optional(),
  disabledBy: stringType().optional(),
  firstErrorTimestamp: numberType().optional(),
  samplingRate: numberType().optional(),
  hideIpAddresses: booleanType().optional(),
  secret: stringType().optional(),
  createdFrom: GetAllLogDrainsCreatedFrom$inboundSchema.optional()
});
var GetAllLogDrainsResponseBody$outboundSchema = objectType({
  id: stringType(),
  deliveryFormat: GetAllLogDrainsDeliveryFormat$outboundSchema,
  url: stringType(),
  name: stringType(),
  clientId: stringType().optional(),
  configurationId: stringType().optional(),
  teamId: nullableType(stringType()).optional(),
  ownerId: stringType(),
  projectIds: arrayType(stringType()).optional(),
  createdAt: numberType(),
  deletedAt: nullableType(numberType()),
  updatedAt: numberType(),
  sources: arrayType(GetAllLogDrainsSources$outboundSchema).optional(),
  headers: recordType(stringType()).optional(),
  environments: arrayType(GetAllLogDrainsEnvironments$outboundSchema),
  status: GetAllLogDrainsStatus$outboundSchema.optional(),
  disabledAt: numberType().optional(),
  disabledReason: GetAllLogDrainsDisabledReason$outboundSchema.optional(),
  disabledBy: stringType().optional(),
  firstErrorTimestamp: numberType().optional(),
  samplingRate: numberType().optional(),
  hideIpAddresses: booleanType().optional(),
  secret: stringType().optional(),
  createdFrom: GetAllLogDrainsCreatedFrom$outboundSchema.optional()
});
var GetAllLogDrainsResponseBody$;
(function(GetAllLogDrainsResponseBody$2) {
  GetAllLogDrainsResponseBody$2.inboundSchema = GetAllLogDrainsResponseBody$inboundSchema;
  GetAllLogDrainsResponseBody$2.outboundSchema = GetAllLogDrainsResponseBody$outboundSchema;
})(GetAllLogDrainsResponseBody$ || (GetAllLogDrainsResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/logDrainsGetAllLogDrains.js
async function logDrainsGetAllLogDrains(client, request, options) {
  const parsed = safeParse(request, (value) => GetAllLogDrainsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v1/log-drains")();
  const query = encodeFormQuery({
    projectId: payload.projectId,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getAllLogDrains",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, arrayType(GetAllLogDrainsResponseBody$inboundSchema)), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getconfigurablelogdrainop.js
var GetConfigurableLogDrainDeliveryFormat = {
  Json: "json",
  Ndjson: "ndjson",
  Syslog: "syslog"
};
var GetConfigurableLogDrainSources = {
  Build: "build",
  Edge: "edge",
  Lambda: "lambda",
  Static: "static",
  External: "external",
  Firewall: "firewall"
};
var GetConfigurableLogDrainEnvironments = {
  Production: "production",
  Preview: "preview"
};
var GetConfigurableLogDrainStatus = {
  Enabled: "enabled",
  Disabled: "disabled",
  Errored: "errored"
};
var DisabledReason = {
  DisabledByOwner: "disabled-by-owner",
  FeatureNotAvailable: "feature-not-available",
  AccountPlanDowngrade: "account-plan-downgrade",
  DisabledByAdmin: "disabled-by-admin"
};
var GetConfigurableLogDrainCreatedFrom = {
  SelfServed: "self-served"
};
var GetConfigurableLogDrainRequest$inboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetConfigurableLogDrainRequest$outboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetConfigurableLogDrainRequest$;
(function(GetConfigurableLogDrainRequest$2) {
  GetConfigurableLogDrainRequest$2.inboundSchema = GetConfigurableLogDrainRequest$inboundSchema;
  GetConfigurableLogDrainRequest$2.outboundSchema = GetConfigurableLogDrainRequest$outboundSchema;
})(GetConfigurableLogDrainRequest$ || (GetConfigurableLogDrainRequest$ = {}));
var GetConfigurableLogDrainDeliveryFormat$inboundSchema = nativeEnumType(GetConfigurableLogDrainDeliveryFormat);
var GetConfigurableLogDrainDeliveryFormat$outboundSchema = GetConfigurableLogDrainDeliveryFormat$inboundSchema;
var GetConfigurableLogDrainDeliveryFormat$;
(function(GetConfigurableLogDrainDeliveryFormat$2) {
  GetConfigurableLogDrainDeliveryFormat$2.inboundSchema = GetConfigurableLogDrainDeliveryFormat$inboundSchema;
  GetConfigurableLogDrainDeliveryFormat$2.outboundSchema = GetConfigurableLogDrainDeliveryFormat$outboundSchema;
})(GetConfigurableLogDrainDeliveryFormat$ || (GetConfigurableLogDrainDeliveryFormat$ = {}));
var GetConfigurableLogDrainSources$inboundSchema = nativeEnumType(GetConfigurableLogDrainSources);
var GetConfigurableLogDrainSources$outboundSchema = GetConfigurableLogDrainSources$inboundSchema;
var GetConfigurableLogDrainSources$;
(function(GetConfigurableLogDrainSources$2) {
  GetConfigurableLogDrainSources$2.inboundSchema = GetConfigurableLogDrainSources$inboundSchema;
  GetConfigurableLogDrainSources$2.outboundSchema = GetConfigurableLogDrainSources$outboundSchema;
})(GetConfigurableLogDrainSources$ || (GetConfigurableLogDrainSources$ = {}));
var GetConfigurableLogDrainEnvironments$inboundSchema = nativeEnumType(GetConfigurableLogDrainEnvironments);
var GetConfigurableLogDrainEnvironments$outboundSchema = GetConfigurableLogDrainEnvironments$inboundSchema;
var GetConfigurableLogDrainEnvironments$;
(function(GetConfigurableLogDrainEnvironments$2) {
  GetConfigurableLogDrainEnvironments$2.inboundSchema = GetConfigurableLogDrainEnvironments$inboundSchema;
  GetConfigurableLogDrainEnvironments$2.outboundSchema = GetConfigurableLogDrainEnvironments$outboundSchema;
})(GetConfigurableLogDrainEnvironments$ || (GetConfigurableLogDrainEnvironments$ = {}));
var GetConfigurableLogDrainStatus$inboundSchema = nativeEnumType(GetConfigurableLogDrainStatus);
var GetConfigurableLogDrainStatus$outboundSchema = GetConfigurableLogDrainStatus$inboundSchema;
var GetConfigurableLogDrainStatus$;
(function(GetConfigurableLogDrainStatus$2) {
  GetConfigurableLogDrainStatus$2.inboundSchema = GetConfigurableLogDrainStatus$inboundSchema;
  GetConfigurableLogDrainStatus$2.outboundSchema = GetConfigurableLogDrainStatus$outboundSchema;
})(GetConfigurableLogDrainStatus$ || (GetConfigurableLogDrainStatus$ = {}));
var DisabledReason$inboundSchema = nativeEnumType(DisabledReason);
var DisabledReason$outboundSchema = DisabledReason$inboundSchema;
var DisabledReason$;
(function(DisabledReason$2) {
  DisabledReason$2.inboundSchema = DisabledReason$inboundSchema;
  DisabledReason$2.outboundSchema = DisabledReason$outboundSchema;
})(DisabledReason$ || (DisabledReason$ = {}));
var GetConfigurableLogDrainCreatedFrom$inboundSchema = nativeEnumType(GetConfigurableLogDrainCreatedFrom);
var GetConfigurableLogDrainCreatedFrom$outboundSchema = GetConfigurableLogDrainCreatedFrom$inboundSchema;
var GetConfigurableLogDrainCreatedFrom$;
(function(GetConfigurableLogDrainCreatedFrom$2) {
  GetConfigurableLogDrainCreatedFrom$2.inboundSchema = GetConfigurableLogDrainCreatedFrom$inboundSchema;
  GetConfigurableLogDrainCreatedFrom$2.outboundSchema = GetConfigurableLogDrainCreatedFrom$outboundSchema;
})(GetConfigurableLogDrainCreatedFrom$ || (GetConfigurableLogDrainCreatedFrom$ = {}));
var GetConfigurableLogDrainResponseBody$inboundSchema = objectType({
  id: stringType(),
  deliveryFormat: GetConfigurableLogDrainDeliveryFormat$inboundSchema,
  url: stringType(),
  name: stringType(),
  clientId: stringType().optional(),
  configurationId: stringType().optional(),
  teamId: nullableType(stringType()).optional(),
  ownerId: stringType(),
  projectIds: arrayType(stringType()).optional(),
  createdAt: numberType(),
  deletedAt: nullableType(numberType()),
  updatedAt: numberType(),
  sources: arrayType(GetConfigurableLogDrainSources$inboundSchema).optional(),
  headers: recordType(stringType()).optional(),
  environments: arrayType(GetConfigurableLogDrainEnvironments$inboundSchema),
  status: GetConfigurableLogDrainStatus$inboundSchema.optional(),
  disabledAt: numberType().optional(),
  disabledReason: DisabledReason$inboundSchema.optional(),
  disabledBy: stringType().optional(),
  firstErrorTimestamp: numberType().optional(),
  samplingRate: numberType().optional(),
  hideIpAddresses: booleanType().optional(),
  secret: stringType(),
  createdFrom: GetConfigurableLogDrainCreatedFrom$inboundSchema.optional()
});
var GetConfigurableLogDrainResponseBody$outboundSchema = objectType({
  id: stringType(),
  deliveryFormat: GetConfigurableLogDrainDeliveryFormat$outboundSchema,
  url: stringType(),
  name: stringType(),
  clientId: stringType().optional(),
  configurationId: stringType().optional(),
  teamId: nullableType(stringType()).optional(),
  ownerId: stringType(),
  projectIds: arrayType(stringType()).optional(),
  createdAt: numberType(),
  deletedAt: nullableType(numberType()),
  updatedAt: numberType(),
  sources: arrayType(GetConfigurableLogDrainSources$outboundSchema).optional(),
  headers: recordType(stringType()).optional(),
  environments: arrayType(GetConfigurableLogDrainEnvironments$outboundSchema),
  status: GetConfigurableLogDrainStatus$outboundSchema.optional(),
  disabledAt: numberType().optional(),
  disabledReason: DisabledReason$outboundSchema.optional(),
  disabledBy: stringType().optional(),
  firstErrorTimestamp: numberType().optional(),
  samplingRate: numberType().optional(),
  hideIpAddresses: booleanType().optional(),
  secret: stringType(),
  createdFrom: GetConfigurableLogDrainCreatedFrom$outboundSchema.optional()
});
var GetConfigurableLogDrainResponseBody$;
(function(GetConfigurableLogDrainResponseBody$2) {
  GetConfigurableLogDrainResponseBody$2.inboundSchema = GetConfigurableLogDrainResponseBody$inboundSchema;
  GetConfigurableLogDrainResponseBody$2.outboundSchema = GetConfigurableLogDrainResponseBody$outboundSchema;
})(GetConfigurableLogDrainResponseBody$ || (GetConfigurableLogDrainResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/logDrainsGetConfigurableLogDrain.js
async function logDrainsGetConfigurableLogDrain(client, request, options) {
  const parsed = safeParse(request, (value) => GetConfigurableLogDrainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/log-drains/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getConfigurableLogDrain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetConfigurableLogDrainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getintegrationlogdrainsop.js
var GetIntegrationLogDrainsDeliveryFormat = {
  Json: "json",
  Ndjson: "ndjson",
  Syslog: "syslog"
};
var GetIntegrationLogDrainsSources = {
  Build: "build",
  Edge: "edge",
  Lambda: "lambda",
  Static: "static",
  External: "external",
  Firewall: "firewall"
};
var CreatedFrom = {
  SelfServed: "self-served",
  Integration: "integration"
};
var GetIntegrationLogDrainsEnvironments = {
  Production: "production",
  Preview: "preview"
};
var GetIntegrationLogDrainsRequest$inboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetIntegrationLogDrainsRequest$outboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetIntegrationLogDrainsRequest$;
(function(GetIntegrationLogDrainsRequest$2) {
  GetIntegrationLogDrainsRequest$2.inboundSchema = GetIntegrationLogDrainsRequest$inboundSchema;
  GetIntegrationLogDrainsRequest$2.outboundSchema = GetIntegrationLogDrainsRequest$outboundSchema;
})(GetIntegrationLogDrainsRequest$ || (GetIntegrationLogDrainsRequest$ = {}));
var GetIntegrationLogDrainsDeliveryFormat$inboundSchema = nativeEnumType(GetIntegrationLogDrainsDeliveryFormat);
var GetIntegrationLogDrainsDeliveryFormat$outboundSchema = GetIntegrationLogDrainsDeliveryFormat$inboundSchema;
var GetIntegrationLogDrainsDeliveryFormat$;
(function(GetIntegrationLogDrainsDeliveryFormat$2) {
  GetIntegrationLogDrainsDeliveryFormat$2.inboundSchema = GetIntegrationLogDrainsDeliveryFormat$inboundSchema;
  GetIntegrationLogDrainsDeliveryFormat$2.outboundSchema = GetIntegrationLogDrainsDeliveryFormat$outboundSchema;
})(GetIntegrationLogDrainsDeliveryFormat$ || (GetIntegrationLogDrainsDeliveryFormat$ = {}));
var GetIntegrationLogDrainsSources$inboundSchema = nativeEnumType(GetIntegrationLogDrainsSources);
var GetIntegrationLogDrainsSources$outboundSchema = GetIntegrationLogDrainsSources$inboundSchema;
var GetIntegrationLogDrainsSources$;
(function(GetIntegrationLogDrainsSources$2) {
  GetIntegrationLogDrainsSources$2.inboundSchema = GetIntegrationLogDrainsSources$inboundSchema;
  GetIntegrationLogDrainsSources$2.outboundSchema = GetIntegrationLogDrainsSources$outboundSchema;
})(GetIntegrationLogDrainsSources$ || (GetIntegrationLogDrainsSources$ = {}));
var CreatedFrom$inboundSchema = nativeEnumType(CreatedFrom);
var CreatedFrom$outboundSchema = CreatedFrom$inboundSchema;
var CreatedFrom$;
(function(CreatedFrom$2) {
  CreatedFrom$2.inboundSchema = CreatedFrom$inboundSchema;
  CreatedFrom$2.outboundSchema = CreatedFrom$outboundSchema;
})(CreatedFrom$ || (CreatedFrom$ = {}));
var GetIntegrationLogDrainsEnvironments$inboundSchema = nativeEnumType(GetIntegrationLogDrainsEnvironments);
var GetIntegrationLogDrainsEnvironments$outboundSchema = GetIntegrationLogDrainsEnvironments$inboundSchema;
var GetIntegrationLogDrainsEnvironments$;
(function(GetIntegrationLogDrainsEnvironments$2) {
  GetIntegrationLogDrainsEnvironments$2.inboundSchema = GetIntegrationLogDrainsEnvironments$inboundSchema;
  GetIntegrationLogDrainsEnvironments$2.outboundSchema = GetIntegrationLogDrainsEnvironments$outboundSchema;
})(GetIntegrationLogDrainsEnvironments$ || (GetIntegrationLogDrainsEnvironments$ = {}));
var GetIntegrationLogDrainsResponseBody$inboundSchema = objectType({
  clientId: stringType().optional(),
  configurationId: stringType().optional(),
  createdAt: numberType(),
  id: stringType(),
  deliveryFormat: GetIntegrationLogDrainsDeliveryFormat$inboundSchema.optional(),
  name: stringType(),
  ownerId: stringType(),
  projectId: nullableType(stringType()).optional(),
  projectIds: arrayType(stringType()).optional(),
  url: stringType(),
  sources: arrayType(GetIntegrationLogDrainsSources$inboundSchema).optional(),
  createdFrom: CreatedFrom$inboundSchema.optional(),
  headers: recordType(stringType()).optional(),
  environments: arrayType(GetIntegrationLogDrainsEnvironments$inboundSchema),
  branch: stringType().optional(),
  samplingRate: numberType().optional()
});
var GetIntegrationLogDrainsResponseBody$outboundSchema = objectType({
  clientId: stringType().optional(),
  configurationId: stringType().optional(),
  createdAt: numberType(),
  id: stringType(),
  deliveryFormat: GetIntegrationLogDrainsDeliveryFormat$outboundSchema.optional(),
  name: stringType(),
  ownerId: stringType(),
  projectId: nullableType(stringType()).optional(),
  projectIds: arrayType(stringType()).optional(),
  url: stringType(),
  sources: arrayType(GetIntegrationLogDrainsSources$outboundSchema).optional(),
  createdFrom: CreatedFrom$outboundSchema.optional(),
  headers: recordType(stringType()).optional(),
  environments: arrayType(GetIntegrationLogDrainsEnvironments$outboundSchema),
  branch: stringType().optional(),
  samplingRate: numberType().optional()
});
var GetIntegrationLogDrainsResponseBody$;
(function(GetIntegrationLogDrainsResponseBody$2) {
  GetIntegrationLogDrainsResponseBody$2.inboundSchema = GetIntegrationLogDrainsResponseBody$inboundSchema;
  GetIntegrationLogDrainsResponseBody$2.outboundSchema = GetIntegrationLogDrainsResponseBody$outboundSchema;
})(GetIntegrationLogDrainsResponseBody$ || (GetIntegrationLogDrainsResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/logDrainsGetIntegrationLogDrains.js
async function logDrainsGetIntegrationLogDrains(client, request, options) {
  const parsed = safeParse(request, (value) => GetIntegrationLogDrainsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v2/integrations/log-drains")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getIntegrationLogDrains",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, arrayType(GetIntegrationLogDrainsResponseBody$inboundSchema)), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/logdrains.js
class LogDrains extends ClientSDK {
  async getIntegrationLogDrains(request, options) {
    return unwrapAsync(logDrainsGetIntegrationLogDrains(this, request, options));
  }
  async createLogDrain(request, options) {
    return unwrapAsync(logDrainsCreateLogDrain(this, request, options));
  }
  async deleteIntegrationLogDrain(request, options) {
    return unwrapAsync(logDrainsDeleteIntegrationLogDrain(this, request, options));
  }
  async getConfigurableLogDrain(request, options) {
    return unwrapAsync(logDrainsGetConfigurableLogDrain(this, request, options));
  }
  async deleteConfigurableLogDrain(request, options) {
    return unwrapAsync(logDrainsDeleteConfigurableLogDrain(this, request, options));
  }
  async getAllLogDrains(request, options) {
    return unwrapAsync(logDrainsGetAllLogDrains(this, request, options));
  }
  async createConfigurableLogDrain(request, options) {
    return unwrapAsync(logDrainsCreateConfigurableLogDrain(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/createeventop.js
var CreateEventEventType = {
  ResourceUpdated: "resource.updated"
};
var EventType = {
  InstallationUpdated: "installation.updated"
};
var CreateEventEventType$inboundSchema = nativeEnumType(CreateEventEventType);
var CreateEventEventType$outboundSchema = CreateEventEventType$inboundSchema;
var CreateEventEventType$;
(function(CreateEventEventType$2) {
  CreateEventEventType$2.inboundSchema = CreateEventEventType$inboundSchema;
  CreateEventEventType$2.outboundSchema = CreateEventEventType$outboundSchema;
})(CreateEventEventType$ || (CreateEventEventType$ = {}));
var Event2$inboundSchema = objectType({
  type: CreateEventEventType$inboundSchema,
  productId: stringType(),
  resourceId: stringType()
});
var Event2$outboundSchema = objectType({
  type: CreateEventEventType$outboundSchema,
  productId: stringType(),
  resourceId: stringType()
});
var Event2$;
(function(Event2$2) {
  Event2$2.inboundSchema = Event2$inboundSchema;
  Event2$2.outboundSchema = Event2$outboundSchema;
})(Event2$ || (Event2$ = {}));
var EventType$inboundSchema = nativeEnumType(EventType);
var EventType$outboundSchema = EventType$inboundSchema;
var EventType$;
(function(EventType$2) {
  EventType$2.inboundSchema = EventType$inboundSchema;
  EventType$2.outboundSchema = EventType$outboundSchema;
})(EventType$ || (EventType$ = {}));
var Event1$inboundSchema = objectType({
  type: EventType$inboundSchema,
  billingPlanId: stringType().optional()
});
var Event1$outboundSchema = objectType({
  type: EventType$outboundSchema,
  billingPlanId: stringType().optional()
});
var Event1$;
(function(Event1$2) {
  Event1$2.inboundSchema = Event1$inboundSchema;
  Event1$2.outboundSchema = Event1$outboundSchema;
})(Event1$ || (Event1$ = {}));
var CreateEventEvent$inboundSchema = unionType([
  lazyType(() => Event1$inboundSchema),
  lazyType(() => Event2$inboundSchema)
]);
var CreateEventEvent$outboundSchema = unionType([
  lazyType(() => Event1$outboundSchema),
  lazyType(() => Event2$outboundSchema)
]);
var CreateEventEvent$;
(function(CreateEventEvent$2) {
  CreateEventEvent$2.inboundSchema = CreateEventEvent$inboundSchema;
  CreateEventEvent$2.outboundSchema = CreateEventEvent$outboundSchema;
})(CreateEventEvent$ || (CreateEventEvent$ = {}));
var CreateEventRequestBody$inboundSchema = objectType({
  event: unionType([
    lazyType(() => Event1$inboundSchema),
    lazyType(() => Event2$inboundSchema)
  ])
});
var CreateEventRequestBody$outboundSchema = objectType({
  event: unionType([
    lazyType(() => Event1$outboundSchema),
    lazyType(() => Event2$outboundSchema)
  ])
});
var CreateEventRequestBody$;
(function(CreateEventRequestBody$2) {
  CreateEventRequestBody$2.inboundSchema = CreateEventRequestBody$inboundSchema;
  CreateEventRequestBody$2.outboundSchema = CreateEventRequestBody$outboundSchema;
})(CreateEventRequestBody$ || (CreateEventRequestBody$ = {}));
var CreateEventRequest$inboundSchema = objectType({
  integrationConfigurationId: stringType(),
  RequestBody: lazyType(() => CreateEventRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var CreateEventRequest$outboundSchema = objectType({
  integrationConfigurationId: stringType(),
  requestBody: lazyType(() => CreateEventRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var CreateEventRequest$;
(function(CreateEventRequest$2) {
  CreateEventRequest$2.inboundSchema = CreateEventRequest$inboundSchema;
  CreateEventRequest$2.outboundSchema = CreateEventRequest$outboundSchema;
})(CreateEventRequest$ || (CreateEventRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/marketplaceCreateEvent.js
async function marketplaceCreateEvent(client, request, options) {
  const parsed = safeParse(request, (value) => CreateEventRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/events")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "create-event",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(201, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/funcs/marketplaceExchangeSsoToken.js
async function marketplaceExchangeSsoToken(client, request, options) {
  const parsed = safeParse(request, (value) => ExchangeSsoTokenRequestBody$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload, { explode: true });
  const path = pathToFunc("/v1/integrations/sso/token")();
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const context = {
    operationID: "exchange-sso-token",
    oAuth2Scopes: [],
    resolvedSecurity: null,
    securitySource: null,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "404", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ExchangeSsoTokenResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(404, VercelNotFoundError$inboundSchema), fail([500, "5XX"]), fail("4XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getaccountinfoop.js
var GetAccountInfoRequest$inboundSchema = objectType({
  integrationConfigurationId: stringType()
});
var GetAccountInfoRequest$outboundSchema = objectType({
  integrationConfigurationId: stringType()
});
var GetAccountInfoRequest$;
(function(GetAccountInfoRequest$2) {
  GetAccountInfoRequest$2.inboundSchema = GetAccountInfoRequest$inboundSchema;
  GetAccountInfoRequest$2.outboundSchema = GetAccountInfoRequest$outboundSchema;
})(GetAccountInfoRequest$ || (GetAccountInfoRequest$ = {}));
var Contact$inboundSchema = objectType({
  email: stringType(),
  name: stringType().optional()
});
var Contact$outboundSchema = objectType({
  email: stringType(),
  name: stringType().optional()
});
var Contact$;
(function(Contact$2) {
  Contact$2.inboundSchema = Contact$inboundSchema;
  Contact$2.outboundSchema = Contact$outboundSchema;
})(Contact$ || (Contact$ = {}));
var GetAccountInfoResponseBody$inboundSchema = objectType({
  name: stringType().optional(),
  url: stringType(),
  contact: nullableType(lazyType(() => Contact$inboundSchema))
});
var GetAccountInfoResponseBody$outboundSchema = objectType({
  name: stringType().optional(),
  url: stringType(),
  contact: nullableType(lazyType(() => Contact$outboundSchema))
});
var GetAccountInfoResponseBody$;
(function(GetAccountInfoResponseBody$2) {
  GetAccountInfoResponseBody$2.inboundSchema = GetAccountInfoResponseBody$inboundSchema;
  GetAccountInfoResponseBody$2.outboundSchema = GetAccountInfoResponseBody$outboundSchema;
})(GetAccountInfoResponseBody$ || (GetAccountInfoResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/marketplaceGetAccountInfo.js
async function marketplaceGetAccountInfo(client, request, options) {
  const parsed = safeParse(request, (value) => GetAccountInfoRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/account")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "get-account-info",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetAccountInfoResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getinvoiceop.js
var State = {
  Pending: "pending",
  Scheduled: "scheduled",
  Invoiced: "invoiced",
  Paid: "paid",
  Notpaid: "notpaid",
  RefundRequested: "refund_requested",
  Refunded: "refunded"
};
var GetInvoiceRequest$inboundSchema = objectType({
  integrationConfigurationId: stringType(),
  invoiceId: stringType()
});
var GetInvoiceRequest$outboundSchema = objectType({
  integrationConfigurationId: stringType(),
  invoiceId: stringType()
});
var GetInvoiceRequest$;
(function(GetInvoiceRequest$2) {
  GetInvoiceRequest$2.inboundSchema = GetInvoiceRequest$inboundSchema;
  GetInvoiceRequest$2.outboundSchema = GetInvoiceRequest$outboundSchema;
})(GetInvoiceRequest$ || (GetInvoiceRequest$ = {}));
var GetInvoicePeriod$inboundSchema = objectType({
  start: stringType(),
  end: stringType()
});
var GetInvoicePeriod$outboundSchema = objectType({
  start: stringType(),
  end: stringType()
});
var GetInvoicePeriod$;
(function(GetInvoicePeriod$2) {
  GetInvoicePeriod$2.inboundSchema = GetInvoicePeriod$inboundSchema;
  GetInvoicePeriod$2.outboundSchema = GetInvoicePeriod$outboundSchema;
})(GetInvoicePeriod$ || (GetInvoicePeriod$ = {}));
var GetInvoiceItems$inboundSchema = objectType({
  billingPlanId: stringType(),
  resourceId: stringType().optional(),
  start: stringType().optional(),
  end: stringType().optional(),
  name: stringType(),
  details: stringType().optional(),
  price: stringType(),
  quantity: numberType(),
  units: stringType(),
  total: stringType()
});
var GetInvoiceItems$outboundSchema = objectType({
  billingPlanId: stringType(),
  resourceId: stringType().optional(),
  start: stringType().optional(),
  end: stringType().optional(),
  name: stringType(),
  details: stringType().optional(),
  price: stringType(),
  quantity: numberType(),
  units: stringType(),
  total: stringType()
});
var GetInvoiceItems$;
(function(GetInvoiceItems$2) {
  GetInvoiceItems$2.inboundSchema = GetInvoiceItems$inboundSchema;
  GetInvoiceItems$2.outboundSchema = GetInvoiceItems$outboundSchema;
})(GetInvoiceItems$ || (GetInvoiceItems$ = {}));
var GetInvoiceDiscounts$inboundSchema = objectType({
  billingPlanId: stringType(),
  resourceId: stringType().optional(),
  start: stringType().optional(),
  end: stringType().optional(),
  name: stringType(),
  details: stringType().optional(),
  amount: stringType()
});
var GetInvoiceDiscounts$outboundSchema = objectType({
  billingPlanId: stringType(),
  resourceId: stringType().optional(),
  start: stringType().optional(),
  end: stringType().optional(),
  name: stringType(),
  details: stringType().optional(),
  amount: stringType()
});
var GetInvoiceDiscounts$;
(function(GetInvoiceDiscounts$2) {
  GetInvoiceDiscounts$2.inboundSchema = GetInvoiceDiscounts$inboundSchema;
  GetInvoiceDiscounts$2.outboundSchema = GetInvoiceDiscounts$outboundSchema;
})(GetInvoiceDiscounts$ || (GetInvoiceDiscounts$ = {}));
var State$inboundSchema = nativeEnumType(State);
var State$outboundSchema = State$inboundSchema;
var State$;
(function(State$2) {
  State$2.inboundSchema = State$inboundSchema;
  State$2.outboundSchema = State$outboundSchema;
})(State$ || (State$ = {}));
var GetInvoiceResponseBody$inboundSchema = objectType({
  invoiceId: stringType(),
  externalId: stringType().optional(),
  invoiceNumber: stringType().optional(),
  invoiceDate: stringType(),
  period: lazyType(() => GetInvoicePeriod$inboundSchema),
  memo: stringType().optional(),
  items: arrayType(lazyType(() => GetInvoiceItems$inboundSchema)),
  discounts: arrayType(lazyType(() => GetInvoiceDiscounts$inboundSchema)).optional(),
  total: stringType(),
  created: stringType(),
  updated: stringType(),
  state: State$inboundSchema,
  refundReason: stringType().optional(),
  refundTotal: stringType().optional(),
  test: booleanType()
});
var GetInvoiceResponseBody$outboundSchema = objectType({
  invoiceId: stringType(),
  externalId: stringType().optional(),
  invoiceNumber: stringType().optional(),
  invoiceDate: stringType(),
  period: lazyType(() => GetInvoicePeriod$outboundSchema),
  memo: stringType().optional(),
  items: arrayType(lazyType(() => GetInvoiceItems$outboundSchema)),
  discounts: arrayType(lazyType(() => GetInvoiceDiscounts$outboundSchema)).optional(),
  total: stringType(),
  created: stringType(),
  updated: stringType(),
  state: State$outboundSchema,
  refundReason: stringType().optional(),
  refundTotal: stringType().optional(),
  test: booleanType()
});
var GetInvoiceResponseBody$;
(function(GetInvoiceResponseBody$2) {
  GetInvoiceResponseBody$2.inboundSchema = GetInvoiceResponseBody$inboundSchema;
  GetInvoiceResponseBody$2.outboundSchema = GetInvoiceResponseBody$outboundSchema;
})(GetInvoiceResponseBody$ || (GetInvoiceResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/marketplaceGetInvoice.js
async function marketplaceGetInvoice(client, request, options) {
  const parsed = safeParse(request, (value) => GetInvoiceRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    invoiceId: encodeSimple("invoiceId", payload.invoiceId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/billing/invoices/{invoiceId}")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "get-invoice",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetInvoiceResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getmemberop.js
var GetMemberRole = {
  Admin: "ADMIN",
  User: "USER"
};
var GetMemberRequest$inboundSchema = objectType({
  integrationConfigurationId: stringType(),
  memberId: stringType()
});
var GetMemberRequest$outboundSchema = objectType({
  integrationConfigurationId: stringType(),
  memberId: stringType()
});
var GetMemberRequest$;
(function(GetMemberRequest$2) {
  GetMemberRequest$2.inboundSchema = GetMemberRequest$inboundSchema;
  GetMemberRequest$2.outboundSchema = GetMemberRequest$outboundSchema;
})(GetMemberRequest$ || (GetMemberRequest$ = {}));
var GetMemberRole$inboundSchema = nativeEnumType(GetMemberRole);
var GetMemberRole$outboundSchema = GetMemberRole$inboundSchema;
var GetMemberRole$;
(function(GetMemberRole$2) {
  GetMemberRole$2.inboundSchema = GetMemberRole$inboundSchema;
  GetMemberRole$2.outboundSchema = GetMemberRole$outboundSchema;
})(GetMemberRole$ || (GetMemberRole$ = {}));
var GetMemberResponseBody$inboundSchema = objectType({
  id: stringType(),
  role: GetMemberRole$inboundSchema
});
var GetMemberResponseBody$outboundSchema = objectType({
  id: stringType(),
  role: GetMemberRole$outboundSchema
});
var GetMemberResponseBody$;
(function(GetMemberResponseBody$2) {
  GetMemberResponseBody$2.inboundSchema = GetMemberResponseBody$inboundSchema;
  GetMemberResponseBody$2.outboundSchema = GetMemberResponseBody$outboundSchema;
})(GetMemberResponseBody$ || (GetMemberResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/marketplaceGetMember.js
async function marketplaceGetMember(client, request, options) {
  const parsed = safeParse(request, (value) => GetMemberRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    memberId: encodeSimple("memberId", payload.memberId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/member/{memberId}")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "get-member",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetMemberResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/submitbillingdataop.js
var SubmitBillingDataType = {
  Total: "total",
  Interval: "interval",
  Rate: "rate"
};
var Period$inboundSchema = objectType({
  start: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
  end: stringType().datetime({ offset: true }).transform((v2) => new Date(v2))
});
var Period$outboundSchema = objectType({
  start: dateType().transform((v2) => v2.toISOString()),
  end: dateType().transform((v2) => v2.toISOString())
});
var Period$;
(function(Period$2) {
  Period$2.inboundSchema = Period$inboundSchema;
  Period$2.outboundSchema = Period$outboundSchema;
})(Period$ || (Period$ = {}));
var BillingItems$inboundSchema = objectType({
  billingPlanId: stringType(),
  resourceId: stringType().optional(),
  start: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
  end: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
  name: stringType(),
  details: stringType().optional(),
  price: stringType(),
  quantity: numberType(),
  units: stringType(),
  total: stringType()
});
var BillingItems$outboundSchema = objectType({
  billingPlanId: stringType(),
  resourceId: stringType().optional(),
  start: dateType().transform((v2) => v2.toISOString()).optional(),
  end: dateType().transform((v2) => v2.toISOString()).optional(),
  name: stringType(),
  details: stringType().optional(),
  price: stringType(),
  quantity: numberType(),
  units: stringType(),
  total: stringType()
});
var BillingItems$;
(function(BillingItems$2) {
  BillingItems$2.inboundSchema = BillingItems$inboundSchema;
  BillingItems$2.outboundSchema = BillingItems$outboundSchema;
})(BillingItems$ || (BillingItems$ = {}));
var Discounts$inboundSchema = objectType({
  billingPlanId: stringType(),
  resourceId: stringType().optional(),
  start: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
  end: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
  name: stringType(),
  details: stringType().optional(),
  amount: stringType()
});
var Discounts$outboundSchema = objectType({
  billingPlanId: stringType(),
  resourceId: stringType().optional(),
  start: dateType().transform((v2) => v2.toISOString()).optional(),
  end: dateType().transform((v2) => v2.toISOString()).optional(),
  name: stringType(),
  details: stringType().optional(),
  amount: stringType()
});
var Discounts$;
(function(Discounts$2) {
  Discounts$2.inboundSchema = Discounts$inboundSchema;
  Discounts$2.outboundSchema = Discounts$outboundSchema;
})(Discounts$ || (Discounts$ = {}));
var Billing2$inboundSchema = objectType({
  items: arrayType(lazyType(() => BillingItems$inboundSchema)),
  discounts: arrayType(lazyType(() => Discounts$inboundSchema)).optional()
});
var Billing2$outboundSchema = objectType({
  items: arrayType(lazyType(() => BillingItems$outboundSchema)),
  discounts: arrayType(lazyType(() => Discounts$outboundSchema)).optional()
});
var Billing2$;
(function(Billing2$2) {
  Billing2$2.inboundSchema = Billing2$inboundSchema;
  Billing2$2.outboundSchema = Billing2$outboundSchema;
})(Billing2$ || (Billing2$ = {}));
var Billing1$inboundSchema = objectType({
  billingPlanId: stringType(),
  resourceId: stringType().optional(),
  start: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
  end: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
  name: stringType(),
  details: stringType().optional(),
  price: stringType(),
  quantity: numberType(),
  units: stringType(),
  total: stringType()
});
var Billing1$outboundSchema = objectType({
  billingPlanId: stringType(),
  resourceId: stringType().optional(),
  start: dateType().transform((v2) => v2.toISOString()).optional(),
  end: dateType().transform((v2) => v2.toISOString()).optional(),
  name: stringType(),
  details: stringType().optional(),
  price: stringType(),
  quantity: numberType(),
  units: stringType(),
  total: stringType()
});
var Billing1$;
(function(Billing1$2) {
  Billing1$2.inboundSchema = Billing1$inboundSchema;
  Billing1$2.outboundSchema = Billing1$outboundSchema;
})(Billing1$ || (Billing1$ = {}));
var SubmitBillingDataBilling$inboundSchema = unionType([
  lazyType(() => Billing2$inboundSchema),
  arrayType(lazyType(() => Billing1$inboundSchema))
]);
var SubmitBillingDataBilling$outboundSchema = unionType([
  lazyType(() => Billing2$outboundSchema),
  arrayType(lazyType(() => Billing1$outboundSchema))
]);
var SubmitBillingDataBilling$;
(function(SubmitBillingDataBilling$2) {
  SubmitBillingDataBilling$2.inboundSchema = SubmitBillingDataBilling$inboundSchema;
  SubmitBillingDataBilling$2.outboundSchema = SubmitBillingDataBilling$outboundSchema;
})(SubmitBillingDataBilling$ || (SubmitBillingDataBilling$ = {}));
var SubmitBillingDataType$inboundSchema = nativeEnumType(SubmitBillingDataType);
var SubmitBillingDataType$outboundSchema = SubmitBillingDataType$inboundSchema;
var SubmitBillingDataType$;
(function(SubmitBillingDataType$2) {
  SubmitBillingDataType$2.inboundSchema = SubmitBillingDataType$inboundSchema;
  SubmitBillingDataType$2.outboundSchema = SubmitBillingDataType$outboundSchema;
})(SubmitBillingDataType$ || (SubmitBillingDataType$ = {}));
var Usage$inboundSchema = objectType({
  resourceId: stringType(),
  name: stringType(),
  type: SubmitBillingDataType$inboundSchema,
  units: stringType(),
  dayValue: numberType(),
  periodValue: numberType(),
  planValue: numberType().optional()
});
var Usage$outboundSchema = objectType({
  resourceId: stringType(),
  name: stringType(),
  type: SubmitBillingDataType$outboundSchema,
  units: stringType(),
  dayValue: numberType(),
  periodValue: numberType(),
  planValue: numberType().optional()
});
var Usage$;
(function(Usage$2) {
  Usage$2.inboundSchema = Usage$inboundSchema;
  Usage$2.outboundSchema = Usage$outboundSchema;
})(Usage$ || (Usage$ = {}));
var SubmitBillingDataRequestBody$inboundSchema = objectType({
  timestamp: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
  eod: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
  period: lazyType(() => Period$inboundSchema),
  billing: unionType([
    lazyType(() => Billing2$inboundSchema),
    arrayType(lazyType(() => Billing1$inboundSchema))
  ]),
  usage: arrayType(lazyType(() => Usage$inboundSchema))
});
var SubmitBillingDataRequestBody$outboundSchema = objectType({
  timestamp: dateType().transform((v2) => v2.toISOString()),
  eod: dateType().transform((v2) => v2.toISOString()),
  period: lazyType(() => Period$outboundSchema),
  billing: unionType([
    lazyType(() => Billing2$outboundSchema),
    arrayType(lazyType(() => Billing1$outboundSchema))
  ]),
  usage: arrayType(lazyType(() => Usage$outboundSchema))
});
var SubmitBillingDataRequestBody$;
(function(SubmitBillingDataRequestBody$2) {
  SubmitBillingDataRequestBody$2.inboundSchema = SubmitBillingDataRequestBody$inboundSchema;
  SubmitBillingDataRequestBody$2.outboundSchema = SubmitBillingDataRequestBody$outboundSchema;
})(SubmitBillingDataRequestBody$ || (SubmitBillingDataRequestBody$ = {}));
var SubmitBillingDataRequest$inboundSchema = objectType({
  integrationConfigurationId: stringType(),
  RequestBody: lazyType(() => SubmitBillingDataRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var SubmitBillingDataRequest$outboundSchema = objectType({
  integrationConfigurationId: stringType(),
  requestBody: lazyType(() => SubmitBillingDataRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var SubmitBillingDataRequest$;
(function(SubmitBillingDataRequest$2) {
  SubmitBillingDataRequest$2.inboundSchema = SubmitBillingDataRequest$inboundSchema;
  SubmitBillingDataRequest$2.outboundSchema = SubmitBillingDataRequest$outboundSchema;
})(SubmitBillingDataRequest$ || (SubmitBillingDataRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/marketplaceSubmitBillingData.js
async function marketplaceSubmitBillingData(client, request, options) {
  const parsed = safeParse(request, (value) => SubmitBillingDataRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/billing")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "submit-billing-data",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(201, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/submitinvoiceop.js
var Result = {
  Paid: "paid",
  Notpaid: "notpaid"
};
var SubmitInvoicePeriod$inboundSchema = objectType({
  start: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
  end: stringType().datetime({ offset: true }).transform((v2) => new Date(v2))
});
var SubmitInvoicePeriod$outboundSchema = objectType({
  start: dateType().transform((v2) => v2.toISOString()),
  end: dateType().transform((v2) => v2.toISOString())
});
var SubmitInvoicePeriod$;
(function(SubmitInvoicePeriod$2) {
  SubmitInvoicePeriod$2.inboundSchema = SubmitInvoicePeriod$inboundSchema;
  SubmitInvoicePeriod$2.outboundSchema = SubmitInvoicePeriod$outboundSchema;
})(SubmitInvoicePeriod$ || (SubmitInvoicePeriod$ = {}));
var SubmitInvoiceItems$inboundSchema = objectType({
  resourceId: stringType().optional(),
  billingPlanId: stringType(),
  start: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
  end: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
  name: stringType(),
  details: stringType().optional(),
  price: stringType(),
  quantity: numberType(),
  units: stringType(),
  total: stringType()
});
var SubmitInvoiceItems$outboundSchema = objectType({
  resourceId: stringType().optional(),
  billingPlanId: stringType(),
  start: dateType().transform((v2) => v2.toISOString()).optional(),
  end: dateType().transform((v2) => v2.toISOString()).optional(),
  name: stringType(),
  details: stringType().optional(),
  price: stringType(),
  quantity: numberType(),
  units: stringType(),
  total: stringType()
});
var SubmitInvoiceItems$;
(function(SubmitInvoiceItems$2) {
  SubmitInvoiceItems$2.inboundSchema = SubmitInvoiceItems$inboundSchema;
  SubmitInvoiceItems$2.outboundSchema = SubmitInvoiceItems$outboundSchema;
})(SubmitInvoiceItems$ || (SubmitInvoiceItems$ = {}));
var SubmitInvoiceDiscounts$inboundSchema = objectType({
  resourceId: stringType().optional(),
  billingPlanId: stringType(),
  start: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
  end: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)).optional(),
  name: stringType(),
  details: stringType().optional(),
  amount: stringType()
});
var SubmitInvoiceDiscounts$outboundSchema = objectType({
  resourceId: stringType().optional(),
  billingPlanId: stringType(),
  start: dateType().transform((v2) => v2.toISOString()).optional(),
  end: dateType().transform((v2) => v2.toISOString()).optional(),
  name: stringType(),
  details: stringType().optional(),
  amount: stringType()
});
var SubmitInvoiceDiscounts$;
(function(SubmitInvoiceDiscounts$2) {
  SubmitInvoiceDiscounts$2.inboundSchema = SubmitInvoiceDiscounts$inboundSchema;
  SubmitInvoiceDiscounts$2.outboundSchema = SubmitInvoiceDiscounts$outboundSchema;
})(SubmitInvoiceDiscounts$ || (SubmitInvoiceDiscounts$ = {}));
var Result$inboundSchema = nativeEnumType(Result);
var Result$outboundSchema = Result$inboundSchema;
var Result$;
(function(Result$2) {
  Result$2.inboundSchema = Result$inboundSchema;
  Result$2.outboundSchema = Result$outboundSchema;
})(Result$ || (Result$ = {}));
var Test$inboundSchema = objectType({
  validate: booleanType().optional(),
  result: Result$inboundSchema.optional()
});
var Test$outboundSchema = objectType({
  validate: booleanType().optional(),
  result: Result$outboundSchema.optional()
});
var Test$;
(function(Test$2) {
  Test$2.inboundSchema = Test$inboundSchema;
  Test$2.outboundSchema = Test$outboundSchema;
})(Test$ || (Test$ = {}));
var SubmitInvoiceRequestBody$inboundSchema = objectType({
  externalId: stringType().optional(),
  invoiceDate: stringType().datetime({ offset: true }).transform((v2) => new Date(v2)),
  memo: stringType().optional(),
  period: lazyType(() => SubmitInvoicePeriod$inboundSchema),
  items: arrayType(lazyType(() => SubmitInvoiceItems$inboundSchema)),
  discounts: arrayType(lazyType(() => SubmitInvoiceDiscounts$inboundSchema)).optional(),
  test: lazyType(() => Test$inboundSchema).optional()
});
var SubmitInvoiceRequestBody$outboundSchema = objectType({
  externalId: stringType().optional(),
  invoiceDate: dateType().transform((v2) => v2.toISOString()),
  memo: stringType().optional(),
  period: lazyType(() => SubmitInvoicePeriod$outboundSchema),
  items: arrayType(lazyType(() => SubmitInvoiceItems$outboundSchema)),
  discounts: arrayType(lazyType(() => SubmitInvoiceDiscounts$outboundSchema)).optional(),
  test: lazyType(() => Test$outboundSchema).optional()
});
var SubmitInvoiceRequestBody$;
(function(SubmitInvoiceRequestBody$2) {
  SubmitInvoiceRequestBody$2.inboundSchema = SubmitInvoiceRequestBody$inboundSchema;
  SubmitInvoiceRequestBody$2.outboundSchema = SubmitInvoiceRequestBody$outboundSchema;
})(SubmitInvoiceRequestBody$ || (SubmitInvoiceRequestBody$ = {}));
var SubmitInvoiceRequest$inboundSchema = objectType({
  integrationConfigurationId: stringType(),
  RequestBody: lazyType(() => SubmitInvoiceRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var SubmitInvoiceRequest$outboundSchema = objectType({
  integrationConfigurationId: stringType(),
  requestBody: lazyType(() => SubmitInvoiceRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var SubmitInvoiceRequest$;
(function(SubmitInvoiceRequest$2) {
  SubmitInvoiceRequest$2.inboundSchema = SubmitInvoiceRequest$inboundSchema;
  SubmitInvoiceRequest$2.outboundSchema = SubmitInvoiceRequest$outboundSchema;
})(SubmitInvoiceRequest$ || (SubmitInvoiceRequest$ = {}));
var SubmitInvoiceResponseBody$inboundSchema = objectType({
  invoiceId: stringType().optional(),
  test: booleanType().optional(),
  validationErrors: arrayType(stringType()).optional()
});
var SubmitInvoiceResponseBody$outboundSchema = objectType({
  invoiceId: stringType().optional(),
  test: booleanType().optional(),
  validationErrors: arrayType(stringType()).optional()
});
var SubmitInvoiceResponseBody$;
(function(SubmitInvoiceResponseBody$2) {
  SubmitInvoiceResponseBody$2.inboundSchema = SubmitInvoiceResponseBody$inboundSchema;
  SubmitInvoiceResponseBody$2.outboundSchema = SubmitInvoiceResponseBody$outboundSchema;
})(SubmitInvoiceResponseBody$ || (SubmitInvoiceResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/marketplaceSubmitInvoice.js
async function marketplaceSubmitInvoice(client, request, options) {
  const parsed = safeParse(request, (value) => SubmitInvoiceRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/billing/invoices")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "submit-invoice",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, SubmitInvoiceResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/updateinvoiceop.js
var Action = {
  Refund: "refund"
};
var Action$inboundSchema = nativeEnumType(Action);
var Action$outboundSchema = Action$inboundSchema;
var Action$;
(function(Action$2) {
  Action$2.inboundSchema = Action$inboundSchema;
  Action$2.outboundSchema = Action$outboundSchema;
})(Action$ || (Action$ = {}));
var UpdateInvoiceRequestBody$inboundSchema = objectType({
  action: Action$inboundSchema,
  reason: stringType(),
  total: stringType()
});
var UpdateInvoiceRequestBody$outboundSchema = objectType({
  action: Action$outboundSchema,
  reason: stringType(),
  total: stringType()
});
var UpdateInvoiceRequestBody$;
(function(UpdateInvoiceRequestBody$2) {
  UpdateInvoiceRequestBody$2.inboundSchema = UpdateInvoiceRequestBody$inboundSchema;
  UpdateInvoiceRequestBody$2.outboundSchema = UpdateInvoiceRequestBody$outboundSchema;
})(UpdateInvoiceRequestBody$ || (UpdateInvoiceRequestBody$ = {}));
var UpdateInvoiceRequest$inboundSchema = objectType({
  integrationConfigurationId: stringType(),
  invoiceId: stringType(),
  RequestBody: lazyType(() => UpdateInvoiceRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var UpdateInvoiceRequest$outboundSchema = objectType({
  integrationConfigurationId: stringType(),
  invoiceId: stringType(),
  requestBody: lazyType(() => UpdateInvoiceRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var UpdateInvoiceRequest$;
(function(UpdateInvoiceRequest$2) {
  UpdateInvoiceRequest$2.inboundSchema = UpdateInvoiceRequest$inboundSchema;
  UpdateInvoiceRequest$2.outboundSchema = UpdateInvoiceRequest$outboundSchema;
})(UpdateInvoiceRequest$ || (UpdateInvoiceRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/marketplaceUpdateInvoice.js
async function marketplaceUpdateInvoice(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateInvoiceRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    invoiceId: encodeSimple("invoiceId", payload.invoiceId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/billing/invoices/{invoiceId}/actions")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "update-invoice",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/updateresourcesecretsop.js
var Secrets$inboundSchema = objectType({
  name: stringType(),
  value: stringType(),
  prefix: stringType().optional()
});
var Secrets$outboundSchema = objectType({
  name: stringType(),
  value: stringType(),
  prefix: stringType().optional()
});
var Secrets$;
(function(Secrets$2) {
  Secrets$2.inboundSchema = Secrets$inboundSchema;
  Secrets$2.outboundSchema = Secrets$outboundSchema;
})(Secrets$ || (Secrets$ = {}));
var UpdateResourceSecretsRequestBody$inboundSchema = objectType({
  secrets: arrayType(lazyType(() => Secrets$inboundSchema))
});
var UpdateResourceSecretsRequestBody$outboundSchema = objectType({
  secrets: arrayType(lazyType(() => Secrets$outboundSchema))
});
var UpdateResourceSecretsRequestBody$;
(function(UpdateResourceSecretsRequestBody$2) {
  UpdateResourceSecretsRequestBody$2.inboundSchema = UpdateResourceSecretsRequestBody$inboundSchema;
  UpdateResourceSecretsRequestBody$2.outboundSchema = UpdateResourceSecretsRequestBody$outboundSchema;
})(UpdateResourceSecretsRequestBody$ || (UpdateResourceSecretsRequestBody$ = {}));
var UpdateResourceSecretsRequest$inboundSchema = objectType({
  integrationConfigurationId: stringType(),
  integrationProductIdOrSlug: stringType(),
  resourceId: stringType(),
  RequestBody: lazyType(() => UpdateResourceSecretsRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var UpdateResourceSecretsRequest$outboundSchema = objectType({
  integrationConfigurationId: stringType(),
  integrationProductIdOrSlug: stringType(),
  resourceId: stringType(),
  requestBody: lazyType(() => UpdateResourceSecretsRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var UpdateResourceSecretsRequest$;
(function(UpdateResourceSecretsRequest$2) {
  UpdateResourceSecretsRequest$2.inboundSchema = UpdateResourceSecretsRequest$inboundSchema;
  UpdateResourceSecretsRequest$2.outboundSchema = UpdateResourceSecretsRequest$outboundSchema;
})(UpdateResourceSecretsRequest$ || (UpdateResourceSecretsRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/marketplaceUpdateResourceSecrets.js
async function marketplaceUpdateResourceSecrets(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateResourceSecretsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    integrationProductIdOrSlug: encodeSimple("integrationProductIdOrSlug", payload.integrationProductIdOrSlug, { explode: false, charEncoding: "percent" }),
    resourceId: encodeSimple("resourceId", payload.resourceId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/products/{integrationProductIdOrSlug}/resources/{resourceId}/secrets")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "update-resource-secrets",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PUT",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(201, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/updateresourcesecretsbyidop.js
var UpdateResourceSecretsByIdSecrets$inboundSchema = objectType({
  name: stringType(),
  value: stringType(),
  prefix: stringType().optional()
});
var UpdateResourceSecretsByIdSecrets$outboundSchema = objectType({
  name: stringType(),
  value: stringType(),
  prefix: stringType().optional()
});
var UpdateResourceSecretsByIdSecrets$;
(function(UpdateResourceSecretsByIdSecrets$2) {
  UpdateResourceSecretsByIdSecrets$2.inboundSchema = UpdateResourceSecretsByIdSecrets$inboundSchema;
  UpdateResourceSecretsByIdSecrets$2.outboundSchema = UpdateResourceSecretsByIdSecrets$outboundSchema;
})(UpdateResourceSecretsByIdSecrets$ || (UpdateResourceSecretsByIdSecrets$ = {}));
var UpdateResourceSecretsByIdRequestBody$inboundSchema = objectType({
  secrets: arrayType(lazyType(() => UpdateResourceSecretsByIdSecrets$inboundSchema))
});
var UpdateResourceSecretsByIdRequestBody$outboundSchema = objectType({
  secrets: arrayType(lazyType(() => UpdateResourceSecretsByIdSecrets$outboundSchema))
});
var UpdateResourceSecretsByIdRequestBody$;
(function(UpdateResourceSecretsByIdRequestBody$2) {
  UpdateResourceSecretsByIdRequestBody$2.inboundSchema = UpdateResourceSecretsByIdRequestBody$inboundSchema;
  UpdateResourceSecretsByIdRequestBody$2.outboundSchema = UpdateResourceSecretsByIdRequestBody$outboundSchema;
})(UpdateResourceSecretsByIdRequestBody$ || (UpdateResourceSecretsByIdRequestBody$ = {}));
var UpdateResourceSecretsByIdRequest$inboundSchema = objectType({
  integrationConfigurationId: stringType(),
  resourceId: stringType(),
  RequestBody: lazyType(() => UpdateResourceSecretsByIdRequestBody$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var UpdateResourceSecretsByIdRequest$outboundSchema = objectType({
  integrationConfigurationId: stringType(),
  resourceId: stringType(),
  requestBody: lazyType(() => UpdateResourceSecretsByIdRequestBody$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var UpdateResourceSecretsByIdRequest$;
(function(UpdateResourceSecretsByIdRequest$2) {
  UpdateResourceSecretsByIdRequest$2.inboundSchema = UpdateResourceSecretsByIdRequest$inboundSchema;
  UpdateResourceSecretsByIdRequest$2.outboundSchema = UpdateResourceSecretsByIdRequest$outboundSchema;
})(UpdateResourceSecretsByIdRequest$ || (UpdateResourceSecretsByIdRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/marketplaceUpdateResourceSecretsById.js
async function marketplaceUpdateResourceSecretsById(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateResourceSecretsByIdRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    integrationConfigurationId: encodeSimple("integrationConfigurationId", payload.integrationConfigurationId, { explode: false, charEncoding: "percent" }),
    resourceId: encodeSimple("resourceId", payload.resourceId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/installations/{integrationConfigurationId}/resources/{resourceId}/secrets")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "update-resource-secrets-by-id",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PUT",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(201, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/marketplace.js
class Marketplace extends ClientSDK {
  async getAccountInfo(request, options) {
    return unwrapAsync(marketplaceGetAccountInfo(this, request, options));
  }
  async getMember(request, options) {
    return unwrapAsync(marketplaceGetMember(this, request, options));
  }
  async createEvent(request, options) {
    return unwrapAsync(marketplaceCreateEvent(this, request, options));
  }
  async submitBillingData(request, options) {
    return unwrapAsync(marketplaceSubmitBillingData(this, request, options));
  }
  async submitInvoice(request, options) {
    return unwrapAsync(marketplaceSubmitInvoice(this, request, options));
  }
  async getInvoice(request, options) {
    return unwrapAsync(marketplaceGetInvoice(this, request, options));
  }
  async updateInvoice(request, options) {
    return unwrapAsync(marketplaceUpdateInvoice(this, request, options));
  }
  async updateResourceSecrets(request, options) {
    return unwrapAsync(marketplaceUpdateResourceSecrets(this, request, options));
  }
  async updateResourceSecretsById(request, options) {
    return unwrapAsync(marketplaceUpdateResourceSecretsById(this, request, options));
  }
  async exchangeSsoToken(request, options) {
    return unwrapAsync(marketplaceExchangeSsoToken(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/addprojectmemberop.js
var AddProjectMemberRequestBodyProjectMembersRole = {
  Admin: "ADMIN",
  ProjectDeveloper: "PROJECT_DEVELOPER",
  ProjectViewer: "PROJECT_VIEWER"
};
var AddProjectMemberRequestBodyRole = {
  Admin: "ADMIN",
  ProjectDeveloper: "PROJECT_DEVELOPER",
  ProjectViewer: "PROJECT_VIEWER"
};
var RequestBodyRole = {
  Admin: "ADMIN",
  ProjectDeveloper: "PROJECT_DEVELOPER",
  ProjectViewer: "PROJECT_VIEWER"
};
var AddProjectMemberRequestBodyProjectMembersRole$inboundSchema = nativeEnumType(AddProjectMemberRequestBodyProjectMembersRole);
var AddProjectMemberRequestBodyProjectMembersRole$outboundSchema = AddProjectMemberRequestBodyProjectMembersRole$inboundSchema;
var AddProjectMemberRequestBodyProjectMembersRole$;
(function(AddProjectMemberRequestBodyProjectMembersRole$2) {
  AddProjectMemberRequestBodyProjectMembersRole$2.inboundSchema = AddProjectMemberRequestBodyProjectMembersRole$inboundSchema;
  AddProjectMemberRequestBodyProjectMembersRole$2.outboundSchema = AddProjectMemberRequestBodyProjectMembersRole$outboundSchema;
})(AddProjectMemberRequestBodyProjectMembersRole$ || (AddProjectMemberRequestBodyProjectMembersRole$ = {}));
var AddProjectMemberRequestBody3$inboundSchema = objectType({
  uid: stringType().optional(),
  username: stringType().optional(),
  email: stringType(),
  role: AddProjectMemberRequestBodyProjectMembersRole$inboundSchema
});
var AddProjectMemberRequestBody3$outboundSchema = objectType({
  uid: stringType().optional(),
  username: stringType().optional(),
  email: stringType(),
  role: AddProjectMemberRequestBodyProjectMembersRole$outboundSchema
});
var AddProjectMemberRequestBody3$;
(function(AddProjectMemberRequestBody3$2) {
  AddProjectMemberRequestBody3$2.inboundSchema = AddProjectMemberRequestBody3$inboundSchema;
  AddProjectMemberRequestBody3$2.outboundSchema = AddProjectMemberRequestBody3$outboundSchema;
})(AddProjectMemberRequestBody3$ || (AddProjectMemberRequestBody3$ = {}));
var AddProjectMemberRequestBodyRole$inboundSchema = nativeEnumType(AddProjectMemberRequestBodyRole);
var AddProjectMemberRequestBodyRole$outboundSchema = AddProjectMemberRequestBodyRole$inboundSchema;
var AddProjectMemberRequestBodyRole$;
(function(AddProjectMemberRequestBodyRole$2) {
  AddProjectMemberRequestBodyRole$2.inboundSchema = AddProjectMemberRequestBodyRole$inboundSchema;
  AddProjectMemberRequestBodyRole$2.outboundSchema = AddProjectMemberRequestBodyRole$outboundSchema;
})(AddProjectMemberRequestBodyRole$ || (AddProjectMemberRequestBodyRole$ = {}));
var AddProjectMemberRequestBody2$inboundSchema = objectType({
  uid: stringType().optional(),
  username: stringType(),
  email: stringType().optional(),
  role: AddProjectMemberRequestBodyRole$inboundSchema
});
var AddProjectMemberRequestBody2$outboundSchema = objectType({
  uid: stringType().optional(),
  username: stringType(),
  email: stringType().optional(),
  role: AddProjectMemberRequestBodyRole$outboundSchema
});
var AddProjectMemberRequestBody2$;
(function(AddProjectMemberRequestBody2$2) {
  AddProjectMemberRequestBody2$2.inboundSchema = AddProjectMemberRequestBody2$inboundSchema;
  AddProjectMemberRequestBody2$2.outboundSchema = AddProjectMemberRequestBody2$outboundSchema;
})(AddProjectMemberRequestBody2$ || (AddProjectMemberRequestBody2$ = {}));
var RequestBodyRole$inboundSchema = nativeEnumType(RequestBodyRole);
var RequestBodyRole$outboundSchema = RequestBodyRole$inboundSchema;
var RequestBodyRole$;
(function(RequestBodyRole$2) {
  RequestBodyRole$2.inboundSchema = RequestBodyRole$inboundSchema;
  RequestBodyRole$2.outboundSchema = RequestBodyRole$outboundSchema;
})(RequestBodyRole$ || (RequestBodyRole$ = {}));
var AddProjectMemberRequestBody1$inboundSchema = objectType({
  uid: stringType(),
  username: stringType().optional(),
  email: stringType().optional(),
  role: RequestBodyRole$inboundSchema
});
var AddProjectMemberRequestBody1$outboundSchema = objectType({
  uid: stringType(),
  username: stringType().optional(),
  email: stringType().optional(),
  role: RequestBodyRole$outboundSchema
});
var AddProjectMemberRequestBody1$;
(function(AddProjectMemberRequestBody1$2) {
  AddProjectMemberRequestBody1$2.inboundSchema = AddProjectMemberRequestBody1$inboundSchema;
  AddProjectMemberRequestBody1$2.outboundSchema = AddProjectMemberRequestBody1$outboundSchema;
})(AddProjectMemberRequestBody1$ || (AddProjectMemberRequestBody1$ = {}));
var AddProjectMemberRequestBody$inboundSchema = unionType([
  lazyType(() => AddProjectMemberRequestBody1$inboundSchema),
  lazyType(() => AddProjectMemberRequestBody2$inboundSchema),
  lazyType(() => AddProjectMemberRequestBody3$inboundSchema)
]);
var AddProjectMemberRequestBody$outboundSchema = unionType([
  lazyType(() => AddProjectMemberRequestBody1$outboundSchema),
  lazyType(() => AddProjectMemberRequestBody2$outboundSchema),
  lazyType(() => AddProjectMemberRequestBody3$outboundSchema)
]);
var AddProjectMemberRequestBody$;
(function(AddProjectMemberRequestBody$2) {
  AddProjectMemberRequestBody$2.inboundSchema = AddProjectMemberRequestBody$inboundSchema;
  AddProjectMemberRequestBody$2.outboundSchema = AddProjectMemberRequestBody$outboundSchema;
})(AddProjectMemberRequestBody$ || (AddProjectMemberRequestBody$ = {}));
var AddProjectMemberRequest$inboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: unionType([
    lazyType(() => AddProjectMemberRequestBody1$inboundSchema),
    lazyType(() => AddProjectMemberRequestBody2$inboundSchema),
    lazyType(() => AddProjectMemberRequestBody3$inboundSchema)
  ])
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var AddProjectMemberRequest$outboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: unionType([
    lazyType(() => AddProjectMemberRequestBody1$outboundSchema),
    lazyType(() => AddProjectMemberRequestBody2$outboundSchema),
    lazyType(() => AddProjectMemberRequestBody3$outboundSchema)
  ])
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var AddProjectMemberRequest$;
(function(AddProjectMemberRequest$2) {
  AddProjectMemberRequest$2.inboundSchema = AddProjectMemberRequest$inboundSchema;
  AddProjectMemberRequest$2.outboundSchema = AddProjectMemberRequest$outboundSchema;
})(AddProjectMemberRequest$ || (AddProjectMemberRequest$ = {}));
var AddProjectMemberResponseBody$inboundSchema = objectType({
  id: stringType()
});
var AddProjectMemberResponseBody$outboundSchema = objectType({
  id: stringType()
});
var AddProjectMemberResponseBody$;
(function(AddProjectMemberResponseBody$2) {
  AddProjectMemberResponseBody$2.inboundSchema = AddProjectMemberResponseBody$inboundSchema;
  AddProjectMemberResponseBody$2.outboundSchema = AddProjectMemberResponseBody$outboundSchema;
})(AddProjectMemberResponseBody$ || (AddProjectMemberResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectMembersAddProjectMember.js
async function projectMembersAddProjectMember(client, request, options) {
  const parsed = safeParse(request, (value) => AddProjectMemberRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/projects/{idOrName}/members")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "addProjectMember",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, AddProjectMemberResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getprojectmembersop.js
var GetProjectMembersResponseBodyRole = {
  Admin: "ADMIN",
  ProjectDeveloper: "PROJECT_DEVELOPER",
  ProjectViewer: "PROJECT_VIEWER"
};
var ComputedProjectRole = {
  Admin: "ADMIN",
  ProjectDeveloper: "PROJECT_DEVELOPER",
  ProjectViewer: "PROJECT_VIEWER"
};
var ResponseBodyTeamRole = {
  Owner: "OWNER",
  Member: "MEMBER",
  Developer: "DEVELOPER",
  Billing: "BILLING",
  Viewer: "VIEWER",
  Contributor: "CONTRIBUTOR"
};
var GetProjectMembersRequest$inboundSchema = objectType({
  idOrName: stringType(),
  limit: numberType().int().optional(),
  since: numberType().int().optional(),
  until: numberType().int().optional(),
  search: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetProjectMembersRequest$outboundSchema = objectType({
  idOrName: stringType(),
  limit: numberType().int().optional(),
  since: numberType().int().optional(),
  until: numberType().int().optional(),
  search: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetProjectMembersRequest$;
(function(GetProjectMembersRequest$2) {
  GetProjectMembersRequest$2.inboundSchema = GetProjectMembersRequest$inboundSchema;
  GetProjectMembersRequest$2.outboundSchema = GetProjectMembersRequest$outboundSchema;
})(GetProjectMembersRequest$ || (GetProjectMembersRequest$ = {}));
var GetProjectMembersResponseBodyRole$inboundSchema = nativeEnumType(GetProjectMembersResponseBodyRole);
var GetProjectMembersResponseBodyRole$outboundSchema = GetProjectMembersResponseBodyRole$inboundSchema;
var GetProjectMembersResponseBodyRole$;
(function(GetProjectMembersResponseBodyRole$2) {
  GetProjectMembersResponseBodyRole$2.inboundSchema = GetProjectMembersResponseBodyRole$inboundSchema;
  GetProjectMembersResponseBodyRole$2.outboundSchema = GetProjectMembersResponseBodyRole$outboundSchema;
})(GetProjectMembersResponseBodyRole$ || (GetProjectMembersResponseBodyRole$ = {}));
var ComputedProjectRole$inboundSchema = nativeEnumType(ComputedProjectRole);
var ComputedProjectRole$outboundSchema = ComputedProjectRole$inboundSchema;
var ComputedProjectRole$;
(function(ComputedProjectRole$2) {
  ComputedProjectRole$2.inboundSchema = ComputedProjectRole$inboundSchema;
  ComputedProjectRole$2.outboundSchema = ComputedProjectRole$outboundSchema;
})(ComputedProjectRole$ || (ComputedProjectRole$ = {}));
var ResponseBodyTeamRole$inboundSchema = nativeEnumType(ResponseBodyTeamRole);
var ResponseBodyTeamRole$outboundSchema = ResponseBodyTeamRole$inboundSchema;
var ResponseBodyTeamRole$;
(function(ResponseBodyTeamRole$2) {
  ResponseBodyTeamRole$2.inboundSchema = ResponseBodyTeamRole$inboundSchema;
  ResponseBodyTeamRole$2.outboundSchema = ResponseBodyTeamRole$outboundSchema;
})(ResponseBodyTeamRole$ || (ResponseBodyTeamRole$ = {}));
var ResponseBodyMembers$inboundSchema = objectType({
  avatar: stringType().optional(),
  email: stringType(),
  role: GetProjectMembersResponseBodyRole$inboundSchema,
  computedProjectRole: ComputedProjectRole$inboundSchema,
  uid: stringType(),
  username: stringType(),
  name: stringType().optional(),
  createdAt: numberType(),
  teamRole: ResponseBodyTeamRole$inboundSchema
});
var ResponseBodyMembers$outboundSchema = objectType({
  avatar: stringType().optional(),
  email: stringType(),
  role: GetProjectMembersResponseBodyRole$outboundSchema,
  computedProjectRole: ComputedProjectRole$outboundSchema,
  uid: stringType(),
  username: stringType(),
  name: stringType().optional(),
  createdAt: numberType(),
  teamRole: ResponseBodyTeamRole$outboundSchema
});
var ResponseBodyMembers$;
(function(ResponseBodyMembers$2) {
  ResponseBodyMembers$2.inboundSchema = ResponseBodyMembers$inboundSchema;
  ResponseBodyMembers$2.outboundSchema = ResponseBodyMembers$outboundSchema;
})(ResponseBodyMembers$ || (ResponseBodyMembers$ = {}));
var GetProjectMembersResponseBodyPagination$inboundSchema = objectType({
  hasNext: booleanType(),
  count: numberType(),
  next: nullableType(numberType()),
  prev: nullableType(numberType())
});
var GetProjectMembersResponseBodyPagination$outboundSchema = objectType({
  hasNext: booleanType(),
  count: numberType(),
  next: nullableType(numberType()),
  prev: nullableType(numberType())
});
var GetProjectMembersResponseBodyPagination$;
(function(GetProjectMembersResponseBodyPagination$2) {
  GetProjectMembersResponseBodyPagination$2.inboundSchema = GetProjectMembersResponseBodyPagination$inboundSchema;
  GetProjectMembersResponseBodyPagination$2.outboundSchema = GetProjectMembersResponseBodyPagination$outboundSchema;
})(GetProjectMembersResponseBodyPagination$ || (GetProjectMembersResponseBodyPagination$ = {}));
var GetProjectMembersResponseBody2$inboundSchema = objectType({
  members: arrayType(lazyType(() => ResponseBodyMembers$inboundSchema)),
  pagination: lazyType(() => GetProjectMembersResponseBodyPagination$inboundSchema)
});
var GetProjectMembersResponseBody2$outboundSchema = objectType({
  members: arrayType(lazyType(() => ResponseBodyMembers$outboundSchema)),
  pagination: lazyType(() => GetProjectMembersResponseBodyPagination$outboundSchema)
});
var GetProjectMembersResponseBody2$;
(function(GetProjectMembersResponseBody2$2) {
  GetProjectMembersResponseBody2$2.inboundSchema = GetProjectMembersResponseBody2$inboundSchema;
  GetProjectMembersResponseBody2$2.outboundSchema = GetProjectMembersResponseBody2$outboundSchema;
})(GetProjectMembersResponseBody2$ || (GetProjectMembersResponseBody2$ = {}));
var GetProjectMembersResponseBody1$inboundSchema = objectType({});
var GetProjectMembersResponseBody1$outboundSchema = objectType({});
var GetProjectMembersResponseBody1$;
(function(GetProjectMembersResponseBody1$2) {
  GetProjectMembersResponseBody1$2.inboundSchema = GetProjectMembersResponseBody1$inboundSchema;
  GetProjectMembersResponseBody1$2.outboundSchema = GetProjectMembersResponseBody1$outboundSchema;
})(GetProjectMembersResponseBody1$ || (GetProjectMembersResponseBody1$ = {}));
var GetProjectMembersResponseBody$inboundSchema = unionType([
  lazyType(() => GetProjectMembersResponseBody1$inboundSchema),
  lazyType(() => GetProjectMembersResponseBody2$inboundSchema)
]);
var GetProjectMembersResponseBody$outboundSchema = unionType([
  lazyType(() => GetProjectMembersResponseBody1$outboundSchema),
  lazyType(() => GetProjectMembersResponseBody2$outboundSchema)
]);
var GetProjectMembersResponseBody$;
(function(GetProjectMembersResponseBody$2) {
  GetProjectMembersResponseBody$2.inboundSchema = GetProjectMembersResponseBody$inboundSchema;
  GetProjectMembersResponseBody$2.outboundSchema = GetProjectMembersResponseBody$outboundSchema;
})(GetProjectMembersResponseBody$ || (GetProjectMembersResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectMembersGetProjectMembers.js
async function projectMembersGetProjectMembers(client, request, options) {
  const parsed = safeParse(request, (value) => GetProjectMembersRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/projects/{idOrName}/members")(pathParams);
  const query = encodeFormQuery({
    limit: payload.limit,
    search: payload.search,
    since: payload.since,
    slug: payload.slug,
    teamId: payload.teamId,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getProjectMembers",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetProjectMembersResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/removeprojectmemberop.js
var RemoveProjectMemberRequest$inboundSchema = objectType({
  idOrName: stringType(),
  uid: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var RemoveProjectMemberRequest$outboundSchema = objectType({
  idOrName: stringType(),
  uid: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var RemoveProjectMemberRequest$;
(function(RemoveProjectMemberRequest$2) {
  RemoveProjectMemberRequest$2.inboundSchema = RemoveProjectMemberRequest$inboundSchema;
  RemoveProjectMemberRequest$2.outboundSchema = RemoveProjectMemberRequest$outboundSchema;
})(RemoveProjectMemberRequest$ || (RemoveProjectMemberRequest$ = {}));
var RemoveProjectMemberResponseBody$inboundSchema = objectType({
  id: stringType()
});
var RemoveProjectMemberResponseBody$outboundSchema = objectType({
  id: stringType()
});
var RemoveProjectMemberResponseBody$;
(function(RemoveProjectMemberResponseBody$2) {
  RemoveProjectMemberResponseBody$2.inboundSchema = RemoveProjectMemberResponseBody$inboundSchema;
  RemoveProjectMemberResponseBody$2.outboundSchema = RemoveProjectMemberResponseBody$outboundSchema;
})(RemoveProjectMemberResponseBody$ || (RemoveProjectMemberResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectMembersRemoveProjectMember.js
async function projectMembersRemoveProjectMember(client, request, options) {
  const parsed = safeParse(request, (value) => RemoveProjectMemberRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    }),
    uid: encodeSimple("uid", payload.uid, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/projects/{idOrName}/members/{uid}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "removeProjectMember",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RemoveProjectMemberResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/projectmembers.js
class ProjectMembers extends ClientSDK {
  async getProjectMembers(request, options) {
    return unwrapAsync(projectMembersGetProjectMembers(this, request, options));
  }
  async addProjectMember(request, options) {
    return unwrapAsync(projectMembersAddProjectMember(this, request, options));
  }
  async removeProjectMember(request, options) {
    return unwrapAsync(projectMembersRemoveProjectMember(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/acceptprojecttransferrequestop.js
var PaidFeatures$inboundSchema = objectType({
  concurrentBuilds: nullableType(numberType().int()).optional(),
  passwordProtection: nullableType(booleanType()).optional(),
  previewDeploymentSuffix: nullableType(booleanType()).optional()
});
var PaidFeatures$outboundSchema = objectType({
  concurrentBuilds: nullableType(numberType().int()).optional(),
  passwordProtection: nullableType(booleanType()).optional(),
  previewDeploymentSuffix: nullableType(booleanType()).optional()
});
var PaidFeatures$;
(function(PaidFeatures$2) {
  PaidFeatures$2.inboundSchema = PaidFeatures$inboundSchema;
  PaidFeatures$2.outboundSchema = PaidFeatures$outboundSchema;
})(PaidFeatures$ || (PaidFeatures$ = {}));
var AcceptProjectTransferRequestRequestBody$inboundSchema = objectType({
  newProjectName: stringType().optional(),
  paidFeatures: lazyType(() => PaidFeatures$inboundSchema).optional()
});
var AcceptProjectTransferRequestRequestBody$outboundSchema = objectType({
  newProjectName: stringType().optional(),
  paidFeatures: lazyType(() => PaidFeatures$outboundSchema).optional()
});
var AcceptProjectTransferRequestRequestBody$;
(function(AcceptProjectTransferRequestRequestBody$2) {
  AcceptProjectTransferRequestRequestBody$2.inboundSchema = AcceptProjectTransferRequestRequestBody$inboundSchema;
  AcceptProjectTransferRequestRequestBody$2.outboundSchema = AcceptProjectTransferRequestRequestBody$outboundSchema;
})(AcceptProjectTransferRequestRequestBody$ || (AcceptProjectTransferRequestRequestBody$ = {}));
var AcceptProjectTransferRequestRequest$inboundSchema = objectType({
  code: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => AcceptProjectTransferRequestRequestBody$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var AcceptProjectTransferRequestRequest$outboundSchema = objectType({
  code: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => AcceptProjectTransferRequestRequestBody$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var AcceptProjectTransferRequestRequest$;
(function(AcceptProjectTransferRequestRequest$2) {
  AcceptProjectTransferRequestRequest$2.inboundSchema = AcceptProjectTransferRequestRequest$inboundSchema;
  AcceptProjectTransferRequestRequest$2.outboundSchema = AcceptProjectTransferRequestRequest$outboundSchema;
})(AcceptProjectTransferRequestRequest$ || (AcceptProjectTransferRequestRequest$ = {}));
var AcceptProjectTransferRequestResponseBody$inboundSchema = objectType({});
var AcceptProjectTransferRequestResponseBody$outboundSchema = objectType({});
var AcceptProjectTransferRequestResponseBody$;
(function(AcceptProjectTransferRequestResponseBody$2) {
  AcceptProjectTransferRequestResponseBody$2.inboundSchema = AcceptProjectTransferRequestResponseBody$inboundSchema;
  AcceptProjectTransferRequestResponseBody$2.outboundSchema = AcceptProjectTransferRequestResponseBody$outboundSchema;
})(AcceptProjectTransferRequestResponseBody$ || (AcceptProjectTransferRequestResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsAcceptProjectTransferRequest.js
async function projectsAcceptProjectTransferRequest(client, request, options) {
  const parsed = safeParse(request, (value) => AcceptProjectTransferRequestRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    code: encodeSimple("code", payload.code, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/projects/transfer-request/{code}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "acceptProjectTransferRequest",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PUT",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(202, AcceptProjectTransferRequestResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/addprojectdomainop.js
var AddProjectDomainRedirectStatusCode = {
  ThreeHundredAndOne: 301,
  ThreeHundredAndTwo: 302,
  ThreeHundredAndSeven: 307,
  ThreeHundredAndEight: 308
};
var AddProjectDomainRedirectStatusCode$inboundSchema = nativeEnumType(AddProjectDomainRedirectStatusCode);
var AddProjectDomainRedirectStatusCode$outboundSchema = AddProjectDomainRedirectStatusCode$inboundSchema;
var AddProjectDomainRedirectStatusCode$;
(function(AddProjectDomainRedirectStatusCode$2) {
  AddProjectDomainRedirectStatusCode$2.inboundSchema = AddProjectDomainRedirectStatusCode$inboundSchema;
  AddProjectDomainRedirectStatusCode$2.outboundSchema = AddProjectDomainRedirectStatusCode$outboundSchema;
})(AddProjectDomainRedirectStatusCode$ || (AddProjectDomainRedirectStatusCode$ = {}));
var AddProjectDomainRequestBody$inboundSchema = objectType({
  name: stringType(),
  gitBranch: nullableType(stringType()).optional(),
  customEnvironmentId: stringType().optional(),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(AddProjectDomainRedirectStatusCode$inboundSchema).optional()
});
var AddProjectDomainRequestBody$outboundSchema = objectType({
  name: stringType(),
  gitBranch: nullableType(stringType()).optional(),
  customEnvironmentId: stringType().optional(),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(AddProjectDomainRedirectStatusCode$outboundSchema).optional()
});
var AddProjectDomainRequestBody$;
(function(AddProjectDomainRequestBody$2) {
  AddProjectDomainRequestBody$2.inboundSchema = AddProjectDomainRequestBody$inboundSchema;
  AddProjectDomainRequestBody$2.outboundSchema = AddProjectDomainRequestBody$outboundSchema;
})(AddProjectDomainRequestBody$ || (AddProjectDomainRequestBody$ = {}));
var AddProjectDomainRequest$inboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => AddProjectDomainRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var AddProjectDomainRequest$outboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => AddProjectDomainRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var AddProjectDomainRequest$;
(function(AddProjectDomainRequest$2) {
  AddProjectDomainRequest$2.inboundSchema = AddProjectDomainRequest$inboundSchema;
  AddProjectDomainRequest$2.outboundSchema = AddProjectDomainRequest$outboundSchema;
})(AddProjectDomainRequest$ || (AddProjectDomainRequest$ = {}));
var AddProjectDomainVerification$inboundSchema = objectType({
  type: stringType(),
  domain: stringType(),
  value: stringType(),
  reason: stringType()
});
var AddProjectDomainVerification$outboundSchema = objectType({
  type: stringType(),
  domain: stringType(),
  value: stringType(),
  reason: stringType()
});
var AddProjectDomainVerification$;
(function(AddProjectDomainVerification$2) {
  AddProjectDomainVerification$2.inboundSchema = AddProjectDomainVerification$inboundSchema;
  AddProjectDomainVerification$2.outboundSchema = AddProjectDomainVerification$outboundSchema;
})(AddProjectDomainVerification$ || (AddProjectDomainVerification$ = {}));
var AddProjectDomainResponseBody$inboundSchema = objectType({
  name: stringType(),
  apexName: stringType(),
  projectId: stringType(),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(numberType()).optional(),
  gitBranch: nullableType(stringType()).optional(),
  customEnvironmentId: nullableType(stringType()).optional(),
  updatedAt: numberType().optional(),
  createdAt: numberType().optional(),
  verified: booleanType(),
  verification: arrayType(lazyType(() => AddProjectDomainVerification$inboundSchema)).optional()
});
var AddProjectDomainResponseBody$outboundSchema = objectType({
  name: stringType(),
  apexName: stringType(),
  projectId: stringType(),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(numberType()).optional(),
  gitBranch: nullableType(stringType()).optional(),
  customEnvironmentId: nullableType(stringType()).optional(),
  updatedAt: numberType().optional(),
  createdAt: numberType().optional(),
  verified: booleanType(),
  verification: arrayType(lazyType(() => AddProjectDomainVerification$outboundSchema)).optional()
});
var AddProjectDomainResponseBody$;
(function(AddProjectDomainResponseBody$2) {
  AddProjectDomainResponseBody$2.inboundSchema = AddProjectDomainResponseBody$inboundSchema;
  AddProjectDomainResponseBody$2.outboundSchema = AddProjectDomainResponseBody$outboundSchema;
})(AddProjectDomainResponseBody$ || (AddProjectDomainResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsAddProjectDomain.js
async function projectsAddProjectDomain(client, request, options) {
  const parsed = safeParse(request, (value) => AddProjectDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v10/projects/{idOrName}/domains")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "addProjectDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, AddProjectDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/aclaction.js
var ACLAction = {
  Create: "create",
  Delete: "delete",
  Read: "read",
  Update: "update",
  List: "list"
};
var ACLAction$inboundSchema = nativeEnumType(ACLAction);
var ACLAction$outboundSchema = ACLAction$inboundSchema;
var ACLAction$;
(function(ACLAction$2) {
  ACLAction$2.inboundSchema = ACLAction$inboundSchema;
  ACLAction$2.outboundSchema = ACLAction$outboundSchema;
})(ACLAction$ || (ACLAction$ = {}));

// node_modules/@vercel/sdk/esm/models/createprojectop.js
var Target2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var Target1 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var CreateProjectType = {
  System: "system",
  Secret: "secret",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive"
};
var CreateProjectFramework = {
  Blitzjs: "blitzjs",
  Nextjs: "nextjs",
  Gatsby: "gatsby",
  Remix: "remix",
  Astro: "astro",
  Hexo: "hexo",
  Eleventy: "eleventy",
  Docusaurus2: "docusaurus-2",
  Docusaurus: "docusaurus",
  Preact: "preact",
  Solidstart1: "solidstart-1",
  Solidstart: "solidstart",
  Dojo: "dojo",
  Ember: "ember",
  Vue: "vue",
  Scully: "scully",
  IonicAngular: "ionic-angular",
  Angular: "angular",
  Polymer: "polymer",
  Svelte: "svelte",
  Sveltekit: "sveltekit",
  Sveltekit1: "sveltekit-1",
  IonicReact: "ionic-react",
  CreateReactApp: "create-react-app",
  Gridsome: "gridsome",
  Umijs: "umijs",
  Sapper: "sapper",
  Saber: "saber",
  Stencil: "stencil",
  Nuxtjs: "nuxtjs",
  Redwoodjs: "redwoodjs",
  Hugo: "hugo",
  Jekyll: "jekyll",
  Brunch: "brunch",
  Middleman: "middleman",
  Zola: "zola",
  Hydrogen: "hydrogen",
  Vite: "vite",
  Vitepress: "vitepress",
  Vuepress: "vuepress",
  Parcel: "parcel",
  Fasthtml: "fasthtml",
  SanityV3: "sanity-v3",
  Sanity: "sanity",
  Storybook: "storybook"
};
var CreateProjectProjectsType = {
  Github: "github",
  Gitlab: "gitlab",
  Bitbucket: "bitbucket"
};
var IssuerMode = {
  Team: "team",
  Global: "global"
};
var CreateProjectTarget2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var CreateProjectProjectsResponseType = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret"
};
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type = {
  FlagsConnectionString: "flags-connection-string"
};
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type = {
  IntegrationStoreSecret: "integration-store-secret"
};
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type = {
  PostgresUrlNoSsl: "postgres-url-no-ssl"
};
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type = {
  PostgresDatabase: "postgres-database"
};
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type = {
  PostgresPassword: "postgres-password"
};
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type = {
  PostgresHost: "postgres-host"
};
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type = {
  PostgresUser: "postgres-user"
};
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type = {
  PostgresPrismaUrl: "postgres-prisma-url"
};
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType = {
  PostgresUrlNonPooling: "postgres-url-non-pooling"
};
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType = {
  PostgresUrl: "postgres-url"
};
var CreateProjectContentHintProjectsResponse200ApplicationJSONType = {
  BlobReadWriteToken: "blob-read-write-token"
};
var CreateProjectContentHintProjectsResponse200Type = {
  RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
};
var CreateProjectContentHintProjectsResponseType = {
  RedisRestApiToken: "redis-rest-api-token"
};
var CreateProjectContentHintProjectsType = {
  RedisRestApiUrl: "redis-rest-api-url"
};
var CreateProjectContentHintType = {
  RedisUrl: "redis-url"
};
var CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType = {
  FlagsSecret: "flags-secret"
};
var CreateProjectProjectsFramework = {
  Blitzjs: "blitzjs",
  Nextjs: "nextjs",
  Gatsby: "gatsby",
  Remix: "remix",
  Astro: "astro",
  Hexo: "hexo",
  Eleventy: "eleventy",
  Docusaurus2: "docusaurus-2",
  Docusaurus: "docusaurus",
  Preact: "preact",
  Solidstart1: "solidstart-1",
  Solidstart: "solidstart",
  Dojo: "dojo",
  Ember: "ember",
  Vue: "vue",
  Scully: "scully",
  IonicAngular: "ionic-angular",
  Angular: "angular",
  Polymer: "polymer",
  Svelte: "svelte",
  Sveltekit: "sveltekit",
  Sveltekit1: "sveltekit-1",
  IonicReact: "ionic-react",
  CreateReactApp: "create-react-app",
  Gridsome: "gridsome",
  Umijs: "umijs",
  Sapper: "sapper",
  Saber: "saber",
  Stencil: "stencil",
  Nuxtjs: "nuxtjs",
  Redwoodjs: "redwoodjs",
  Hugo: "hugo",
  Jekyll: "jekyll",
  Brunch: "brunch",
  Middleman: "middleman",
  Zola: "zola",
  Hydrogen: "hydrogen",
  Vite: "vite",
  Vitepress: "vitepress",
  Vuepress: "vuepress",
  Parcel: "parcel",
  Fasthtml: "fasthtml",
  SanityV3: "sanity-v3",
  Sanity: "sanity",
  Storybook: "storybook"
};
var CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType = {
  EndsWith: "endsWith",
  StartsWith: "startsWith",
  Equals: "equals"
};
var CreateProjectChecksConclusion = {
  Succeeded: "succeeded",
  Failed: "failed",
  Skipped: "skipped",
  Canceled: "canceled"
};
var CreateProjectChecksState = {
  Registered: "registered",
  Running: "running",
  Completed: "completed"
};
var CreateProjectPlan = {
  Pro: "pro",
  Enterprise: "enterprise",
  Hobby: "hobby"
};
var CreateProjectReadyState = {
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Queued: "QUEUED",
  Ready: "READY",
  Canceled: "CANCELED"
};
var CreateProjectReadySubstate = {
  Staged: "STAGED",
  Promoted: "PROMOTED"
};
var CreateProjectProjectsResponse200Type = {
  Lambdas: "LAMBDAS"
};
var CreateProjectLinkProjectsResponseType = {
  Bitbucket: "bitbucket"
};
var CreateProjectLinkProjectsType = {
  Gitlab: "gitlab"
};
var CreateProjectLinkType = {
  Github: "github"
};
var CreateProjectNodeVersion = {
  TwentyTwoX: "22.x",
  TwentyX: "20.x",
  EighteenX: "18.x",
  SixteenX: "16.x",
  FourteenX: "14.x",
  TwelveX: "12.x",
  TenX: "10.x",
  Eight10X: "8.10.x"
};
var CreateProjectFunctionDefaultMemoryType = {
  StandardLegacy: "standard_legacy",
  Standard: "standard",
  Performance: "performance"
};
var CreateProjectDeploymentType = {
  Preview: "preview",
  All: "all",
  ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
};
var CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType = {
  EndsWith: "endsWith",
  StartsWith: "startsWith",
  Equals: "equals"
};
var CreateProjectProjectsChecksConclusion = {
  Succeeded: "succeeded",
  Failed: "failed",
  Skipped: "skipped",
  Canceled: "canceled"
};
var CreateProjectProjectsChecksState = {
  Registered: "registered",
  Running: "running",
  Completed: "completed"
};
var CreateProjectProjectsPlan = {
  Pro: "pro",
  Enterprise: "enterprise",
  Hobby: "hobby"
};
var CreateProjectProjectsReadyState = {
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Queued: "QUEUED",
  Ready: "READY",
  Canceled: "CANCELED"
};
var CreateProjectProjectsReadySubstate = {
  Staged: "STAGED",
  Promoted: "PROMOTED"
};
var CreateProjectProjectsResponse200ApplicationJSONType = {
  Lambdas: "LAMBDAS"
};
var CreateProjectJobStatus = {
  Succeeded: "succeeded",
  Failed: "failed",
  Skipped: "skipped",
  Pending: "pending",
  InProgress: "in-progress"
};
var CreateProjectProjectsResponse200ApplicationJSONResponseBodyType = {
  Promote: "promote",
  Rollback: "rollback"
};
var CreateProjectScope = {
  AutomationBypass: "automation-bypass"
};
var CreateProjectTrustedIpsProjectsDeploymentType = {
  Production: "production",
  Preview: "preview",
  All: "all",
  ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
};
var CreateProjectTrustedIpsDeploymentType = {
  Production: "production",
  Preview: "preview",
  All: "all",
  ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
};
var TrustedIpsProtectionMode = {
  Additional: "additional",
  Exclusive: "exclusive"
};
var CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType = {
  Path: "path",
  Host: "host",
  Method: "method",
  Header: "header",
  Cookie: "cookie",
  Query: "query",
  IpAddress: "ip_address",
  Protocol: "protocol",
  Scheme: "scheme",
  Environment: "environment",
  Region: "region",
  InitialRequestPath: "initial_request_path"
};
var CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType = {
  Path: "path",
  Host: "host",
  Method: "method",
  Header: "header",
  Cookie: "cookie",
  Query: "query",
  IpAddress: "ip_address",
  Protocol: "protocol",
  Scheme: "scheme",
  Environment: "environment",
  Region: "region",
  InitialRequestPath: "initial_request_path"
};
var CreateProjectHandle = {
  Init: "init",
  Finalize: "finalize"
};
var CreateProjectAction = {
  Deny: "deny",
  Challenge: "challenge",
  Log: "log",
  Bypass: "bypass",
  RateLimit: "rate_limit",
  Redirect: "redirect"
};
var CreateProjectAlgo = {
  FixedWindow: "fixed_window",
  TokenBucket: "token_bucket"
};
var CreateProjectIssuerMode = {
  Team: "team",
  Global: "global"
};
var CreateProjectTier = {
  Standard: "standard",
  Advanced: "advanced",
  Critical: "critical"
};
var Target2$inboundSchema = nativeEnumType(Target2);
var Target2$outboundSchema = Target2$inboundSchema;
var Target2$;
(function(Target2$2) {
  Target2$2.inboundSchema = Target2$inboundSchema;
  Target2$2.outboundSchema = Target2$outboundSchema;
})(Target2$ || (Target2$ = {}));
var Target1$inboundSchema = nativeEnumType(Target1);
var Target1$outboundSchema = Target1$inboundSchema;
var Target1$;
(function(Target1$2) {
  Target1$2.inboundSchema = Target1$inboundSchema;
  Target1$2.outboundSchema = Target1$outboundSchema;
})(Target1$ || (Target1$ = {}));
var CreateProjectTarget$inboundSchema = unionType([Target1$inboundSchema, arrayType(Target2$inboundSchema)]);
var CreateProjectTarget$outboundSchema = unionType([Target1$outboundSchema, arrayType(Target2$outboundSchema)]);
var CreateProjectTarget$;
(function(CreateProjectTarget$2) {
  CreateProjectTarget$2.inboundSchema = CreateProjectTarget$inboundSchema;
  CreateProjectTarget$2.outboundSchema = CreateProjectTarget$outboundSchema;
})(CreateProjectTarget$ || (CreateProjectTarget$ = {}));
var CreateProjectType$inboundSchema = nativeEnumType(CreateProjectType);
var CreateProjectType$outboundSchema = CreateProjectType$inboundSchema;
var CreateProjectType$;
(function(CreateProjectType$2) {
  CreateProjectType$2.inboundSchema = CreateProjectType$inboundSchema;
  CreateProjectType$2.outboundSchema = CreateProjectType$outboundSchema;
})(CreateProjectType$ || (CreateProjectType$ = {}));
var EnvironmentVariables$inboundSchema = objectType({
  key: stringType(),
  target: unionType([Target1$inboundSchema, arrayType(Target2$inboundSchema)]),
  gitBranch: stringType().optional(),
  type: CreateProjectType$inboundSchema.optional(),
  value: stringType()
});
var EnvironmentVariables$outboundSchema = objectType({
  key: stringType(),
  target: unionType([Target1$outboundSchema, arrayType(Target2$outboundSchema)]),
  gitBranch: stringType().optional(),
  type: CreateProjectType$outboundSchema.optional(),
  value: stringType()
});
var EnvironmentVariables$;
(function(EnvironmentVariables$2) {
  EnvironmentVariables$2.inboundSchema = EnvironmentVariables$inboundSchema;
  EnvironmentVariables$2.outboundSchema = EnvironmentVariables$outboundSchema;
})(EnvironmentVariables$ || (EnvironmentVariables$ = {}));
var CreateProjectFramework$inboundSchema = nativeEnumType(CreateProjectFramework);
var CreateProjectFramework$outboundSchema = CreateProjectFramework$inboundSchema;
var CreateProjectFramework$;
(function(CreateProjectFramework$2) {
  CreateProjectFramework$2.inboundSchema = CreateProjectFramework$inboundSchema;
  CreateProjectFramework$2.outboundSchema = CreateProjectFramework$outboundSchema;
})(CreateProjectFramework$ || (CreateProjectFramework$ = {}));
var CreateProjectProjectsType$inboundSchema = nativeEnumType(CreateProjectProjectsType);
var CreateProjectProjectsType$outboundSchema = CreateProjectProjectsType$inboundSchema;
var CreateProjectProjectsType$;
(function(CreateProjectProjectsType$2) {
  CreateProjectProjectsType$2.inboundSchema = CreateProjectProjectsType$inboundSchema;
  CreateProjectProjectsType$2.outboundSchema = CreateProjectProjectsType$outboundSchema;
})(CreateProjectProjectsType$ || (CreateProjectProjectsType$ = {}));
var GitRepository$inboundSchema = objectType({
  repo: stringType(),
  type: CreateProjectProjectsType$inboundSchema
});
var GitRepository$outboundSchema = objectType({
  repo: stringType(),
  type: CreateProjectProjectsType$outboundSchema
});
var GitRepository$;
(function(GitRepository$2) {
  GitRepository$2.inboundSchema = GitRepository$inboundSchema;
  GitRepository$2.outboundSchema = GitRepository$outboundSchema;
})(GitRepository$ || (GitRepository$ = {}));
var IssuerMode$inboundSchema = nativeEnumType(IssuerMode);
var IssuerMode$outboundSchema = IssuerMode$inboundSchema;
var IssuerMode$;
(function(IssuerMode$2) {
  IssuerMode$2.inboundSchema = IssuerMode$inboundSchema;
  IssuerMode$2.outboundSchema = IssuerMode$outboundSchema;
})(IssuerMode$ || (IssuerMode$ = {}));
var OidcTokenConfig$inboundSchema = objectType({
  enabled: booleanType(),
  issuerMode: IssuerMode$inboundSchema.default("global")
});
var OidcTokenConfig$outboundSchema = objectType({
  enabled: booleanType(),
  issuerMode: IssuerMode$outboundSchema.default("global")
});
var OidcTokenConfig$;
(function(OidcTokenConfig$2) {
  OidcTokenConfig$2.inboundSchema = OidcTokenConfig$inboundSchema;
  OidcTokenConfig$2.outboundSchema = OidcTokenConfig$outboundSchema;
})(OidcTokenConfig$ || (OidcTokenConfig$ = {}));
var CreateProjectRequestBody$inboundSchema = objectType({
  buildCommand: nullableType(stringType()).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  devCommand: nullableType(stringType()).optional(),
  environmentVariables: arrayType(lazyType(() => EnvironmentVariables$inboundSchema)).optional(),
  framework: CreateProjectFramework$inboundSchema.optional(),
  gitRepository: lazyType(() => GitRepository$inboundSchema).optional(),
  installCommand: nullableType(stringType()).optional(),
  name: stringType(),
  skipGitConnectDuringLink: booleanType().optional(),
  outputDirectory: nullableType(stringType()).optional(),
  publicSource: nullableType(booleanType()).optional(),
  rootDirectory: nullableType(stringType()).optional(),
  serverlessFunctionRegion: nullableType(stringType()).optional(),
  serverlessFunctionZeroConfigFailover: booleanType().optional(),
  oidcTokenConfig: lazyType(() => OidcTokenConfig$inboundSchema).optional(),
  enableAffectedProjectsDeployments: booleanType().optional()
});
var CreateProjectRequestBody$outboundSchema = objectType({
  buildCommand: nullableType(stringType()).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  devCommand: nullableType(stringType()).optional(),
  environmentVariables: arrayType(lazyType(() => EnvironmentVariables$outboundSchema)).optional(),
  framework: CreateProjectFramework$outboundSchema.optional(),
  gitRepository: lazyType(() => GitRepository$outboundSchema).optional(),
  installCommand: nullableType(stringType()).optional(),
  name: stringType(),
  skipGitConnectDuringLink: booleanType().optional(),
  outputDirectory: nullableType(stringType()).optional(),
  publicSource: nullableType(booleanType()).optional(),
  rootDirectory: nullableType(stringType()).optional(),
  serverlessFunctionRegion: nullableType(stringType()).optional(),
  serverlessFunctionZeroConfigFailover: booleanType().optional(),
  oidcTokenConfig: lazyType(() => OidcTokenConfig$outboundSchema).optional(),
  enableAffectedProjectsDeployments: booleanType().optional()
});
var CreateProjectRequestBody$;
(function(CreateProjectRequestBody$2) {
  CreateProjectRequestBody$2.inboundSchema = CreateProjectRequestBody$inboundSchema;
  CreateProjectRequestBody$2.outboundSchema = CreateProjectRequestBody$outboundSchema;
})(CreateProjectRequestBody$ || (CreateProjectRequestBody$ = {}));
var CreateProjectRequest$inboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => CreateProjectRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var CreateProjectRequest$outboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => CreateProjectRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var CreateProjectRequest$;
(function(CreateProjectRequest$2) {
  CreateProjectRequest$2.inboundSchema = CreateProjectRequest$inboundSchema;
  CreateProjectRequest$2.outboundSchema = CreateProjectRequest$outboundSchema;
})(CreateProjectRequest$ || (CreateProjectRequest$ = {}));
var CreateProjectAnalytics$inboundSchema = objectType({
  id: stringType(),
  canceledAt: nullableType(numberType()).optional(),
  disabledAt: numberType(),
  enabledAt: numberType(),
  paidAt: numberType().optional(),
  sampleRatePercent: nullableType(numberType()).optional(),
  spendLimitInDollars: nullableType(numberType()).optional()
});
var CreateProjectAnalytics$outboundSchema = objectType({
  id: stringType(),
  canceledAt: nullableType(numberType()).optional(),
  disabledAt: numberType(),
  enabledAt: numberType(),
  paidAt: numberType().optional(),
  sampleRatePercent: nullableType(numberType()).optional(),
  spendLimitInDollars: nullableType(numberType()).optional()
});
var CreateProjectAnalytics$;
(function(CreateProjectAnalytics$2) {
  CreateProjectAnalytics$2.inboundSchema = CreateProjectAnalytics$inboundSchema;
  CreateProjectAnalytics$2.outboundSchema = CreateProjectAnalytics$outboundSchema;
})(CreateProjectAnalytics$ || (CreateProjectAnalytics$ = {}));
var CreateProjectSpeedInsights$inboundSchema = objectType({
  id: stringType(),
  enabledAt: numberType().optional(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  hasData: booleanType().optional(),
  paidAt: numberType().optional()
});
var CreateProjectSpeedInsights$outboundSchema = objectType({
  id: stringType(),
  enabledAt: numberType().optional(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  hasData: booleanType().optional(),
  paidAt: numberType().optional()
});
var CreateProjectSpeedInsights$;
(function(CreateProjectSpeedInsights$2) {
  CreateProjectSpeedInsights$2.inboundSchema = CreateProjectSpeedInsights$inboundSchema;
  CreateProjectSpeedInsights$2.outboundSchema = CreateProjectSpeedInsights$outboundSchema;
})(CreateProjectSpeedInsights$ || (CreateProjectSpeedInsights$ = {}));
var CreateProjectDefinitions$inboundSchema = objectType({
  host: stringType(),
  path: stringType(),
  schedule: stringType()
});
var CreateProjectDefinitions$outboundSchema = objectType({
  host: stringType(),
  path: stringType(),
  schedule: stringType()
});
var CreateProjectDefinitions$;
(function(CreateProjectDefinitions$2) {
  CreateProjectDefinitions$2.inboundSchema = CreateProjectDefinitions$inboundSchema;
  CreateProjectDefinitions$2.outboundSchema = CreateProjectDefinitions$outboundSchema;
})(CreateProjectDefinitions$ || (CreateProjectDefinitions$ = {}));
var CreateProjectCrons$inboundSchema = objectType({
  enabledAt: numberType(),
  disabledAt: nullableType(numberType()),
  updatedAt: numberType(),
  deploymentId: nullableType(stringType()),
  definitions: arrayType(lazyType(() => CreateProjectDefinitions$inboundSchema))
});
var CreateProjectCrons$outboundSchema = objectType({
  enabledAt: numberType(),
  disabledAt: nullableType(numberType()),
  updatedAt: numberType(),
  deploymentId: nullableType(stringType()),
  definitions: arrayType(lazyType(() => CreateProjectDefinitions$outboundSchema))
});
var CreateProjectCrons$;
(function(CreateProjectCrons$2) {
  CreateProjectCrons$2.inboundSchema = CreateProjectCrons$inboundSchema;
  CreateProjectCrons$2.outboundSchema = CreateProjectCrons$outboundSchema;
})(CreateProjectCrons$ || (CreateProjectCrons$ = {}));
var CreateProjectDataCache$inboundSchema = objectType({
  userDisabled: booleanType(),
  storageSizeBytes: nullableType(numberType()).optional(),
  unlimited: booleanType().optional()
});
var CreateProjectDataCache$outboundSchema = objectType({
  userDisabled: booleanType(),
  storageSizeBytes: nullableType(numberType()).optional(),
  unlimited: booleanType().optional()
});
var CreateProjectDataCache$;
(function(CreateProjectDataCache$2) {
  CreateProjectDataCache$2.inboundSchema = CreateProjectDataCache$inboundSchema;
  CreateProjectDataCache$2.outboundSchema = CreateProjectDataCache$outboundSchema;
})(CreateProjectDataCache$ || (CreateProjectDataCache$ = {}));
var CreateProjectDeploymentExpiration$inboundSchema = objectType({
  expirationDays: numberType().optional(),
  expirationDaysProduction: numberType().optional(),
  expirationDaysCanceled: numberType().optional(),
  expirationDaysErrored: numberType().optional(),
  deploymentsToKeep: numberType().optional()
});
var CreateProjectDeploymentExpiration$outboundSchema = objectType({
  expirationDays: numberType().optional(),
  expirationDaysProduction: numberType().optional(),
  expirationDaysCanceled: numberType().optional(),
  expirationDaysErrored: numberType().optional(),
  deploymentsToKeep: numberType().optional()
});
var CreateProjectDeploymentExpiration$;
(function(CreateProjectDeploymentExpiration$2) {
  CreateProjectDeploymentExpiration$2.inboundSchema = CreateProjectDeploymentExpiration$inboundSchema;
  CreateProjectDeploymentExpiration$2.outboundSchema = CreateProjectDeploymentExpiration$outboundSchema;
})(CreateProjectDeploymentExpiration$ || (CreateProjectDeploymentExpiration$ = {}));
var CreateProjectTarget2$inboundSchema = nativeEnumType(CreateProjectTarget2);
var CreateProjectTarget2$outboundSchema = CreateProjectTarget2$inboundSchema;
var CreateProjectTarget2$;
(function(CreateProjectTarget2$2) {
  CreateProjectTarget2$2.inboundSchema = CreateProjectTarget2$inboundSchema;
  CreateProjectTarget2$2.outboundSchema = CreateProjectTarget2$outboundSchema;
})(CreateProjectTarget2$ || (CreateProjectTarget2$ = {}));
var CreateProjectProjectsTarget$inboundSchema = unionType([arrayType(stringType()), CreateProjectTarget2$inboundSchema]);
var CreateProjectProjectsTarget$outboundSchema = unionType([arrayType(stringType()), CreateProjectTarget2$outboundSchema]);
var CreateProjectProjectsTarget$;
(function(CreateProjectProjectsTarget$2) {
  CreateProjectProjectsTarget$2.inboundSchema = CreateProjectProjectsTarget$inboundSchema;
  CreateProjectProjectsTarget$2.outboundSchema = CreateProjectProjectsTarget$outboundSchema;
})(CreateProjectProjectsTarget$ || (CreateProjectProjectsTarget$ = {}));
var CreateProjectProjectsResponseType$inboundSchema = nativeEnumType(CreateProjectProjectsResponseType);
var CreateProjectProjectsResponseType$outboundSchema = CreateProjectProjectsResponseType$inboundSchema;
var CreateProjectProjectsResponseType$;
(function(CreateProjectProjectsResponseType$2) {
  CreateProjectProjectsResponseType$2.inboundSchema = CreateProjectProjectsResponseType$inboundSchema;
  CreateProjectProjectsResponseType$2.outboundSchema = CreateProjectProjectsResponseType$outboundSchema;
})(CreateProjectProjectsResponseType$ || (CreateProjectProjectsResponseType$ = {}));
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type);
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema;
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$;
(function(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$2) {
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$2.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema;
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$2.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema;
})(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$ || (CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$ = {}));
var ContentHint15$inboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema,
  projectId: stringType()
});
var ContentHint15$outboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema,
  projectId: stringType()
});
var ContentHint15$;
(function(ContentHint15$2) {
  ContentHint15$2.inboundSchema = ContentHint15$inboundSchema;
  ContentHint15$2.outboundSchema = ContentHint15$outboundSchema;
})(ContentHint15$ || (ContentHint15$ = {}));
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type);
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema;
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$;
(function(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$2) {
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$2.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema;
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$2.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema;
})(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$ || (CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$ = {}));
var ContentHint14$inboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var ContentHint14$outboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var ContentHint14$;
(function(ContentHint14$2) {
  ContentHint14$2.inboundSchema = ContentHint14$inboundSchema;
  ContentHint14$2.outboundSchema = ContentHint14$outboundSchema;
})(ContentHint14$ || (ContentHint14$ = {}));
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type);
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema;
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$;
(function(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$2) {
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$2.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema;
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$2.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema;
})(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$ || (CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$ = {}));
var ContentHint13$inboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema,
  storeId: stringType()
});
var ContentHint13$outboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema,
  storeId: stringType()
});
var ContentHint13$;
(function(ContentHint13$2) {
  ContentHint13$2.inboundSchema = ContentHint13$inboundSchema;
  ContentHint13$2.outboundSchema = ContentHint13$outboundSchema;
})(ContentHint13$ || (ContentHint13$ = {}));
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type);
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema;
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$;
(function(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$2) {
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$2.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema;
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$2.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema;
})(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$ || (CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$ = {}));
var ContentHint12$inboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema,
  storeId: stringType()
});
var ContentHint12$outboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema,
  storeId: stringType()
});
var ContentHint12$;
(function(ContentHint12$2) {
  ContentHint12$2.inboundSchema = ContentHint12$inboundSchema;
  ContentHint12$2.outboundSchema = ContentHint12$outboundSchema;
})(ContentHint12$ || (ContentHint12$ = {}));
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type);
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema;
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$;
(function(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$2) {
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$2.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema;
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$2.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema;
})(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$ || (CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$ = {}));
var ContentHint11$inboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema,
  storeId: stringType()
});
var ContentHint11$outboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema,
  storeId: stringType()
});
var ContentHint11$;
(function(ContentHint11$2) {
  ContentHint11$2.inboundSchema = ContentHint11$inboundSchema;
  ContentHint11$2.outboundSchema = ContentHint11$outboundSchema;
})(ContentHint11$ || (ContentHint11$ = {}));
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type);
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema;
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$;
(function(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$2) {
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$2.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema;
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$2.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema;
})(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$ || (CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$ = {}));
var CreateProjectContentHint10$inboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint10$outboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint10$;
(function(CreateProjectContentHint10$2) {
  CreateProjectContentHint10$2.inboundSchema = CreateProjectContentHint10$inboundSchema;
  CreateProjectContentHint10$2.outboundSchema = CreateProjectContentHint10$outboundSchema;
})(CreateProjectContentHint10$ || (CreateProjectContentHint10$ = {}));
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type);
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema;
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$;
(function(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$2) {
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$2.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema;
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$2.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema;
})(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$ || (CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$ = {}));
var CreateProjectContentHint9$inboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint9$outboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint9$;
(function(CreateProjectContentHint9$2) {
  CreateProjectContentHint9$2.inboundSchema = CreateProjectContentHint9$inboundSchema;
  CreateProjectContentHint9$2.outboundSchema = CreateProjectContentHint9$outboundSchema;
})(CreateProjectContentHint9$ || (CreateProjectContentHint9$ = {}));
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type);
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema;
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$;
(function(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$2) {
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$2.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema;
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$2.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$outboundSchema;
})(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$ || (CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$ = {}));
var CreateProjectContentHint8$inboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint8$outboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint8$;
(function(CreateProjectContentHint8$2) {
  CreateProjectContentHint8$2.inboundSchema = CreateProjectContentHint8$inboundSchema;
  CreateProjectContentHint8$2.outboundSchema = CreateProjectContentHint8$outboundSchema;
})(CreateProjectContentHint8$ || (CreateProjectContentHint8$ = {}));
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType);
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$;
(function(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$2) {
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$2.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$2.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema;
})(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$ || (CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$ = {}));
var CreateProjectContentHint7$inboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint7$outboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint7$;
(function(CreateProjectContentHint7$2) {
  CreateProjectContentHint7$2.inboundSchema = CreateProjectContentHint7$inboundSchema;
  CreateProjectContentHint7$2.outboundSchema = CreateProjectContentHint7$outboundSchema;
})(CreateProjectContentHint7$ || (CreateProjectContentHint7$ = {}));
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType);
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
var CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$;
(function(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$2) {
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$2.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$2.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
})(CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$ || (CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$ = {}));
var CreateProjectContentHint6$inboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint6$outboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint6$;
(function(CreateProjectContentHint6$2) {
  CreateProjectContentHint6$2.inboundSchema = CreateProjectContentHint6$inboundSchema;
  CreateProjectContentHint6$2.outboundSchema = CreateProjectContentHint6$outboundSchema;
})(CreateProjectContentHint6$ || (CreateProjectContentHint6$ = {}));
var CreateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200ApplicationJSONType);
var CreateProjectContentHintProjectsResponse200ApplicationJSONType$outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
var CreateProjectContentHintProjectsResponse200ApplicationJSONType$;
(function(CreateProjectContentHintProjectsResponse200ApplicationJSONType$2) {
  CreateProjectContentHintProjectsResponse200ApplicationJSONType$2.inboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
  CreateProjectContentHintProjectsResponse200ApplicationJSONType$2.outboundSchema = CreateProjectContentHintProjectsResponse200ApplicationJSONType$outboundSchema;
})(CreateProjectContentHintProjectsResponse200ApplicationJSONType$ || (CreateProjectContentHintProjectsResponse200ApplicationJSONType$ = {}));
var CreateProjectContentHint5$inboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint5$outboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200ApplicationJSONType$outboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint5$;
(function(CreateProjectContentHint5$2) {
  CreateProjectContentHint5$2.inboundSchema = CreateProjectContentHint5$inboundSchema;
  CreateProjectContentHint5$2.outboundSchema = CreateProjectContentHint5$outboundSchema;
})(CreateProjectContentHint5$ || (CreateProjectContentHint5$ = {}));
var CreateProjectContentHintProjectsResponse200Type$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponse200Type);
var CreateProjectContentHintProjectsResponse200Type$outboundSchema = CreateProjectContentHintProjectsResponse200Type$inboundSchema;
var CreateProjectContentHintProjectsResponse200Type$;
(function(CreateProjectContentHintProjectsResponse200Type$2) {
  CreateProjectContentHintProjectsResponse200Type$2.inboundSchema = CreateProjectContentHintProjectsResponse200Type$inboundSchema;
  CreateProjectContentHintProjectsResponse200Type$2.outboundSchema = CreateProjectContentHintProjectsResponse200Type$outboundSchema;
})(CreateProjectContentHintProjectsResponse200Type$ || (CreateProjectContentHintProjectsResponse200Type$ = {}));
var CreateProjectContentHint4$inboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint4$outboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponse200Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint4$;
(function(CreateProjectContentHint4$2) {
  CreateProjectContentHint4$2.inboundSchema = CreateProjectContentHint4$inboundSchema;
  CreateProjectContentHint4$2.outboundSchema = CreateProjectContentHint4$outboundSchema;
})(CreateProjectContentHint4$ || (CreateProjectContentHint4$ = {}));
var CreateProjectContentHintProjectsResponseType$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsResponseType);
var CreateProjectContentHintProjectsResponseType$outboundSchema = CreateProjectContentHintProjectsResponseType$inboundSchema;
var CreateProjectContentHintProjectsResponseType$;
(function(CreateProjectContentHintProjectsResponseType$2) {
  CreateProjectContentHintProjectsResponseType$2.inboundSchema = CreateProjectContentHintProjectsResponseType$inboundSchema;
  CreateProjectContentHintProjectsResponseType$2.outboundSchema = CreateProjectContentHintProjectsResponseType$outboundSchema;
})(CreateProjectContentHintProjectsResponseType$ || (CreateProjectContentHintProjectsResponseType$ = {}));
var CreateProjectContentHint3$inboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponseType$inboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint3$outboundSchema = objectType({
  type: CreateProjectContentHintProjectsResponseType$outboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint3$;
(function(CreateProjectContentHint3$2) {
  CreateProjectContentHint3$2.inboundSchema = CreateProjectContentHint3$inboundSchema;
  CreateProjectContentHint3$2.outboundSchema = CreateProjectContentHint3$outboundSchema;
})(CreateProjectContentHint3$ || (CreateProjectContentHint3$ = {}));
var CreateProjectContentHintProjectsType$inboundSchema = nativeEnumType(CreateProjectContentHintProjectsType);
var CreateProjectContentHintProjectsType$outboundSchema = CreateProjectContentHintProjectsType$inboundSchema;
var CreateProjectContentHintProjectsType$;
(function(CreateProjectContentHintProjectsType$2) {
  CreateProjectContentHintProjectsType$2.inboundSchema = CreateProjectContentHintProjectsType$inboundSchema;
  CreateProjectContentHintProjectsType$2.outboundSchema = CreateProjectContentHintProjectsType$outboundSchema;
})(CreateProjectContentHintProjectsType$ || (CreateProjectContentHintProjectsType$ = {}));
var CreateProjectContentHint2$inboundSchema = objectType({
  type: CreateProjectContentHintProjectsType$inboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint2$outboundSchema = objectType({
  type: CreateProjectContentHintProjectsType$outboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint2$;
(function(CreateProjectContentHint2$2) {
  CreateProjectContentHint2$2.inboundSchema = CreateProjectContentHint2$inboundSchema;
  CreateProjectContentHint2$2.outboundSchema = CreateProjectContentHint2$outboundSchema;
})(CreateProjectContentHint2$ || (CreateProjectContentHint2$ = {}));
var CreateProjectContentHintType$inboundSchema = nativeEnumType(CreateProjectContentHintType);
var CreateProjectContentHintType$outboundSchema = CreateProjectContentHintType$inboundSchema;
var CreateProjectContentHintType$;
(function(CreateProjectContentHintType$2) {
  CreateProjectContentHintType$2.inboundSchema = CreateProjectContentHintType$inboundSchema;
  CreateProjectContentHintType$2.outboundSchema = CreateProjectContentHintType$outboundSchema;
})(CreateProjectContentHintType$ || (CreateProjectContentHintType$ = {}));
var CreateProjectContentHint1$inboundSchema = objectType({
  type: CreateProjectContentHintType$inboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint1$outboundSchema = objectType({
  type: CreateProjectContentHintType$outboundSchema,
  storeId: stringType()
});
var CreateProjectContentHint1$;
(function(CreateProjectContentHint1$2) {
  CreateProjectContentHint1$2.inboundSchema = CreateProjectContentHint1$inboundSchema;
  CreateProjectContentHint1$2.outboundSchema = CreateProjectContentHint1$outboundSchema;
})(CreateProjectContentHint1$ || (CreateProjectContentHint1$ = {}));
var CreateProjectContentHint$inboundSchema = unionType([
  lazyType(() => CreateProjectContentHint1$inboundSchema),
  lazyType(() => CreateProjectContentHint2$inboundSchema),
  lazyType(() => CreateProjectContentHint3$inboundSchema),
  lazyType(() => CreateProjectContentHint4$inboundSchema),
  lazyType(() => CreateProjectContentHint5$inboundSchema),
  lazyType(() => CreateProjectContentHint6$inboundSchema),
  lazyType(() => CreateProjectContentHint7$inboundSchema),
  lazyType(() => CreateProjectContentHint8$inboundSchema),
  lazyType(() => CreateProjectContentHint9$inboundSchema),
  lazyType(() => CreateProjectContentHint10$inboundSchema),
  lazyType(() => ContentHint11$inboundSchema),
  lazyType(() => ContentHint12$inboundSchema),
  lazyType(() => ContentHint13$inboundSchema),
  lazyType(() => ContentHint15$inboundSchema),
  lazyType(() => ContentHint14$inboundSchema)
]);
var CreateProjectContentHint$outboundSchema = unionType([
  lazyType(() => CreateProjectContentHint1$outboundSchema),
  lazyType(() => CreateProjectContentHint2$outboundSchema),
  lazyType(() => CreateProjectContentHint3$outboundSchema),
  lazyType(() => CreateProjectContentHint4$outboundSchema),
  lazyType(() => CreateProjectContentHint5$outboundSchema),
  lazyType(() => CreateProjectContentHint6$outboundSchema),
  lazyType(() => CreateProjectContentHint7$outboundSchema),
  lazyType(() => CreateProjectContentHint8$outboundSchema),
  lazyType(() => CreateProjectContentHint9$outboundSchema),
  lazyType(() => CreateProjectContentHint10$outboundSchema),
  lazyType(() => ContentHint11$outboundSchema),
  lazyType(() => ContentHint12$outboundSchema),
  lazyType(() => ContentHint13$outboundSchema),
  lazyType(() => ContentHint15$outboundSchema),
  lazyType(() => ContentHint14$outboundSchema)
]);
var CreateProjectContentHint$;
(function(CreateProjectContentHint$2) {
  CreateProjectContentHint$2.inboundSchema = CreateProjectContentHint$inboundSchema;
  CreateProjectContentHint$2.outboundSchema = CreateProjectContentHint$outboundSchema;
})(CreateProjectContentHint$ || (CreateProjectContentHint$ = {}));
var CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType);
var CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
var CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$;
(function(CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$2) {
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$2.inboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$2.outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema;
})(CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$ || (CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$ = {}));
var CreateProjectInternalContentHint$inboundSchema = objectType({
  type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema,
  encryptedValue: stringType()
});
var CreateProjectInternalContentHint$outboundSchema = objectType({
  type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema,
  encryptedValue: stringType()
});
var CreateProjectInternalContentHint$;
(function(CreateProjectInternalContentHint$2) {
  CreateProjectInternalContentHint$2.inboundSchema = CreateProjectInternalContentHint$inboundSchema;
  CreateProjectInternalContentHint$2.outboundSchema = CreateProjectInternalContentHint$outboundSchema;
})(CreateProjectInternalContentHint$ || (CreateProjectInternalContentHint$ = {}));
var CreateProjectEnv$inboundSchema = objectType({
  target: unionType([arrayType(stringType()), CreateProjectTarget2$inboundSchema]).optional(),
  type: CreateProjectProjectsResponseType$inboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => CreateProjectContentHint1$inboundSchema),
    lazyType(() => CreateProjectContentHint2$inboundSchema),
    lazyType(() => CreateProjectContentHint3$inboundSchema),
    lazyType(() => CreateProjectContentHint4$inboundSchema),
    lazyType(() => CreateProjectContentHint5$inboundSchema),
    lazyType(() => CreateProjectContentHint6$inboundSchema),
    lazyType(() => CreateProjectContentHint7$inboundSchema),
    lazyType(() => CreateProjectContentHint8$inboundSchema),
    lazyType(() => CreateProjectContentHint9$inboundSchema),
    lazyType(() => CreateProjectContentHint10$inboundSchema),
    lazyType(() => ContentHint11$inboundSchema),
    lazyType(() => ContentHint12$inboundSchema),
    lazyType(() => ContentHint13$inboundSchema),
    lazyType(() => ContentHint15$inboundSchema),
    lazyType(() => ContentHint14$inboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => CreateProjectInternalContentHint$inboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var CreateProjectEnv$outboundSchema = objectType({
  target: unionType([arrayType(stringType()), CreateProjectTarget2$outboundSchema]).optional(),
  type: CreateProjectProjectsResponseType$outboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => CreateProjectContentHint1$outboundSchema),
    lazyType(() => CreateProjectContentHint2$outboundSchema),
    lazyType(() => CreateProjectContentHint3$outboundSchema),
    lazyType(() => CreateProjectContentHint4$outboundSchema),
    lazyType(() => CreateProjectContentHint5$outboundSchema),
    lazyType(() => CreateProjectContentHint6$outboundSchema),
    lazyType(() => CreateProjectContentHint7$outboundSchema),
    lazyType(() => CreateProjectContentHint8$outboundSchema),
    lazyType(() => CreateProjectContentHint9$outboundSchema),
    lazyType(() => CreateProjectContentHint10$outboundSchema),
    lazyType(() => ContentHint11$outboundSchema),
    lazyType(() => ContentHint12$outboundSchema),
    lazyType(() => ContentHint13$outboundSchema),
    lazyType(() => ContentHint15$outboundSchema),
    lazyType(() => ContentHint14$outboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => CreateProjectInternalContentHint$outboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var CreateProjectEnv$;
(function(CreateProjectEnv$2) {
  CreateProjectEnv$2.inboundSchema = CreateProjectEnv$inboundSchema;
  CreateProjectEnv$2.outboundSchema = CreateProjectEnv$outboundSchema;
})(CreateProjectEnv$ || (CreateProjectEnv$ = {}));
var CreateProjectCustomEnvironments$inboundSchema = objectType({});
var CreateProjectCustomEnvironments$outboundSchema = objectType({});
var CreateProjectCustomEnvironments$;
(function(CreateProjectCustomEnvironments$2) {
  CreateProjectCustomEnvironments$2.inboundSchema = CreateProjectCustomEnvironments$inboundSchema;
  CreateProjectCustomEnvironments$2.outboundSchema = CreateProjectCustomEnvironments$outboundSchema;
})(CreateProjectCustomEnvironments$ || (CreateProjectCustomEnvironments$ = {}));
var CreateProjectProjectsFramework$inboundSchema = nativeEnumType(CreateProjectProjectsFramework);
var CreateProjectProjectsFramework$outboundSchema = CreateProjectProjectsFramework$inboundSchema;
var CreateProjectProjectsFramework$;
(function(CreateProjectProjectsFramework$2) {
  CreateProjectProjectsFramework$2.inboundSchema = CreateProjectProjectsFramework$inboundSchema;
  CreateProjectProjectsFramework$2.outboundSchema = CreateProjectProjectsFramework$outboundSchema;
})(CreateProjectProjectsFramework$ || (CreateProjectProjectsFramework$ = {}));
var CreateProjectIpBuckets$inboundSchema = objectType({
  bucket: stringType(),
  supportUntil: numberType().optional()
});
var CreateProjectIpBuckets$outboundSchema = objectType({
  bucket: stringType(),
  supportUntil: numberType().optional()
});
var CreateProjectIpBuckets$;
(function(CreateProjectIpBuckets$2) {
  CreateProjectIpBuckets$2.inboundSchema = CreateProjectIpBuckets$inboundSchema;
  CreateProjectIpBuckets$2.outboundSchema = CreateProjectIpBuckets$outboundSchema;
})(CreateProjectIpBuckets$ || (CreateProjectIpBuckets$ = {}));
var CreateProjectAliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
var CreateProjectAliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
var CreateProjectAliasAssigned$;
(function(CreateProjectAliasAssigned$2) {
  CreateProjectAliasAssigned$2.inboundSchema = CreateProjectAliasAssigned$inboundSchema;
  CreateProjectAliasAssigned$2.outboundSchema = CreateProjectAliasAssigned$outboundSchema;
})(CreateProjectAliasAssigned$ || (CreateProjectAliasAssigned$ = {}));
var CreateProjectAliasError$inboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var CreateProjectAliasError$outboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var CreateProjectAliasError$;
(function(CreateProjectAliasError$2) {
  CreateProjectAliasError$2.inboundSchema = CreateProjectAliasError$inboundSchema;
  CreateProjectAliasError$2.outboundSchema = CreateProjectAliasError$outboundSchema;
})(CreateProjectAliasError$ || (CreateProjectAliasError$ = {}));
var CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType);
var CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema;
var CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$;
(function(CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$2) {
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$2.inboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema;
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$2.outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$outboundSchema;
})(CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$ || (CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$ = {}));
var CreateProjectBranchMatcher$inboundSchema = objectType({
  type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$inboundSchema,
  pattern: stringType()
});
var CreateProjectBranchMatcher$outboundSchema = objectType({
  type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyLatestDeploymentsType$outboundSchema,
  pattern: stringType()
});
var CreateProjectBranchMatcher$;
(function(CreateProjectBranchMatcher$2) {
  CreateProjectBranchMatcher$2.inboundSchema = CreateProjectBranchMatcher$inboundSchema;
  CreateProjectBranchMatcher$2.outboundSchema = CreateProjectBranchMatcher$outboundSchema;
})(CreateProjectBranchMatcher$ || (CreateProjectBranchMatcher$ = {}));
var CreateProjectBuilds$inboundSchema = objectType({
  use: stringType(),
  src: stringType().optional(),
  dest: stringType().optional()
});
var CreateProjectBuilds$outboundSchema = objectType({
  use: stringType(),
  src: stringType().optional(),
  dest: stringType().optional()
});
var CreateProjectBuilds$;
(function(CreateProjectBuilds$2) {
  CreateProjectBuilds$2.inboundSchema = CreateProjectBuilds$inboundSchema;
  CreateProjectBuilds$2.outboundSchema = CreateProjectBuilds$outboundSchema;
})(CreateProjectBuilds$ || (CreateProjectBuilds$ = {}));
var CreateProjectChecksConclusion$inboundSchema = nativeEnumType(CreateProjectChecksConclusion);
var CreateProjectChecksConclusion$outboundSchema = CreateProjectChecksConclusion$inboundSchema;
var CreateProjectChecksConclusion$;
(function(CreateProjectChecksConclusion$2) {
  CreateProjectChecksConclusion$2.inboundSchema = CreateProjectChecksConclusion$inboundSchema;
  CreateProjectChecksConclusion$2.outboundSchema = CreateProjectChecksConclusion$outboundSchema;
})(CreateProjectChecksConclusion$ || (CreateProjectChecksConclusion$ = {}));
var CreateProjectChecksState$inboundSchema = nativeEnumType(CreateProjectChecksState);
var CreateProjectChecksState$outboundSchema = CreateProjectChecksState$inboundSchema;
var CreateProjectChecksState$;
(function(CreateProjectChecksState$2) {
  CreateProjectChecksState$2.inboundSchema = CreateProjectChecksState$inboundSchema;
  CreateProjectChecksState$2.outboundSchema = CreateProjectChecksState$outboundSchema;
})(CreateProjectChecksState$ || (CreateProjectChecksState$ = {}));
var CreateProjectCreator$inboundSchema = objectType({
  email: stringType(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional(),
  uid: stringType(),
  username: stringType()
});
var CreateProjectCreator$outboundSchema = objectType({
  email: stringType(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional(),
  uid: stringType(),
  username: stringType()
});
var CreateProjectCreator$;
(function(CreateProjectCreator$2) {
  CreateProjectCreator$2.inboundSchema = CreateProjectCreator$inboundSchema;
  CreateProjectCreator$2.outboundSchema = CreateProjectCreator$outboundSchema;
})(CreateProjectCreator$ || (CreateProjectCreator$ = {}));
var CreateProjectOidcTokenClaims$inboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  owner_id: stringType(),
  project: stringType(),
  project_id: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    owner_id: "ownerId",
    project_id: "projectId"
  });
});
var CreateProjectOidcTokenClaims$outboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  ownerId: stringType(),
  project: stringType(),
  projectId: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    ownerId: "owner_id",
    projectId: "project_id"
  });
});
var CreateProjectOidcTokenClaims$;
(function(CreateProjectOidcTokenClaims$2) {
  CreateProjectOidcTokenClaims$2.inboundSchema = CreateProjectOidcTokenClaims$inboundSchema;
  CreateProjectOidcTokenClaims$2.outboundSchema = CreateProjectOidcTokenClaims$outboundSchema;
})(CreateProjectOidcTokenClaims$ || (CreateProjectOidcTokenClaims$ = {}));
var CreateProjectPlan$inboundSchema = nativeEnumType(CreateProjectPlan);
var CreateProjectPlan$outboundSchema = CreateProjectPlan$inboundSchema;
var CreateProjectPlan$;
(function(CreateProjectPlan$2) {
  CreateProjectPlan$2.inboundSchema = CreateProjectPlan$inboundSchema;
  CreateProjectPlan$2.outboundSchema = CreateProjectPlan$outboundSchema;
})(CreateProjectPlan$ || (CreateProjectPlan$ = {}));
var CreateProjectReadyState$inboundSchema = nativeEnumType(CreateProjectReadyState);
var CreateProjectReadyState$outboundSchema = CreateProjectReadyState$inboundSchema;
var CreateProjectReadyState$;
(function(CreateProjectReadyState$2) {
  CreateProjectReadyState$2.inboundSchema = CreateProjectReadyState$inboundSchema;
  CreateProjectReadyState$2.outboundSchema = CreateProjectReadyState$outboundSchema;
})(CreateProjectReadyState$ || (CreateProjectReadyState$ = {}));
var CreateProjectReadySubstate$inboundSchema = nativeEnumType(CreateProjectReadySubstate);
var CreateProjectReadySubstate$outboundSchema = CreateProjectReadySubstate$inboundSchema;
var CreateProjectReadySubstate$;
(function(CreateProjectReadySubstate$2) {
  CreateProjectReadySubstate$2.inboundSchema = CreateProjectReadySubstate$inboundSchema;
  CreateProjectReadySubstate$2.outboundSchema = CreateProjectReadySubstate$outboundSchema;
})(CreateProjectReadySubstate$ || (CreateProjectReadySubstate$ = {}));
var CreateProjectProjectsResponse200Type$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200Type);
var CreateProjectProjectsResponse200Type$outboundSchema = CreateProjectProjectsResponse200Type$inboundSchema;
var CreateProjectProjectsResponse200Type$;
(function(CreateProjectProjectsResponse200Type$2) {
  CreateProjectProjectsResponse200Type$2.inboundSchema = CreateProjectProjectsResponse200Type$inboundSchema;
  CreateProjectProjectsResponse200Type$2.outboundSchema = CreateProjectProjectsResponse200Type$outboundSchema;
})(CreateProjectProjectsResponse200Type$ || (CreateProjectProjectsResponse200Type$ = {}));
var CreateProjectLatestDeployments$inboundSchema = objectType({
  id: stringType(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  aliasError: nullableType(lazyType(() => CreateProjectAliasError$inboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  branchMatcher: lazyType(() => CreateProjectBranchMatcher$inboundSchema).optional(),
  buildingAt: numberType().optional(),
  builds: arrayType(lazyType(() => CreateProjectBuilds$inboundSchema)).optional(),
  checksConclusion: CreateProjectChecksConclusion$inboundSchema.optional(),
  checksState: CreateProjectChecksState$inboundSchema.optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdAt: numberType(),
  createdIn: stringType(),
  creator: nullableType(lazyType(() => CreateProjectCreator$inboundSchema)),
  deletedAt: numberType().optional(),
  deploymentHostname: stringType(),
  forced: booleanType().optional(),
  name: stringType(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  oidcTokenClaims: lazyType(() => CreateProjectOidcTokenClaims$inboundSchema).optional(),
  plan: CreateProjectPlan$inboundSchema,
  previewCommentsEnabled: booleanType().optional(),
  private: booleanType(),
  readyAt: numberType().optional(),
  readyState: CreateProjectReadyState$inboundSchema,
  readySubstate: CreateProjectReadySubstate$inboundSchema.optional(),
  requestedAt: numberType().optional(),
  target: nullableType(stringType()).optional(),
  teamId: nullableType(stringType()).optional(),
  type: CreateProjectProjectsResponse200Type$inboundSchema,
  url: stringType(),
  userId: stringType(),
  withCache: booleanType().optional()
});
var CreateProjectLatestDeployments$outboundSchema = objectType({
  id: stringType(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  aliasError: nullableType(lazyType(() => CreateProjectAliasError$outboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  branchMatcher: lazyType(() => CreateProjectBranchMatcher$outboundSchema).optional(),
  buildingAt: numberType().optional(),
  builds: arrayType(lazyType(() => CreateProjectBuilds$outboundSchema)).optional(),
  checksConclusion: CreateProjectChecksConclusion$outboundSchema.optional(),
  checksState: CreateProjectChecksState$outboundSchema.optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdAt: numberType(),
  createdIn: stringType(),
  creator: nullableType(lazyType(() => CreateProjectCreator$outboundSchema)),
  deletedAt: numberType().optional(),
  deploymentHostname: stringType(),
  forced: booleanType().optional(),
  name: stringType(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  oidcTokenClaims: lazyType(() => CreateProjectOidcTokenClaims$outboundSchema).optional(),
  plan: CreateProjectPlan$outboundSchema,
  previewCommentsEnabled: booleanType().optional(),
  private: booleanType(),
  readyAt: numberType().optional(),
  readyState: CreateProjectReadyState$outboundSchema,
  readySubstate: CreateProjectReadySubstate$outboundSchema.optional(),
  requestedAt: numberType().optional(),
  target: nullableType(stringType()).optional(),
  teamId: nullableType(stringType()).optional(),
  type: CreateProjectProjectsResponse200Type$outboundSchema,
  url: stringType(),
  userId: stringType(),
  withCache: booleanType().optional()
});
var CreateProjectLatestDeployments$;
(function(CreateProjectLatestDeployments$2) {
  CreateProjectLatestDeployments$2.inboundSchema = CreateProjectLatestDeployments$inboundSchema;
  CreateProjectLatestDeployments$2.outboundSchema = CreateProjectLatestDeployments$outboundSchema;
})(CreateProjectLatestDeployments$ || (CreateProjectLatestDeployments$ = {}));
var CreateProjectLinkProjectsResponseType$inboundSchema = nativeEnumType(CreateProjectLinkProjectsResponseType);
var CreateProjectLinkProjectsResponseType$outboundSchema = CreateProjectLinkProjectsResponseType$inboundSchema;
var CreateProjectLinkProjectsResponseType$;
(function(CreateProjectLinkProjectsResponseType$2) {
  CreateProjectLinkProjectsResponseType$2.inboundSchema = CreateProjectLinkProjectsResponseType$inboundSchema;
  CreateProjectLinkProjectsResponseType$2.outboundSchema = CreateProjectLinkProjectsResponseType$outboundSchema;
})(CreateProjectLinkProjectsResponseType$ || (CreateProjectLinkProjectsResponseType$ = {}));
var CreateProjectLinkProjectsResponseDeployHooks$inboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var CreateProjectLinkProjectsResponseDeployHooks$outboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var CreateProjectLinkProjectsResponseDeployHooks$;
(function(CreateProjectLinkProjectsResponseDeployHooks$2) {
  CreateProjectLinkProjectsResponseDeployHooks$2.inboundSchema = CreateProjectLinkProjectsResponseDeployHooks$inboundSchema;
  CreateProjectLinkProjectsResponseDeployHooks$2.outboundSchema = CreateProjectLinkProjectsResponseDeployHooks$outboundSchema;
})(CreateProjectLinkProjectsResponseDeployHooks$ || (CreateProjectLinkProjectsResponseDeployHooks$ = {}));
var CreateProjectLink3$inboundSchema = objectType({
  name: stringType().optional(),
  slug: stringType().optional(),
  owner: stringType().optional(),
  type: CreateProjectLinkProjectsResponseType$inboundSchema.optional(),
  uuid: stringType().optional(),
  workspaceUuid: stringType().optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => CreateProjectLinkProjectsResponseDeployHooks$inboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var CreateProjectLink3$outboundSchema = objectType({
  name: stringType().optional(),
  slug: stringType().optional(),
  owner: stringType().optional(),
  type: CreateProjectLinkProjectsResponseType$outboundSchema.optional(),
  uuid: stringType().optional(),
  workspaceUuid: stringType().optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => CreateProjectLinkProjectsResponseDeployHooks$outboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var CreateProjectLink3$;
(function(CreateProjectLink3$2) {
  CreateProjectLink3$2.inboundSchema = CreateProjectLink3$inboundSchema;
  CreateProjectLink3$2.outboundSchema = CreateProjectLink3$outboundSchema;
})(CreateProjectLink3$ || (CreateProjectLink3$ = {}));
var CreateProjectLinkProjectsType$inboundSchema = nativeEnumType(CreateProjectLinkProjectsType);
var CreateProjectLinkProjectsType$outboundSchema = CreateProjectLinkProjectsType$inboundSchema;
var CreateProjectLinkProjectsType$;
(function(CreateProjectLinkProjectsType$2) {
  CreateProjectLinkProjectsType$2.inboundSchema = CreateProjectLinkProjectsType$inboundSchema;
  CreateProjectLinkProjectsType$2.outboundSchema = CreateProjectLinkProjectsType$outboundSchema;
})(CreateProjectLinkProjectsType$ || (CreateProjectLinkProjectsType$ = {}));
var CreateProjectLinkProjectsDeployHooks$inboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var CreateProjectLinkProjectsDeployHooks$outboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var CreateProjectLinkProjectsDeployHooks$;
(function(CreateProjectLinkProjectsDeployHooks$2) {
  CreateProjectLinkProjectsDeployHooks$2.inboundSchema = CreateProjectLinkProjectsDeployHooks$inboundSchema;
  CreateProjectLinkProjectsDeployHooks$2.outboundSchema = CreateProjectLinkProjectsDeployHooks$outboundSchema;
})(CreateProjectLinkProjectsDeployHooks$ || (CreateProjectLinkProjectsDeployHooks$ = {}));
var CreateProjectLink2$inboundSchema = objectType({
  projectId: stringType().optional(),
  projectName: stringType().optional(),
  projectNameWithNamespace: stringType().optional(),
  projectNamespace: stringType().optional(),
  projectOwnerId: numberType().optional(),
  projectUrl: stringType().optional(),
  type: CreateProjectLinkProjectsType$inboundSchema.optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => CreateProjectLinkProjectsDeployHooks$inboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var CreateProjectLink2$outboundSchema = objectType({
  projectId: stringType().optional(),
  projectName: stringType().optional(),
  projectNameWithNamespace: stringType().optional(),
  projectNamespace: stringType().optional(),
  projectOwnerId: numberType().optional(),
  projectUrl: stringType().optional(),
  type: CreateProjectLinkProjectsType$outboundSchema.optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => CreateProjectLinkProjectsDeployHooks$outboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var CreateProjectLink2$;
(function(CreateProjectLink2$2) {
  CreateProjectLink2$2.inboundSchema = CreateProjectLink2$inboundSchema;
  CreateProjectLink2$2.outboundSchema = CreateProjectLink2$outboundSchema;
})(CreateProjectLink2$ || (CreateProjectLink2$ = {}));
var CreateProjectLinkType$inboundSchema = nativeEnumType(CreateProjectLinkType);
var CreateProjectLinkType$outboundSchema = CreateProjectLinkType$inboundSchema;
var CreateProjectLinkType$;
(function(CreateProjectLinkType$2) {
  CreateProjectLinkType$2.inboundSchema = CreateProjectLinkType$inboundSchema;
  CreateProjectLinkType$2.outboundSchema = CreateProjectLinkType$outboundSchema;
})(CreateProjectLinkType$ || (CreateProjectLinkType$ = {}));
var CreateProjectLinkDeployHooks$inboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var CreateProjectLinkDeployHooks$outboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var CreateProjectLinkDeployHooks$;
(function(CreateProjectLinkDeployHooks$2) {
  CreateProjectLinkDeployHooks$2.inboundSchema = CreateProjectLinkDeployHooks$inboundSchema;
  CreateProjectLinkDeployHooks$2.outboundSchema = CreateProjectLinkDeployHooks$outboundSchema;
})(CreateProjectLinkDeployHooks$ || (CreateProjectLinkDeployHooks$ = {}));
var CreateProjectLink1$inboundSchema = objectType({
  org: stringType().optional(),
  repoOwnerId: numberType().optional(),
  repo: stringType().optional(),
  repoId: numberType().optional(),
  type: CreateProjectLinkType$inboundSchema.optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => CreateProjectLinkDeployHooks$inboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var CreateProjectLink1$outboundSchema = objectType({
  org: stringType().optional(),
  repoOwnerId: numberType().optional(),
  repo: stringType().optional(),
  repoId: numberType().optional(),
  type: CreateProjectLinkType$outboundSchema.optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => CreateProjectLinkDeployHooks$outboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var CreateProjectLink1$;
(function(CreateProjectLink1$2) {
  CreateProjectLink1$2.inboundSchema = CreateProjectLink1$inboundSchema;
  CreateProjectLink1$2.outboundSchema = CreateProjectLink1$outboundSchema;
})(CreateProjectLink1$ || (CreateProjectLink1$ = {}));
var CreateProjectLink$inboundSchema = unionType([
  lazyType(() => CreateProjectLink1$inboundSchema),
  lazyType(() => CreateProjectLink3$inboundSchema),
  lazyType(() => CreateProjectLink2$inboundSchema)
]);
var CreateProjectLink$outboundSchema = unionType([
  lazyType(() => CreateProjectLink1$outboundSchema),
  lazyType(() => CreateProjectLink3$outboundSchema),
  lazyType(() => CreateProjectLink2$outboundSchema)
]);
var CreateProjectLink$;
(function(CreateProjectLink$2) {
  CreateProjectLink$2.inboundSchema = CreateProjectLink$inboundSchema;
  CreateProjectLink$2.outboundSchema = CreateProjectLink$outboundSchema;
})(CreateProjectLink$ || (CreateProjectLink$ = {}));
var CreateProjectMicrofrontends$inboundSchema = objectType({
  updatedAt: numberType(),
  groupIds: arrayType(stringType()),
  enabled: booleanType(),
  isDefaultApp: booleanType().optional(),
  defaultRoute: stringType().optional()
});
var CreateProjectMicrofrontends$outboundSchema = objectType({
  updatedAt: numberType(),
  groupIds: arrayType(stringType()),
  enabled: booleanType(),
  isDefaultApp: booleanType().optional(),
  defaultRoute: stringType().optional()
});
var CreateProjectMicrofrontends$;
(function(CreateProjectMicrofrontends$2) {
  CreateProjectMicrofrontends$2.inboundSchema = CreateProjectMicrofrontends$inboundSchema;
  CreateProjectMicrofrontends$2.outboundSchema = CreateProjectMicrofrontends$outboundSchema;
})(CreateProjectMicrofrontends$ || (CreateProjectMicrofrontends$ = {}));
var CreateProjectNodeVersion$inboundSchema = nativeEnumType(CreateProjectNodeVersion);
var CreateProjectNodeVersion$outboundSchema = CreateProjectNodeVersion$inboundSchema;
var CreateProjectNodeVersion$;
(function(CreateProjectNodeVersion$2) {
  CreateProjectNodeVersion$2.inboundSchema = CreateProjectNodeVersion$inboundSchema;
  CreateProjectNodeVersion$2.outboundSchema = CreateProjectNodeVersion$outboundSchema;
})(CreateProjectNodeVersion$ || (CreateProjectNodeVersion$ = {}));
var CreateProjectPaths$inboundSchema = objectType({
  value: stringType()
});
var CreateProjectPaths$outboundSchema = objectType({
  value: stringType()
});
var CreateProjectPaths$;
(function(CreateProjectPaths$2) {
  CreateProjectPaths$2.inboundSchema = CreateProjectPaths$inboundSchema;
  CreateProjectPaths$2.outboundSchema = CreateProjectPaths$outboundSchema;
})(CreateProjectPaths$ || (CreateProjectPaths$ = {}));
var CreateProjectOptionsAllowlist$inboundSchema = objectType({
  paths: arrayType(lazyType(() => CreateProjectPaths$inboundSchema))
});
var CreateProjectOptionsAllowlist$outboundSchema = objectType({
  paths: arrayType(lazyType(() => CreateProjectPaths$outboundSchema))
});
var CreateProjectOptionsAllowlist$;
(function(CreateProjectOptionsAllowlist$2) {
  CreateProjectOptionsAllowlist$2.inboundSchema = CreateProjectOptionsAllowlist$inboundSchema;
  CreateProjectOptionsAllowlist$2.outboundSchema = CreateProjectOptionsAllowlist$outboundSchema;
})(CreateProjectOptionsAllowlist$ || (CreateProjectOptionsAllowlist$ = {}));
var CreateProjectPasswordProtection$inboundSchema = objectType({});
var CreateProjectPasswordProtection$outboundSchema = objectType({});
var CreateProjectPasswordProtection$;
(function(CreateProjectPasswordProtection$2) {
  CreateProjectPasswordProtection$2.inboundSchema = CreateProjectPasswordProtection$inboundSchema;
  CreateProjectPasswordProtection$2.outboundSchema = CreateProjectPasswordProtection$outboundSchema;
})(CreateProjectPasswordProtection$ || (CreateProjectPasswordProtection$ = {}));
var CreateProjectFunctionDefaultMemoryType$inboundSchema = nativeEnumType(CreateProjectFunctionDefaultMemoryType);
var CreateProjectFunctionDefaultMemoryType$outboundSchema = CreateProjectFunctionDefaultMemoryType$inboundSchema;
var CreateProjectFunctionDefaultMemoryType$;
(function(CreateProjectFunctionDefaultMemoryType$2) {
  CreateProjectFunctionDefaultMemoryType$2.inboundSchema = CreateProjectFunctionDefaultMemoryType$inboundSchema;
  CreateProjectFunctionDefaultMemoryType$2.outboundSchema = CreateProjectFunctionDefaultMemoryType$outboundSchema;
})(CreateProjectFunctionDefaultMemoryType$ || (CreateProjectFunctionDefaultMemoryType$ = {}));
var CreateProjectResourceConfig$inboundSchema = objectType({
  fluid: booleanType().optional(),
  functionDefaultRegion: nullableType(stringType()).optional(),
  functionDefaultTimeout: numberType().optional(),
  functionDefaultMemoryType: CreateProjectFunctionDefaultMemoryType$inboundSchema.optional(),
  functionZeroConfigFailover: booleanType().optional(),
  allowServerlessConcurrency: booleanType().optional(),
  elasticConcurrencyEnabled: booleanType().optional()
});
var CreateProjectResourceConfig$outboundSchema = objectType({
  fluid: booleanType().optional(),
  functionDefaultRegion: nullableType(stringType()).optional(),
  functionDefaultTimeout: numberType().optional(),
  functionDefaultMemoryType: CreateProjectFunctionDefaultMemoryType$outboundSchema.optional(),
  functionZeroConfigFailover: booleanType().optional(),
  allowServerlessConcurrency: booleanType().optional(),
  elasticConcurrencyEnabled: booleanType().optional()
});
var CreateProjectResourceConfig$;
(function(CreateProjectResourceConfig$2) {
  CreateProjectResourceConfig$2.inboundSchema = CreateProjectResourceConfig$inboundSchema;
  CreateProjectResourceConfig$2.outboundSchema = CreateProjectResourceConfig$outboundSchema;
})(CreateProjectResourceConfig$ || (CreateProjectResourceConfig$ = {}));
var CreateProjectDeploymentType$inboundSchema = nativeEnumType(CreateProjectDeploymentType);
var CreateProjectDeploymentType$outboundSchema = CreateProjectDeploymentType$inboundSchema;
var CreateProjectDeploymentType$;
(function(CreateProjectDeploymentType$2) {
  CreateProjectDeploymentType$2.inboundSchema = CreateProjectDeploymentType$inboundSchema;
  CreateProjectDeploymentType$2.outboundSchema = CreateProjectDeploymentType$outboundSchema;
})(CreateProjectDeploymentType$ || (CreateProjectDeploymentType$ = {}));
var CreateProjectSsoProtection$inboundSchema = objectType({
  deploymentType: CreateProjectDeploymentType$inboundSchema
});
var CreateProjectSsoProtection$outboundSchema = objectType({
  deploymentType: CreateProjectDeploymentType$outboundSchema
});
var CreateProjectSsoProtection$;
(function(CreateProjectSsoProtection$2) {
  CreateProjectSsoProtection$2.inboundSchema = CreateProjectSsoProtection$inboundSchema;
  CreateProjectSsoProtection$2.outboundSchema = CreateProjectSsoProtection$outboundSchema;
})(CreateProjectSsoProtection$ || (CreateProjectSsoProtection$ = {}));
var CreateProjectProjectsAliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
var CreateProjectProjectsAliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
var CreateProjectProjectsAliasAssigned$;
(function(CreateProjectProjectsAliasAssigned$2) {
  CreateProjectProjectsAliasAssigned$2.inboundSchema = CreateProjectProjectsAliasAssigned$inboundSchema;
  CreateProjectProjectsAliasAssigned$2.outboundSchema = CreateProjectProjectsAliasAssigned$outboundSchema;
})(CreateProjectProjectsAliasAssigned$ || (CreateProjectProjectsAliasAssigned$ = {}));
var CreateProjectProjectsAliasError$inboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var CreateProjectProjectsAliasError$outboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var CreateProjectProjectsAliasError$;
(function(CreateProjectProjectsAliasError$2) {
  CreateProjectProjectsAliasError$2.inboundSchema = CreateProjectProjectsAliasError$inboundSchema;
  CreateProjectProjectsAliasError$2.outboundSchema = CreateProjectProjectsAliasError$outboundSchema;
})(CreateProjectProjectsAliasError$ || (CreateProjectProjectsAliasError$ = {}));
var CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType);
var CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema;
var CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$;
(function(CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$2) {
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$2.inboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema;
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$2.outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$outboundSchema;
})(CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$ || (CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$ = {}));
var CreateProjectProjectsBranchMatcher$inboundSchema = objectType({
  type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema,
  pattern: stringType()
});
var CreateProjectProjectsBranchMatcher$outboundSchema = objectType({
  type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyTargetsType$outboundSchema,
  pattern: stringType()
});
var CreateProjectProjectsBranchMatcher$;
(function(CreateProjectProjectsBranchMatcher$2) {
  CreateProjectProjectsBranchMatcher$2.inboundSchema = CreateProjectProjectsBranchMatcher$inboundSchema;
  CreateProjectProjectsBranchMatcher$2.outboundSchema = CreateProjectProjectsBranchMatcher$outboundSchema;
})(CreateProjectProjectsBranchMatcher$ || (CreateProjectProjectsBranchMatcher$ = {}));
var CreateProjectProjectsBuilds$inboundSchema = objectType({
  use: stringType(),
  src: stringType().optional(),
  dest: stringType().optional()
});
var CreateProjectProjectsBuilds$outboundSchema = objectType({
  use: stringType(),
  src: stringType().optional(),
  dest: stringType().optional()
});
var CreateProjectProjectsBuilds$;
(function(CreateProjectProjectsBuilds$2) {
  CreateProjectProjectsBuilds$2.inboundSchema = CreateProjectProjectsBuilds$inboundSchema;
  CreateProjectProjectsBuilds$2.outboundSchema = CreateProjectProjectsBuilds$outboundSchema;
})(CreateProjectProjectsBuilds$ || (CreateProjectProjectsBuilds$ = {}));
var CreateProjectProjectsChecksConclusion$inboundSchema = nativeEnumType(CreateProjectProjectsChecksConclusion);
var CreateProjectProjectsChecksConclusion$outboundSchema = CreateProjectProjectsChecksConclusion$inboundSchema;
var CreateProjectProjectsChecksConclusion$;
(function(CreateProjectProjectsChecksConclusion$2) {
  CreateProjectProjectsChecksConclusion$2.inboundSchema = CreateProjectProjectsChecksConclusion$inboundSchema;
  CreateProjectProjectsChecksConclusion$2.outboundSchema = CreateProjectProjectsChecksConclusion$outboundSchema;
})(CreateProjectProjectsChecksConclusion$ || (CreateProjectProjectsChecksConclusion$ = {}));
var CreateProjectProjectsChecksState$inboundSchema = nativeEnumType(CreateProjectProjectsChecksState);
var CreateProjectProjectsChecksState$outboundSchema = CreateProjectProjectsChecksState$inboundSchema;
var CreateProjectProjectsChecksState$;
(function(CreateProjectProjectsChecksState$2) {
  CreateProjectProjectsChecksState$2.inboundSchema = CreateProjectProjectsChecksState$inboundSchema;
  CreateProjectProjectsChecksState$2.outboundSchema = CreateProjectProjectsChecksState$outboundSchema;
})(CreateProjectProjectsChecksState$ || (CreateProjectProjectsChecksState$ = {}));
var CreateProjectProjectsCreator$inboundSchema = objectType({
  email: stringType(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional(),
  uid: stringType(),
  username: stringType()
});
var CreateProjectProjectsCreator$outboundSchema = objectType({
  email: stringType(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional(),
  uid: stringType(),
  username: stringType()
});
var CreateProjectProjectsCreator$;
(function(CreateProjectProjectsCreator$2) {
  CreateProjectProjectsCreator$2.inboundSchema = CreateProjectProjectsCreator$inboundSchema;
  CreateProjectProjectsCreator$2.outboundSchema = CreateProjectProjectsCreator$outboundSchema;
})(CreateProjectProjectsCreator$ || (CreateProjectProjectsCreator$ = {}));
var CreateProjectProjectsOidcTokenClaims$inboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  owner_id: stringType(),
  project: stringType(),
  project_id: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    owner_id: "ownerId",
    project_id: "projectId"
  });
});
var CreateProjectProjectsOidcTokenClaims$outboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  ownerId: stringType(),
  project: stringType(),
  projectId: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    ownerId: "owner_id",
    projectId: "project_id"
  });
});
var CreateProjectProjectsOidcTokenClaims$;
(function(CreateProjectProjectsOidcTokenClaims$2) {
  CreateProjectProjectsOidcTokenClaims$2.inboundSchema = CreateProjectProjectsOidcTokenClaims$inboundSchema;
  CreateProjectProjectsOidcTokenClaims$2.outboundSchema = CreateProjectProjectsOidcTokenClaims$outboundSchema;
})(CreateProjectProjectsOidcTokenClaims$ || (CreateProjectProjectsOidcTokenClaims$ = {}));
var CreateProjectProjectsPlan$inboundSchema = nativeEnumType(CreateProjectProjectsPlan);
var CreateProjectProjectsPlan$outboundSchema = CreateProjectProjectsPlan$inboundSchema;
var CreateProjectProjectsPlan$;
(function(CreateProjectProjectsPlan$2) {
  CreateProjectProjectsPlan$2.inboundSchema = CreateProjectProjectsPlan$inboundSchema;
  CreateProjectProjectsPlan$2.outboundSchema = CreateProjectProjectsPlan$outboundSchema;
})(CreateProjectProjectsPlan$ || (CreateProjectProjectsPlan$ = {}));
var CreateProjectProjectsReadyState$inboundSchema = nativeEnumType(CreateProjectProjectsReadyState);
var CreateProjectProjectsReadyState$outboundSchema = CreateProjectProjectsReadyState$inboundSchema;
var CreateProjectProjectsReadyState$;
(function(CreateProjectProjectsReadyState$2) {
  CreateProjectProjectsReadyState$2.inboundSchema = CreateProjectProjectsReadyState$inboundSchema;
  CreateProjectProjectsReadyState$2.outboundSchema = CreateProjectProjectsReadyState$outboundSchema;
})(CreateProjectProjectsReadyState$ || (CreateProjectProjectsReadyState$ = {}));
var CreateProjectProjectsReadySubstate$inboundSchema = nativeEnumType(CreateProjectProjectsReadySubstate);
var CreateProjectProjectsReadySubstate$outboundSchema = CreateProjectProjectsReadySubstate$inboundSchema;
var CreateProjectProjectsReadySubstate$;
(function(CreateProjectProjectsReadySubstate$2) {
  CreateProjectProjectsReadySubstate$2.inboundSchema = CreateProjectProjectsReadySubstate$inboundSchema;
  CreateProjectProjectsReadySubstate$2.outboundSchema = CreateProjectProjectsReadySubstate$outboundSchema;
})(CreateProjectProjectsReadySubstate$ || (CreateProjectProjectsReadySubstate$ = {}));
var CreateProjectProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200ApplicationJSONType);
var CreateProjectProjectsResponse200ApplicationJSONType$outboundSchema = CreateProjectProjectsResponse200ApplicationJSONType$inboundSchema;
var CreateProjectProjectsResponse200ApplicationJSONType$;
(function(CreateProjectProjectsResponse200ApplicationJSONType$2) {
  CreateProjectProjectsResponse200ApplicationJSONType$2.inboundSchema = CreateProjectProjectsResponse200ApplicationJSONType$inboundSchema;
  CreateProjectProjectsResponse200ApplicationJSONType$2.outboundSchema = CreateProjectProjectsResponse200ApplicationJSONType$outboundSchema;
})(CreateProjectProjectsResponse200ApplicationJSONType$ || (CreateProjectProjectsResponse200ApplicationJSONType$ = {}));
var CreateProjectTargets$inboundSchema = objectType({
  id: stringType(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  aliasError: nullableType(lazyType(() => CreateProjectProjectsAliasError$inboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  branchMatcher: lazyType(() => CreateProjectProjectsBranchMatcher$inboundSchema).optional(),
  buildingAt: numberType().optional(),
  builds: arrayType(lazyType(() => CreateProjectProjectsBuilds$inboundSchema)).optional(),
  checksConclusion: CreateProjectProjectsChecksConclusion$inboundSchema.optional(),
  checksState: CreateProjectProjectsChecksState$inboundSchema.optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdAt: numberType(),
  createdIn: stringType(),
  creator: nullableType(lazyType(() => CreateProjectProjectsCreator$inboundSchema)),
  deletedAt: numberType().optional(),
  deploymentHostname: stringType(),
  forced: booleanType().optional(),
  name: stringType(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  oidcTokenClaims: lazyType(() => CreateProjectProjectsOidcTokenClaims$inboundSchema).optional(),
  plan: CreateProjectProjectsPlan$inboundSchema,
  previewCommentsEnabled: booleanType().optional(),
  private: booleanType(),
  readyAt: numberType().optional(),
  readyState: CreateProjectProjectsReadyState$inboundSchema,
  readySubstate: CreateProjectProjectsReadySubstate$inboundSchema.optional(),
  requestedAt: numberType().optional(),
  target: nullableType(stringType()).optional(),
  teamId: nullableType(stringType()).optional(),
  type: CreateProjectProjectsResponse200ApplicationJSONType$inboundSchema,
  url: stringType(),
  userId: stringType(),
  withCache: booleanType().optional()
});
var CreateProjectTargets$outboundSchema = objectType({
  id: stringType(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  aliasError: nullableType(lazyType(() => CreateProjectProjectsAliasError$outboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  branchMatcher: lazyType(() => CreateProjectProjectsBranchMatcher$outboundSchema).optional(),
  buildingAt: numberType().optional(),
  builds: arrayType(lazyType(() => CreateProjectProjectsBuilds$outboundSchema)).optional(),
  checksConclusion: CreateProjectProjectsChecksConclusion$outboundSchema.optional(),
  checksState: CreateProjectProjectsChecksState$outboundSchema.optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdAt: numberType(),
  createdIn: stringType(),
  creator: nullableType(lazyType(() => CreateProjectProjectsCreator$outboundSchema)),
  deletedAt: numberType().optional(),
  deploymentHostname: stringType(),
  forced: booleanType().optional(),
  name: stringType(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  oidcTokenClaims: lazyType(() => CreateProjectProjectsOidcTokenClaims$outboundSchema).optional(),
  plan: CreateProjectProjectsPlan$outboundSchema,
  previewCommentsEnabled: booleanType().optional(),
  private: booleanType(),
  readyAt: numberType().optional(),
  readyState: CreateProjectProjectsReadyState$outboundSchema,
  readySubstate: CreateProjectProjectsReadySubstate$outboundSchema.optional(),
  requestedAt: numberType().optional(),
  target: nullableType(stringType()).optional(),
  teamId: nullableType(stringType()).optional(),
  type: CreateProjectProjectsResponse200ApplicationJSONType$outboundSchema,
  url: stringType(),
  userId: stringType(),
  withCache: booleanType().optional()
});
var CreateProjectTargets$;
(function(CreateProjectTargets$2) {
  CreateProjectTargets$2.inboundSchema = CreateProjectTargets$inboundSchema;
  CreateProjectTargets$2.outboundSchema = CreateProjectTargets$outboundSchema;
})(CreateProjectTargets$ || (CreateProjectTargets$ = {}));
var CreateProjectPermissions$inboundSchema = objectType({
  accessGroup: arrayType(ACLAction$inboundSchema).optional(),
  aliasGlobal: arrayType(ACLAction$inboundSchema).optional(),
  analyticsSampling: arrayType(ACLAction$inboundSchema).optional(),
  analyticsUsage: arrayType(ACLAction$inboundSchema).optional(),
  auditLog: arrayType(ACLAction$inboundSchema).optional(),
  billingAddress: arrayType(ACLAction$inboundSchema).optional(),
  billingInformation: arrayType(ACLAction$inboundSchema).optional(),
  billingInvoice: arrayType(ACLAction$inboundSchema).optional(),
  billingInvoiceEmailRecipient: arrayType(ACLAction$inboundSchema).optional(),
  billingInvoiceLanguage: arrayType(ACLAction$inboundSchema).optional(),
  billingPlan: arrayType(ACLAction$inboundSchema).optional(),
  billingPurchaseOrder: arrayType(ACLAction$inboundSchema).optional(),
  billingTaxId: arrayType(ACLAction$inboundSchema).optional(),
  blob: arrayType(ACLAction$inboundSchema).optional(),
  budget: arrayType(ACLAction$inboundSchema).optional(),
  cacheArtifact: arrayType(ACLAction$inboundSchema).optional(),
  cacheArtifactUsageEvent: arrayType(ACLAction$inboundSchema).optional(),
  codeChecks: arrayType(ACLAction$inboundSchema).optional(),
  concurrentBuilds: arrayType(ACLAction$inboundSchema).optional(),
  connect: arrayType(ACLAction$inboundSchema).optional(),
  connectConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  domain: arrayType(ACLAction$inboundSchema).optional(),
  domainAcceptDelegation: arrayType(ACLAction$inboundSchema).optional(),
  domainAuthCodes: arrayType(ACLAction$inboundSchema).optional(),
  domainCertificate: arrayType(ACLAction$inboundSchema).optional(),
  domainCheckConfig: arrayType(ACLAction$inboundSchema).optional(),
  domainMove: arrayType(ACLAction$inboundSchema).optional(),
  domainPurchase: arrayType(ACLAction$inboundSchema).optional(),
  domainRecord: arrayType(ACLAction$inboundSchema).optional(),
  domainTransferIn: arrayType(ACLAction$inboundSchema).optional(),
  event: arrayType(ACLAction$inboundSchema).optional(),
  ownEvent: arrayType(ACLAction$inboundSchema).optional(),
  sensitiveEnvironmentVariablePolicy: arrayType(ACLAction$inboundSchema).optional(),
  fileUpload: arrayType(ACLAction$inboundSchema).optional(),
  gitRepository: arrayType(ACLAction$inboundSchema).optional(),
  ipBlocking: arrayType(ACLAction$inboundSchema).optional(),
  integration: arrayType(ACLAction$inboundSchema).optional(),
  integrationAccount: arrayType(ACLAction$inboundSchema).optional(),
  integrationConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  integrationConfigurationTransfer: arrayType(ACLAction$inboundSchema).optional(),
  integrationConfigurationProjects: arrayType(ACLAction$inboundSchema).optional(),
  integrationVercelConfigurationOverride: arrayType(ACLAction$inboundSchema).optional(),
  integrationConfigurationRole: arrayType(ACLAction$inboundSchema).optional(),
  integrationResource: arrayType(ACLAction$inboundSchema).optional(),
  integrationEvent: arrayType(ACLAction$inboundSchema).optional(),
  integrationResourceSecrets: arrayType(ACLAction$inboundSchema).optional(),
  integrationDeploymentAction: arrayType(ACLAction$inboundSchema).optional(),
  marketplaceInstallationMember: arrayType(ACLAction$inboundSchema).optional(),
  marketplaceBillingData: arrayType(ACLAction$inboundSchema).optional(),
  marketplaceInvoice: arrayType(ACLAction$inboundSchema).optional(),
  jobGlobal: arrayType(ACLAction$inboundSchema).optional(),
  logDrain: arrayType(ACLAction$inboundSchema).optional(),
  Monitoring: arrayType(ACLAction$inboundSchema).optional(),
  monitoringSettings: arrayType(ACLAction$inboundSchema).optional(),
  monitoringQuery: arrayType(ACLAction$inboundSchema).optional(),
  monitoringChart: arrayType(ACLAction$inboundSchema).optional(),
  monitoringAlert: arrayType(ACLAction$inboundSchema).optional(),
  notificationDeploymentFailed: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainExpire: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainMoved: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainPurchase: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainRenewal: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainTransfer: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainUnverified: arrayType(ACLAction$inboundSchema).optional(),
  NotificationMonitoringAlert: arrayType(ACLAction$inboundSchema).optional(),
  notificationPaymentFailed: arrayType(ACLAction$inboundSchema).optional(),
  notificationUsageAlert: arrayType(ACLAction$inboundSchema).optional(),
  notificationCustomerBudget: arrayType(ACLAction$inboundSchema).optional(),
  notificationStatementOfReasons: arrayType(ACLAction$inboundSchema).optional(),
  oauth2Connection: arrayType(ACLAction$inboundSchema).optional(),
  observabilityConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  openTelemetryEndpoint: arrayType(ACLAction$inboundSchema).optional(),
  paymentMethod: arrayType(ACLAction$inboundSchema).optional(),
  permissions: arrayType(ACLAction$inboundSchema).optional(),
  postgres: arrayType(ACLAction$inboundSchema).optional(),
  previewDeploymentSuffix: arrayType(ACLAction$inboundSchema).optional(),
  proTrialOnboarding: arrayType(ACLAction$inboundSchema).optional(),
  sharedEnvVars: arrayType(ACLAction$inboundSchema).optional(),
  sharedEnvVarsProduction: arrayType(ACLAction$inboundSchema).optional(),
  space: arrayType(ACLAction$inboundSchema).optional(),
  spaceRun: arrayType(ACLAction$inboundSchema).optional(),
  passwordProtectionInvoiceItem: arrayType(ACLAction$inboundSchema).optional(),
  rateLimit: arrayType(ACLAction$inboundSchema).optional(),
  redis: arrayType(ACLAction$inboundSchema).optional(),
  repository: arrayType(ACLAction$inboundSchema).optional(),
  remoteCaching: arrayType(ACLAction$inboundSchema).optional(),
  samlConfig: arrayType(ACLAction$inboundSchema).optional(),
  secret: arrayType(ACLAction$inboundSchema).optional(),
  redisStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
  blobStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
  postgresStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
  integrationStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
  integrationResourceReplCommand: arrayType(ACLAction$inboundSchema).optional(),
  storeTransfer: arrayType(ACLAction$inboundSchema).optional(),
  supportCase: arrayType(ACLAction$inboundSchema).optional(),
  supportCaseComment: arrayType(ACLAction$inboundSchema).optional(),
  dataCacheBillingSettings: arrayType(ACLAction$inboundSchema).optional(),
  team: arrayType(ACLAction$inboundSchema).optional(),
  teamAccessRequest: arrayType(ACLAction$inboundSchema).optional(),
  teamFellowMembership: arrayType(ACLAction$inboundSchema).optional(),
  teamGitExclusivity: arrayType(ACLAction$inboundSchema).optional(),
  teamInvite: arrayType(ACLAction$inboundSchema).optional(),
  teamInviteCode: arrayType(ACLAction$inboundSchema).optional(),
  teamJoin: arrayType(ACLAction$inboundSchema).optional(),
  teamMicrofrontends: arrayType(ACLAction$inboundSchema).optional(),
  teamOwnMembership: arrayType(ACLAction$inboundSchema).optional(),
  teamOwnMembershipDisconnectSAML: arrayType(ACLAction$inboundSchema).optional(),
  token: arrayType(ACLAction$inboundSchema).optional(),
  usage: arrayType(ACLAction$inboundSchema).optional(),
  usageCycle: arrayType(ACLAction$inboundSchema).optional(),
  user: arrayType(ACLAction$inboundSchema).optional(),
  userConnection: arrayType(ACLAction$inboundSchema).optional(),
  vpcPeeringConnection: arrayType(ACLAction$inboundSchema).optional(),
  webAnalyticsPlan: arrayType(ACLAction$inboundSchema).optional(),
  webAuthn: arrayType(ACLAction$inboundSchema).optional(),
  edgeConfig: arrayType(ACLAction$inboundSchema).optional(),
  edgeConfigItem: arrayType(ACLAction$inboundSchema).optional(),
  edgeConfigSchema: arrayType(ACLAction$inboundSchema).optional(),
  edgeConfigToken: arrayType(ACLAction$inboundSchema).optional(),
  webhook: arrayType(ACLAction$inboundSchema).optional(),
  "webhook-event": arrayType(ACLAction$inboundSchema).optional(),
  endpointVerification: arrayType(ACLAction$inboundSchema).optional(),
  projectTransferIn: arrayType(ACLAction$inboundSchema).optional(),
  oauth2Application: arrayType(ACLAction$inboundSchema).optional(),
  aliasProject: arrayType(ACLAction$inboundSchema).optional(),
  aliasProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
  productionAliasProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
  connectConfigurationLink: arrayType(ACLAction$inboundSchema).optional(),
  dataCacheNamespace: arrayType(ACLAction$inboundSchema).optional(),
  deployment: arrayType(ACLAction$inboundSchema).optional(),
  deploymentCheck: arrayType(ACLAction$inboundSchema).optional(),
  deploymentCheckPreview: arrayType(ACLAction$inboundSchema).optional(),
  deploymentCheckReRunFromProductionBranch: arrayType(ACLAction$inboundSchema).optional(),
  deploymentProductionGit: arrayType(ACLAction$inboundSchema).optional(),
  deploymentV0: arrayType(ACLAction$inboundSchema).optional(),
  deploymentPreview: arrayType(ACLAction$inboundSchema).optional(),
  deploymentPrivate: arrayType(ACLAction$inboundSchema).optional(),
  deploymentPromote: arrayType(ACLAction$inboundSchema).optional(),
  deploymentRollback: arrayType(ACLAction$inboundSchema).optional(),
  environments: arrayType(ACLAction$inboundSchema).optional(),
  logs: arrayType(ACLAction$inboundSchema).optional(),
  logsPreset: arrayType(ACLAction$inboundSchema).optional(),
  passwordProtection: arrayType(ACLAction$inboundSchema).optional(),
  optionsAllowlist: arrayType(ACLAction$inboundSchema).optional(),
  job: arrayType(ACLAction$inboundSchema).optional(),
  observabilityData: arrayType(ACLAction$inboundSchema).optional(),
  project: arrayType(ACLAction$inboundSchema).optional(),
  projectFromV0: arrayType(ACLAction$inboundSchema).optional(),
  projectAccessGroup: arrayType(ACLAction$inboundSchema).optional(),
  projectAnalyticsSampling: arrayType(ACLAction$inboundSchema).optional(),
  projectDeploymentHook: arrayType(ACLAction$inboundSchema).optional(),
  projectDomain: arrayType(ACLAction$inboundSchema).optional(),
  projectDomainMove: arrayType(ACLAction$inboundSchema).optional(),
  projectDomainCheckConfig: arrayType(ACLAction$inboundSchema).optional(),
  projectEnvVars: arrayType(ACLAction$inboundSchema).optional(),
  projectEnvVarsProduction: arrayType(ACLAction$inboundSchema).optional(),
  projectEnvVarsUnownedByIntegration: arrayType(ACLAction$inboundSchema).optional(),
  projectFlags: arrayType(ACLAction$inboundSchema).optional(),
  projectId: arrayType(ACLAction$inboundSchema).optional(),
  projectIntegrationConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  projectLink: arrayType(ACLAction$inboundSchema).optional(),
  projectMember: arrayType(ACLAction$inboundSchema).optional(),
  projectMonitoring: arrayType(ACLAction$inboundSchema).optional(),
  projectPermissions: arrayType(ACLAction$inboundSchema).optional(),
  projectProductionBranch: arrayType(ACLAction$inboundSchema).optional(),
  projectTransfer: arrayType(ACLAction$inboundSchema).optional(),
  projectTransferOut: arrayType(ACLAction$inboundSchema).optional(),
  projectProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
  projectUsage: arrayType(ACLAction$inboundSchema).optional(),
  projectAnalyticsUsage: arrayType(ACLAction$inboundSchema).optional(),
  projectSupportCase: arrayType(ACLAction$inboundSchema).optional(),
  projectSupportCaseComment: arrayType(ACLAction$inboundSchema).optional(),
  projectDeploymentExpiration: arrayType(ACLAction$inboundSchema).optional(),
  projectTier: arrayType(ACLAction$inboundSchema).optional(),
  seawallConfig: arrayType(ACLAction$inboundSchema).optional(),
  skewProtection: arrayType(ACLAction$inboundSchema).optional(),
  analytics: arrayType(ACLAction$inboundSchema).optional(),
  trustedIps: arrayType(ACLAction$inboundSchema).optional(),
  webAnalytics: arrayType(ACLAction$inboundSchema).optional(),
  sharedEnvVarConnection: arrayType(ACLAction$inboundSchema).optional(),
  sonar: arrayType(ACLAction$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    Monitoring: "monitoring",
    NotificationMonitoringAlert: "notificationMonitoringAlert",
    "webhook-event": "webhookEvent"
  });
});
var CreateProjectPermissions$outboundSchema = objectType({
  accessGroup: arrayType(ACLAction$outboundSchema).optional(),
  aliasGlobal: arrayType(ACLAction$outboundSchema).optional(),
  analyticsSampling: arrayType(ACLAction$outboundSchema).optional(),
  analyticsUsage: arrayType(ACLAction$outboundSchema).optional(),
  auditLog: arrayType(ACLAction$outboundSchema).optional(),
  billingAddress: arrayType(ACLAction$outboundSchema).optional(),
  billingInformation: arrayType(ACLAction$outboundSchema).optional(),
  billingInvoice: arrayType(ACLAction$outboundSchema).optional(),
  billingInvoiceEmailRecipient: arrayType(ACLAction$outboundSchema).optional(),
  billingInvoiceLanguage: arrayType(ACLAction$outboundSchema).optional(),
  billingPlan: arrayType(ACLAction$outboundSchema).optional(),
  billingPurchaseOrder: arrayType(ACLAction$outboundSchema).optional(),
  billingTaxId: arrayType(ACLAction$outboundSchema).optional(),
  blob: arrayType(ACLAction$outboundSchema).optional(),
  budget: arrayType(ACLAction$outboundSchema).optional(),
  cacheArtifact: arrayType(ACLAction$outboundSchema).optional(),
  cacheArtifactUsageEvent: arrayType(ACLAction$outboundSchema).optional(),
  codeChecks: arrayType(ACLAction$outboundSchema).optional(),
  concurrentBuilds: arrayType(ACLAction$outboundSchema).optional(),
  connect: arrayType(ACLAction$outboundSchema).optional(),
  connectConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  domain: arrayType(ACLAction$outboundSchema).optional(),
  domainAcceptDelegation: arrayType(ACLAction$outboundSchema).optional(),
  domainAuthCodes: arrayType(ACLAction$outboundSchema).optional(),
  domainCertificate: arrayType(ACLAction$outboundSchema).optional(),
  domainCheckConfig: arrayType(ACLAction$outboundSchema).optional(),
  domainMove: arrayType(ACLAction$outboundSchema).optional(),
  domainPurchase: arrayType(ACLAction$outboundSchema).optional(),
  domainRecord: arrayType(ACLAction$outboundSchema).optional(),
  domainTransferIn: arrayType(ACLAction$outboundSchema).optional(),
  event: arrayType(ACLAction$outboundSchema).optional(),
  ownEvent: arrayType(ACLAction$outboundSchema).optional(),
  sensitiveEnvironmentVariablePolicy: arrayType(ACLAction$outboundSchema).optional(),
  fileUpload: arrayType(ACLAction$outboundSchema).optional(),
  gitRepository: arrayType(ACLAction$outboundSchema).optional(),
  ipBlocking: arrayType(ACLAction$outboundSchema).optional(),
  integration: arrayType(ACLAction$outboundSchema).optional(),
  integrationAccount: arrayType(ACLAction$outboundSchema).optional(),
  integrationConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  integrationConfigurationTransfer: arrayType(ACLAction$outboundSchema).optional(),
  integrationConfigurationProjects: arrayType(ACLAction$outboundSchema).optional(),
  integrationVercelConfigurationOverride: arrayType(ACLAction$outboundSchema).optional(),
  integrationConfigurationRole: arrayType(ACLAction$outboundSchema).optional(),
  integrationResource: arrayType(ACLAction$outboundSchema).optional(),
  integrationEvent: arrayType(ACLAction$outboundSchema).optional(),
  integrationResourceSecrets: arrayType(ACLAction$outboundSchema).optional(),
  integrationDeploymentAction: arrayType(ACLAction$outboundSchema).optional(),
  marketplaceInstallationMember: arrayType(ACLAction$outboundSchema).optional(),
  marketplaceBillingData: arrayType(ACLAction$outboundSchema).optional(),
  marketplaceInvoice: arrayType(ACLAction$outboundSchema).optional(),
  jobGlobal: arrayType(ACLAction$outboundSchema).optional(),
  logDrain: arrayType(ACLAction$outboundSchema).optional(),
  monitoring: arrayType(ACLAction$outboundSchema).optional(),
  monitoringSettings: arrayType(ACLAction$outboundSchema).optional(),
  monitoringQuery: arrayType(ACLAction$outboundSchema).optional(),
  monitoringChart: arrayType(ACLAction$outboundSchema).optional(),
  monitoringAlert: arrayType(ACLAction$outboundSchema).optional(),
  notificationDeploymentFailed: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainExpire: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainMoved: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainPurchase: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainRenewal: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainTransfer: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainUnverified: arrayType(ACLAction$outboundSchema).optional(),
  notificationMonitoringAlert: arrayType(ACLAction$outboundSchema).optional(),
  notificationPaymentFailed: arrayType(ACLAction$outboundSchema).optional(),
  notificationUsageAlert: arrayType(ACLAction$outboundSchema).optional(),
  notificationCustomerBudget: arrayType(ACLAction$outboundSchema).optional(),
  notificationStatementOfReasons: arrayType(ACLAction$outboundSchema).optional(),
  oauth2Connection: arrayType(ACLAction$outboundSchema).optional(),
  observabilityConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  openTelemetryEndpoint: arrayType(ACLAction$outboundSchema).optional(),
  paymentMethod: arrayType(ACLAction$outboundSchema).optional(),
  permissions: arrayType(ACLAction$outboundSchema).optional(),
  postgres: arrayType(ACLAction$outboundSchema).optional(),
  previewDeploymentSuffix: arrayType(ACLAction$outboundSchema).optional(),
  proTrialOnboarding: arrayType(ACLAction$outboundSchema).optional(),
  sharedEnvVars: arrayType(ACLAction$outboundSchema).optional(),
  sharedEnvVarsProduction: arrayType(ACLAction$outboundSchema).optional(),
  space: arrayType(ACLAction$outboundSchema).optional(),
  spaceRun: arrayType(ACLAction$outboundSchema).optional(),
  passwordProtectionInvoiceItem: arrayType(ACLAction$outboundSchema).optional(),
  rateLimit: arrayType(ACLAction$outboundSchema).optional(),
  redis: arrayType(ACLAction$outboundSchema).optional(),
  repository: arrayType(ACLAction$outboundSchema).optional(),
  remoteCaching: arrayType(ACLAction$outboundSchema).optional(),
  samlConfig: arrayType(ACLAction$outboundSchema).optional(),
  secret: arrayType(ACLAction$outboundSchema).optional(),
  redisStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
  blobStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
  postgresStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
  integrationStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
  integrationResourceReplCommand: arrayType(ACLAction$outboundSchema).optional(),
  storeTransfer: arrayType(ACLAction$outboundSchema).optional(),
  supportCase: arrayType(ACLAction$outboundSchema).optional(),
  supportCaseComment: arrayType(ACLAction$outboundSchema).optional(),
  dataCacheBillingSettings: arrayType(ACLAction$outboundSchema).optional(),
  team: arrayType(ACLAction$outboundSchema).optional(),
  teamAccessRequest: arrayType(ACLAction$outboundSchema).optional(),
  teamFellowMembership: arrayType(ACLAction$outboundSchema).optional(),
  teamGitExclusivity: arrayType(ACLAction$outboundSchema).optional(),
  teamInvite: arrayType(ACLAction$outboundSchema).optional(),
  teamInviteCode: arrayType(ACLAction$outboundSchema).optional(),
  teamJoin: arrayType(ACLAction$outboundSchema).optional(),
  teamMicrofrontends: arrayType(ACLAction$outboundSchema).optional(),
  teamOwnMembership: arrayType(ACLAction$outboundSchema).optional(),
  teamOwnMembershipDisconnectSAML: arrayType(ACLAction$outboundSchema).optional(),
  token: arrayType(ACLAction$outboundSchema).optional(),
  usage: arrayType(ACLAction$outboundSchema).optional(),
  usageCycle: arrayType(ACLAction$outboundSchema).optional(),
  user: arrayType(ACLAction$outboundSchema).optional(),
  userConnection: arrayType(ACLAction$outboundSchema).optional(),
  vpcPeeringConnection: arrayType(ACLAction$outboundSchema).optional(),
  webAnalyticsPlan: arrayType(ACLAction$outboundSchema).optional(),
  webAuthn: arrayType(ACLAction$outboundSchema).optional(),
  edgeConfig: arrayType(ACLAction$outboundSchema).optional(),
  edgeConfigItem: arrayType(ACLAction$outboundSchema).optional(),
  edgeConfigSchema: arrayType(ACLAction$outboundSchema).optional(),
  edgeConfigToken: arrayType(ACLAction$outboundSchema).optional(),
  webhook: arrayType(ACLAction$outboundSchema).optional(),
  webhookEvent: arrayType(ACLAction$outboundSchema).optional(),
  endpointVerification: arrayType(ACLAction$outboundSchema).optional(),
  projectTransferIn: arrayType(ACLAction$outboundSchema).optional(),
  oauth2Application: arrayType(ACLAction$outboundSchema).optional(),
  aliasProject: arrayType(ACLAction$outboundSchema).optional(),
  aliasProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
  productionAliasProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
  connectConfigurationLink: arrayType(ACLAction$outboundSchema).optional(),
  dataCacheNamespace: arrayType(ACLAction$outboundSchema).optional(),
  deployment: arrayType(ACLAction$outboundSchema).optional(),
  deploymentCheck: arrayType(ACLAction$outboundSchema).optional(),
  deploymentCheckPreview: arrayType(ACLAction$outboundSchema).optional(),
  deploymentCheckReRunFromProductionBranch: arrayType(ACLAction$outboundSchema).optional(),
  deploymentProductionGit: arrayType(ACLAction$outboundSchema).optional(),
  deploymentV0: arrayType(ACLAction$outboundSchema).optional(),
  deploymentPreview: arrayType(ACLAction$outboundSchema).optional(),
  deploymentPrivate: arrayType(ACLAction$outboundSchema).optional(),
  deploymentPromote: arrayType(ACLAction$outboundSchema).optional(),
  deploymentRollback: arrayType(ACLAction$outboundSchema).optional(),
  environments: arrayType(ACLAction$outboundSchema).optional(),
  logs: arrayType(ACLAction$outboundSchema).optional(),
  logsPreset: arrayType(ACLAction$outboundSchema).optional(),
  passwordProtection: arrayType(ACLAction$outboundSchema).optional(),
  optionsAllowlist: arrayType(ACLAction$outboundSchema).optional(),
  job: arrayType(ACLAction$outboundSchema).optional(),
  observabilityData: arrayType(ACLAction$outboundSchema).optional(),
  project: arrayType(ACLAction$outboundSchema).optional(),
  projectFromV0: arrayType(ACLAction$outboundSchema).optional(),
  projectAccessGroup: arrayType(ACLAction$outboundSchema).optional(),
  projectAnalyticsSampling: arrayType(ACLAction$outboundSchema).optional(),
  projectDeploymentHook: arrayType(ACLAction$outboundSchema).optional(),
  projectDomain: arrayType(ACLAction$outboundSchema).optional(),
  projectDomainMove: arrayType(ACLAction$outboundSchema).optional(),
  projectDomainCheckConfig: arrayType(ACLAction$outboundSchema).optional(),
  projectEnvVars: arrayType(ACLAction$outboundSchema).optional(),
  projectEnvVarsProduction: arrayType(ACLAction$outboundSchema).optional(),
  projectEnvVarsUnownedByIntegration: arrayType(ACLAction$outboundSchema).optional(),
  projectFlags: arrayType(ACLAction$outboundSchema).optional(),
  projectId: arrayType(ACLAction$outboundSchema).optional(),
  projectIntegrationConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  projectLink: arrayType(ACLAction$outboundSchema).optional(),
  projectMember: arrayType(ACLAction$outboundSchema).optional(),
  projectMonitoring: arrayType(ACLAction$outboundSchema).optional(),
  projectPermissions: arrayType(ACLAction$outboundSchema).optional(),
  projectProductionBranch: arrayType(ACLAction$outboundSchema).optional(),
  projectTransfer: arrayType(ACLAction$outboundSchema).optional(),
  projectTransferOut: arrayType(ACLAction$outboundSchema).optional(),
  projectProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
  projectUsage: arrayType(ACLAction$outboundSchema).optional(),
  projectAnalyticsUsage: arrayType(ACLAction$outboundSchema).optional(),
  projectSupportCase: arrayType(ACLAction$outboundSchema).optional(),
  projectSupportCaseComment: arrayType(ACLAction$outboundSchema).optional(),
  projectDeploymentExpiration: arrayType(ACLAction$outboundSchema).optional(),
  projectTier: arrayType(ACLAction$outboundSchema).optional(),
  seawallConfig: arrayType(ACLAction$outboundSchema).optional(),
  skewProtection: arrayType(ACLAction$outboundSchema).optional(),
  analytics: arrayType(ACLAction$outboundSchema).optional(),
  trustedIps: arrayType(ACLAction$outboundSchema).optional(),
  webAnalytics: arrayType(ACLAction$outboundSchema).optional(),
  sharedEnvVarConnection: arrayType(ACLAction$outboundSchema).optional(),
  sonar: arrayType(ACLAction$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    monitoring: "Monitoring",
    notificationMonitoringAlert: "NotificationMonitoringAlert",
    webhookEvent: "webhook-event"
  });
});
var CreateProjectPermissions$;
(function(CreateProjectPermissions$2) {
  CreateProjectPermissions$2.inboundSchema = CreateProjectPermissions$inboundSchema;
  CreateProjectPermissions$2.outboundSchema = CreateProjectPermissions$outboundSchema;
})(CreateProjectPermissions$ || (CreateProjectPermissions$ = {}));
var CreateProjectLastRollbackTarget$inboundSchema = objectType({});
var CreateProjectLastRollbackTarget$outboundSchema = objectType({});
var CreateProjectLastRollbackTarget$;
(function(CreateProjectLastRollbackTarget$2) {
  CreateProjectLastRollbackTarget$2.inboundSchema = CreateProjectLastRollbackTarget$inboundSchema;
  CreateProjectLastRollbackTarget$2.outboundSchema = CreateProjectLastRollbackTarget$outboundSchema;
})(CreateProjectLastRollbackTarget$ || (CreateProjectLastRollbackTarget$ = {}));
var CreateProjectJobStatus$inboundSchema = nativeEnumType(CreateProjectJobStatus);
var CreateProjectJobStatus$outboundSchema = CreateProjectJobStatus$inboundSchema;
var CreateProjectJobStatus$;
(function(CreateProjectJobStatus$2) {
  CreateProjectJobStatus$2.inboundSchema = CreateProjectJobStatus$inboundSchema;
  CreateProjectJobStatus$2.outboundSchema = CreateProjectJobStatus$outboundSchema;
})(CreateProjectJobStatus$ || (CreateProjectJobStatus$ = {}));
var CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200ApplicationJSONResponseBodyType);
var CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
var CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$;
(function(CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$2) {
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$2.inboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$2.outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
})(CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$ || (CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$ = {}));
var CreateProjectLastAliasRequest$inboundSchema = objectType({
  fromDeploymentId: stringType(),
  toDeploymentId: stringType(),
  jobStatus: CreateProjectJobStatus$inboundSchema,
  requestedAt: numberType(),
  type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema
});
var CreateProjectLastAliasRequest$outboundSchema = objectType({
  fromDeploymentId: stringType(),
  toDeploymentId: stringType(),
  jobStatus: CreateProjectJobStatus$outboundSchema,
  requestedAt: numberType(),
  type: CreateProjectProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema
});
var CreateProjectLastAliasRequest$;
(function(CreateProjectLastAliasRequest$2) {
  CreateProjectLastAliasRequest$2.inboundSchema = CreateProjectLastAliasRequest$inboundSchema;
  CreateProjectLastAliasRequest$2.outboundSchema = CreateProjectLastAliasRequest$outboundSchema;
})(CreateProjectLastAliasRequest$ || (CreateProjectLastAliasRequest$ = {}));
var CreateProjectScope$inboundSchema = nativeEnumType(CreateProjectScope);
var CreateProjectScope$outboundSchema = CreateProjectScope$inboundSchema;
var CreateProjectScope$;
(function(CreateProjectScope$2) {
  CreateProjectScope$2.inboundSchema = CreateProjectScope$inboundSchema;
  CreateProjectScope$2.outboundSchema = CreateProjectScope$outboundSchema;
})(CreateProjectScope$ || (CreateProjectScope$ = {}));
var CreateProjectProtectionBypass$inboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: CreateProjectScope$inboundSchema
});
var CreateProjectProtectionBypass$outboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: CreateProjectScope$outboundSchema
});
var CreateProjectProtectionBypass$;
(function(CreateProjectProtectionBypass$2) {
  CreateProjectProtectionBypass$2.inboundSchema = CreateProjectProtectionBypass$inboundSchema;
  CreateProjectProtectionBypass$2.outboundSchema = CreateProjectProtectionBypass$outboundSchema;
})(CreateProjectProtectionBypass$ || (CreateProjectProtectionBypass$ = {}));
var CreateProjectTrustedIpsProjectsDeploymentType$inboundSchema = nativeEnumType(CreateProjectTrustedIpsProjectsDeploymentType);
var CreateProjectTrustedIpsProjectsDeploymentType$outboundSchema = CreateProjectTrustedIpsProjectsDeploymentType$inboundSchema;
var CreateProjectTrustedIpsProjectsDeploymentType$;
(function(CreateProjectTrustedIpsProjectsDeploymentType$2) {
  CreateProjectTrustedIpsProjectsDeploymentType$2.inboundSchema = CreateProjectTrustedIpsProjectsDeploymentType$inboundSchema;
  CreateProjectTrustedIpsProjectsDeploymentType$2.outboundSchema = CreateProjectTrustedIpsProjectsDeploymentType$outboundSchema;
})(CreateProjectTrustedIpsProjectsDeploymentType$ || (CreateProjectTrustedIpsProjectsDeploymentType$ = {}));
var CreateProjectTrustedIps2$inboundSchema = objectType({
  deploymentType: CreateProjectTrustedIpsProjectsDeploymentType$inboundSchema
});
var CreateProjectTrustedIps2$outboundSchema = objectType({
  deploymentType: CreateProjectTrustedIpsProjectsDeploymentType$outboundSchema
});
var CreateProjectTrustedIps2$;
(function(CreateProjectTrustedIps2$2) {
  CreateProjectTrustedIps2$2.inboundSchema = CreateProjectTrustedIps2$inboundSchema;
  CreateProjectTrustedIps2$2.outboundSchema = CreateProjectTrustedIps2$outboundSchema;
})(CreateProjectTrustedIps2$ || (CreateProjectTrustedIps2$ = {}));
var CreateProjectTrustedIpsDeploymentType$inboundSchema = nativeEnumType(CreateProjectTrustedIpsDeploymentType);
var CreateProjectTrustedIpsDeploymentType$outboundSchema = CreateProjectTrustedIpsDeploymentType$inboundSchema;
var CreateProjectTrustedIpsDeploymentType$;
(function(CreateProjectTrustedIpsDeploymentType$2) {
  CreateProjectTrustedIpsDeploymentType$2.inboundSchema = CreateProjectTrustedIpsDeploymentType$inboundSchema;
  CreateProjectTrustedIpsDeploymentType$2.outboundSchema = CreateProjectTrustedIpsDeploymentType$outboundSchema;
})(CreateProjectTrustedIpsDeploymentType$ || (CreateProjectTrustedIpsDeploymentType$ = {}));
var TrustedIpsAddresses$inboundSchema = objectType({
  value: stringType(),
  note: stringType().optional()
});
var TrustedIpsAddresses$outboundSchema = objectType({
  value: stringType(),
  note: stringType().optional()
});
var TrustedIpsAddresses$;
(function(TrustedIpsAddresses$2) {
  TrustedIpsAddresses$2.inboundSchema = TrustedIpsAddresses$inboundSchema;
  TrustedIpsAddresses$2.outboundSchema = TrustedIpsAddresses$outboundSchema;
})(TrustedIpsAddresses$ || (TrustedIpsAddresses$ = {}));
var TrustedIpsProtectionMode$inboundSchema = nativeEnumType(TrustedIpsProtectionMode);
var TrustedIpsProtectionMode$outboundSchema = TrustedIpsProtectionMode$inboundSchema;
var TrustedIpsProtectionMode$;
(function(TrustedIpsProtectionMode$2) {
  TrustedIpsProtectionMode$2.inboundSchema = TrustedIpsProtectionMode$inboundSchema;
  TrustedIpsProtectionMode$2.outboundSchema = TrustedIpsProtectionMode$outboundSchema;
})(TrustedIpsProtectionMode$ || (TrustedIpsProtectionMode$ = {}));
var CreateProjectTrustedIps1$inboundSchema = objectType({
  deploymentType: CreateProjectTrustedIpsDeploymentType$inboundSchema,
  addresses: arrayType(lazyType(() => TrustedIpsAddresses$inboundSchema)),
  protectionMode: TrustedIpsProtectionMode$inboundSchema
});
var CreateProjectTrustedIps1$outboundSchema = objectType({
  deploymentType: CreateProjectTrustedIpsDeploymentType$outboundSchema,
  addresses: arrayType(lazyType(() => TrustedIpsAddresses$outboundSchema)),
  protectionMode: TrustedIpsProtectionMode$outboundSchema
});
var CreateProjectTrustedIps1$;
(function(CreateProjectTrustedIps1$2) {
  CreateProjectTrustedIps1$2.inboundSchema = CreateProjectTrustedIps1$inboundSchema;
  CreateProjectTrustedIps1$2.outboundSchema = CreateProjectTrustedIps1$outboundSchema;
})(CreateProjectTrustedIps1$ || (CreateProjectTrustedIps1$ = {}));
var CreateProjectTrustedIps$inboundSchema = unionType([
  lazyType(() => CreateProjectTrustedIps2$inboundSchema),
  lazyType(() => CreateProjectTrustedIps1$inboundSchema)
]);
var CreateProjectTrustedIps$outboundSchema = unionType([
  lazyType(() => CreateProjectTrustedIps2$outboundSchema),
  lazyType(() => CreateProjectTrustedIps1$outboundSchema)
]);
var CreateProjectTrustedIps$;
(function(CreateProjectTrustedIps$2) {
  CreateProjectTrustedIps$2.inboundSchema = CreateProjectTrustedIps$inboundSchema;
  CreateProjectTrustedIps$2.outboundSchema = CreateProjectTrustedIps$outboundSchema;
})(CreateProjectTrustedIps$ || (CreateProjectTrustedIps$ = {}));
var CreateProjectGitComments$inboundSchema = objectType({
  onPullRequest: booleanType(),
  onCommit: booleanType()
});
var CreateProjectGitComments$outboundSchema = objectType({
  onPullRequest: booleanType(),
  onCommit: booleanType()
});
var CreateProjectGitComments$;
(function(CreateProjectGitComments$2) {
  CreateProjectGitComments$2.inboundSchema = CreateProjectGitComments$inboundSchema;
  CreateProjectGitComments$2.outboundSchema = CreateProjectGitComments$outboundSchema;
})(CreateProjectGitComments$ || (CreateProjectGitComments$ = {}));
var CreateProjectWebAnalytics$inboundSchema = objectType({
  id: stringType(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  enabledAt: numberType().optional(),
  hasData: booleanType().optional()
});
var CreateProjectWebAnalytics$outboundSchema = objectType({
  id: stringType(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  enabledAt: numberType().optional(),
  hasData: booleanType().optional()
});
var CreateProjectWebAnalytics$;
(function(CreateProjectWebAnalytics$2) {
  CreateProjectWebAnalytics$2.inboundSchema = CreateProjectWebAnalytics$inboundSchema;
  CreateProjectWebAnalytics$2.outboundSchema = CreateProjectWebAnalytics$outboundSchema;
})(CreateProjectWebAnalytics$ || (CreateProjectWebAnalytics$ = {}));
var CreateProjectSrc2$inboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var CreateProjectSrc2$outboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var CreateProjectSrc2$;
(function(CreateProjectSrc2$2) {
  CreateProjectSrc2$2.inboundSchema = CreateProjectSrc2$inboundSchema;
  CreateProjectSrc2$2.outboundSchema = CreateProjectSrc2$outboundSchema;
})(CreateProjectSrc2$ || (CreateProjectSrc2$ = {}));
var CreateProjectSrc$inboundSchema = unionType([lazyType(() => CreateProjectSrc2$inboundSchema), stringType()]);
var CreateProjectSrc$outboundSchema = unionType([lazyType(() => CreateProjectSrc2$outboundSchema), stringType()]);
var CreateProjectSrc$;
(function(CreateProjectSrc$2) {
  CreateProjectSrc$2.inboundSchema = CreateProjectSrc$inboundSchema;
  CreateProjectSrc$2.outboundSchema = CreateProjectSrc$outboundSchema;
})(CreateProjectSrc$ || (CreateProjectSrc$ = {}));
var CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType);
var CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema;
var CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$;
(function(CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$2) {
  CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$2.inboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema;
  CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$2.outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema;
})(CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$ || (CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$ = {}));
var CreateProjectValue2$inboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var CreateProjectValue2$outboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var CreateProjectValue2$;
(function(CreateProjectValue2$2) {
  CreateProjectValue2$2.inboundSchema = CreateProjectValue2$inboundSchema;
  CreateProjectValue2$2.outboundSchema = CreateProjectValue2$outboundSchema;
})(CreateProjectValue2$ || (CreateProjectValue2$ = {}));
var CreateProjectValue$inboundSchema = unionType([lazyType(() => CreateProjectValue2$inboundSchema), stringType()]);
var CreateProjectValue$outboundSchema = unionType([lazyType(() => CreateProjectValue2$outboundSchema), stringType()]);
var CreateProjectValue$;
(function(CreateProjectValue$2) {
  CreateProjectValue$2.inboundSchema = CreateProjectValue$inboundSchema;
  CreateProjectValue$2.outboundSchema = CreateProjectValue$outboundSchema;
})(CreateProjectValue$ || (CreateProjectValue$ = {}));
var CreateProjectHas$inboundSchema = objectType({
  type: CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema,
  key: stringType().optional(),
  value: unionType([lazyType(() => CreateProjectValue2$inboundSchema), stringType()]).optional()
});
var CreateProjectHas$outboundSchema = objectType({
  type: CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema,
  key: stringType().optional(),
  value: unionType([lazyType(() => CreateProjectValue2$outboundSchema), stringType()]).optional()
});
var CreateProjectHas$;
(function(CreateProjectHas$2) {
  CreateProjectHas$2.inboundSchema = CreateProjectHas$inboundSchema;
  CreateProjectHas$2.outboundSchema = CreateProjectHas$outboundSchema;
})(CreateProjectHas$ || (CreateProjectHas$ = {}));
var CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema = nativeEnumType(CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType);
var CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema;
var CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$;
(function(CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$2) {
  CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$2.inboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema;
  CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$2.outboundSchema = CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema;
})(CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$ || (CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$ = {}));
var CreateProjectValueProjects2$inboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var CreateProjectValueProjects2$outboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var CreateProjectValueProjects2$;
(function(CreateProjectValueProjects2$2) {
  CreateProjectValueProjects2$2.inboundSchema = CreateProjectValueProjects2$inboundSchema;
  CreateProjectValueProjects2$2.outboundSchema = CreateProjectValueProjects2$outboundSchema;
})(CreateProjectValueProjects2$ || (CreateProjectValueProjects2$ = {}));
var CreateProjectProjectsValue$inboundSchema = unionType([
  lazyType(() => CreateProjectValueProjects2$inboundSchema),
  stringType()
]);
var CreateProjectProjectsValue$outboundSchema = unionType([
  lazyType(() => CreateProjectValueProjects2$outboundSchema),
  stringType()
]);
var CreateProjectProjectsValue$;
(function(CreateProjectProjectsValue$2) {
  CreateProjectProjectsValue$2.inboundSchema = CreateProjectProjectsValue$inboundSchema;
  CreateProjectProjectsValue$2.outboundSchema = CreateProjectProjectsValue$outboundSchema;
})(CreateProjectProjectsValue$ || (CreateProjectProjectsValue$ = {}));
var CreateProjectMissing$inboundSchema = objectType({
  type: CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema,
  key: stringType().optional(),
  value: unionType([
    lazyType(() => CreateProjectValueProjects2$inboundSchema),
    stringType()
  ]).optional()
});
var CreateProjectMissing$outboundSchema = objectType({
  type: CreateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema,
  key: stringType().optional(),
  value: unionType([
    lazyType(() => CreateProjectValueProjects2$outboundSchema),
    stringType()
  ]).optional()
});
var CreateProjectMissing$;
(function(CreateProjectMissing$2) {
  CreateProjectMissing$2.inboundSchema = CreateProjectMissing$inboundSchema;
  CreateProjectMissing$2.outboundSchema = CreateProjectMissing$outboundSchema;
})(CreateProjectMissing$ || (CreateProjectMissing$ = {}));
var CreateProjectHandle$inboundSchema = nativeEnumType(CreateProjectHandle);
var CreateProjectHandle$outboundSchema = CreateProjectHandle$inboundSchema;
var CreateProjectHandle$;
(function(CreateProjectHandle$2) {
  CreateProjectHandle$2.inboundSchema = CreateProjectHandle$inboundSchema;
  CreateProjectHandle$2.outboundSchema = CreateProjectHandle$outboundSchema;
})(CreateProjectHandle$ || (CreateProjectHandle$ = {}));
var CreateProjectAction$inboundSchema = nativeEnumType(CreateProjectAction);
var CreateProjectAction$outboundSchema = CreateProjectAction$inboundSchema;
var CreateProjectAction$;
(function(CreateProjectAction$2) {
  CreateProjectAction$2.inboundSchema = CreateProjectAction$inboundSchema;
  CreateProjectAction$2.outboundSchema = CreateProjectAction$outboundSchema;
})(CreateProjectAction$ || (CreateProjectAction$ = {}));
var CreateProjectAlgo$inboundSchema = nativeEnumType(CreateProjectAlgo);
var CreateProjectAlgo$outboundSchema = CreateProjectAlgo$inboundSchema;
var CreateProjectAlgo$;
(function(CreateProjectAlgo$2) {
  CreateProjectAlgo$2.inboundSchema = CreateProjectAlgo$inboundSchema;
  CreateProjectAlgo$2.outboundSchema = CreateProjectAlgo$outboundSchema;
})(CreateProjectAlgo$ || (CreateProjectAlgo$ = {}));
var CreateProjectErl$inboundSchema = objectType({
  algo: CreateProjectAlgo$inboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType())
});
var CreateProjectErl$outboundSchema = objectType({
  algo: CreateProjectAlgo$outboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType())
});
var CreateProjectErl$;
(function(CreateProjectErl$2) {
  CreateProjectErl$2.inboundSchema = CreateProjectErl$inboundSchema;
  CreateProjectErl$2.outboundSchema = CreateProjectErl$outboundSchema;
})(CreateProjectErl$ || (CreateProjectErl$ = {}));
var CreateProjectMitigate$inboundSchema = objectType({
  action: CreateProjectAction$inboundSchema,
  rule_id: stringType(),
  ttl: numberType().optional(),
  erl: lazyType(() => CreateProjectErl$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    rule_id: "ruleId"
  });
});
var CreateProjectMitigate$outboundSchema = objectType({
  action: CreateProjectAction$outboundSchema,
  ruleId: stringType(),
  ttl: numberType().optional(),
  erl: lazyType(() => CreateProjectErl$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    ruleId: "rule_id"
  });
});
var CreateProjectMitigate$;
(function(CreateProjectMitigate$2) {
  CreateProjectMitigate$2.inboundSchema = CreateProjectMitigate$inboundSchema;
  CreateProjectMitigate$2.outboundSchema = CreateProjectMitigate$outboundSchema;
})(CreateProjectMitigate$ || (CreateProjectMitigate$ = {}));
var CreateProjectFirewallRoutes$inboundSchema = objectType({
  src: unionType([lazyType(() => CreateProjectSrc2$inboundSchema), stringType()]).optional(),
  has: arrayType(lazyType(() => CreateProjectHas$inboundSchema)).optional(),
  missing: arrayType(lazyType(() => CreateProjectMissing$inboundSchema)).optional(),
  dest: stringType().optional(),
  status: numberType().optional(),
  handle: CreateProjectHandle$inboundSchema.optional(),
  mitigate: lazyType(() => CreateProjectMitigate$inboundSchema).optional()
});
var CreateProjectFirewallRoutes$outboundSchema = objectType({
  src: unionType([lazyType(() => CreateProjectSrc2$outboundSchema), stringType()]).optional(),
  has: arrayType(lazyType(() => CreateProjectHas$outboundSchema)).optional(),
  missing: arrayType(lazyType(() => CreateProjectMissing$outboundSchema)).optional(),
  dest: stringType().optional(),
  status: numberType().optional(),
  handle: CreateProjectHandle$outboundSchema.optional(),
  mitigate: lazyType(() => CreateProjectMitigate$outboundSchema).optional()
});
var CreateProjectFirewallRoutes$;
(function(CreateProjectFirewallRoutes$2) {
  CreateProjectFirewallRoutes$2.inboundSchema = CreateProjectFirewallRoutes$inboundSchema;
  CreateProjectFirewallRoutes$2.outboundSchema = CreateProjectFirewallRoutes$outboundSchema;
})(CreateProjectFirewallRoutes$ || (CreateProjectFirewallRoutes$ = {}));
var CreateProjectSecurity$inboundSchema = objectType({
  attackModeEnabled: booleanType().optional(),
  attackModeUpdatedAt: numberType().optional(),
  firewallEnabled: booleanType().optional(),
  firewallUpdatedAt: numberType().optional(),
  attackModeActiveUntil: nullableType(numberType()).optional(),
  firewallConfigVersion: numberType().optional(),
  firewallRoutes: arrayType(lazyType(() => CreateProjectFirewallRoutes$inboundSchema)).optional(),
  firewallSeawallEnabled: booleanType().optional(),
  ja3Enabled: booleanType().optional(),
  ja4Enabled: booleanType().optional(),
  firewallBypassIps: arrayType(stringType()).optional()
});
var CreateProjectSecurity$outboundSchema = objectType({
  attackModeEnabled: booleanType().optional(),
  attackModeUpdatedAt: numberType().optional(),
  firewallEnabled: booleanType().optional(),
  firewallUpdatedAt: numberType().optional(),
  attackModeActiveUntil: nullableType(numberType()).optional(),
  firewallConfigVersion: numberType().optional(),
  firewallRoutes: arrayType(lazyType(() => CreateProjectFirewallRoutes$outboundSchema)).optional(),
  firewallSeawallEnabled: booleanType().optional(),
  ja3Enabled: booleanType().optional(),
  ja4Enabled: booleanType().optional(),
  firewallBypassIps: arrayType(stringType()).optional()
});
var CreateProjectSecurity$;
(function(CreateProjectSecurity$2) {
  CreateProjectSecurity$2.inboundSchema = CreateProjectSecurity$inboundSchema;
  CreateProjectSecurity$2.outboundSchema = CreateProjectSecurity$outboundSchema;
})(CreateProjectSecurity$ || (CreateProjectSecurity$ = {}));
var CreateProjectIssuerMode$inboundSchema = nativeEnumType(CreateProjectIssuerMode);
var CreateProjectIssuerMode$outboundSchema = CreateProjectIssuerMode$inboundSchema;
var CreateProjectIssuerMode$;
(function(CreateProjectIssuerMode$2) {
  CreateProjectIssuerMode$2.inboundSchema = CreateProjectIssuerMode$inboundSchema;
  CreateProjectIssuerMode$2.outboundSchema = CreateProjectIssuerMode$outboundSchema;
})(CreateProjectIssuerMode$ || (CreateProjectIssuerMode$ = {}));
var CreateProjectOidcTokenConfig$inboundSchema = objectType({
  enabled: booleanType(),
  issuerMode: CreateProjectIssuerMode$inboundSchema.optional()
});
var CreateProjectOidcTokenConfig$outboundSchema = objectType({
  enabled: booleanType(),
  issuerMode: CreateProjectIssuerMode$outboundSchema.optional()
});
var CreateProjectOidcTokenConfig$;
(function(CreateProjectOidcTokenConfig$2) {
  CreateProjectOidcTokenConfig$2.inboundSchema = CreateProjectOidcTokenConfig$inboundSchema;
  CreateProjectOidcTokenConfig$2.outboundSchema = CreateProjectOidcTokenConfig$outboundSchema;
})(CreateProjectOidcTokenConfig$ || (CreateProjectOidcTokenConfig$ = {}));
var CreateProjectTier$inboundSchema = nativeEnumType(CreateProjectTier);
var CreateProjectTier$outboundSchema = CreateProjectTier$inboundSchema;
var CreateProjectTier$;
(function(CreateProjectTier$2) {
  CreateProjectTier$2.inboundSchema = CreateProjectTier$inboundSchema;
  CreateProjectTier$2.outboundSchema = CreateProjectTier$outboundSchema;
})(CreateProjectTier$ || (CreateProjectTier$ = {}));
var CreateProjectResponseBody$inboundSchema = objectType({
  accountId: stringType(),
  analytics: lazyType(() => CreateProjectAnalytics$inboundSchema).optional(),
  speedInsights: lazyType(() => CreateProjectSpeedInsights$inboundSchema).optional(),
  autoExposeSystemEnvs: booleanType().optional(),
  autoAssignCustomDomains: booleanType().optional(),
  autoAssignCustomDomainsUpdatedBy: stringType().optional(),
  buildCommand: nullableType(stringType()).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  connectConfigurationId: nullableType(stringType()).optional(),
  connectBuildsEnabled: booleanType().optional(),
  createdAt: numberType().optional(),
  customerSupportCodeVisibility: booleanType().optional(),
  crons: lazyType(() => CreateProjectCrons$inboundSchema).optional(),
  dataCache: lazyType(() => CreateProjectDataCache$inboundSchema).optional(),
  deploymentExpiration: nullableType(lazyType(() => CreateProjectDeploymentExpiration$inboundSchema)).optional(),
  devCommand: nullableType(stringType()).optional(),
  directoryListing: booleanType(),
  installCommand: nullableType(stringType()).optional(),
  env: arrayType(lazyType(() => CreateProjectEnv$inboundSchema)).optional(),
  customEnvironments: arrayType(lazyType(() => CreateProjectCustomEnvironments$inboundSchema)).optional(),
  framework: nullableType(CreateProjectProjectsFramework$inboundSchema).optional(),
  gitForkProtection: booleanType().optional(),
  gitLFS: booleanType().optional(),
  id: stringType(),
  ipBuckets: arrayType(lazyType(() => CreateProjectIpBuckets$inboundSchema)).optional(),
  latestDeployments: arrayType(lazyType(() => CreateProjectLatestDeployments$inboundSchema)).optional(),
  link: unionType([
    lazyType(() => CreateProjectLink1$inboundSchema),
    lazyType(() => CreateProjectLink3$inboundSchema),
    lazyType(() => CreateProjectLink2$inboundSchema)
  ]).optional(),
  microfrontends: lazyType(() => CreateProjectMicrofrontends$inboundSchema).optional(),
  name: stringType(),
  nodeVersion: CreateProjectNodeVersion$inboundSchema,
  optionsAllowlist: nullableType(lazyType(() => CreateProjectOptionsAllowlist$inboundSchema)).optional(),
  outputDirectory: nullableType(stringType()).optional(),
  passiveConnectConfigurationId: nullableType(stringType()).optional(),
  passwordProtection: nullableType(lazyType(() => CreateProjectPasswordProtection$inboundSchema)).optional(),
  productionDeploymentsFastLane: booleanType().optional(),
  publicSource: nullableType(booleanType()).optional(),
  resourceConfig: lazyType(() => CreateProjectResourceConfig$inboundSchema).optional(),
  rootDirectory: nullableType(stringType()).optional(),
  serverlessFunctionRegion: nullableType(stringType()).optional(),
  serverlessFunctionZeroConfigFailover: booleanType().optional(),
  skewProtectionBoundaryAt: numberType().optional(),
  skewProtectionMaxAge: numberType().optional(),
  skipGitConnectDuringLink: booleanType().optional(),
  sourceFilesOutsideRootDirectory: booleanType().optional(),
  enableAffectedProjectsDeployments: booleanType().optional(),
  ssoProtection: nullableType(lazyType(() => CreateProjectSsoProtection$inboundSchema)).optional(),
  targets: recordType(lazyType(() => CreateProjectTargets$inboundSchema)).optional(),
  transferCompletedAt: numberType().optional(),
  transferStartedAt: numberType().optional(),
  transferToAccountId: stringType().optional(),
  transferredFromAccountId: stringType().optional(),
  updatedAt: numberType().optional(),
  live: booleanType().optional(),
  enablePreviewFeedback: nullableType(booleanType()).optional(),
  enableProductionFeedback: nullableType(booleanType()).optional(),
  permissions: lazyType(() => CreateProjectPermissions$inboundSchema).optional(),
  lastRollbackTarget: nullableType(lazyType(() => CreateProjectLastRollbackTarget$inboundSchema)).optional(),
  lastAliasRequest: nullableType(lazyType(() => CreateProjectLastAliasRequest$inboundSchema)).optional(),
  hasFloatingAliases: booleanType().optional(),
  protectionBypass: recordType(lazyType(() => CreateProjectProtectionBypass$inboundSchema)).optional(),
  hasActiveBranches: booleanType().optional(),
  trustedIps: nullableType(unionType([
    lazyType(() => CreateProjectTrustedIps2$inboundSchema),
    lazyType(() => CreateProjectTrustedIps1$inboundSchema)
  ])).optional(),
  gitComments: lazyType(() => CreateProjectGitComments$inboundSchema).optional(),
  paused: booleanType().optional(),
  concurrencyBucketName: stringType().optional(),
  webAnalytics: lazyType(() => CreateProjectWebAnalytics$inboundSchema).optional(),
  security: lazyType(() => CreateProjectSecurity$inboundSchema).optional(),
  oidcTokenConfig: lazyType(() => CreateProjectOidcTokenConfig$inboundSchema).optional(),
  tier: CreateProjectTier$inboundSchema.optional()
});
var CreateProjectResponseBody$outboundSchema = objectType({
  accountId: stringType(),
  analytics: lazyType(() => CreateProjectAnalytics$outboundSchema).optional(),
  speedInsights: lazyType(() => CreateProjectSpeedInsights$outboundSchema).optional(),
  autoExposeSystemEnvs: booleanType().optional(),
  autoAssignCustomDomains: booleanType().optional(),
  autoAssignCustomDomainsUpdatedBy: stringType().optional(),
  buildCommand: nullableType(stringType()).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  connectConfigurationId: nullableType(stringType()).optional(),
  connectBuildsEnabled: booleanType().optional(),
  createdAt: numberType().optional(),
  customerSupportCodeVisibility: booleanType().optional(),
  crons: lazyType(() => CreateProjectCrons$outboundSchema).optional(),
  dataCache: lazyType(() => CreateProjectDataCache$outboundSchema).optional(),
  deploymentExpiration: nullableType(lazyType(() => CreateProjectDeploymentExpiration$outboundSchema)).optional(),
  devCommand: nullableType(stringType()).optional(),
  directoryListing: booleanType(),
  installCommand: nullableType(stringType()).optional(),
  env: arrayType(lazyType(() => CreateProjectEnv$outboundSchema)).optional(),
  customEnvironments: arrayType(lazyType(() => CreateProjectCustomEnvironments$outboundSchema)).optional(),
  framework: nullableType(CreateProjectProjectsFramework$outboundSchema).optional(),
  gitForkProtection: booleanType().optional(),
  gitLFS: booleanType().optional(),
  id: stringType(),
  ipBuckets: arrayType(lazyType(() => CreateProjectIpBuckets$outboundSchema)).optional(),
  latestDeployments: arrayType(lazyType(() => CreateProjectLatestDeployments$outboundSchema)).optional(),
  link: unionType([
    lazyType(() => CreateProjectLink1$outboundSchema),
    lazyType(() => CreateProjectLink3$outboundSchema),
    lazyType(() => CreateProjectLink2$outboundSchema)
  ]).optional(),
  microfrontends: lazyType(() => CreateProjectMicrofrontends$outboundSchema).optional(),
  name: stringType(),
  nodeVersion: CreateProjectNodeVersion$outboundSchema,
  optionsAllowlist: nullableType(lazyType(() => CreateProjectOptionsAllowlist$outboundSchema)).optional(),
  outputDirectory: nullableType(stringType()).optional(),
  passiveConnectConfigurationId: nullableType(stringType()).optional(),
  passwordProtection: nullableType(lazyType(() => CreateProjectPasswordProtection$outboundSchema)).optional(),
  productionDeploymentsFastLane: booleanType().optional(),
  publicSource: nullableType(booleanType()).optional(),
  resourceConfig: lazyType(() => CreateProjectResourceConfig$outboundSchema).optional(),
  rootDirectory: nullableType(stringType()).optional(),
  serverlessFunctionRegion: nullableType(stringType()).optional(),
  serverlessFunctionZeroConfigFailover: booleanType().optional(),
  skewProtectionBoundaryAt: numberType().optional(),
  skewProtectionMaxAge: numberType().optional(),
  skipGitConnectDuringLink: booleanType().optional(),
  sourceFilesOutsideRootDirectory: booleanType().optional(),
  enableAffectedProjectsDeployments: booleanType().optional(),
  ssoProtection: nullableType(lazyType(() => CreateProjectSsoProtection$outboundSchema)).optional(),
  targets: recordType(lazyType(() => CreateProjectTargets$outboundSchema)).optional(),
  transferCompletedAt: numberType().optional(),
  transferStartedAt: numberType().optional(),
  transferToAccountId: stringType().optional(),
  transferredFromAccountId: stringType().optional(),
  updatedAt: numberType().optional(),
  live: booleanType().optional(),
  enablePreviewFeedback: nullableType(booleanType()).optional(),
  enableProductionFeedback: nullableType(booleanType()).optional(),
  permissions: lazyType(() => CreateProjectPermissions$outboundSchema).optional(),
  lastRollbackTarget: nullableType(lazyType(() => CreateProjectLastRollbackTarget$outboundSchema)).optional(),
  lastAliasRequest: nullableType(lazyType(() => CreateProjectLastAliasRequest$outboundSchema)).optional(),
  hasFloatingAliases: booleanType().optional(),
  protectionBypass: recordType(lazyType(() => CreateProjectProtectionBypass$outboundSchema)).optional(),
  hasActiveBranches: booleanType().optional(),
  trustedIps: nullableType(unionType([
    lazyType(() => CreateProjectTrustedIps2$outboundSchema),
    lazyType(() => CreateProjectTrustedIps1$outboundSchema)
  ])).optional(),
  gitComments: lazyType(() => CreateProjectGitComments$outboundSchema).optional(),
  paused: booleanType().optional(),
  concurrencyBucketName: stringType().optional(),
  webAnalytics: lazyType(() => CreateProjectWebAnalytics$outboundSchema).optional(),
  security: lazyType(() => CreateProjectSecurity$outboundSchema).optional(),
  oidcTokenConfig: lazyType(() => CreateProjectOidcTokenConfig$outboundSchema).optional(),
  tier: CreateProjectTier$outboundSchema.optional()
});
var CreateProjectResponseBody$;
(function(CreateProjectResponseBody$2) {
  CreateProjectResponseBody$2.inboundSchema = CreateProjectResponseBody$inboundSchema;
  CreateProjectResponseBody$2.outboundSchema = CreateProjectResponseBody$outboundSchema;
})(CreateProjectResponseBody$ || (CreateProjectResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsCreateProject.js
async function projectsCreateProject(client, request, options) {
  const parsed = safeParse(request, (value) => CreateProjectRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v10/projects")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "createProject",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateProjectResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/createprojectenvop.js
var CreateProjectEnv2Type = {
  System: "system",
  Secret: "secret",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive"
};
var CreateProjectEnv2Target = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var TwoType = {
  System: "system",
  Secret: "secret",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive"
};
var TwoTarget = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var CreateProjectEnv1Type = {
  System: "system",
  Secret: "secret",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive"
};
var CreateProjectEnv1Target = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var OneType = {
  System: "system",
  Secret: "secret",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive"
};
var OneTarget = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var CreateProjectEnvTargetProjects2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var CreateProjectEnvCreatedType = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type = {
  FlagsConnectionString: "flags-connection-string"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type = {
  IntegrationStoreSecret: "integration-store-secret"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type = {
  PostgresUrlNoSsl: "postgres-url-no-ssl"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type = {
  PostgresDatabase: "postgres-database"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type = {
  PostgresPassword: "postgres-password"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type = {
  PostgresHost: "postgres-host"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type = {
  PostgresUser: "postgres-user"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type = {
  PostgresPrismaUrl: "postgres-prisma-url"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type = {
  PostgresUrlNonPooling: "postgres-url-non-pooling"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type = {
  PostgresUrl: "postgres-url"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type = {
  BlobReadWriteToken: "blob-read-write-token"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type = {
  RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type = {
  RedisRestApiToken: "redis-rest-api-token"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type = {
  RedisRestApiUrl: "redis-rest-api-url"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type = {
  RedisUrl: "redis-url"
};
var CreateProjectEnvCreatedProjectsResponseType = {
  FlagsSecret: "flags-secret"
};
var CreateProjectEnvTarget2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var CreateProjectEnvTarget1 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var CreatedType = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type = {
  FlagsConnectionString: "flags-connection-string"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type = {
  IntegrationStoreSecret: "integration-store-secret"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type = {
  PostgresUrlNoSsl: "postgres-url-no-ssl"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type = {
  PostgresDatabase: "postgres-database"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type = {
  PostgresPassword: "postgres-password"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type = {
  PostgresHost: "postgres-host"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type = {
  PostgresUser: "postgres-user"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type = {
  PostgresPrismaUrl: "postgres-prisma-url"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType = {
  PostgresUrlNonPooling: "postgres-url-non-pooling"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType = {
  PostgresUrl: "postgres-url"
};
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType = {
  BlobReadWriteToken: "blob-read-write-token"
};
var CreateProjectEnvContentHintProjectsResponse201Type = {
  RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
};
var CreateProjectEnvContentHintProjectsResponseType = {
  RedisRestApiToken: "redis-rest-api-token"
};
var CreateProjectEnvContentHintProjectsType = {
  RedisRestApiUrl: "redis-rest-api-url"
};
var CreateProjectEnvContentHintType = {
  RedisUrl: "redis-url"
};
var CreateProjectEnvCreatedProjectsType = {
  FlagsSecret: "flags-secret"
};
var CreateProjectEnvValue2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var CreateProjectEnvTargetProjectsResponse2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var CreateProjectEnvTargetProjects1 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var CreateProjectEnv2Type$inboundSchema = nativeEnumType(CreateProjectEnv2Type);
var CreateProjectEnv2Type$outboundSchema = CreateProjectEnv2Type$inboundSchema;
var CreateProjectEnv2Type$;
(function(CreateProjectEnv2Type$2) {
  CreateProjectEnv2Type$2.inboundSchema = CreateProjectEnv2Type$inboundSchema;
  CreateProjectEnv2Type$2.outboundSchema = CreateProjectEnv2Type$outboundSchema;
})(CreateProjectEnv2Type$ || (CreateProjectEnv2Type$ = {}));
var CreateProjectEnv2Target$inboundSchema = nativeEnumType(CreateProjectEnv2Target);
var CreateProjectEnv2Target$outboundSchema = CreateProjectEnv2Target$inboundSchema;
var CreateProjectEnv2Target$;
(function(CreateProjectEnv2Target$2) {
  CreateProjectEnv2Target$2.inboundSchema = CreateProjectEnv2Target$inboundSchema;
  CreateProjectEnv2Target$2.outboundSchema = CreateProjectEnv2Target$outboundSchema;
})(CreateProjectEnv2Target$ || (CreateProjectEnv2Target$ = {}));
var Two2$inboundSchema = objectType({
  key: stringType(),
  value: stringType(),
  type: CreateProjectEnv2Type$inboundSchema,
  target: arrayType(CreateProjectEnv2Target$inboundSchema).optional(),
  gitBranch: nullableType(stringType()).optional(),
  comment: stringType().optional()
});
var Two2$outboundSchema = objectType({
  key: stringType(),
  value: stringType(),
  type: CreateProjectEnv2Type$outboundSchema,
  target: arrayType(CreateProjectEnv2Target$outboundSchema).optional(),
  gitBranch: nullableType(stringType()).optional(),
  comment: stringType().optional()
});
var Two2$;
(function(Two2$2) {
  Two2$2.inboundSchema = Two2$inboundSchema;
  Two2$2.outboundSchema = Two2$outboundSchema;
})(Two2$ || (Two2$ = {}));
var TwoType$inboundSchema = nativeEnumType(TwoType);
var TwoType$outboundSchema = TwoType$inboundSchema;
var TwoType$;
(function(TwoType$2) {
  TwoType$2.inboundSchema = TwoType$inboundSchema;
  TwoType$2.outboundSchema = TwoType$outboundSchema;
})(TwoType$ || (TwoType$ = {}));
var TwoTarget$inboundSchema = nativeEnumType(TwoTarget);
var TwoTarget$outboundSchema = TwoTarget$inboundSchema;
var TwoTarget$;
(function(TwoTarget$2) {
  TwoTarget$2.inboundSchema = TwoTarget$inboundSchema;
  TwoTarget$2.outboundSchema = TwoTarget$outboundSchema;
})(TwoTarget$ || (TwoTarget$ = {}));
var Two1$inboundSchema = objectType({
  key: stringType(),
  value: stringType(),
  type: TwoType$inboundSchema,
  target: arrayType(TwoTarget$inboundSchema),
  gitBranch: nullableType(stringType()).optional(),
  comment: stringType().optional()
});
var Two1$outboundSchema = objectType({
  key: stringType(),
  value: stringType(),
  type: TwoType$outboundSchema,
  target: arrayType(TwoTarget$outboundSchema),
  gitBranch: nullableType(stringType()).optional(),
  comment: stringType().optional()
});
var Two1$;
(function(Two1$2) {
  Two1$2.inboundSchema = Two1$inboundSchema;
  Two1$2.outboundSchema = Two1$outboundSchema;
})(Two1$ || (Two1$ = {}));
var CreateProjectEnvRequestBody2$inboundSchema = unionType([
  lazyType(() => Two1$inboundSchema),
  lazyType(() => Two2$inboundSchema)
]);
var CreateProjectEnvRequestBody2$outboundSchema = unionType([
  lazyType(() => Two1$outboundSchema),
  lazyType(() => Two2$outboundSchema)
]);
var CreateProjectEnvRequestBody2$;
(function(CreateProjectEnvRequestBody2$2) {
  CreateProjectEnvRequestBody2$2.inboundSchema = CreateProjectEnvRequestBody2$inboundSchema;
  CreateProjectEnvRequestBody2$2.outboundSchema = CreateProjectEnvRequestBody2$outboundSchema;
})(CreateProjectEnvRequestBody2$ || (CreateProjectEnvRequestBody2$ = {}));
var CreateProjectEnv1Type$inboundSchema = nativeEnumType(CreateProjectEnv1Type);
var CreateProjectEnv1Type$outboundSchema = CreateProjectEnv1Type$inboundSchema;
var CreateProjectEnv1Type$;
(function(CreateProjectEnv1Type$2) {
  CreateProjectEnv1Type$2.inboundSchema = CreateProjectEnv1Type$inboundSchema;
  CreateProjectEnv1Type$2.outboundSchema = CreateProjectEnv1Type$outboundSchema;
})(CreateProjectEnv1Type$ || (CreateProjectEnv1Type$ = {}));
var CreateProjectEnv1Target$inboundSchema = nativeEnumType(CreateProjectEnv1Target);
var CreateProjectEnv1Target$outboundSchema = CreateProjectEnv1Target$inboundSchema;
var CreateProjectEnv1Target$;
(function(CreateProjectEnv1Target$2) {
  CreateProjectEnv1Target$2.inboundSchema = CreateProjectEnv1Target$inboundSchema;
  CreateProjectEnv1Target$2.outboundSchema = CreateProjectEnv1Target$outboundSchema;
})(CreateProjectEnv1Target$ || (CreateProjectEnv1Target$ = {}));
var CreateProjectEnv12$inboundSchema = objectType({
  key: stringType(),
  value: stringType(),
  type: CreateProjectEnv1Type$inboundSchema,
  target: arrayType(CreateProjectEnv1Target$inboundSchema).optional(),
  gitBranch: nullableType(stringType()).optional(),
  comment: stringType().optional()
});
var CreateProjectEnv12$outboundSchema = objectType({
  key: stringType(),
  value: stringType(),
  type: CreateProjectEnv1Type$outboundSchema,
  target: arrayType(CreateProjectEnv1Target$outboundSchema).optional(),
  gitBranch: nullableType(stringType()).optional(),
  comment: stringType().optional()
});
var CreateProjectEnv12$;
(function(CreateProjectEnv12$2) {
  CreateProjectEnv12$2.inboundSchema = CreateProjectEnv12$inboundSchema;
  CreateProjectEnv12$2.outboundSchema = CreateProjectEnv12$outboundSchema;
})(CreateProjectEnv12$ || (CreateProjectEnv12$ = {}));
var OneType$inboundSchema = nativeEnumType(OneType);
var OneType$outboundSchema = OneType$inboundSchema;
var OneType$;
(function(OneType$2) {
  OneType$2.inboundSchema = OneType$inboundSchema;
  OneType$2.outboundSchema = OneType$outboundSchema;
})(OneType$ || (OneType$ = {}));
var OneTarget$inboundSchema = nativeEnumType(OneTarget);
var OneTarget$outboundSchema = OneTarget$inboundSchema;
var OneTarget$;
(function(OneTarget$2) {
  OneTarget$2.inboundSchema = OneTarget$inboundSchema;
  OneTarget$2.outboundSchema = OneTarget$outboundSchema;
})(OneTarget$ || (OneTarget$ = {}));
var CreateProjectEnv11$inboundSchema = objectType({
  key: stringType(),
  value: stringType(),
  type: OneType$inboundSchema,
  target: arrayType(OneTarget$inboundSchema),
  gitBranch: nullableType(stringType()).optional(),
  comment: stringType().optional()
});
var CreateProjectEnv11$outboundSchema = objectType({
  key: stringType(),
  value: stringType(),
  type: OneType$outboundSchema,
  target: arrayType(OneTarget$outboundSchema),
  gitBranch: nullableType(stringType()).optional(),
  comment: stringType().optional()
});
var CreateProjectEnv11$;
(function(CreateProjectEnv11$2) {
  CreateProjectEnv11$2.inboundSchema = CreateProjectEnv11$inboundSchema;
  CreateProjectEnv11$2.outboundSchema = CreateProjectEnv11$outboundSchema;
})(CreateProjectEnv11$ || (CreateProjectEnv11$ = {}));
var CreateProjectEnvRequestBody1$inboundSchema = unionType([
  lazyType(() => CreateProjectEnv11$inboundSchema),
  lazyType(() => CreateProjectEnv12$inboundSchema)
]);
var CreateProjectEnvRequestBody1$outboundSchema = unionType([
  lazyType(() => CreateProjectEnv11$outboundSchema),
  lazyType(() => CreateProjectEnv12$outboundSchema)
]);
var CreateProjectEnvRequestBody1$;
(function(CreateProjectEnvRequestBody1$2) {
  CreateProjectEnvRequestBody1$2.inboundSchema = CreateProjectEnvRequestBody1$inboundSchema;
  CreateProjectEnvRequestBody1$2.outboundSchema = CreateProjectEnvRequestBody1$outboundSchema;
})(CreateProjectEnvRequestBody1$ || (CreateProjectEnvRequestBody1$ = {}));
var CreateProjectEnvRequestBody$inboundSchema = unionType([
  unionType([
    lazyType(() => CreateProjectEnv11$inboundSchema),
    lazyType(() => CreateProjectEnv12$inboundSchema)
  ]),
  arrayType(unionType([
    lazyType(() => Two1$inboundSchema),
    lazyType(() => Two2$inboundSchema)
  ]))
]);
var CreateProjectEnvRequestBody$outboundSchema = unionType([
  unionType([
    lazyType(() => CreateProjectEnv11$outboundSchema),
    lazyType(() => CreateProjectEnv12$outboundSchema)
  ]),
  arrayType(unionType([
    lazyType(() => Two1$outboundSchema),
    lazyType(() => Two2$outboundSchema)
  ]))
]);
var CreateProjectEnvRequestBody$;
(function(CreateProjectEnvRequestBody$2) {
  CreateProjectEnvRequestBody$2.inboundSchema = CreateProjectEnvRequestBody$inboundSchema;
  CreateProjectEnvRequestBody$2.outboundSchema = CreateProjectEnvRequestBody$outboundSchema;
})(CreateProjectEnvRequestBody$ || (CreateProjectEnvRequestBody$ = {}));
var CreateProjectEnvRequest$inboundSchema = objectType({
  idOrName: stringType(),
  upsert: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: unionType([
    unionType([
      lazyType(() => CreateProjectEnv11$inboundSchema),
      lazyType(() => CreateProjectEnv12$inboundSchema)
    ]),
    arrayType(unionType([
      lazyType(() => Two1$inboundSchema),
      lazyType(() => Two2$inboundSchema)
    ]))
  ])
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var CreateProjectEnvRequest$outboundSchema = objectType({
  idOrName: stringType(),
  upsert: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: unionType([
    unionType([
      lazyType(() => CreateProjectEnv11$outboundSchema),
      lazyType(() => CreateProjectEnv12$outboundSchema)
    ]),
    arrayType(unionType([
      lazyType(() => Two1$outboundSchema),
      lazyType(() => Two2$outboundSchema)
    ]))
  ])
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var CreateProjectEnvRequest$;
(function(CreateProjectEnvRequest$2) {
  CreateProjectEnvRequest$2.inboundSchema = CreateProjectEnvRequest$inboundSchema;
  CreateProjectEnvRequest$2.outboundSchema = CreateProjectEnvRequest$outboundSchema;
})(CreateProjectEnvRequest$ || (CreateProjectEnvRequest$ = {}));
var CreateProjectEnvTargetProjects2$inboundSchema = nativeEnumType(CreateProjectEnvTargetProjects2);
var CreateProjectEnvTargetProjects2$outboundSchema = CreateProjectEnvTargetProjects2$inboundSchema;
var CreateProjectEnvTargetProjects2$;
(function(CreateProjectEnvTargetProjects2$2) {
  CreateProjectEnvTargetProjects2$2.inboundSchema = CreateProjectEnvTargetProjects2$inboundSchema;
  CreateProjectEnvTargetProjects2$2.outboundSchema = CreateProjectEnvTargetProjects2$outboundSchema;
})(CreateProjectEnvTargetProjects2$ || (CreateProjectEnvTargetProjects2$ = {}));
var CreateProjectEnvCreatedTarget$inboundSchema = unionType([
  arrayType(stringType()),
  CreateProjectEnvTargetProjects2$inboundSchema
]);
var CreateProjectEnvCreatedTarget$outboundSchema = unionType([
  arrayType(stringType()),
  CreateProjectEnvTargetProjects2$outboundSchema
]);
var CreateProjectEnvCreatedTarget$;
(function(CreateProjectEnvCreatedTarget$2) {
  CreateProjectEnvCreatedTarget$2.inboundSchema = CreateProjectEnvCreatedTarget$inboundSchema;
  CreateProjectEnvCreatedTarget$2.outboundSchema = CreateProjectEnvCreatedTarget$outboundSchema;
})(CreateProjectEnvCreatedTarget$ || (CreateProjectEnvCreatedTarget$ = {}));
var CreateProjectEnvCreatedType$inboundSchema = nativeEnumType(CreateProjectEnvCreatedType);
var CreateProjectEnvCreatedType$outboundSchema = CreateProjectEnvCreatedType$inboundSchema;
var CreateProjectEnvCreatedType$;
(function(CreateProjectEnvCreatedType$2) {
  CreateProjectEnvCreatedType$2.inboundSchema = CreateProjectEnvCreatedType$inboundSchema;
  CreateProjectEnvCreatedType$2.outboundSchema = CreateProjectEnvCreatedType$outboundSchema;
})(CreateProjectEnvCreatedType$ || (CreateProjectEnvCreatedType$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$ = {}));
var CreateProjectEnvContentHintProjects15$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$inboundSchema,
  projectId: stringType()
});
var CreateProjectEnvContentHintProjects15$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated215Type$outboundSchema,
  projectId: stringType()
});
var CreateProjectEnvContentHintProjects15$;
(function(CreateProjectEnvContentHintProjects15$2) {
  CreateProjectEnvContentHintProjects15$2.inboundSchema = CreateProjectEnvContentHintProjects15$inboundSchema;
  CreateProjectEnvContentHintProjects15$2.outboundSchema = CreateProjectEnvContentHintProjects15$outboundSchema;
})(CreateProjectEnvContentHintProjects15$ || (CreateProjectEnvContentHintProjects15$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$ = {}));
var CreateProjectEnvContentHintProjects14$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$inboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var CreateProjectEnvContentHintProjects14$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated214Type$outboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var CreateProjectEnvContentHintProjects14$;
(function(CreateProjectEnvContentHintProjects14$2) {
  CreateProjectEnvContentHintProjects14$2.inboundSchema = CreateProjectEnvContentHintProjects14$inboundSchema;
  CreateProjectEnvContentHintProjects14$2.outboundSchema = CreateProjectEnvContentHintProjects14$outboundSchema;
})(CreateProjectEnvContentHintProjects14$ || (CreateProjectEnvContentHintProjects14$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$ = {}));
var CreateProjectEnvContentHintProjects13$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects13$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated213Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects13$;
(function(CreateProjectEnvContentHintProjects13$2) {
  CreateProjectEnvContentHintProjects13$2.inboundSchema = CreateProjectEnvContentHintProjects13$inboundSchema;
  CreateProjectEnvContentHintProjects13$2.outboundSchema = CreateProjectEnvContentHintProjects13$outboundSchema;
})(CreateProjectEnvContentHintProjects13$ || (CreateProjectEnvContentHintProjects13$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$ = {}));
var CreateProjectEnvContentHintProjects12$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects12$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated212Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects12$;
(function(CreateProjectEnvContentHintProjects12$2) {
  CreateProjectEnvContentHintProjects12$2.inboundSchema = CreateProjectEnvContentHintProjects12$inboundSchema;
  CreateProjectEnvContentHintProjects12$2.outboundSchema = CreateProjectEnvContentHintProjects12$outboundSchema;
})(CreateProjectEnvContentHintProjects12$ || (CreateProjectEnvContentHintProjects12$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$ = {}));
var CreateProjectEnvContentHintProjects11$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects11$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated211Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects11$;
(function(CreateProjectEnvContentHintProjects11$2) {
  CreateProjectEnvContentHintProjects11$2.inboundSchema = CreateProjectEnvContentHintProjects11$inboundSchema;
  CreateProjectEnvContentHintProjects11$2.outboundSchema = CreateProjectEnvContentHintProjects11$outboundSchema;
})(CreateProjectEnvContentHintProjects11$ || (CreateProjectEnvContentHintProjects11$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$ = {}));
var CreateProjectEnvContentHintProjects10$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects10$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated210Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects10$;
(function(CreateProjectEnvContentHintProjects10$2) {
  CreateProjectEnvContentHintProjects10$2.inboundSchema = CreateProjectEnvContentHintProjects10$inboundSchema;
  CreateProjectEnvContentHintProjects10$2.outboundSchema = CreateProjectEnvContentHintProjects10$outboundSchema;
})(CreateProjectEnvContentHintProjects10$ || (CreateProjectEnvContentHintProjects10$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$ = {}));
var CreateProjectEnvContentHintProjects9$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects9$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated29Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects9$;
(function(CreateProjectEnvContentHintProjects9$2) {
  CreateProjectEnvContentHintProjects9$2.inboundSchema = CreateProjectEnvContentHintProjects9$inboundSchema;
  CreateProjectEnvContentHintProjects9$2.outboundSchema = CreateProjectEnvContentHintProjects9$outboundSchema;
})(CreateProjectEnvContentHintProjects9$ || (CreateProjectEnvContentHintProjects9$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$ = {}));
var CreateProjectEnvContentHintProjects8$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects8$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated28Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects8$;
(function(CreateProjectEnvContentHintProjects8$2) {
  CreateProjectEnvContentHintProjects8$2.inboundSchema = CreateProjectEnvContentHintProjects8$inboundSchema;
  CreateProjectEnvContentHintProjects8$2.outboundSchema = CreateProjectEnvContentHintProjects8$outboundSchema;
})(CreateProjectEnvContentHintProjects8$ || (CreateProjectEnvContentHintProjects8$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$ = {}));
var CreateProjectEnvContentHintProjects7$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects7$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated27Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects7$;
(function(CreateProjectEnvContentHintProjects7$2) {
  CreateProjectEnvContentHintProjects7$2.inboundSchema = CreateProjectEnvContentHintProjects7$inboundSchema;
  CreateProjectEnvContentHintProjects7$2.outboundSchema = CreateProjectEnvContentHintProjects7$outboundSchema;
})(CreateProjectEnvContentHintProjects7$ || (CreateProjectEnvContentHintProjects7$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$ = {}));
var CreateProjectEnvContentHintProjects6$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects6$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated26Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects6$;
(function(CreateProjectEnvContentHintProjects6$2) {
  CreateProjectEnvContentHintProjects6$2.inboundSchema = CreateProjectEnvContentHintProjects6$inboundSchema;
  CreateProjectEnvContentHintProjects6$2.outboundSchema = CreateProjectEnvContentHintProjects6$outboundSchema;
})(CreateProjectEnvContentHintProjects6$ || (CreateProjectEnvContentHintProjects6$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$ = {}));
var CreateProjectEnvContentHintProjects5$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects5$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated25Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects5$;
(function(CreateProjectEnvContentHintProjects5$2) {
  CreateProjectEnvContentHintProjects5$2.inboundSchema = CreateProjectEnvContentHintProjects5$inboundSchema;
  CreateProjectEnvContentHintProjects5$2.outboundSchema = CreateProjectEnvContentHintProjects5$outboundSchema;
})(CreateProjectEnvContentHintProjects5$ || (CreateProjectEnvContentHintProjects5$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$ = {}));
var CreateProjectEnvContentHintProjects4$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects4$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated24Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects4$;
(function(CreateProjectEnvContentHintProjects4$2) {
  CreateProjectEnvContentHintProjects4$2.inboundSchema = CreateProjectEnvContentHintProjects4$inboundSchema;
  CreateProjectEnvContentHintProjects4$2.outboundSchema = CreateProjectEnvContentHintProjects4$outboundSchema;
})(CreateProjectEnvContentHintProjects4$ || (CreateProjectEnvContentHintProjects4$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$ = {}));
var CreateProjectEnvContentHintProjects3$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects3$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated23Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects3$;
(function(CreateProjectEnvContentHintProjects3$2) {
  CreateProjectEnvContentHintProjects3$2.inboundSchema = CreateProjectEnvContentHintProjects3$inboundSchema;
  CreateProjectEnvContentHintProjects3$2.outboundSchema = CreateProjectEnvContentHintProjects3$outboundSchema;
})(CreateProjectEnvContentHintProjects3$ || (CreateProjectEnvContentHintProjects3$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$ = {}));
var CreateProjectEnvContentHintProjects2$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects2$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated22Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects2$;
(function(CreateProjectEnvContentHintProjects2$2) {
  CreateProjectEnvContentHintProjects2$2.inboundSchema = CreateProjectEnvContentHintProjects2$inboundSchema;
  CreateProjectEnvContentHintProjects2$2.outboundSchema = CreateProjectEnvContentHintProjects2$outboundSchema;
})(CreateProjectEnvContentHintProjects2$ || (CreateProjectEnvContentHintProjects2$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$ = {}));
var CreateProjectEnvContentHintProjects1$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects1$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated2Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHintProjects1$;
(function(CreateProjectEnvContentHintProjects1$2) {
  CreateProjectEnvContentHintProjects1$2.inboundSchema = CreateProjectEnvContentHintProjects1$inboundSchema;
  CreateProjectEnvContentHintProjects1$2.outboundSchema = CreateProjectEnvContentHintProjects1$outboundSchema;
})(CreateProjectEnvContentHintProjects1$ || (CreateProjectEnvContentHintProjects1$ = {}));
var CreateProjectEnvCreatedContentHint$inboundSchema = unionType([
  lazyType(() => CreateProjectEnvContentHintProjects1$inboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects2$inboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects3$inboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects4$inboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects5$inboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects6$inboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects7$inboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects8$inboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects9$inboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects10$inboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects11$inboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects12$inboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects13$inboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects15$inboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects14$inboundSchema)
]);
var CreateProjectEnvCreatedContentHint$outboundSchema = unionType([
  lazyType(() => CreateProjectEnvContentHintProjects1$outboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects2$outboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects3$outboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects4$outboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects5$outboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects6$outboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects7$outboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects8$outboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects9$outboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects10$outboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects11$outboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects12$outboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects13$outboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects15$outboundSchema),
  lazyType(() => CreateProjectEnvContentHintProjects14$outboundSchema)
]);
var CreateProjectEnvCreatedContentHint$;
(function(CreateProjectEnvCreatedContentHint$2) {
  CreateProjectEnvCreatedContentHint$2.inboundSchema = CreateProjectEnvCreatedContentHint$inboundSchema;
  CreateProjectEnvCreatedContentHint$2.outboundSchema = CreateProjectEnvCreatedContentHint$outboundSchema;
})(CreateProjectEnvCreatedContentHint$ || (CreateProjectEnvCreatedContentHint$ = {}));
var CreateProjectEnvCreatedProjectsResponseType$inboundSchema = nativeEnumType(CreateProjectEnvCreatedProjectsResponseType);
var CreateProjectEnvCreatedProjectsResponseType$outboundSchema = CreateProjectEnvCreatedProjectsResponseType$inboundSchema;
var CreateProjectEnvCreatedProjectsResponseType$;
(function(CreateProjectEnvCreatedProjectsResponseType$2) {
  CreateProjectEnvCreatedProjectsResponseType$2.inboundSchema = CreateProjectEnvCreatedProjectsResponseType$inboundSchema;
  CreateProjectEnvCreatedProjectsResponseType$2.outboundSchema = CreateProjectEnvCreatedProjectsResponseType$outboundSchema;
})(CreateProjectEnvCreatedProjectsResponseType$ || (CreateProjectEnvCreatedProjectsResponseType$ = {}));
var CreateProjectEnvCreatedInternalContentHint$inboundSchema = objectType({
  type: CreateProjectEnvCreatedProjectsResponseType$inboundSchema,
  encryptedValue: stringType()
});
var CreateProjectEnvCreatedInternalContentHint$outboundSchema = objectType({
  type: CreateProjectEnvCreatedProjectsResponseType$outboundSchema,
  encryptedValue: stringType()
});
var CreateProjectEnvCreatedInternalContentHint$;
(function(CreateProjectEnvCreatedInternalContentHint$2) {
  CreateProjectEnvCreatedInternalContentHint$2.inboundSchema = CreateProjectEnvCreatedInternalContentHint$inboundSchema;
  CreateProjectEnvCreatedInternalContentHint$2.outboundSchema = CreateProjectEnvCreatedInternalContentHint$outboundSchema;
})(CreateProjectEnvCreatedInternalContentHint$ || (CreateProjectEnvCreatedInternalContentHint$ = {}));
var Created2$inboundSchema = objectType({
  target: unionType([
    arrayType(stringType()),
    CreateProjectEnvTargetProjects2$inboundSchema
  ]).optional(),
  type: CreateProjectEnvCreatedType$inboundSchema.optional(),
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType().optional(),
  value: stringType().optional(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => CreateProjectEnvContentHintProjects1$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects2$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects3$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects4$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects5$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects6$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects7$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects8$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects9$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects10$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects11$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects12$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects13$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects15$inboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects14$inboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => CreateProjectEnvCreatedInternalContentHint$inboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional(),
  system: booleanType().optional()
});
var Created2$outboundSchema = objectType({
  target: unionType([
    arrayType(stringType()),
    CreateProjectEnvTargetProjects2$outboundSchema
  ]).optional(),
  type: CreateProjectEnvCreatedType$outboundSchema.optional(),
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType().optional(),
  value: stringType().optional(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => CreateProjectEnvContentHintProjects1$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects2$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects3$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects4$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects5$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects6$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects7$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects8$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects9$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects10$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects11$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects12$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects13$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects15$outboundSchema),
    lazyType(() => CreateProjectEnvContentHintProjects14$outboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => CreateProjectEnvCreatedInternalContentHint$outboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional(),
  system: booleanType().optional()
});
var Created2$;
(function(Created2$2) {
  Created2$2.inboundSchema = Created2$inboundSchema;
  Created2$2.outboundSchema = Created2$outboundSchema;
})(Created2$ || (Created2$ = {}));
var CreateProjectEnvTarget2$inboundSchema = nativeEnumType(CreateProjectEnvTarget2);
var CreateProjectEnvTarget2$outboundSchema = CreateProjectEnvTarget2$inboundSchema;
var CreateProjectEnvTarget2$;
(function(CreateProjectEnvTarget2$2) {
  CreateProjectEnvTarget2$2.inboundSchema = CreateProjectEnvTarget2$inboundSchema;
  CreateProjectEnvTarget2$2.outboundSchema = CreateProjectEnvTarget2$outboundSchema;
})(CreateProjectEnvTarget2$ || (CreateProjectEnvTarget2$ = {}));
var CreateProjectEnvTarget1$inboundSchema = nativeEnumType(CreateProjectEnvTarget1);
var CreateProjectEnvTarget1$outboundSchema = CreateProjectEnvTarget1$inboundSchema;
var CreateProjectEnvTarget1$;
(function(CreateProjectEnvTarget1$2) {
  CreateProjectEnvTarget1$2.inboundSchema = CreateProjectEnvTarget1$inboundSchema;
  CreateProjectEnvTarget1$2.outboundSchema = CreateProjectEnvTarget1$outboundSchema;
})(CreateProjectEnvTarget1$ || (CreateProjectEnvTarget1$ = {}));
var CreatedTarget$inboundSchema = unionType([
  arrayType(CreateProjectEnvTarget1$inboundSchema),
  CreateProjectEnvTarget2$inboundSchema
]);
var CreatedTarget$outboundSchema = unionType([
  arrayType(CreateProjectEnvTarget1$outboundSchema),
  CreateProjectEnvTarget2$outboundSchema
]);
var CreatedTarget$;
(function(CreatedTarget$2) {
  CreatedTarget$2.inboundSchema = CreatedTarget$inboundSchema;
  CreatedTarget$2.outboundSchema = CreatedTarget$outboundSchema;
})(CreatedTarget$ || (CreatedTarget$ = {}));
var CreatedType$inboundSchema = nativeEnumType(CreatedType);
var CreatedType$outboundSchema = CreatedType$inboundSchema;
var CreatedType$;
(function(CreatedType$2) {
  CreatedType$2.inboundSchema = CreatedType$inboundSchema;
  CreatedType$2.outboundSchema = CreatedType$outboundSchema;
})(CreatedType$ || (CreatedType$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$ = {}));
var CreateProjectEnvContentHint15$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$inboundSchema,
  projectId: stringType()
});
var CreateProjectEnvContentHint15$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated115Type$outboundSchema,
  projectId: stringType()
});
var CreateProjectEnvContentHint15$;
(function(CreateProjectEnvContentHint15$2) {
  CreateProjectEnvContentHint15$2.inboundSchema = CreateProjectEnvContentHint15$inboundSchema;
  CreateProjectEnvContentHint15$2.outboundSchema = CreateProjectEnvContentHint15$outboundSchema;
})(CreateProjectEnvContentHint15$ || (CreateProjectEnvContentHint15$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$ = {}));
var CreateProjectEnvContentHint14$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$inboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var CreateProjectEnvContentHint14$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated114Type$outboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var CreateProjectEnvContentHint14$;
(function(CreateProjectEnvContentHint14$2) {
  CreateProjectEnvContentHint14$2.inboundSchema = CreateProjectEnvContentHint14$inboundSchema;
  CreateProjectEnvContentHint14$2.outboundSchema = CreateProjectEnvContentHint14$outboundSchema;
})(CreateProjectEnvContentHint14$ || (CreateProjectEnvContentHint14$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$ = {}));
var CreateProjectEnvContentHint13$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint13$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated113Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint13$;
(function(CreateProjectEnvContentHint13$2) {
  CreateProjectEnvContentHint13$2.inboundSchema = CreateProjectEnvContentHint13$inboundSchema;
  CreateProjectEnvContentHint13$2.outboundSchema = CreateProjectEnvContentHint13$outboundSchema;
})(CreateProjectEnvContentHint13$ || (CreateProjectEnvContentHint13$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$ = {}));
var CreateProjectEnvContentHint12$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint12$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated112Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint12$;
(function(CreateProjectEnvContentHint12$2) {
  CreateProjectEnvContentHint12$2.inboundSchema = CreateProjectEnvContentHint12$inboundSchema;
  CreateProjectEnvContentHint12$2.outboundSchema = CreateProjectEnvContentHint12$outboundSchema;
})(CreateProjectEnvContentHint12$ || (CreateProjectEnvContentHint12$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$ = {}));
var CreateProjectEnvContentHint11$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint11$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated111Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint11$;
(function(CreateProjectEnvContentHint11$2) {
  CreateProjectEnvContentHint11$2.inboundSchema = CreateProjectEnvContentHint11$inboundSchema;
  CreateProjectEnvContentHint11$2.outboundSchema = CreateProjectEnvContentHint11$outboundSchema;
})(CreateProjectEnvContentHint11$ || (CreateProjectEnvContentHint11$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$ = {}));
var CreateProjectEnvContentHint10$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint10$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated110Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint10$;
(function(CreateProjectEnvContentHint10$2) {
  CreateProjectEnvContentHint10$2.inboundSchema = CreateProjectEnvContentHint10$inboundSchema;
  CreateProjectEnvContentHint10$2.outboundSchema = CreateProjectEnvContentHint10$outboundSchema;
})(CreateProjectEnvContentHint10$ || (CreateProjectEnvContentHint10$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$ = {}));
var CreateProjectEnvContentHint9$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint9$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated19Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint9$;
(function(CreateProjectEnvContentHint9$2) {
  CreateProjectEnvContentHint9$2.inboundSchema = CreateProjectEnvContentHint9$inboundSchema;
  CreateProjectEnvContentHint9$2.outboundSchema = CreateProjectEnvContentHint9$outboundSchema;
})(CreateProjectEnvContentHint9$ || (CreateProjectEnvContentHint9$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$ = {}));
var CreateProjectEnvContentHint8$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint8$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreated1Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint8$;
(function(CreateProjectEnvContentHint8$2) {
  CreateProjectEnvContentHint8$2.inboundSchema = CreateProjectEnvContentHint8$inboundSchema;
  CreateProjectEnvContentHint8$2.outboundSchema = CreateProjectEnvContentHint8$outboundSchema;
})(CreateProjectEnvContentHint8$ || (CreateProjectEnvContentHint8$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$ = {}));
var CreateProjectEnvContentHint7$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint7$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyCreatedType$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint7$;
(function(CreateProjectEnvContentHint7$2) {
  CreateProjectEnvContentHint7$2.inboundSchema = CreateProjectEnvContentHint7$inboundSchema;
  CreateProjectEnvContentHint7$2.outboundSchema = CreateProjectEnvContentHint7$outboundSchema;
})(CreateProjectEnvContentHint7$ || (CreateProjectEnvContentHint7$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$ = {}));
var CreateProjectEnvContentHint6$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint6$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONResponseBodyType$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint6$;
(function(CreateProjectEnvContentHint6$2) {
  CreateProjectEnvContentHint6$2.inboundSchema = CreateProjectEnvContentHint6$inboundSchema;
  CreateProjectEnvContentHint6$2.outboundSchema = CreateProjectEnvContentHint6$outboundSchema;
})(CreateProjectEnvContentHint6$ || (CreateProjectEnvContentHint6$ = {}));
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType);
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$;
(function(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$2) {
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$ || (CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$ = {}));
var CreateProjectEnvContentHint5$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint5$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201ApplicationJSONType$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint5$;
(function(CreateProjectEnvContentHint5$2) {
  CreateProjectEnvContentHint5$2.inboundSchema = CreateProjectEnvContentHint5$inboundSchema;
  CreateProjectEnvContentHint5$2.outboundSchema = CreateProjectEnvContentHint5$outboundSchema;
})(CreateProjectEnvContentHint5$ || (CreateProjectEnvContentHint5$ = {}));
var CreateProjectEnvContentHintProjectsResponse201Type$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponse201Type);
var CreateProjectEnvContentHintProjectsResponse201Type$outboundSchema = CreateProjectEnvContentHintProjectsResponse201Type$inboundSchema;
var CreateProjectEnvContentHintProjectsResponse201Type$;
(function(CreateProjectEnvContentHintProjectsResponse201Type$2) {
  CreateProjectEnvContentHintProjectsResponse201Type$2.inboundSchema = CreateProjectEnvContentHintProjectsResponse201Type$inboundSchema;
  CreateProjectEnvContentHintProjectsResponse201Type$2.outboundSchema = CreateProjectEnvContentHintProjectsResponse201Type$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponse201Type$ || (CreateProjectEnvContentHintProjectsResponse201Type$ = {}));
var CreateProjectEnvContentHint4$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201Type$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint4$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponse201Type$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint4$;
(function(CreateProjectEnvContentHint4$2) {
  CreateProjectEnvContentHint4$2.inboundSchema = CreateProjectEnvContentHint4$inboundSchema;
  CreateProjectEnvContentHint4$2.outboundSchema = CreateProjectEnvContentHint4$outboundSchema;
})(CreateProjectEnvContentHint4$ || (CreateProjectEnvContentHint4$ = {}));
var CreateProjectEnvContentHintProjectsResponseType$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsResponseType);
var CreateProjectEnvContentHintProjectsResponseType$outboundSchema = CreateProjectEnvContentHintProjectsResponseType$inboundSchema;
var CreateProjectEnvContentHintProjectsResponseType$;
(function(CreateProjectEnvContentHintProjectsResponseType$2) {
  CreateProjectEnvContentHintProjectsResponseType$2.inboundSchema = CreateProjectEnvContentHintProjectsResponseType$inboundSchema;
  CreateProjectEnvContentHintProjectsResponseType$2.outboundSchema = CreateProjectEnvContentHintProjectsResponseType$outboundSchema;
})(CreateProjectEnvContentHintProjectsResponseType$ || (CreateProjectEnvContentHintProjectsResponseType$ = {}));
var CreateProjectEnvContentHint3$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponseType$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint3$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsResponseType$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint3$;
(function(CreateProjectEnvContentHint3$2) {
  CreateProjectEnvContentHint3$2.inboundSchema = CreateProjectEnvContentHint3$inboundSchema;
  CreateProjectEnvContentHint3$2.outboundSchema = CreateProjectEnvContentHint3$outboundSchema;
})(CreateProjectEnvContentHint3$ || (CreateProjectEnvContentHint3$ = {}));
var CreateProjectEnvContentHintProjectsType$inboundSchema = nativeEnumType(CreateProjectEnvContentHintProjectsType);
var CreateProjectEnvContentHintProjectsType$outboundSchema = CreateProjectEnvContentHintProjectsType$inboundSchema;
var CreateProjectEnvContentHintProjectsType$;
(function(CreateProjectEnvContentHintProjectsType$2) {
  CreateProjectEnvContentHintProjectsType$2.inboundSchema = CreateProjectEnvContentHintProjectsType$inboundSchema;
  CreateProjectEnvContentHintProjectsType$2.outboundSchema = CreateProjectEnvContentHintProjectsType$outboundSchema;
})(CreateProjectEnvContentHintProjectsType$ || (CreateProjectEnvContentHintProjectsType$ = {}));
var CreateProjectEnvContentHint2$inboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsType$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint2$outboundSchema = objectType({
  type: CreateProjectEnvContentHintProjectsType$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint2$;
(function(CreateProjectEnvContentHint2$2) {
  CreateProjectEnvContentHint2$2.inboundSchema = CreateProjectEnvContentHint2$inboundSchema;
  CreateProjectEnvContentHint2$2.outboundSchema = CreateProjectEnvContentHint2$outboundSchema;
})(CreateProjectEnvContentHint2$ || (CreateProjectEnvContentHint2$ = {}));
var CreateProjectEnvContentHintType$inboundSchema = nativeEnumType(CreateProjectEnvContentHintType);
var CreateProjectEnvContentHintType$outboundSchema = CreateProjectEnvContentHintType$inboundSchema;
var CreateProjectEnvContentHintType$;
(function(CreateProjectEnvContentHintType$2) {
  CreateProjectEnvContentHintType$2.inboundSchema = CreateProjectEnvContentHintType$inboundSchema;
  CreateProjectEnvContentHintType$2.outboundSchema = CreateProjectEnvContentHintType$outboundSchema;
})(CreateProjectEnvContentHintType$ || (CreateProjectEnvContentHintType$ = {}));
var CreateProjectEnvContentHint1$inboundSchema = objectType({
  type: CreateProjectEnvContentHintType$inboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint1$outboundSchema = objectType({
  type: CreateProjectEnvContentHintType$outboundSchema,
  storeId: stringType()
});
var CreateProjectEnvContentHint1$;
(function(CreateProjectEnvContentHint1$2) {
  CreateProjectEnvContentHint1$2.inboundSchema = CreateProjectEnvContentHint1$inboundSchema;
  CreateProjectEnvContentHint1$2.outboundSchema = CreateProjectEnvContentHint1$outboundSchema;
})(CreateProjectEnvContentHint1$ || (CreateProjectEnvContentHint1$ = {}));
var CreatedContentHint$inboundSchema = unionType([
  lazyType(() => CreateProjectEnvContentHint1$inboundSchema),
  lazyType(() => CreateProjectEnvContentHint2$inboundSchema),
  lazyType(() => CreateProjectEnvContentHint3$inboundSchema),
  lazyType(() => CreateProjectEnvContentHint4$inboundSchema),
  lazyType(() => CreateProjectEnvContentHint5$inboundSchema),
  lazyType(() => CreateProjectEnvContentHint6$inboundSchema),
  lazyType(() => CreateProjectEnvContentHint7$inboundSchema),
  lazyType(() => CreateProjectEnvContentHint8$inboundSchema),
  lazyType(() => CreateProjectEnvContentHint9$inboundSchema),
  lazyType(() => CreateProjectEnvContentHint10$inboundSchema),
  lazyType(() => CreateProjectEnvContentHint11$inboundSchema),
  lazyType(() => CreateProjectEnvContentHint12$inboundSchema),
  lazyType(() => CreateProjectEnvContentHint13$inboundSchema),
  lazyType(() => CreateProjectEnvContentHint15$inboundSchema),
  lazyType(() => CreateProjectEnvContentHint14$inboundSchema)
]);
var CreatedContentHint$outboundSchema = unionType([
  lazyType(() => CreateProjectEnvContentHint1$outboundSchema),
  lazyType(() => CreateProjectEnvContentHint2$outboundSchema),
  lazyType(() => CreateProjectEnvContentHint3$outboundSchema),
  lazyType(() => CreateProjectEnvContentHint4$outboundSchema),
  lazyType(() => CreateProjectEnvContentHint5$outboundSchema),
  lazyType(() => CreateProjectEnvContentHint6$outboundSchema),
  lazyType(() => CreateProjectEnvContentHint7$outboundSchema),
  lazyType(() => CreateProjectEnvContentHint8$outboundSchema),
  lazyType(() => CreateProjectEnvContentHint9$outboundSchema),
  lazyType(() => CreateProjectEnvContentHint10$outboundSchema),
  lazyType(() => CreateProjectEnvContentHint11$outboundSchema),
  lazyType(() => CreateProjectEnvContentHint12$outboundSchema),
  lazyType(() => CreateProjectEnvContentHint13$outboundSchema),
  lazyType(() => CreateProjectEnvContentHint15$outboundSchema),
  lazyType(() => CreateProjectEnvContentHint14$outboundSchema)
]);
var CreatedContentHint$;
(function(CreatedContentHint$2) {
  CreatedContentHint$2.inboundSchema = CreatedContentHint$inboundSchema;
  CreatedContentHint$2.outboundSchema = CreatedContentHint$outboundSchema;
})(CreatedContentHint$ || (CreatedContentHint$ = {}));
var CreateProjectEnvCreatedProjectsType$inboundSchema = nativeEnumType(CreateProjectEnvCreatedProjectsType);
var CreateProjectEnvCreatedProjectsType$outboundSchema = CreateProjectEnvCreatedProjectsType$inboundSchema;
var CreateProjectEnvCreatedProjectsType$;
(function(CreateProjectEnvCreatedProjectsType$2) {
  CreateProjectEnvCreatedProjectsType$2.inboundSchema = CreateProjectEnvCreatedProjectsType$inboundSchema;
  CreateProjectEnvCreatedProjectsType$2.outboundSchema = CreateProjectEnvCreatedProjectsType$outboundSchema;
})(CreateProjectEnvCreatedProjectsType$ || (CreateProjectEnvCreatedProjectsType$ = {}));
var CreatedInternalContentHint$inboundSchema = objectType({
  type: CreateProjectEnvCreatedProjectsType$inboundSchema,
  encryptedValue: stringType()
});
var CreatedInternalContentHint$outboundSchema = objectType({
  type: CreateProjectEnvCreatedProjectsType$outboundSchema,
  encryptedValue: stringType()
});
var CreatedInternalContentHint$;
(function(CreatedInternalContentHint$2) {
  CreatedInternalContentHint$2.inboundSchema = CreatedInternalContentHint$inboundSchema;
  CreatedInternalContentHint$2.outboundSchema = CreatedInternalContentHint$outboundSchema;
})(CreatedInternalContentHint$ || (CreatedInternalContentHint$ = {}));
var Created1$inboundSchema = objectType({
  target: unionType([
    arrayType(CreateProjectEnvTarget1$inboundSchema),
    CreateProjectEnvTarget2$inboundSchema
  ]).optional(),
  type: CreatedType$inboundSchema.optional(),
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType().optional(),
  value: stringType().optional(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => CreateProjectEnvContentHint1$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint2$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint3$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint4$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint5$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint6$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint7$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint8$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint9$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint10$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint11$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint12$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint13$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint15$inboundSchema),
    lazyType(() => CreateProjectEnvContentHint14$inboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => CreatedInternalContentHint$inboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional(),
  system: booleanType().optional()
});
var Created1$outboundSchema = objectType({
  target: unionType([
    arrayType(CreateProjectEnvTarget1$outboundSchema),
    CreateProjectEnvTarget2$outboundSchema
  ]).optional(),
  type: CreatedType$outboundSchema.optional(),
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType().optional(),
  value: stringType().optional(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => CreateProjectEnvContentHint1$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint2$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint3$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint4$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint5$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint6$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint7$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint8$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint9$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint10$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint11$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint12$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint13$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint15$outboundSchema),
    lazyType(() => CreateProjectEnvContentHint14$outboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => CreatedInternalContentHint$outboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional(),
  system: booleanType().optional()
});
var Created1$;
(function(Created1$2) {
  Created1$2.inboundSchema = Created1$inboundSchema;
  Created1$2.outboundSchema = Created1$outboundSchema;
})(Created1$ || (Created1$ = {}));
var Created$inboundSchema = unionType([
  lazyType(() => Created1$inboundSchema),
  arrayType(lazyType(() => Created2$inboundSchema))
]);
var Created$outboundSchema = unionType([
  lazyType(() => Created1$outboundSchema),
  arrayType(lazyType(() => Created2$outboundSchema))
]);
var Created$;
(function(Created$2) {
  Created$2.inboundSchema = Created$inboundSchema;
  Created$2.outboundSchema = Created$outboundSchema;
})(Created$ || (Created$ = {}));
var CreateProjectEnvValue2$inboundSchema = nativeEnumType(CreateProjectEnvValue2);
var CreateProjectEnvValue2$outboundSchema = CreateProjectEnvValue2$inboundSchema;
var CreateProjectEnvValue2$;
(function(CreateProjectEnvValue2$2) {
  CreateProjectEnvValue2$2.inboundSchema = CreateProjectEnvValue2$inboundSchema;
  CreateProjectEnvValue2$2.outboundSchema = CreateProjectEnvValue2$outboundSchema;
})(CreateProjectEnvValue2$ || (CreateProjectEnvValue2$ = {}));
var CreateProjectEnvValue$inboundSchema = unionType([stringType(), arrayType(CreateProjectEnvValue2$inboundSchema)]);
var CreateProjectEnvValue$outboundSchema = unionType([stringType(), arrayType(CreateProjectEnvValue2$outboundSchema)]);
var CreateProjectEnvValue$;
(function(CreateProjectEnvValue$2) {
  CreateProjectEnvValue$2.inboundSchema = CreateProjectEnvValue$inboundSchema;
  CreateProjectEnvValue$2.outboundSchema = CreateProjectEnvValue$outboundSchema;
})(CreateProjectEnvValue$ || (CreateProjectEnvValue$ = {}));
var CreateProjectEnvTargetProjectsResponse2$inboundSchema = nativeEnumType(CreateProjectEnvTargetProjectsResponse2);
var CreateProjectEnvTargetProjectsResponse2$outboundSchema = CreateProjectEnvTargetProjectsResponse2$inboundSchema;
var CreateProjectEnvTargetProjectsResponse2$;
(function(CreateProjectEnvTargetProjectsResponse2$2) {
  CreateProjectEnvTargetProjectsResponse2$2.inboundSchema = CreateProjectEnvTargetProjectsResponse2$inboundSchema;
  CreateProjectEnvTargetProjectsResponse2$2.outboundSchema = CreateProjectEnvTargetProjectsResponse2$outboundSchema;
})(CreateProjectEnvTargetProjectsResponse2$ || (CreateProjectEnvTargetProjectsResponse2$ = {}));
var CreateProjectEnvTargetProjects1$inboundSchema = nativeEnumType(CreateProjectEnvTargetProjects1);
var CreateProjectEnvTargetProjects1$outboundSchema = CreateProjectEnvTargetProjects1$inboundSchema;
var CreateProjectEnvTargetProjects1$;
(function(CreateProjectEnvTargetProjects1$2) {
  CreateProjectEnvTargetProjects1$2.inboundSchema = CreateProjectEnvTargetProjects1$inboundSchema;
  CreateProjectEnvTargetProjects1$2.outboundSchema = CreateProjectEnvTargetProjects1$outboundSchema;
})(CreateProjectEnvTargetProjects1$ || (CreateProjectEnvTargetProjects1$ = {}));
var CreateProjectEnvTarget$inboundSchema = unionType([
  arrayType(CreateProjectEnvTargetProjects1$inboundSchema),
  CreateProjectEnvTargetProjectsResponse2$inboundSchema
]);
var CreateProjectEnvTarget$outboundSchema = unionType([
  arrayType(CreateProjectEnvTargetProjects1$outboundSchema),
  CreateProjectEnvTargetProjectsResponse2$outboundSchema
]);
var CreateProjectEnvTarget$;
(function(CreateProjectEnvTarget$2) {
  CreateProjectEnvTarget$2.inboundSchema = CreateProjectEnvTarget$inboundSchema;
  CreateProjectEnvTarget$2.outboundSchema = CreateProjectEnvTarget$outboundSchema;
})(CreateProjectEnvTarget$ || (CreateProjectEnvTarget$ = {}));
var CreateProjectEnvError$inboundSchema = objectType({
  code: stringType(),
  message: stringType(),
  key: stringType().optional(),
  envVarId: stringType().optional(),
  envVarKey: stringType().optional(),
  action: stringType().optional(),
  link: stringType().optional(),
  value: unionType([stringType(), arrayType(CreateProjectEnvValue2$inboundSchema)]).optional(),
  gitBranch: stringType().optional(),
  target: unionType([
    arrayType(CreateProjectEnvTargetProjects1$inboundSchema),
    CreateProjectEnvTargetProjectsResponse2$inboundSchema
  ]).optional(),
  project: stringType().optional()
});
var CreateProjectEnvError$outboundSchema = objectType({
  code: stringType(),
  message: stringType(),
  key: stringType().optional(),
  envVarId: stringType().optional(),
  envVarKey: stringType().optional(),
  action: stringType().optional(),
  link: stringType().optional(),
  value: unionType([stringType(), arrayType(CreateProjectEnvValue2$outboundSchema)]).optional(),
  gitBranch: stringType().optional(),
  target: unionType([
    arrayType(CreateProjectEnvTargetProjects1$outboundSchema),
    CreateProjectEnvTargetProjectsResponse2$outboundSchema
  ]).optional(),
  project: stringType().optional()
});
var CreateProjectEnvError$;
(function(CreateProjectEnvError$2) {
  CreateProjectEnvError$2.inboundSchema = CreateProjectEnvError$inboundSchema;
  CreateProjectEnvError$2.outboundSchema = CreateProjectEnvError$outboundSchema;
})(CreateProjectEnvError$ || (CreateProjectEnvError$ = {}));
var Failed$inboundSchema = objectType({
  error: lazyType(() => CreateProjectEnvError$inboundSchema)
});
var Failed$outboundSchema = objectType({
  error: lazyType(() => CreateProjectEnvError$outboundSchema)
});
var Failed$;
(function(Failed$2) {
  Failed$2.inboundSchema = Failed$inboundSchema;
  Failed$2.outboundSchema = Failed$outboundSchema;
})(Failed$ || (Failed$ = {}));
var CreateProjectEnvResponseBody$inboundSchema = objectType({
  created: unionType([
    lazyType(() => Created1$inboundSchema),
    arrayType(lazyType(() => Created2$inboundSchema))
  ]),
  failed: arrayType(lazyType(() => Failed$inboundSchema))
});
var CreateProjectEnvResponseBody$outboundSchema = objectType({
  created: unionType([
    lazyType(() => Created1$outboundSchema),
    arrayType(lazyType(() => Created2$outboundSchema))
  ]),
  failed: arrayType(lazyType(() => Failed$outboundSchema))
});
var CreateProjectEnvResponseBody$;
(function(CreateProjectEnvResponseBody$2) {
  CreateProjectEnvResponseBody$2.inboundSchema = CreateProjectEnvResponseBody$inboundSchema;
  CreateProjectEnvResponseBody$2.outboundSchema = CreateProjectEnvResponseBody$outboundSchema;
})(CreateProjectEnvResponseBody$ || (CreateProjectEnvResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsCreateProjectEnv.js
async function projectsCreateProjectEnv(client, request, options) {
  const parsed = safeParse(request, (value) => CreateProjectEnvRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v10/projects/{idOrName}/env")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId,
    upsert: payload.upsert
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "createProjectEnv",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(201, CreateProjectEnvResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/createprojecttransferrequestop.js
var CreateProjectTransferRequestRequest$inboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var CreateProjectTransferRequestRequest$outboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var CreateProjectTransferRequestRequest$;
(function(CreateProjectTransferRequestRequest$2) {
  CreateProjectTransferRequestRequest$2.inboundSchema = CreateProjectTransferRequestRequest$inboundSchema;
  CreateProjectTransferRequestRequest$2.outboundSchema = CreateProjectTransferRequestRequest$outboundSchema;
})(CreateProjectTransferRequestRequest$ || (CreateProjectTransferRequestRequest$ = {}));
var CreateProjectTransferRequestResponseBody$inboundSchema = objectType({});
var CreateProjectTransferRequestResponseBody$outboundSchema = objectType({});
var CreateProjectTransferRequestResponseBody$;
(function(CreateProjectTransferRequestResponseBody$2) {
  CreateProjectTransferRequestResponseBody$2.inboundSchema = CreateProjectTransferRequestResponseBody$inboundSchema;
  CreateProjectTransferRequestResponseBody$2.outboundSchema = CreateProjectTransferRequestResponseBody$outboundSchema;
})(CreateProjectTransferRequestResponseBody$ || (CreateProjectTransferRequestResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsCreateProjectTransferRequest.js
async function projectsCreateProjectTransferRequest(client, request, options) {
  const parsed = safeParse(request, (value) => CreateProjectTransferRequestRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/projects/{idOrName}/transfer-request")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "createProjectTransferRequest",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateProjectTransferRequestResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/deleteprojectop.js
var DeleteProjectRequest$inboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteProjectRequest$outboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteProjectRequest$;
(function(DeleteProjectRequest$2) {
  DeleteProjectRequest$2.inboundSchema = DeleteProjectRequest$inboundSchema;
  DeleteProjectRequest$2.outboundSchema = DeleteProjectRequest$outboundSchema;
})(DeleteProjectRequest$ || (DeleteProjectRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsDeleteProject.js
async function projectsDeleteProject(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteProjectRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "deleteProject",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/editprojectenvop.js
var EditProjectEnvTarget = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var EditProjectEnvType = {
  System: "system",
  Secret: "secret",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive"
};
var EditProjectEnvTarget2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var EditProjectEnvResponseBodyType = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret"
};
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type = {
  FlagsConnectionString: "flags-connection-string"
};
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type = {
  IntegrationStoreSecret: "integration-store-secret"
};
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type = {
  PostgresUrlNoSsl: "postgres-url-no-ssl"
};
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type = {
  PostgresDatabase: "postgres-database"
};
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type = {
  PostgresPassword: "postgres-password"
};
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type = {
  PostgresHost: "postgres-host"
};
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type = {
  PostgresUser: "postgres-user"
};
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type = {
  PostgresPrismaUrl: "postgres-prisma-url"
};
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type = {
  PostgresUrlNonPooling: "postgres-url-non-pooling"
};
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType = {
  PostgresUrl: "postgres-url"
};
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONType = {
  BlobReadWriteToken: "blob-read-write-token"
};
var EditProjectEnvContentHintProjectsResponse200Type = {
  RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
};
var EditProjectEnvContentHintProjectsResponseType = {
  RedisRestApiToken: "redis-rest-api-token"
};
var EditProjectEnvContentHintProjectsType = {
  RedisRestApiUrl: "redis-rest-api-url"
};
var EditProjectEnvContentHintType = {
  RedisUrl: "redis-url"
};
var EditProjectEnvResponseBodyProjectsType = {
  FlagsSecret: "flags-secret"
};
var EditProjectEnvTarget$inboundSchema = nativeEnumType(EditProjectEnvTarget);
var EditProjectEnvTarget$outboundSchema = EditProjectEnvTarget$inboundSchema;
var EditProjectEnvTarget$;
(function(EditProjectEnvTarget$2) {
  EditProjectEnvTarget$2.inboundSchema = EditProjectEnvTarget$inboundSchema;
  EditProjectEnvTarget$2.outboundSchema = EditProjectEnvTarget$outboundSchema;
})(EditProjectEnvTarget$ || (EditProjectEnvTarget$ = {}));
var EditProjectEnvType$inboundSchema = nativeEnumType(EditProjectEnvType);
var EditProjectEnvType$outboundSchema = EditProjectEnvType$inboundSchema;
var EditProjectEnvType$;
(function(EditProjectEnvType$2) {
  EditProjectEnvType$2.inboundSchema = EditProjectEnvType$inboundSchema;
  EditProjectEnvType$2.outboundSchema = EditProjectEnvType$outboundSchema;
})(EditProjectEnvType$ || (EditProjectEnvType$ = {}));
var EditProjectEnvRequestBody$inboundSchema = objectType({
  key: stringType().optional(),
  target: arrayType(EditProjectEnvTarget$inboundSchema).optional(),
  gitBranch: nullableType(stringType()).optional(),
  type: EditProjectEnvType$inboundSchema.optional(),
  value: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  comment: stringType().optional()
});
var EditProjectEnvRequestBody$outboundSchema = objectType({
  key: stringType().optional(),
  target: arrayType(EditProjectEnvTarget$outboundSchema).optional(),
  gitBranch: nullableType(stringType()).optional(),
  type: EditProjectEnvType$outboundSchema.optional(),
  value: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  comment: stringType().optional()
});
var EditProjectEnvRequestBody$;
(function(EditProjectEnvRequestBody$2) {
  EditProjectEnvRequestBody$2.inboundSchema = EditProjectEnvRequestBody$inboundSchema;
  EditProjectEnvRequestBody$2.outboundSchema = EditProjectEnvRequestBody$outboundSchema;
})(EditProjectEnvRequestBody$ || (EditProjectEnvRequestBody$ = {}));
var EditProjectEnvRequest$inboundSchema = objectType({
  idOrName: stringType(),
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => EditProjectEnvRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var EditProjectEnvRequest$outboundSchema = objectType({
  idOrName: stringType(),
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => EditProjectEnvRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var EditProjectEnvRequest$;
(function(EditProjectEnvRequest$2) {
  EditProjectEnvRequest$2.inboundSchema = EditProjectEnvRequest$inboundSchema;
  EditProjectEnvRequest$2.outboundSchema = EditProjectEnvRequest$outboundSchema;
})(EditProjectEnvRequest$ || (EditProjectEnvRequest$ = {}));
var EditProjectEnvResponseBody2$inboundSchema = objectType({});
var EditProjectEnvResponseBody2$outboundSchema = objectType({});
var EditProjectEnvResponseBody2$;
(function(EditProjectEnvResponseBody2$2) {
  EditProjectEnvResponseBody2$2.inboundSchema = EditProjectEnvResponseBody2$inboundSchema;
  EditProjectEnvResponseBody2$2.outboundSchema = EditProjectEnvResponseBody2$outboundSchema;
})(EditProjectEnvResponseBody2$ || (EditProjectEnvResponseBody2$ = {}));
var EditProjectEnvTarget2$inboundSchema = nativeEnumType(EditProjectEnvTarget2);
var EditProjectEnvTarget2$outboundSchema = EditProjectEnvTarget2$inboundSchema;
var EditProjectEnvTarget2$;
(function(EditProjectEnvTarget2$2) {
  EditProjectEnvTarget2$2.inboundSchema = EditProjectEnvTarget2$inboundSchema;
  EditProjectEnvTarget2$2.outboundSchema = EditProjectEnvTarget2$outboundSchema;
})(EditProjectEnvTarget2$ || (EditProjectEnvTarget2$ = {}));
var EditProjectEnvResponseBodyTarget$inboundSchema = unionType([arrayType(stringType()), EditProjectEnvTarget2$inboundSchema]);
var EditProjectEnvResponseBodyTarget$outboundSchema = unionType([arrayType(stringType()), EditProjectEnvTarget2$outboundSchema]);
var EditProjectEnvResponseBodyTarget$;
(function(EditProjectEnvResponseBodyTarget$2) {
  EditProjectEnvResponseBodyTarget$2.inboundSchema = EditProjectEnvResponseBodyTarget$inboundSchema;
  EditProjectEnvResponseBodyTarget$2.outboundSchema = EditProjectEnvResponseBodyTarget$outboundSchema;
})(EditProjectEnvResponseBodyTarget$ || (EditProjectEnvResponseBodyTarget$ = {}));
var EditProjectEnvResponseBodyType$inboundSchema = nativeEnumType(EditProjectEnvResponseBodyType);
var EditProjectEnvResponseBodyType$outboundSchema = EditProjectEnvResponseBodyType$inboundSchema;
var EditProjectEnvResponseBodyType$;
(function(EditProjectEnvResponseBodyType$2) {
  EditProjectEnvResponseBodyType$2.inboundSchema = EditProjectEnvResponseBodyType$inboundSchema;
  EditProjectEnvResponseBodyType$2.outboundSchema = EditProjectEnvResponseBodyType$outboundSchema;
})(EditProjectEnvResponseBodyType$ || (EditProjectEnvResponseBodyType$ = {}));
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type);
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$;
(function(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$2) {
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$2.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$2.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema;
})(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$ || (EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$ = {}));
var EditProjectEnvContentHint15$inboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema,
  projectId: stringType()
});
var EditProjectEnvContentHint15$outboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema,
  projectId: stringType()
});
var EditProjectEnvContentHint15$;
(function(EditProjectEnvContentHint15$2) {
  EditProjectEnvContentHint15$2.inboundSchema = EditProjectEnvContentHint15$inboundSchema;
  EditProjectEnvContentHint15$2.outboundSchema = EditProjectEnvContentHint15$outboundSchema;
})(EditProjectEnvContentHint15$ || (EditProjectEnvContentHint15$ = {}));
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type);
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$;
(function(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$2) {
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$2.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$2.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema;
})(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$ || (EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$ = {}));
var EditProjectEnvContentHint14$inboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var EditProjectEnvContentHint14$outboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var EditProjectEnvContentHint14$;
(function(EditProjectEnvContentHint14$2) {
  EditProjectEnvContentHint14$2.inboundSchema = EditProjectEnvContentHint14$inboundSchema;
  EditProjectEnvContentHint14$2.outboundSchema = EditProjectEnvContentHint14$outboundSchema;
})(EditProjectEnvContentHint14$ || (EditProjectEnvContentHint14$ = {}));
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type);
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$;
(function(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$2) {
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$2.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$2.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema;
})(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$ || (EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$ = {}));
var EditProjectEnvContentHint13$inboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint13$outboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint13$;
(function(EditProjectEnvContentHint13$2) {
  EditProjectEnvContentHint13$2.inboundSchema = EditProjectEnvContentHint13$inboundSchema;
  EditProjectEnvContentHint13$2.outboundSchema = EditProjectEnvContentHint13$outboundSchema;
})(EditProjectEnvContentHint13$ || (EditProjectEnvContentHint13$ = {}));
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type);
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$;
(function(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$2) {
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$2.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$2.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema;
})(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$ || (EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$ = {}));
var EditProjectEnvContentHint12$inboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint12$outboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint12$;
(function(EditProjectEnvContentHint12$2) {
  EditProjectEnvContentHint12$2.inboundSchema = EditProjectEnvContentHint12$inboundSchema;
  EditProjectEnvContentHint12$2.outboundSchema = EditProjectEnvContentHint12$outboundSchema;
})(EditProjectEnvContentHint12$ || (EditProjectEnvContentHint12$ = {}));
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type);
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$;
(function(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$2) {
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$2.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$2.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema;
})(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$ || (EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$ = {}));
var EditProjectEnvContentHint11$inboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint11$outboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint11$;
(function(EditProjectEnvContentHint11$2) {
  EditProjectEnvContentHint11$2.inboundSchema = EditProjectEnvContentHint11$inboundSchema;
  EditProjectEnvContentHint11$2.outboundSchema = EditProjectEnvContentHint11$outboundSchema;
})(EditProjectEnvContentHint11$ || (EditProjectEnvContentHint11$ = {}));
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type);
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$;
(function(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$2) {
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$2.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$2.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema;
})(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$ || (EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$ = {}));
var EditProjectEnvContentHint10$inboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint10$outboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint10$;
(function(EditProjectEnvContentHint10$2) {
  EditProjectEnvContentHint10$2.inboundSchema = EditProjectEnvContentHint10$inboundSchema;
  EditProjectEnvContentHint10$2.outboundSchema = EditProjectEnvContentHint10$outboundSchema;
})(EditProjectEnvContentHint10$ || (EditProjectEnvContentHint10$ = {}));
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type);
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$;
(function(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$2) {
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$2.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$2.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema;
})(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$ || (EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$ = {}));
var EditProjectEnvContentHint9$inboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint9$outboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint9$;
(function(EditProjectEnvContentHint9$2) {
  EditProjectEnvContentHint9$2.inboundSchema = EditProjectEnvContentHint9$inboundSchema;
  EditProjectEnvContentHint9$2.outboundSchema = EditProjectEnvContentHint9$outboundSchema;
})(EditProjectEnvContentHint9$ || (EditProjectEnvContentHint9$ = {}));
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type);
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$;
(function(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$2) {
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$2.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$2.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema;
})(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$ || (EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$ = {}));
var EditProjectEnvContentHint8$inboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint8$outboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint8$;
(function(EditProjectEnvContentHint8$2) {
  EditProjectEnvContentHint8$2.inboundSchema = EditProjectEnvContentHint8$inboundSchema;
  EditProjectEnvContentHint8$2.outboundSchema = EditProjectEnvContentHint8$outboundSchema;
})(EditProjectEnvContentHint8$ || (EditProjectEnvContentHint8$ = {}));
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type);
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$;
(function(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$2) {
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$2.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$2.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema;
})(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$ || (EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$ = {}));
var EditProjectEnvContentHint7$inboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint7$outboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint7$;
(function(EditProjectEnvContentHint7$2) {
  EditProjectEnvContentHint7$2.inboundSchema = EditProjectEnvContentHint7$inboundSchema;
  EditProjectEnvContentHint7$2.outboundSchema = EditProjectEnvContentHint7$outboundSchema;
})(EditProjectEnvContentHint7$ || (EditProjectEnvContentHint7$ = {}));
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType);
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$;
(function(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$2) {
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$2.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$2.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
})(EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$ || (EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$ = {}));
var EditProjectEnvContentHint6$inboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint6$outboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint6$;
(function(EditProjectEnvContentHint6$2) {
  EditProjectEnvContentHint6$2.inboundSchema = EditProjectEnvContentHint6$inboundSchema;
  EditProjectEnvContentHint6$2.outboundSchema = EditProjectEnvContentHint6$outboundSchema;
})(EditProjectEnvContentHint6$ || (EditProjectEnvContentHint6$ = {}));
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200ApplicationJSONType);
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
var EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$;
(function(EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$2) {
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$2.inboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
  EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$2.outboundSchema = EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema;
})(EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$ || (EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$ = {}));
var EditProjectEnvContentHint5$inboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint5$outboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint5$;
(function(EditProjectEnvContentHint5$2) {
  EditProjectEnvContentHint5$2.inboundSchema = EditProjectEnvContentHint5$inboundSchema;
  EditProjectEnvContentHint5$2.outboundSchema = EditProjectEnvContentHint5$outboundSchema;
})(EditProjectEnvContentHint5$ || (EditProjectEnvContentHint5$ = {}));
var EditProjectEnvContentHintProjectsResponse200Type$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponse200Type);
var EditProjectEnvContentHintProjectsResponse200Type$outboundSchema = EditProjectEnvContentHintProjectsResponse200Type$inboundSchema;
var EditProjectEnvContentHintProjectsResponse200Type$;
(function(EditProjectEnvContentHintProjectsResponse200Type$2) {
  EditProjectEnvContentHintProjectsResponse200Type$2.inboundSchema = EditProjectEnvContentHintProjectsResponse200Type$inboundSchema;
  EditProjectEnvContentHintProjectsResponse200Type$2.outboundSchema = EditProjectEnvContentHintProjectsResponse200Type$outboundSchema;
})(EditProjectEnvContentHintProjectsResponse200Type$ || (EditProjectEnvContentHintProjectsResponse200Type$ = {}));
var EditProjectEnvContentHint4$inboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200Type$inboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint4$outboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponse200Type$outboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint4$;
(function(EditProjectEnvContentHint4$2) {
  EditProjectEnvContentHint4$2.inboundSchema = EditProjectEnvContentHint4$inboundSchema;
  EditProjectEnvContentHint4$2.outboundSchema = EditProjectEnvContentHint4$outboundSchema;
})(EditProjectEnvContentHint4$ || (EditProjectEnvContentHint4$ = {}));
var EditProjectEnvContentHintProjectsResponseType$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsResponseType);
var EditProjectEnvContentHintProjectsResponseType$outboundSchema = EditProjectEnvContentHintProjectsResponseType$inboundSchema;
var EditProjectEnvContentHintProjectsResponseType$;
(function(EditProjectEnvContentHintProjectsResponseType$2) {
  EditProjectEnvContentHintProjectsResponseType$2.inboundSchema = EditProjectEnvContentHintProjectsResponseType$inboundSchema;
  EditProjectEnvContentHintProjectsResponseType$2.outboundSchema = EditProjectEnvContentHintProjectsResponseType$outboundSchema;
})(EditProjectEnvContentHintProjectsResponseType$ || (EditProjectEnvContentHintProjectsResponseType$ = {}));
var EditProjectEnvContentHint3$inboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponseType$inboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint3$outboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsResponseType$outboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint3$;
(function(EditProjectEnvContentHint3$2) {
  EditProjectEnvContentHint3$2.inboundSchema = EditProjectEnvContentHint3$inboundSchema;
  EditProjectEnvContentHint3$2.outboundSchema = EditProjectEnvContentHint3$outboundSchema;
})(EditProjectEnvContentHint3$ || (EditProjectEnvContentHint3$ = {}));
var EditProjectEnvContentHintProjectsType$inboundSchema = nativeEnumType(EditProjectEnvContentHintProjectsType);
var EditProjectEnvContentHintProjectsType$outboundSchema = EditProjectEnvContentHintProjectsType$inboundSchema;
var EditProjectEnvContentHintProjectsType$;
(function(EditProjectEnvContentHintProjectsType$2) {
  EditProjectEnvContentHintProjectsType$2.inboundSchema = EditProjectEnvContentHintProjectsType$inboundSchema;
  EditProjectEnvContentHintProjectsType$2.outboundSchema = EditProjectEnvContentHintProjectsType$outboundSchema;
})(EditProjectEnvContentHintProjectsType$ || (EditProjectEnvContentHintProjectsType$ = {}));
var EditProjectEnvContentHint2$inboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsType$inboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint2$outboundSchema = objectType({
  type: EditProjectEnvContentHintProjectsType$outboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint2$;
(function(EditProjectEnvContentHint2$2) {
  EditProjectEnvContentHint2$2.inboundSchema = EditProjectEnvContentHint2$inboundSchema;
  EditProjectEnvContentHint2$2.outboundSchema = EditProjectEnvContentHint2$outboundSchema;
})(EditProjectEnvContentHint2$ || (EditProjectEnvContentHint2$ = {}));
var EditProjectEnvContentHintType$inboundSchema = nativeEnumType(EditProjectEnvContentHintType);
var EditProjectEnvContentHintType$outboundSchema = EditProjectEnvContentHintType$inboundSchema;
var EditProjectEnvContentHintType$;
(function(EditProjectEnvContentHintType$2) {
  EditProjectEnvContentHintType$2.inboundSchema = EditProjectEnvContentHintType$inboundSchema;
  EditProjectEnvContentHintType$2.outboundSchema = EditProjectEnvContentHintType$outboundSchema;
})(EditProjectEnvContentHintType$ || (EditProjectEnvContentHintType$ = {}));
var EditProjectEnvContentHint1$inboundSchema = objectType({
  type: EditProjectEnvContentHintType$inboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint1$outboundSchema = objectType({
  type: EditProjectEnvContentHintType$outboundSchema,
  storeId: stringType()
});
var EditProjectEnvContentHint1$;
(function(EditProjectEnvContentHint1$2) {
  EditProjectEnvContentHint1$2.inboundSchema = EditProjectEnvContentHint1$inboundSchema;
  EditProjectEnvContentHint1$2.outboundSchema = EditProjectEnvContentHint1$outboundSchema;
})(EditProjectEnvContentHint1$ || (EditProjectEnvContentHint1$ = {}));
var EditProjectEnvResponseBodyContentHint$inboundSchema = unionType([
  lazyType(() => EditProjectEnvContentHint1$inboundSchema),
  lazyType(() => EditProjectEnvContentHint2$inboundSchema),
  lazyType(() => EditProjectEnvContentHint3$inboundSchema),
  lazyType(() => EditProjectEnvContentHint4$inboundSchema),
  lazyType(() => EditProjectEnvContentHint5$inboundSchema),
  lazyType(() => EditProjectEnvContentHint6$inboundSchema),
  lazyType(() => EditProjectEnvContentHint7$inboundSchema),
  lazyType(() => EditProjectEnvContentHint8$inboundSchema),
  lazyType(() => EditProjectEnvContentHint9$inboundSchema),
  lazyType(() => EditProjectEnvContentHint10$inboundSchema),
  lazyType(() => EditProjectEnvContentHint11$inboundSchema),
  lazyType(() => EditProjectEnvContentHint12$inboundSchema),
  lazyType(() => EditProjectEnvContentHint13$inboundSchema),
  lazyType(() => EditProjectEnvContentHint15$inboundSchema),
  lazyType(() => EditProjectEnvContentHint14$inboundSchema)
]);
var EditProjectEnvResponseBodyContentHint$outboundSchema = unionType([
  lazyType(() => EditProjectEnvContentHint1$outboundSchema),
  lazyType(() => EditProjectEnvContentHint2$outboundSchema),
  lazyType(() => EditProjectEnvContentHint3$outboundSchema),
  lazyType(() => EditProjectEnvContentHint4$outboundSchema),
  lazyType(() => EditProjectEnvContentHint5$outboundSchema),
  lazyType(() => EditProjectEnvContentHint6$outboundSchema),
  lazyType(() => EditProjectEnvContentHint7$outboundSchema),
  lazyType(() => EditProjectEnvContentHint8$outboundSchema),
  lazyType(() => EditProjectEnvContentHint9$outboundSchema),
  lazyType(() => EditProjectEnvContentHint10$outboundSchema),
  lazyType(() => EditProjectEnvContentHint11$outboundSchema),
  lazyType(() => EditProjectEnvContentHint12$outboundSchema),
  lazyType(() => EditProjectEnvContentHint13$outboundSchema),
  lazyType(() => EditProjectEnvContentHint15$outboundSchema),
  lazyType(() => EditProjectEnvContentHint14$outboundSchema)
]);
var EditProjectEnvResponseBodyContentHint$;
(function(EditProjectEnvResponseBodyContentHint$2) {
  EditProjectEnvResponseBodyContentHint$2.inboundSchema = EditProjectEnvResponseBodyContentHint$inboundSchema;
  EditProjectEnvResponseBodyContentHint$2.outboundSchema = EditProjectEnvResponseBodyContentHint$outboundSchema;
})(EditProjectEnvResponseBodyContentHint$ || (EditProjectEnvResponseBodyContentHint$ = {}));
var EditProjectEnvResponseBodyProjectsType$inboundSchema = nativeEnumType(EditProjectEnvResponseBodyProjectsType);
var EditProjectEnvResponseBodyProjectsType$outboundSchema = EditProjectEnvResponseBodyProjectsType$inboundSchema;
var EditProjectEnvResponseBodyProjectsType$;
(function(EditProjectEnvResponseBodyProjectsType$2) {
  EditProjectEnvResponseBodyProjectsType$2.inboundSchema = EditProjectEnvResponseBodyProjectsType$inboundSchema;
  EditProjectEnvResponseBodyProjectsType$2.outboundSchema = EditProjectEnvResponseBodyProjectsType$outboundSchema;
})(EditProjectEnvResponseBodyProjectsType$ || (EditProjectEnvResponseBodyProjectsType$ = {}));
var EditProjectEnvResponseBodyInternalContentHint$inboundSchema = objectType({
  type: EditProjectEnvResponseBodyProjectsType$inboundSchema,
  encryptedValue: stringType()
});
var EditProjectEnvResponseBodyInternalContentHint$outboundSchema = objectType({
  type: EditProjectEnvResponseBodyProjectsType$outboundSchema,
  encryptedValue: stringType()
});
var EditProjectEnvResponseBodyInternalContentHint$;
(function(EditProjectEnvResponseBodyInternalContentHint$2) {
  EditProjectEnvResponseBodyInternalContentHint$2.inboundSchema = EditProjectEnvResponseBodyInternalContentHint$inboundSchema;
  EditProjectEnvResponseBodyInternalContentHint$2.outboundSchema = EditProjectEnvResponseBodyInternalContentHint$outboundSchema;
})(EditProjectEnvResponseBodyInternalContentHint$ || (EditProjectEnvResponseBodyInternalContentHint$ = {}));
var EditProjectEnvResponseBody1$inboundSchema = objectType({
  target: unionType([arrayType(stringType()), EditProjectEnvTarget2$inboundSchema]).optional(),
  type: EditProjectEnvResponseBodyType$inboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => EditProjectEnvContentHint1$inboundSchema),
    lazyType(() => EditProjectEnvContentHint2$inboundSchema),
    lazyType(() => EditProjectEnvContentHint3$inboundSchema),
    lazyType(() => EditProjectEnvContentHint4$inboundSchema),
    lazyType(() => EditProjectEnvContentHint5$inboundSchema),
    lazyType(() => EditProjectEnvContentHint6$inboundSchema),
    lazyType(() => EditProjectEnvContentHint7$inboundSchema),
    lazyType(() => EditProjectEnvContentHint8$inboundSchema),
    lazyType(() => EditProjectEnvContentHint9$inboundSchema),
    lazyType(() => EditProjectEnvContentHint10$inboundSchema),
    lazyType(() => EditProjectEnvContentHint11$inboundSchema),
    lazyType(() => EditProjectEnvContentHint12$inboundSchema),
    lazyType(() => EditProjectEnvContentHint13$inboundSchema),
    lazyType(() => EditProjectEnvContentHint15$inboundSchema),
    lazyType(() => EditProjectEnvContentHint14$inboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => EditProjectEnvResponseBodyInternalContentHint$inboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional()
});
var EditProjectEnvResponseBody1$outboundSchema = objectType({
  target: unionType([arrayType(stringType()), EditProjectEnvTarget2$outboundSchema]).optional(),
  type: EditProjectEnvResponseBodyType$outboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => EditProjectEnvContentHint1$outboundSchema),
    lazyType(() => EditProjectEnvContentHint2$outboundSchema),
    lazyType(() => EditProjectEnvContentHint3$outboundSchema),
    lazyType(() => EditProjectEnvContentHint4$outboundSchema),
    lazyType(() => EditProjectEnvContentHint5$outboundSchema),
    lazyType(() => EditProjectEnvContentHint6$outboundSchema),
    lazyType(() => EditProjectEnvContentHint7$outboundSchema),
    lazyType(() => EditProjectEnvContentHint8$outboundSchema),
    lazyType(() => EditProjectEnvContentHint9$outboundSchema),
    lazyType(() => EditProjectEnvContentHint10$outboundSchema),
    lazyType(() => EditProjectEnvContentHint11$outboundSchema),
    lazyType(() => EditProjectEnvContentHint12$outboundSchema),
    lazyType(() => EditProjectEnvContentHint13$outboundSchema),
    lazyType(() => EditProjectEnvContentHint15$outboundSchema),
    lazyType(() => EditProjectEnvContentHint14$outboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => EditProjectEnvResponseBodyInternalContentHint$outboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional()
});
var EditProjectEnvResponseBody1$;
(function(EditProjectEnvResponseBody1$2) {
  EditProjectEnvResponseBody1$2.inboundSchema = EditProjectEnvResponseBody1$inboundSchema;
  EditProjectEnvResponseBody1$2.outboundSchema = EditProjectEnvResponseBody1$outboundSchema;
})(EditProjectEnvResponseBody1$ || (EditProjectEnvResponseBody1$ = {}));
var EditProjectEnvResponseBody$inboundSchema = unionType([
  lazyType(() => EditProjectEnvResponseBody2$inboundSchema),
  lazyType(() => EditProjectEnvResponseBody1$inboundSchema)
]);
var EditProjectEnvResponseBody$outboundSchema = unionType([
  lazyType(() => EditProjectEnvResponseBody2$outboundSchema),
  lazyType(() => EditProjectEnvResponseBody1$outboundSchema)
]);
var EditProjectEnvResponseBody$;
(function(EditProjectEnvResponseBody$2) {
  EditProjectEnvResponseBody$2.inboundSchema = EditProjectEnvResponseBody$inboundSchema;
  EditProjectEnvResponseBody$2.outboundSchema = EditProjectEnvResponseBody$outboundSchema;
})(EditProjectEnvResponseBody$ || (EditProjectEnvResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsEditProjectEnv.js
async function projectsEditProjectEnv(client, request, options) {
  const parsed = safeParse(request, (value) => EditProjectEnvRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/env/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "editProjectEnv",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, EditProjectEnvResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/filterprojectenvsop.js
var Decrypt = {
  True: "true",
  False: "false"
};
var FilterProjectEnvsTargetProjectsResponse2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var FilterProjectEnvsTargetProjects1 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var FilterProjectEnvsResponseBodyProjectsResponse200Type = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type = {
  FlagsConnectionString: "flags-connection-string"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type = {
  IntegrationStoreSecret: "integration-store-secret"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type = {
  PostgresUrlNoSsl: "postgres-url-no-ssl"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type = {
  PostgresDatabase: "postgres-database"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type = {
  PostgresPassword: "postgres-password"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type = {
  PostgresHost: "postgres-host"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type = {
  PostgresUser: "postgres-user"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type = {
  PostgresPrismaUrl: "postgres-prisma-url"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type = {
  PostgresUrlNonPooling: "postgres-url-non-pooling"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type = {
  PostgresUrl: "postgres-url"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type = {
  BlobReadWriteToken: "blob-read-write-token"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type = {
  RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type = {
  RedisRestApiToken: "redis-rest-api-token"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType = {
  RedisRestApiUrl: "redis-rest-api-url"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type = {
  RedisUrl: "redis-url"
};
var FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type = {
  FlagsSecret: "flags-secret"
};
var FilterProjectEnvsTargetProjects2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var FilterProjectEnvsTarget1 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var FilterProjectEnvsResponseBodyProjectsResponseType = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type = {
  FlagsConnectionString: "flags-connection-string"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type = {
  IntegrationStoreSecret: "integration-store-secret"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type = {
  PostgresUrlNoSsl: "postgres-url-no-ssl"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type = {
  PostgresDatabase: "postgres-database"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type = {
  PostgresPassword: "postgres-password"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type = {
  PostgresHost: "postgres-host"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type = {
  PostgresUser: "postgres-user"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type = {
  PostgresPrismaUrl: "postgres-prisma-url"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type = {
  PostgresUrlNonPooling: "postgres-url-non-pooling"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type = {
  PostgresUrl: "postgres-url"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type = {
  BlobReadWriteToken: "blob-read-write-token"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type = {
  RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type = {
  RedisRestApiToken: "redis-rest-api-token"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType = {
  RedisRestApiUrl: "redis-rest-api-url"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type = {
  RedisUrl: "redis-url"
};
var FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType = {
  FlagsSecret: "flags-secret"
};
var FilterProjectEnvsTarget2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var FilterProjectEnvsResponseBodyType = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type = {
  FlagsConnectionString: "flags-connection-string"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type = {
  IntegrationStoreSecret: "integration-store-secret"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type = {
  PostgresUrlNoSsl: "postgres-url-no-ssl"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type = {
  PostgresDatabase: "postgres-database"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type = {
  PostgresPassword: "postgres-password"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type = {
  PostgresHost: "postgres-host"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type = {
  PostgresUser: "postgres-user"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type = {
  PostgresPrismaUrl: "postgres-prisma-url"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type = {
  PostgresUrlNonPooling: "postgres-url-non-pooling"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType = {
  PostgresUrl: "postgres-url"
};
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType = {
  BlobReadWriteToken: "blob-read-write-token"
};
var FilterProjectEnvsContentHintProjectsResponse200Type = {
  RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
};
var FilterProjectEnvsContentHintProjectsResponseType = {
  RedisRestApiToken: "redis-rest-api-token"
};
var FilterProjectEnvsContentHintProjectsType = {
  RedisRestApiUrl: "redis-rest-api-url"
};
var FilterProjectEnvsContentHintType = {
  RedisUrl: "redis-url"
};
var FilterProjectEnvsResponseBodyProjectsType = {
  FlagsSecret: "flags-secret"
};
var Decrypt$inboundSchema = nativeEnumType(Decrypt);
var Decrypt$outboundSchema = Decrypt$inboundSchema;
var Decrypt$;
(function(Decrypt$2) {
  Decrypt$2.inboundSchema = Decrypt$inboundSchema;
  Decrypt$2.outboundSchema = Decrypt$outboundSchema;
})(Decrypt$ || (Decrypt$ = {}));
var FilterProjectEnvsRequest$inboundSchema = objectType({
  idOrName: stringType(),
  gitBranch: stringType().optional(),
  decrypt: Decrypt$inboundSchema.optional(),
  source: stringType().optional(),
  customEnvironmentId: stringType().optional(),
  customEnvironmentSlug: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var FilterProjectEnvsRequest$outboundSchema = objectType({
  idOrName: stringType(),
  gitBranch: stringType().optional(),
  decrypt: Decrypt$outboundSchema.optional(),
  source: stringType().optional(),
  customEnvironmentId: stringType().optional(),
  customEnvironmentSlug: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var FilterProjectEnvsRequest$;
(function(FilterProjectEnvsRequest$2) {
  FilterProjectEnvsRequest$2.inboundSchema = FilterProjectEnvsRequest$inboundSchema;
  FilterProjectEnvsRequest$2.outboundSchema = FilterProjectEnvsRequest$outboundSchema;
})(FilterProjectEnvsRequest$ || (FilterProjectEnvsRequest$ = {}));
var FilterProjectEnvsTargetProjectsResponse2$inboundSchema = nativeEnumType(FilterProjectEnvsTargetProjectsResponse2);
var FilterProjectEnvsTargetProjectsResponse2$outboundSchema = FilterProjectEnvsTargetProjectsResponse2$inboundSchema;
var FilterProjectEnvsTargetProjectsResponse2$;
(function(FilterProjectEnvsTargetProjectsResponse2$2) {
  FilterProjectEnvsTargetProjectsResponse2$2.inboundSchema = FilterProjectEnvsTargetProjectsResponse2$inboundSchema;
  FilterProjectEnvsTargetProjectsResponse2$2.outboundSchema = FilterProjectEnvsTargetProjectsResponse2$outboundSchema;
})(FilterProjectEnvsTargetProjectsResponse2$ || (FilterProjectEnvsTargetProjectsResponse2$ = {}));
var FilterProjectEnvsTargetProjects1$inboundSchema = nativeEnumType(FilterProjectEnvsTargetProjects1);
var FilterProjectEnvsTargetProjects1$outboundSchema = FilterProjectEnvsTargetProjects1$inboundSchema;
var FilterProjectEnvsTargetProjects1$;
(function(FilterProjectEnvsTargetProjects1$2) {
  FilterProjectEnvsTargetProjects1$2.inboundSchema = FilterProjectEnvsTargetProjects1$inboundSchema;
  FilterProjectEnvsTargetProjects1$2.outboundSchema = FilterProjectEnvsTargetProjects1$outboundSchema;
})(FilterProjectEnvsTargetProjects1$ || (FilterProjectEnvsTargetProjects1$ = {}));
var FilterProjectEnvsResponseBodyProjectsResponseTarget$inboundSchema = unionType([
  arrayType(FilterProjectEnvsTargetProjects1$inboundSchema),
  FilterProjectEnvsTargetProjectsResponse2$inboundSchema
]);
var FilterProjectEnvsResponseBodyProjectsResponseTarget$outboundSchema = unionType([
  arrayType(FilterProjectEnvsTargetProjects1$outboundSchema),
  FilterProjectEnvsTargetProjectsResponse2$outboundSchema
]);
var FilterProjectEnvsResponseBodyProjectsResponseTarget$;
(function(FilterProjectEnvsResponseBodyProjectsResponseTarget$2) {
  FilterProjectEnvsResponseBodyProjectsResponseTarget$2.inboundSchema = FilterProjectEnvsResponseBodyProjectsResponseTarget$inboundSchema;
  FilterProjectEnvsResponseBodyProjectsResponseTarget$2.outboundSchema = FilterProjectEnvsResponseBodyProjectsResponseTarget$outboundSchema;
})(FilterProjectEnvsResponseBodyProjectsResponseTarget$ || (FilterProjectEnvsResponseBodyProjectsResponseTarget$ = {}));
var FilterProjectEnvsResponseBodyProjectsResponse200Type$inboundSchema = nativeEnumType(FilterProjectEnvsResponseBodyProjectsResponse200Type);
var FilterProjectEnvsResponseBodyProjectsResponse200Type$outboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200Type$inboundSchema;
var FilterProjectEnvsResponseBodyProjectsResponse200Type$;
(function(FilterProjectEnvsResponseBodyProjectsResponse200Type$2) {
  FilterProjectEnvsResponseBodyProjectsResponse200Type$2.inboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200Type$inboundSchema;
  FilterProjectEnvsResponseBodyProjectsResponse200Type$2.outboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200Type$outboundSchema;
})(FilterProjectEnvsResponseBodyProjectsResponse200Type$ || (FilterProjectEnvsResponseBodyProjectsResponse200Type$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$ = {}));
var FilterProjectEnvsContentHintProjectsResponse15$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$inboundSchema,
  projectId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse15$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs15Type$outboundSchema,
  projectId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse15$;
(function(FilterProjectEnvsContentHintProjectsResponse15$2) {
  FilterProjectEnvsContentHintProjectsResponse15$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse15$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse15$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse15$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse15$ || (FilterProjectEnvsContentHintProjectsResponse15$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$ = {}));
var FilterProjectEnvsContentHintProjectsResponse14$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$inboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse14$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs14Type$outboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse14$;
(function(FilterProjectEnvsContentHintProjectsResponse14$2) {
  FilterProjectEnvsContentHintProjectsResponse14$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse14$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse14$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse14$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse14$ || (FilterProjectEnvsContentHintProjectsResponse14$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$ = {}));
var FilterProjectEnvsContentHintProjectsResponse13$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse13$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs13Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse13$;
(function(FilterProjectEnvsContentHintProjectsResponse13$2) {
  FilterProjectEnvsContentHintProjectsResponse13$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse13$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse13$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse13$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse13$ || (FilterProjectEnvsContentHintProjectsResponse13$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$ = {}));
var FilterProjectEnvsContentHintProjectsResponse12$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse12$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs12Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse12$;
(function(FilterProjectEnvsContentHintProjectsResponse12$2) {
  FilterProjectEnvsContentHintProjectsResponse12$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse12$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse12$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse12$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse12$ || (FilterProjectEnvsContentHintProjectsResponse12$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$ = {}));
var FilterProjectEnvsContentHintProjectsResponse11$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse11$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs11Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse11$;
(function(FilterProjectEnvsContentHintProjectsResponse11$2) {
  FilterProjectEnvsContentHintProjectsResponse11$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse11$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse11$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse11$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse11$ || (FilterProjectEnvsContentHintProjectsResponse11$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$ = {}));
var FilterProjectEnvsContentHintProjectsResponse10$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse10$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs10Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse10$;
(function(FilterProjectEnvsContentHintProjectsResponse10$2) {
  FilterProjectEnvsContentHintProjectsResponse10$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse10$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse10$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse10$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse10$ || (FilterProjectEnvsContentHintProjectsResponse10$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$ = {}));
var FilterProjectEnvsContentHintProjectsResponse9$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse9$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs9Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse9$;
(function(FilterProjectEnvsContentHintProjectsResponse9$2) {
  FilterProjectEnvsContentHintProjectsResponse9$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse9$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse9$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse9$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse9$ || (FilterProjectEnvsContentHintProjectsResponse9$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$ = {}));
var FilterProjectEnvsContentHintProjectsResponse8$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse8$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs8Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse8$;
(function(FilterProjectEnvsContentHintProjectsResponse8$2) {
  FilterProjectEnvsContentHintProjectsResponse8$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse8$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse8$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse8$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse8$ || (FilterProjectEnvsContentHintProjectsResponse8$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$ = {}));
var FilterProjectEnvsContentHintProjectsResponse7$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse7$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs7Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse7$;
(function(FilterProjectEnvsContentHintProjectsResponse7$2) {
  FilterProjectEnvsContentHintProjectsResponse7$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse7$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse7$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse7$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse7$ || (FilterProjectEnvsContentHintProjectsResponse7$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$ = {}));
var FilterProjectEnvsContentHintProjectsResponse6$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse6$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs6Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse6$;
(function(FilterProjectEnvsContentHintProjectsResponse6$2) {
  FilterProjectEnvsContentHintProjectsResponse6$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse6$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse6$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse6$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse6$ || (FilterProjectEnvsContentHintProjectsResponse6$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$ = {}));
var FilterProjectEnvsContentHintProjectsResponse5$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse5$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs5Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse5$;
(function(FilterProjectEnvsContentHintProjectsResponse5$2) {
  FilterProjectEnvsContentHintProjectsResponse5$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse5$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse5$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse5$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse5$ || (FilterProjectEnvsContentHintProjectsResponse5$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$ = {}));
var FilterProjectEnvsContentHintProjectsResponse4$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse4$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs4Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse4$;
(function(FilterProjectEnvsContentHintProjectsResponse4$2) {
  FilterProjectEnvsContentHintProjectsResponse4$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse4$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse4$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse4$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse4$ || (FilterProjectEnvsContentHintProjectsResponse4$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$ = {}));
var FilterProjectEnvsContentHintProjectsResponse3$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse3$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Envs3Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse3$;
(function(FilterProjectEnvsContentHintProjectsResponse3$2) {
  FilterProjectEnvsContentHintProjectsResponse3$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse3$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse3$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse3$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse3$ || (FilterProjectEnvsContentHintProjectsResponse3$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$ = {}));
var FilterProjectEnvsContentHintProjectsResponse2$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse2$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3EnvsType$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse2$;
(function(FilterProjectEnvsContentHintProjectsResponse2$2) {
  FilterProjectEnvsContentHintProjectsResponse2$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse2$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse2$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse2$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse2$ || (FilterProjectEnvsContentHintProjectsResponse2$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$ = {}));
var FilterProjectEnvsContentHintProjectsResponse1$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse1$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjectsResponse1$;
(function(FilterProjectEnvsContentHintProjectsResponse1$2) {
  FilterProjectEnvsContentHintProjectsResponse1$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse1$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse1$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse1$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse1$ || (FilterProjectEnvsContentHintProjectsResponse1$ = {}));
var FilterProjectEnvsResponseBodyProjectsContentHint$inboundSchema = unionType([
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse1$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse2$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse3$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse4$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse5$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse6$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse7$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse8$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse9$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse10$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse11$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse12$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse13$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse15$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse14$inboundSchema)
]);
var FilterProjectEnvsResponseBodyProjectsContentHint$outboundSchema = unionType([
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse1$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse2$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse3$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse4$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse5$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse6$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse7$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse8$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse9$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse10$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse11$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse12$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse13$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse15$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjectsResponse14$outboundSchema)
]);
var FilterProjectEnvsResponseBodyProjectsContentHint$;
(function(FilterProjectEnvsResponseBodyProjectsContentHint$2) {
  FilterProjectEnvsResponseBodyProjectsContentHint$2.inboundSchema = FilterProjectEnvsResponseBodyProjectsContentHint$inboundSchema;
  FilterProjectEnvsResponseBodyProjectsContentHint$2.outboundSchema = FilterProjectEnvsResponseBodyProjectsContentHint$outboundSchema;
})(FilterProjectEnvsResponseBodyProjectsContentHint$ || (FilterProjectEnvsResponseBodyProjectsContentHint$ = {}));
var FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema = nativeEnumType(FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type);
var FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema;
var FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$;
(function(FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$2) {
  FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$2.inboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema;
  FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$2.outboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema;
})(FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$ || (FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$ = {}));
var FilterProjectEnvsResponseBodyProjectsInternalContentHint$inboundSchema = objectType({
  type: FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema,
  encryptedValue: stringType()
});
var FilterProjectEnvsResponseBodyProjectsInternalContentHint$outboundSchema = objectType({
  type: FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema,
  encryptedValue: stringType()
});
var FilterProjectEnvsResponseBodyProjectsInternalContentHint$;
(function(FilterProjectEnvsResponseBodyProjectsInternalContentHint$2) {
  FilterProjectEnvsResponseBodyProjectsInternalContentHint$2.inboundSchema = FilterProjectEnvsResponseBodyProjectsInternalContentHint$inboundSchema;
  FilterProjectEnvsResponseBodyProjectsInternalContentHint$2.outboundSchema = FilterProjectEnvsResponseBodyProjectsInternalContentHint$outboundSchema;
})(FilterProjectEnvsResponseBodyProjectsInternalContentHint$ || (FilterProjectEnvsResponseBodyProjectsInternalContentHint$ = {}));
var ResponseBodyEnvs$inboundSchema = objectType({
  target: unionType([
    arrayType(FilterProjectEnvsTargetProjects1$inboundSchema),
    FilterProjectEnvsTargetProjectsResponse2$inboundSchema
  ]).optional(),
  type: FilterProjectEnvsResponseBodyProjectsResponse200Type$inboundSchema.optional(),
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType().optional(),
  value: stringType().optional(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse1$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse2$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse3$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse4$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse5$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse6$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse7$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse8$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse9$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse10$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse11$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse12$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse13$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse15$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse14$inboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => FilterProjectEnvsResponseBodyProjectsInternalContentHint$inboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional(),
  system: booleanType().optional()
});
var ResponseBodyEnvs$outboundSchema = objectType({
  target: unionType([
    arrayType(FilterProjectEnvsTargetProjects1$outboundSchema),
    FilterProjectEnvsTargetProjectsResponse2$outboundSchema
  ]).optional(),
  type: FilterProjectEnvsResponseBodyProjectsResponse200Type$outboundSchema.optional(),
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType().optional(),
  value: stringType().optional(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse1$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse2$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse3$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse4$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse5$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse6$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse7$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse8$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse9$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse10$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse11$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse12$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse13$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse15$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjectsResponse14$outboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => FilterProjectEnvsResponseBodyProjectsInternalContentHint$outboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional(),
  system: booleanType().optional()
});
var ResponseBodyEnvs$;
(function(ResponseBodyEnvs$2) {
  ResponseBodyEnvs$2.inboundSchema = ResponseBodyEnvs$inboundSchema;
  ResponseBodyEnvs$2.outboundSchema = ResponseBodyEnvs$outboundSchema;
})(ResponseBodyEnvs$ || (ResponseBodyEnvs$ = {}));
var FilterProjectEnvsResponseBody3$inboundSchema = objectType({
  envs: arrayType(lazyType(() => ResponseBodyEnvs$inboundSchema))
});
var FilterProjectEnvsResponseBody3$outboundSchema = objectType({
  envs: arrayType(lazyType(() => ResponseBodyEnvs$outboundSchema))
});
var FilterProjectEnvsResponseBody3$;
(function(FilterProjectEnvsResponseBody3$2) {
  FilterProjectEnvsResponseBody3$2.inboundSchema = FilterProjectEnvsResponseBody3$inboundSchema;
  FilterProjectEnvsResponseBody3$2.outboundSchema = FilterProjectEnvsResponseBody3$outboundSchema;
})(FilterProjectEnvsResponseBody3$ || (FilterProjectEnvsResponseBody3$ = {}));
var FilterProjectEnvsTargetProjects2$inboundSchema = nativeEnumType(FilterProjectEnvsTargetProjects2);
var FilterProjectEnvsTargetProjects2$outboundSchema = FilterProjectEnvsTargetProjects2$inboundSchema;
var FilterProjectEnvsTargetProjects2$;
(function(FilterProjectEnvsTargetProjects2$2) {
  FilterProjectEnvsTargetProjects2$2.inboundSchema = FilterProjectEnvsTargetProjects2$inboundSchema;
  FilterProjectEnvsTargetProjects2$2.outboundSchema = FilterProjectEnvsTargetProjects2$outboundSchema;
})(FilterProjectEnvsTargetProjects2$ || (FilterProjectEnvsTargetProjects2$ = {}));
var FilterProjectEnvsTarget1$inboundSchema = nativeEnumType(FilterProjectEnvsTarget1);
var FilterProjectEnvsTarget1$outboundSchema = FilterProjectEnvsTarget1$inboundSchema;
var FilterProjectEnvsTarget1$;
(function(FilterProjectEnvsTarget1$2) {
  FilterProjectEnvsTarget1$2.inboundSchema = FilterProjectEnvsTarget1$inboundSchema;
  FilterProjectEnvsTarget1$2.outboundSchema = FilterProjectEnvsTarget1$outboundSchema;
})(FilterProjectEnvsTarget1$ || (FilterProjectEnvsTarget1$ = {}));
var FilterProjectEnvsResponseBodyProjectsTarget$inboundSchema = unionType([
  arrayType(FilterProjectEnvsTarget1$inboundSchema),
  FilterProjectEnvsTargetProjects2$inboundSchema
]);
var FilterProjectEnvsResponseBodyProjectsTarget$outboundSchema = unionType([
  arrayType(FilterProjectEnvsTarget1$outboundSchema),
  FilterProjectEnvsTargetProjects2$outboundSchema
]);
var FilterProjectEnvsResponseBodyProjectsTarget$;
(function(FilterProjectEnvsResponseBodyProjectsTarget$2) {
  FilterProjectEnvsResponseBodyProjectsTarget$2.inboundSchema = FilterProjectEnvsResponseBodyProjectsTarget$inboundSchema;
  FilterProjectEnvsResponseBodyProjectsTarget$2.outboundSchema = FilterProjectEnvsResponseBodyProjectsTarget$outboundSchema;
})(FilterProjectEnvsResponseBodyProjectsTarget$ || (FilterProjectEnvsResponseBodyProjectsTarget$ = {}));
var FilterProjectEnvsResponseBodyProjectsResponseType$inboundSchema = nativeEnumType(FilterProjectEnvsResponseBodyProjectsResponseType);
var FilterProjectEnvsResponseBodyProjectsResponseType$outboundSchema = FilterProjectEnvsResponseBodyProjectsResponseType$inboundSchema;
var FilterProjectEnvsResponseBodyProjectsResponseType$;
(function(FilterProjectEnvsResponseBodyProjectsResponseType$2) {
  FilterProjectEnvsResponseBodyProjectsResponseType$2.inboundSchema = FilterProjectEnvsResponseBodyProjectsResponseType$inboundSchema;
  FilterProjectEnvsResponseBodyProjectsResponseType$2.outboundSchema = FilterProjectEnvsResponseBodyProjectsResponseType$outboundSchema;
})(FilterProjectEnvsResponseBodyProjectsResponseType$ || (FilterProjectEnvsResponseBodyProjectsResponseType$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$ = {}));
var FilterProjectEnvsContentHintProjects15$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$inboundSchema,
  projectId: stringType()
});
var FilterProjectEnvsContentHintProjects15$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs15Type$outboundSchema,
  projectId: stringType()
});
var FilterProjectEnvsContentHintProjects15$;
(function(FilterProjectEnvsContentHintProjects15$2) {
  FilterProjectEnvsContentHintProjects15$2.inboundSchema = FilterProjectEnvsContentHintProjects15$inboundSchema;
  FilterProjectEnvsContentHintProjects15$2.outboundSchema = FilterProjectEnvsContentHintProjects15$outboundSchema;
})(FilterProjectEnvsContentHintProjects15$ || (FilterProjectEnvsContentHintProjects15$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$ = {}));
var FilterProjectEnvsContentHintProjects14$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$inboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var FilterProjectEnvsContentHintProjects14$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs14Type$outboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var FilterProjectEnvsContentHintProjects14$;
(function(FilterProjectEnvsContentHintProjects14$2) {
  FilterProjectEnvsContentHintProjects14$2.inboundSchema = FilterProjectEnvsContentHintProjects14$inboundSchema;
  FilterProjectEnvsContentHintProjects14$2.outboundSchema = FilterProjectEnvsContentHintProjects14$outboundSchema;
})(FilterProjectEnvsContentHintProjects14$ || (FilterProjectEnvsContentHintProjects14$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$ = {}));
var FilterProjectEnvsContentHintProjects13$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects13$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs13Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects13$;
(function(FilterProjectEnvsContentHintProjects13$2) {
  FilterProjectEnvsContentHintProjects13$2.inboundSchema = FilterProjectEnvsContentHintProjects13$inboundSchema;
  FilterProjectEnvsContentHintProjects13$2.outboundSchema = FilterProjectEnvsContentHintProjects13$outboundSchema;
})(FilterProjectEnvsContentHintProjects13$ || (FilterProjectEnvsContentHintProjects13$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$ = {}));
var FilterProjectEnvsContentHintProjects12$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects12$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs12Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects12$;
(function(FilterProjectEnvsContentHintProjects12$2) {
  FilterProjectEnvsContentHintProjects12$2.inboundSchema = FilterProjectEnvsContentHintProjects12$inboundSchema;
  FilterProjectEnvsContentHintProjects12$2.outboundSchema = FilterProjectEnvsContentHintProjects12$outboundSchema;
})(FilterProjectEnvsContentHintProjects12$ || (FilterProjectEnvsContentHintProjects12$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$ = {}));
var FilterProjectEnvsContentHintProjects11$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects11$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs11Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects11$;
(function(FilterProjectEnvsContentHintProjects11$2) {
  FilterProjectEnvsContentHintProjects11$2.inboundSchema = FilterProjectEnvsContentHintProjects11$inboundSchema;
  FilterProjectEnvsContentHintProjects11$2.outboundSchema = FilterProjectEnvsContentHintProjects11$outboundSchema;
})(FilterProjectEnvsContentHintProjects11$ || (FilterProjectEnvsContentHintProjects11$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$ = {}));
var FilterProjectEnvsContentHintProjects10$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects10$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs10Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects10$;
(function(FilterProjectEnvsContentHintProjects10$2) {
  FilterProjectEnvsContentHintProjects10$2.inboundSchema = FilterProjectEnvsContentHintProjects10$inboundSchema;
  FilterProjectEnvsContentHintProjects10$2.outboundSchema = FilterProjectEnvsContentHintProjects10$outboundSchema;
})(FilterProjectEnvsContentHintProjects10$ || (FilterProjectEnvsContentHintProjects10$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$ = {}));
var FilterProjectEnvsContentHintProjects9$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects9$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs9Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects9$;
(function(FilterProjectEnvsContentHintProjects9$2) {
  FilterProjectEnvsContentHintProjects9$2.inboundSchema = FilterProjectEnvsContentHintProjects9$inboundSchema;
  FilterProjectEnvsContentHintProjects9$2.outboundSchema = FilterProjectEnvsContentHintProjects9$outboundSchema;
})(FilterProjectEnvsContentHintProjects9$ || (FilterProjectEnvsContentHintProjects9$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$ = {}));
var FilterProjectEnvsContentHintProjects8$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects8$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs8Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects8$;
(function(FilterProjectEnvsContentHintProjects8$2) {
  FilterProjectEnvsContentHintProjects8$2.inboundSchema = FilterProjectEnvsContentHintProjects8$inboundSchema;
  FilterProjectEnvsContentHintProjects8$2.outboundSchema = FilterProjectEnvsContentHintProjects8$outboundSchema;
})(FilterProjectEnvsContentHintProjects8$ || (FilterProjectEnvsContentHintProjects8$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$ = {}));
var FilterProjectEnvsContentHintProjects7$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects7$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs7Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects7$;
(function(FilterProjectEnvsContentHintProjects7$2) {
  FilterProjectEnvsContentHintProjects7$2.inboundSchema = FilterProjectEnvsContentHintProjects7$inboundSchema;
  FilterProjectEnvsContentHintProjects7$2.outboundSchema = FilterProjectEnvsContentHintProjects7$outboundSchema;
})(FilterProjectEnvsContentHintProjects7$ || (FilterProjectEnvsContentHintProjects7$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$ = {}));
var FilterProjectEnvsContentHintProjects6$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects6$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs6Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects6$;
(function(FilterProjectEnvsContentHintProjects6$2) {
  FilterProjectEnvsContentHintProjects6$2.inboundSchema = FilterProjectEnvsContentHintProjects6$inboundSchema;
  FilterProjectEnvsContentHintProjects6$2.outboundSchema = FilterProjectEnvsContentHintProjects6$outboundSchema;
})(FilterProjectEnvsContentHintProjects6$ || (FilterProjectEnvsContentHintProjects6$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$ = {}));
var FilterProjectEnvsContentHintProjects5$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects5$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs5Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects5$;
(function(FilterProjectEnvsContentHintProjects5$2) {
  FilterProjectEnvsContentHintProjects5$2.inboundSchema = FilterProjectEnvsContentHintProjects5$inboundSchema;
  FilterProjectEnvsContentHintProjects5$2.outboundSchema = FilterProjectEnvsContentHintProjects5$outboundSchema;
})(FilterProjectEnvsContentHintProjects5$ || (FilterProjectEnvsContentHintProjects5$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$ = {}));
var FilterProjectEnvsContentHintProjects4$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects4$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs4Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects4$;
(function(FilterProjectEnvsContentHintProjects4$2) {
  FilterProjectEnvsContentHintProjects4$2.inboundSchema = FilterProjectEnvsContentHintProjects4$inboundSchema;
  FilterProjectEnvsContentHintProjects4$2.outboundSchema = FilterProjectEnvsContentHintProjects4$outboundSchema;
})(FilterProjectEnvsContentHintProjects4$ || (FilterProjectEnvsContentHintProjects4$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$ = {}));
var FilterProjectEnvsContentHintProjects3$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects3$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Envs3Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects3$;
(function(FilterProjectEnvsContentHintProjects3$2) {
  FilterProjectEnvsContentHintProjects3$2.inboundSchema = FilterProjectEnvsContentHintProjects3$inboundSchema;
  FilterProjectEnvsContentHintProjects3$2.outboundSchema = FilterProjectEnvsContentHintProjects3$outboundSchema;
})(FilterProjectEnvsContentHintProjects3$ || (FilterProjectEnvsContentHintProjects3$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$ = {}));
var FilterProjectEnvsContentHintProjects2$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects2$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2EnvsType$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects2$;
(function(FilterProjectEnvsContentHintProjects2$2) {
  FilterProjectEnvsContentHintProjects2$2.inboundSchema = FilterProjectEnvsContentHintProjects2$inboundSchema;
  FilterProjectEnvsContentHintProjects2$2.outboundSchema = FilterProjectEnvsContentHintProjects2$outboundSchema;
})(FilterProjectEnvsContentHintProjects2$ || (FilterProjectEnvsContentHintProjects2$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$ = {}));
var FilterProjectEnvsContentHintProjects1$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects1$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHintProjects1$;
(function(FilterProjectEnvsContentHintProjects1$2) {
  FilterProjectEnvsContentHintProjects1$2.inboundSchema = FilterProjectEnvsContentHintProjects1$inboundSchema;
  FilterProjectEnvsContentHintProjects1$2.outboundSchema = FilterProjectEnvsContentHintProjects1$outboundSchema;
})(FilterProjectEnvsContentHintProjects1$ || (FilterProjectEnvsContentHintProjects1$ = {}));
var FilterProjectEnvsResponseBodyContentHint$inboundSchema = unionType([
  lazyType(() => FilterProjectEnvsContentHintProjects1$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects2$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects3$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects4$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects5$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects6$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects7$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects8$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects9$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects10$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects11$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects12$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects13$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects15$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects14$inboundSchema)
]);
var FilterProjectEnvsResponseBodyContentHint$outboundSchema = unionType([
  lazyType(() => FilterProjectEnvsContentHintProjects1$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects2$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects3$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects4$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects5$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects6$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects7$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects8$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects9$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects10$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects11$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects12$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects13$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects15$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHintProjects14$outboundSchema)
]);
var FilterProjectEnvsResponseBodyContentHint$;
(function(FilterProjectEnvsResponseBodyContentHint$2) {
  FilterProjectEnvsResponseBodyContentHint$2.inboundSchema = FilterProjectEnvsResponseBodyContentHint$inboundSchema;
  FilterProjectEnvsResponseBodyContentHint$2.outboundSchema = FilterProjectEnvsResponseBodyContentHint$outboundSchema;
})(FilterProjectEnvsResponseBodyContentHint$ || (FilterProjectEnvsResponseBodyContentHint$ = {}));
var FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType);
var FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema;
var FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$;
(function(FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$2) {
  FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$2.inboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema;
  FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$2.outboundSchema = FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema;
})(FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$ || (FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$ = {}));
var FilterProjectEnvsResponseBodyInternalContentHint$inboundSchema = objectType({
  type: FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema,
  encryptedValue: stringType()
});
var FilterProjectEnvsResponseBodyInternalContentHint$outboundSchema = objectType({
  type: FilterProjectEnvsResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema,
  encryptedValue: stringType()
});
var FilterProjectEnvsResponseBodyInternalContentHint$;
(function(FilterProjectEnvsResponseBodyInternalContentHint$2) {
  FilterProjectEnvsResponseBodyInternalContentHint$2.inboundSchema = FilterProjectEnvsResponseBodyInternalContentHint$inboundSchema;
  FilterProjectEnvsResponseBodyInternalContentHint$2.outboundSchema = FilterProjectEnvsResponseBodyInternalContentHint$outboundSchema;
})(FilterProjectEnvsResponseBodyInternalContentHint$ || (FilterProjectEnvsResponseBodyInternalContentHint$ = {}));
var Envs$inboundSchema = objectType({
  target: unionType([
    arrayType(FilterProjectEnvsTarget1$inboundSchema),
    FilterProjectEnvsTargetProjects2$inboundSchema
  ]).optional(),
  type: FilterProjectEnvsResponseBodyProjectsResponseType$inboundSchema.optional(),
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType().optional(),
  value: stringType().optional(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => FilterProjectEnvsContentHintProjects1$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects2$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects3$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects4$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects5$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects6$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects7$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects8$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects9$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects10$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects11$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects12$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects13$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects15$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects14$inboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => FilterProjectEnvsResponseBodyInternalContentHint$inboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional(),
  system: booleanType().optional()
});
var Envs$outboundSchema = objectType({
  target: unionType([
    arrayType(FilterProjectEnvsTarget1$outboundSchema),
    FilterProjectEnvsTargetProjects2$outboundSchema
  ]).optional(),
  type: FilterProjectEnvsResponseBodyProjectsResponseType$outboundSchema.optional(),
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType().optional(),
  value: stringType().optional(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => FilterProjectEnvsContentHintProjects1$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects2$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects3$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects4$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects5$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects6$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects7$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects8$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects9$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects10$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects11$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects12$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects13$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects15$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHintProjects14$outboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => FilterProjectEnvsResponseBodyInternalContentHint$outboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional(),
  system: booleanType().optional()
});
var Envs$;
(function(Envs$2) {
  Envs$2.inboundSchema = Envs$inboundSchema;
  Envs$2.outboundSchema = Envs$outboundSchema;
})(Envs$ || (Envs$ = {}));
var FilterProjectEnvsResponseBody2$inboundSchema = objectType({
  envs: arrayType(lazyType(() => Envs$inboundSchema)),
  pagination: Pagination$inboundSchema
});
var FilterProjectEnvsResponseBody2$outboundSchema = objectType({
  envs: arrayType(lazyType(() => Envs$outboundSchema)),
  pagination: Pagination$outboundSchema
});
var FilterProjectEnvsResponseBody2$;
(function(FilterProjectEnvsResponseBody2$2) {
  FilterProjectEnvsResponseBody2$2.inboundSchema = FilterProjectEnvsResponseBody2$inboundSchema;
  FilterProjectEnvsResponseBody2$2.outboundSchema = FilterProjectEnvsResponseBody2$outboundSchema;
})(FilterProjectEnvsResponseBody2$ || (FilterProjectEnvsResponseBody2$ = {}));
var FilterProjectEnvsTarget2$inboundSchema = nativeEnumType(FilterProjectEnvsTarget2);
var FilterProjectEnvsTarget2$outboundSchema = FilterProjectEnvsTarget2$inboundSchema;
var FilterProjectEnvsTarget2$;
(function(FilterProjectEnvsTarget2$2) {
  FilterProjectEnvsTarget2$2.inboundSchema = FilterProjectEnvsTarget2$inboundSchema;
  FilterProjectEnvsTarget2$2.outboundSchema = FilterProjectEnvsTarget2$outboundSchema;
})(FilterProjectEnvsTarget2$ || (FilterProjectEnvsTarget2$ = {}));
var FilterProjectEnvsResponseBodyTarget$inboundSchema = unionType([arrayType(stringType()), FilterProjectEnvsTarget2$inboundSchema]);
var FilterProjectEnvsResponseBodyTarget$outboundSchema = unionType([arrayType(stringType()), FilterProjectEnvsTarget2$outboundSchema]);
var FilterProjectEnvsResponseBodyTarget$;
(function(FilterProjectEnvsResponseBodyTarget$2) {
  FilterProjectEnvsResponseBodyTarget$2.inboundSchema = FilterProjectEnvsResponseBodyTarget$inboundSchema;
  FilterProjectEnvsResponseBodyTarget$2.outboundSchema = FilterProjectEnvsResponseBodyTarget$outboundSchema;
})(FilterProjectEnvsResponseBodyTarget$ || (FilterProjectEnvsResponseBodyTarget$ = {}));
var FilterProjectEnvsResponseBodyType$inboundSchema = nativeEnumType(FilterProjectEnvsResponseBodyType);
var FilterProjectEnvsResponseBodyType$outboundSchema = FilterProjectEnvsResponseBodyType$inboundSchema;
var FilterProjectEnvsResponseBodyType$;
(function(FilterProjectEnvsResponseBodyType$2) {
  FilterProjectEnvsResponseBodyType$2.inboundSchema = FilterProjectEnvsResponseBodyType$inboundSchema;
  FilterProjectEnvsResponseBodyType$2.outboundSchema = FilterProjectEnvsResponseBodyType$outboundSchema;
})(FilterProjectEnvsResponseBodyType$ || (FilterProjectEnvsResponseBodyType$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$ = {}));
var FilterProjectEnvsContentHint15$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema,
  projectId: stringType()
});
var FilterProjectEnvsContentHint15$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema,
  projectId: stringType()
});
var FilterProjectEnvsContentHint15$;
(function(FilterProjectEnvsContentHint15$2) {
  FilterProjectEnvsContentHint15$2.inboundSchema = FilterProjectEnvsContentHint15$inboundSchema;
  FilterProjectEnvsContentHint15$2.outboundSchema = FilterProjectEnvsContentHint15$outboundSchema;
})(FilterProjectEnvsContentHint15$ || (FilterProjectEnvsContentHint15$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$ = {}));
var FilterProjectEnvsContentHint14$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var FilterProjectEnvsContentHint14$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var FilterProjectEnvsContentHint14$;
(function(FilterProjectEnvsContentHint14$2) {
  FilterProjectEnvsContentHint14$2.inboundSchema = FilterProjectEnvsContentHint14$inboundSchema;
  FilterProjectEnvsContentHint14$2.outboundSchema = FilterProjectEnvsContentHint14$outboundSchema;
})(FilterProjectEnvsContentHint14$ || (FilterProjectEnvsContentHint14$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$ = {}));
var FilterProjectEnvsContentHint13$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint13$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint13$;
(function(FilterProjectEnvsContentHint13$2) {
  FilterProjectEnvsContentHint13$2.inboundSchema = FilterProjectEnvsContentHint13$inboundSchema;
  FilterProjectEnvsContentHint13$2.outboundSchema = FilterProjectEnvsContentHint13$outboundSchema;
})(FilterProjectEnvsContentHint13$ || (FilterProjectEnvsContentHint13$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$ = {}));
var FilterProjectEnvsContentHint12$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint12$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint12$;
(function(FilterProjectEnvsContentHint12$2) {
  FilterProjectEnvsContentHint12$2.inboundSchema = FilterProjectEnvsContentHint12$inboundSchema;
  FilterProjectEnvsContentHint12$2.outboundSchema = FilterProjectEnvsContentHint12$outboundSchema;
})(FilterProjectEnvsContentHint12$ || (FilterProjectEnvsContentHint12$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$ = {}));
var FilterProjectEnvsContentHint11$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint11$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint11$;
(function(FilterProjectEnvsContentHint11$2) {
  FilterProjectEnvsContentHint11$2.inboundSchema = FilterProjectEnvsContentHint11$inboundSchema;
  FilterProjectEnvsContentHint11$2.outboundSchema = FilterProjectEnvsContentHint11$outboundSchema;
})(FilterProjectEnvsContentHint11$ || (FilterProjectEnvsContentHint11$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$ = {}));
var FilterProjectEnvsContentHint10$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint10$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint10$;
(function(FilterProjectEnvsContentHint10$2) {
  FilterProjectEnvsContentHint10$2.inboundSchema = FilterProjectEnvsContentHint10$inboundSchema;
  FilterProjectEnvsContentHint10$2.outboundSchema = FilterProjectEnvsContentHint10$outboundSchema;
})(FilterProjectEnvsContentHint10$ || (FilterProjectEnvsContentHint10$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$ = {}));
var FilterProjectEnvsContentHint9$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint9$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint9$;
(function(FilterProjectEnvsContentHint9$2) {
  FilterProjectEnvsContentHint9$2.inboundSchema = FilterProjectEnvsContentHint9$inboundSchema;
  FilterProjectEnvsContentHint9$2.outboundSchema = FilterProjectEnvsContentHint9$outboundSchema;
})(FilterProjectEnvsContentHint9$ || (FilterProjectEnvsContentHint9$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$ = {}));
var FilterProjectEnvsContentHint8$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint8$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint8$;
(function(FilterProjectEnvsContentHint8$2) {
  FilterProjectEnvsContentHint8$2.inboundSchema = FilterProjectEnvsContentHint8$inboundSchema;
  FilterProjectEnvsContentHint8$2.outboundSchema = FilterProjectEnvsContentHint8$outboundSchema;
})(FilterProjectEnvsContentHint8$ || (FilterProjectEnvsContentHint8$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$ = {}));
var FilterProjectEnvsContentHint7$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint7$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint7$;
(function(FilterProjectEnvsContentHint7$2) {
  FilterProjectEnvsContentHint7$2.inboundSchema = FilterProjectEnvsContentHint7$inboundSchema;
  FilterProjectEnvsContentHint7$2.outboundSchema = FilterProjectEnvsContentHint7$outboundSchema;
})(FilterProjectEnvsContentHint7$ || (FilterProjectEnvsContentHint7$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$ = {}));
var FilterProjectEnvsContentHint6$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint6$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint6$;
(function(FilterProjectEnvsContentHint6$2) {
  FilterProjectEnvsContentHint6$2.inboundSchema = FilterProjectEnvsContentHint6$inboundSchema;
  FilterProjectEnvsContentHint6$2.outboundSchema = FilterProjectEnvsContentHint6$outboundSchema;
})(FilterProjectEnvsContentHint6$ || (FilterProjectEnvsContentHint6$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType);
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$;
(function(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$2) {
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$ || (FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$ = {}));
var FilterProjectEnvsContentHint5$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint5$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200ApplicationJSONType$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint5$;
(function(FilterProjectEnvsContentHint5$2) {
  FilterProjectEnvsContentHint5$2.inboundSchema = FilterProjectEnvsContentHint5$inboundSchema;
  FilterProjectEnvsContentHint5$2.outboundSchema = FilterProjectEnvsContentHint5$outboundSchema;
})(FilterProjectEnvsContentHint5$ || (FilterProjectEnvsContentHint5$ = {}));
var FilterProjectEnvsContentHintProjectsResponse200Type$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponse200Type);
var FilterProjectEnvsContentHintProjectsResponse200Type$outboundSchema = FilterProjectEnvsContentHintProjectsResponse200Type$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponse200Type$;
(function(FilterProjectEnvsContentHintProjectsResponse200Type$2) {
  FilterProjectEnvsContentHintProjectsResponse200Type$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponse200Type$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponse200Type$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponse200Type$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponse200Type$ || (FilterProjectEnvsContentHintProjectsResponse200Type$ = {}));
var FilterProjectEnvsContentHint4$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200Type$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint4$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponse200Type$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint4$;
(function(FilterProjectEnvsContentHint4$2) {
  FilterProjectEnvsContentHint4$2.inboundSchema = FilterProjectEnvsContentHint4$inboundSchema;
  FilterProjectEnvsContentHint4$2.outboundSchema = FilterProjectEnvsContentHint4$outboundSchema;
})(FilterProjectEnvsContentHint4$ || (FilterProjectEnvsContentHint4$ = {}));
var FilterProjectEnvsContentHintProjectsResponseType$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsResponseType);
var FilterProjectEnvsContentHintProjectsResponseType$outboundSchema = FilterProjectEnvsContentHintProjectsResponseType$inboundSchema;
var FilterProjectEnvsContentHintProjectsResponseType$;
(function(FilterProjectEnvsContentHintProjectsResponseType$2) {
  FilterProjectEnvsContentHintProjectsResponseType$2.inboundSchema = FilterProjectEnvsContentHintProjectsResponseType$inboundSchema;
  FilterProjectEnvsContentHintProjectsResponseType$2.outboundSchema = FilterProjectEnvsContentHintProjectsResponseType$outboundSchema;
})(FilterProjectEnvsContentHintProjectsResponseType$ || (FilterProjectEnvsContentHintProjectsResponseType$ = {}));
var FilterProjectEnvsContentHint3$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponseType$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint3$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsResponseType$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint3$;
(function(FilterProjectEnvsContentHint3$2) {
  FilterProjectEnvsContentHint3$2.inboundSchema = FilterProjectEnvsContentHint3$inboundSchema;
  FilterProjectEnvsContentHint3$2.outboundSchema = FilterProjectEnvsContentHint3$outboundSchema;
})(FilterProjectEnvsContentHint3$ || (FilterProjectEnvsContentHint3$ = {}));
var FilterProjectEnvsContentHintProjectsType$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintProjectsType);
var FilterProjectEnvsContentHintProjectsType$outboundSchema = FilterProjectEnvsContentHintProjectsType$inboundSchema;
var FilterProjectEnvsContentHintProjectsType$;
(function(FilterProjectEnvsContentHintProjectsType$2) {
  FilterProjectEnvsContentHintProjectsType$2.inboundSchema = FilterProjectEnvsContentHintProjectsType$inboundSchema;
  FilterProjectEnvsContentHintProjectsType$2.outboundSchema = FilterProjectEnvsContentHintProjectsType$outboundSchema;
})(FilterProjectEnvsContentHintProjectsType$ || (FilterProjectEnvsContentHintProjectsType$ = {}));
var FilterProjectEnvsContentHint2$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsType$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint2$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintProjectsType$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint2$;
(function(FilterProjectEnvsContentHint2$2) {
  FilterProjectEnvsContentHint2$2.inboundSchema = FilterProjectEnvsContentHint2$inboundSchema;
  FilterProjectEnvsContentHint2$2.outboundSchema = FilterProjectEnvsContentHint2$outboundSchema;
})(FilterProjectEnvsContentHint2$ || (FilterProjectEnvsContentHint2$ = {}));
var FilterProjectEnvsContentHintType$inboundSchema = nativeEnumType(FilterProjectEnvsContentHintType);
var FilterProjectEnvsContentHintType$outboundSchema = FilterProjectEnvsContentHintType$inboundSchema;
var FilterProjectEnvsContentHintType$;
(function(FilterProjectEnvsContentHintType$2) {
  FilterProjectEnvsContentHintType$2.inboundSchema = FilterProjectEnvsContentHintType$inboundSchema;
  FilterProjectEnvsContentHintType$2.outboundSchema = FilterProjectEnvsContentHintType$outboundSchema;
})(FilterProjectEnvsContentHintType$ || (FilterProjectEnvsContentHintType$ = {}));
var FilterProjectEnvsContentHint1$inboundSchema = objectType({
  type: FilterProjectEnvsContentHintType$inboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint1$outboundSchema = objectType({
  type: FilterProjectEnvsContentHintType$outboundSchema,
  storeId: stringType()
});
var FilterProjectEnvsContentHint1$;
(function(FilterProjectEnvsContentHint1$2) {
  FilterProjectEnvsContentHint1$2.inboundSchema = FilterProjectEnvsContentHint1$inboundSchema;
  FilterProjectEnvsContentHint1$2.outboundSchema = FilterProjectEnvsContentHint1$outboundSchema;
})(FilterProjectEnvsContentHint1$ || (FilterProjectEnvsContentHint1$ = {}));
var ResponseBodyContentHint$inboundSchema = unionType([
  lazyType(() => FilterProjectEnvsContentHint1$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHint2$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHint3$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHint4$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHint5$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHint6$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHint7$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHint8$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHint9$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHint10$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHint11$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHint12$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHint13$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHint15$inboundSchema),
  lazyType(() => FilterProjectEnvsContentHint14$inboundSchema)
]);
var ResponseBodyContentHint$outboundSchema = unionType([
  lazyType(() => FilterProjectEnvsContentHint1$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHint2$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHint3$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHint4$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHint5$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHint6$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHint7$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHint8$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHint9$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHint10$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHint11$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHint12$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHint13$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHint15$outboundSchema),
  lazyType(() => FilterProjectEnvsContentHint14$outboundSchema)
]);
var ResponseBodyContentHint$;
(function(ResponseBodyContentHint$2) {
  ResponseBodyContentHint$2.inboundSchema = ResponseBodyContentHint$inboundSchema;
  ResponseBodyContentHint$2.outboundSchema = ResponseBodyContentHint$outboundSchema;
})(ResponseBodyContentHint$ || (ResponseBodyContentHint$ = {}));
var FilterProjectEnvsResponseBodyProjectsType$inboundSchema = nativeEnumType(FilterProjectEnvsResponseBodyProjectsType);
var FilterProjectEnvsResponseBodyProjectsType$outboundSchema = FilterProjectEnvsResponseBodyProjectsType$inboundSchema;
var FilterProjectEnvsResponseBodyProjectsType$;
(function(FilterProjectEnvsResponseBodyProjectsType$2) {
  FilterProjectEnvsResponseBodyProjectsType$2.inboundSchema = FilterProjectEnvsResponseBodyProjectsType$inboundSchema;
  FilterProjectEnvsResponseBodyProjectsType$2.outboundSchema = FilterProjectEnvsResponseBodyProjectsType$outboundSchema;
})(FilterProjectEnvsResponseBodyProjectsType$ || (FilterProjectEnvsResponseBodyProjectsType$ = {}));
var ResponseBodyInternalContentHint$inboundSchema = objectType({
  type: FilterProjectEnvsResponseBodyProjectsType$inboundSchema,
  encryptedValue: stringType()
});
var ResponseBodyInternalContentHint$outboundSchema = objectType({
  type: FilterProjectEnvsResponseBodyProjectsType$outboundSchema,
  encryptedValue: stringType()
});
var ResponseBodyInternalContentHint$;
(function(ResponseBodyInternalContentHint$2) {
  ResponseBodyInternalContentHint$2.inboundSchema = ResponseBodyInternalContentHint$inboundSchema;
  ResponseBodyInternalContentHint$2.outboundSchema = ResponseBodyInternalContentHint$outboundSchema;
})(ResponseBodyInternalContentHint$ || (ResponseBodyInternalContentHint$ = {}));
var FilterProjectEnvsResponseBody1$inboundSchema = objectType({
  target: unionType([arrayType(stringType()), FilterProjectEnvsTarget2$inboundSchema]).optional(),
  type: FilterProjectEnvsResponseBodyType$inboundSchema.optional(),
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType().optional(),
  value: stringType().optional(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => FilterProjectEnvsContentHint1$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint2$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint3$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint4$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint5$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint6$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint7$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint8$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint9$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint10$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint11$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint12$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint13$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint15$inboundSchema),
    lazyType(() => FilterProjectEnvsContentHint14$inboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => ResponseBodyInternalContentHint$inboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional(),
  system: booleanType().optional()
});
var FilterProjectEnvsResponseBody1$outboundSchema = objectType({
  target: unionType([
    arrayType(stringType()),
    FilterProjectEnvsTarget2$outboundSchema
  ]).optional(),
  type: FilterProjectEnvsResponseBodyType$outboundSchema.optional(),
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType().optional(),
  value: stringType().optional(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => FilterProjectEnvsContentHint1$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint2$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint3$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint4$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint5$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint6$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint7$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint8$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint9$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint10$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint11$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint12$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint13$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint15$outboundSchema),
    lazyType(() => FilterProjectEnvsContentHint14$outboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => ResponseBodyInternalContentHint$outboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional(),
  system: booleanType().optional()
});
var FilterProjectEnvsResponseBody1$;
(function(FilterProjectEnvsResponseBody1$2) {
  FilterProjectEnvsResponseBody1$2.inboundSchema = FilterProjectEnvsResponseBody1$inboundSchema;
  FilterProjectEnvsResponseBody1$2.outboundSchema = FilterProjectEnvsResponseBody1$outboundSchema;
})(FilterProjectEnvsResponseBody1$ || (FilterProjectEnvsResponseBody1$ = {}));
var FilterProjectEnvsResponseBody$inboundSchema = unionType([
  lazyType(() => FilterProjectEnvsResponseBody3$inboundSchema),
  lazyType(() => FilterProjectEnvsResponseBody2$inboundSchema),
  lazyType(() => FilterProjectEnvsResponseBody1$inboundSchema)
]);
var FilterProjectEnvsResponseBody$outboundSchema = unionType([
  lazyType(() => FilterProjectEnvsResponseBody3$outboundSchema),
  lazyType(() => FilterProjectEnvsResponseBody2$outboundSchema),
  lazyType(() => FilterProjectEnvsResponseBody1$outboundSchema)
]);
var FilterProjectEnvsResponseBody$;
(function(FilterProjectEnvsResponseBody$2) {
  FilterProjectEnvsResponseBody$2.inboundSchema = FilterProjectEnvsResponseBody$inboundSchema;
  FilterProjectEnvsResponseBody$2.outboundSchema = FilterProjectEnvsResponseBody$outboundSchema;
})(FilterProjectEnvsResponseBody$ || (FilterProjectEnvsResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsFilterProjectEnvs.js
async function projectsFilterProjectEnvs(client, request, options) {
  const parsed = safeParse(request, (value) => FilterProjectEnvsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/env")(pathParams);
  const query = encodeFormQuery({
    customEnvironmentId: payload.customEnvironmentId,
    customEnvironmentSlug: payload.customEnvironmentSlug,
    decrypt: payload.decrypt,
    gitBranch: payload.gitBranch,
    slug: payload.slug,
    source: payload.source,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "filterProjectEnvs",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, FilterProjectEnvsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getprojectdomainop.js
var GetProjectDomainRequest$inboundSchema = objectType({
  idOrName: stringType(),
  domain: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetProjectDomainRequest$outboundSchema = objectType({
  idOrName: stringType(),
  domain: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetProjectDomainRequest$;
(function(GetProjectDomainRequest$2) {
  GetProjectDomainRequest$2.inboundSchema = GetProjectDomainRequest$inboundSchema;
  GetProjectDomainRequest$2.outboundSchema = GetProjectDomainRequest$outboundSchema;
})(GetProjectDomainRequest$ || (GetProjectDomainRequest$ = {}));
var Verification$inboundSchema = objectType({
  type: stringType(),
  domain: stringType(),
  value: stringType(),
  reason: stringType()
});
var Verification$outboundSchema = objectType({
  type: stringType(),
  domain: stringType(),
  value: stringType(),
  reason: stringType()
});
var Verification$;
(function(Verification$2) {
  Verification$2.inboundSchema = Verification$inboundSchema;
  Verification$2.outboundSchema = Verification$outboundSchema;
})(Verification$ || (Verification$ = {}));
var GetProjectDomainResponseBody$inboundSchema = objectType({
  name: stringType(),
  apexName: stringType(),
  projectId: stringType(),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(numberType()).optional(),
  gitBranch: nullableType(stringType()).optional(),
  customEnvironmentId: nullableType(stringType()).optional(),
  updatedAt: numberType().optional(),
  createdAt: numberType().optional(),
  verified: booleanType(),
  verification: arrayType(lazyType(() => Verification$inboundSchema)).optional()
});
var GetProjectDomainResponseBody$outboundSchema = objectType({
  name: stringType(),
  apexName: stringType(),
  projectId: stringType(),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(numberType()).optional(),
  gitBranch: nullableType(stringType()).optional(),
  customEnvironmentId: nullableType(stringType()).optional(),
  updatedAt: numberType().optional(),
  createdAt: numberType().optional(),
  verified: booleanType(),
  verification: arrayType(lazyType(() => Verification$outboundSchema)).optional()
});
var GetProjectDomainResponseBody$;
(function(GetProjectDomainResponseBody$2) {
  GetProjectDomainResponseBody$2.inboundSchema = GetProjectDomainResponseBody$inboundSchema;
  GetProjectDomainResponseBody$2.outboundSchema = GetProjectDomainResponseBody$outboundSchema;
})(GetProjectDomainResponseBody$ || (GetProjectDomainResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsGetProjectDomain.js
async function projectsGetProjectDomain(client, request, options) {
  const parsed = safeParse(request, (value) => GetProjectDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/domains/{domain}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getProjectDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetProjectDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getprojectdomainsop.js
var Production = {
  True: "true",
  False: "false"
};
var QueryParamTarget = {
  Production: "production",
  Preview: "preview"
};
var Redirects = {
  True: "true",
  False: "false"
};
var Verified = {
  True: "true",
  False: "false"
};
var Order = {
  Asc: "ASC",
  Desc: "DESC"
};
var Production$inboundSchema = nativeEnumType(Production);
var Production$outboundSchema = Production$inboundSchema;
var Production$;
(function(Production$2) {
  Production$2.inboundSchema = Production$inboundSchema;
  Production$2.outboundSchema = Production$outboundSchema;
})(Production$ || (Production$ = {}));
var QueryParamTarget$inboundSchema = nativeEnumType(QueryParamTarget);
var QueryParamTarget$outboundSchema = QueryParamTarget$inboundSchema;
var QueryParamTarget$;
(function(QueryParamTarget$2) {
  QueryParamTarget$2.inboundSchema = QueryParamTarget$inboundSchema;
  QueryParamTarget$2.outboundSchema = QueryParamTarget$outboundSchema;
})(QueryParamTarget$ || (QueryParamTarget$ = {}));
var Redirects$inboundSchema = nativeEnumType(Redirects);
var Redirects$outboundSchema = Redirects$inboundSchema;
var Redirects$;
(function(Redirects$2) {
  Redirects$2.inboundSchema = Redirects$inboundSchema;
  Redirects$2.outboundSchema = Redirects$outboundSchema;
})(Redirects$ || (Redirects$ = {}));
var Verified$inboundSchema = nativeEnumType(Verified);
var Verified$outboundSchema = Verified$inboundSchema;
var Verified$;
(function(Verified$2) {
  Verified$2.inboundSchema = Verified$inboundSchema;
  Verified$2.outboundSchema = Verified$outboundSchema;
})(Verified$ || (Verified$ = {}));
var Order$inboundSchema = nativeEnumType(Order);
var Order$outboundSchema = Order$inboundSchema;
var Order$;
(function(Order$2) {
  Order$2.inboundSchema = Order$inboundSchema;
  Order$2.outboundSchema = Order$outboundSchema;
})(Order$ || (Order$ = {}));
var GetProjectDomainsRequest$inboundSchema = objectType({
  idOrName: stringType(),
  production: Production$inboundSchema.default("false"),
  target: QueryParamTarget$inboundSchema.optional(),
  customEnvironmentId: stringType().optional(),
  gitBranch: stringType().optional(),
  redirects: Redirects$inboundSchema.default("true"),
  redirect: stringType().optional(),
  verified: Verified$inboundSchema.optional(),
  limit: numberType().optional(),
  since: numberType().optional(),
  until: numberType().optional(),
  order: Order$inboundSchema.default("DESC"),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetProjectDomainsRequest$outboundSchema = objectType({
  idOrName: stringType(),
  production: Production$outboundSchema.default("false"),
  target: QueryParamTarget$outboundSchema.optional(),
  customEnvironmentId: stringType().optional(),
  gitBranch: stringType().optional(),
  redirects: Redirects$outboundSchema.default("true"),
  redirect: stringType().optional(),
  verified: Verified$outboundSchema.optional(),
  limit: numberType().optional(),
  since: numberType().optional(),
  until: numberType().optional(),
  order: Order$outboundSchema.default("DESC"),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetProjectDomainsRequest$;
(function(GetProjectDomainsRequest$2) {
  GetProjectDomainsRequest$2.inboundSchema = GetProjectDomainsRequest$inboundSchema;
  GetProjectDomainsRequest$2.outboundSchema = GetProjectDomainsRequest$outboundSchema;
})(GetProjectDomainsRequest$ || (GetProjectDomainsRequest$ = {}));
var GetProjectDomainsVerification$inboundSchema = objectType({
  type: stringType(),
  domain: stringType(),
  value: stringType(),
  reason: stringType()
});
var GetProjectDomainsVerification$outboundSchema = objectType({
  type: stringType(),
  domain: stringType(),
  value: stringType(),
  reason: stringType()
});
var GetProjectDomainsVerification$;
(function(GetProjectDomainsVerification$2) {
  GetProjectDomainsVerification$2.inboundSchema = GetProjectDomainsVerification$inboundSchema;
  GetProjectDomainsVerification$2.outboundSchema = GetProjectDomainsVerification$outboundSchema;
})(GetProjectDomainsVerification$ || (GetProjectDomainsVerification$ = {}));
var GetProjectDomainsDomains$inboundSchema = objectType({
  name: stringType(),
  apexName: stringType(),
  projectId: stringType(),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(numberType()).optional(),
  gitBranch: nullableType(stringType()).optional(),
  customEnvironmentId: nullableType(stringType()).optional(),
  updatedAt: numberType().optional(),
  createdAt: numberType().optional(),
  verified: booleanType(),
  verification: arrayType(lazyType(() => GetProjectDomainsVerification$inboundSchema)).optional()
});
var GetProjectDomainsDomains$outboundSchema = objectType({
  name: stringType(),
  apexName: stringType(),
  projectId: stringType(),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(numberType()).optional(),
  gitBranch: nullableType(stringType()).optional(),
  customEnvironmentId: nullableType(stringType()).optional(),
  updatedAt: numberType().optional(),
  createdAt: numberType().optional(),
  verified: booleanType(),
  verification: arrayType(lazyType(() => GetProjectDomainsVerification$outboundSchema)).optional()
});
var GetProjectDomainsDomains$;
(function(GetProjectDomainsDomains$2) {
  GetProjectDomainsDomains$2.inboundSchema = GetProjectDomainsDomains$inboundSchema;
  GetProjectDomainsDomains$2.outboundSchema = GetProjectDomainsDomains$outboundSchema;
})(GetProjectDomainsDomains$ || (GetProjectDomainsDomains$ = {}));
var GetProjectDomainsResponseBody$inboundSchema = objectType({
  domains: arrayType(lazyType(() => GetProjectDomainsDomains$inboundSchema)),
  pagination: Pagination$inboundSchema
});
var GetProjectDomainsResponseBody$outboundSchema = objectType({
  domains: arrayType(lazyType(() => GetProjectDomainsDomains$outboundSchema)),
  pagination: Pagination$outboundSchema
});
var GetProjectDomainsResponseBody$;
(function(GetProjectDomainsResponseBody$2) {
  GetProjectDomainsResponseBody$2.inboundSchema = GetProjectDomainsResponseBody$inboundSchema;
  GetProjectDomainsResponseBody$2.outboundSchema = GetProjectDomainsResponseBody$outboundSchema;
})(GetProjectDomainsResponseBody$ || (GetProjectDomainsResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsGetProjectDomains.js
async function projectsGetProjectDomains(client, request, options) {
  const parsed = safeParse(request, (value) => GetProjectDomainsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/domains")(pathParams);
  const query = encodeFormQuery({
    customEnvironmentId: payload.customEnvironmentId,
    gitBranch: payload.gitBranch,
    limit: payload.limit,
    order: payload.order,
    production: payload.production,
    redirect: payload.redirect,
    redirects: payload.redirects,
    since: payload.since,
    slug: payload.slug,
    target: payload.target,
    teamId: payload.teamId,
    until: payload.until,
    verified: payload.verified
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getProjectDomains",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetProjectDomainsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getprojectenvop.js
var GetProjectEnvTargetProjectsResponse2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var GetProjectEnvResponseBodyProjectsResponseType = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type = {
  FlagsConnectionString: "flags-connection-string"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type = {
  IntegrationStoreSecret: "integration-store-secret"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type = {
  PostgresUrlNoSsl: "postgres-url-no-ssl"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type = {
  PostgresDatabase: "postgres-database"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type = {
  PostgresPassword: "postgres-password"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type = {
  PostgresHost: "postgres-host"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type = {
  PostgresUser: "postgres-user"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type = {
  PostgresPrismaUrl: "postgres-prisma-url"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type = {
  PostgresUrlNonPooling: "postgres-url-non-pooling"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type = {
  PostgresUrl: "postgres-url"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type = {
  BlobReadWriteToken: "blob-read-write-token"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type = {
  RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type = {
  RedisRestApiToken: "redis-rest-api-token"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type = {
  RedisRestApiUrl: "redis-rest-api-url"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type = {
  RedisUrl: "redis-url"
};
var GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type = {
  FlagsSecret: "flags-secret"
};
var GetProjectEnvTargetProjects2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var GetProjectEnvTargetProjects1 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var GetProjectEnvResponseBodyProjectsType = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type = {
  FlagsConnectionString: "flags-connection-string"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type = {
  IntegrationStoreSecret: "integration-store-secret"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type = {
  PostgresUrlNoSsl: "postgres-url-no-ssl"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type = {
  PostgresDatabase: "postgres-database"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type = {
  PostgresPassword: "postgres-password"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type = {
  PostgresHost: "postgres-host"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type = {
  PostgresUser: "postgres-user"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type = {
  PostgresPrismaUrl: "postgres-prisma-url"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type = {
  PostgresUrlNonPooling: "postgres-url-non-pooling"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type = {
  PostgresUrl: "postgres-url"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type = {
  BlobReadWriteToken: "blob-read-write-token"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type = {
  RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type = {
  RedisRestApiToken: "redis-rest-api-token"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type = {
  RedisRestApiUrl: "redis-rest-api-url"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type = {
  RedisUrl: "redis-url"
};
var GetProjectEnvResponseBodyProjectsResponse200Type = {
  FlagsSecret: "flags-secret"
};
var GetProjectEnvTarget2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var GetProjectEnvTarget1 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var GetProjectEnvResponseBodyType = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type = {
  FlagsConnectionString: "flags-connection-string"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type = {
  IntegrationStoreSecret: "integration-store-secret"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type = {
  PostgresUrlNoSsl: "postgres-url-no-ssl"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type = {
  PostgresDatabase: "postgres-database"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type = {
  PostgresPassword: "postgres-password"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type = {
  PostgresHost: "postgres-host"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type = {
  PostgresUser: "postgres-user"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type = {
  PostgresPrismaUrl: "postgres-prisma-url"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type = {
  PostgresUrlNonPooling: "postgres-url-non-pooling"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType = {
  PostgresUrl: "postgres-url"
};
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONType = {
  BlobReadWriteToken: "blob-read-write-token"
};
var GetProjectEnvContentHintProjectsResponse200Type = {
  RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
};
var GetProjectEnvContentHintProjectsResponseType = {
  RedisRestApiToken: "redis-rest-api-token"
};
var GetProjectEnvContentHintProjectsType = {
  RedisRestApiUrl: "redis-rest-api-url"
};
var GetProjectEnvContentHintType = {
  RedisUrl: "redis-url"
};
var GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType = {
  FlagsSecret: "flags-secret"
};
var GetProjectEnvRequest$inboundSchema = objectType({
  idOrName: stringType(),
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetProjectEnvRequest$outboundSchema = objectType({
  idOrName: stringType(),
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetProjectEnvRequest$;
(function(GetProjectEnvRequest$2) {
  GetProjectEnvRequest$2.inboundSchema = GetProjectEnvRequest$inboundSchema;
  GetProjectEnvRequest$2.outboundSchema = GetProjectEnvRequest$outboundSchema;
})(GetProjectEnvRequest$ || (GetProjectEnvRequest$ = {}));
var GetProjectEnvTargetProjectsResponse2$inboundSchema = nativeEnumType(GetProjectEnvTargetProjectsResponse2);
var GetProjectEnvTargetProjectsResponse2$outboundSchema = GetProjectEnvTargetProjectsResponse2$inboundSchema;
var GetProjectEnvTargetProjectsResponse2$;
(function(GetProjectEnvTargetProjectsResponse2$2) {
  GetProjectEnvTargetProjectsResponse2$2.inboundSchema = GetProjectEnvTargetProjectsResponse2$inboundSchema;
  GetProjectEnvTargetProjectsResponse2$2.outboundSchema = GetProjectEnvTargetProjectsResponse2$outboundSchema;
})(GetProjectEnvTargetProjectsResponse2$ || (GetProjectEnvTargetProjectsResponse2$ = {}));
var GetProjectEnvResponseBodyProjectsResponseTarget$inboundSchema = unionType([
  arrayType(stringType()),
  GetProjectEnvTargetProjectsResponse2$inboundSchema
]);
var GetProjectEnvResponseBodyProjectsResponseTarget$outboundSchema = unionType([
  arrayType(stringType()),
  GetProjectEnvTargetProjectsResponse2$outboundSchema
]);
var GetProjectEnvResponseBodyProjectsResponseTarget$;
(function(GetProjectEnvResponseBodyProjectsResponseTarget$2) {
  GetProjectEnvResponseBodyProjectsResponseTarget$2.inboundSchema = GetProjectEnvResponseBodyProjectsResponseTarget$inboundSchema;
  GetProjectEnvResponseBodyProjectsResponseTarget$2.outboundSchema = GetProjectEnvResponseBodyProjectsResponseTarget$outboundSchema;
})(GetProjectEnvResponseBodyProjectsResponseTarget$ || (GetProjectEnvResponseBodyProjectsResponseTarget$ = {}));
var GetProjectEnvResponseBodyProjectsResponseType$inboundSchema = nativeEnumType(GetProjectEnvResponseBodyProjectsResponseType);
var GetProjectEnvResponseBodyProjectsResponseType$outboundSchema = GetProjectEnvResponseBodyProjectsResponseType$inboundSchema;
var GetProjectEnvResponseBodyProjectsResponseType$;
(function(GetProjectEnvResponseBodyProjectsResponseType$2) {
  GetProjectEnvResponseBodyProjectsResponseType$2.inboundSchema = GetProjectEnvResponseBodyProjectsResponseType$inboundSchema;
  GetProjectEnvResponseBodyProjectsResponseType$2.outboundSchema = GetProjectEnvResponseBodyProjectsResponseType$outboundSchema;
})(GetProjectEnvResponseBodyProjectsResponseType$ || (GetProjectEnvResponseBodyProjectsResponseType$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$ = {}));
var GetProjectEnvContentHintProjectsResponse15$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema,
  projectId: stringType()
});
var GetProjectEnvContentHintProjectsResponse15$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema,
  projectId: stringType()
});
var GetProjectEnvContentHintProjectsResponse15$;
(function(GetProjectEnvContentHintProjectsResponse15$2) {
  GetProjectEnvContentHintProjectsResponse15$2.inboundSchema = GetProjectEnvContentHintProjectsResponse15$inboundSchema;
  GetProjectEnvContentHintProjectsResponse15$2.outboundSchema = GetProjectEnvContentHintProjectsResponse15$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse15$ || (GetProjectEnvContentHintProjectsResponse15$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$ = {}));
var GetProjectEnvContentHintProjectsResponse14$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var GetProjectEnvContentHintProjectsResponse14$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var GetProjectEnvContentHintProjectsResponse14$;
(function(GetProjectEnvContentHintProjectsResponse14$2) {
  GetProjectEnvContentHintProjectsResponse14$2.inboundSchema = GetProjectEnvContentHintProjectsResponse14$inboundSchema;
  GetProjectEnvContentHintProjectsResponse14$2.outboundSchema = GetProjectEnvContentHintProjectsResponse14$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse14$ || (GetProjectEnvContentHintProjectsResponse14$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$ = {}));
var GetProjectEnvContentHintProjectsResponse13$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse13$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse13$;
(function(GetProjectEnvContentHintProjectsResponse13$2) {
  GetProjectEnvContentHintProjectsResponse13$2.inboundSchema = GetProjectEnvContentHintProjectsResponse13$inboundSchema;
  GetProjectEnvContentHintProjectsResponse13$2.outboundSchema = GetProjectEnvContentHintProjectsResponse13$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse13$ || (GetProjectEnvContentHintProjectsResponse13$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$ = {}));
var GetProjectEnvContentHintProjectsResponse12$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse12$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse12$;
(function(GetProjectEnvContentHintProjectsResponse12$2) {
  GetProjectEnvContentHintProjectsResponse12$2.inboundSchema = GetProjectEnvContentHintProjectsResponse12$inboundSchema;
  GetProjectEnvContentHintProjectsResponse12$2.outboundSchema = GetProjectEnvContentHintProjectsResponse12$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse12$ || (GetProjectEnvContentHintProjectsResponse12$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$ = {}));
var GetProjectEnvContentHintProjectsResponse11$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse11$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse11$;
(function(GetProjectEnvContentHintProjectsResponse11$2) {
  GetProjectEnvContentHintProjectsResponse11$2.inboundSchema = GetProjectEnvContentHintProjectsResponse11$inboundSchema;
  GetProjectEnvContentHintProjectsResponse11$2.outboundSchema = GetProjectEnvContentHintProjectsResponse11$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse11$ || (GetProjectEnvContentHintProjectsResponse11$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$ = {}));
var GetProjectEnvContentHintProjectsResponse10$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse10$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse10$;
(function(GetProjectEnvContentHintProjectsResponse10$2) {
  GetProjectEnvContentHintProjectsResponse10$2.inboundSchema = GetProjectEnvContentHintProjectsResponse10$inboundSchema;
  GetProjectEnvContentHintProjectsResponse10$2.outboundSchema = GetProjectEnvContentHintProjectsResponse10$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse10$ || (GetProjectEnvContentHintProjectsResponse10$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$ = {}));
var GetProjectEnvContentHintProjectsResponse9$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse9$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse9$;
(function(GetProjectEnvContentHintProjectsResponse9$2) {
  GetProjectEnvContentHintProjectsResponse9$2.inboundSchema = GetProjectEnvContentHintProjectsResponse9$inboundSchema;
  GetProjectEnvContentHintProjectsResponse9$2.outboundSchema = GetProjectEnvContentHintProjectsResponse9$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse9$ || (GetProjectEnvContentHintProjectsResponse9$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$ = {}));
var GetProjectEnvContentHintProjectsResponse8$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse8$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse8$;
(function(GetProjectEnvContentHintProjectsResponse8$2) {
  GetProjectEnvContentHintProjectsResponse8$2.inboundSchema = GetProjectEnvContentHintProjectsResponse8$inboundSchema;
  GetProjectEnvContentHintProjectsResponse8$2.outboundSchema = GetProjectEnvContentHintProjectsResponse8$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse8$ || (GetProjectEnvContentHintProjectsResponse8$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$ = {}));
var GetProjectEnvContentHintProjectsResponse7$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse7$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse7$;
(function(GetProjectEnvContentHintProjectsResponse7$2) {
  GetProjectEnvContentHintProjectsResponse7$2.inboundSchema = GetProjectEnvContentHintProjectsResponse7$inboundSchema;
  GetProjectEnvContentHintProjectsResponse7$2.outboundSchema = GetProjectEnvContentHintProjectsResponse7$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse7$ || (GetProjectEnvContentHintProjectsResponse7$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$ = {}));
var GetProjectEnvContentHintProjectsResponse6$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse6$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse6$;
(function(GetProjectEnvContentHintProjectsResponse6$2) {
  GetProjectEnvContentHintProjectsResponse6$2.inboundSchema = GetProjectEnvContentHintProjectsResponse6$inboundSchema;
  GetProjectEnvContentHintProjectsResponse6$2.outboundSchema = GetProjectEnvContentHintProjectsResponse6$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse6$ || (GetProjectEnvContentHintProjectsResponse6$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$ = {}));
var GetProjectEnvContentHintProjectsResponse5$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse5$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse5$;
(function(GetProjectEnvContentHintProjectsResponse5$2) {
  GetProjectEnvContentHintProjectsResponse5$2.inboundSchema = GetProjectEnvContentHintProjectsResponse5$inboundSchema;
  GetProjectEnvContentHintProjectsResponse5$2.outboundSchema = GetProjectEnvContentHintProjectsResponse5$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse5$ || (GetProjectEnvContentHintProjectsResponse5$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$ = {}));
var GetProjectEnvContentHintProjectsResponse4$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse4$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse4$;
(function(GetProjectEnvContentHintProjectsResponse4$2) {
  GetProjectEnvContentHintProjectsResponse4$2.inboundSchema = GetProjectEnvContentHintProjectsResponse4$inboundSchema;
  GetProjectEnvContentHintProjectsResponse4$2.outboundSchema = GetProjectEnvContentHintProjectsResponse4$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse4$ || (GetProjectEnvContentHintProjectsResponse4$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$ = {}));
var GetProjectEnvContentHintProjectsResponse3$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse3$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse3$;
(function(GetProjectEnvContentHintProjectsResponse3$2) {
  GetProjectEnvContentHintProjectsResponse3$2.inboundSchema = GetProjectEnvContentHintProjectsResponse3$inboundSchema;
  GetProjectEnvContentHintProjectsResponse3$2.outboundSchema = GetProjectEnvContentHintProjectsResponse3$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse3$ || (GetProjectEnvContentHintProjectsResponse3$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$ = {}));
var GetProjectEnvContentHintProjectsResponse2$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse2$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse2$;
(function(GetProjectEnvContentHintProjectsResponse2$2) {
  GetProjectEnvContentHintProjectsResponse2$2.inboundSchema = GetProjectEnvContentHintProjectsResponse2$inboundSchema;
  GetProjectEnvContentHintProjectsResponse2$2.outboundSchema = GetProjectEnvContentHintProjectsResponse2$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse2$ || (GetProjectEnvContentHintProjectsResponse2$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$ = {}));
var GetProjectEnvContentHintProjectsResponse1$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse1$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjectsResponse1$;
(function(GetProjectEnvContentHintProjectsResponse1$2) {
  GetProjectEnvContentHintProjectsResponse1$2.inboundSchema = GetProjectEnvContentHintProjectsResponse1$inboundSchema;
  GetProjectEnvContentHintProjectsResponse1$2.outboundSchema = GetProjectEnvContentHintProjectsResponse1$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse1$ || (GetProjectEnvContentHintProjectsResponse1$ = {}));
var GetProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema = unionType([
  lazyType(() => GetProjectEnvContentHintProjectsResponse1$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse2$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse3$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse4$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse5$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse6$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse7$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse8$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse9$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse10$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse11$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse12$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse13$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse15$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse14$inboundSchema)
]);
var GetProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema = unionType([
  lazyType(() => GetProjectEnvContentHintProjectsResponse1$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse2$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse3$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse4$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse5$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse6$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse7$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse8$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse9$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse10$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse11$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse12$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse13$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse15$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjectsResponse14$outboundSchema)
]);
var GetProjectEnvResponseBodyProjectsResponseContentHint$;
(function(GetProjectEnvResponseBodyProjectsResponseContentHint$2) {
  GetProjectEnvResponseBodyProjectsResponseContentHint$2.inboundSchema = GetProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema;
  GetProjectEnvResponseBodyProjectsResponseContentHint$2.outboundSchema = GetProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema;
})(GetProjectEnvResponseBodyProjectsResponseContentHint$ || (GetProjectEnvResponseBodyProjectsResponseContentHint$ = {}));
var GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema = nativeEnumType(GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type);
var GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema = GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema;
var GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$;
(function(GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$2) {
  GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$2.inboundSchema = GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema;
  GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$2.outboundSchema = GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema;
})(GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$ || (GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$ = {}));
var GetProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema = objectType({
  type: GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema,
  encryptedValue: stringType()
});
var GetProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema = objectType({
  type: GetProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema,
  encryptedValue: stringType()
});
var GetProjectEnvResponseBodyProjectsResponseInternalContentHint$;
(function(GetProjectEnvResponseBodyProjectsResponseInternalContentHint$2) {
  GetProjectEnvResponseBodyProjectsResponseInternalContentHint$2.inboundSchema = GetProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema;
  GetProjectEnvResponseBodyProjectsResponseInternalContentHint$2.outboundSchema = GetProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema;
})(GetProjectEnvResponseBodyProjectsResponseInternalContentHint$ || (GetProjectEnvResponseBodyProjectsResponseInternalContentHint$ = {}));
var GetProjectEnvResponseBody3$inboundSchema = objectType({
  target: unionType([
    arrayType(stringType()),
    GetProjectEnvTargetProjectsResponse2$inboundSchema
  ]).optional(),
  type: GetProjectEnvResponseBodyProjectsResponseType$inboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => GetProjectEnvContentHintProjectsResponse1$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse2$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse3$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse4$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse5$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse6$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse7$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse8$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse9$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse10$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse11$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse12$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse13$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse15$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse14$inboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => GetProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional()
});
var GetProjectEnvResponseBody3$outboundSchema = objectType({
  target: unionType([
    arrayType(stringType()),
    GetProjectEnvTargetProjectsResponse2$outboundSchema
  ]).optional(),
  type: GetProjectEnvResponseBodyProjectsResponseType$outboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => GetProjectEnvContentHintProjectsResponse1$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse2$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse3$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse4$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse5$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse6$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse7$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse8$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse9$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse10$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse11$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse12$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse13$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse15$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjectsResponse14$outboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => GetProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional()
});
var GetProjectEnvResponseBody3$;
(function(GetProjectEnvResponseBody3$2) {
  GetProjectEnvResponseBody3$2.inboundSchema = GetProjectEnvResponseBody3$inboundSchema;
  GetProjectEnvResponseBody3$2.outboundSchema = GetProjectEnvResponseBody3$outboundSchema;
})(GetProjectEnvResponseBody3$ || (GetProjectEnvResponseBody3$ = {}));
var GetProjectEnvTargetProjects2$inboundSchema = nativeEnumType(GetProjectEnvTargetProjects2);
var GetProjectEnvTargetProjects2$outboundSchema = GetProjectEnvTargetProjects2$inboundSchema;
var GetProjectEnvTargetProjects2$;
(function(GetProjectEnvTargetProjects2$2) {
  GetProjectEnvTargetProjects2$2.inboundSchema = GetProjectEnvTargetProjects2$inboundSchema;
  GetProjectEnvTargetProjects2$2.outboundSchema = GetProjectEnvTargetProjects2$outboundSchema;
})(GetProjectEnvTargetProjects2$ || (GetProjectEnvTargetProjects2$ = {}));
var GetProjectEnvTargetProjects1$inboundSchema = nativeEnumType(GetProjectEnvTargetProjects1);
var GetProjectEnvTargetProjects1$outboundSchema = GetProjectEnvTargetProjects1$inboundSchema;
var GetProjectEnvTargetProjects1$;
(function(GetProjectEnvTargetProjects1$2) {
  GetProjectEnvTargetProjects1$2.inboundSchema = GetProjectEnvTargetProjects1$inboundSchema;
  GetProjectEnvTargetProjects1$2.outboundSchema = GetProjectEnvTargetProjects1$outboundSchema;
})(GetProjectEnvTargetProjects1$ || (GetProjectEnvTargetProjects1$ = {}));
var GetProjectEnvResponseBodyProjectsTarget$inboundSchema = unionType([
  arrayType(GetProjectEnvTargetProjects1$inboundSchema),
  GetProjectEnvTargetProjects2$inboundSchema
]);
var GetProjectEnvResponseBodyProjectsTarget$outboundSchema = unionType([
  arrayType(GetProjectEnvTargetProjects1$outboundSchema),
  GetProjectEnvTargetProjects2$outboundSchema
]);
var GetProjectEnvResponseBodyProjectsTarget$;
(function(GetProjectEnvResponseBodyProjectsTarget$2) {
  GetProjectEnvResponseBodyProjectsTarget$2.inboundSchema = GetProjectEnvResponseBodyProjectsTarget$inboundSchema;
  GetProjectEnvResponseBodyProjectsTarget$2.outboundSchema = GetProjectEnvResponseBodyProjectsTarget$outboundSchema;
})(GetProjectEnvResponseBodyProjectsTarget$ || (GetProjectEnvResponseBodyProjectsTarget$ = {}));
var GetProjectEnvResponseBodyProjectsType$inboundSchema = nativeEnumType(GetProjectEnvResponseBodyProjectsType);
var GetProjectEnvResponseBodyProjectsType$outboundSchema = GetProjectEnvResponseBodyProjectsType$inboundSchema;
var GetProjectEnvResponseBodyProjectsType$;
(function(GetProjectEnvResponseBodyProjectsType$2) {
  GetProjectEnvResponseBodyProjectsType$2.inboundSchema = GetProjectEnvResponseBodyProjectsType$inboundSchema;
  GetProjectEnvResponseBodyProjectsType$2.outboundSchema = GetProjectEnvResponseBodyProjectsType$outboundSchema;
})(GetProjectEnvResponseBodyProjectsType$ || (GetProjectEnvResponseBodyProjectsType$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$ = {}));
var GetProjectEnvContentHintProjects15$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema,
  projectId: stringType()
});
var GetProjectEnvContentHintProjects15$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema,
  projectId: stringType()
});
var GetProjectEnvContentHintProjects15$;
(function(GetProjectEnvContentHintProjects15$2) {
  GetProjectEnvContentHintProjects15$2.inboundSchema = GetProjectEnvContentHintProjects15$inboundSchema;
  GetProjectEnvContentHintProjects15$2.outboundSchema = GetProjectEnvContentHintProjects15$outboundSchema;
})(GetProjectEnvContentHintProjects15$ || (GetProjectEnvContentHintProjects15$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$ = {}));
var GetProjectEnvContentHintProjects14$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var GetProjectEnvContentHintProjects14$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var GetProjectEnvContentHintProjects14$;
(function(GetProjectEnvContentHintProjects14$2) {
  GetProjectEnvContentHintProjects14$2.inboundSchema = GetProjectEnvContentHintProjects14$inboundSchema;
  GetProjectEnvContentHintProjects14$2.outboundSchema = GetProjectEnvContentHintProjects14$outboundSchema;
})(GetProjectEnvContentHintProjects14$ || (GetProjectEnvContentHintProjects14$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$ = {}));
var GetProjectEnvContentHintProjects13$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects13$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects13$;
(function(GetProjectEnvContentHintProjects13$2) {
  GetProjectEnvContentHintProjects13$2.inboundSchema = GetProjectEnvContentHintProjects13$inboundSchema;
  GetProjectEnvContentHintProjects13$2.outboundSchema = GetProjectEnvContentHintProjects13$outboundSchema;
})(GetProjectEnvContentHintProjects13$ || (GetProjectEnvContentHintProjects13$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$ = {}));
var GetProjectEnvContentHintProjects12$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects12$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects12$;
(function(GetProjectEnvContentHintProjects12$2) {
  GetProjectEnvContentHintProjects12$2.inboundSchema = GetProjectEnvContentHintProjects12$inboundSchema;
  GetProjectEnvContentHintProjects12$2.outboundSchema = GetProjectEnvContentHintProjects12$outboundSchema;
})(GetProjectEnvContentHintProjects12$ || (GetProjectEnvContentHintProjects12$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$ = {}));
var GetProjectEnvContentHintProjects11$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects11$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects11$;
(function(GetProjectEnvContentHintProjects11$2) {
  GetProjectEnvContentHintProjects11$2.inboundSchema = GetProjectEnvContentHintProjects11$inboundSchema;
  GetProjectEnvContentHintProjects11$2.outboundSchema = GetProjectEnvContentHintProjects11$outboundSchema;
})(GetProjectEnvContentHintProjects11$ || (GetProjectEnvContentHintProjects11$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$ = {}));
var GetProjectEnvContentHintProjects10$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects10$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects10$;
(function(GetProjectEnvContentHintProjects10$2) {
  GetProjectEnvContentHintProjects10$2.inboundSchema = GetProjectEnvContentHintProjects10$inboundSchema;
  GetProjectEnvContentHintProjects10$2.outboundSchema = GetProjectEnvContentHintProjects10$outboundSchema;
})(GetProjectEnvContentHintProjects10$ || (GetProjectEnvContentHintProjects10$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$ = {}));
var GetProjectEnvContentHintProjects9$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects9$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects9$;
(function(GetProjectEnvContentHintProjects9$2) {
  GetProjectEnvContentHintProjects9$2.inboundSchema = GetProjectEnvContentHintProjects9$inboundSchema;
  GetProjectEnvContentHintProjects9$2.outboundSchema = GetProjectEnvContentHintProjects9$outboundSchema;
})(GetProjectEnvContentHintProjects9$ || (GetProjectEnvContentHintProjects9$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$ = {}));
var GetProjectEnvContentHintProjects8$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects8$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects8$;
(function(GetProjectEnvContentHintProjects8$2) {
  GetProjectEnvContentHintProjects8$2.inboundSchema = GetProjectEnvContentHintProjects8$inboundSchema;
  GetProjectEnvContentHintProjects8$2.outboundSchema = GetProjectEnvContentHintProjects8$outboundSchema;
})(GetProjectEnvContentHintProjects8$ || (GetProjectEnvContentHintProjects8$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$ = {}));
var GetProjectEnvContentHintProjects7$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects7$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects7$;
(function(GetProjectEnvContentHintProjects7$2) {
  GetProjectEnvContentHintProjects7$2.inboundSchema = GetProjectEnvContentHintProjects7$inboundSchema;
  GetProjectEnvContentHintProjects7$2.outboundSchema = GetProjectEnvContentHintProjects7$outboundSchema;
})(GetProjectEnvContentHintProjects7$ || (GetProjectEnvContentHintProjects7$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$ = {}));
var GetProjectEnvContentHintProjects6$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects6$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects6$;
(function(GetProjectEnvContentHintProjects6$2) {
  GetProjectEnvContentHintProjects6$2.inboundSchema = GetProjectEnvContentHintProjects6$inboundSchema;
  GetProjectEnvContentHintProjects6$2.outboundSchema = GetProjectEnvContentHintProjects6$outboundSchema;
})(GetProjectEnvContentHintProjects6$ || (GetProjectEnvContentHintProjects6$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$ = {}));
var GetProjectEnvContentHintProjects5$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects5$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects5$;
(function(GetProjectEnvContentHintProjects5$2) {
  GetProjectEnvContentHintProjects5$2.inboundSchema = GetProjectEnvContentHintProjects5$inboundSchema;
  GetProjectEnvContentHintProjects5$2.outboundSchema = GetProjectEnvContentHintProjects5$outboundSchema;
})(GetProjectEnvContentHintProjects5$ || (GetProjectEnvContentHintProjects5$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$ = {}));
var GetProjectEnvContentHintProjects4$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects4$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects4$;
(function(GetProjectEnvContentHintProjects4$2) {
  GetProjectEnvContentHintProjects4$2.inboundSchema = GetProjectEnvContentHintProjects4$inboundSchema;
  GetProjectEnvContentHintProjects4$2.outboundSchema = GetProjectEnvContentHintProjects4$outboundSchema;
})(GetProjectEnvContentHintProjects4$ || (GetProjectEnvContentHintProjects4$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$ = {}));
var GetProjectEnvContentHintProjects3$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects3$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects3$;
(function(GetProjectEnvContentHintProjects3$2) {
  GetProjectEnvContentHintProjects3$2.inboundSchema = GetProjectEnvContentHintProjects3$inboundSchema;
  GetProjectEnvContentHintProjects3$2.outboundSchema = GetProjectEnvContentHintProjects3$outboundSchema;
})(GetProjectEnvContentHintProjects3$ || (GetProjectEnvContentHintProjects3$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$ = {}));
var GetProjectEnvContentHintProjects2$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects2$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects2$;
(function(GetProjectEnvContentHintProjects2$2) {
  GetProjectEnvContentHintProjects2$2.inboundSchema = GetProjectEnvContentHintProjects2$inboundSchema;
  GetProjectEnvContentHintProjects2$2.outboundSchema = GetProjectEnvContentHintProjects2$outboundSchema;
})(GetProjectEnvContentHintProjects2$ || (GetProjectEnvContentHintProjects2$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$ = {}));
var GetProjectEnvContentHintProjects1$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects1$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHintProjects1$;
(function(GetProjectEnvContentHintProjects1$2) {
  GetProjectEnvContentHintProjects1$2.inboundSchema = GetProjectEnvContentHintProjects1$inboundSchema;
  GetProjectEnvContentHintProjects1$2.outboundSchema = GetProjectEnvContentHintProjects1$outboundSchema;
})(GetProjectEnvContentHintProjects1$ || (GetProjectEnvContentHintProjects1$ = {}));
var GetProjectEnvResponseBodyProjectsContentHint$inboundSchema = unionType([
  lazyType(() => GetProjectEnvContentHintProjects1$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects2$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects3$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects4$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects5$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects6$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects7$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects8$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects9$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects10$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects11$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects12$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects13$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects15$inboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects14$inboundSchema)
]);
var GetProjectEnvResponseBodyProjectsContentHint$outboundSchema = unionType([
  lazyType(() => GetProjectEnvContentHintProjects1$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects2$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects3$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects4$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects5$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects6$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects7$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects8$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects9$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects10$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects11$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects12$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects13$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects15$outboundSchema),
  lazyType(() => GetProjectEnvContentHintProjects14$outboundSchema)
]);
var GetProjectEnvResponseBodyProjectsContentHint$;
(function(GetProjectEnvResponseBodyProjectsContentHint$2) {
  GetProjectEnvResponseBodyProjectsContentHint$2.inboundSchema = GetProjectEnvResponseBodyProjectsContentHint$inboundSchema;
  GetProjectEnvResponseBodyProjectsContentHint$2.outboundSchema = GetProjectEnvResponseBodyProjectsContentHint$outboundSchema;
})(GetProjectEnvResponseBodyProjectsContentHint$ || (GetProjectEnvResponseBodyProjectsContentHint$ = {}));
var GetProjectEnvResponseBodyProjectsResponse200Type$inboundSchema = nativeEnumType(GetProjectEnvResponseBodyProjectsResponse200Type);
var GetProjectEnvResponseBodyProjectsResponse200Type$outboundSchema = GetProjectEnvResponseBodyProjectsResponse200Type$inboundSchema;
var GetProjectEnvResponseBodyProjectsResponse200Type$;
(function(GetProjectEnvResponseBodyProjectsResponse200Type$2) {
  GetProjectEnvResponseBodyProjectsResponse200Type$2.inboundSchema = GetProjectEnvResponseBodyProjectsResponse200Type$inboundSchema;
  GetProjectEnvResponseBodyProjectsResponse200Type$2.outboundSchema = GetProjectEnvResponseBodyProjectsResponse200Type$outboundSchema;
})(GetProjectEnvResponseBodyProjectsResponse200Type$ || (GetProjectEnvResponseBodyProjectsResponse200Type$ = {}));
var GetProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema = objectType({
  type: GetProjectEnvResponseBodyProjectsResponse200Type$inboundSchema,
  encryptedValue: stringType()
});
var GetProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema = objectType({
  type: GetProjectEnvResponseBodyProjectsResponse200Type$outboundSchema,
  encryptedValue: stringType()
});
var GetProjectEnvResponseBodyProjectsInternalContentHint$;
(function(GetProjectEnvResponseBodyProjectsInternalContentHint$2) {
  GetProjectEnvResponseBodyProjectsInternalContentHint$2.inboundSchema = GetProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema;
  GetProjectEnvResponseBodyProjectsInternalContentHint$2.outboundSchema = GetProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema;
})(GetProjectEnvResponseBodyProjectsInternalContentHint$ || (GetProjectEnvResponseBodyProjectsInternalContentHint$ = {}));
var GetProjectEnvResponseBody2$inboundSchema = objectType({
  target: unionType([
    arrayType(GetProjectEnvTargetProjects1$inboundSchema),
    GetProjectEnvTargetProjects2$inboundSchema
  ]).optional(),
  type: GetProjectEnvResponseBodyProjectsType$inboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => GetProjectEnvContentHintProjects1$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects2$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects3$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects4$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects5$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects6$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects7$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects8$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects9$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects10$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects11$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects12$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects13$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects15$inboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects14$inboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => GetProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var GetProjectEnvResponseBody2$outboundSchema = objectType({
  target: unionType([
    arrayType(GetProjectEnvTargetProjects1$outboundSchema),
    GetProjectEnvTargetProjects2$outboundSchema
  ]).optional(),
  type: GetProjectEnvResponseBodyProjectsType$outboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => GetProjectEnvContentHintProjects1$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects2$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects3$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects4$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects5$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects6$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects7$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects8$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects9$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects10$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects11$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects12$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects13$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects15$outboundSchema),
    lazyType(() => GetProjectEnvContentHintProjects14$outboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => GetProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var GetProjectEnvResponseBody2$;
(function(GetProjectEnvResponseBody2$2) {
  GetProjectEnvResponseBody2$2.inboundSchema = GetProjectEnvResponseBody2$inboundSchema;
  GetProjectEnvResponseBody2$2.outboundSchema = GetProjectEnvResponseBody2$outboundSchema;
})(GetProjectEnvResponseBody2$ || (GetProjectEnvResponseBody2$ = {}));
var GetProjectEnvTarget2$inboundSchema = nativeEnumType(GetProjectEnvTarget2);
var GetProjectEnvTarget2$outboundSchema = GetProjectEnvTarget2$inboundSchema;
var GetProjectEnvTarget2$;
(function(GetProjectEnvTarget2$2) {
  GetProjectEnvTarget2$2.inboundSchema = GetProjectEnvTarget2$inboundSchema;
  GetProjectEnvTarget2$2.outboundSchema = GetProjectEnvTarget2$outboundSchema;
})(GetProjectEnvTarget2$ || (GetProjectEnvTarget2$ = {}));
var GetProjectEnvTarget1$inboundSchema = nativeEnumType(GetProjectEnvTarget1);
var GetProjectEnvTarget1$outboundSchema = GetProjectEnvTarget1$inboundSchema;
var GetProjectEnvTarget1$;
(function(GetProjectEnvTarget1$2) {
  GetProjectEnvTarget1$2.inboundSchema = GetProjectEnvTarget1$inboundSchema;
  GetProjectEnvTarget1$2.outboundSchema = GetProjectEnvTarget1$outboundSchema;
})(GetProjectEnvTarget1$ || (GetProjectEnvTarget1$ = {}));
var GetProjectEnvResponseBodyTarget$inboundSchema = unionType([
  arrayType(GetProjectEnvTarget1$inboundSchema),
  GetProjectEnvTarget2$inboundSchema
]);
var GetProjectEnvResponseBodyTarget$outboundSchema = unionType([
  arrayType(GetProjectEnvTarget1$outboundSchema),
  GetProjectEnvTarget2$outboundSchema
]);
var GetProjectEnvResponseBodyTarget$;
(function(GetProjectEnvResponseBodyTarget$2) {
  GetProjectEnvResponseBodyTarget$2.inboundSchema = GetProjectEnvResponseBodyTarget$inboundSchema;
  GetProjectEnvResponseBodyTarget$2.outboundSchema = GetProjectEnvResponseBodyTarget$outboundSchema;
})(GetProjectEnvResponseBodyTarget$ || (GetProjectEnvResponseBodyTarget$ = {}));
var GetProjectEnvResponseBodyType$inboundSchema = nativeEnumType(GetProjectEnvResponseBodyType);
var GetProjectEnvResponseBodyType$outboundSchema = GetProjectEnvResponseBodyType$inboundSchema;
var GetProjectEnvResponseBodyType$;
(function(GetProjectEnvResponseBodyType$2) {
  GetProjectEnvResponseBodyType$2.inboundSchema = GetProjectEnvResponseBodyType$inboundSchema;
  GetProjectEnvResponseBodyType$2.outboundSchema = GetProjectEnvResponseBodyType$outboundSchema;
})(GetProjectEnvResponseBodyType$ || (GetProjectEnvResponseBodyType$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$ = {}));
var GetProjectEnvContentHint15$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema,
  projectId: stringType()
});
var GetProjectEnvContentHint15$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema,
  projectId: stringType()
});
var GetProjectEnvContentHint15$;
(function(GetProjectEnvContentHint15$2) {
  GetProjectEnvContentHint15$2.inboundSchema = GetProjectEnvContentHint15$inboundSchema;
  GetProjectEnvContentHint15$2.outboundSchema = GetProjectEnvContentHint15$outboundSchema;
})(GetProjectEnvContentHint15$ || (GetProjectEnvContentHint15$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$ = {}));
var GetProjectEnvContentHint14$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var GetProjectEnvContentHint14$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var GetProjectEnvContentHint14$;
(function(GetProjectEnvContentHint14$2) {
  GetProjectEnvContentHint14$2.inboundSchema = GetProjectEnvContentHint14$inboundSchema;
  GetProjectEnvContentHint14$2.outboundSchema = GetProjectEnvContentHint14$outboundSchema;
})(GetProjectEnvContentHint14$ || (GetProjectEnvContentHint14$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$ = {}));
var GetProjectEnvContentHint13$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint13$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint13$;
(function(GetProjectEnvContentHint13$2) {
  GetProjectEnvContentHint13$2.inboundSchema = GetProjectEnvContentHint13$inboundSchema;
  GetProjectEnvContentHint13$2.outboundSchema = GetProjectEnvContentHint13$outboundSchema;
})(GetProjectEnvContentHint13$ || (GetProjectEnvContentHint13$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$ = {}));
var GetProjectEnvContentHint12$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint12$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint12$;
(function(GetProjectEnvContentHint12$2) {
  GetProjectEnvContentHint12$2.inboundSchema = GetProjectEnvContentHint12$inboundSchema;
  GetProjectEnvContentHint12$2.outboundSchema = GetProjectEnvContentHint12$outboundSchema;
})(GetProjectEnvContentHint12$ || (GetProjectEnvContentHint12$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$ = {}));
var GetProjectEnvContentHint11$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint11$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint11$;
(function(GetProjectEnvContentHint11$2) {
  GetProjectEnvContentHint11$2.inboundSchema = GetProjectEnvContentHint11$inboundSchema;
  GetProjectEnvContentHint11$2.outboundSchema = GetProjectEnvContentHint11$outboundSchema;
})(GetProjectEnvContentHint11$ || (GetProjectEnvContentHint11$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$ = {}));
var GetProjectEnvContentHint10$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint10$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint10$;
(function(GetProjectEnvContentHint10$2) {
  GetProjectEnvContentHint10$2.inboundSchema = GetProjectEnvContentHint10$inboundSchema;
  GetProjectEnvContentHint10$2.outboundSchema = GetProjectEnvContentHint10$outboundSchema;
})(GetProjectEnvContentHint10$ || (GetProjectEnvContentHint10$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$ = {}));
var GetProjectEnvContentHint9$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint9$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint9$;
(function(GetProjectEnvContentHint9$2) {
  GetProjectEnvContentHint9$2.inboundSchema = GetProjectEnvContentHint9$inboundSchema;
  GetProjectEnvContentHint9$2.outboundSchema = GetProjectEnvContentHint9$outboundSchema;
})(GetProjectEnvContentHint9$ || (GetProjectEnvContentHint9$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$ = {}));
var GetProjectEnvContentHint8$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint8$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint8$;
(function(GetProjectEnvContentHint8$2) {
  GetProjectEnvContentHint8$2.inboundSchema = GetProjectEnvContentHint8$inboundSchema;
  GetProjectEnvContentHint8$2.outboundSchema = GetProjectEnvContentHint8$outboundSchema;
})(GetProjectEnvContentHint8$ || (GetProjectEnvContentHint8$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$ = {}));
var GetProjectEnvContentHint7$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint7$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint7$;
(function(GetProjectEnvContentHint7$2) {
  GetProjectEnvContentHint7$2.inboundSchema = GetProjectEnvContentHint7$inboundSchema;
  GetProjectEnvContentHint7$2.outboundSchema = GetProjectEnvContentHint7$outboundSchema;
})(GetProjectEnvContentHint7$ || (GetProjectEnvContentHint7$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$ = {}));
var GetProjectEnvContentHint6$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint6$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint6$;
(function(GetProjectEnvContentHint6$2) {
  GetProjectEnvContentHint6$2.inboundSchema = GetProjectEnvContentHint6$inboundSchema;
  GetProjectEnvContentHint6$2.outboundSchema = GetProjectEnvContentHint6$outboundSchema;
})(GetProjectEnvContentHint6$ || (GetProjectEnvContentHint6$ = {}));
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200ApplicationJSONType);
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$;
(function(GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$2) {
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$ || (GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$ = {}));
var GetProjectEnvContentHint5$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint5$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint5$;
(function(GetProjectEnvContentHint5$2) {
  GetProjectEnvContentHint5$2.inboundSchema = GetProjectEnvContentHint5$inboundSchema;
  GetProjectEnvContentHint5$2.outboundSchema = GetProjectEnvContentHint5$outboundSchema;
})(GetProjectEnvContentHint5$ || (GetProjectEnvContentHint5$ = {}));
var GetProjectEnvContentHintProjectsResponse200Type$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponse200Type);
var GetProjectEnvContentHintProjectsResponse200Type$outboundSchema = GetProjectEnvContentHintProjectsResponse200Type$inboundSchema;
var GetProjectEnvContentHintProjectsResponse200Type$;
(function(GetProjectEnvContentHintProjectsResponse200Type$2) {
  GetProjectEnvContentHintProjectsResponse200Type$2.inboundSchema = GetProjectEnvContentHintProjectsResponse200Type$inboundSchema;
  GetProjectEnvContentHintProjectsResponse200Type$2.outboundSchema = GetProjectEnvContentHintProjectsResponse200Type$outboundSchema;
})(GetProjectEnvContentHintProjectsResponse200Type$ || (GetProjectEnvContentHintProjectsResponse200Type$ = {}));
var GetProjectEnvContentHint4$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200Type$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint4$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponse200Type$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint4$;
(function(GetProjectEnvContentHint4$2) {
  GetProjectEnvContentHint4$2.inboundSchema = GetProjectEnvContentHint4$inboundSchema;
  GetProjectEnvContentHint4$2.outboundSchema = GetProjectEnvContentHint4$outboundSchema;
})(GetProjectEnvContentHint4$ || (GetProjectEnvContentHint4$ = {}));
var GetProjectEnvContentHintProjectsResponseType$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsResponseType);
var GetProjectEnvContentHintProjectsResponseType$outboundSchema = GetProjectEnvContentHintProjectsResponseType$inboundSchema;
var GetProjectEnvContentHintProjectsResponseType$;
(function(GetProjectEnvContentHintProjectsResponseType$2) {
  GetProjectEnvContentHintProjectsResponseType$2.inboundSchema = GetProjectEnvContentHintProjectsResponseType$inboundSchema;
  GetProjectEnvContentHintProjectsResponseType$2.outboundSchema = GetProjectEnvContentHintProjectsResponseType$outboundSchema;
})(GetProjectEnvContentHintProjectsResponseType$ || (GetProjectEnvContentHintProjectsResponseType$ = {}));
var GetProjectEnvContentHint3$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponseType$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint3$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsResponseType$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint3$;
(function(GetProjectEnvContentHint3$2) {
  GetProjectEnvContentHint3$2.inboundSchema = GetProjectEnvContentHint3$inboundSchema;
  GetProjectEnvContentHint3$2.outboundSchema = GetProjectEnvContentHint3$outboundSchema;
})(GetProjectEnvContentHint3$ || (GetProjectEnvContentHint3$ = {}));
var GetProjectEnvContentHintProjectsType$inboundSchema = nativeEnumType(GetProjectEnvContentHintProjectsType);
var GetProjectEnvContentHintProjectsType$outboundSchema = GetProjectEnvContentHintProjectsType$inboundSchema;
var GetProjectEnvContentHintProjectsType$;
(function(GetProjectEnvContentHintProjectsType$2) {
  GetProjectEnvContentHintProjectsType$2.inboundSchema = GetProjectEnvContentHintProjectsType$inboundSchema;
  GetProjectEnvContentHintProjectsType$2.outboundSchema = GetProjectEnvContentHintProjectsType$outboundSchema;
})(GetProjectEnvContentHintProjectsType$ || (GetProjectEnvContentHintProjectsType$ = {}));
var GetProjectEnvContentHint2$inboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsType$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint2$outboundSchema = objectType({
  type: GetProjectEnvContentHintProjectsType$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint2$;
(function(GetProjectEnvContentHint2$2) {
  GetProjectEnvContentHint2$2.inboundSchema = GetProjectEnvContentHint2$inboundSchema;
  GetProjectEnvContentHint2$2.outboundSchema = GetProjectEnvContentHint2$outboundSchema;
})(GetProjectEnvContentHint2$ || (GetProjectEnvContentHint2$ = {}));
var GetProjectEnvContentHintType$inboundSchema = nativeEnumType(GetProjectEnvContentHintType);
var GetProjectEnvContentHintType$outboundSchema = GetProjectEnvContentHintType$inboundSchema;
var GetProjectEnvContentHintType$;
(function(GetProjectEnvContentHintType$2) {
  GetProjectEnvContentHintType$2.inboundSchema = GetProjectEnvContentHintType$inboundSchema;
  GetProjectEnvContentHintType$2.outboundSchema = GetProjectEnvContentHintType$outboundSchema;
})(GetProjectEnvContentHintType$ || (GetProjectEnvContentHintType$ = {}));
var GetProjectEnvContentHint1$inboundSchema = objectType({
  type: GetProjectEnvContentHintType$inboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint1$outboundSchema = objectType({
  type: GetProjectEnvContentHintType$outboundSchema,
  storeId: stringType()
});
var GetProjectEnvContentHint1$;
(function(GetProjectEnvContentHint1$2) {
  GetProjectEnvContentHint1$2.inboundSchema = GetProjectEnvContentHint1$inboundSchema;
  GetProjectEnvContentHint1$2.outboundSchema = GetProjectEnvContentHint1$outboundSchema;
})(GetProjectEnvContentHint1$ || (GetProjectEnvContentHint1$ = {}));
var GetProjectEnvResponseBodyContentHint$inboundSchema = unionType([
  lazyType(() => GetProjectEnvContentHint1$inboundSchema),
  lazyType(() => GetProjectEnvContentHint2$inboundSchema),
  lazyType(() => GetProjectEnvContentHint3$inboundSchema),
  lazyType(() => GetProjectEnvContentHint4$inboundSchema),
  lazyType(() => GetProjectEnvContentHint5$inboundSchema),
  lazyType(() => GetProjectEnvContentHint6$inboundSchema),
  lazyType(() => GetProjectEnvContentHint7$inboundSchema),
  lazyType(() => GetProjectEnvContentHint8$inboundSchema),
  lazyType(() => GetProjectEnvContentHint9$inboundSchema),
  lazyType(() => GetProjectEnvContentHint10$inboundSchema),
  lazyType(() => GetProjectEnvContentHint11$inboundSchema),
  lazyType(() => GetProjectEnvContentHint12$inboundSchema),
  lazyType(() => GetProjectEnvContentHint13$inboundSchema),
  lazyType(() => GetProjectEnvContentHint15$inboundSchema),
  lazyType(() => GetProjectEnvContentHint14$inboundSchema)
]);
var GetProjectEnvResponseBodyContentHint$outboundSchema = unionType([
  lazyType(() => GetProjectEnvContentHint1$outboundSchema),
  lazyType(() => GetProjectEnvContentHint2$outboundSchema),
  lazyType(() => GetProjectEnvContentHint3$outboundSchema),
  lazyType(() => GetProjectEnvContentHint4$outboundSchema),
  lazyType(() => GetProjectEnvContentHint5$outboundSchema),
  lazyType(() => GetProjectEnvContentHint6$outboundSchema),
  lazyType(() => GetProjectEnvContentHint7$outboundSchema),
  lazyType(() => GetProjectEnvContentHint8$outboundSchema),
  lazyType(() => GetProjectEnvContentHint9$outboundSchema),
  lazyType(() => GetProjectEnvContentHint10$outboundSchema),
  lazyType(() => GetProjectEnvContentHint11$outboundSchema),
  lazyType(() => GetProjectEnvContentHint12$outboundSchema),
  lazyType(() => GetProjectEnvContentHint13$outboundSchema),
  lazyType(() => GetProjectEnvContentHint15$outboundSchema),
  lazyType(() => GetProjectEnvContentHint14$outboundSchema)
]);
var GetProjectEnvResponseBodyContentHint$;
(function(GetProjectEnvResponseBodyContentHint$2) {
  GetProjectEnvResponseBodyContentHint$2.inboundSchema = GetProjectEnvResponseBodyContentHint$inboundSchema;
  GetProjectEnvResponseBodyContentHint$2.outboundSchema = GetProjectEnvResponseBodyContentHint$outboundSchema;
})(GetProjectEnvResponseBodyContentHint$ || (GetProjectEnvResponseBodyContentHint$ = {}));
var GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType);
var GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema = GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema;
var GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$;
(function(GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$2) {
  GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$2.inboundSchema = GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema;
  GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$2.outboundSchema = GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema;
})(GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$ || (GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$ = {}));
var GetProjectEnvResponseBodyInternalContentHint$inboundSchema = objectType({
  type: GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema,
  encryptedValue: stringType()
});
var GetProjectEnvResponseBodyInternalContentHint$outboundSchema = objectType({
  type: GetProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema,
  encryptedValue: stringType()
});
var GetProjectEnvResponseBodyInternalContentHint$;
(function(GetProjectEnvResponseBodyInternalContentHint$2) {
  GetProjectEnvResponseBodyInternalContentHint$2.inboundSchema = GetProjectEnvResponseBodyInternalContentHint$inboundSchema;
  GetProjectEnvResponseBodyInternalContentHint$2.outboundSchema = GetProjectEnvResponseBodyInternalContentHint$outboundSchema;
})(GetProjectEnvResponseBodyInternalContentHint$ || (GetProjectEnvResponseBodyInternalContentHint$ = {}));
var GetProjectEnvResponseBody1$inboundSchema = objectType({
  decrypted: booleanType(),
  target: unionType([
    arrayType(GetProjectEnvTarget1$inboundSchema),
    GetProjectEnvTarget2$inboundSchema
  ]).optional(),
  type: GetProjectEnvResponseBodyType$inboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => GetProjectEnvContentHint1$inboundSchema),
    lazyType(() => GetProjectEnvContentHint2$inboundSchema),
    lazyType(() => GetProjectEnvContentHint3$inboundSchema),
    lazyType(() => GetProjectEnvContentHint4$inboundSchema),
    lazyType(() => GetProjectEnvContentHint5$inboundSchema),
    lazyType(() => GetProjectEnvContentHint6$inboundSchema),
    lazyType(() => GetProjectEnvContentHint7$inboundSchema),
    lazyType(() => GetProjectEnvContentHint8$inboundSchema),
    lazyType(() => GetProjectEnvContentHint9$inboundSchema),
    lazyType(() => GetProjectEnvContentHint10$inboundSchema),
    lazyType(() => GetProjectEnvContentHint11$inboundSchema),
    lazyType(() => GetProjectEnvContentHint12$inboundSchema),
    lazyType(() => GetProjectEnvContentHint13$inboundSchema),
    lazyType(() => GetProjectEnvContentHint15$inboundSchema),
    lazyType(() => GetProjectEnvContentHint14$inboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => GetProjectEnvResponseBodyInternalContentHint$inboundSchema)).optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var GetProjectEnvResponseBody1$outboundSchema = objectType({
  decrypted: booleanType(),
  target: unionType([
    arrayType(GetProjectEnvTarget1$outboundSchema),
    GetProjectEnvTarget2$outboundSchema
  ]).optional(),
  type: GetProjectEnvResponseBodyType$outboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => GetProjectEnvContentHint1$outboundSchema),
    lazyType(() => GetProjectEnvContentHint2$outboundSchema),
    lazyType(() => GetProjectEnvContentHint3$outboundSchema),
    lazyType(() => GetProjectEnvContentHint4$outboundSchema),
    lazyType(() => GetProjectEnvContentHint5$outboundSchema),
    lazyType(() => GetProjectEnvContentHint6$outboundSchema),
    lazyType(() => GetProjectEnvContentHint7$outboundSchema),
    lazyType(() => GetProjectEnvContentHint8$outboundSchema),
    lazyType(() => GetProjectEnvContentHint9$outboundSchema),
    lazyType(() => GetProjectEnvContentHint10$outboundSchema),
    lazyType(() => GetProjectEnvContentHint11$outboundSchema),
    lazyType(() => GetProjectEnvContentHint12$outboundSchema),
    lazyType(() => GetProjectEnvContentHint13$outboundSchema),
    lazyType(() => GetProjectEnvContentHint15$outboundSchema),
    lazyType(() => GetProjectEnvContentHint14$outboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => GetProjectEnvResponseBodyInternalContentHint$outboundSchema)).optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var GetProjectEnvResponseBody1$;
(function(GetProjectEnvResponseBody1$2) {
  GetProjectEnvResponseBody1$2.inboundSchema = GetProjectEnvResponseBody1$inboundSchema;
  GetProjectEnvResponseBody1$2.outboundSchema = GetProjectEnvResponseBody1$outboundSchema;
})(GetProjectEnvResponseBody1$ || (GetProjectEnvResponseBody1$ = {}));
var GetProjectEnvResponseBody$inboundSchema = unionType([
  lazyType(() => GetProjectEnvResponseBody1$inboundSchema),
  lazyType(() => GetProjectEnvResponseBody3$inboundSchema),
  lazyType(() => GetProjectEnvResponseBody2$inboundSchema)
]);
var GetProjectEnvResponseBody$outboundSchema = unionType([
  lazyType(() => GetProjectEnvResponseBody1$outboundSchema),
  lazyType(() => GetProjectEnvResponseBody3$outboundSchema),
  lazyType(() => GetProjectEnvResponseBody2$outboundSchema)
]);
var GetProjectEnvResponseBody$;
(function(GetProjectEnvResponseBody$2) {
  GetProjectEnvResponseBody$2.inboundSchema = GetProjectEnvResponseBody$inboundSchema;
  GetProjectEnvResponseBody$2.outboundSchema = GetProjectEnvResponseBody$outboundSchema;
})(GetProjectEnvResponseBody$ || (GetProjectEnvResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsGetProjectEnv.js
async function projectsGetProjectEnv(client, request, options) {
  const parsed = safeParse(request, (value) => GetProjectEnvRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/projects/{idOrName}/env/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getProjectEnv",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetProjectEnvResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getprojectsop.js
var GitForkProtection = {
  One: "1",
  Zero: "0"
};
var GetProjectsTarget2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var GetProjectsTarget1 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var GetProjectsType = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret"
};
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type = {
  FlagsConnectionString: "flags-connection-string"
};
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type = {
  IntegrationStoreSecret: "integration-store-secret"
};
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type = {
  PostgresUrlNoSsl: "postgres-url-no-ssl"
};
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type = {
  PostgresDatabase: "postgres-database"
};
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type = {
  PostgresPassword: "postgres-password"
};
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type = {
  PostgresHost: "postgres-host"
};
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type = {
  PostgresUser: "postgres-user"
};
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType = {
  PostgresPrismaUrl: "postgres-prisma-url"
};
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType = {
  PostgresUrlNonPooling: "postgres-url-non-pooling"
};
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType = {
  PostgresUrl: "postgres-url"
};
var GetProjectsContentHintProjectsResponse200ApplicationJSONType = {
  BlobReadWriteToken: "blob-read-write-token"
};
var GetProjectsContentHintProjectsResponse200Type = {
  RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
};
var GetProjectsContentHintProjectsResponseType = {
  RedisRestApiToken: "redis-rest-api-token"
};
var GetProjectsContentHintProjectsType = {
  RedisRestApiUrl: "redis-rest-api-url"
};
var GetProjectsContentHintType = {
  RedisUrl: "redis-url"
};
var GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType = {
  FlagsSecret: "flags-secret"
};
var GetProjectsFramework = {
  Blitzjs: "blitzjs",
  Nextjs: "nextjs",
  Gatsby: "gatsby",
  Remix: "remix",
  Astro: "astro",
  Hexo: "hexo",
  Eleventy: "eleventy",
  Docusaurus2: "docusaurus-2",
  Docusaurus: "docusaurus",
  Preact: "preact",
  Solidstart1: "solidstart-1",
  Solidstart: "solidstart",
  Dojo: "dojo",
  Ember: "ember",
  Vue: "vue",
  Scully: "scully",
  IonicAngular: "ionic-angular",
  Angular: "angular",
  Polymer: "polymer",
  Svelte: "svelte",
  Sveltekit: "sveltekit",
  Sveltekit1: "sveltekit-1",
  IonicReact: "ionic-react",
  CreateReactApp: "create-react-app",
  Gridsome: "gridsome",
  Umijs: "umijs",
  Sapper: "sapper",
  Saber: "saber",
  Stencil: "stencil",
  Nuxtjs: "nuxtjs",
  Redwoodjs: "redwoodjs",
  Hugo: "hugo",
  Jekyll: "jekyll",
  Brunch: "brunch",
  Middleman: "middleman",
  Zola: "zola",
  Hydrogen: "hydrogen",
  Vite: "vite",
  Vitepress: "vitepress",
  Vuepress: "vuepress",
  Parcel: "parcel",
  Fasthtml: "fasthtml",
  SanityV3: "sanity-v3",
  Sanity: "sanity",
  Storybook: "storybook"
};
var GetProjectsProjectsResponse200ApplicationJSONResponseBodyType = {
  EndsWith: "endsWith",
  StartsWith: "startsWith",
  Equals: "equals"
};
var GetProjectsChecksConclusion = {
  Succeeded: "succeeded",
  Failed: "failed",
  Skipped: "skipped",
  Canceled: "canceled"
};
var GetProjectsChecksState = {
  Registered: "registered",
  Running: "running",
  Completed: "completed"
};
var GetProjectsPlan = {
  Pro: "pro",
  Enterprise: "enterprise",
  Hobby: "hobby"
};
var GetProjectsReadyState = {
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Queued: "QUEUED",
  Ready: "READY",
  Canceled: "CANCELED"
};
var GetProjectsReadySubstate = {
  Staged: "STAGED",
  Promoted: "PROMOTED"
};
var GetProjectsProjectsType = {
  Lambdas: "LAMBDAS"
};
var GetProjectsLinkProjectsResponseType = {
  Bitbucket: "bitbucket"
};
var GetProjectsLinkProjectsType = {
  Gitlab: "gitlab"
};
var GetProjectsLinkType = {
  Github: "github"
};
var GetProjectsNodeVersion = {
  TwentyTwoX: "22.x",
  TwentyX: "20.x",
  EighteenX: "18.x",
  SixteenX: "16.x",
  FourteenX: "14.x",
  TwelveX: "12.x",
  TenX: "10.x",
  Eight10X: "8.10.x"
};
var GetProjectsFunctionDefaultMemoryType = {
  StandardLegacy: "standard_legacy",
  Standard: "standard",
  Performance: "performance"
};
var GetProjectsDeploymentType = {
  Preview: "preview",
  All: "all",
  ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
};
var GetProjectsProjectsResponse200ApplicationJSONType = {
  EndsWith: "endsWith",
  StartsWith: "startsWith",
  Equals: "equals"
};
var GetProjectsProjectsChecksConclusion = {
  Succeeded: "succeeded",
  Failed: "failed",
  Skipped: "skipped",
  Canceled: "canceled"
};
var GetProjectsProjectsChecksState = {
  Registered: "registered",
  Running: "running",
  Completed: "completed"
};
var GetProjectsProjectsPlan = {
  Pro: "pro",
  Enterprise: "enterprise",
  Hobby: "hobby"
};
var GetProjectsProjectsReadyState = {
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Queued: "QUEUED",
  Ready: "READY",
  Canceled: "CANCELED"
};
var GetProjectsProjectsReadySubstate = {
  Staged: "STAGED",
  Promoted: "PROMOTED"
};
var GetProjectsProjectsResponseType = {
  Lambdas: "LAMBDAS"
};
var GetProjectsJobStatus = {
  Succeeded: "succeeded",
  Failed: "failed",
  Skipped: "skipped",
  Pending: "pending",
  InProgress: "in-progress"
};
var GetProjectsProjectsResponse200Type = {
  Promote: "promote",
  Rollback: "rollback"
};
var GetProjectsScope = {
  AutomationBypass: "automation-bypass"
};
var GetProjectsTrustedIpsProjectsDeploymentType = {
  Production: "production",
  Preview: "preview",
  All: "all",
  ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
};
var GetProjectsTrustedIpsDeploymentType = {
  Production: "production",
  Preview: "preview",
  All: "all",
  ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
};
var GetProjectsTrustedIpsProtectionMode = {
  Additional: "additional",
  Exclusive: "exclusive"
};
var GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType = {
  Path: "path",
  Host: "host",
  Method: "method",
  Header: "header",
  Cookie: "cookie",
  Query: "query",
  IpAddress: "ip_address",
  Protocol: "protocol",
  Scheme: "scheme",
  Environment: "environment",
  Region: "region",
  InitialRequestPath: "initial_request_path"
};
var GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType = {
  Path: "path",
  Host: "host",
  Method: "method",
  Header: "header",
  Cookie: "cookie",
  Query: "query",
  IpAddress: "ip_address",
  Protocol: "protocol",
  Scheme: "scheme",
  Environment: "environment",
  Region: "region",
  InitialRequestPath: "initial_request_path"
};
var GetProjectsHandle = {
  Init: "init",
  Finalize: "finalize"
};
var GetProjectsAction = {
  Deny: "deny",
  Challenge: "challenge",
  Log: "log",
  Bypass: "bypass",
  RateLimit: "rate_limit",
  Redirect: "redirect"
};
var GetProjectsAlgo = {
  FixedWindow: "fixed_window",
  TokenBucket: "token_bucket"
};
var GetProjectsIssuerMode = {
  Team: "team",
  Global: "global"
};
var GetProjectsTier = {
  Standard: "standard",
  Advanced: "advanced",
  Critical: "critical"
};
var GitForkProtection$inboundSchema = nativeEnumType(GitForkProtection);
var GitForkProtection$outboundSchema = GitForkProtection$inboundSchema;
var GitForkProtection$;
(function(GitForkProtection$2) {
  GitForkProtection$2.inboundSchema = GitForkProtection$inboundSchema;
  GitForkProtection$2.outboundSchema = GitForkProtection$outboundSchema;
})(GitForkProtection$ || (GitForkProtection$ = {}));
var GetProjectsRequest$inboundSchema = objectType({
  from: stringType().optional(),
  gitForkProtection: GitForkProtection$inboundSchema.optional(),
  limit: stringType().optional(),
  search: stringType().optional(),
  repo: stringType().optional(),
  repoId: stringType().optional(),
  repoUrl: stringType().optional(),
  excludeRepos: stringType().optional(),
  edgeConfigId: stringType().optional(),
  edgeConfigTokenId: stringType().optional(),
  deprecated: booleanType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetProjectsRequest$outboundSchema = objectType({
  from: stringType().optional(),
  gitForkProtection: GitForkProtection$outboundSchema.optional(),
  limit: stringType().optional(),
  search: stringType().optional(),
  repo: stringType().optional(),
  repoId: stringType().optional(),
  repoUrl: stringType().optional(),
  excludeRepos: stringType().optional(),
  edgeConfigId: stringType().optional(),
  edgeConfigTokenId: stringType().optional(),
  deprecated: booleanType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetProjectsRequest$;
(function(GetProjectsRequest$2) {
  GetProjectsRequest$2.inboundSchema = GetProjectsRequest$inboundSchema;
  GetProjectsRequest$2.outboundSchema = GetProjectsRequest$outboundSchema;
})(GetProjectsRequest$ || (GetProjectsRequest$ = {}));
var GetProjectsAnalytics$inboundSchema = objectType({
  id: stringType(),
  canceledAt: nullableType(numberType()).optional(),
  disabledAt: numberType(),
  enabledAt: numberType(),
  paidAt: numberType().optional(),
  sampleRatePercent: nullableType(numberType()).optional(),
  spendLimitInDollars: nullableType(numberType()).optional()
});
var GetProjectsAnalytics$outboundSchema = objectType({
  id: stringType(),
  canceledAt: nullableType(numberType()).optional(),
  disabledAt: numberType(),
  enabledAt: numberType(),
  paidAt: numberType().optional(),
  sampleRatePercent: nullableType(numberType()).optional(),
  spendLimitInDollars: nullableType(numberType()).optional()
});
var GetProjectsAnalytics$;
(function(GetProjectsAnalytics$2) {
  GetProjectsAnalytics$2.inboundSchema = GetProjectsAnalytics$inboundSchema;
  GetProjectsAnalytics$2.outboundSchema = GetProjectsAnalytics$outboundSchema;
})(GetProjectsAnalytics$ || (GetProjectsAnalytics$ = {}));
var GetProjectsSpeedInsights$inboundSchema = objectType({
  id: stringType(),
  enabledAt: numberType().optional(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  hasData: booleanType().optional(),
  paidAt: numberType().optional()
});
var GetProjectsSpeedInsights$outboundSchema = objectType({
  id: stringType(),
  enabledAt: numberType().optional(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  hasData: booleanType().optional(),
  paidAt: numberType().optional()
});
var GetProjectsSpeedInsights$;
(function(GetProjectsSpeedInsights$2) {
  GetProjectsSpeedInsights$2.inboundSchema = GetProjectsSpeedInsights$inboundSchema;
  GetProjectsSpeedInsights$2.outboundSchema = GetProjectsSpeedInsights$outboundSchema;
})(GetProjectsSpeedInsights$ || (GetProjectsSpeedInsights$ = {}));
var GetProjectsDefinitions$inboundSchema = objectType({
  host: stringType(),
  path: stringType(),
  schedule: stringType()
});
var GetProjectsDefinitions$outboundSchema = objectType({
  host: stringType(),
  path: stringType(),
  schedule: stringType()
});
var GetProjectsDefinitions$;
(function(GetProjectsDefinitions$2) {
  GetProjectsDefinitions$2.inboundSchema = GetProjectsDefinitions$inboundSchema;
  GetProjectsDefinitions$2.outboundSchema = GetProjectsDefinitions$outboundSchema;
})(GetProjectsDefinitions$ || (GetProjectsDefinitions$ = {}));
var GetProjectsCrons$inboundSchema = objectType({
  enabledAt: numberType(),
  disabledAt: nullableType(numberType()),
  updatedAt: numberType(),
  deploymentId: nullableType(stringType()),
  definitions: arrayType(lazyType(() => GetProjectsDefinitions$inboundSchema))
});
var GetProjectsCrons$outboundSchema = objectType({
  enabledAt: numberType(),
  disabledAt: nullableType(numberType()),
  updatedAt: numberType(),
  deploymentId: nullableType(stringType()),
  definitions: arrayType(lazyType(() => GetProjectsDefinitions$outboundSchema))
});
var GetProjectsCrons$;
(function(GetProjectsCrons$2) {
  GetProjectsCrons$2.inboundSchema = GetProjectsCrons$inboundSchema;
  GetProjectsCrons$2.outboundSchema = GetProjectsCrons$outboundSchema;
})(GetProjectsCrons$ || (GetProjectsCrons$ = {}));
var GetProjectsDataCache$inboundSchema = objectType({
  userDisabled: booleanType(),
  storageSizeBytes: nullableType(numberType()).optional(),
  unlimited: booleanType().optional()
});
var GetProjectsDataCache$outboundSchema = objectType({
  userDisabled: booleanType(),
  storageSizeBytes: nullableType(numberType()).optional(),
  unlimited: booleanType().optional()
});
var GetProjectsDataCache$;
(function(GetProjectsDataCache$2) {
  GetProjectsDataCache$2.inboundSchema = GetProjectsDataCache$inboundSchema;
  GetProjectsDataCache$2.outboundSchema = GetProjectsDataCache$outboundSchema;
})(GetProjectsDataCache$ || (GetProjectsDataCache$ = {}));
var GetProjectsDeploymentExpiration$inboundSchema = objectType({
  expirationDays: numberType().optional(),
  expirationDaysProduction: numberType().optional(),
  expirationDaysCanceled: numberType().optional(),
  expirationDaysErrored: numberType().optional(),
  deploymentsToKeep: numberType().optional()
});
var GetProjectsDeploymentExpiration$outboundSchema = objectType({
  expirationDays: numberType().optional(),
  expirationDaysProduction: numberType().optional(),
  expirationDaysCanceled: numberType().optional(),
  expirationDaysErrored: numberType().optional(),
  deploymentsToKeep: numberType().optional()
});
var GetProjectsDeploymentExpiration$;
(function(GetProjectsDeploymentExpiration$2) {
  GetProjectsDeploymentExpiration$2.inboundSchema = GetProjectsDeploymentExpiration$inboundSchema;
  GetProjectsDeploymentExpiration$2.outboundSchema = GetProjectsDeploymentExpiration$outboundSchema;
})(GetProjectsDeploymentExpiration$ || (GetProjectsDeploymentExpiration$ = {}));
var GetProjectsTarget2$inboundSchema = nativeEnumType(GetProjectsTarget2);
var GetProjectsTarget2$outboundSchema = GetProjectsTarget2$inboundSchema;
var GetProjectsTarget2$;
(function(GetProjectsTarget2$2) {
  GetProjectsTarget2$2.inboundSchema = GetProjectsTarget2$inboundSchema;
  GetProjectsTarget2$2.outboundSchema = GetProjectsTarget2$outboundSchema;
})(GetProjectsTarget2$ || (GetProjectsTarget2$ = {}));
var GetProjectsTarget1$inboundSchema = nativeEnumType(GetProjectsTarget1);
var GetProjectsTarget1$outboundSchema = GetProjectsTarget1$inboundSchema;
var GetProjectsTarget1$;
(function(GetProjectsTarget1$2) {
  GetProjectsTarget1$2.inboundSchema = GetProjectsTarget1$inboundSchema;
  GetProjectsTarget1$2.outboundSchema = GetProjectsTarget1$outboundSchema;
})(GetProjectsTarget1$ || (GetProjectsTarget1$ = {}));
var GetProjectsTarget$inboundSchema = unionType([
  arrayType(GetProjectsTarget1$inboundSchema),
  GetProjectsTarget2$inboundSchema
]);
var GetProjectsTarget$outboundSchema = unionType([
  arrayType(GetProjectsTarget1$outboundSchema),
  GetProjectsTarget2$outboundSchema
]);
var GetProjectsTarget$;
(function(GetProjectsTarget$2) {
  GetProjectsTarget$2.inboundSchema = GetProjectsTarget$inboundSchema;
  GetProjectsTarget$2.outboundSchema = GetProjectsTarget$outboundSchema;
})(GetProjectsTarget$ || (GetProjectsTarget$ = {}));
var GetProjectsType$inboundSchema = nativeEnumType(GetProjectsType);
var GetProjectsType$outboundSchema = GetProjectsType$inboundSchema;
var GetProjectsType$;
(function(GetProjectsType$2) {
  GetProjectsType$2.inboundSchema = GetProjectsType$inboundSchema;
  GetProjectsType$2.outboundSchema = GetProjectsType$outboundSchema;
})(GetProjectsType$ || (GetProjectsType$ = {}));
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type);
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$inboundSchema;
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$;
(function(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$2) {
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$2.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$inboundSchema;
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$2.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$outboundSchema;
})(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$ || (GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$ = {}));
var GetProjectsContentHint15$inboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$inboundSchema,
  projectId: stringType()
});
var GetProjectsContentHint15$outboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv15Type$outboundSchema,
  projectId: stringType()
});
var GetProjectsContentHint15$;
(function(GetProjectsContentHint15$2) {
  GetProjectsContentHint15$2.inboundSchema = GetProjectsContentHint15$inboundSchema;
  GetProjectsContentHint15$2.outboundSchema = GetProjectsContentHint15$outboundSchema;
})(GetProjectsContentHint15$ || (GetProjectsContentHint15$ = {}));
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type);
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$inboundSchema;
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$;
(function(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$2) {
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$2.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$inboundSchema;
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$2.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$outboundSchema;
})(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$ || (GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$ = {}));
var GetProjectsContentHint14$inboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$inboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var GetProjectsContentHint14$outboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv14Type$outboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var GetProjectsContentHint14$;
(function(GetProjectsContentHint14$2) {
  GetProjectsContentHint14$2.inboundSchema = GetProjectsContentHint14$inboundSchema;
  GetProjectsContentHint14$2.outboundSchema = GetProjectsContentHint14$outboundSchema;
})(GetProjectsContentHint14$ || (GetProjectsContentHint14$ = {}));
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type);
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$inboundSchema;
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$;
(function(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$2) {
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$2.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$inboundSchema;
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$2.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$outboundSchema;
})(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$ || (GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$ = {}));
var GetProjectsContentHint13$inboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$inboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint13$outboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv13Type$outboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint13$;
(function(GetProjectsContentHint13$2) {
  GetProjectsContentHint13$2.inboundSchema = GetProjectsContentHint13$inboundSchema;
  GetProjectsContentHint13$2.outboundSchema = GetProjectsContentHint13$outboundSchema;
})(GetProjectsContentHint13$ || (GetProjectsContentHint13$ = {}));
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type);
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$inboundSchema;
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$;
(function(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$2) {
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$2.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$inboundSchema;
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$2.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$outboundSchema;
})(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$ || (GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$ = {}));
var GetProjectsContentHint12$inboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$inboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint12$outboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv12Type$outboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint12$;
(function(GetProjectsContentHint12$2) {
  GetProjectsContentHint12$2.inboundSchema = GetProjectsContentHint12$inboundSchema;
  GetProjectsContentHint12$2.outboundSchema = GetProjectsContentHint12$outboundSchema;
})(GetProjectsContentHint12$ || (GetProjectsContentHint12$ = {}));
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type);
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$inboundSchema;
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$;
(function(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$2) {
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$2.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$inboundSchema;
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$2.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$outboundSchema;
})(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$ || (GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$ = {}));
var GetProjectsContentHint11$inboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$inboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint11$outboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv11Type$outboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint11$;
(function(GetProjectsContentHint11$2) {
  GetProjectsContentHint11$2.inboundSchema = GetProjectsContentHint11$inboundSchema;
  GetProjectsContentHint11$2.outboundSchema = GetProjectsContentHint11$outboundSchema;
})(GetProjectsContentHint11$ || (GetProjectsContentHint11$ = {}));
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type);
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$inboundSchema;
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$;
(function(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$2) {
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$2.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$inboundSchema;
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$2.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$outboundSchema;
})(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$ || (GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$ = {}));
var GetProjectsContentHint10$inboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$inboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint10$outboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv10Type$outboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint10$;
(function(GetProjectsContentHint10$2) {
  GetProjectsContentHint10$2.inboundSchema = GetProjectsContentHint10$inboundSchema;
  GetProjectsContentHint10$2.outboundSchema = GetProjectsContentHint10$outboundSchema;
})(GetProjectsContentHint10$ || (GetProjectsContentHint10$ = {}));
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type);
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$inboundSchema;
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$;
(function(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$2) {
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$2.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$inboundSchema;
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$2.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$outboundSchema;
})(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$ || (GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$ = {}));
var GetProjectsContentHint9$inboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$inboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint9$outboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnv9Type$outboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint9$;
(function(GetProjectsContentHint9$2) {
  GetProjectsContentHint9$2.inboundSchema = GetProjectsContentHint9$inboundSchema;
  GetProjectsContentHint9$2.outboundSchema = GetProjectsContentHint9$outboundSchema;
})(GetProjectsContentHint9$ || (GetProjectsContentHint9$ = {}));
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType);
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$inboundSchema;
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$;
(function(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$2) {
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$2.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$inboundSchema;
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$2.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$outboundSchema;
})(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$ || (GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$ = {}));
var GetProjectsContentHint8$inboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$inboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint8$outboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsEnvType$outboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint8$;
(function(GetProjectsContentHint8$2) {
  GetProjectsContentHint8$2.inboundSchema = GetProjectsContentHint8$inboundSchema;
  GetProjectsContentHint8$2.outboundSchema = GetProjectsContentHint8$outboundSchema;
})(GetProjectsContentHint8$ || (GetProjectsContentHint8$ = {}));
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType);
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema;
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$;
(function(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$2) {
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$2.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema;
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$2.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$outboundSchema;
})(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$ || (GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$ = {}));
var GetProjectsContentHint7$inboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint7$outboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyProjectsType$outboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint7$;
(function(GetProjectsContentHint7$2) {
  GetProjectsContentHint7$2.inboundSchema = GetProjectsContentHint7$inboundSchema;
  GetProjectsContentHint7$2.outboundSchema = GetProjectsContentHint7$outboundSchema;
})(GetProjectsContentHint7$ || (GetProjectsContentHint7$ = {}));
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType);
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
var GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$;
(function(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$2) {
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$2.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$2.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
})(GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$ || (GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$ = {}));
var GetProjectsContentHint6$inboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint6$outboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint6$;
(function(GetProjectsContentHint6$2) {
  GetProjectsContentHint6$2.inboundSchema = GetProjectsContentHint6$inboundSchema;
  GetProjectsContentHint6$2.outboundSchema = GetProjectsContentHint6$outboundSchema;
})(GetProjectsContentHint6$ || (GetProjectsContentHint6$ = {}));
var GetProjectsContentHintProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200ApplicationJSONType);
var GetProjectsContentHintProjectsResponse200ApplicationJSONType$outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
var GetProjectsContentHintProjectsResponse200ApplicationJSONType$;
(function(GetProjectsContentHintProjectsResponse200ApplicationJSONType$2) {
  GetProjectsContentHintProjectsResponse200ApplicationJSONType$2.inboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
  GetProjectsContentHintProjectsResponse200ApplicationJSONType$2.outboundSchema = GetProjectsContentHintProjectsResponse200ApplicationJSONType$outboundSchema;
})(GetProjectsContentHintProjectsResponse200ApplicationJSONType$ || (GetProjectsContentHintProjectsResponse200ApplicationJSONType$ = {}));
var GetProjectsContentHint5$inboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONType$inboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint5$outboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200ApplicationJSONType$outboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint5$;
(function(GetProjectsContentHint5$2) {
  GetProjectsContentHint5$2.inboundSchema = GetProjectsContentHint5$inboundSchema;
  GetProjectsContentHint5$2.outboundSchema = GetProjectsContentHint5$outboundSchema;
})(GetProjectsContentHint5$ || (GetProjectsContentHint5$ = {}));
var GetProjectsContentHintProjectsResponse200Type$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponse200Type);
var GetProjectsContentHintProjectsResponse200Type$outboundSchema = GetProjectsContentHintProjectsResponse200Type$inboundSchema;
var GetProjectsContentHintProjectsResponse200Type$;
(function(GetProjectsContentHintProjectsResponse200Type$2) {
  GetProjectsContentHintProjectsResponse200Type$2.inboundSchema = GetProjectsContentHintProjectsResponse200Type$inboundSchema;
  GetProjectsContentHintProjectsResponse200Type$2.outboundSchema = GetProjectsContentHintProjectsResponse200Type$outboundSchema;
})(GetProjectsContentHintProjectsResponse200Type$ || (GetProjectsContentHintProjectsResponse200Type$ = {}));
var GetProjectsContentHint4$inboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200Type$inboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint4$outboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponse200Type$outboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint4$;
(function(GetProjectsContentHint4$2) {
  GetProjectsContentHint4$2.inboundSchema = GetProjectsContentHint4$inboundSchema;
  GetProjectsContentHint4$2.outboundSchema = GetProjectsContentHint4$outboundSchema;
})(GetProjectsContentHint4$ || (GetProjectsContentHint4$ = {}));
var GetProjectsContentHintProjectsResponseType$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsResponseType);
var GetProjectsContentHintProjectsResponseType$outboundSchema = GetProjectsContentHintProjectsResponseType$inboundSchema;
var GetProjectsContentHintProjectsResponseType$;
(function(GetProjectsContentHintProjectsResponseType$2) {
  GetProjectsContentHintProjectsResponseType$2.inboundSchema = GetProjectsContentHintProjectsResponseType$inboundSchema;
  GetProjectsContentHintProjectsResponseType$2.outboundSchema = GetProjectsContentHintProjectsResponseType$outboundSchema;
})(GetProjectsContentHintProjectsResponseType$ || (GetProjectsContentHintProjectsResponseType$ = {}));
var GetProjectsContentHint3$inboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponseType$inboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint3$outboundSchema = objectType({
  type: GetProjectsContentHintProjectsResponseType$outboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint3$;
(function(GetProjectsContentHint3$2) {
  GetProjectsContentHint3$2.inboundSchema = GetProjectsContentHint3$inboundSchema;
  GetProjectsContentHint3$2.outboundSchema = GetProjectsContentHint3$outboundSchema;
})(GetProjectsContentHint3$ || (GetProjectsContentHint3$ = {}));
var GetProjectsContentHintProjectsType$inboundSchema = nativeEnumType(GetProjectsContentHintProjectsType);
var GetProjectsContentHintProjectsType$outboundSchema = GetProjectsContentHintProjectsType$inboundSchema;
var GetProjectsContentHintProjectsType$;
(function(GetProjectsContentHintProjectsType$2) {
  GetProjectsContentHintProjectsType$2.inboundSchema = GetProjectsContentHintProjectsType$inboundSchema;
  GetProjectsContentHintProjectsType$2.outboundSchema = GetProjectsContentHintProjectsType$outboundSchema;
})(GetProjectsContentHintProjectsType$ || (GetProjectsContentHintProjectsType$ = {}));
var GetProjectsContentHint2$inboundSchema = objectType({
  type: GetProjectsContentHintProjectsType$inboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint2$outboundSchema = objectType({
  type: GetProjectsContentHintProjectsType$outboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint2$;
(function(GetProjectsContentHint2$2) {
  GetProjectsContentHint2$2.inboundSchema = GetProjectsContentHint2$inboundSchema;
  GetProjectsContentHint2$2.outboundSchema = GetProjectsContentHint2$outboundSchema;
})(GetProjectsContentHint2$ || (GetProjectsContentHint2$ = {}));
var GetProjectsContentHintType$inboundSchema = nativeEnumType(GetProjectsContentHintType);
var GetProjectsContentHintType$outboundSchema = GetProjectsContentHintType$inboundSchema;
var GetProjectsContentHintType$;
(function(GetProjectsContentHintType$2) {
  GetProjectsContentHintType$2.inboundSchema = GetProjectsContentHintType$inboundSchema;
  GetProjectsContentHintType$2.outboundSchema = GetProjectsContentHintType$outboundSchema;
})(GetProjectsContentHintType$ || (GetProjectsContentHintType$ = {}));
var GetProjectsContentHint1$inboundSchema = objectType({
  type: GetProjectsContentHintType$inboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint1$outboundSchema = objectType({
  type: GetProjectsContentHintType$outboundSchema,
  storeId: stringType()
});
var GetProjectsContentHint1$;
(function(GetProjectsContentHint1$2) {
  GetProjectsContentHint1$2.inboundSchema = GetProjectsContentHint1$inboundSchema;
  GetProjectsContentHint1$2.outboundSchema = GetProjectsContentHint1$outboundSchema;
})(GetProjectsContentHint1$ || (GetProjectsContentHint1$ = {}));
var GetProjectsContentHint$inboundSchema = unionType([
  lazyType(() => GetProjectsContentHint1$inboundSchema),
  lazyType(() => GetProjectsContentHint2$inboundSchema),
  lazyType(() => GetProjectsContentHint3$inboundSchema),
  lazyType(() => GetProjectsContentHint4$inboundSchema),
  lazyType(() => GetProjectsContentHint5$inboundSchema),
  lazyType(() => GetProjectsContentHint6$inboundSchema),
  lazyType(() => GetProjectsContentHint7$inboundSchema),
  lazyType(() => GetProjectsContentHint8$inboundSchema),
  lazyType(() => GetProjectsContentHint9$inboundSchema),
  lazyType(() => GetProjectsContentHint10$inboundSchema),
  lazyType(() => GetProjectsContentHint11$inboundSchema),
  lazyType(() => GetProjectsContentHint12$inboundSchema),
  lazyType(() => GetProjectsContentHint13$inboundSchema),
  lazyType(() => GetProjectsContentHint15$inboundSchema),
  lazyType(() => GetProjectsContentHint14$inboundSchema)
]);
var GetProjectsContentHint$outboundSchema = unionType([
  lazyType(() => GetProjectsContentHint1$outboundSchema),
  lazyType(() => GetProjectsContentHint2$outboundSchema),
  lazyType(() => GetProjectsContentHint3$outboundSchema),
  lazyType(() => GetProjectsContentHint4$outboundSchema),
  lazyType(() => GetProjectsContentHint5$outboundSchema),
  lazyType(() => GetProjectsContentHint6$outboundSchema),
  lazyType(() => GetProjectsContentHint7$outboundSchema),
  lazyType(() => GetProjectsContentHint8$outboundSchema),
  lazyType(() => GetProjectsContentHint9$outboundSchema),
  lazyType(() => GetProjectsContentHint10$outboundSchema),
  lazyType(() => GetProjectsContentHint11$outboundSchema),
  lazyType(() => GetProjectsContentHint12$outboundSchema),
  lazyType(() => GetProjectsContentHint13$outboundSchema),
  lazyType(() => GetProjectsContentHint15$outboundSchema),
  lazyType(() => GetProjectsContentHint14$outboundSchema)
]);
var GetProjectsContentHint$;
(function(GetProjectsContentHint$2) {
  GetProjectsContentHint$2.inboundSchema = GetProjectsContentHint$inboundSchema;
  GetProjectsContentHint$2.outboundSchema = GetProjectsContentHint$outboundSchema;
})(GetProjectsContentHint$ || (GetProjectsContentHint$ = {}));
var GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema = nativeEnumType(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType);
var GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema;
var GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$;
(function(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$2) {
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$2.inboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema;
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$2.outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$outboundSchema;
})(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$ || (GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$ = {}));
var GetProjectsInternalContentHint$inboundSchema = objectType({
  type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$inboundSchema,
  encryptedValue: stringType()
});
var GetProjectsInternalContentHint$outboundSchema = objectType({
  type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsType$outboundSchema,
  encryptedValue: stringType()
});
var GetProjectsInternalContentHint$;
(function(GetProjectsInternalContentHint$2) {
  GetProjectsInternalContentHint$2.inboundSchema = GetProjectsInternalContentHint$inboundSchema;
  GetProjectsInternalContentHint$2.outboundSchema = GetProjectsInternalContentHint$outboundSchema;
})(GetProjectsInternalContentHint$ || (GetProjectsInternalContentHint$ = {}));
var GetProjectsEnv$inboundSchema = objectType({
  target: unionType([
    arrayType(GetProjectsTarget1$inboundSchema),
    GetProjectsTarget2$inboundSchema
  ]).optional(),
  type: GetProjectsType$inboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => GetProjectsContentHint1$inboundSchema),
    lazyType(() => GetProjectsContentHint2$inboundSchema),
    lazyType(() => GetProjectsContentHint3$inboundSchema),
    lazyType(() => GetProjectsContentHint4$inboundSchema),
    lazyType(() => GetProjectsContentHint5$inboundSchema),
    lazyType(() => GetProjectsContentHint6$inboundSchema),
    lazyType(() => GetProjectsContentHint7$inboundSchema),
    lazyType(() => GetProjectsContentHint8$inboundSchema),
    lazyType(() => GetProjectsContentHint9$inboundSchema),
    lazyType(() => GetProjectsContentHint10$inboundSchema),
    lazyType(() => GetProjectsContentHint11$inboundSchema),
    lazyType(() => GetProjectsContentHint12$inboundSchema),
    lazyType(() => GetProjectsContentHint13$inboundSchema),
    lazyType(() => GetProjectsContentHint15$inboundSchema),
    lazyType(() => GetProjectsContentHint14$inboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => GetProjectsInternalContentHint$inboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var GetProjectsEnv$outboundSchema = objectType({
  target: unionType([
    arrayType(GetProjectsTarget1$outboundSchema),
    GetProjectsTarget2$outboundSchema
  ]).optional(),
  type: GetProjectsType$outboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => GetProjectsContentHint1$outboundSchema),
    lazyType(() => GetProjectsContentHint2$outboundSchema),
    lazyType(() => GetProjectsContentHint3$outboundSchema),
    lazyType(() => GetProjectsContentHint4$outboundSchema),
    lazyType(() => GetProjectsContentHint5$outboundSchema),
    lazyType(() => GetProjectsContentHint6$outboundSchema),
    lazyType(() => GetProjectsContentHint7$outboundSchema),
    lazyType(() => GetProjectsContentHint8$outboundSchema),
    lazyType(() => GetProjectsContentHint9$outboundSchema),
    lazyType(() => GetProjectsContentHint10$outboundSchema),
    lazyType(() => GetProjectsContentHint11$outboundSchema),
    lazyType(() => GetProjectsContentHint12$outboundSchema),
    lazyType(() => GetProjectsContentHint13$outboundSchema),
    lazyType(() => GetProjectsContentHint15$outboundSchema),
    lazyType(() => GetProjectsContentHint14$outboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => GetProjectsInternalContentHint$outboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var GetProjectsEnv$;
(function(GetProjectsEnv$2) {
  GetProjectsEnv$2.inboundSchema = GetProjectsEnv$inboundSchema;
  GetProjectsEnv$2.outboundSchema = GetProjectsEnv$outboundSchema;
})(GetProjectsEnv$ || (GetProjectsEnv$ = {}));
var GetProjectsCustomEnvironments$inboundSchema = objectType({});
var GetProjectsCustomEnvironments$outboundSchema = objectType({});
var GetProjectsCustomEnvironments$;
(function(GetProjectsCustomEnvironments$2) {
  GetProjectsCustomEnvironments$2.inboundSchema = GetProjectsCustomEnvironments$inboundSchema;
  GetProjectsCustomEnvironments$2.outboundSchema = GetProjectsCustomEnvironments$outboundSchema;
})(GetProjectsCustomEnvironments$ || (GetProjectsCustomEnvironments$ = {}));
var GetProjectsFramework$inboundSchema = nativeEnumType(GetProjectsFramework);
var GetProjectsFramework$outboundSchema = GetProjectsFramework$inboundSchema;
var GetProjectsFramework$;
(function(GetProjectsFramework$2) {
  GetProjectsFramework$2.inboundSchema = GetProjectsFramework$inboundSchema;
  GetProjectsFramework$2.outboundSchema = GetProjectsFramework$outboundSchema;
})(GetProjectsFramework$ || (GetProjectsFramework$ = {}));
var GetProjectsIpBuckets$inboundSchema = objectType({
  bucket: stringType(),
  supportUntil: numberType().optional()
});
var GetProjectsIpBuckets$outboundSchema = objectType({
  bucket: stringType(),
  supportUntil: numberType().optional()
});
var GetProjectsIpBuckets$;
(function(GetProjectsIpBuckets$2) {
  GetProjectsIpBuckets$2.inboundSchema = GetProjectsIpBuckets$inboundSchema;
  GetProjectsIpBuckets$2.outboundSchema = GetProjectsIpBuckets$outboundSchema;
})(GetProjectsIpBuckets$ || (GetProjectsIpBuckets$ = {}));
var GetProjectsAliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
var GetProjectsAliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
var GetProjectsAliasAssigned$;
(function(GetProjectsAliasAssigned$2) {
  GetProjectsAliasAssigned$2.inboundSchema = GetProjectsAliasAssigned$inboundSchema;
  GetProjectsAliasAssigned$2.outboundSchema = GetProjectsAliasAssigned$outboundSchema;
})(GetProjectsAliasAssigned$ || (GetProjectsAliasAssigned$ = {}));
var GetProjectsAliasError$inboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var GetProjectsAliasError$outboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var GetProjectsAliasError$;
(function(GetProjectsAliasError$2) {
  GetProjectsAliasError$2.inboundSchema = GetProjectsAliasError$inboundSchema;
  GetProjectsAliasError$2.outboundSchema = GetProjectsAliasError$outboundSchema;
})(GetProjectsAliasError$ || (GetProjectsAliasError$ = {}));
var GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(GetProjectsProjectsResponse200ApplicationJSONResponseBodyType);
var GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
var GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$;
(function(GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$2) {
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$2.inboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$2.outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
})(GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$ || (GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$ = {}));
var GetProjectsBranchMatcher$inboundSchema = objectType({
  type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
  pattern: stringType()
});
var GetProjectsBranchMatcher$outboundSchema = objectType({
  type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
  pattern: stringType()
});
var GetProjectsBranchMatcher$;
(function(GetProjectsBranchMatcher$2) {
  GetProjectsBranchMatcher$2.inboundSchema = GetProjectsBranchMatcher$inboundSchema;
  GetProjectsBranchMatcher$2.outboundSchema = GetProjectsBranchMatcher$outboundSchema;
})(GetProjectsBranchMatcher$ || (GetProjectsBranchMatcher$ = {}));
var GetProjectsBuilds$inboundSchema = objectType({
  use: stringType(),
  src: stringType().optional(),
  dest: stringType().optional()
});
var GetProjectsBuilds$outboundSchema = objectType({
  use: stringType(),
  src: stringType().optional(),
  dest: stringType().optional()
});
var GetProjectsBuilds$;
(function(GetProjectsBuilds$2) {
  GetProjectsBuilds$2.inboundSchema = GetProjectsBuilds$inboundSchema;
  GetProjectsBuilds$2.outboundSchema = GetProjectsBuilds$outboundSchema;
})(GetProjectsBuilds$ || (GetProjectsBuilds$ = {}));
var GetProjectsChecksConclusion$inboundSchema = nativeEnumType(GetProjectsChecksConclusion);
var GetProjectsChecksConclusion$outboundSchema = GetProjectsChecksConclusion$inboundSchema;
var GetProjectsChecksConclusion$;
(function(GetProjectsChecksConclusion$2) {
  GetProjectsChecksConclusion$2.inboundSchema = GetProjectsChecksConclusion$inboundSchema;
  GetProjectsChecksConclusion$2.outboundSchema = GetProjectsChecksConclusion$outboundSchema;
})(GetProjectsChecksConclusion$ || (GetProjectsChecksConclusion$ = {}));
var GetProjectsChecksState$inboundSchema = nativeEnumType(GetProjectsChecksState);
var GetProjectsChecksState$outboundSchema = GetProjectsChecksState$inboundSchema;
var GetProjectsChecksState$;
(function(GetProjectsChecksState$2) {
  GetProjectsChecksState$2.inboundSchema = GetProjectsChecksState$inboundSchema;
  GetProjectsChecksState$2.outboundSchema = GetProjectsChecksState$outboundSchema;
})(GetProjectsChecksState$ || (GetProjectsChecksState$ = {}));
var GetProjectsCreator$inboundSchema = objectType({
  email: stringType(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional(),
  uid: stringType(),
  username: stringType()
});
var GetProjectsCreator$outboundSchema = objectType({
  email: stringType(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional(),
  uid: stringType(),
  username: stringType()
});
var GetProjectsCreator$;
(function(GetProjectsCreator$2) {
  GetProjectsCreator$2.inboundSchema = GetProjectsCreator$inboundSchema;
  GetProjectsCreator$2.outboundSchema = GetProjectsCreator$outboundSchema;
})(GetProjectsCreator$ || (GetProjectsCreator$ = {}));
var GetProjectsOidcTokenClaims$inboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  owner_id: stringType(),
  project: stringType(),
  project_id: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    owner_id: "ownerId",
    project_id: "projectId"
  });
});
var GetProjectsOidcTokenClaims$outboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  ownerId: stringType(),
  project: stringType(),
  projectId: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    ownerId: "owner_id",
    projectId: "project_id"
  });
});
var GetProjectsOidcTokenClaims$;
(function(GetProjectsOidcTokenClaims$2) {
  GetProjectsOidcTokenClaims$2.inboundSchema = GetProjectsOidcTokenClaims$inboundSchema;
  GetProjectsOidcTokenClaims$2.outboundSchema = GetProjectsOidcTokenClaims$outboundSchema;
})(GetProjectsOidcTokenClaims$ || (GetProjectsOidcTokenClaims$ = {}));
var GetProjectsPlan$inboundSchema = nativeEnumType(GetProjectsPlan);
var GetProjectsPlan$outboundSchema = GetProjectsPlan$inboundSchema;
var GetProjectsPlan$;
(function(GetProjectsPlan$2) {
  GetProjectsPlan$2.inboundSchema = GetProjectsPlan$inboundSchema;
  GetProjectsPlan$2.outboundSchema = GetProjectsPlan$outboundSchema;
})(GetProjectsPlan$ || (GetProjectsPlan$ = {}));
var GetProjectsReadyState$inboundSchema = nativeEnumType(GetProjectsReadyState);
var GetProjectsReadyState$outboundSchema = GetProjectsReadyState$inboundSchema;
var GetProjectsReadyState$;
(function(GetProjectsReadyState$2) {
  GetProjectsReadyState$2.inboundSchema = GetProjectsReadyState$inboundSchema;
  GetProjectsReadyState$2.outboundSchema = GetProjectsReadyState$outboundSchema;
})(GetProjectsReadyState$ || (GetProjectsReadyState$ = {}));
var GetProjectsReadySubstate$inboundSchema = nativeEnumType(GetProjectsReadySubstate);
var GetProjectsReadySubstate$outboundSchema = GetProjectsReadySubstate$inboundSchema;
var GetProjectsReadySubstate$;
(function(GetProjectsReadySubstate$2) {
  GetProjectsReadySubstate$2.inboundSchema = GetProjectsReadySubstate$inboundSchema;
  GetProjectsReadySubstate$2.outboundSchema = GetProjectsReadySubstate$outboundSchema;
})(GetProjectsReadySubstate$ || (GetProjectsReadySubstate$ = {}));
var GetProjectsProjectsType$inboundSchema = nativeEnumType(GetProjectsProjectsType);
var GetProjectsProjectsType$outboundSchema = GetProjectsProjectsType$inboundSchema;
var GetProjectsProjectsType$;
(function(GetProjectsProjectsType$2) {
  GetProjectsProjectsType$2.inboundSchema = GetProjectsProjectsType$inboundSchema;
  GetProjectsProjectsType$2.outboundSchema = GetProjectsProjectsType$outboundSchema;
})(GetProjectsProjectsType$ || (GetProjectsProjectsType$ = {}));
var GetProjectsLatestDeployments$inboundSchema = objectType({
  id: stringType(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  aliasError: nullableType(lazyType(() => GetProjectsAliasError$inboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  branchMatcher: lazyType(() => GetProjectsBranchMatcher$inboundSchema).optional(),
  buildingAt: numberType().optional(),
  builds: arrayType(lazyType(() => GetProjectsBuilds$inboundSchema)).optional(),
  checksConclusion: GetProjectsChecksConclusion$inboundSchema.optional(),
  checksState: GetProjectsChecksState$inboundSchema.optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdAt: numberType(),
  createdIn: stringType(),
  creator: nullableType(lazyType(() => GetProjectsCreator$inboundSchema)),
  deletedAt: numberType().optional(),
  deploymentHostname: stringType(),
  forced: booleanType().optional(),
  name: stringType(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  oidcTokenClaims: lazyType(() => GetProjectsOidcTokenClaims$inboundSchema).optional(),
  plan: GetProjectsPlan$inboundSchema,
  previewCommentsEnabled: booleanType().optional(),
  private: booleanType(),
  readyAt: numberType().optional(),
  readyState: GetProjectsReadyState$inboundSchema,
  readySubstate: GetProjectsReadySubstate$inboundSchema.optional(),
  requestedAt: numberType().optional(),
  target: nullableType(stringType()).optional(),
  teamId: nullableType(stringType()).optional(),
  type: GetProjectsProjectsType$inboundSchema,
  url: stringType(),
  userId: stringType(),
  withCache: booleanType().optional()
});
var GetProjectsLatestDeployments$outboundSchema = objectType({
  id: stringType(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  aliasError: nullableType(lazyType(() => GetProjectsAliasError$outboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  branchMatcher: lazyType(() => GetProjectsBranchMatcher$outboundSchema).optional(),
  buildingAt: numberType().optional(),
  builds: arrayType(lazyType(() => GetProjectsBuilds$outboundSchema)).optional(),
  checksConclusion: GetProjectsChecksConclusion$outboundSchema.optional(),
  checksState: GetProjectsChecksState$outboundSchema.optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdAt: numberType(),
  createdIn: stringType(),
  creator: nullableType(lazyType(() => GetProjectsCreator$outboundSchema)),
  deletedAt: numberType().optional(),
  deploymentHostname: stringType(),
  forced: booleanType().optional(),
  name: stringType(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  oidcTokenClaims: lazyType(() => GetProjectsOidcTokenClaims$outboundSchema).optional(),
  plan: GetProjectsPlan$outboundSchema,
  previewCommentsEnabled: booleanType().optional(),
  private: booleanType(),
  readyAt: numberType().optional(),
  readyState: GetProjectsReadyState$outboundSchema,
  readySubstate: GetProjectsReadySubstate$outboundSchema.optional(),
  requestedAt: numberType().optional(),
  target: nullableType(stringType()).optional(),
  teamId: nullableType(stringType()).optional(),
  type: GetProjectsProjectsType$outboundSchema,
  url: stringType(),
  userId: stringType(),
  withCache: booleanType().optional()
});
var GetProjectsLatestDeployments$;
(function(GetProjectsLatestDeployments$2) {
  GetProjectsLatestDeployments$2.inboundSchema = GetProjectsLatestDeployments$inboundSchema;
  GetProjectsLatestDeployments$2.outboundSchema = GetProjectsLatestDeployments$outboundSchema;
})(GetProjectsLatestDeployments$ || (GetProjectsLatestDeployments$ = {}));
var GetProjectsLinkProjectsResponseType$inboundSchema = nativeEnumType(GetProjectsLinkProjectsResponseType);
var GetProjectsLinkProjectsResponseType$outboundSchema = GetProjectsLinkProjectsResponseType$inboundSchema;
var GetProjectsLinkProjectsResponseType$;
(function(GetProjectsLinkProjectsResponseType$2) {
  GetProjectsLinkProjectsResponseType$2.inboundSchema = GetProjectsLinkProjectsResponseType$inboundSchema;
  GetProjectsLinkProjectsResponseType$2.outboundSchema = GetProjectsLinkProjectsResponseType$outboundSchema;
})(GetProjectsLinkProjectsResponseType$ || (GetProjectsLinkProjectsResponseType$ = {}));
var GetProjectsLinkProjectsResponseDeployHooks$inboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var GetProjectsLinkProjectsResponseDeployHooks$outboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var GetProjectsLinkProjectsResponseDeployHooks$;
(function(GetProjectsLinkProjectsResponseDeployHooks$2) {
  GetProjectsLinkProjectsResponseDeployHooks$2.inboundSchema = GetProjectsLinkProjectsResponseDeployHooks$inboundSchema;
  GetProjectsLinkProjectsResponseDeployHooks$2.outboundSchema = GetProjectsLinkProjectsResponseDeployHooks$outboundSchema;
})(GetProjectsLinkProjectsResponseDeployHooks$ || (GetProjectsLinkProjectsResponseDeployHooks$ = {}));
var GetProjectsLink3$inboundSchema = objectType({
  name: stringType().optional(),
  slug: stringType().optional(),
  owner: stringType().optional(),
  type: GetProjectsLinkProjectsResponseType$inboundSchema.optional(),
  uuid: stringType().optional(),
  workspaceUuid: stringType().optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => GetProjectsLinkProjectsResponseDeployHooks$inboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var GetProjectsLink3$outboundSchema = objectType({
  name: stringType().optional(),
  slug: stringType().optional(),
  owner: stringType().optional(),
  type: GetProjectsLinkProjectsResponseType$outboundSchema.optional(),
  uuid: stringType().optional(),
  workspaceUuid: stringType().optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => GetProjectsLinkProjectsResponseDeployHooks$outboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var GetProjectsLink3$;
(function(GetProjectsLink3$2) {
  GetProjectsLink3$2.inboundSchema = GetProjectsLink3$inboundSchema;
  GetProjectsLink3$2.outboundSchema = GetProjectsLink3$outboundSchema;
})(GetProjectsLink3$ || (GetProjectsLink3$ = {}));
var GetProjectsLinkProjectsType$inboundSchema = nativeEnumType(GetProjectsLinkProjectsType);
var GetProjectsLinkProjectsType$outboundSchema = GetProjectsLinkProjectsType$inboundSchema;
var GetProjectsLinkProjectsType$;
(function(GetProjectsLinkProjectsType$2) {
  GetProjectsLinkProjectsType$2.inboundSchema = GetProjectsLinkProjectsType$inboundSchema;
  GetProjectsLinkProjectsType$2.outboundSchema = GetProjectsLinkProjectsType$outboundSchema;
})(GetProjectsLinkProjectsType$ || (GetProjectsLinkProjectsType$ = {}));
var GetProjectsLinkProjectsDeployHooks$inboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var GetProjectsLinkProjectsDeployHooks$outboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var GetProjectsLinkProjectsDeployHooks$;
(function(GetProjectsLinkProjectsDeployHooks$2) {
  GetProjectsLinkProjectsDeployHooks$2.inboundSchema = GetProjectsLinkProjectsDeployHooks$inboundSchema;
  GetProjectsLinkProjectsDeployHooks$2.outboundSchema = GetProjectsLinkProjectsDeployHooks$outboundSchema;
})(GetProjectsLinkProjectsDeployHooks$ || (GetProjectsLinkProjectsDeployHooks$ = {}));
var GetProjectsLink2$inboundSchema = objectType({
  projectId: stringType().optional(),
  projectName: stringType().optional(),
  projectNameWithNamespace: stringType().optional(),
  projectNamespace: stringType().optional(),
  projectOwnerId: numberType().optional(),
  projectUrl: stringType().optional(),
  type: GetProjectsLinkProjectsType$inboundSchema.optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => GetProjectsLinkProjectsDeployHooks$inboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var GetProjectsLink2$outboundSchema = objectType({
  projectId: stringType().optional(),
  projectName: stringType().optional(),
  projectNameWithNamespace: stringType().optional(),
  projectNamespace: stringType().optional(),
  projectOwnerId: numberType().optional(),
  projectUrl: stringType().optional(),
  type: GetProjectsLinkProjectsType$outboundSchema.optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => GetProjectsLinkProjectsDeployHooks$outboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var GetProjectsLink2$;
(function(GetProjectsLink2$2) {
  GetProjectsLink2$2.inboundSchema = GetProjectsLink2$inboundSchema;
  GetProjectsLink2$2.outboundSchema = GetProjectsLink2$outboundSchema;
})(GetProjectsLink2$ || (GetProjectsLink2$ = {}));
var GetProjectsLinkType$inboundSchema = nativeEnumType(GetProjectsLinkType);
var GetProjectsLinkType$outboundSchema = GetProjectsLinkType$inboundSchema;
var GetProjectsLinkType$;
(function(GetProjectsLinkType$2) {
  GetProjectsLinkType$2.inboundSchema = GetProjectsLinkType$inboundSchema;
  GetProjectsLinkType$2.outboundSchema = GetProjectsLinkType$outboundSchema;
})(GetProjectsLinkType$ || (GetProjectsLinkType$ = {}));
var GetProjectsLinkDeployHooks$inboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var GetProjectsLinkDeployHooks$outboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var GetProjectsLinkDeployHooks$;
(function(GetProjectsLinkDeployHooks$2) {
  GetProjectsLinkDeployHooks$2.inboundSchema = GetProjectsLinkDeployHooks$inboundSchema;
  GetProjectsLinkDeployHooks$2.outboundSchema = GetProjectsLinkDeployHooks$outboundSchema;
})(GetProjectsLinkDeployHooks$ || (GetProjectsLinkDeployHooks$ = {}));
var GetProjectsLink1$inboundSchema = objectType({
  org: stringType().optional(),
  repoOwnerId: numberType().optional(),
  repo: stringType().optional(),
  repoId: numberType().optional(),
  type: GetProjectsLinkType$inboundSchema.optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => GetProjectsLinkDeployHooks$inboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var GetProjectsLink1$outboundSchema = objectType({
  org: stringType().optional(),
  repoOwnerId: numberType().optional(),
  repo: stringType().optional(),
  repoId: numberType().optional(),
  type: GetProjectsLinkType$outboundSchema.optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => GetProjectsLinkDeployHooks$outboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var GetProjectsLink1$;
(function(GetProjectsLink1$2) {
  GetProjectsLink1$2.inboundSchema = GetProjectsLink1$inboundSchema;
  GetProjectsLink1$2.outboundSchema = GetProjectsLink1$outboundSchema;
})(GetProjectsLink1$ || (GetProjectsLink1$ = {}));
var GetProjectsLink$inboundSchema = unionType([
  lazyType(() => GetProjectsLink1$inboundSchema),
  lazyType(() => GetProjectsLink3$inboundSchema),
  lazyType(() => GetProjectsLink2$inboundSchema)
]);
var GetProjectsLink$outboundSchema = unionType([
  lazyType(() => GetProjectsLink1$outboundSchema),
  lazyType(() => GetProjectsLink3$outboundSchema),
  lazyType(() => GetProjectsLink2$outboundSchema)
]);
var GetProjectsLink$;
(function(GetProjectsLink$2) {
  GetProjectsLink$2.inboundSchema = GetProjectsLink$inboundSchema;
  GetProjectsLink$2.outboundSchema = GetProjectsLink$outboundSchema;
})(GetProjectsLink$ || (GetProjectsLink$ = {}));
var GetProjectsMicrofrontends$inboundSchema = objectType({
  updatedAt: numberType(),
  groupIds: arrayType(stringType()),
  enabled: booleanType(),
  isDefaultApp: booleanType().optional(),
  defaultRoute: stringType().optional()
});
var GetProjectsMicrofrontends$outboundSchema = objectType({
  updatedAt: numberType(),
  groupIds: arrayType(stringType()),
  enabled: booleanType(),
  isDefaultApp: booleanType().optional(),
  defaultRoute: stringType().optional()
});
var GetProjectsMicrofrontends$;
(function(GetProjectsMicrofrontends$2) {
  GetProjectsMicrofrontends$2.inboundSchema = GetProjectsMicrofrontends$inboundSchema;
  GetProjectsMicrofrontends$2.outboundSchema = GetProjectsMicrofrontends$outboundSchema;
})(GetProjectsMicrofrontends$ || (GetProjectsMicrofrontends$ = {}));
var GetProjectsNodeVersion$inboundSchema = nativeEnumType(GetProjectsNodeVersion);
var GetProjectsNodeVersion$outboundSchema = GetProjectsNodeVersion$inboundSchema;
var GetProjectsNodeVersion$;
(function(GetProjectsNodeVersion$2) {
  GetProjectsNodeVersion$2.inboundSchema = GetProjectsNodeVersion$inboundSchema;
  GetProjectsNodeVersion$2.outboundSchema = GetProjectsNodeVersion$outboundSchema;
})(GetProjectsNodeVersion$ || (GetProjectsNodeVersion$ = {}));
var GetProjectsPaths$inboundSchema = objectType({
  value: stringType()
});
var GetProjectsPaths$outboundSchema = objectType({
  value: stringType()
});
var GetProjectsPaths$;
(function(GetProjectsPaths$2) {
  GetProjectsPaths$2.inboundSchema = GetProjectsPaths$inboundSchema;
  GetProjectsPaths$2.outboundSchema = GetProjectsPaths$outboundSchema;
})(GetProjectsPaths$ || (GetProjectsPaths$ = {}));
var GetProjectsOptionsAllowlist$inboundSchema = objectType({
  paths: arrayType(lazyType(() => GetProjectsPaths$inboundSchema))
});
var GetProjectsOptionsAllowlist$outboundSchema = objectType({
  paths: arrayType(lazyType(() => GetProjectsPaths$outboundSchema))
});
var GetProjectsOptionsAllowlist$;
(function(GetProjectsOptionsAllowlist$2) {
  GetProjectsOptionsAllowlist$2.inboundSchema = GetProjectsOptionsAllowlist$inboundSchema;
  GetProjectsOptionsAllowlist$2.outboundSchema = GetProjectsOptionsAllowlist$outboundSchema;
})(GetProjectsOptionsAllowlist$ || (GetProjectsOptionsAllowlist$ = {}));
var GetProjectsPasswordProtection$inboundSchema = objectType({});
var GetProjectsPasswordProtection$outboundSchema = objectType({});
var GetProjectsPasswordProtection$;
(function(GetProjectsPasswordProtection$2) {
  GetProjectsPasswordProtection$2.inboundSchema = GetProjectsPasswordProtection$inboundSchema;
  GetProjectsPasswordProtection$2.outboundSchema = GetProjectsPasswordProtection$outboundSchema;
})(GetProjectsPasswordProtection$ || (GetProjectsPasswordProtection$ = {}));
var GetProjectsFunctionDefaultMemoryType$inboundSchema = nativeEnumType(GetProjectsFunctionDefaultMemoryType);
var GetProjectsFunctionDefaultMemoryType$outboundSchema = GetProjectsFunctionDefaultMemoryType$inboundSchema;
var GetProjectsFunctionDefaultMemoryType$;
(function(GetProjectsFunctionDefaultMemoryType$2) {
  GetProjectsFunctionDefaultMemoryType$2.inboundSchema = GetProjectsFunctionDefaultMemoryType$inboundSchema;
  GetProjectsFunctionDefaultMemoryType$2.outboundSchema = GetProjectsFunctionDefaultMemoryType$outboundSchema;
})(GetProjectsFunctionDefaultMemoryType$ || (GetProjectsFunctionDefaultMemoryType$ = {}));
var GetProjectsResourceConfig$inboundSchema = objectType({
  fluid: booleanType().optional(),
  functionDefaultRegion: nullableType(stringType()).optional(),
  functionDefaultTimeout: numberType().optional(),
  functionDefaultMemoryType: GetProjectsFunctionDefaultMemoryType$inboundSchema.optional(),
  functionZeroConfigFailover: booleanType().optional(),
  allowServerlessConcurrency: booleanType().optional(),
  elasticConcurrencyEnabled: booleanType().optional()
});
var GetProjectsResourceConfig$outboundSchema = objectType({
  fluid: booleanType().optional(),
  functionDefaultRegion: nullableType(stringType()).optional(),
  functionDefaultTimeout: numberType().optional(),
  functionDefaultMemoryType: GetProjectsFunctionDefaultMemoryType$outboundSchema.optional(),
  functionZeroConfigFailover: booleanType().optional(),
  allowServerlessConcurrency: booleanType().optional(),
  elasticConcurrencyEnabled: booleanType().optional()
});
var GetProjectsResourceConfig$;
(function(GetProjectsResourceConfig$2) {
  GetProjectsResourceConfig$2.inboundSchema = GetProjectsResourceConfig$inboundSchema;
  GetProjectsResourceConfig$2.outboundSchema = GetProjectsResourceConfig$outboundSchema;
})(GetProjectsResourceConfig$ || (GetProjectsResourceConfig$ = {}));
var GetProjectsDeploymentType$inboundSchema = nativeEnumType(GetProjectsDeploymentType);
var GetProjectsDeploymentType$outboundSchema = GetProjectsDeploymentType$inboundSchema;
var GetProjectsDeploymentType$;
(function(GetProjectsDeploymentType$2) {
  GetProjectsDeploymentType$2.inboundSchema = GetProjectsDeploymentType$inboundSchema;
  GetProjectsDeploymentType$2.outboundSchema = GetProjectsDeploymentType$outboundSchema;
})(GetProjectsDeploymentType$ || (GetProjectsDeploymentType$ = {}));
var GetProjectsSsoProtection$inboundSchema = objectType({
  deploymentType: GetProjectsDeploymentType$inboundSchema
});
var GetProjectsSsoProtection$outboundSchema = objectType({
  deploymentType: GetProjectsDeploymentType$outboundSchema
});
var GetProjectsSsoProtection$;
(function(GetProjectsSsoProtection$2) {
  GetProjectsSsoProtection$2.inboundSchema = GetProjectsSsoProtection$inboundSchema;
  GetProjectsSsoProtection$2.outboundSchema = GetProjectsSsoProtection$outboundSchema;
})(GetProjectsSsoProtection$ || (GetProjectsSsoProtection$ = {}));
var GetProjectsProjectsAliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
var GetProjectsProjectsAliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
var GetProjectsProjectsAliasAssigned$;
(function(GetProjectsProjectsAliasAssigned$2) {
  GetProjectsProjectsAliasAssigned$2.inboundSchema = GetProjectsProjectsAliasAssigned$inboundSchema;
  GetProjectsProjectsAliasAssigned$2.outboundSchema = GetProjectsProjectsAliasAssigned$outboundSchema;
})(GetProjectsProjectsAliasAssigned$ || (GetProjectsProjectsAliasAssigned$ = {}));
var GetProjectsProjectsAliasError$inboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var GetProjectsProjectsAliasError$outboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var GetProjectsProjectsAliasError$;
(function(GetProjectsProjectsAliasError$2) {
  GetProjectsProjectsAliasError$2.inboundSchema = GetProjectsProjectsAliasError$inboundSchema;
  GetProjectsProjectsAliasError$2.outboundSchema = GetProjectsProjectsAliasError$outboundSchema;
})(GetProjectsProjectsAliasError$ || (GetProjectsProjectsAliasError$ = {}));
var GetProjectsProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(GetProjectsProjectsResponse200ApplicationJSONType);
var GetProjectsProjectsResponse200ApplicationJSONType$outboundSchema = GetProjectsProjectsResponse200ApplicationJSONType$inboundSchema;
var GetProjectsProjectsResponse200ApplicationJSONType$;
(function(GetProjectsProjectsResponse200ApplicationJSONType$2) {
  GetProjectsProjectsResponse200ApplicationJSONType$2.inboundSchema = GetProjectsProjectsResponse200ApplicationJSONType$inboundSchema;
  GetProjectsProjectsResponse200ApplicationJSONType$2.outboundSchema = GetProjectsProjectsResponse200ApplicationJSONType$outboundSchema;
})(GetProjectsProjectsResponse200ApplicationJSONType$ || (GetProjectsProjectsResponse200ApplicationJSONType$ = {}));
var GetProjectsProjectsBranchMatcher$inboundSchema = objectType({
  type: GetProjectsProjectsResponse200ApplicationJSONType$inboundSchema,
  pattern: stringType()
});
var GetProjectsProjectsBranchMatcher$outboundSchema = objectType({
  type: GetProjectsProjectsResponse200ApplicationJSONType$outboundSchema,
  pattern: stringType()
});
var GetProjectsProjectsBranchMatcher$;
(function(GetProjectsProjectsBranchMatcher$2) {
  GetProjectsProjectsBranchMatcher$2.inboundSchema = GetProjectsProjectsBranchMatcher$inboundSchema;
  GetProjectsProjectsBranchMatcher$2.outboundSchema = GetProjectsProjectsBranchMatcher$outboundSchema;
})(GetProjectsProjectsBranchMatcher$ || (GetProjectsProjectsBranchMatcher$ = {}));
var GetProjectsProjectsBuilds$inboundSchema = objectType({
  use: stringType(),
  src: stringType().optional(),
  dest: stringType().optional()
});
var GetProjectsProjectsBuilds$outboundSchema = objectType({
  use: stringType(),
  src: stringType().optional(),
  dest: stringType().optional()
});
var GetProjectsProjectsBuilds$;
(function(GetProjectsProjectsBuilds$2) {
  GetProjectsProjectsBuilds$2.inboundSchema = GetProjectsProjectsBuilds$inboundSchema;
  GetProjectsProjectsBuilds$2.outboundSchema = GetProjectsProjectsBuilds$outboundSchema;
})(GetProjectsProjectsBuilds$ || (GetProjectsProjectsBuilds$ = {}));
var GetProjectsProjectsChecksConclusion$inboundSchema = nativeEnumType(GetProjectsProjectsChecksConclusion);
var GetProjectsProjectsChecksConclusion$outboundSchema = GetProjectsProjectsChecksConclusion$inboundSchema;
var GetProjectsProjectsChecksConclusion$;
(function(GetProjectsProjectsChecksConclusion$2) {
  GetProjectsProjectsChecksConclusion$2.inboundSchema = GetProjectsProjectsChecksConclusion$inboundSchema;
  GetProjectsProjectsChecksConclusion$2.outboundSchema = GetProjectsProjectsChecksConclusion$outboundSchema;
})(GetProjectsProjectsChecksConclusion$ || (GetProjectsProjectsChecksConclusion$ = {}));
var GetProjectsProjectsChecksState$inboundSchema = nativeEnumType(GetProjectsProjectsChecksState);
var GetProjectsProjectsChecksState$outboundSchema = GetProjectsProjectsChecksState$inboundSchema;
var GetProjectsProjectsChecksState$;
(function(GetProjectsProjectsChecksState$2) {
  GetProjectsProjectsChecksState$2.inboundSchema = GetProjectsProjectsChecksState$inboundSchema;
  GetProjectsProjectsChecksState$2.outboundSchema = GetProjectsProjectsChecksState$outboundSchema;
})(GetProjectsProjectsChecksState$ || (GetProjectsProjectsChecksState$ = {}));
var GetProjectsProjectsCreator$inboundSchema = objectType({
  email: stringType(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional(),
  uid: stringType(),
  username: stringType()
});
var GetProjectsProjectsCreator$outboundSchema = objectType({
  email: stringType(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional(),
  uid: stringType(),
  username: stringType()
});
var GetProjectsProjectsCreator$;
(function(GetProjectsProjectsCreator$2) {
  GetProjectsProjectsCreator$2.inboundSchema = GetProjectsProjectsCreator$inboundSchema;
  GetProjectsProjectsCreator$2.outboundSchema = GetProjectsProjectsCreator$outboundSchema;
})(GetProjectsProjectsCreator$ || (GetProjectsProjectsCreator$ = {}));
var GetProjectsProjectsOidcTokenClaims$inboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  owner_id: stringType(),
  project: stringType(),
  project_id: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    owner_id: "ownerId",
    project_id: "projectId"
  });
});
var GetProjectsProjectsOidcTokenClaims$outboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  ownerId: stringType(),
  project: stringType(),
  projectId: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    ownerId: "owner_id",
    projectId: "project_id"
  });
});
var GetProjectsProjectsOidcTokenClaims$;
(function(GetProjectsProjectsOidcTokenClaims$2) {
  GetProjectsProjectsOidcTokenClaims$2.inboundSchema = GetProjectsProjectsOidcTokenClaims$inboundSchema;
  GetProjectsProjectsOidcTokenClaims$2.outboundSchema = GetProjectsProjectsOidcTokenClaims$outboundSchema;
})(GetProjectsProjectsOidcTokenClaims$ || (GetProjectsProjectsOidcTokenClaims$ = {}));
var GetProjectsProjectsPlan$inboundSchema = nativeEnumType(GetProjectsProjectsPlan);
var GetProjectsProjectsPlan$outboundSchema = GetProjectsProjectsPlan$inboundSchema;
var GetProjectsProjectsPlan$;
(function(GetProjectsProjectsPlan$2) {
  GetProjectsProjectsPlan$2.inboundSchema = GetProjectsProjectsPlan$inboundSchema;
  GetProjectsProjectsPlan$2.outboundSchema = GetProjectsProjectsPlan$outboundSchema;
})(GetProjectsProjectsPlan$ || (GetProjectsProjectsPlan$ = {}));
var GetProjectsProjectsReadyState$inboundSchema = nativeEnumType(GetProjectsProjectsReadyState);
var GetProjectsProjectsReadyState$outboundSchema = GetProjectsProjectsReadyState$inboundSchema;
var GetProjectsProjectsReadyState$;
(function(GetProjectsProjectsReadyState$2) {
  GetProjectsProjectsReadyState$2.inboundSchema = GetProjectsProjectsReadyState$inboundSchema;
  GetProjectsProjectsReadyState$2.outboundSchema = GetProjectsProjectsReadyState$outboundSchema;
})(GetProjectsProjectsReadyState$ || (GetProjectsProjectsReadyState$ = {}));
var GetProjectsProjectsReadySubstate$inboundSchema = nativeEnumType(GetProjectsProjectsReadySubstate);
var GetProjectsProjectsReadySubstate$outboundSchema = GetProjectsProjectsReadySubstate$inboundSchema;
var GetProjectsProjectsReadySubstate$;
(function(GetProjectsProjectsReadySubstate$2) {
  GetProjectsProjectsReadySubstate$2.inboundSchema = GetProjectsProjectsReadySubstate$inboundSchema;
  GetProjectsProjectsReadySubstate$2.outboundSchema = GetProjectsProjectsReadySubstate$outboundSchema;
})(GetProjectsProjectsReadySubstate$ || (GetProjectsProjectsReadySubstate$ = {}));
var GetProjectsProjectsResponseType$inboundSchema = nativeEnumType(GetProjectsProjectsResponseType);
var GetProjectsProjectsResponseType$outboundSchema = GetProjectsProjectsResponseType$inboundSchema;
var GetProjectsProjectsResponseType$;
(function(GetProjectsProjectsResponseType$2) {
  GetProjectsProjectsResponseType$2.inboundSchema = GetProjectsProjectsResponseType$inboundSchema;
  GetProjectsProjectsResponseType$2.outboundSchema = GetProjectsProjectsResponseType$outboundSchema;
})(GetProjectsProjectsResponseType$ || (GetProjectsProjectsResponseType$ = {}));
var GetProjectsTargets$inboundSchema = objectType({
  id: stringType(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  aliasError: nullableType(lazyType(() => GetProjectsProjectsAliasError$inboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  branchMatcher: lazyType(() => GetProjectsProjectsBranchMatcher$inboundSchema).optional(),
  buildingAt: numberType().optional(),
  builds: arrayType(lazyType(() => GetProjectsProjectsBuilds$inboundSchema)).optional(),
  checksConclusion: GetProjectsProjectsChecksConclusion$inboundSchema.optional(),
  checksState: GetProjectsProjectsChecksState$inboundSchema.optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdAt: numberType(),
  createdIn: stringType(),
  creator: nullableType(lazyType(() => GetProjectsProjectsCreator$inboundSchema)),
  deletedAt: numberType().optional(),
  deploymentHostname: stringType(),
  forced: booleanType().optional(),
  name: stringType(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  oidcTokenClaims: lazyType(() => GetProjectsProjectsOidcTokenClaims$inboundSchema).optional(),
  plan: GetProjectsProjectsPlan$inboundSchema,
  previewCommentsEnabled: booleanType().optional(),
  private: booleanType(),
  readyAt: numberType().optional(),
  readyState: GetProjectsProjectsReadyState$inboundSchema,
  readySubstate: GetProjectsProjectsReadySubstate$inboundSchema.optional(),
  requestedAt: numberType().optional(),
  target: nullableType(stringType()).optional(),
  teamId: nullableType(stringType()).optional(),
  type: GetProjectsProjectsResponseType$inboundSchema,
  url: stringType(),
  userId: stringType(),
  withCache: booleanType().optional()
});
var GetProjectsTargets$outboundSchema = objectType({
  id: stringType(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  aliasError: nullableType(lazyType(() => GetProjectsProjectsAliasError$outboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  branchMatcher: lazyType(() => GetProjectsProjectsBranchMatcher$outboundSchema).optional(),
  buildingAt: numberType().optional(),
  builds: arrayType(lazyType(() => GetProjectsProjectsBuilds$outboundSchema)).optional(),
  checksConclusion: GetProjectsProjectsChecksConclusion$outboundSchema.optional(),
  checksState: GetProjectsProjectsChecksState$outboundSchema.optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdAt: numberType(),
  createdIn: stringType(),
  creator: nullableType(lazyType(() => GetProjectsProjectsCreator$outboundSchema)),
  deletedAt: numberType().optional(),
  deploymentHostname: stringType(),
  forced: booleanType().optional(),
  name: stringType(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  oidcTokenClaims: lazyType(() => GetProjectsProjectsOidcTokenClaims$outboundSchema).optional(),
  plan: GetProjectsProjectsPlan$outboundSchema,
  previewCommentsEnabled: booleanType().optional(),
  private: booleanType(),
  readyAt: numberType().optional(),
  readyState: GetProjectsProjectsReadyState$outboundSchema,
  readySubstate: GetProjectsProjectsReadySubstate$outboundSchema.optional(),
  requestedAt: numberType().optional(),
  target: nullableType(stringType()).optional(),
  teamId: nullableType(stringType()).optional(),
  type: GetProjectsProjectsResponseType$outboundSchema,
  url: stringType(),
  userId: stringType(),
  withCache: booleanType().optional()
});
var GetProjectsTargets$;
(function(GetProjectsTargets$2) {
  GetProjectsTargets$2.inboundSchema = GetProjectsTargets$inboundSchema;
  GetProjectsTargets$2.outboundSchema = GetProjectsTargets$outboundSchema;
})(GetProjectsTargets$ || (GetProjectsTargets$ = {}));
var GetProjectsPermissions$inboundSchema = objectType({
  accessGroup: arrayType(ACLAction$inboundSchema).optional(),
  aliasGlobal: arrayType(ACLAction$inboundSchema).optional(),
  analyticsSampling: arrayType(ACLAction$inboundSchema).optional(),
  analyticsUsage: arrayType(ACLAction$inboundSchema).optional(),
  auditLog: arrayType(ACLAction$inboundSchema).optional(),
  billingAddress: arrayType(ACLAction$inboundSchema).optional(),
  billingInformation: arrayType(ACLAction$inboundSchema).optional(),
  billingInvoice: arrayType(ACLAction$inboundSchema).optional(),
  billingInvoiceEmailRecipient: arrayType(ACLAction$inboundSchema).optional(),
  billingInvoiceLanguage: arrayType(ACLAction$inboundSchema).optional(),
  billingPlan: arrayType(ACLAction$inboundSchema).optional(),
  billingPurchaseOrder: arrayType(ACLAction$inboundSchema).optional(),
  billingTaxId: arrayType(ACLAction$inboundSchema).optional(),
  blob: arrayType(ACLAction$inboundSchema).optional(),
  budget: arrayType(ACLAction$inboundSchema).optional(),
  cacheArtifact: arrayType(ACLAction$inboundSchema).optional(),
  cacheArtifactUsageEvent: arrayType(ACLAction$inboundSchema).optional(),
  codeChecks: arrayType(ACLAction$inboundSchema).optional(),
  concurrentBuilds: arrayType(ACLAction$inboundSchema).optional(),
  connect: arrayType(ACLAction$inboundSchema).optional(),
  connectConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  domain: arrayType(ACLAction$inboundSchema).optional(),
  domainAcceptDelegation: arrayType(ACLAction$inboundSchema).optional(),
  domainAuthCodes: arrayType(ACLAction$inboundSchema).optional(),
  domainCertificate: arrayType(ACLAction$inboundSchema).optional(),
  domainCheckConfig: arrayType(ACLAction$inboundSchema).optional(),
  domainMove: arrayType(ACLAction$inboundSchema).optional(),
  domainPurchase: arrayType(ACLAction$inboundSchema).optional(),
  domainRecord: arrayType(ACLAction$inboundSchema).optional(),
  domainTransferIn: arrayType(ACLAction$inboundSchema).optional(),
  event: arrayType(ACLAction$inboundSchema).optional(),
  ownEvent: arrayType(ACLAction$inboundSchema).optional(),
  sensitiveEnvironmentVariablePolicy: arrayType(ACLAction$inboundSchema).optional(),
  fileUpload: arrayType(ACLAction$inboundSchema).optional(),
  gitRepository: arrayType(ACLAction$inboundSchema).optional(),
  ipBlocking: arrayType(ACLAction$inboundSchema).optional(),
  integration: arrayType(ACLAction$inboundSchema).optional(),
  integrationAccount: arrayType(ACLAction$inboundSchema).optional(),
  integrationConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  integrationConfigurationTransfer: arrayType(ACLAction$inboundSchema).optional(),
  integrationConfigurationProjects: arrayType(ACLAction$inboundSchema).optional(),
  integrationVercelConfigurationOverride: arrayType(ACLAction$inboundSchema).optional(),
  integrationConfigurationRole: arrayType(ACLAction$inboundSchema).optional(),
  integrationResource: arrayType(ACLAction$inboundSchema).optional(),
  integrationEvent: arrayType(ACLAction$inboundSchema).optional(),
  integrationResourceSecrets: arrayType(ACLAction$inboundSchema).optional(),
  integrationDeploymentAction: arrayType(ACLAction$inboundSchema).optional(),
  marketplaceInstallationMember: arrayType(ACLAction$inboundSchema).optional(),
  marketplaceBillingData: arrayType(ACLAction$inboundSchema).optional(),
  marketplaceInvoice: arrayType(ACLAction$inboundSchema).optional(),
  jobGlobal: arrayType(ACLAction$inboundSchema).optional(),
  logDrain: arrayType(ACLAction$inboundSchema).optional(),
  Monitoring: arrayType(ACLAction$inboundSchema).optional(),
  monitoringSettings: arrayType(ACLAction$inboundSchema).optional(),
  monitoringQuery: arrayType(ACLAction$inboundSchema).optional(),
  monitoringChart: arrayType(ACLAction$inboundSchema).optional(),
  monitoringAlert: arrayType(ACLAction$inboundSchema).optional(),
  notificationDeploymentFailed: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainExpire: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainMoved: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainPurchase: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainRenewal: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainTransfer: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainUnverified: arrayType(ACLAction$inboundSchema).optional(),
  NotificationMonitoringAlert: arrayType(ACLAction$inboundSchema).optional(),
  notificationPaymentFailed: arrayType(ACLAction$inboundSchema).optional(),
  notificationUsageAlert: arrayType(ACLAction$inboundSchema).optional(),
  notificationCustomerBudget: arrayType(ACLAction$inboundSchema).optional(),
  notificationStatementOfReasons: arrayType(ACLAction$inboundSchema).optional(),
  oauth2Connection: arrayType(ACLAction$inboundSchema).optional(),
  observabilityConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  openTelemetryEndpoint: arrayType(ACLAction$inboundSchema).optional(),
  paymentMethod: arrayType(ACLAction$inboundSchema).optional(),
  permissions: arrayType(ACLAction$inboundSchema).optional(),
  postgres: arrayType(ACLAction$inboundSchema).optional(),
  previewDeploymentSuffix: arrayType(ACLAction$inboundSchema).optional(),
  proTrialOnboarding: arrayType(ACLAction$inboundSchema).optional(),
  sharedEnvVars: arrayType(ACLAction$inboundSchema).optional(),
  sharedEnvVarsProduction: arrayType(ACLAction$inboundSchema).optional(),
  space: arrayType(ACLAction$inboundSchema).optional(),
  spaceRun: arrayType(ACLAction$inboundSchema).optional(),
  passwordProtectionInvoiceItem: arrayType(ACLAction$inboundSchema).optional(),
  rateLimit: arrayType(ACLAction$inboundSchema).optional(),
  redis: arrayType(ACLAction$inboundSchema).optional(),
  repository: arrayType(ACLAction$inboundSchema).optional(),
  remoteCaching: arrayType(ACLAction$inboundSchema).optional(),
  samlConfig: arrayType(ACLAction$inboundSchema).optional(),
  secret: arrayType(ACLAction$inboundSchema).optional(),
  redisStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
  blobStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
  postgresStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
  integrationStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
  integrationResourceReplCommand: arrayType(ACLAction$inboundSchema).optional(),
  storeTransfer: arrayType(ACLAction$inboundSchema).optional(),
  supportCase: arrayType(ACLAction$inboundSchema).optional(),
  supportCaseComment: arrayType(ACLAction$inboundSchema).optional(),
  dataCacheBillingSettings: arrayType(ACLAction$inboundSchema).optional(),
  team: arrayType(ACLAction$inboundSchema).optional(),
  teamAccessRequest: arrayType(ACLAction$inboundSchema).optional(),
  teamFellowMembership: arrayType(ACLAction$inboundSchema).optional(),
  teamGitExclusivity: arrayType(ACLAction$inboundSchema).optional(),
  teamInvite: arrayType(ACLAction$inboundSchema).optional(),
  teamInviteCode: arrayType(ACLAction$inboundSchema).optional(),
  teamJoin: arrayType(ACLAction$inboundSchema).optional(),
  teamMicrofrontends: arrayType(ACLAction$inboundSchema).optional(),
  teamOwnMembership: arrayType(ACLAction$inboundSchema).optional(),
  teamOwnMembershipDisconnectSAML: arrayType(ACLAction$inboundSchema).optional(),
  token: arrayType(ACLAction$inboundSchema).optional(),
  usage: arrayType(ACLAction$inboundSchema).optional(),
  usageCycle: arrayType(ACLAction$inboundSchema).optional(),
  user: arrayType(ACLAction$inboundSchema).optional(),
  userConnection: arrayType(ACLAction$inboundSchema).optional(),
  vpcPeeringConnection: arrayType(ACLAction$inboundSchema).optional(),
  webAnalyticsPlan: arrayType(ACLAction$inboundSchema).optional(),
  webAuthn: arrayType(ACLAction$inboundSchema).optional(),
  edgeConfig: arrayType(ACLAction$inboundSchema).optional(),
  edgeConfigItem: arrayType(ACLAction$inboundSchema).optional(),
  edgeConfigSchema: arrayType(ACLAction$inboundSchema).optional(),
  edgeConfigToken: arrayType(ACLAction$inboundSchema).optional(),
  webhook: arrayType(ACLAction$inboundSchema).optional(),
  "webhook-event": arrayType(ACLAction$inboundSchema).optional(),
  endpointVerification: arrayType(ACLAction$inboundSchema).optional(),
  projectTransferIn: arrayType(ACLAction$inboundSchema).optional(),
  oauth2Application: arrayType(ACLAction$inboundSchema).optional(),
  aliasProject: arrayType(ACLAction$inboundSchema).optional(),
  aliasProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
  productionAliasProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
  connectConfigurationLink: arrayType(ACLAction$inboundSchema).optional(),
  dataCacheNamespace: arrayType(ACLAction$inboundSchema).optional(),
  deployment: arrayType(ACLAction$inboundSchema).optional(),
  deploymentCheck: arrayType(ACLAction$inboundSchema).optional(),
  deploymentCheckPreview: arrayType(ACLAction$inboundSchema).optional(),
  deploymentCheckReRunFromProductionBranch: arrayType(ACLAction$inboundSchema).optional(),
  deploymentProductionGit: arrayType(ACLAction$inboundSchema).optional(),
  deploymentV0: arrayType(ACLAction$inboundSchema).optional(),
  deploymentPreview: arrayType(ACLAction$inboundSchema).optional(),
  deploymentPrivate: arrayType(ACLAction$inboundSchema).optional(),
  deploymentPromote: arrayType(ACLAction$inboundSchema).optional(),
  deploymentRollback: arrayType(ACLAction$inboundSchema).optional(),
  environments: arrayType(ACLAction$inboundSchema).optional(),
  logs: arrayType(ACLAction$inboundSchema).optional(),
  logsPreset: arrayType(ACLAction$inboundSchema).optional(),
  passwordProtection: arrayType(ACLAction$inboundSchema).optional(),
  optionsAllowlist: arrayType(ACLAction$inboundSchema).optional(),
  job: arrayType(ACLAction$inboundSchema).optional(),
  observabilityData: arrayType(ACLAction$inboundSchema).optional(),
  project: arrayType(ACLAction$inboundSchema).optional(),
  projectFromV0: arrayType(ACLAction$inboundSchema).optional(),
  projectAccessGroup: arrayType(ACLAction$inboundSchema).optional(),
  projectAnalyticsSampling: arrayType(ACLAction$inboundSchema).optional(),
  projectDeploymentHook: arrayType(ACLAction$inboundSchema).optional(),
  projectDomain: arrayType(ACLAction$inboundSchema).optional(),
  projectDomainMove: arrayType(ACLAction$inboundSchema).optional(),
  projectDomainCheckConfig: arrayType(ACLAction$inboundSchema).optional(),
  projectEnvVars: arrayType(ACLAction$inboundSchema).optional(),
  projectEnvVarsProduction: arrayType(ACLAction$inboundSchema).optional(),
  projectEnvVarsUnownedByIntegration: arrayType(ACLAction$inboundSchema).optional(),
  projectFlags: arrayType(ACLAction$inboundSchema).optional(),
  projectId: arrayType(ACLAction$inboundSchema).optional(),
  projectIntegrationConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  projectLink: arrayType(ACLAction$inboundSchema).optional(),
  projectMember: arrayType(ACLAction$inboundSchema).optional(),
  projectMonitoring: arrayType(ACLAction$inboundSchema).optional(),
  projectPermissions: arrayType(ACLAction$inboundSchema).optional(),
  projectProductionBranch: arrayType(ACLAction$inboundSchema).optional(),
  projectTransfer: arrayType(ACLAction$inboundSchema).optional(),
  projectTransferOut: arrayType(ACLAction$inboundSchema).optional(),
  projectProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
  projectUsage: arrayType(ACLAction$inboundSchema).optional(),
  projectAnalyticsUsage: arrayType(ACLAction$inboundSchema).optional(),
  projectSupportCase: arrayType(ACLAction$inboundSchema).optional(),
  projectSupportCaseComment: arrayType(ACLAction$inboundSchema).optional(),
  projectDeploymentExpiration: arrayType(ACLAction$inboundSchema).optional(),
  projectTier: arrayType(ACLAction$inboundSchema).optional(),
  seawallConfig: arrayType(ACLAction$inboundSchema).optional(),
  skewProtection: arrayType(ACLAction$inboundSchema).optional(),
  analytics: arrayType(ACLAction$inboundSchema).optional(),
  trustedIps: arrayType(ACLAction$inboundSchema).optional(),
  webAnalytics: arrayType(ACLAction$inboundSchema).optional(),
  sharedEnvVarConnection: arrayType(ACLAction$inboundSchema).optional(),
  sonar: arrayType(ACLAction$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    Monitoring: "monitoring",
    NotificationMonitoringAlert: "notificationMonitoringAlert",
    "webhook-event": "webhookEvent"
  });
});
var GetProjectsPermissions$outboundSchema = objectType({
  accessGroup: arrayType(ACLAction$outboundSchema).optional(),
  aliasGlobal: arrayType(ACLAction$outboundSchema).optional(),
  analyticsSampling: arrayType(ACLAction$outboundSchema).optional(),
  analyticsUsage: arrayType(ACLAction$outboundSchema).optional(),
  auditLog: arrayType(ACLAction$outboundSchema).optional(),
  billingAddress: arrayType(ACLAction$outboundSchema).optional(),
  billingInformation: arrayType(ACLAction$outboundSchema).optional(),
  billingInvoice: arrayType(ACLAction$outboundSchema).optional(),
  billingInvoiceEmailRecipient: arrayType(ACLAction$outboundSchema).optional(),
  billingInvoiceLanguage: arrayType(ACLAction$outboundSchema).optional(),
  billingPlan: arrayType(ACLAction$outboundSchema).optional(),
  billingPurchaseOrder: arrayType(ACLAction$outboundSchema).optional(),
  billingTaxId: arrayType(ACLAction$outboundSchema).optional(),
  blob: arrayType(ACLAction$outboundSchema).optional(),
  budget: arrayType(ACLAction$outboundSchema).optional(),
  cacheArtifact: arrayType(ACLAction$outboundSchema).optional(),
  cacheArtifactUsageEvent: arrayType(ACLAction$outboundSchema).optional(),
  codeChecks: arrayType(ACLAction$outboundSchema).optional(),
  concurrentBuilds: arrayType(ACLAction$outboundSchema).optional(),
  connect: arrayType(ACLAction$outboundSchema).optional(),
  connectConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  domain: arrayType(ACLAction$outboundSchema).optional(),
  domainAcceptDelegation: arrayType(ACLAction$outboundSchema).optional(),
  domainAuthCodes: arrayType(ACLAction$outboundSchema).optional(),
  domainCertificate: arrayType(ACLAction$outboundSchema).optional(),
  domainCheckConfig: arrayType(ACLAction$outboundSchema).optional(),
  domainMove: arrayType(ACLAction$outboundSchema).optional(),
  domainPurchase: arrayType(ACLAction$outboundSchema).optional(),
  domainRecord: arrayType(ACLAction$outboundSchema).optional(),
  domainTransferIn: arrayType(ACLAction$outboundSchema).optional(),
  event: arrayType(ACLAction$outboundSchema).optional(),
  ownEvent: arrayType(ACLAction$outboundSchema).optional(),
  sensitiveEnvironmentVariablePolicy: arrayType(ACLAction$outboundSchema).optional(),
  fileUpload: arrayType(ACLAction$outboundSchema).optional(),
  gitRepository: arrayType(ACLAction$outboundSchema).optional(),
  ipBlocking: arrayType(ACLAction$outboundSchema).optional(),
  integration: arrayType(ACLAction$outboundSchema).optional(),
  integrationAccount: arrayType(ACLAction$outboundSchema).optional(),
  integrationConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  integrationConfigurationTransfer: arrayType(ACLAction$outboundSchema).optional(),
  integrationConfigurationProjects: arrayType(ACLAction$outboundSchema).optional(),
  integrationVercelConfigurationOverride: arrayType(ACLAction$outboundSchema).optional(),
  integrationConfigurationRole: arrayType(ACLAction$outboundSchema).optional(),
  integrationResource: arrayType(ACLAction$outboundSchema).optional(),
  integrationEvent: arrayType(ACLAction$outboundSchema).optional(),
  integrationResourceSecrets: arrayType(ACLAction$outboundSchema).optional(),
  integrationDeploymentAction: arrayType(ACLAction$outboundSchema).optional(),
  marketplaceInstallationMember: arrayType(ACLAction$outboundSchema).optional(),
  marketplaceBillingData: arrayType(ACLAction$outboundSchema).optional(),
  marketplaceInvoice: arrayType(ACLAction$outboundSchema).optional(),
  jobGlobal: arrayType(ACLAction$outboundSchema).optional(),
  logDrain: arrayType(ACLAction$outboundSchema).optional(),
  monitoring: arrayType(ACLAction$outboundSchema).optional(),
  monitoringSettings: arrayType(ACLAction$outboundSchema).optional(),
  monitoringQuery: arrayType(ACLAction$outboundSchema).optional(),
  monitoringChart: arrayType(ACLAction$outboundSchema).optional(),
  monitoringAlert: arrayType(ACLAction$outboundSchema).optional(),
  notificationDeploymentFailed: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainExpire: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainMoved: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainPurchase: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainRenewal: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainTransfer: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainUnverified: arrayType(ACLAction$outboundSchema).optional(),
  notificationMonitoringAlert: arrayType(ACLAction$outboundSchema).optional(),
  notificationPaymentFailed: arrayType(ACLAction$outboundSchema).optional(),
  notificationUsageAlert: arrayType(ACLAction$outboundSchema).optional(),
  notificationCustomerBudget: arrayType(ACLAction$outboundSchema).optional(),
  notificationStatementOfReasons: arrayType(ACLAction$outboundSchema).optional(),
  oauth2Connection: arrayType(ACLAction$outboundSchema).optional(),
  observabilityConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  openTelemetryEndpoint: arrayType(ACLAction$outboundSchema).optional(),
  paymentMethod: arrayType(ACLAction$outboundSchema).optional(),
  permissions: arrayType(ACLAction$outboundSchema).optional(),
  postgres: arrayType(ACLAction$outboundSchema).optional(),
  previewDeploymentSuffix: arrayType(ACLAction$outboundSchema).optional(),
  proTrialOnboarding: arrayType(ACLAction$outboundSchema).optional(),
  sharedEnvVars: arrayType(ACLAction$outboundSchema).optional(),
  sharedEnvVarsProduction: arrayType(ACLAction$outboundSchema).optional(),
  space: arrayType(ACLAction$outboundSchema).optional(),
  spaceRun: arrayType(ACLAction$outboundSchema).optional(),
  passwordProtectionInvoiceItem: arrayType(ACLAction$outboundSchema).optional(),
  rateLimit: arrayType(ACLAction$outboundSchema).optional(),
  redis: arrayType(ACLAction$outboundSchema).optional(),
  repository: arrayType(ACLAction$outboundSchema).optional(),
  remoteCaching: arrayType(ACLAction$outboundSchema).optional(),
  samlConfig: arrayType(ACLAction$outboundSchema).optional(),
  secret: arrayType(ACLAction$outboundSchema).optional(),
  redisStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
  blobStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
  postgresStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
  integrationStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
  integrationResourceReplCommand: arrayType(ACLAction$outboundSchema).optional(),
  storeTransfer: arrayType(ACLAction$outboundSchema).optional(),
  supportCase: arrayType(ACLAction$outboundSchema).optional(),
  supportCaseComment: arrayType(ACLAction$outboundSchema).optional(),
  dataCacheBillingSettings: arrayType(ACLAction$outboundSchema).optional(),
  team: arrayType(ACLAction$outboundSchema).optional(),
  teamAccessRequest: arrayType(ACLAction$outboundSchema).optional(),
  teamFellowMembership: arrayType(ACLAction$outboundSchema).optional(),
  teamGitExclusivity: arrayType(ACLAction$outboundSchema).optional(),
  teamInvite: arrayType(ACLAction$outboundSchema).optional(),
  teamInviteCode: arrayType(ACLAction$outboundSchema).optional(),
  teamJoin: arrayType(ACLAction$outboundSchema).optional(),
  teamMicrofrontends: arrayType(ACLAction$outboundSchema).optional(),
  teamOwnMembership: arrayType(ACLAction$outboundSchema).optional(),
  teamOwnMembershipDisconnectSAML: arrayType(ACLAction$outboundSchema).optional(),
  token: arrayType(ACLAction$outboundSchema).optional(),
  usage: arrayType(ACLAction$outboundSchema).optional(),
  usageCycle: arrayType(ACLAction$outboundSchema).optional(),
  user: arrayType(ACLAction$outboundSchema).optional(),
  userConnection: arrayType(ACLAction$outboundSchema).optional(),
  vpcPeeringConnection: arrayType(ACLAction$outboundSchema).optional(),
  webAnalyticsPlan: arrayType(ACLAction$outboundSchema).optional(),
  webAuthn: arrayType(ACLAction$outboundSchema).optional(),
  edgeConfig: arrayType(ACLAction$outboundSchema).optional(),
  edgeConfigItem: arrayType(ACLAction$outboundSchema).optional(),
  edgeConfigSchema: arrayType(ACLAction$outboundSchema).optional(),
  edgeConfigToken: arrayType(ACLAction$outboundSchema).optional(),
  webhook: arrayType(ACLAction$outboundSchema).optional(),
  webhookEvent: arrayType(ACLAction$outboundSchema).optional(),
  endpointVerification: arrayType(ACLAction$outboundSchema).optional(),
  projectTransferIn: arrayType(ACLAction$outboundSchema).optional(),
  oauth2Application: arrayType(ACLAction$outboundSchema).optional(),
  aliasProject: arrayType(ACLAction$outboundSchema).optional(),
  aliasProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
  productionAliasProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
  connectConfigurationLink: arrayType(ACLAction$outboundSchema).optional(),
  dataCacheNamespace: arrayType(ACLAction$outboundSchema).optional(),
  deployment: arrayType(ACLAction$outboundSchema).optional(),
  deploymentCheck: arrayType(ACLAction$outboundSchema).optional(),
  deploymentCheckPreview: arrayType(ACLAction$outboundSchema).optional(),
  deploymentCheckReRunFromProductionBranch: arrayType(ACLAction$outboundSchema).optional(),
  deploymentProductionGit: arrayType(ACLAction$outboundSchema).optional(),
  deploymentV0: arrayType(ACLAction$outboundSchema).optional(),
  deploymentPreview: arrayType(ACLAction$outboundSchema).optional(),
  deploymentPrivate: arrayType(ACLAction$outboundSchema).optional(),
  deploymentPromote: arrayType(ACLAction$outboundSchema).optional(),
  deploymentRollback: arrayType(ACLAction$outboundSchema).optional(),
  environments: arrayType(ACLAction$outboundSchema).optional(),
  logs: arrayType(ACLAction$outboundSchema).optional(),
  logsPreset: arrayType(ACLAction$outboundSchema).optional(),
  passwordProtection: arrayType(ACLAction$outboundSchema).optional(),
  optionsAllowlist: arrayType(ACLAction$outboundSchema).optional(),
  job: arrayType(ACLAction$outboundSchema).optional(),
  observabilityData: arrayType(ACLAction$outboundSchema).optional(),
  project: arrayType(ACLAction$outboundSchema).optional(),
  projectFromV0: arrayType(ACLAction$outboundSchema).optional(),
  projectAccessGroup: arrayType(ACLAction$outboundSchema).optional(),
  projectAnalyticsSampling: arrayType(ACLAction$outboundSchema).optional(),
  projectDeploymentHook: arrayType(ACLAction$outboundSchema).optional(),
  projectDomain: arrayType(ACLAction$outboundSchema).optional(),
  projectDomainMove: arrayType(ACLAction$outboundSchema).optional(),
  projectDomainCheckConfig: arrayType(ACLAction$outboundSchema).optional(),
  projectEnvVars: arrayType(ACLAction$outboundSchema).optional(),
  projectEnvVarsProduction: arrayType(ACLAction$outboundSchema).optional(),
  projectEnvVarsUnownedByIntegration: arrayType(ACLAction$outboundSchema).optional(),
  projectFlags: arrayType(ACLAction$outboundSchema).optional(),
  projectId: arrayType(ACLAction$outboundSchema).optional(),
  projectIntegrationConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  projectLink: arrayType(ACLAction$outboundSchema).optional(),
  projectMember: arrayType(ACLAction$outboundSchema).optional(),
  projectMonitoring: arrayType(ACLAction$outboundSchema).optional(),
  projectPermissions: arrayType(ACLAction$outboundSchema).optional(),
  projectProductionBranch: arrayType(ACLAction$outboundSchema).optional(),
  projectTransfer: arrayType(ACLAction$outboundSchema).optional(),
  projectTransferOut: arrayType(ACLAction$outboundSchema).optional(),
  projectProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
  projectUsage: arrayType(ACLAction$outboundSchema).optional(),
  projectAnalyticsUsage: arrayType(ACLAction$outboundSchema).optional(),
  projectSupportCase: arrayType(ACLAction$outboundSchema).optional(),
  projectSupportCaseComment: arrayType(ACLAction$outboundSchema).optional(),
  projectDeploymentExpiration: arrayType(ACLAction$outboundSchema).optional(),
  projectTier: arrayType(ACLAction$outboundSchema).optional(),
  seawallConfig: arrayType(ACLAction$outboundSchema).optional(),
  skewProtection: arrayType(ACLAction$outboundSchema).optional(),
  analytics: arrayType(ACLAction$outboundSchema).optional(),
  trustedIps: arrayType(ACLAction$outboundSchema).optional(),
  webAnalytics: arrayType(ACLAction$outboundSchema).optional(),
  sharedEnvVarConnection: arrayType(ACLAction$outboundSchema).optional(),
  sonar: arrayType(ACLAction$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    monitoring: "Monitoring",
    notificationMonitoringAlert: "NotificationMonitoringAlert",
    webhookEvent: "webhook-event"
  });
});
var GetProjectsPermissions$;
(function(GetProjectsPermissions$2) {
  GetProjectsPermissions$2.inboundSchema = GetProjectsPermissions$inboundSchema;
  GetProjectsPermissions$2.outboundSchema = GetProjectsPermissions$outboundSchema;
})(GetProjectsPermissions$ || (GetProjectsPermissions$ = {}));
var GetProjectsLastRollbackTarget$inboundSchema = objectType({});
var GetProjectsLastRollbackTarget$outboundSchema = objectType({});
var GetProjectsLastRollbackTarget$;
(function(GetProjectsLastRollbackTarget$2) {
  GetProjectsLastRollbackTarget$2.inboundSchema = GetProjectsLastRollbackTarget$inboundSchema;
  GetProjectsLastRollbackTarget$2.outboundSchema = GetProjectsLastRollbackTarget$outboundSchema;
})(GetProjectsLastRollbackTarget$ || (GetProjectsLastRollbackTarget$ = {}));
var GetProjectsJobStatus$inboundSchema = nativeEnumType(GetProjectsJobStatus);
var GetProjectsJobStatus$outboundSchema = GetProjectsJobStatus$inboundSchema;
var GetProjectsJobStatus$;
(function(GetProjectsJobStatus$2) {
  GetProjectsJobStatus$2.inboundSchema = GetProjectsJobStatus$inboundSchema;
  GetProjectsJobStatus$2.outboundSchema = GetProjectsJobStatus$outboundSchema;
})(GetProjectsJobStatus$ || (GetProjectsJobStatus$ = {}));
var GetProjectsProjectsResponse200Type$inboundSchema = nativeEnumType(GetProjectsProjectsResponse200Type);
var GetProjectsProjectsResponse200Type$outboundSchema = GetProjectsProjectsResponse200Type$inboundSchema;
var GetProjectsProjectsResponse200Type$;
(function(GetProjectsProjectsResponse200Type$2) {
  GetProjectsProjectsResponse200Type$2.inboundSchema = GetProjectsProjectsResponse200Type$inboundSchema;
  GetProjectsProjectsResponse200Type$2.outboundSchema = GetProjectsProjectsResponse200Type$outboundSchema;
})(GetProjectsProjectsResponse200Type$ || (GetProjectsProjectsResponse200Type$ = {}));
var GetProjectsLastAliasRequest$inboundSchema = objectType({
  fromDeploymentId: stringType(),
  toDeploymentId: stringType(),
  jobStatus: GetProjectsJobStatus$inboundSchema,
  requestedAt: numberType(),
  type: GetProjectsProjectsResponse200Type$inboundSchema
});
var GetProjectsLastAliasRequest$outboundSchema = objectType({
  fromDeploymentId: stringType(),
  toDeploymentId: stringType(),
  jobStatus: GetProjectsJobStatus$outboundSchema,
  requestedAt: numberType(),
  type: GetProjectsProjectsResponse200Type$outboundSchema
});
var GetProjectsLastAliasRequest$;
(function(GetProjectsLastAliasRequest$2) {
  GetProjectsLastAliasRequest$2.inboundSchema = GetProjectsLastAliasRequest$inboundSchema;
  GetProjectsLastAliasRequest$2.outboundSchema = GetProjectsLastAliasRequest$outboundSchema;
})(GetProjectsLastAliasRequest$ || (GetProjectsLastAliasRequest$ = {}));
var GetProjectsScope$inboundSchema = nativeEnumType(GetProjectsScope);
var GetProjectsScope$outboundSchema = GetProjectsScope$inboundSchema;
var GetProjectsScope$;
(function(GetProjectsScope$2) {
  GetProjectsScope$2.inboundSchema = GetProjectsScope$inboundSchema;
  GetProjectsScope$2.outboundSchema = GetProjectsScope$outboundSchema;
})(GetProjectsScope$ || (GetProjectsScope$ = {}));
var GetProjectsProtectionBypass$inboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: GetProjectsScope$inboundSchema
});
var GetProjectsProtectionBypass$outboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: GetProjectsScope$outboundSchema
});
var GetProjectsProtectionBypass$;
(function(GetProjectsProtectionBypass$2) {
  GetProjectsProtectionBypass$2.inboundSchema = GetProjectsProtectionBypass$inboundSchema;
  GetProjectsProtectionBypass$2.outboundSchema = GetProjectsProtectionBypass$outboundSchema;
})(GetProjectsProtectionBypass$ || (GetProjectsProtectionBypass$ = {}));
var GetProjectsTrustedIpsProjectsDeploymentType$inboundSchema = nativeEnumType(GetProjectsTrustedIpsProjectsDeploymentType);
var GetProjectsTrustedIpsProjectsDeploymentType$outboundSchema = GetProjectsTrustedIpsProjectsDeploymentType$inboundSchema;
var GetProjectsTrustedIpsProjectsDeploymentType$;
(function(GetProjectsTrustedIpsProjectsDeploymentType$2) {
  GetProjectsTrustedIpsProjectsDeploymentType$2.inboundSchema = GetProjectsTrustedIpsProjectsDeploymentType$inboundSchema;
  GetProjectsTrustedIpsProjectsDeploymentType$2.outboundSchema = GetProjectsTrustedIpsProjectsDeploymentType$outboundSchema;
})(GetProjectsTrustedIpsProjectsDeploymentType$ || (GetProjectsTrustedIpsProjectsDeploymentType$ = {}));
var GetProjectsTrustedIps2$inboundSchema = objectType({
  deploymentType: GetProjectsTrustedIpsProjectsDeploymentType$inboundSchema
});
var GetProjectsTrustedIps2$outboundSchema = objectType({
  deploymentType: GetProjectsTrustedIpsProjectsDeploymentType$outboundSchema
});
var GetProjectsTrustedIps2$;
(function(GetProjectsTrustedIps2$2) {
  GetProjectsTrustedIps2$2.inboundSchema = GetProjectsTrustedIps2$inboundSchema;
  GetProjectsTrustedIps2$2.outboundSchema = GetProjectsTrustedIps2$outboundSchema;
})(GetProjectsTrustedIps2$ || (GetProjectsTrustedIps2$ = {}));
var GetProjectsTrustedIpsDeploymentType$inboundSchema = nativeEnumType(GetProjectsTrustedIpsDeploymentType);
var GetProjectsTrustedIpsDeploymentType$outboundSchema = GetProjectsTrustedIpsDeploymentType$inboundSchema;
var GetProjectsTrustedIpsDeploymentType$;
(function(GetProjectsTrustedIpsDeploymentType$2) {
  GetProjectsTrustedIpsDeploymentType$2.inboundSchema = GetProjectsTrustedIpsDeploymentType$inboundSchema;
  GetProjectsTrustedIpsDeploymentType$2.outboundSchema = GetProjectsTrustedIpsDeploymentType$outboundSchema;
})(GetProjectsTrustedIpsDeploymentType$ || (GetProjectsTrustedIpsDeploymentType$ = {}));
var GetProjectsTrustedIpsAddresses$inboundSchema = objectType({
  value: stringType(),
  note: stringType().optional()
});
var GetProjectsTrustedIpsAddresses$outboundSchema = objectType({
  value: stringType(),
  note: stringType().optional()
});
var GetProjectsTrustedIpsAddresses$;
(function(GetProjectsTrustedIpsAddresses$2) {
  GetProjectsTrustedIpsAddresses$2.inboundSchema = GetProjectsTrustedIpsAddresses$inboundSchema;
  GetProjectsTrustedIpsAddresses$2.outboundSchema = GetProjectsTrustedIpsAddresses$outboundSchema;
})(GetProjectsTrustedIpsAddresses$ || (GetProjectsTrustedIpsAddresses$ = {}));
var GetProjectsTrustedIpsProtectionMode$inboundSchema = nativeEnumType(GetProjectsTrustedIpsProtectionMode);
var GetProjectsTrustedIpsProtectionMode$outboundSchema = GetProjectsTrustedIpsProtectionMode$inboundSchema;
var GetProjectsTrustedIpsProtectionMode$;
(function(GetProjectsTrustedIpsProtectionMode$2) {
  GetProjectsTrustedIpsProtectionMode$2.inboundSchema = GetProjectsTrustedIpsProtectionMode$inboundSchema;
  GetProjectsTrustedIpsProtectionMode$2.outboundSchema = GetProjectsTrustedIpsProtectionMode$outboundSchema;
})(GetProjectsTrustedIpsProtectionMode$ || (GetProjectsTrustedIpsProtectionMode$ = {}));
var GetProjectsTrustedIps1$inboundSchema = objectType({
  deploymentType: GetProjectsTrustedIpsDeploymentType$inboundSchema,
  addresses: arrayType(lazyType(() => GetProjectsTrustedIpsAddresses$inboundSchema)),
  protectionMode: GetProjectsTrustedIpsProtectionMode$inboundSchema
});
var GetProjectsTrustedIps1$outboundSchema = objectType({
  deploymentType: GetProjectsTrustedIpsDeploymentType$outboundSchema,
  addresses: arrayType(lazyType(() => GetProjectsTrustedIpsAddresses$outboundSchema)),
  protectionMode: GetProjectsTrustedIpsProtectionMode$outboundSchema
});
var GetProjectsTrustedIps1$;
(function(GetProjectsTrustedIps1$2) {
  GetProjectsTrustedIps1$2.inboundSchema = GetProjectsTrustedIps1$inboundSchema;
  GetProjectsTrustedIps1$2.outboundSchema = GetProjectsTrustedIps1$outboundSchema;
})(GetProjectsTrustedIps1$ || (GetProjectsTrustedIps1$ = {}));
var GetProjectsTrustedIps$inboundSchema = unionType([
  lazyType(() => GetProjectsTrustedIps2$inboundSchema),
  lazyType(() => GetProjectsTrustedIps1$inboundSchema)
]);
var GetProjectsTrustedIps$outboundSchema = unionType([
  lazyType(() => GetProjectsTrustedIps2$outboundSchema),
  lazyType(() => GetProjectsTrustedIps1$outboundSchema)
]);
var GetProjectsTrustedIps$;
(function(GetProjectsTrustedIps$2) {
  GetProjectsTrustedIps$2.inboundSchema = GetProjectsTrustedIps$inboundSchema;
  GetProjectsTrustedIps$2.outboundSchema = GetProjectsTrustedIps$outboundSchema;
})(GetProjectsTrustedIps$ || (GetProjectsTrustedIps$ = {}));
var GetProjectsGitComments$inboundSchema = objectType({
  onPullRequest: booleanType(),
  onCommit: booleanType()
});
var GetProjectsGitComments$outboundSchema = objectType({
  onPullRequest: booleanType(),
  onCommit: booleanType()
});
var GetProjectsGitComments$;
(function(GetProjectsGitComments$2) {
  GetProjectsGitComments$2.inboundSchema = GetProjectsGitComments$inboundSchema;
  GetProjectsGitComments$2.outboundSchema = GetProjectsGitComments$outboundSchema;
})(GetProjectsGitComments$ || (GetProjectsGitComments$ = {}));
var GetProjectsWebAnalytics$inboundSchema = objectType({
  id: stringType(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  enabledAt: numberType().optional(),
  hasData: booleanType().optional()
});
var GetProjectsWebAnalytics$outboundSchema = objectType({
  id: stringType(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  enabledAt: numberType().optional(),
  hasData: booleanType().optional()
});
var GetProjectsWebAnalytics$;
(function(GetProjectsWebAnalytics$2) {
  GetProjectsWebAnalytics$2.inboundSchema = GetProjectsWebAnalytics$inboundSchema;
  GetProjectsWebAnalytics$2.outboundSchema = GetProjectsWebAnalytics$outboundSchema;
})(GetProjectsWebAnalytics$ || (GetProjectsWebAnalytics$ = {}));
var GetProjectsSrc2$inboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var GetProjectsSrc2$outboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var GetProjectsSrc2$;
(function(GetProjectsSrc2$2) {
  GetProjectsSrc2$2.inboundSchema = GetProjectsSrc2$inboundSchema;
  GetProjectsSrc2$2.outboundSchema = GetProjectsSrc2$outboundSchema;
})(GetProjectsSrc2$ || (GetProjectsSrc2$ = {}));
var GetProjectsSrc$inboundSchema = unionType([lazyType(() => GetProjectsSrc2$inboundSchema), stringType()]);
var GetProjectsSrc$outboundSchema = unionType([lazyType(() => GetProjectsSrc2$outboundSchema), stringType()]);
var GetProjectsSrc$;
(function(GetProjectsSrc$2) {
  GetProjectsSrc$2.inboundSchema = GetProjectsSrc$inboundSchema;
  GetProjectsSrc$2.outboundSchema = GetProjectsSrc$outboundSchema;
})(GetProjectsSrc$ || (GetProjectsSrc$ = {}));
var GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$inboundSchema = nativeEnumType(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType);
var GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$inboundSchema;
var GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$;
(function(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$2) {
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$2.inboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$inboundSchema;
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$2.outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$outboundSchema;
})(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$ || (GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$ = {}));
var GetProjectsValue2$inboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var GetProjectsValue2$outboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var GetProjectsValue2$;
(function(GetProjectsValue2$2) {
  GetProjectsValue2$2.inboundSchema = GetProjectsValue2$inboundSchema;
  GetProjectsValue2$2.outboundSchema = GetProjectsValue2$outboundSchema;
})(GetProjectsValue2$ || (GetProjectsValue2$ = {}));
var GetProjectsValue$inboundSchema = unionType([lazyType(() => GetProjectsValue2$inboundSchema), stringType()]);
var GetProjectsValue$outboundSchema = unionType([lazyType(() => GetProjectsValue2$outboundSchema), stringType()]);
var GetProjectsValue$;
(function(GetProjectsValue$2) {
  GetProjectsValue$2.inboundSchema = GetProjectsValue$inboundSchema;
  GetProjectsValue$2.outboundSchema = GetProjectsValue$outboundSchema;
})(GetProjectsValue$ || (GetProjectsValue$ = {}));
var GetProjectsHas$inboundSchema = objectType({
  type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$inboundSchema,
  key: stringType().optional(),
  value: unionType([lazyType(() => GetProjectsValue2$inboundSchema), stringType()]).optional()
});
var GetProjectsHas$outboundSchema = objectType({
  type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityType$outboundSchema,
  key: stringType().optional(),
  value: unionType([lazyType(() => GetProjectsValue2$outboundSchema), stringType()]).optional()
});
var GetProjectsHas$;
(function(GetProjectsHas$2) {
  GetProjectsHas$2.inboundSchema = GetProjectsHas$inboundSchema;
  GetProjectsHas$2.outboundSchema = GetProjectsHas$outboundSchema;
})(GetProjectsHas$ || (GetProjectsHas$ = {}));
var GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$inboundSchema = nativeEnumType(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType);
var GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$inboundSchema;
var GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$;
(function(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$2) {
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$2.inboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$inboundSchema;
  GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$2.outboundSchema = GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$outboundSchema;
})(GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$ || (GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$ = {}));
var GetProjectsValueProjects2$inboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var GetProjectsValueProjects2$outboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var GetProjectsValueProjects2$;
(function(GetProjectsValueProjects2$2) {
  GetProjectsValueProjects2$2.inboundSchema = GetProjectsValueProjects2$inboundSchema;
  GetProjectsValueProjects2$2.outboundSchema = GetProjectsValueProjects2$outboundSchema;
})(GetProjectsValueProjects2$ || (GetProjectsValueProjects2$ = {}));
var GetProjectsProjectsValue$inboundSchema = unionType([
  lazyType(() => GetProjectsValueProjects2$inboundSchema),
  stringType()
]);
var GetProjectsProjectsValue$outboundSchema = unionType([
  lazyType(() => GetProjectsValueProjects2$outboundSchema),
  stringType()
]);
var GetProjectsProjectsValue$;
(function(GetProjectsProjectsValue$2) {
  GetProjectsProjectsValue$2.inboundSchema = GetProjectsProjectsValue$inboundSchema;
  GetProjectsProjectsValue$2.outboundSchema = GetProjectsProjectsValue$outboundSchema;
})(GetProjectsProjectsValue$ || (GetProjectsProjectsValue$ = {}));
var GetProjectsMissing$inboundSchema = objectType({
  type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$inboundSchema,
  key: stringType().optional(),
  value: unionType([
    lazyType(() => GetProjectsValueProjects2$inboundSchema),
    stringType()
  ]).optional()
});
var GetProjectsMissing$outboundSchema = objectType({
  type: GetProjectsProjectsResponse200ApplicationJSONResponseBodyProjectsSecurityFirewallRoutesType$outboundSchema,
  key: stringType().optional(),
  value: unionType([
    lazyType(() => GetProjectsValueProjects2$outboundSchema),
    stringType()
  ]).optional()
});
var GetProjectsMissing$;
(function(GetProjectsMissing$2) {
  GetProjectsMissing$2.inboundSchema = GetProjectsMissing$inboundSchema;
  GetProjectsMissing$2.outboundSchema = GetProjectsMissing$outboundSchema;
})(GetProjectsMissing$ || (GetProjectsMissing$ = {}));
var GetProjectsHandle$inboundSchema = nativeEnumType(GetProjectsHandle);
var GetProjectsHandle$outboundSchema = GetProjectsHandle$inboundSchema;
var GetProjectsHandle$;
(function(GetProjectsHandle$2) {
  GetProjectsHandle$2.inboundSchema = GetProjectsHandle$inboundSchema;
  GetProjectsHandle$2.outboundSchema = GetProjectsHandle$outboundSchema;
})(GetProjectsHandle$ || (GetProjectsHandle$ = {}));
var GetProjectsAction$inboundSchema = nativeEnumType(GetProjectsAction);
var GetProjectsAction$outboundSchema = GetProjectsAction$inboundSchema;
var GetProjectsAction$;
(function(GetProjectsAction$2) {
  GetProjectsAction$2.inboundSchema = GetProjectsAction$inboundSchema;
  GetProjectsAction$2.outboundSchema = GetProjectsAction$outboundSchema;
})(GetProjectsAction$ || (GetProjectsAction$ = {}));
var GetProjectsAlgo$inboundSchema = nativeEnumType(GetProjectsAlgo);
var GetProjectsAlgo$outboundSchema = GetProjectsAlgo$inboundSchema;
var GetProjectsAlgo$;
(function(GetProjectsAlgo$2) {
  GetProjectsAlgo$2.inboundSchema = GetProjectsAlgo$inboundSchema;
  GetProjectsAlgo$2.outboundSchema = GetProjectsAlgo$outboundSchema;
})(GetProjectsAlgo$ || (GetProjectsAlgo$ = {}));
var GetProjectsErl$inboundSchema = objectType({
  algo: GetProjectsAlgo$inboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType())
});
var GetProjectsErl$outboundSchema = objectType({
  algo: GetProjectsAlgo$outboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType())
});
var GetProjectsErl$;
(function(GetProjectsErl$2) {
  GetProjectsErl$2.inboundSchema = GetProjectsErl$inboundSchema;
  GetProjectsErl$2.outboundSchema = GetProjectsErl$outboundSchema;
})(GetProjectsErl$ || (GetProjectsErl$ = {}));
var GetProjectsMitigate$inboundSchema = objectType({
  action: GetProjectsAction$inboundSchema,
  rule_id: stringType(),
  ttl: numberType().optional(),
  erl: lazyType(() => GetProjectsErl$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    rule_id: "ruleId"
  });
});
var GetProjectsMitigate$outboundSchema = objectType({
  action: GetProjectsAction$outboundSchema,
  ruleId: stringType(),
  ttl: numberType().optional(),
  erl: lazyType(() => GetProjectsErl$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    ruleId: "rule_id"
  });
});
var GetProjectsMitigate$;
(function(GetProjectsMitigate$2) {
  GetProjectsMitigate$2.inboundSchema = GetProjectsMitigate$inboundSchema;
  GetProjectsMitigate$2.outboundSchema = GetProjectsMitigate$outboundSchema;
})(GetProjectsMitigate$ || (GetProjectsMitigate$ = {}));
var GetProjectsFirewallRoutes$inboundSchema = objectType({
  src: unionType([lazyType(() => GetProjectsSrc2$inboundSchema), stringType()]).optional(),
  has: arrayType(lazyType(() => GetProjectsHas$inboundSchema)).optional(),
  missing: arrayType(lazyType(() => GetProjectsMissing$inboundSchema)).optional(),
  dest: stringType().optional(),
  status: numberType().optional(),
  handle: GetProjectsHandle$inboundSchema.optional(),
  mitigate: lazyType(() => GetProjectsMitigate$inboundSchema).optional()
});
var GetProjectsFirewallRoutes$outboundSchema = objectType({
  src: unionType([lazyType(() => GetProjectsSrc2$outboundSchema), stringType()]).optional(),
  has: arrayType(lazyType(() => GetProjectsHas$outboundSchema)).optional(),
  missing: arrayType(lazyType(() => GetProjectsMissing$outboundSchema)).optional(),
  dest: stringType().optional(),
  status: numberType().optional(),
  handle: GetProjectsHandle$outboundSchema.optional(),
  mitigate: lazyType(() => GetProjectsMitigate$outboundSchema).optional()
});
var GetProjectsFirewallRoutes$;
(function(GetProjectsFirewallRoutes$2) {
  GetProjectsFirewallRoutes$2.inboundSchema = GetProjectsFirewallRoutes$inboundSchema;
  GetProjectsFirewallRoutes$2.outboundSchema = GetProjectsFirewallRoutes$outboundSchema;
})(GetProjectsFirewallRoutes$ || (GetProjectsFirewallRoutes$ = {}));
var GetProjectsSecurity$inboundSchema = objectType({
  attackModeEnabled: booleanType().optional(),
  attackModeUpdatedAt: numberType().optional(),
  firewallEnabled: booleanType().optional(),
  firewallUpdatedAt: numberType().optional(),
  attackModeActiveUntil: nullableType(numberType()).optional(),
  firewallConfigVersion: numberType().optional(),
  firewallRoutes: arrayType(lazyType(() => GetProjectsFirewallRoutes$inboundSchema)).optional(),
  firewallSeawallEnabled: booleanType().optional(),
  ja3Enabled: booleanType().optional(),
  ja4Enabled: booleanType().optional(),
  firewallBypassIps: arrayType(stringType()).optional()
});
var GetProjectsSecurity$outboundSchema = objectType({
  attackModeEnabled: booleanType().optional(),
  attackModeUpdatedAt: numberType().optional(),
  firewallEnabled: booleanType().optional(),
  firewallUpdatedAt: numberType().optional(),
  attackModeActiveUntil: nullableType(numberType()).optional(),
  firewallConfigVersion: numberType().optional(),
  firewallRoutes: arrayType(lazyType(() => GetProjectsFirewallRoutes$outboundSchema)).optional(),
  firewallSeawallEnabled: booleanType().optional(),
  ja3Enabled: booleanType().optional(),
  ja4Enabled: booleanType().optional(),
  firewallBypassIps: arrayType(stringType()).optional()
});
var GetProjectsSecurity$;
(function(GetProjectsSecurity$2) {
  GetProjectsSecurity$2.inboundSchema = GetProjectsSecurity$inboundSchema;
  GetProjectsSecurity$2.outboundSchema = GetProjectsSecurity$outboundSchema;
})(GetProjectsSecurity$ || (GetProjectsSecurity$ = {}));
var GetProjectsIssuerMode$inboundSchema = nativeEnumType(GetProjectsIssuerMode);
var GetProjectsIssuerMode$outboundSchema = GetProjectsIssuerMode$inboundSchema;
var GetProjectsIssuerMode$;
(function(GetProjectsIssuerMode$2) {
  GetProjectsIssuerMode$2.inboundSchema = GetProjectsIssuerMode$inboundSchema;
  GetProjectsIssuerMode$2.outboundSchema = GetProjectsIssuerMode$outboundSchema;
})(GetProjectsIssuerMode$ || (GetProjectsIssuerMode$ = {}));
var GetProjectsOidcTokenConfig$inboundSchema = objectType({
  enabled: booleanType(),
  issuerMode: GetProjectsIssuerMode$inboundSchema.optional()
});
var GetProjectsOidcTokenConfig$outboundSchema = objectType({
  enabled: booleanType(),
  issuerMode: GetProjectsIssuerMode$outboundSchema.optional()
});
var GetProjectsOidcTokenConfig$;
(function(GetProjectsOidcTokenConfig$2) {
  GetProjectsOidcTokenConfig$2.inboundSchema = GetProjectsOidcTokenConfig$inboundSchema;
  GetProjectsOidcTokenConfig$2.outboundSchema = GetProjectsOidcTokenConfig$outboundSchema;
})(GetProjectsOidcTokenConfig$ || (GetProjectsOidcTokenConfig$ = {}));
var GetProjectsTier$inboundSchema = nativeEnumType(GetProjectsTier);
var GetProjectsTier$outboundSchema = GetProjectsTier$inboundSchema;
var GetProjectsTier$;
(function(GetProjectsTier$2) {
  GetProjectsTier$2.inboundSchema = GetProjectsTier$inboundSchema;
  GetProjectsTier$2.outboundSchema = GetProjectsTier$outboundSchema;
})(GetProjectsTier$ || (GetProjectsTier$ = {}));
var GetProjectsProjects$inboundSchema = objectType({
  accountId: stringType(),
  analytics: lazyType(() => GetProjectsAnalytics$inboundSchema).optional(),
  speedInsights: lazyType(() => GetProjectsSpeedInsights$inboundSchema).optional(),
  autoExposeSystemEnvs: booleanType().optional(),
  autoAssignCustomDomains: booleanType().optional(),
  autoAssignCustomDomainsUpdatedBy: stringType().optional(),
  buildCommand: nullableType(stringType()).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  connectConfigurationId: nullableType(stringType()).optional(),
  connectBuildsEnabled: booleanType().optional(),
  createdAt: numberType().optional(),
  customerSupportCodeVisibility: booleanType().optional(),
  crons: lazyType(() => GetProjectsCrons$inboundSchema).optional(),
  dataCache: lazyType(() => GetProjectsDataCache$inboundSchema).optional(),
  deploymentExpiration: nullableType(lazyType(() => GetProjectsDeploymentExpiration$inboundSchema)).optional(),
  devCommand: nullableType(stringType()).optional(),
  directoryListing: booleanType(),
  installCommand: nullableType(stringType()).optional(),
  env: arrayType(lazyType(() => GetProjectsEnv$inboundSchema)).optional(),
  customEnvironments: arrayType(lazyType(() => GetProjectsCustomEnvironments$inboundSchema)).optional(),
  framework: nullableType(GetProjectsFramework$inboundSchema).optional(),
  gitForkProtection: booleanType().optional(),
  gitLFS: booleanType().optional(),
  id: stringType(),
  ipBuckets: arrayType(lazyType(() => GetProjectsIpBuckets$inboundSchema)).optional(),
  latestDeployments: arrayType(lazyType(() => GetProjectsLatestDeployments$inboundSchema)).optional(),
  link: unionType([
    lazyType(() => GetProjectsLink1$inboundSchema),
    lazyType(() => GetProjectsLink3$inboundSchema),
    lazyType(() => GetProjectsLink2$inboundSchema)
  ]).optional(),
  microfrontends: lazyType(() => GetProjectsMicrofrontends$inboundSchema).optional(),
  name: stringType(),
  nodeVersion: GetProjectsNodeVersion$inboundSchema,
  optionsAllowlist: nullableType(lazyType(() => GetProjectsOptionsAllowlist$inboundSchema)).optional(),
  outputDirectory: nullableType(stringType()).optional(),
  passiveConnectConfigurationId: nullableType(stringType()).optional(),
  passwordProtection: nullableType(lazyType(() => GetProjectsPasswordProtection$inboundSchema)).optional(),
  productionDeploymentsFastLane: booleanType().optional(),
  publicSource: nullableType(booleanType()).optional(),
  resourceConfig: lazyType(() => GetProjectsResourceConfig$inboundSchema).optional(),
  rootDirectory: nullableType(stringType()).optional(),
  serverlessFunctionRegion: nullableType(stringType()).optional(),
  serverlessFunctionZeroConfigFailover: booleanType().optional(),
  skewProtectionBoundaryAt: numberType().optional(),
  skewProtectionMaxAge: numberType().optional(),
  skipGitConnectDuringLink: booleanType().optional(),
  sourceFilesOutsideRootDirectory: booleanType().optional(),
  enableAffectedProjectsDeployments: booleanType().optional(),
  ssoProtection: nullableType(lazyType(() => GetProjectsSsoProtection$inboundSchema)).optional(),
  targets: recordType(lazyType(() => GetProjectsTargets$inboundSchema)).optional(),
  transferCompletedAt: numberType().optional(),
  transferStartedAt: numberType().optional(),
  transferToAccountId: stringType().optional(),
  transferredFromAccountId: stringType().optional(),
  updatedAt: numberType().optional(),
  live: booleanType().optional(),
  enablePreviewFeedback: nullableType(booleanType()).optional(),
  enableProductionFeedback: nullableType(booleanType()).optional(),
  permissions: lazyType(() => GetProjectsPermissions$inboundSchema).optional(),
  lastRollbackTarget: nullableType(lazyType(() => GetProjectsLastRollbackTarget$inboundSchema)).optional(),
  lastAliasRequest: nullableType(lazyType(() => GetProjectsLastAliasRequest$inboundSchema)).optional(),
  hasFloatingAliases: booleanType().optional(),
  protectionBypass: recordType(lazyType(() => GetProjectsProtectionBypass$inboundSchema)).optional(),
  hasActiveBranches: booleanType().optional(),
  trustedIps: nullableType(unionType([
    lazyType(() => GetProjectsTrustedIps2$inboundSchema),
    lazyType(() => GetProjectsTrustedIps1$inboundSchema)
  ])).optional(),
  gitComments: lazyType(() => GetProjectsGitComments$inboundSchema).optional(),
  paused: booleanType().optional(),
  concurrencyBucketName: stringType().optional(),
  webAnalytics: lazyType(() => GetProjectsWebAnalytics$inboundSchema).optional(),
  security: lazyType(() => GetProjectsSecurity$inboundSchema).optional(),
  oidcTokenConfig: lazyType(() => GetProjectsOidcTokenConfig$inboundSchema).optional(),
  tier: GetProjectsTier$inboundSchema.optional()
});
var GetProjectsProjects$outboundSchema = objectType({
  accountId: stringType(),
  analytics: lazyType(() => GetProjectsAnalytics$outboundSchema).optional(),
  speedInsights: lazyType(() => GetProjectsSpeedInsights$outboundSchema).optional(),
  autoExposeSystemEnvs: booleanType().optional(),
  autoAssignCustomDomains: booleanType().optional(),
  autoAssignCustomDomainsUpdatedBy: stringType().optional(),
  buildCommand: nullableType(stringType()).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  connectConfigurationId: nullableType(stringType()).optional(),
  connectBuildsEnabled: booleanType().optional(),
  createdAt: numberType().optional(),
  customerSupportCodeVisibility: booleanType().optional(),
  crons: lazyType(() => GetProjectsCrons$outboundSchema).optional(),
  dataCache: lazyType(() => GetProjectsDataCache$outboundSchema).optional(),
  deploymentExpiration: nullableType(lazyType(() => GetProjectsDeploymentExpiration$outboundSchema)).optional(),
  devCommand: nullableType(stringType()).optional(),
  directoryListing: booleanType(),
  installCommand: nullableType(stringType()).optional(),
  env: arrayType(lazyType(() => GetProjectsEnv$outboundSchema)).optional(),
  customEnvironments: arrayType(lazyType(() => GetProjectsCustomEnvironments$outboundSchema)).optional(),
  framework: nullableType(GetProjectsFramework$outboundSchema).optional(),
  gitForkProtection: booleanType().optional(),
  gitLFS: booleanType().optional(),
  id: stringType(),
  ipBuckets: arrayType(lazyType(() => GetProjectsIpBuckets$outboundSchema)).optional(),
  latestDeployments: arrayType(lazyType(() => GetProjectsLatestDeployments$outboundSchema)).optional(),
  link: unionType([
    lazyType(() => GetProjectsLink1$outboundSchema),
    lazyType(() => GetProjectsLink3$outboundSchema),
    lazyType(() => GetProjectsLink2$outboundSchema)
  ]).optional(),
  microfrontends: lazyType(() => GetProjectsMicrofrontends$outboundSchema).optional(),
  name: stringType(),
  nodeVersion: GetProjectsNodeVersion$outboundSchema,
  optionsAllowlist: nullableType(lazyType(() => GetProjectsOptionsAllowlist$outboundSchema)).optional(),
  outputDirectory: nullableType(stringType()).optional(),
  passiveConnectConfigurationId: nullableType(stringType()).optional(),
  passwordProtection: nullableType(lazyType(() => GetProjectsPasswordProtection$outboundSchema)).optional(),
  productionDeploymentsFastLane: booleanType().optional(),
  publicSource: nullableType(booleanType()).optional(),
  resourceConfig: lazyType(() => GetProjectsResourceConfig$outboundSchema).optional(),
  rootDirectory: nullableType(stringType()).optional(),
  serverlessFunctionRegion: nullableType(stringType()).optional(),
  serverlessFunctionZeroConfigFailover: booleanType().optional(),
  skewProtectionBoundaryAt: numberType().optional(),
  skewProtectionMaxAge: numberType().optional(),
  skipGitConnectDuringLink: booleanType().optional(),
  sourceFilesOutsideRootDirectory: booleanType().optional(),
  enableAffectedProjectsDeployments: booleanType().optional(),
  ssoProtection: nullableType(lazyType(() => GetProjectsSsoProtection$outboundSchema)).optional(),
  targets: recordType(lazyType(() => GetProjectsTargets$outboundSchema)).optional(),
  transferCompletedAt: numberType().optional(),
  transferStartedAt: numberType().optional(),
  transferToAccountId: stringType().optional(),
  transferredFromAccountId: stringType().optional(),
  updatedAt: numberType().optional(),
  live: booleanType().optional(),
  enablePreviewFeedback: nullableType(booleanType()).optional(),
  enableProductionFeedback: nullableType(booleanType()).optional(),
  permissions: lazyType(() => GetProjectsPermissions$outboundSchema).optional(),
  lastRollbackTarget: nullableType(lazyType(() => GetProjectsLastRollbackTarget$outboundSchema)).optional(),
  lastAliasRequest: nullableType(lazyType(() => GetProjectsLastAliasRequest$outboundSchema)).optional(),
  hasFloatingAliases: booleanType().optional(),
  protectionBypass: recordType(lazyType(() => GetProjectsProtectionBypass$outboundSchema)).optional(),
  hasActiveBranches: booleanType().optional(),
  trustedIps: nullableType(unionType([
    lazyType(() => GetProjectsTrustedIps2$outboundSchema),
    lazyType(() => GetProjectsTrustedIps1$outboundSchema)
  ])).optional(),
  gitComments: lazyType(() => GetProjectsGitComments$outboundSchema).optional(),
  paused: booleanType().optional(),
  concurrencyBucketName: stringType().optional(),
  webAnalytics: lazyType(() => GetProjectsWebAnalytics$outboundSchema).optional(),
  security: lazyType(() => GetProjectsSecurity$outboundSchema).optional(),
  oidcTokenConfig: lazyType(() => GetProjectsOidcTokenConfig$outboundSchema).optional(),
  tier: GetProjectsTier$outboundSchema.optional()
});
var GetProjectsProjects$;
(function(GetProjectsProjects$2) {
  GetProjectsProjects$2.inboundSchema = GetProjectsProjects$inboundSchema;
  GetProjectsProjects$2.outboundSchema = GetProjectsProjects$outboundSchema;
})(GetProjectsProjects$ || (GetProjectsProjects$ = {}));
var GetProjectsResponseBody$inboundSchema = objectType({
  projects: arrayType(lazyType(() => GetProjectsProjects$inboundSchema)),
  pagination: Pagination$inboundSchema
});
var GetProjectsResponseBody$outboundSchema = objectType({
  projects: arrayType(lazyType(() => GetProjectsProjects$outboundSchema)),
  pagination: Pagination$outboundSchema
});
var GetProjectsResponseBody$;
(function(GetProjectsResponseBody$2) {
  GetProjectsResponseBody$2.inboundSchema = GetProjectsResponseBody$inboundSchema;
  GetProjectsResponseBody$2.outboundSchema = GetProjectsResponseBody$outboundSchema;
})(GetProjectsResponseBody$ || (GetProjectsResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsGetProjects.js
async function projectsGetProjects(client, request, options) {
  const parsed = safeParse(request, (value) => GetProjectsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v9/projects")();
  const query = encodeFormQuery({
    deprecated: payload.deprecated,
    edgeConfigId: payload.edgeConfigId,
    edgeConfigTokenId: payload.edgeConfigTokenId,
    excludeRepos: payload.excludeRepos,
    from: payload.from,
    gitForkProtection: payload.gitForkProtection,
    limit: payload.limit,
    repo: payload.repo,
    repoId: payload.repoId,
    repoUrl: payload.repoUrl,
    search: payload.search,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getProjects",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetProjectsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/listpromotealiasesop.js
var ListPromoteAliasesRequest$inboundSchema = objectType({
  projectId: stringType(),
  limit: numberType().optional(),
  since: numberType().optional(),
  until: numberType().optional(),
  failedOnly: booleanType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ListPromoteAliasesRequest$outboundSchema = objectType({
  projectId: stringType(),
  limit: numberType().optional(),
  since: numberType().optional(),
  until: numberType().optional(),
  failedOnly: booleanType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ListPromoteAliasesRequest$;
(function(ListPromoteAliasesRequest$2) {
  ListPromoteAliasesRequest$2.inboundSchema = ListPromoteAliasesRequest$inboundSchema;
  ListPromoteAliasesRequest$2.outboundSchema = ListPromoteAliasesRequest$outboundSchema;
})(ListPromoteAliasesRequest$ || (ListPromoteAliasesRequest$ = {}));
var ResponseBodyAliases$inboundSchema = objectType({
  status: stringType(),
  alias: stringType(),
  id: stringType()
});
var ResponseBodyAliases$outboundSchema = objectType({
  status: stringType(),
  alias: stringType(),
  id: stringType()
});
var ResponseBodyAliases$;
(function(ResponseBodyAliases$2) {
  ResponseBodyAliases$2.inboundSchema = ResponseBodyAliases$inboundSchema;
  ResponseBodyAliases$2.outboundSchema = ResponseBodyAliases$outboundSchema;
})(ResponseBodyAliases$ || (ResponseBodyAliases$ = {}));
var ListPromoteAliasesResponseBody2$inboundSchema = objectType({
  aliases: arrayType(lazyType(() => ResponseBodyAliases$inboundSchema)),
  pagination: Pagination$inboundSchema
});
var ListPromoteAliasesResponseBody2$outboundSchema = objectType({
  aliases: arrayType(lazyType(() => ResponseBodyAliases$outboundSchema)),
  pagination: Pagination$outboundSchema
});
var ListPromoteAliasesResponseBody2$;
(function(ListPromoteAliasesResponseBody2$2) {
  ListPromoteAliasesResponseBody2$2.inboundSchema = ListPromoteAliasesResponseBody2$inboundSchema;
  ListPromoteAliasesResponseBody2$2.outboundSchema = ListPromoteAliasesResponseBody2$outboundSchema;
})(ListPromoteAliasesResponseBody2$ || (ListPromoteAliasesResponseBody2$ = {}));
var ListPromoteAliasesResponseBody1$inboundSchema = objectType({});
var ListPromoteAliasesResponseBody1$outboundSchema = objectType({});
var ListPromoteAliasesResponseBody1$;
(function(ListPromoteAliasesResponseBody1$2) {
  ListPromoteAliasesResponseBody1$2.inboundSchema = ListPromoteAliasesResponseBody1$inboundSchema;
  ListPromoteAliasesResponseBody1$2.outboundSchema = ListPromoteAliasesResponseBody1$outboundSchema;
})(ListPromoteAliasesResponseBody1$ || (ListPromoteAliasesResponseBody1$ = {}));
var ListPromoteAliasesResponseBody$inboundSchema = unionType([
  lazyType(() => ListPromoteAliasesResponseBody1$inboundSchema),
  lazyType(() => ListPromoteAliasesResponseBody2$inboundSchema)
]);
var ListPromoteAliasesResponseBody$outboundSchema = unionType([
  lazyType(() => ListPromoteAliasesResponseBody1$outboundSchema),
  lazyType(() => ListPromoteAliasesResponseBody2$outboundSchema)
]);
var ListPromoteAliasesResponseBody$;
(function(ListPromoteAliasesResponseBody$2) {
  ListPromoteAliasesResponseBody$2.inboundSchema = ListPromoteAliasesResponseBody$inboundSchema;
  ListPromoteAliasesResponseBody$2.outboundSchema = ListPromoteAliasesResponseBody$outboundSchema;
})(ListPromoteAliasesResponseBody$ || (ListPromoteAliasesResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsListPromoteAliases.js
async function projectsListPromoteAliases(client, request, options) {
  const parsed = safeParse(request, (value) => ListPromoteAliasesRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/projects/{projectId}/promote/aliases")(pathParams);
  const query = encodeFormQuery({
    failedOnly: payload.failedOnly,
    limit: payload.limit,
    since: payload.since,
    slug: payload.slug,
    teamId: payload.teamId,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "listPromoteAliases",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ListPromoteAliasesResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/removeprojectdomainop.js
var RemoveProjectDomainRequest$inboundSchema = objectType({
  idOrName: stringType(),
  domain: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var RemoveProjectDomainRequest$outboundSchema = objectType({
  idOrName: stringType(),
  domain: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var RemoveProjectDomainRequest$;
(function(RemoveProjectDomainRequest$2) {
  RemoveProjectDomainRequest$2.inboundSchema = RemoveProjectDomainRequest$inboundSchema;
  RemoveProjectDomainRequest$2.outboundSchema = RemoveProjectDomainRequest$outboundSchema;
})(RemoveProjectDomainRequest$ || (RemoveProjectDomainRequest$ = {}));
var RemoveProjectDomainResponseBody$inboundSchema = objectType({});
var RemoveProjectDomainResponseBody$outboundSchema = objectType({});
var RemoveProjectDomainResponseBody$;
(function(RemoveProjectDomainResponseBody$2) {
  RemoveProjectDomainResponseBody$2.inboundSchema = RemoveProjectDomainResponseBody$inboundSchema;
  RemoveProjectDomainResponseBody$2.outboundSchema = RemoveProjectDomainResponseBody$outboundSchema;
})(RemoveProjectDomainResponseBody$ || (RemoveProjectDomainResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsRemoveProjectDomain.js
async function projectsRemoveProjectDomain(client, request, options) {
  const parsed = safeParse(request, (value) => RemoveProjectDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/domains/{domain}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "removeProjectDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RemoveProjectDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/removeprojectenvop.js
var RemoveProjectEnvTargetProjectsResponse2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var RemoveProjectEnvTargetProjectsResponse1 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var RemoveProjectEnvResponseBodyProjectsResponseType = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type = {
  FlagsConnectionString: "flags-connection-string"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type = {
  IntegrationStoreSecret: "integration-store-secret"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type = {
  PostgresUrlNoSsl: "postgres-url-no-ssl"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type = {
  PostgresDatabase: "postgres-database"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type = {
  PostgresPassword: "postgres-password"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type = {
  PostgresHost: "postgres-host"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type = {
  PostgresUser: "postgres-user"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type = {
  PostgresPrismaUrl: "postgres-prisma-url"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type = {
  PostgresUrlNonPooling: "postgres-url-non-pooling"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type = {
  PostgresUrl: "postgres-url"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type = {
  BlobReadWriteToken: "blob-read-write-token"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type = {
  RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type = {
  RedisRestApiToken: "redis-rest-api-token"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type = {
  RedisRestApiUrl: "redis-rest-api-url"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type = {
  RedisUrl: "redis-url"
};
var RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type = {
  FlagsSecret: "flags-secret"
};
var RemoveProjectEnvTargetProjects2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var RemoveProjectEnvTargetProjects1 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var RemoveProjectEnvResponseBodyProjectsType = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type = {
  FlagsConnectionString: "flags-connection-string"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type = {
  IntegrationStoreSecret: "integration-store-secret"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type = {
  PostgresUrlNoSsl: "postgres-url-no-ssl"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type = {
  PostgresDatabase: "postgres-database"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type = {
  PostgresPassword: "postgres-password"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type = {
  PostgresHost: "postgres-host"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type = {
  PostgresUser: "postgres-user"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type = {
  PostgresPrismaUrl: "postgres-prisma-url"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type = {
  PostgresUrlNonPooling: "postgres-url-non-pooling"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type = {
  PostgresUrl: "postgres-url"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type = {
  BlobReadWriteToken: "blob-read-write-token"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type = {
  RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type = {
  RedisRestApiToken: "redis-rest-api-token"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type = {
  RedisRestApiUrl: "redis-rest-api-url"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type = {
  RedisUrl: "redis-url"
};
var RemoveProjectEnvResponseBodyProjectsResponse200Type = {
  FlagsSecret: "flags-secret"
};
var RemoveProjectEnvTarget2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var RemoveProjectEnvTarget1 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var RemoveProjectEnvResponseBodyType = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type = {
  FlagsConnectionString: "flags-connection-string"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type = {
  IntegrationStoreSecret: "integration-store-secret"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type = {
  PostgresUrlNoSsl: "postgres-url-no-ssl"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type = {
  PostgresDatabase: "postgres-database"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type = {
  PostgresPassword: "postgres-password"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type = {
  PostgresHost: "postgres-host"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type = {
  PostgresUser: "postgres-user"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type = {
  PostgresPrismaUrl: "postgres-prisma-url"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type = {
  PostgresUrlNonPooling: "postgres-url-non-pooling"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType = {
  PostgresUrl: "postgres-url"
};
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType = {
  BlobReadWriteToken: "blob-read-write-token"
};
var RemoveProjectEnvContentHintProjectsResponse200Type = {
  RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
};
var RemoveProjectEnvContentHintProjectsResponseType = {
  RedisRestApiToken: "redis-rest-api-token"
};
var RemoveProjectEnvContentHintProjectsType = {
  RedisRestApiUrl: "redis-rest-api-url"
};
var RemoveProjectEnvContentHintType = {
  RedisUrl: "redis-url"
};
var RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType = {
  FlagsSecret: "flags-secret"
};
var RemoveProjectEnvRequest$inboundSchema = objectType({
  idOrName: stringType(),
  id: stringType(),
  customEnvironmentId: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var RemoveProjectEnvRequest$outboundSchema = objectType({
  idOrName: stringType(),
  id: stringType(),
  customEnvironmentId: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var RemoveProjectEnvRequest$;
(function(RemoveProjectEnvRequest$2) {
  RemoveProjectEnvRequest$2.inboundSchema = RemoveProjectEnvRequest$inboundSchema;
  RemoveProjectEnvRequest$2.outboundSchema = RemoveProjectEnvRequest$outboundSchema;
})(RemoveProjectEnvRequest$ || (RemoveProjectEnvRequest$ = {}));
var RemoveProjectEnvTargetProjectsResponse2$inboundSchema = nativeEnumType(RemoveProjectEnvTargetProjectsResponse2);
var RemoveProjectEnvTargetProjectsResponse2$outboundSchema = RemoveProjectEnvTargetProjectsResponse2$inboundSchema;
var RemoveProjectEnvTargetProjectsResponse2$;
(function(RemoveProjectEnvTargetProjectsResponse2$2) {
  RemoveProjectEnvTargetProjectsResponse2$2.inboundSchema = RemoveProjectEnvTargetProjectsResponse2$inboundSchema;
  RemoveProjectEnvTargetProjectsResponse2$2.outboundSchema = RemoveProjectEnvTargetProjectsResponse2$outboundSchema;
})(RemoveProjectEnvTargetProjectsResponse2$ || (RemoveProjectEnvTargetProjectsResponse2$ = {}));
var RemoveProjectEnvTargetProjectsResponse1$inboundSchema = nativeEnumType(RemoveProjectEnvTargetProjectsResponse1);
var RemoveProjectEnvTargetProjectsResponse1$outboundSchema = RemoveProjectEnvTargetProjectsResponse1$inboundSchema;
var RemoveProjectEnvTargetProjectsResponse1$;
(function(RemoveProjectEnvTargetProjectsResponse1$2) {
  RemoveProjectEnvTargetProjectsResponse1$2.inboundSchema = RemoveProjectEnvTargetProjectsResponse1$inboundSchema;
  RemoveProjectEnvTargetProjectsResponse1$2.outboundSchema = RemoveProjectEnvTargetProjectsResponse1$outboundSchema;
})(RemoveProjectEnvTargetProjectsResponse1$ || (RemoveProjectEnvTargetProjectsResponse1$ = {}));
var RemoveProjectEnvResponseBodyProjectsResponseTarget$inboundSchema = unionType([
  arrayType(RemoveProjectEnvTargetProjectsResponse1$inboundSchema),
  RemoveProjectEnvTargetProjectsResponse2$inboundSchema
]);
var RemoveProjectEnvResponseBodyProjectsResponseTarget$outboundSchema = unionType([
  arrayType(RemoveProjectEnvTargetProjectsResponse1$outboundSchema),
  RemoveProjectEnvTargetProjectsResponse2$outboundSchema
]);
var RemoveProjectEnvResponseBodyProjectsResponseTarget$;
(function(RemoveProjectEnvResponseBodyProjectsResponseTarget$2) {
  RemoveProjectEnvResponseBodyProjectsResponseTarget$2.inboundSchema = RemoveProjectEnvResponseBodyProjectsResponseTarget$inboundSchema;
  RemoveProjectEnvResponseBodyProjectsResponseTarget$2.outboundSchema = RemoveProjectEnvResponseBodyProjectsResponseTarget$outboundSchema;
})(RemoveProjectEnvResponseBodyProjectsResponseTarget$ || (RemoveProjectEnvResponseBodyProjectsResponseTarget$ = {}));
var RemoveProjectEnvResponseBodyProjectsResponseType$inboundSchema = nativeEnumType(RemoveProjectEnvResponseBodyProjectsResponseType);
var RemoveProjectEnvResponseBodyProjectsResponseType$outboundSchema = RemoveProjectEnvResponseBodyProjectsResponseType$inboundSchema;
var RemoveProjectEnvResponseBodyProjectsResponseType$;
(function(RemoveProjectEnvResponseBodyProjectsResponseType$2) {
  RemoveProjectEnvResponseBodyProjectsResponseType$2.inboundSchema = RemoveProjectEnvResponseBodyProjectsResponseType$inboundSchema;
  RemoveProjectEnvResponseBodyProjectsResponseType$2.outboundSchema = RemoveProjectEnvResponseBodyProjectsResponseType$outboundSchema;
})(RemoveProjectEnvResponseBodyProjectsResponseType$ || (RemoveProjectEnvResponseBodyProjectsResponseType$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$ = {}));
var RemoveProjectEnvContentHintProjectsResponse15$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$inboundSchema,
  projectId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse15$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody315Type$outboundSchema,
  projectId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse15$;
(function(RemoveProjectEnvContentHintProjectsResponse15$2) {
  RemoveProjectEnvContentHintProjectsResponse15$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse15$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse15$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse15$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse15$ || (RemoveProjectEnvContentHintProjectsResponse15$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$ = {}));
var RemoveProjectEnvContentHintProjectsResponse14$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$inboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse14$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody314Type$outboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse14$;
(function(RemoveProjectEnvContentHintProjectsResponse14$2) {
  RemoveProjectEnvContentHintProjectsResponse14$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse14$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse14$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse14$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse14$ || (RemoveProjectEnvContentHintProjectsResponse14$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$ = {}));
var RemoveProjectEnvContentHintProjectsResponse13$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse13$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody313Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse13$;
(function(RemoveProjectEnvContentHintProjectsResponse13$2) {
  RemoveProjectEnvContentHintProjectsResponse13$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse13$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse13$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse13$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse13$ || (RemoveProjectEnvContentHintProjectsResponse13$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$ = {}));
var RemoveProjectEnvContentHintProjectsResponse12$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse12$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody312Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse12$;
(function(RemoveProjectEnvContentHintProjectsResponse12$2) {
  RemoveProjectEnvContentHintProjectsResponse12$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse12$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse12$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse12$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse12$ || (RemoveProjectEnvContentHintProjectsResponse12$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$ = {}));
var RemoveProjectEnvContentHintProjectsResponse11$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse11$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody311Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse11$;
(function(RemoveProjectEnvContentHintProjectsResponse11$2) {
  RemoveProjectEnvContentHintProjectsResponse11$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse11$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse11$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse11$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse11$ || (RemoveProjectEnvContentHintProjectsResponse11$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$ = {}));
var RemoveProjectEnvContentHintProjectsResponse10$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse10$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody310Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse10$;
(function(RemoveProjectEnvContentHintProjectsResponse10$2) {
  RemoveProjectEnvContentHintProjectsResponse10$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse10$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse10$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse10$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse10$ || (RemoveProjectEnvContentHintProjectsResponse10$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$ = {}));
var RemoveProjectEnvContentHintProjectsResponse9$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse9$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody39Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse9$;
(function(RemoveProjectEnvContentHintProjectsResponse9$2) {
  RemoveProjectEnvContentHintProjectsResponse9$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse9$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse9$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse9$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse9$ || (RemoveProjectEnvContentHintProjectsResponse9$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$ = {}));
var RemoveProjectEnvContentHintProjectsResponse8$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse8$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody38Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse8$;
(function(RemoveProjectEnvContentHintProjectsResponse8$2) {
  RemoveProjectEnvContentHintProjectsResponse8$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse8$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse8$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse8$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse8$ || (RemoveProjectEnvContentHintProjectsResponse8$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$ = {}));
var RemoveProjectEnvContentHintProjectsResponse7$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse7$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody37Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse7$;
(function(RemoveProjectEnvContentHintProjectsResponse7$2) {
  RemoveProjectEnvContentHintProjectsResponse7$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse7$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse7$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse7$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse7$ || (RemoveProjectEnvContentHintProjectsResponse7$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$ = {}));
var RemoveProjectEnvContentHintProjectsResponse6$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse6$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody36Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse6$;
(function(RemoveProjectEnvContentHintProjectsResponse6$2) {
  RemoveProjectEnvContentHintProjectsResponse6$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse6$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse6$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse6$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse6$ || (RemoveProjectEnvContentHintProjectsResponse6$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$ = {}));
var RemoveProjectEnvContentHintProjectsResponse5$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse5$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody35Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse5$;
(function(RemoveProjectEnvContentHintProjectsResponse5$2) {
  RemoveProjectEnvContentHintProjectsResponse5$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse5$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse5$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse5$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse5$ || (RemoveProjectEnvContentHintProjectsResponse5$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$ = {}));
var RemoveProjectEnvContentHintProjectsResponse4$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse4$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody34Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse4$;
(function(RemoveProjectEnvContentHintProjectsResponse4$2) {
  RemoveProjectEnvContentHintProjectsResponse4$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse4$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse4$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse4$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse4$ || (RemoveProjectEnvContentHintProjectsResponse4$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$ = {}));
var RemoveProjectEnvContentHintProjectsResponse3$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse3$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody33Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse3$;
(function(RemoveProjectEnvContentHintProjectsResponse3$2) {
  RemoveProjectEnvContentHintProjectsResponse3$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse3$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse3$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse3$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse3$ || (RemoveProjectEnvContentHintProjectsResponse3$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$ = {}));
var RemoveProjectEnvContentHintProjectsResponse2$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse2$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody32Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse2$;
(function(RemoveProjectEnvContentHintProjectsResponse2$2) {
  RemoveProjectEnvContentHintProjectsResponse2$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse2$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse2$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse2$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse2$ || (RemoveProjectEnvContentHintProjectsResponse2$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$ = {}));
var RemoveProjectEnvContentHintProjectsResponse1$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse1$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody3Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjectsResponse1$;
(function(RemoveProjectEnvContentHintProjectsResponse1$2) {
  RemoveProjectEnvContentHintProjectsResponse1$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse1$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse1$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse1$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse1$ || (RemoveProjectEnvContentHintProjectsResponse1$ = {}));
var RemoveProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema = unionType([
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse1$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse2$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse3$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse4$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse5$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse6$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse7$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse8$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse9$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse10$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse11$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse12$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse13$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse15$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse14$inboundSchema)
]);
var RemoveProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema = unionType([
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse1$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse2$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse3$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse4$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse5$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse6$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse7$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse8$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse9$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse10$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse11$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse12$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse13$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse15$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjectsResponse14$outboundSchema)
]);
var RemoveProjectEnvResponseBodyProjectsResponseContentHint$;
(function(RemoveProjectEnvResponseBodyProjectsResponseContentHint$2) {
  RemoveProjectEnvResponseBodyProjectsResponseContentHint$2.inboundSchema = RemoveProjectEnvResponseBodyProjectsResponseContentHint$inboundSchema;
  RemoveProjectEnvResponseBodyProjectsResponseContentHint$2.outboundSchema = RemoveProjectEnvResponseBodyProjectsResponseContentHint$outboundSchema;
})(RemoveProjectEnvResponseBodyProjectsResponseContentHint$ || (RemoveProjectEnvResponseBodyProjectsResponseContentHint$ = {}));
var RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema = nativeEnumType(RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type);
var RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema;
var RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$;
(function(RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$2) {
  RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$2.inboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema;
  RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$2.outboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema;
})(RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$ || (RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$ = {}));
var RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema = objectType({
  type: RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$inboundSchema,
  encryptedValue: stringType()
});
var RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema = objectType({
  type: RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJson3Type$outboundSchema,
  encryptedValue: stringType()
});
var RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$;
(function(RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$2) {
  RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$2.inboundSchema = RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema;
  RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$2.outboundSchema = RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema;
})(RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$ || (RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$ = {}));
var RemoveProjectEnvResponseBody3$inboundSchema = objectType({
  target: unionType([
    arrayType(RemoveProjectEnvTargetProjectsResponse1$inboundSchema),
    RemoveProjectEnvTargetProjectsResponse2$inboundSchema
  ]).optional(),
  type: RemoveProjectEnvResponseBodyProjectsResponseType$inboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse1$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse2$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse3$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse4$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse5$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse6$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse7$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse8$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse9$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse10$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse11$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse12$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse13$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse15$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse14$inboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$inboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var RemoveProjectEnvResponseBody3$outboundSchema = objectType({
  target: unionType([
    arrayType(RemoveProjectEnvTargetProjectsResponse1$outboundSchema),
    RemoveProjectEnvTargetProjectsResponse2$outboundSchema
  ]).optional(),
  type: RemoveProjectEnvResponseBodyProjectsResponseType$outboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse1$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse2$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse3$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse4$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse5$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse6$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse7$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse8$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse9$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse10$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse11$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse12$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse13$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse15$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjectsResponse14$outboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => RemoveProjectEnvResponseBodyProjectsResponseInternalContentHint$outboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var RemoveProjectEnvResponseBody3$;
(function(RemoveProjectEnvResponseBody3$2) {
  RemoveProjectEnvResponseBody3$2.inboundSchema = RemoveProjectEnvResponseBody3$inboundSchema;
  RemoveProjectEnvResponseBody3$2.outboundSchema = RemoveProjectEnvResponseBody3$outboundSchema;
})(RemoveProjectEnvResponseBody3$ || (RemoveProjectEnvResponseBody3$ = {}));
var RemoveProjectEnvTargetProjects2$inboundSchema = nativeEnumType(RemoveProjectEnvTargetProjects2);
var RemoveProjectEnvTargetProjects2$outboundSchema = RemoveProjectEnvTargetProjects2$inboundSchema;
var RemoveProjectEnvTargetProjects2$;
(function(RemoveProjectEnvTargetProjects2$2) {
  RemoveProjectEnvTargetProjects2$2.inboundSchema = RemoveProjectEnvTargetProjects2$inboundSchema;
  RemoveProjectEnvTargetProjects2$2.outboundSchema = RemoveProjectEnvTargetProjects2$outboundSchema;
})(RemoveProjectEnvTargetProjects2$ || (RemoveProjectEnvTargetProjects2$ = {}));
var RemoveProjectEnvTargetProjects1$inboundSchema = nativeEnumType(RemoveProjectEnvTargetProjects1);
var RemoveProjectEnvTargetProjects1$outboundSchema = RemoveProjectEnvTargetProjects1$inboundSchema;
var RemoveProjectEnvTargetProjects1$;
(function(RemoveProjectEnvTargetProjects1$2) {
  RemoveProjectEnvTargetProjects1$2.inboundSchema = RemoveProjectEnvTargetProjects1$inboundSchema;
  RemoveProjectEnvTargetProjects1$2.outboundSchema = RemoveProjectEnvTargetProjects1$outboundSchema;
})(RemoveProjectEnvTargetProjects1$ || (RemoveProjectEnvTargetProjects1$ = {}));
var RemoveProjectEnvResponseBodyProjectsTarget$inboundSchema = unionType([
  arrayType(RemoveProjectEnvTargetProjects1$inboundSchema),
  RemoveProjectEnvTargetProjects2$inboundSchema
]);
var RemoveProjectEnvResponseBodyProjectsTarget$outboundSchema = unionType([
  arrayType(RemoveProjectEnvTargetProjects1$outboundSchema),
  RemoveProjectEnvTargetProjects2$outboundSchema
]);
var RemoveProjectEnvResponseBodyProjectsTarget$;
(function(RemoveProjectEnvResponseBodyProjectsTarget$2) {
  RemoveProjectEnvResponseBodyProjectsTarget$2.inboundSchema = RemoveProjectEnvResponseBodyProjectsTarget$inboundSchema;
  RemoveProjectEnvResponseBodyProjectsTarget$2.outboundSchema = RemoveProjectEnvResponseBodyProjectsTarget$outboundSchema;
})(RemoveProjectEnvResponseBodyProjectsTarget$ || (RemoveProjectEnvResponseBodyProjectsTarget$ = {}));
var RemoveProjectEnvResponseBodyProjectsType$inboundSchema = nativeEnumType(RemoveProjectEnvResponseBodyProjectsType);
var RemoveProjectEnvResponseBodyProjectsType$outboundSchema = RemoveProjectEnvResponseBodyProjectsType$inboundSchema;
var RemoveProjectEnvResponseBodyProjectsType$;
(function(RemoveProjectEnvResponseBodyProjectsType$2) {
  RemoveProjectEnvResponseBodyProjectsType$2.inboundSchema = RemoveProjectEnvResponseBodyProjectsType$inboundSchema;
  RemoveProjectEnvResponseBodyProjectsType$2.outboundSchema = RemoveProjectEnvResponseBodyProjectsType$outboundSchema;
})(RemoveProjectEnvResponseBodyProjectsType$ || (RemoveProjectEnvResponseBodyProjectsType$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$ = {}));
var RemoveProjectEnvContentHintProjects15$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$inboundSchema,
  projectId: stringType()
});
var RemoveProjectEnvContentHintProjects15$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody215Type$outboundSchema,
  projectId: stringType()
});
var RemoveProjectEnvContentHintProjects15$;
(function(RemoveProjectEnvContentHintProjects15$2) {
  RemoveProjectEnvContentHintProjects15$2.inboundSchema = RemoveProjectEnvContentHintProjects15$inboundSchema;
  RemoveProjectEnvContentHintProjects15$2.outboundSchema = RemoveProjectEnvContentHintProjects15$outboundSchema;
})(RemoveProjectEnvContentHintProjects15$ || (RemoveProjectEnvContentHintProjects15$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$ = {}));
var RemoveProjectEnvContentHintProjects14$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$inboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var RemoveProjectEnvContentHintProjects14$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody214Type$outboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var RemoveProjectEnvContentHintProjects14$;
(function(RemoveProjectEnvContentHintProjects14$2) {
  RemoveProjectEnvContentHintProjects14$2.inboundSchema = RemoveProjectEnvContentHintProjects14$inboundSchema;
  RemoveProjectEnvContentHintProjects14$2.outboundSchema = RemoveProjectEnvContentHintProjects14$outboundSchema;
})(RemoveProjectEnvContentHintProjects14$ || (RemoveProjectEnvContentHintProjects14$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$ = {}));
var RemoveProjectEnvContentHintProjects13$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects13$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody213Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects13$;
(function(RemoveProjectEnvContentHintProjects13$2) {
  RemoveProjectEnvContentHintProjects13$2.inboundSchema = RemoveProjectEnvContentHintProjects13$inboundSchema;
  RemoveProjectEnvContentHintProjects13$2.outboundSchema = RemoveProjectEnvContentHintProjects13$outboundSchema;
})(RemoveProjectEnvContentHintProjects13$ || (RemoveProjectEnvContentHintProjects13$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$ = {}));
var RemoveProjectEnvContentHintProjects12$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects12$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody212Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects12$;
(function(RemoveProjectEnvContentHintProjects12$2) {
  RemoveProjectEnvContentHintProjects12$2.inboundSchema = RemoveProjectEnvContentHintProjects12$inboundSchema;
  RemoveProjectEnvContentHintProjects12$2.outboundSchema = RemoveProjectEnvContentHintProjects12$outboundSchema;
})(RemoveProjectEnvContentHintProjects12$ || (RemoveProjectEnvContentHintProjects12$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$ = {}));
var RemoveProjectEnvContentHintProjects11$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects11$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody211Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects11$;
(function(RemoveProjectEnvContentHintProjects11$2) {
  RemoveProjectEnvContentHintProjects11$2.inboundSchema = RemoveProjectEnvContentHintProjects11$inboundSchema;
  RemoveProjectEnvContentHintProjects11$2.outboundSchema = RemoveProjectEnvContentHintProjects11$outboundSchema;
})(RemoveProjectEnvContentHintProjects11$ || (RemoveProjectEnvContentHintProjects11$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$ = {}));
var RemoveProjectEnvContentHintProjects10$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects10$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody210Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects10$;
(function(RemoveProjectEnvContentHintProjects10$2) {
  RemoveProjectEnvContentHintProjects10$2.inboundSchema = RemoveProjectEnvContentHintProjects10$inboundSchema;
  RemoveProjectEnvContentHintProjects10$2.outboundSchema = RemoveProjectEnvContentHintProjects10$outboundSchema;
})(RemoveProjectEnvContentHintProjects10$ || (RemoveProjectEnvContentHintProjects10$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$ = {}));
var RemoveProjectEnvContentHintProjects9$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects9$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody29Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects9$;
(function(RemoveProjectEnvContentHintProjects9$2) {
  RemoveProjectEnvContentHintProjects9$2.inboundSchema = RemoveProjectEnvContentHintProjects9$inboundSchema;
  RemoveProjectEnvContentHintProjects9$2.outboundSchema = RemoveProjectEnvContentHintProjects9$outboundSchema;
})(RemoveProjectEnvContentHintProjects9$ || (RemoveProjectEnvContentHintProjects9$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$ = {}));
var RemoveProjectEnvContentHintProjects8$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects8$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody28Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects8$;
(function(RemoveProjectEnvContentHintProjects8$2) {
  RemoveProjectEnvContentHintProjects8$2.inboundSchema = RemoveProjectEnvContentHintProjects8$inboundSchema;
  RemoveProjectEnvContentHintProjects8$2.outboundSchema = RemoveProjectEnvContentHintProjects8$outboundSchema;
})(RemoveProjectEnvContentHintProjects8$ || (RemoveProjectEnvContentHintProjects8$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$ = {}));
var RemoveProjectEnvContentHintProjects7$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects7$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody27Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects7$;
(function(RemoveProjectEnvContentHintProjects7$2) {
  RemoveProjectEnvContentHintProjects7$2.inboundSchema = RemoveProjectEnvContentHintProjects7$inboundSchema;
  RemoveProjectEnvContentHintProjects7$2.outboundSchema = RemoveProjectEnvContentHintProjects7$outboundSchema;
})(RemoveProjectEnvContentHintProjects7$ || (RemoveProjectEnvContentHintProjects7$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$ = {}));
var RemoveProjectEnvContentHintProjects6$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects6$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody26Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects6$;
(function(RemoveProjectEnvContentHintProjects6$2) {
  RemoveProjectEnvContentHintProjects6$2.inboundSchema = RemoveProjectEnvContentHintProjects6$inboundSchema;
  RemoveProjectEnvContentHintProjects6$2.outboundSchema = RemoveProjectEnvContentHintProjects6$outboundSchema;
})(RemoveProjectEnvContentHintProjects6$ || (RemoveProjectEnvContentHintProjects6$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$ = {}));
var RemoveProjectEnvContentHintProjects5$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects5$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody25Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects5$;
(function(RemoveProjectEnvContentHintProjects5$2) {
  RemoveProjectEnvContentHintProjects5$2.inboundSchema = RemoveProjectEnvContentHintProjects5$inboundSchema;
  RemoveProjectEnvContentHintProjects5$2.outboundSchema = RemoveProjectEnvContentHintProjects5$outboundSchema;
})(RemoveProjectEnvContentHintProjects5$ || (RemoveProjectEnvContentHintProjects5$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$ = {}));
var RemoveProjectEnvContentHintProjects4$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects4$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody24Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects4$;
(function(RemoveProjectEnvContentHintProjects4$2) {
  RemoveProjectEnvContentHintProjects4$2.inboundSchema = RemoveProjectEnvContentHintProjects4$inboundSchema;
  RemoveProjectEnvContentHintProjects4$2.outboundSchema = RemoveProjectEnvContentHintProjects4$outboundSchema;
})(RemoveProjectEnvContentHintProjects4$ || (RemoveProjectEnvContentHintProjects4$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$ = {}));
var RemoveProjectEnvContentHintProjects3$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects3$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody23Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects3$;
(function(RemoveProjectEnvContentHintProjects3$2) {
  RemoveProjectEnvContentHintProjects3$2.inboundSchema = RemoveProjectEnvContentHintProjects3$inboundSchema;
  RemoveProjectEnvContentHintProjects3$2.outboundSchema = RemoveProjectEnvContentHintProjects3$outboundSchema;
})(RemoveProjectEnvContentHintProjects3$ || (RemoveProjectEnvContentHintProjects3$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$ = {}));
var RemoveProjectEnvContentHintProjects2$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects2$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody22Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects2$;
(function(RemoveProjectEnvContentHintProjects2$2) {
  RemoveProjectEnvContentHintProjects2$2.inboundSchema = RemoveProjectEnvContentHintProjects2$inboundSchema;
  RemoveProjectEnvContentHintProjects2$2.outboundSchema = RemoveProjectEnvContentHintProjects2$outboundSchema;
})(RemoveProjectEnvContentHintProjects2$ || (RemoveProjectEnvContentHintProjects2$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$ = {}));
var RemoveProjectEnvContentHintProjects1$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects1$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody2Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHintProjects1$;
(function(RemoveProjectEnvContentHintProjects1$2) {
  RemoveProjectEnvContentHintProjects1$2.inboundSchema = RemoveProjectEnvContentHintProjects1$inboundSchema;
  RemoveProjectEnvContentHintProjects1$2.outboundSchema = RemoveProjectEnvContentHintProjects1$outboundSchema;
})(RemoveProjectEnvContentHintProjects1$ || (RemoveProjectEnvContentHintProjects1$ = {}));
var RemoveProjectEnvResponseBodyProjectsContentHint$inboundSchema = unionType([
  lazyType(() => RemoveProjectEnvContentHintProjects1$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects2$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects3$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects4$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects5$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects6$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects7$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects8$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects9$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects10$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects11$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects12$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects13$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects15$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects14$inboundSchema)
]);
var RemoveProjectEnvResponseBodyProjectsContentHint$outboundSchema = unionType([
  lazyType(() => RemoveProjectEnvContentHintProjects1$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects2$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects3$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects4$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects5$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects6$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects7$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects8$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects9$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects10$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects11$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects12$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects13$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects15$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHintProjects14$outboundSchema)
]);
var RemoveProjectEnvResponseBodyProjectsContentHint$;
(function(RemoveProjectEnvResponseBodyProjectsContentHint$2) {
  RemoveProjectEnvResponseBodyProjectsContentHint$2.inboundSchema = RemoveProjectEnvResponseBodyProjectsContentHint$inboundSchema;
  RemoveProjectEnvResponseBodyProjectsContentHint$2.outboundSchema = RemoveProjectEnvResponseBodyProjectsContentHint$outboundSchema;
})(RemoveProjectEnvResponseBodyProjectsContentHint$ || (RemoveProjectEnvResponseBodyProjectsContentHint$ = {}));
var RemoveProjectEnvResponseBodyProjectsResponse200Type$inboundSchema = nativeEnumType(RemoveProjectEnvResponseBodyProjectsResponse200Type);
var RemoveProjectEnvResponseBodyProjectsResponse200Type$outboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200Type$inboundSchema;
var RemoveProjectEnvResponseBodyProjectsResponse200Type$;
(function(RemoveProjectEnvResponseBodyProjectsResponse200Type$2) {
  RemoveProjectEnvResponseBodyProjectsResponse200Type$2.inboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200Type$inboundSchema;
  RemoveProjectEnvResponseBodyProjectsResponse200Type$2.outboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200Type$outboundSchema;
})(RemoveProjectEnvResponseBodyProjectsResponse200Type$ || (RemoveProjectEnvResponseBodyProjectsResponse200Type$ = {}));
var RemoveProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema = objectType({
  type: RemoveProjectEnvResponseBodyProjectsResponse200Type$inboundSchema,
  encryptedValue: stringType()
});
var RemoveProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema = objectType({
  type: RemoveProjectEnvResponseBodyProjectsResponse200Type$outboundSchema,
  encryptedValue: stringType()
});
var RemoveProjectEnvResponseBodyProjectsInternalContentHint$;
(function(RemoveProjectEnvResponseBodyProjectsInternalContentHint$2) {
  RemoveProjectEnvResponseBodyProjectsInternalContentHint$2.inboundSchema = RemoveProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema;
  RemoveProjectEnvResponseBodyProjectsInternalContentHint$2.outboundSchema = RemoveProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema;
})(RemoveProjectEnvResponseBodyProjectsInternalContentHint$ || (RemoveProjectEnvResponseBodyProjectsInternalContentHint$ = {}));
var RemoveProjectEnvResponseBody2$inboundSchema = objectType({
  system: booleanType().optional(),
  target: unionType([
    arrayType(RemoveProjectEnvTargetProjects1$inboundSchema),
    RemoveProjectEnvTargetProjects2$inboundSchema
  ]).optional(),
  type: RemoveProjectEnvResponseBodyProjectsType$inboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => RemoveProjectEnvContentHintProjects1$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects2$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects3$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects4$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects5$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects6$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects7$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects8$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects9$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects10$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects11$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects12$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects13$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects15$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects14$inboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => RemoveProjectEnvResponseBodyProjectsInternalContentHint$inboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var RemoveProjectEnvResponseBody2$outboundSchema = objectType({
  system: booleanType().optional(),
  target: unionType([
    arrayType(RemoveProjectEnvTargetProjects1$outboundSchema),
    RemoveProjectEnvTargetProjects2$outboundSchema
  ]).optional(),
  type: RemoveProjectEnvResponseBodyProjectsType$outboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => RemoveProjectEnvContentHintProjects1$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects2$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects3$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects4$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects5$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects6$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects7$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects8$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects9$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects10$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects11$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects12$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects13$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects15$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHintProjects14$outboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => RemoveProjectEnvResponseBodyProjectsInternalContentHint$outboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var RemoveProjectEnvResponseBody2$;
(function(RemoveProjectEnvResponseBody2$2) {
  RemoveProjectEnvResponseBody2$2.inboundSchema = RemoveProjectEnvResponseBody2$inboundSchema;
  RemoveProjectEnvResponseBody2$2.outboundSchema = RemoveProjectEnvResponseBody2$outboundSchema;
})(RemoveProjectEnvResponseBody2$ || (RemoveProjectEnvResponseBody2$ = {}));
var RemoveProjectEnvTarget2$inboundSchema = nativeEnumType(RemoveProjectEnvTarget2);
var RemoveProjectEnvTarget2$outboundSchema = RemoveProjectEnvTarget2$inboundSchema;
var RemoveProjectEnvTarget2$;
(function(RemoveProjectEnvTarget2$2) {
  RemoveProjectEnvTarget2$2.inboundSchema = RemoveProjectEnvTarget2$inboundSchema;
  RemoveProjectEnvTarget2$2.outboundSchema = RemoveProjectEnvTarget2$outboundSchema;
})(RemoveProjectEnvTarget2$ || (RemoveProjectEnvTarget2$ = {}));
var RemoveProjectEnvTarget1$inboundSchema = nativeEnumType(RemoveProjectEnvTarget1);
var RemoveProjectEnvTarget1$outboundSchema = RemoveProjectEnvTarget1$inboundSchema;
var RemoveProjectEnvTarget1$;
(function(RemoveProjectEnvTarget1$2) {
  RemoveProjectEnvTarget1$2.inboundSchema = RemoveProjectEnvTarget1$inboundSchema;
  RemoveProjectEnvTarget1$2.outboundSchema = RemoveProjectEnvTarget1$outboundSchema;
})(RemoveProjectEnvTarget1$ || (RemoveProjectEnvTarget1$ = {}));
var RemoveProjectEnvResponseBodyTarget$inboundSchema = unionType([
  arrayType(RemoveProjectEnvTarget1$inboundSchema),
  RemoveProjectEnvTarget2$inboundSchema
]);
var RemoveProjectEnvResponseBodyTarget$outboundSchema = unionType([
  arrayType(RemoveProjectEnvTarget1$outboundSchema),
  RemoveProjectEnvTarget2$outboundSchema
]);
var RemoveProjectEnvResponseBodyTarget$;
(function(RemoveProjectEnvResponseBodyTarget$2) {
  RemoveProjectEnvResponseBodyTarget$2.inboundSchema = RemoveProjectEnvResponseBodyTarget$inboundSchema;
  RemoveProjectEnvResponseBodyTarget$2.outboundSchema = RemoveProjectEnvResponseBodyTarget$outboundSchema;
})(RemoveProjectEnvResponseBodyTarget$ || (RemoveProjectEnvResponseBodyTarget$ = {}));
var RemoveProjectEnvResponseBodyType$inboundSchema = nativeEnumType(RemoveProjectEnvResponseBodyType);
var RemoveProjectEnvResponseBodyType$outboundSchema = RemoveProjectEnvResponseBodyType$inboundSchema;
var RemoveProjectEnvResponseBodyType$;
(function(RemoveProjectEnvResponseBodyType$2) {
  RemoveProjectEnvResponseBodyType$2.inboundSchema = RemoveProjectEnvResponseBodyType$inboundSchema;
  RemoveProjectEnvResponseBodyType$2.outboundSchema = RemoveProjectEnvResponseBodyType$outboundSchema;
})(RemoveProjectEnvResponseBodyType$ || (RemoveProjectEnvResponseBodyType$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$ = {}));
var RemoveProjectEnvContentHint15$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$inboundSchema,
  projectId: stringType()
});
var RemoveProjectEnvContentHint15$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody115Type$outboundSchema,
  projectId: stringType()
});
var RemoveProjectEnvContentHint15$;
(function(RemoveProjectEnvContentHint15$2) {
  RemoveProjectEnvContentHint15$2.inboundSchema = RemoveProjectEnvContentHint15$inboundSchema;
  RemoveProjectEnvContentHint15$2.outboundSchema = RemoveProjectEnvContentHint15$outboundSchema;
})(RemoveProjectEnvContentHint15$ || (RemoveProjectEnvContentHint15$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$ = {}));
var RemoveProjectEnvContentHint14$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$inboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var RemoveProjectEnvContentHint14$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody114Type$outboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var RemoveProjectEnvContentHint14$;
(function(RemoveProjectEnvContentHint14$2) {
  RemoveProjectEnvContentHint14$2.inboundSchema = RemoveProjectEnvContentHint14$inboundSchema;
  RemoveProjectEnvContentHint14$2.outboundSchema = RemoveProjectEnvContentHint14$outboundSchema;
})(RemoveProjectEnvContentHint14$ || (RemoveProjectEnvContentHint14$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$ = {}));
var RemoveProjectEnvContentHint13$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint13$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody113Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint13$;
(function(RemoveProjectEnvContentHint13$2) {
  RemoveProjectEnvContentHint13$2.inboundSchema = RemoveProjectEnvContentHint13$inboundSchema;
  RemoveProjectEnvContentHint13$2.outboundSchema = RemoveProjectEnvContentHint13$outboundSchema;
})(RemoveProjectEnvContentHint13$ || (RemoveProjectEnvContentHint13$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$ = {}));
var RemoveProjectEnvContentHint12$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint12$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody112Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint12$;
(function(RemoveProjectEnvContentHint12$2) {
  RemoveProjectEnvContentHint12$2.inboundSchema = RemoveProjectEnvContentHint12$inboundSchema;
  RemoveProjectEnvContentHint12$2.outboundSchema = RemoveProjectEnvContentHint12$outboundSchema;
})(RemoveProjectEnvContentHint12$ || (RemoveProjectEnvContentHint12$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$ = {}));
var RemoveProjectEnvContentHint11$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint11$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody111Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint11$;
(function(RemoveProjectEnvContentHint11$2) {
  RemoveProjectEnvContentHint11$2.inboundSchema = RemoveProjectEnvContentHint11$inboundSchema;
  RemoveProjectEnvContentHint11$2.outboundSchema = RemoveProjectEnvContentHint11$outboundSchema;
})(RemoveProjectEnvContentHint11$ || (RemoveProjectEnvContentHint11$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$ = {}));
var RemoveProjectEnvContentHint10$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint10$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody110Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint10$;
(function(RemoveProjectEnvContentHint10$2) {
  RemoveProjectEnvContentHint10$2.inboundSchema = RemoveProjectEnvContentHint10$inboundSchema;
  RemoveProjectEnvContentHint10$2.outboundSchema = RemoveProjectEnvContentHint10$outboundSchema;
})(RemoveProjectEnvContentHint10$ || (RemoveProjectEnvContentHint10$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$ = {}));
var RemoveProjectEnvContentHint9$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint9$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody19Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint9$;
(function(RemoveProjectEnvContentHint9$2) {
  RemoveProjectEnvContentHint9$2.inboundSchema = RemoveProjectEnvContentHint9$inboundSchema;
  RemoveProjectEnvContentHint9$2.outboundSchema = RemoveProjectEnvContentHint9$outboundSchema;
})(RemoveProjectEnvContentHint9$ || (RemoveProjectEnvContentHint9$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$ = {}));
var RemoveProjectEnvContentHint8$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint8$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody18Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint8$;
(function(RemoveProjectEnvContentHint8$2) {
  RemoveProjectEnvContentHint8$2.inboundSchema = RemoveProjectEnvContentHint8$inboundSchema;
  RemoveProjectEnvContentHint8$2.outboundSchema = RemoveProjectEnvContentHint8$outboundSchema;
})(RemoveProjectEnvContentHint8$ || (RemoveProjectEnvContentHint8$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$ = {}));
var RemoveProjectEnvContentHint7$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint7$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBody1Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint7$;
(function(RemoveProjectEnvContentHint7$2) {
  RemoveProjectEnvContentHint7$2.inboundSchema = RemoveProjectEnvContentHint7$inboundSchema;
  RemoveProjectEnvContentHint7$2.outboundSchema = RemoveProjectEnvContentHint7$outboundSchema;
})(RemoveProjectEnvContentHint7$ || (RemoveProjectEnvContentHint7$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$ = {}));
var RemoveProjectEnvContentHint6$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint6$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint6$;
(function(RemoveProjectEnvContentHint6$2) {
  RemoveProjectEnvContentHint6$2.inboundSchema = RemoveProjectEnvContentHint6$inboundSchema;
  RemoveProjectEnvContentHint6$2.outboundSchema = RemoveProjectEnvContentHint6$outboundSchema;
})(RemoveProjectEnvContentHint6$ || (RemoveProjectEnvContentHint6$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType);
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$;
(function(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$2) {
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$ || (RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$ = {}));
var RemoveProjectEnvContentHint5$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint5$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200ApplicationJSONType$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint5$;
(function(RemoveProjectEnvContentHint5$2) {
  RemoveProjectEnvContentHint5$2.inboundSchema = RemoveProjectEnvContentHint5$inboundSchema;
  RemoveProjectEnvContentHint5$2.outboundSchema = RemoveProjectEnvContentHint5$outboundSchema;
})(RemoveProjectEnvContentHint5$ || (RemoveProjectEnvContentHint5$ = {}));
var RemoveProjectEnvContentHintProjectsResponse200Type$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponse200Type);
var RemoveProjectEnvContentHintProjectsResponse200Type$outboundSchema = RemoveProjectEnvContentHintProjectsResponse200Type$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponse200Type$;
(function(RemoveProjectEnvContentHintProjectsResponse200Type$2) {
  RemoveProjectEnvContentHintProjectsResponse200Type$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponse200Type$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponse200Type$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponse200Type$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponse200Type$ || (RemoveProjectEnvContentHintProjectsResponse200Type$ = {}));
var RemoveProjectEnvContentHint4$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200Type$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint4$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponse200Type$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint4$;
(function(RemoveProjectEnvContentHint4$2) {
  RemoveProjectEnvContentHint4$2.inboundSchema = RemoveProjectEnvContentHint4$inboundSchema;
  RemoveProjectEnvContentHint4$2.outboundSchema = RemoveProjectEnvContentHint4$outboundSchema;
})(RemoveProjectEnvContentHint4$ || (RemoveProjectEnvContentHint4$ = {}));
var RemoveProjectEnvContentHintProjectsResponseType$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsResponseType);
var RemoveProjectEnvContentHintProjectsResponseType$outboundSchema = RemoveProjectEnvContentHintProjectsResponseType$inboundSchema;
var RemoveProjectEnvContentHintProjectsResponseType$;
(function(RemoveProjectEnvContentHintProjectsResponseType$2) {
  RemoveProjectEnvContentHintProjectsResponseType$2.inboundSchema = RemoveProjectEnvContentHintProjectsResponseType$inboundSchema;
  RemoveProjectEnvContentHintProjectsResponseType$2.outboundSchema = RemoveProjectEnvContentHintProjectsResponseType$outboundSchema;
})(RemoveProjectEnvContentHintProjectsResponseType$ || (RemoveProjectEnvContentHintProjectsResponseType$ = {}));
var RemoveProjectEnvContentHint3$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponseType$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint3$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsResponseType$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint3$;
(function(RemoveProjectEnvContentHint3$2) {
  RemoveProjectEnvContentHint3$2.inboundSchema = RemoveProjectEnvContentHint3$inboundSchema;
  RemoveProjectEnvContentHint3$2.outboundSchema = RemoveProjectEnvContentHint3$outboundSchema;
})(RemoveProjectEnvContentHint3$ || (RemoveProjectEnvContentHint3$ = {}));
var RemoveProjectEnvContentHintProjectsType$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintProjectsType);
var RemoveProjectEnvContentHintProjectsType$outboundSchema = RemoveProjectEnvContentHintProjectsType$inboundSchema;
var RemoveProjectEnvContentHintProjectsType$;
(function(RemoveProjectEnvContentHintProjectsType$2) {
  RemoveProjectEnvContentHintProjectsType$2.inboundSchema = RemoveProjectEnvContentHintProjectsType$inboundSchema;
  RemoveProjectEnvContentHintProjectsType$2.outboundSchema = RemoveProjectEnvContentHintProjectsType$outboundSchema;
})(RemoveProjectEnvContentHintProjectsType$ || (RemoveProjectEnvContentHintProjectsType$ = {}));
var RemoveProjectEnvContentHint2$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsType$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint2$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintProjectsType$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint2$;
(function(RemoveProjectEnvContentHint2$2) {
  RemoveProjectEnvContentHint2$2.inboundSchema = RemoveProjectEnvContentHint2$inboundSchema;
  RemoveProjectEnvContentHint2$2.outboundSchema = RemoveProjectEnvContentHint2$outboundSchema;
})(RemoveProjectEnvContentHint2$ || (RemoveProjectEnvContentHint2$ = {}));
var RemoveProjectEnvContentHintType$inboundSchema = nativeEnumType(RemoveProjectEnvContentHintType);
var RemoveProjectEnvContentHintType$outboundSchema = RemoveProjectEnvContentHintType$inboundSchema;
var RemoveProjectEnvContentHintType$;
(function(RemoveProjectEnvContentHintType$2) {
  RemoveProjectEnvContentHintType$2.inboundSchema = RemoveProjectEnvContentHintType$inboundSchema;
  RemoveProjectEnvContentHintType$2.outboundSchema = RemoveProjectEnvContentHintType$outboundSchema;
})(RemoveProjectEnvContentHintType$ || (RemoveProjectEnvContentHintType$ = {}));
var RemoveProjectEnvContentHint1$inboundSchema = objectType({
  type: RemoveProjectEnvContentHintType$inboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint1$outboundSchema = objectType({
  type: RemoveProjectEnvContentHintType$outboundSchema,
  storeId: stringType()
});
var RemoveProjectEnvContentHint1$;
(function(RemoveProjectEnvContentHint1$2) {
  RemoveProjectEnvContentHint1$2.inboundSchema = RemoveProjectEnvContentHint1$inboundSchema;
  RemoveProjectEnvContentHint1$2.outboundSchema = RemoveProjectEnvContentHint1$outboundSchema;
})(RemoveProjectEnvContentHint1$ || (RemoveProjectEnvContentHint1$ = {}));
var RemoveProjectEnvResponseBodyContentHint$inboundSchema = unionType([
  lazyType(() => RemoveProjectEnvContentHint1$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHint2$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHint3$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHint4$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHint5$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHint6$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHint7$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHint8$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHint9$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHint10$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHint11$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHint12$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHint13$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHint15$inboundSchema),
  lazyType(() => RemoveProjectEnvContentHint14$inboundSchema)
]);
var RemoveProjectEnvResponseBodyContentHint$outboundSchema = unionType([
  lazyType(() => RemoveProjectEnvContentHint1$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHint2$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHint3$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHint4$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHint5$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHint6$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHint7$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHint8$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHint9$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHint10$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHint11$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHint12$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHint13$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHint15$outboundSchema),
  lazyType(() => RemoveProjectEnvContentHint14$outboundSchema)
]);
var RemoveProjectEnvResponseBodyContentHint$;
(function(RemoveProjectEnvResponseBodyContentHint$2) {
  RemoveProjectEnvResponseBodyContentHint$2.inboundSchema = RemoveProjectEnvResponseBodyContentHint$inboundSchema;
  RemoveProjectEnvResponseBodyContentHint$2.outboundSchema = RemoveProjectEnvResponseBodyContentHint$outboundSchema;
})(RemoveProjectEnvResponseBodyContentHint$ || (RemoveProjectEnvResponseBodyContentHint$ = {}));
var RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType);
var RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema;
var RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$;
(function(RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$2) {
  RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$2.inboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema;
  RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$2.outboundSchema = RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema;
})(RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$ || (RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$ = {}));
var RemoveProjectEnvResponseBodyInternalContentHint$inboundSchema = objectType({
  type: RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$inboundSchema,
  encryptedValue: stringType()
});
var RemoveProjectEnvResponseBodyInternalContentHint$outboundSchema = objectType({
  type: RemoveProjectEnvResponseBodyProjectsResponse200ApplicationJSONType$outboundSchema,
  encryptedValue: stringType()
});
var RemoveProjectEnvResponseBodyInternalContentHint$;
(function(RemoveProjectEnvResponseBodyInternalContentHint$2) {
  RemoveProjectEnvResponseBodyInternalContentHint$2.inboundSchema = RemoveProjectEnvResponseBodyInternalContentHint$inboundSchema;
  RemoveProjectEnvResponseBodyInternalContentHint$2.outboundSchema = RemoveProjectEnvResponseBodyInternalContentHint$outboundSchema;
})(RemoveProjectEnvResponseBodyInternalContentHint$ || (RemoveProjectEnvResponseBodyInternalContentHint$ = {}));
var RemoveProjectEnvResponseBody1$inboundSchema = objectType({
  target: unionType([
    arrayType(RemoveProjectEnvTarget1$inboundSchema),
    RemoveProjectEnvTarget2$inboundSchema
  ]).optional(),
  type: RemoveProjectEnvResponseBodyType$inboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => RemoveProjectEnvContentHint1$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint2$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint3$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint4$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint5$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint6$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint7$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint8$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint9$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint10$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint11$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint12$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint13$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint15$inboundSchema),
    lazyType(() => RemoveProjectEnvContentHint14$inboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => RemoveProjectEnvResponseBodyInternalContentHint$inboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var RemoveProjectEnvResponseBody1$outboundSchema = objectType({
  target: unionType([
    arrayType(RemoveProjectEnvTarget1$outboundSchema),
    RemoveProjectEnvTarget2$outboundSchema
  ]).optional(),
  type: RemoveProjectEnvResponseBodyType$outboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => RemoveProjectEnvContentHint1$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint2$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint3$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint4$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint5$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint6$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint7$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint8$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint9$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint10$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint11$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint12$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint13$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint15$outboundSchema),
    lazyType(() => RemoveProjectEnvContentHint14$outboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => RemoveProjectEnvResponseBodyInternalContentHint$outboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var RemoveProjectEnvResponseBody1$;
(function(RemoveProjectEnvResponseBody1$2) {
  RemoveProjectEnvResponseBody1$2.inboundSchema = RemoveProjectEnvResponseBody1$inboundSchema;
  RemoveProjectEnvResponseBody1$2.outboundSchema = RemoveProjectEnvResponseBody1$outboundSchema;
})(RemoveProjectEnvResponseBody1$ || (RemoveProjectEnvResponseBody1$ = {}));
var RemoveProjectEnvResponseBody$inboundSchema = unionType([
  lazyType(() => RemoveProjectEnvResponseBody3$inboundSchema),
  lazyType(() => RemoveProjectEnvResponseBody2$inboundSchema),
  arrayType(lazyType(() => RemoveProjectEnvResponseBody1$inboundSchema))
]);
var RemoveProjectEnvResponseBody$outboundSchema = unionType([
  lazyType(() => RemoveProjectEnvResponseBody3$outboundSchema),
  lazyType(() => RemoveProjectEnvResponseBody2$outboundSchema),
  arrayType(lazyType(() => RemoveProjectEnvResponseBody1$outboundSchema))
]);
var RemoveProjectEnvResponseBody$;
(function(RemoveProjectEnvResponseBody$2) {
  RemoveProjectEnvResponseBody$2.inboundSchema = RemoveProjectEnvResponseBody$inboundSchema;
  RemoveProjectEnvResponseBody$2.outboundSchema = RemoveProjectEnvResponseBody$outboundSchema;
})(RemoveProjectEnvResponseBody$ || (RemoveProjectEnvResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsRemoveProjectEnv.js
async function projectsRemoveProjectEnv(client, request, options) {
  const parsed = safeParse(request, (value) => RemoveProjectEnvRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/env/{id}")(pathParams);
  const query = encodeFormQuery({
    customEnvironmentId: payload.customEnvironmentId,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "removeProjectEnv",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RemoveProjectEnvResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/requestpromoteop.js
var RequestPromoteRequest$inboundSchema = objectType({
  projectId: stringType(),
  deploymentId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var RequestPromoteRequest$outboundSchema = objectType({
  projectId: stringType(),
  deploymentId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var RequestPromoteRequest$;
(function(RequestPromoteRequest$2) {
  RequestPromoteRequest$2.inboundSchema = RequestPromoteRequest$inboundSchema;
  RequestPromoteRequest$2.outboundSchema = RequestPromoteRequest$outboundSchema;
})(RequestPromoteRequest$ || (RequestPromoteRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsRequestPromote.js
async function projectsRequestPromote(client, request, options) {
  const parsed = safeParse(request, (value) => RequestPromoteRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    deploymentId: encodeSimple("deploymentId", payload.deploymentId, {
      explode: false,
      charEncoding: "percent"
    }),
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v10/projects/{projectId}/promote/{deploymentId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "requestPromote",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(201, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/updateprojectop.js
var UpdateProjectFramework = {
  Blitzjs: "blitzjs",
  Nextjs: "nextjs",
  Gatsby: "gatsby",
  Remix: "remix",
  Astro: "astro",
  Hexo: "hexo",
  Eleventy: "eleventy",
  Docusaurus2: "docusaurus-2",
  Docusaurus: "docusaurus",
  Preact: "preact",
  Solidstart1: "solidstart-1",
  Solidstart: "solidstart",
  Dojo: "dojo",
  Ember: "ember",
  Vue: "vue",
  Scully: "scully",
  IonicAngular: "ionic-angular",
  Angular: "angular",
  Polymer: "polymer",
  Svelte: "svelte",
  Sveltekit: "sveltekit",
  Sveltekit1: "sveltekit-1",
  IonicReact: "ionic-react",
  CreateReactApp: "create-react-app",
  Gridsome: "gridsome",
  Umijs: "umijs",
  Sapper: "sapper",
  Saber: "saber",
  Stencil: "stencil",
  Nuxtjs: "nuxtjs",
  Redwoodjs: "redwoodjs",
  Hugo: "hugo",
  Jekyll: "jekyll",
  Brunch: "brunch",
  Middleman: "middleman",
  Zola: "zola",
  Hydrogen: "hydrogen",
  Vite: "vite",
  Vitepress: "vitepress",
  Vuepress: "vuepress",
  Parcel: "parcel",
  Fasthtml: "fasthtml",
  SanityV3: "sanity-v3",
  Sanity: "sanity",
  Storybook: "storybook"
};
var UpdateProjectNodeVersion = {
  TwentyTwoX: "22.x",
  TwentyX: "20.x",
  EighteenX: "18.x",
  SixteenX: "16.x",
  FourteenX: "14.x",
  TwelveX: "12.x",
  TenX: "10.x"
};
var UpdateProjectIssuerMode = {
  Team: "team",
  Global: "global"
};
var DeploymentType = {
  All: "all",
  Preview: "preview",
  ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
};
var UpdateProjectDeploymentType = {
  All: "all",
  Preview: "preview",
  ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
};
var UpdateProjectProjectsDeploymentType = {
  All: "all",
  Preview: "preview",
  Production: "production",
  ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
};
var ProtectionMode = {
  Exclusive: "exclusive",
  Additional: "additional"
};
var UpdateProjectTarget2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var UpdateProjectType = {
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive",
  Secret: "secret"
};
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type = {
  FlagsConnectionString: "flags-connection-string"
};
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type = {
  IntegrationStoreSecret: "integration-store-secret"
};
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type = {
  PostgresUrlNoSsl: "postgres-url-no-ssl"
};
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type = {
  PostgresDatabase: "postgres-database"
};
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type = {
  PostgresPassword: "postgres-password"
};
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type = {
  PostgresHost: "postgres-host"
};
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type = {
  PostgresUser: "postgres-user"
};
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type = {
  PostgresPrismaUrl: "postgres-prisma-url"
};
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType = {
  PostgresUrlNonPooling: "postgres-url-non-pooling"
};
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType = {
  PostgresUrl: "postgres-url"
};
var UpdateProjectContentHintProjectsResponse200ApplicationJSONType = {
  BlobReadWriteToken: "blob-read-write-token"
};
var UpdateProjectContentHintProjectsResponse200Type = {
  RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
};
var UpdateProjectContentHintProjectsResponseType = {
  RedisRestApiToken: "redis-rest-api-token"
};
var UpdateProjectContentHintProjectsType = {
  RedisRestApiUrl: "redis-rest-api-url"
};
var UpdateProjectContentHintType = {
  RedisUrl: "redis-url"
};
var UpdateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType = {
  FlagsSecret: "flags-secret"
};
var UpdateProjectProjectsFramework = {
  Blitzjs: "blitzjs",
  Nextjs: "nextjs",
  Gatsby: "gatsby",
  Remix: "remix",
  Astro: "astro",
  Hexo: "hexo",
  Eleventy: "eleventy",
  Docusaurus2: "docusaurus-2",
  Docusaurus: "docusaurus",
  Preact: "preact",
  Solidstart1: "solidstart-1",
  Solidstart: "solidstart",
  Dojo: "dojo",
  Ember: "ember",
  Vue: "vue",
  Scully: "scully",
  IonicAngular: "ionic-angular",
  Angular: "angular",
  Polymer: "polymer",
  Svelte: "svelte",
  Sveltekit: "sveltekit",
  Sveltekit1: "sveltekit-1",
  IonicReact: "ionic-react",
  CreateReactApp: "create-react-app",
  Gridsome: "gridsome",
  Umijs: "umijs",
  Sapper: "sapper",
  Saber: "saber",
  Stencil: "stencil",
  Nuxtjs: "nuxtjs",
  Redwoodjs: "redwoodjs",
  Hugo: "hugo",
  Jekyll: "jekyll",
  Brunch: "brunch",
  Middleman: "middleman",
  Zola: "zola",
  Hydrogen: "hydrogen",
  Vite: "vite",
  Vitepress: "vitepress",
  Vuepress: "vuepress",
  Parcel: "parcel",
  Fasthtml: "fasthtml",
  SanityV3: "sanity-v3",
  Sanity: "sanity",
  Storybook: "storybook"
};
var UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType = {
  EndsWith: "endsWith",
  StartsWith: "startsWith",
  Equals: "equals"
};
var UpdateProjectChecksConclusion = {
  Succeeded: "succeeded",
  Failed: "failed",
  Skipped: "skipped",
  Canceled: "canceled"
};
var UpdateProjectChecksState = {
  Registered: "registered",
  Running: "running",
  Completed: "completed"
};
var UpdateProjectPlan = {
  Pro: "pro",
  Enterprise: "enterprise",
  Hobby: "hobby"
};
var UpdateProjectReadyState = {
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Queued: "QUEUED",
  Ready: "READY",
  Canceled: "CANCELED"
};
var UpdateProjectReadySubstate = {
  Staged: "STAGED",
  Promoted: "PROMOTED"
};
var UpdateProjectProjectsType = {
  Lambdas: "LAMBDAS"
};
var UpdateProjectLinkProjectsResponseType = {
  Bitbucket: "bitbucket"
};
var UpdateProjectLinkProjectsType = {
  Gitlab: "gitlab"
};
var UpdateProjectLinkType = {
  Github: "github"
};
var UpdateProjectProjectsNodeVersion = {
  TwentyTwoX: "22.x",
  TwentyX: "20.x",
  EighteenX: "18.x",
  SixteenX: "16.x",
  FourteenX: "14.x",
  TwelveX: "12.x",
  TenX: "10.x",
  Eight10X: "8.10.x"
};
var UpdateProjectFunctionDefaultMemoryType = {
  StandardLegacy: "standard_legacy",
  Standard: "standard",
  Performance: "performance"
};
var UpdateProjectProjectsResponseDeploymentType = {
  Preview: "preview",
  All: "all",
  ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
};
var UpdateProjectProjectsResponse200ApplicationJSONType = {
  EndsWith: "endsWith",
  StartsWith: "startsWith",
  Equals: "equals"
};
var UpdateProjectProjectsChecksConclusion = {
  Succeeded: "succeeded",
  Failed: "failed",
  Skipped: "skipped",
  Canceled: "canceled"
};
var UpdateProjectProjectsChecksState = {
  Registered: "registered",
  Running: "running",
  Completed: "completed"
};
var UpdateProjectProjectsPlan = {
  Pro: "pro",
  Enterprise: "enterprise",
  Hobby: "hobby"
};
var UpdateProjectProjectsReadyState = {
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Queued: "QUEUED",
  Ready: "READY",
  Canceled: "CANCELED"
};
var UpdateProjectProjectsReadySubstate = {
  Staged: "STAGED",
  Promoted: "PROMOTED"
};
var UpdateProjectProjectsResponseType = {
  Lambdas: "LAMBDAS"
};
var UpdateProjectJobStatus = {
  Succeeded: "succeeded",
  Failed: "failed",
  Skipped: "skipped",
  Pending: "pending",
  InProgress: "in-progress"
};
var UpdateProjectProjectsResponse200Type = {
  Promote: "promote",
  Rollback: "rollback"
};
var UpdateProjectScope = {
  AutomationBypass: "automation-bypass"
};
var UpdateProjectTrustedIpsProjectsDeploymentType = {
  Production: "production",
  Preview: "preview",
  All: "all",
  ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
};
var UpdateProjectTrustedIpsDeploymentType = {
  Production: "production",
  Preview: "preview",
  All: "all",
  ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
};
var UpdateProjectTrustedIpsProtectionMode = {
  Additional: "additional",
  Exclusive: "exclusive"
};
var UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType = {
  Path: "path",
  Host: "host",
  Method: "method",
  Header: "header",
  Cookie: "cookie",
  Query: "query",
  IpAddress: "ip_address",
  Protocol: "protocol",
  Scheme: "scheme",
  Environment: "environment",
  Region: "region",
  InitialRequestPath: "initial_request_path"
};
var UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType = {
  Path: "path",
  Host: "host",
  Method: "method",
  Header: "header",
  Cookie: "cookie",
  Query: "query",
  IpAddress: "ip_address",
  Protocol: "protocol",
  Scheme: "scheme",
  Environment: "environment",
  Region: "region",
  InitialRequestPath: "initial_request_path"
};
var UpdateProjectHandle = {
  Init: "init",
  Finalize: "finalize"
};
var UpdateProjectAction = {
  Deny: "deny",
  Challenge: "challenge",
  Log: "log",
  Bypass: "bypass",
  RateLimit: "rate_limit",
  Redirect: "redirect"
};
var UpdateProjectAlgo = {
  FixedWindow: "fixed_window",
  TokenBucket: "token_bucket"
};
var UpdateProjectProjectsIssuerMode = {
  Team: "team",
  Global: "global"
};
var UpdateProjectTier = {
  Standard: "standard",
  Advanced: "advanced",
  Critical: "critical"
};
var UpdateProjectFramework$inboundSchema = nativeEnumType(UpdateProjectFramework);
var UpdateProjectFramework$outboundSchema = UpdateProjectFramework$inboundSchema;
var UpdateProjectFramework$;
(function(UpdateProjectFramework$2) {
  UpdateProjectFramework$2.inboundSchema = UpdateProjectFramework$inboundSchema;
  UpdateProjectFramework$2.outboundSchema = UpdateProjectFramework$outboundSchema;
})(UpdateProjectFramework$ || (UpdateProjectFramework$ = {}));
var UpdateProjectNodeVersion$inboundSchema = nativeEnumType(UpdateProjectNodeVersion);
var UpdateProjectNodeVersion$outboundSchema = UpdateProjectNodeVersion$inboundSchema;
var UpdateProjectNodeVersion$;
(function(UpdateProjectNodeVersion$2) {
  UpdateProjectNodeVersion$2.inboundSchema = UpdateProjectNodeVersion$inboundSchema;
  UpdateProjectNodeVersion$2.outboundSchema = UpdateProjectNodeVersion$outboundSchema;
})(UpdateProjectNodeVersion$ || (UpdateProjectNodeVersion$ = {}));
var UpdateProjectIssuerMode$inboundSchema = nativeEnumType(UpdateProjectIssuerMode);
var UpdateProjectIssuerMode$outboundSchema = UpdateProjectIssuerMode$inboundSchema;
var UpdateProjectIssuerMode$;
(function(UpdateProjectIssuerMode$2) {
  UpdateProjectIssuerMode$2.inboundSchema = UpdateProjectIssuerMode$inboundSchema;
  UpdateProjectIssuerMode$2.outboundSchema = UpdateProjectIssuerMode$outboundSchema;
})(UpdateProjectIssuerMode$ || (UpdateProjectIssuerMode$ = {}));
var UpdateProjectOidcTokenConfig$inboundSchema = objectType({
  enabled: booleanType(),
  issuerMode: UpdateProjectIssuerMode$inboundSchema.default("global")
});
var UpdateProjectOidcTokenConfig$outboundSchema = objectType({
  enabled: booleanType(),
  issuerMode: UpdateProjectIssuerMode$outboundSchema.default("global")
});
var UpdateProjectOidcTokenConfig$;
(function(UpdateProjectOidcTokenConfig$2) {
  UpdateProjectOidcTokenConfig$2.inboundSchema = UpdateProjectOidcTokenConfig$inboundSchema;
  UpdateProjectOidcTokenConfig$2.outboundSchema = UpdateProjectOidcTokenConfig$outboundSchema;
})(UpdateProjectOidcTokenConfig$ || (UpdateProjectOidcTokenConfig$ = {}));
var DeploymentType$inboundSchema = nativeEnumType(DeploymentType);
var DeploymentType$outboundSchema = DeploymentType$inboundSchema;
var DeploymentType$;
(function(DeploymentType$2) {
  DeploymentType$2.inboundSchema = DeploymentType$inboundSchema;
  DeploymentType$2.outboundSchema = DeploymentType$outboundSchema;
})(DeploymentType$ || (DeploymentType$ = {}));
var PasswordProtection$inboundSchema = objectType({
  deploymentType: DeploymentType$inboundSchema,
  password: nullableType(stringType()).optional()
});
var PasswordProtection$outboundSchema = objectType({
  deploymentType: DeploymentType$outboundSchema,
  password: nullableType(stringType()).optional()
});
var PasswordProtection$;
(function(PasswordProtection$2) {
  PasswordProtection$2.inboundSchema = PasswordProtection$inboundSchema;
  PasswordProtection$2.outboundSchema = PasswordProtection$outboundSchema;
})(PasswordProtection$ || (PasswordProtection$ = {}));
var UpdateProjectDeploymentType$inboundSchema = nativeEnumType(UpdateProjectDeploymentType);
var UpdateProjectDeploymentType$outboundSchema = UpdateProjectDeploymentType$inboundSchema;
var UpdateProjectDeploymentType$;
(function(UpdateProjectDeploymentType$2) {
  UpdateProjectDeploymentType$2.inboundSchema = UpdateProjectDeploymentType$inboundSchema;
  UpdateProjectDeploymentType$2.outboundSchema = UpdateProjectDeploymentType$outboundSchema;
})(UpdateProjectDeploymentType$ || (UpdateProjectDeploymentType$ = {}));
var SsoProtection$inboundSchema = objectType({
  deploymentType: UpdateProjectDeploymentType$inboundSchema.default("preview")
});
var SsoProtection$outboundSchema = objectType({
  deploymentType: UpdateProjectDeploymentType$outboundSchema.default("preview")
});
var SsoProtection$;
(function(SsoProtection$2) {
  SsoProtection$2.inboundSchema = SsoProtection$inboundSchema;
  SsoProtection$2.outboundSchema = SsoProtection$outboundSchema;
})(SsoProtection$ || (SsoProtection$ = {}));
var UpdateProjectProjectsDeploymentType$inboundSchema = nativeEnumType(UpdateProjectProjectsDeploymentType);
var UpdateProjectProjectsDeploymentType$outboundSchema = UpdateProjectProjectsDeploymentType$inboundSchema;
var UpdateProjectProjectsDeploymentType$;
(function(UpdateProjectProjectsDeploymentType$2) {
  UpdateProjectProjectsDeploymentType$2.inboundSchema = UpdateProjectProjectsDeploymentType$inboundSchema;
  UpdateProjectProjectsDeploymentType$2.outboundSchema = UpdateProjectProjectsDeploymentType$outboundSchema;
})(UpdateProjectProjectsDeploymentType$ || (UpdateProjectProjectsDeploymentType$ = {}));
var Addresses$inboundSchema = objectType({
  value: stringType(),
  note: stringType().optional()
});
var Addresses$outboundSchema = objectType({
  value: stringType(),
  note: stringType().optional()
});
var Addresses$;
(function(Addresses$2) {
  Addresses$2.inboundSchema = Addresses$inboundSchema;
  Addresses$2.outboundSchema = Addresses$outboundSchema;
})(Addresses$ || (Addresses$ = {}));
var ProtectionMode$inboundSchema = nativeEnumType(ProtectionMode);
var ProtectionMode$outboundSchema = ProtectionMode$inboundSchema;
var ProtectionMode$;
(function(ProtectionMode$2) {
  ProtectionMode$2.inboundSchema = ProtectionMode$inboundSchema;
  ProtectionMode$2.outboundSchema = ProtectionMode$outboundSchema;
})(ProtectionMode$ || (ProtectionMode$ = {}));
var TrustedIps$inboundSchema = objectType({
  deploymentType: UpdateProjectProjectsDeploymentType$inboundSchema,
  addresses: arrayType(lazyType(() => Addresses$inboundSchema)),
  protectionMode: ProtectionMode$inboundSchema
});
var TrustedIps$outboundSchema = objectType({
  deploymentType: UpdateProjectProjectsDeploymentType$outboundSchema,
  addresses: arrayType(lazyType(() => Addresses$outboundSchema)),
  protectionMode: ProtectionMode$outboundSchema
});
var TrustedIps$;
(function(TrustedIps$2) {
  TrustedIps$2.inboundSchema = TrustedIps$inboundSchema;
  TrustedIps$2.outboundSchema = TrustedIps$outboundSchema;
})(TrustedIps$ || (TrustedIps$ = {}));
var Paths$inboundSchema = objectType({
  value: stringType()
});
var Paths$outboundSchema = objectType({
  value: stringType()
});
var Paths$;
(function(Paths$2) {
  Paths$2.inboundSchema = Paths$inboundSchema;
  Paths$2.outboundSchema = Paths$outboundSchema;
})(Paths$ || (Paths$ = {}));
var OptionsAllowlist$inboundSchema = objectType({
  paths: arrayType(lazyType(() => Paths$inboundSchema))
});
var OptionsAllowlist$outboundSchema = objectType({
  paths: arrayType(lazyType(() => Paths$outboundSchema))
});
var OptionsAllowlist$;
(function(OptionsAllowlist$2) {
  OptionsAllowlist$2.inboundSchema = OptionsAllowlist$inboundSchema;
  OptionsAllowlist$2.outboundSchema = OptionsAllowlist$outboundSchema;
})(OptionsAllowlist$ || (OptionsAllowlist$ = {}));
var UpdateProjectRequestBody$inboundSchema = objectType({
  autoExposeSystemEnvs: booleanType().optional(),
  autoAssignCustomDomains: booleanType().optional(),
  autoAssignCustomDomainsUpdatedBy: stringType().optional(),
  buildCommand: nullableType(stringType()).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  customerSupportCodeVisibility: booleanType().optional(),
  devCommand: nullableType(stringType()).optional(),
  directoryListing: booleanType().optional(),
  framework: nullableType(UpdateProjectFramework$inboundSchema).optional(),
  gitForkProtection: booleanType().optional(),
  gitLFS: booleanType().optional(),
  installCommand: nullableType(stringType()).optional(),
  name: stringType().optional(),
  nodeVersion: UpdateProjectNodeVersion$inboundSchema.optional(),
  outputDirectory: nullableType(stringType()).optional(),
  previewDeploymentsDisabled: nullableType(booleanType()).optional(),
  publicSource: nullableType(booleanType()).optional(),
  rootDirectory: nullableType(stringType()).optional(),
  serverlessFunctionRegion: nullableType(stringType()).optional(),
  serverlessFunctionZeroConfigFailover: booleanType().optional(),
  skewProtectionBoundaryAt: numberType().int().optional(),
  skewProtectionMaxAge: numberType().int().optional(),
  skipGitConnectDuringLink: booleanType().optional(),
  sourceFilesOutsideRootDirectory: booleanType().optional(),
  enablePreviewFeedback: nullableType(booleanType()).optional(),
  enableProductionFeedback: nullableType(booleanType()).optional(),
  enableAffectedProjectsDeployments: booleanType().optional(),
  oidcTokenConfig: lazyType(() => UpdateProjectOidcTokenConfig$inboundSchema).optional(),
  passwordProtection: nullableType(lazyType(() => PasswordProtection$inboundSchema)).optional(),
  ssoProtection: nullableType(lazyType(() => SsoProtection$inboundSchema)).optional(),
  trustedIps: nullableType(lazyType(() => TrustedIps$inboundSchema)).optional(),
  optionsAllowlist: nullableType(lazyType(() => OptionsAllowlist$inboundSchema)).optional()
});
var UpdateProjectRequestBody$outboundSchema = objectType({
  autoExposeSystemEnvs: booleanType().optional(),
  autoAssignCustomDomains: booleanType().optional(),
  autoAssignCustomDomainsUpdatedBy: stringType().optional(),
  buildCommand: nullableType(stringType()).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  customerSupportCodeVisibility: booleanType().optional(),
  devCommand: nullableType(stringType()).optional(),
  directoryListing: booleanType().optional(),
  framework: nullableType(UpdateProjectFramework$outboundSchema).optional(),
  gitForkProtection: booleanType().optional(),
  gitLFS: booleanType().optional(),
  installCommand: nullableType(stringType()).optional(),
  name: stringType().optional(),
  nodeVersion: UpdateProjectNodeVersion$outboundSchema.optional(),
  outputDirectory: nullableType(stringType()).optional(),
  previewDeploymentsDisabled: nullableType(booleanType()).optional(),
  publicSource: nullableType(booleanType()).optional(),
  rootDirectory: nullableType(stringType()).optional(),
  serverlessFunctionRegion: nullableType(stringType()).optional(),
  serverlessFunctionZeroConfigFailover: booleanType().optional(),
  skewProtectionBoundaryAt: numberType().int().optional(),
  skewProtectionMaxAge: numberType().int().optional(),
  skipGitConnectDuringLink: booleanType().optional(),
  sourceFilesOutsideRootDirectory: booleanType().optional(),
  enablePreviewFeedback: nullableType(booleanType()).optional(),
  enableProductionFeedback: nullableType(booleanType()).optional(),
  enableAffectedProjectsDeployments: booleanType().optional(),
  oidcTokenConfig: lazyType(() => UpdateProjectOidcTokenConfig$outboundSchema).optional(),
  passwordProtection: nullableType(lazyType(() => PasswordProtection$outboundSchema)).optional(),
  ssoProtection: nullableType(lazyType(() => SsoProtection$outboundSchema)).optional(),
  trustedIps: nullableType(lazyType(() => TrustedIps$outboundSchema)).optional(),
  optionsAllowlist: nullableType(lazyType(() => OptionsAllowlist$outboundSchema)).optional()
});
var UpdateProjectRequestBody$;
(function(UpdateProjectRequestBody$2) {
  UpdateProjectRequestBody$2.inboundSchema = UpdateProjectRequestBody$inboundSchema;
  UpdateProjectRequestBody$2.outboundSchema = UpdateProjectRequestBody$outboundSchema;
})(UpdateProjectRequestBody$ || (UpdateProjectRequestBody$ = {}));
var UpdateProjectRequest$inboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => UpdateProjectRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var UpdateProjectRequest$outboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => UpdateProjectRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var UpdateProjectRequest$;
(function(UpdateProjectRequest$2) {
  UpdateProjectRequest$2.inboundSchema = UpdateProjectRequest$inboundSchema;
  UpdateProjectRequest$2.outboundSchema = UpdateProjectRequest$outboundSchema;
})(UpdateProjectRequest$ || (UpdateProjectRequest$ = {}));
var UpdateProjectAnalytics$inboundSchema = objectType({
  id: stringType(),
  canceledAt: nullableType(numberType()).optional(),
  disabledAt: numberType(),
  enabledAt: numberType(),
  paidAt: numberType().optional(),
  sampleRatePercent: nullableType(numberType()).optional(),
  spendLimitInDollars: nullableType(numberType()).optional()
});
var UpdateProjectAnalytics$outboundSchema = objectType({
  id: stringType(),
  canceledAt: nullableType(numberType()).optional(),
  disabledAt: numberType(),
  enabledAt: numberType(),
  paidAt: numberType().optional(),
  sampleRatePercent: nullableType(numberType()).optional(),
  spendLimitInDollars: nullableType(numberType()).optional()
});
var UpdateProjectAnalytics$;
(function(UpdateProjectAnalytics$2) {
  UpdateProjectAnalytics$2.inboundSchema = UpdateProjectAnalytics$inboundSchema;
  UpdateProjectAnalytics$2.outboundSchema = UpdateProjectAnalytics$outboundSchema;
})(UpdateProjectAnalytics$ || (UpdateProjectAnalytics$ = {}));
var UpdateProjectSpeedInsights$inboundSchema = objectType({
  id: stringType(),
  enabledAt: numberType().optional(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  hasData: booleanType().optional(),
  paidAt: numberType().optional()
});
var UpdateProjectSpeedInsights$outboundSchema = objectType({
  id: stringType(),
  enabledAt: numberType().optional(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  hasData: booleanType().optional(),
  paidAt: numberType().optional()
});
var UpdateProjectSpeedInsights$;
(function(UpdateProjectSpeedInsights$2) {
  UpdateProjectSpeedInsights$2.inboundSchema = UpdateProjectSpeedInsights$inboundSchema;
  UpdateProjectSpeedInsights$2.outboundSchema = UpdateProjectSpeedInsights$outboundSchema;
})(UpdateProjectSpeedInsights$ || (UpdateProjectSpeedInsights$ = {}));
var UpdateProjectDefinitions$inboundSchema = objectType({
  host: stringType(),
  path: stringType(),
  schedule: stringType()
});
var UpdateProjectDefinitions$outboundSchema = objectType({
  host: stringType(),
  path: stringType(),
  schedule: stringType()
});
var UpdateProjectDefinitions$;
(function(UpdateProjectDefinitions$2) {
  UpdateProjectDefinitions$2.inboundSchema = UpdateProjectDefinitions$inboundSchema;
  UpdateProjectDefinitions$2.outboundSchema = UpdateProjectDefinitions$outboundSchema;
})(UpdateProjectDefinitions$ || (UpdateProjectDefinitions$ = {}));
var UpdateProjectCrons$inboundSchema = objectType({
  enabledAt: numberType(),
  disabledAt: nullableType(numberType()),
  updatedAt: numberType(),
  deploymentId: nullableType(stringType()),
  definitions: arrayType(lazyType(() => UpdateProjectDefinitions$inboundSchema))
});
var UpdateProjectCrons$outboundSchema = objectType({
  enabledAt: numberType(),
  disabledAt: nullableType(numberType()),
  updatedAt: numberType(),
  deploymentId: nullableType(stringType()),
  definitions: arrayType(lazyType(() => UpdateProjectDefinitions$outboundSchema))
});
var UpdateProjectCrons$;
(function(UpdateProjectCrons$2) {
  UpdateProjectCrons$2.inboundSchema = UpdateProjectCrons$inboundSchema;
  UpdateProjectCrons$2.outboundSchema = UpdateProjectCrons$outboundSchema;
})(UpdateProjectCrons$ || (UpdateProjectCrons$ = {}));
var UpdateProjectDataCache$inboundSchema = objectType({
  userDisabled: booleanType(),
  storageSizeBytes: nullableType(numberType()).optional(),
  unlimited: booleanType().optional()
});
var UpdateProjectDataCache$outboundSchema = objectType({
  userDisabled: booleanType(),
  storageSizeBytes: nullableType(numberType()).optional(),
  unlimited: booleanType().optional()
});
var UpdateProjectDataCache$;
(function(UpdateProjectDataCache$2) {
  UpdateProjectDataCache$2.inboundSchema = UpdateProjectDataCache$inboundSchema;
  UpdateProjectDataCache$2.outboundSchema = UpdateProjectDataCache$outboundSchema;
})(UpdateProjectDataCache$ || (UpdateProjectDataCache$ = {}));
var UpdateProjectDeploymentExpiration$inboundSchema = objectType({
  expirationDays: numberType().optional(),
  expirationDaysProduction: numberType().optional(),
  expirationDaysCanceled: numberType().optional(),
  expirationDaysErrored: numberType().optional(),
  deploymentsToKeep: numberType().optional()
});
var UpdateProjectDeploymentExpiration$outboundSchema = objectType({
  expirationDays: numberType().optional(),
  expirationDaysProduction: numberType().optional(),
  expirationDaysCanceled: numberType().optional(),
  expirationDaysErrored: numberType().optional(),
  deploymentsToKeep: numberType().optional()
});
var UpdateProjectDeploymentExpiration$;
(function(UpdateProjectDeploymentExpiration$2) {
  UpdateProjectDeploymentExpiration$2.inboundSchema = UpdateProjectDeploymentExpiration$inboundSchema;
  UpdateProjectDeploymentExpiration$2.outboundSchema = UpdateProjectDeploymentExpiration$outboundSchema;
})(UpdateProjectDeploymentExpiration$ || (UpdateProjectDeploymentExpiration$ = {}));
var UpdateProjectTarget2$inboundSchema = nativeEnumType(UpdateProjectTarget2);
var UpdateProjectTarget2$outboundSchema = UpdateProjectTarget2$inboundSchema;
var UpdateProjectTarget2$;
(function(UpdateProjectTarget2$2) {
  UpdateProjectTarget2$2.inboundSchema = UpdateProjectTarget2$inboundSchema;
  UpdateProjectTarget2$2.outboundSchema = UpdateProjectTarget2$outboundSchema;
})(UpdateProjectTarget2$ || (UpdateProjectTarget2$ = {}));
var UpdateProjectTarget$inboundSchema = unionType([arrayType(stringType()), UpdateProjectTarget2$inboundSchema]);
var UpdateProjectTarget$outboundSchema = unionType([arrayType(stringType()), UpdateProjectTarget2$outboundSchema]);
var UpdateProjectTarget$;
(function(UpdateProjectTarget$2) {
  UpdateProjectTarget$2.inboundSchema = UpdateProjectTarget$inboundSchema;
  UpdateProjectTarget$2.outboundSchema = UpdateProjectTarget$outboundSchema;
})(UpdateProjectTarget$ || (UpdateProjectTarget$ = {}));
var UpdateProjectType$inboundSchema = nativeEnumType(UpdateProjectType);
var UpdateProjectType$outboundSchema = UpdateProjectType$inboundSchema;
var UpdateProjectType$;
(function(UpdateProjectType$2) {
  UpdateProjectType$2.inboundSchema = UpdateProjectType$inboundSchema;
  UpdateProjectType$2.outboundSchema = UpdateProjectType$outboundSchema;
})(UpdateProjectType$ || (UpdateProjectType$ = {}));
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type);
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema;
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$;
(function(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$2) {
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$2.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema;
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$2.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema;
})(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$ || (UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$ = {}));
var UpdateProjectContentHint15$inboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema,
  projectId: stringType()
});
var UpdateProjectContentHint15$outboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema,
  projectId: stringType()
});
var UpdateProjectContentHint15$;
(function(UpdateProjectContentHint15$2) {
  UpdateProjectContentHint15$2.inboundSchema = UpdateProjectContentHint15$inboundSchema;
  UpdateProjectContentHint15$2.outboundSchema = UpdateProjectContentHint15$outboundSchema;
})(UpdateProjectContentHint15$ || (UpdateProjectContentHint15$ = {}));
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type);
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema;
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$;
(function(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$2) {
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$2.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema;
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$2.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema;
})(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$ || (UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$ = {}));
var UpdateProjectContentHint14$inboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var UpdateProjectContentHint14$outboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var UpdateProjectContentHint14$;
(function(UpdateProjectContentHint14$2) {
  UpdateProjectContentHint14$2.inboundSchema = UpdateProjectContentHint14$inboundSchema;
  UpdateProjectContentHint14$2.outboundSchema = UpdateProjectContentHint14$outboundSchema;
})(UpdateProjectContentHint14$ || (UpdateProjectContentHint14$ = {}));
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type);
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema;
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$;
(function(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$2) {
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$2.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema;
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$2.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema;
})(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$ || (UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$ = {}));
var UpdateProjectContentHint13$inboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint13$outboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint13$;
(function(UpdateProjectContentHint13$2) {
  UpdateProjectContentHint13$2.inboundSchema = UpdateProjectContentHint13$inboundSchema;
  UpdateProjectContentHint13$2.outboundSchema = UpdateProjectContentHint13$outboundSchema;
})(UpdateProjectContentHint13$ || (UpdateProjectContentHint13$ = {}));
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type);
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema;
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$;
(function(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$2) {
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$2.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema;
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$2.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema;
})(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$ || (UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$ = {}));
var UpdateProjectContentHint12$inboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint12$outboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint12$;
(function(UpdateProjectContentHint12$2) {
  UpdateProjectContentHint12$2.inboundSchema = UpdateProjectContentHint12$inboundSchema;
  UpdateProjectContentHint12$2.outboundSchema = UpdateProjectContentHint12$outboundSchema;
})(UpdateProjectContentHint12$ || (UpdateProjectContentHint12$ = {}));
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type);
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema;
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$;
(function(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$2) {
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$2.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema;
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$2.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema;
})(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$ || (UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$ = {}));
var UpdateProjectContentHint11$inboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint11$outboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint11$;
(function(UpdateProjectContentHint11$2) {
  UpdateProjectContentHint11$2.inboundSchema = UpdateProjectContentHint11$inboundSchema;
  UpdateProjectContentHint11$2.outboundSchema = UpdateProjectContentHint11$outboundSchema;
})(UpdateProjectContentHint11$ || (UpdateProjectContentHint11$ = {}));
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type);
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema;
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$;
(function(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$2) {
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$2.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema;
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$2.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema;
})(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$ || (UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$ = {}));
var UpdateProjectContentHint10$inboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint10$outboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint10$;
(function(UpdateProjectContentHint10$2) {
  UpdateProjectContentHint10$2.inboundSchema = UpdateProjectContentHint10$inboundSchema;
  UpdateProjectContentHint10$2.outboundSchema = UpdateProjectContentHint10$outboundSchema;
})(UpdateProjectContentHint10$ || (UpdateProjectContentHint10$ = {}));
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type);
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema;
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$;
(function(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$2) {
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$2.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema;
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$2.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema;
})(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$ || (UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$ = {}));
var UpdateProjectContentHint9$inboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint9$outboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint9$;
(function(UpdateProjectContentHint9$2) {
  UpdateProjectContentHint9$2.inboundSchema = UpdateProjectContentHint9$inboundSchema;
  UpdateProjectContentHint9$2.outboundSchema = UpdateProjectContentHint9$outboundSchema;
})(UpdateProjectContentHint9$ || (UpdateProjectContentHint9$ = {}));
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type);
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema;
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$;
(function(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$2) {
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$2.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema;
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$2.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$outboundSchema;
})(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$ || (UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$ = {}));
var UpdateProjectContentHint8$inboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$inboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint8$outboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnv8Type$outboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint8$;
(function(UpdateProjectContentHint8$2) {
  UpdateProjectContentHint8$2.inboundSchema = UpdateProjectContentHint8$inboundSchema;
  UpdateProjectContentHint8$2.outboundSchema = UpdateProjectContentHint8$outboundSchema;
})(UpdateProjectContentHint8$ || (UpdateProjectContentHint8$ = {}));
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType);
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$;
(function(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$2) {
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$2.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$2.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema;
})(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$ || (UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$ = {}));
var UpdateProjectContentHint7$inboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint7$outboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint7$;
(function(UpdateProjectContentHint7$2) {
  UpdateProjectContentHint7$2.inboundSchema = UpdateProjectContentHint7$inboundSchema;
  UpdateProjectContentHint7$2.outboundSchema = UpdateProjectContentHint7$outboundSchema;
})(UpdateProjectContentHint7$ || (UpdateProjectContentHint7$ = {}));
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType);
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
var UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$;
(function(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$2) {
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$2.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$2.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
})(UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$ || (UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$ = {}));
var UpdateProjectContentHint6$inboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint6$outboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint6$;
(function(UpdateProjectContentHint6$2) {
  UpdateProjectContentHint6$2.inboundSchema = UpdateProjectContentHint6$inboundSchema;
  UpdateProjectContentHint6$2.outboundSchema = UpdateProjectContentHint6$outboundSchema;
})(UpdateProjectContentHint6$ || (UpdateProjectContentHint6$ = {}));
var UpdateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200ApplicationJSONType);
var UpdateProjectContentHintProjectsResponse200ApplicationJSONType$outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
var UpdateProjectContentHintProjectsResponse200ApplicationJSONType$;
(function(UpdateProjectContentHintProjectsResponse200ApplicationJSONType$2) {
  UpdateProjectContentHintProjectsResponse200ApplicationJSONType$2.inboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
  UpdateProjectContentHintProjectsResponse200ApplicationJSONType$2.outboundSchema = UpdateProjectContentHintProjectsResponse200ApplicationJSONType$outboundSchema;
})(UpdateProjectContentHintProjectsResponse200ApplicationJSONType$ || (UpdateProjectContentHintProjectsResponse200ApplicationJSONType$ = {}));
var UpdateProjectContentHint5$inboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONType$inboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint5$outboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200ApplicationJSONType$outboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint5$;
(function(UpdateProjectContentHint5$2) {
  UpdateProjectContentHint5$2.inboundSchema = UpdateProjectContentHint5$inboundSchema;
  UpdateProjectContentHint5$2.outboundSchema = UpdateProjectContentHint5$outboundSchema;
})(UpdateProjectContentHint5$ || (UpdateProjectContentHint5$ = {}));
var UpdateProjectContentHintProjectsResponse200Type$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponse200Type);
var UpdateProjectContentHintProjectsResponse200Type$outboundSchema = UpdateProjectContentHintProjectsResponse200Type$inboundSchema;
var UpdateProjectContentHintProjectsResponse200Type$;
(function(UpdateProjectContentHintProjectsResponse200Type$2) {
  UpdateProjectContentHintProjectsResponse200Type$2.inboundSchema = UpdateProjectContentHintProjectsResponse200Type$inboundSchema;
  UpdateProjectContentHintProjectsResponse200Type$2.outboundSchema = UpdateProjectContentHintProjectsResponse200Type$outboundSchema;
})(UpdateProjectContentHintProjectsResponse200Type$ || (UpdateProjectContentHintProjectsResponse200Type$ = {}));
var UpdateProjectContentHint4$inboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200Type$inboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint4$outboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponse200Type$outboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint4$;
(function(UpdateProjectContentHint4$2) {
  UpdateProjectContentHint4$2.inboundSchema = UpdateProjectContentHint4$inboundSchema;
  UpdateProjectContentHint4$2.outboundSchema = UpdateProjectContentHint4$outboundSchema;
})(UpdateProjectContentHint4$ || (UpdateProjectContentHint4$ = {}));
var UpdateProjectContentHintProjectsResponseType$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsResponseType);
var UpdateProjectContentHintProjectsResponseType$outboundSchema = UpdateProjectContentHintProjectsResponseType$inboundSchema;
var UpdateProjectContentHintProjectsResponseType$;
(function(UpdateProjectContentHintProjectsResponseType$2) {
  UpdateProjectContentHintProjectsResponseType$2.inboundSchema = UpdateProjectContentHintProjectsResponseType$inboundSchema;
  UpdateProjectContentHintProjectsResponseType$2.outboundSchema = UpdateProjectContentHintProjectsResponseType$outboundSchema;
})(UpdateProjectContentHintProjectsResponseType$ || (UpdateProjectContentHintProjectsResponseType$ = {}));
var UpdateProjectContentHint3$inboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponseType$inboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint3$outboundSchema = objectType({
  type: UpdateProjectContentHintProjectsResponseType$outboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint3$;
(function(UpdateProjectContentHint3$2) {
  UpdateProjectContentHint3$2.inboundSchema = UpdateProjectContentHint3$inboundSchema;
  UpdateProjectContentHint3$2.outboundSchema = UpdateProjectContentHint3$outboundSchema;
})(UpdateProjectContentHint3$ || (UpdateProjectContentHint3$ = {}));
var UpdateProjectContentHintProjectsType$inboundSchema = nativeEnumType(UpdateProjectContentHintProjectsType);
var UpdateProjectContentHintProjectsType$outboundSchema = UpdateProjectContentHintProjectsType$inboundSchema;
var UpdateProjectContentHintProjectsType$;
(function(UpdateProjectContentHintProjectsType$2) {
  UpdateProjectContentHintProjectsType$2.inboundSchema = UpdateProjectContentHintProjectsType$inboundSchema;
  UpdateProjectContentHintProjectsType$2.outboundSchema = UpdateProjectContentHintProjectsType$outboundSchema;
})(UpdateProjectContentHintProjectsType$ || (UpdateProjectContentHintProjectsType$ = {}));
var UpdateProjectContentHint2$inboundSchema = objectType({
  type: UpdateProjectContentHintProjectsType$inboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint2$outboundSchema = objectType({
  type: UpdateProjectContentHintProjectsType$outboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint2$;
(function(UpdateProjectContentHint2$2) {
  UpdateProjectContentHint2$2.inboundSchema = UpdateProjectContentHint2$inboundSchema;
  UpdateProjectContentHint2$2.outboundSchema = UpdateProjectContentHint2$outboundSchema;
})(UpdateProjectContentHint2$ || (UpdateProjectContentHint2$ = {}));
var UpdateProjectContentHintType$inboundSchema = nativeEnumType(UpdateProjectContentHintType);
var UpdateProjectContentHintType$outboundSchema = UpdateProjectContentHintType$inboundSchema;
var UpdateProjectContentHintType$;
(function(UpdateProjectContentHintType$2) {
  UpdateProjectContentHintType$2.inboundSchema = UpdateProjectContentHintType$inboundSchema;
  UpdateProjectContentHintType$2.outboundSchema = UpdateProjectContentHintType$outboundSchema;
})(UpdateProjectContentHintType$ || (UpdateProjectContentHintType$ = {}));
var UpdateProjectContentHint1$inboundSchema = objectType({
  type: UpdateProjectContentHintType$inboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint1$outboundSchema = objectType({
  type: UpdateProjectContentHintType$outboundSchema,
  storeId: stringType()
});
var UpdateProjectContentHint1$;
(function(UpdateProjectContentHint1$2) {
  UpdateProjectContentHint1$2.inboundSchema = UpdateProjectContentHint1$inboundSchema;
  UpdateProjectContentHint1$2.outboundSchema = UpdateProjectContentHint1$outboundSchema;
})(UpdateProjectContentHint1$ || (UpdateProjectContentHint1$ = {}));
var UpdateProjectContentHint$inboundSchema = unionType([
  lazyType(() => UpdateProjectContentHint1$inboundSchema),
  lazyType(() => UpdateProjectContentHint2$inboundSchema),
  lazyType(() => UpdateProjectContentHint3$inboundSchema),
  lazyType(() => UpdateProjectContentHint4$inboundSchema),
  lazyType(() => UpdateProjectContentHint5$inboundSchema),
  lazyType(() => UpdateProjectContentHint6$inboundSchema),
  lazyType(() => UpdateProjectContentHint7$inboundSchema),
  lazyType(() => UpdateProjectContentHint8$inboundSchema),
  lazyType(() => UpdateProjectContentHint9$inboundSchema),
  lazyType(() => UpdateProjectContentHint10$inboundSchema),
  lazyType(() => UpdateProjectContentHint11$inboundSchema),
  lazyType(() => UpdateProjectContentHint12$inboundSchema),
  lazyType(() => UpdateProjectContentHint13$inboundSchema),
  lazyType(() => UpdateProjectContentHint15$inboundSchema),
  lazyType(() => UpdateProjectContentHint14$inboundSchema)
]);
var UpdateProjectContentHint$outboundSchema = unionType([
  lazyType(() => UpdateProjectContentHint1$outboundSchema),
  lazyType(() => UpdateProjectContentHint2$outboundSchema),
  lazyType(() => UpdateProjectContentHint3$outboundSchema),
  lazyType(() => UpdateProjectContentHint4$outboundSchema),
  lazyType(() => UpdateProjectContentHint5$outboundSchema),
  lazyType(() => UpdateProjectContentHint6$outboundSchema),
  lazyType(() => UpdateProjectContentHint7$outboundSchema),
  lazyType(() => UpdateProjectContentHint8$outboundSchema),
  lazyType(() => UpdateProjectContentHint9$outboundSchema),
  lazyType(() => UpdateProjectContentHint10$outboundSchema),
  lazyType(() => UpdateProjectContentHint11$outboundSchema),
  lazyType(() => UpdateProjectContentHint12$outboundSchema),
  lazyType(() => UpdateProjectContentHint13$outboundSchema),
  lazyType(() => UpdateProjectContentHint15$outboundSchema),
  lazyType(() => UpdateProjectContentHint14$outboundSchema)
]);
var UpdateProjectContentHint$;
(function(UpdateProjectContentHint$2) {
  UpdateProjectContentHint$2.inboundSchema = UpdateProjectContentHint$inboundSchema;
  UpdateProjectContentHint$2.outboundSchema = UpdateProjectContentHint$outboundSchema;
})(UpdateProjectContentHint$ || (UpdateProjectContentHint$ = {}));
var UpdateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType);
var UpdateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
var UpdateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$;
(function(UpdateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$2) {
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$2.inboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$2.outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema;
})(UpdateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$ || (UpdateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$ = {}));
var UpdateProjectInternalContentHint$inboundSchema = objectType({
  type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema,
  encryptedValue: stringType()
});
var UpdateProjectInternalContentHint$outboundSchema = objectType({
  type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema,
  encryptedValue: stringType()
});
var UpdateProjectInternalContentHint$;
(function(UpdateProjectInternalContentHint$2) {
  UpdateProjectInternalContentHint$2.inboundSchema = UpdateProjectInternalContentHint$inboundSchema;
  UpdateProjectInternalContentHint$2.outboundSchema = UpdateProjectInternalContentHint$outboundSchema;
})(UpdateProjectInternalContentHint$ || (UpdateProjectInternalContentHint$ = {}));
var UpdateProjectEnv$inboundSchema = objectType({
  target: unionType([arrayType(stringType()), UpdateProjectTarget2$inboundSchema]).optional(),
  type: UpdateProjectType$inboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => UpdateProjectContentHint1$inboundSchema),
    lazyType(() => UpdateProjectContentHint2$inboundSchema),
    lazyType(() => UpdateProjectContentHint3$inboundSchema),
    lazyType(() => UpdateProjectContentHint4$inboundSchema),
    lazyType(() => UpdateProjectContentHint5$inboundSchema),
    lazyType(() => UpdateProjectContentHint6$inboundSchema),
    lazyType(() => UpdateProjectContentHint7$inboundSchema),
    lazyType(() => UpdateProjectContentHint8$inboundSchema),
    lazyType(() => UpdateProjectContentHint9$inboundSchema),
    lazyType(() => UpdateProjectContentHint10$inboundSchema),
    lazyType(() => UpdateProjectContentHint11$inboundSchema),
    lazyType(() => UpdateProjectContentHint12$inboundSchema),
    lazyType(() => UpdateProjectContentHint13$inboundSchema),
    lazyType(() => UpdateProjectContentHint15$inboundSchema),
    lazyType(() => UpdateProjectContentHint14$inboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => UpdateProjectInternalContentHint$inboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var UpdateProjectEnv$outboundSchema = objectType({
  target: unionType([arrayType(stringType()), UpdateProjectTarget2$outboundSchema]).optional(),
  type: UpdateProjectType$outboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => UpdateProjectContentHint1$outboundSchema),
    lazyType(() => UpdateProjectContentHint2$outboundSchema),
    lazyType(() => UpdateProjectContentHint3$outboundSchema),
    lazyType(() => UpdateProjectContentHint4$outboundSchema),
    lazyType(() => UpdateProjectContentHint5$outboundSchema),
    lazyType(() => UpdateProjectContentHint6$outboundSchema),
    lazyType(() => UpdateProjectContentHint7$outboundSchema),
    lazyType(() => UpdateProjectContentHint8$outboundSchema),
    lazyType(() => UpdateProjectContentHint9$outboundSchema),
    lazyType(() => UpdateProjectContentHint10$outboundSchema),
    lazyType(() => UpdateProjectContentHint11$outboundSchema),
    lazyType(() => UpdateProjectContentHint12$outboundSchema),
    lazyType(() => UpdateProjectContentHint13$outboundSchema),
    lazyType(() => UpdateProjectContentHint15$outboundSchema),
    lazyType(() => UpdateProjectContentHint14$outboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => UpdateProjectInternalContentHint$outboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var UpdateProjectEnv$;
(function(UpdateProjectEnv$2) {
  UpdateProjectEnv$2.inboundSchema = UpdateProjectEnv$inboundSchema;
  UpdateProjectEnv$2.outboundSchema = UpdateProjectEnv$outboundSchema;
})(UpdateProjectEnv$ || (UpdateProjectEnv$ = {}));
var UpdateProjectCustomEnvironments$inboundSchema = objectType({});
var UpdateProjectCustomEnvironments$outboundSchema = objectType({});
var UpdateProjectCustomEnvironments$;
(function(UpdateProjectCustomEnvironments$2) {
  UpdateProjectCustomEnvironments$2.inboundSchema = UpdateProjectCustomEnvironments$inboundSchema;
  UpdateProjectCustomEnvironments$2.outboundSchema = UpdateProjectCustomEnvironments$outboundSchema;
})(UpdateProjectCustomEnvironments$ || (UpdateProjectCustomEnvironments$ = {}));
var UpdateProjectProjectsFramework$inboundSchema = nativeEnumType(UpdateProjectProjectsFramework);
var UpdateProjectProjectsFramework$outboundSchema = UpdateProjectProjectsFramework$inboundSchema;
var UpdateProjectProjectsFramework$;
(function(UpdateProjectProjectsFramework$2) {
  UpdateProjectProjectsFramework$2.inboundSchema = UpdateProjectProjectsFramework$inboundSchema;
  UpdateProjectProjectsFramework$2.outboundSchema = UpdateProjectProjectsFramework$outboundSchema;
})(UpdateProjectProjectsFramework$ || (UpdateProjectProjectsFramework$ = {}));
var UpdateProjectIpBuckets$inboundSchema = objectType({
  bucket: stringType(),
  supportUntil: numberType().optional()
});
var UpdateProjectIpBuckets$outboundSchema = objectType({
  bucket: stringType(),
  supportUntil: numberType().optional()
});
var UpdateProjectIpBuckets$;
(function(UpdateProjectIpBuckets$2) {
  UpdateProjectIpBuckets$2.inboundSchema = UpdateProjectIpBuckets$inboundSchema;
  UpdateProjectIpBuckets$2.outboundSchema = UpdateProjectIpBuckets$outboundSchema;
})(UpdateProjectIpBuckets$ || (UpdateProjectIpBuckets$ = {}));
var UpdateProjectAliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
var UpdateProjectAliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
var UpdateProjectAliasAssigned$;
(function(UpdateProjectAliasAssigned$2) {
  UpdateProjectAliasAssigned$2.inboundSchema = UpdateProjectAliasAssigned$inboundSchema;
  UpdateProjectAliasAssigned$2.outboundSchema = UpdateProjectAliasAssigned$outboundSchema;
})(UpdateProjectAliasAssigned$ || (UpdateProjectAliasAssigned$ = {}));
var UpdateProjectAliasError$inboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var UpdateProjectAliasError$outboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var UpdateProjectAliasError$;
(function(UpdateProjectAliasError$2) {
  UpdateProjectAliasError$2.inboundSchema = UpdateProjectAliasError$inboundSchema;
  UpdateProjectAliasError$2.outboundSchema = UpdateProjectAliasError$outboundSchema;
})(UpdateProjectAliasError$ || (UpdateProjectAliasError$ = {}));
var UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType);
var UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
var UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$;
(function(UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$2) {
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$2.inboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$2.outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
})(UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$ || (UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$ = {}));
var UpdateProjectBranchMatcher$inboundSchema = objectType({
  type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
  pattern: stringType()
});
var UpdateProjectBranchMatcher$outboundSchema = objectType({
  type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
  pattern: stringType()
});
var UpdateProjectBranchMatcher$;
(function(UpdateProjectBranchMatcher$2) {
  UpdateProjectBranchMatcher$2.inboundSchema = UpdateProjectBranchMatcher$inboundSchema;
  UpdateProjectBranchMatcher$2.outboundSchema = UpdateProjectBranchMatcher$outboundSchema;
})(UpdateProjectBranchMatcher$ || (UpdateProjectBranchMatcher$ = {}));
var UpdateProjectBuilds$inboundSchema = objectType({
  use: stringType(),
  src: stringType().optional(),
  dest: stringType().optional()
});
var UpdateProjectBuilds$outboundSchema = objectType({
  use: stringType(),
  src: stringType().optional(),
  dest: stringType().optional()
});
var UpdateProjectBuilds$;
(function(UpdateProjectBuilds$2) {
  UpdateProjectBuilds$2.inboundSchema = UpdateProjectBuilds$inboundSchema;
  UpdateProjectBuilds$2.outboundSchema = UpdateProjectBuilds$outboundSchema;
})(UpdateProjectBuilds$ || (UpdateProjectBuilds$ = {}));
var UpdateProjectChecksConclusion$inboundSchema = nativeEnumType(UpdateProjectChecksConclusion);
var UpdateProjectChecksConclusion$outboundSchema = UpdateProjectChecksConclusion$inboundSchema;
var UpdateProjectChecksConclusion$;
(function(UpdateProjectChecksConclusion$2) {
  UpdateProjectChecksConclusion$2.inboundSchema = UpdateProjectChecksConclusion$inboundSchema;
  UpdateProjectChecksConclusion$2.outboundSchema = UpdateProjectChecksConclusion$outboundSchema;
})(UpdateProjectChecksConclusion$ || (UpdateProjectChecksConclusion$ = {}));
var UpdateProjectChecksState$inboundSchema = nativeEnumType(UpdateProjectChecksState);
var UpdateProjectChecksState$outboundSchema = UpdateProjectChecksState$inboundSchema;
var UpdateProjectChecksState$;
(function(UpdateProjectChecksState$2) {
  UpdateProjectChecksState$2.inboundSchema = UpdateProjectChecksState$inboundSchema;
  UpdateProjectChecksState$2.outboundSchema = UpdateProjectChecksState$outboundSchema;
})(UpdateProjectChecksState$ || (UpdateProjectChecksState$ = {}));
var UpdateProjectCreator$inboundSchema = objectType({
  email: stringType(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional(),
  uid: stringType(),
  username: stringType()
});
var UpdateProjectCreator$outboundSchema = objectType({
  email: stringType(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional(),
  uid: stringType(),
  username: stringType()
});
var UpdateProjectCreator$;
(function(UpdateProjectCreator$2) {
  UpdateProjectCreator$2.inboundSchema = UpdateProjectCreator$inboundSchema;
  UpdateProjectCreator$2.outboundSchema = UpdateProjectCreator$outboundSchema;
})(UpdateProjectCreator$ || (UpdateProjectCreator$ = {}));
var UpdateProjectOidcTokenClaims$inboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  owner_id: stringType(),
  project: stringType(),
  project_id: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    owner_id: "ownerId",
    project_id: "projectId"
  });
});
var UpdateProjectOidcTokenClaims$outboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  ownerId: stringType(),
  project: stringType(),
  projectId: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    ownerId: "owner_id",
    projectId: "project_id"
  });
});
var UpdateProjectOidcTokenClaims$;
(function(UpdateProjectOidcTokenClaims$2) {
  UpdateProjectOidcTokenClaims$2.inboundSchema = UpdateProjectOidcTokenClaims$inboundSchema;
  UpdateProjectOidcTokenClaims$2.outboundSchema = UpdateProjectOidcTokenClaims$outboundSchema;
})(UpdateProjectOidcTokenClaims$ || (UpdateProjectOidcTokenClaims$ = {}));
var UpdateProjectPlan$inboundSchema = nativeEnumType(UpdateProjectPlan);
var UpdateProjectPlan$outboundSchema = UpdateProjectPlan$inboundSchema;
var UpdateProjectPlan$;
(function(UpdateProjectPlan$2) {
  UpdateProjectPlan$2.inboundSchema = UpdateProjectPlan$inboundSchema;
  UpdateProjectPlan$2.outboundSchema = UpdateProjectPlan$outboundSchema;
})(UpdateProjectPlan$ || (UpdateProjectPlan$ = {}));
var UpdateProjectReadyState$inboundSchema = nativeEnumType(UpdateProjectReadyState);
var UpdateProjectReadyState$outboundSchema = UpdateProjectReadyState$inboundSchema;
var UpdateProjectReadyState$;
(function(UpdateProjectReadyState$2) {
  UpdateProjectReadyState$2.inboundSchema = UpdateProjectReadyState$inboundSchema;
  UpdateProjectReadyState$2.outboundSchema = UpdateProjectReadyState$outboundSchema;
})(UpdateProjectReadyState$ || (UpdateProjectReadyState$ = {}));
var UpdateProjectReadySubstate$inboundSchema = nativeEnumType(UpdateProjectReadySubstate);
var UpdateProjectReadySubstate$outboundSchema = UpdateProjectReadySubstate$inboundSchema;
var UpdateProjectReadySubstate$;
(function(UpdateProjectReadySubstate$2) {
  UpdateProjectReadySubstate$2.inboundSchema = UpdateProjectReadySubstate$inboundSchema;
  UpdateProjectReadySubstate$2.outboundSchema = UpdateProjectReadySubstate$outboundSchema;
})(UpdateProjectReadySubstate$ || (UpdateProjectReadySubstate$ = {}));
var UpdateProjectProjectsType$inboundSchema = nativeEnumType(UpdateProjectProjectsType);
var UpdateProjectProjectsType$outboundSchema = UpdateProjectProjectsType$inboundSchema;
var UpdateProjectProjectsType$;
(function(UpdateProjectProjectsType$2) {
  UpdateProjectProjectsType$2.inboundSchema = UpdateProjectProjectsType$inboundSchema;
  UpdateProjectProjectsType$2.outboundSchema = UpdateProjectProjectsType$outboundSchema;
})(UpdateProjectProjectsType$ || (UpdateProjectProjectsType$ = {}));
var UpdateProjectLatestDeployments$inboundSchema = objectType({
  id: stringType(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  aliasError: nullableType(lazyType(() => UpdateProjectAliasError$inboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  branchMatcher: lazyType(() => UpdateProjectBranchMatcher$inboundSchema).optional(),
  buildingAt: numberType().optional(),
  builds: arrayType(lazyType(() => UpdateProjectBuilds$inboundSchema)).optional(),
  checksConclusion: UpdateProjectChecksConclusion$inboundSchema.optional(),
  checksState: UpdateProjectChecksState$inboundSchema.optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdAt: numberType(),
  createdIn: stringType(),
  creator: nullableType(lazyType(() => UpdateProjectCreator$inboundSchema)),
  deletedAt: numberType().optional(),
  deploymentHostname: stringType(),
  forced: booleanType().optional(),
  name: stringType(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  oidcTokenClaims: lazyType(() => UpdateProjectOidcTokenClaims$inboundSchema).optional(),
  plan: UpdateProjectPlan$inboundSchema,
  previewCommentsEnabled: booleanType().optional(),
  private: booleanType(),
  readyAt: numberType().optional(),
  readyState: UpdateProjectReadyState$inboundSchema,
  readySubstate: UpdateProjectReadySubstate$inboundSchema.optional(),
  requestedAt: numberType().optional(),
  target: nullableType(stringType()).optional(),
  teamId: nullableType(stringType()).optional(),
  type: UpdateProjectProjectsType$inboundSchema,
  url: stringType(),
  userId: stringType(),
  withCache: booleanType().optional()
});
var UpdateProjectLatestDeployments$outboundSchema = objectType({
  id: stringType(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  aliasError: nullableType(lazyType(() => UpdateProjectAliasError$outboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  branchMatcher: lazyType(() => UpdateProjectBranchMatcher$outboundSchema).optional(),
  buildingAt: numberType().optional(),
  builds: arrayType(lazyType(() => UpdateProjectBuilds$outboundSchema)).optional(),
  checksConclusion: UpdateProjectChecksConclusion$outboundSchema.optional(),
  checksState: UpdateProjectChecksState$outboundSchema.optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdAt: numberType(),
  createdIn: stringType(),
  creator: nullableType(lazyType(() => UpdateProjectCreator$outboundSchema)),
  deletedAt: numberType().optional(),
  deploymentHostname: stringType(),
  forced: booleanType().optional(),
  name: stringType(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  oidcTokenClaims: lazyType(() => UpdateProjectOidcTokenClaims$outboundSchema).optional(),
  plan: UpdateProjectPlan$outboundSchema,
  previewCommentsEnabled: booleanType().optional(),
  private: booleanType(),
  readyAt: numberType().optional(),
  readyState: UpdateProjectReadyState$outboundSchema,
  readySubstate: UpdateProjectReadySubstate$outboundSchema.optional(),
  requestedAt: numberType().optional(),
  target: nullableType(stringType()).optional(),
  teamId: nullableType(stringType()).optional(),
  type: UpdateProjectProjectsType$outboundSchema,
  url: stringType(),
  userId: stringType(),
  withCache: booleanType().optional()
});
var UpdateProjectLatestDeployments$;
(function(UpdateProjectLatestDeployments$2) {
  UpdateProjectLatestDeployments$2.inboundSchema = UpdateProjectLatestDeployments$inboundSchema;
  UpdateProjectLatestDeployments$2.outboundSchema = UpdateProjectLatestDeployments$outboundSchema;
})(UpdateProjectLatestDeployments$ || (UpdateProjectLatestDeployments$ = {}));
var UpdateProjectLinkProjectsResponseType$inboundSchema = nativeEnumType(UpdateProjectLinkProjectsResponseType);
var UpdateProjectLinkProjectsResponseType$outboundSchema = UpdateProjectLinkProjectsResponseType$inboundSchema;
var UpdateProjectLinkProjectsResponseType$;
(function(UpdateProjectLinkProjectsResponseType$2) {
  UpdateProjectLinkProjectsResponseType$2.inboundSchema = UpdateProjectLinkProjectsResponseType$inboundSchema;
  UpdateProjectLinkProjectsResponseType$2.outboundSchema = UpdateProjectLinkProjectsResponseType$outboundSchema;
})(UpdateProjectLinkProjectsResponseType$ || (UpdateProjectLinkProjectsResponseType$ = {}));
var UpdateProjectLinkProjectsResponseDeployHooks$inboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var UpdateProjectLinkProjectsResponseDeployHooks$outboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var UpdateProjectLinkProjectsResponseDeployHooks$;
(function(UpdateProjectLinkProjectsResponseDeployHooks$2) {
  UpdateProjectLinkProjectsResponseDeployHooks$2.inboundSchema = UpdateProjectLinkProjectsResponseDeployHooks$inboundSchema;
  UpdateProjectLinkProjectsResponseDeployHooks$2.outboundSchema = UpdateProjectLinkProjectsResponseDeployHooks$outboundSchema;
})(UpdateProjectLinkProjectsResponseDeployHooks$ || (UpdateProjectLinkProjectsResponseDeployHooks$ = {}));
var UpdateProjectLink3$inboundSchema = objectType({
  name: stringType().optional(),
  slug: stringType().optional(),
  owner: stringType().optional(),
  type: UpdateProjectLinkProjectsResponseType$inboundSchema.optional(),
  uuid: stringType().optional(),
  workspaceUuid: stringType().optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => UpdateProjectLinkProjectsResponseDeployHooks$inboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var UpdateProjectLink3$outboundSchema = objectType({
  name: stringType().optional(),
  slug: stringType().optional(),
  owner: stringType().optional(),
  type: UpdateProjectLinkProjectsResponseType$outboundSchema.optional(),
  uuid: stringType().optional(),
  workspaceUuid: stringType().optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => UpdateProjectLinkProjectsResponseDeployHooks$outboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var UpdateProjectLink3$;
(function(UpdateProjectLink3$2) {
  UpdateProjectLink3$2.inboundSchema = UpdateProjectLink3$inboundSchema;
  UpdateProjectLink3$2.outboundSchema = UpdateProjectLink3$outboundSchema;
})(UpdateProjectLink3$ || (UpdateProjectLink3$ = {}));
var UpdateProjectLinkProjectsType$inboundSchema = nativeEnumType(UpdateProjectLinkProjectsType);
var UpdateProjectLinkProjectsType$outboundSchema = UpdateProjectLinkProjectsType$inboundSchema;
var UpdateProjectLinkProjectsType$;
(function(UpdateProjectLinkProjectsType$2) {
  UpdateProjectLinkProjectsType$2.inboundSchema = UpdateProjectLinkProjectsType$inboundSchema;
  UpdateProjectLinkProjectsType$2.outboundSchema = UpdateProjectLinkProjectsType$outboundSchema;
})(UpdateProjectLinkProjectsType$ || (UpdateProjectLinkProjectsType$ = {}));
var UpdateProjectLinkProjectsDeployHooks$inboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var UpdateProjectLinkProjectsDeployHooks$outboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var UpdateProjectLinkProjectsDeployHooks$;
(function(UpdateProjectLinkProjectsDeployHooks$2) {
  UpdateProjectLinkProjectsDeployHooks$2.inboundSchema = UpdateProjectLinkProjectsDeployHooks$inboundSchema;
  UpdateProjectLinkProjectsDeployHooks$2.outboundSchema = UpdateProjectLinkProjectsDeployHooks$outboundSchema;
})(UpdateProjectLinkProjectsDeployHooks$ || (UpdateProjectLinkProjectsDeployHooks$ = {}));
var UpdateProjectLink2$inboundSchema = objectType({
  projectId: stringType().optional(),
  projectName: stringType().optional(),
  projectNameWithNamespace: stringType().optional(),
  projectNamespace: stringType().optional(),
  projectOwnerId: numberType().optional(),
  projectUrl: stringType().optional(),
  type: UpdateProjectLinkProjectsType$inboundSchema.optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => UpdateProjectLinkProjectsDeployHooks$inboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var UpdateProjectLink2$outboundSchema = objectType({
  projectId: stringType().optional(),
  projectName: stringType().optional(),
  projectNameWithNamespace: stringType().optional(),
  projectNamespace: stringType().optional(),
  projectOwnerId: numberType().optional(),
  projectUrl: stringType().optional(),
  type: UpdateProjectLinkProjectsType$outboundSchema.optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => UpdateProjectLinkProjectsDeployHooks$outboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var UpdateProjectLink2$;
(function(UpdateProjectLink2$2) {
  UpdateProjectLink2$2.inboundSchema = UpdateProjectLink2$inboundSchema;
  UpdateProjectLink2$2.outboundSchema = UpdateProjectLink2$outboundSchema;
})(UpdateProjectLink2$ || (UpdateProjectLink2$ = {}));
var UpdateProjectLinkType$inboundSchema = nativeEnumType(UpdateProjectLinkType);
var UpdateProjectLinkType$outboundSchema = UpdateProjectLinkType$inboundSchema;
var UpdateProjectLinkType$;
(function(UpdateProjectLinkType$2) {
  UpdateProjectLinkType$2.inboundSchema = UpdateProjectLinkType$inboundSchema;
  UpdateProjectLinkType$2.outboundSchema = UpdateProjectLinkType$outboundSchema;
})(UpdateProjectLinkType$ || (UpdateProjectLinkType$ = {}));
var UpdateProjectLinkDeployHooks$inboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var UpdateProjectLinkDeployHooks$outboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var UpdateProjectLinkDeployHooks$;
(function(UpdateProjectLinkDeployHooks$2) {
  UpdateProjectLinkDeployHooks$2.inboundSchema = UpdateProjectLinkDeployHooks$inboundSchema;
  UpdateProjectLinkDeployHooks$2.outboundSchema = UpdateProjectLinkDeployHooks$outboundSchema;
})(UpdateProjectLinkDeployHooks$ || (UpdateProjectLinkDeployHooks$ = {}));
var UpdateProjectLink1$inboundSchema = objectType({
  org: stringType().optional(),
  repoOwnerId: numberType().optional(),
  repo: stringType().optional(),
  repoId: numberType().optional(),
  type: UpdateProjectLinkType$inboundSchema.optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => UpdateProjectLinkDeployHooks$inboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var UpdateProjectLink1$outboundSchema = objectType({
  org: stringType().optional(),
  repoOwnerId: numberType().optional(),
  repo: stringType().optional(),
  repoId: numberType().optional(),
  type: UpdateProjectLinkType$outboundSchema.optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => UpdateProjectLinkDeployHooks$outboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var UpdateProjectLink1$;
(function(UpdateProjectLink1$2) {
  UpdateProjectLink1$2.inboundSchema = UpdateProjectLink1$inboundSchema;
  UpdateProjectLink1$2.outboundSchema = UpdateProjectLink1$outboundSchema;
})(UpdateProjectLink1$ || (UpdateProjectLink1$ = {}));
var UpdateProjectLink$inboundSchema = unionType([
  lazyType(() => UpdateProjectLink1$inboundSchema),
  lazyType(() => UpdateProjectLink3$inboundSchema),
  lazyType(() => UpdateProjectLink2$inboundSchema)
]);
var UpdateProjectLink$outboundSchema = unionType([
  lazyType(() => UpdateProjectLink1$outboundSchema),
  lazyType(() => UpdateProjectLink3$outboundSchema),
  lazyType(() => UpdateProjectLink2$outboundSchema)
]);
var UpdateProjectLink$;
(function(UpdateProjectLink$2) {
  UpdateProjectLink$2.inboundSchema = UpdateProjectLink$inboundSchema;
  UpdateProjectLink$2.outboundSchema = UpdateProjectLink$outboundSchema;
})(UpdateProjectLink$ || (UpdateProjectLink$ = {}));
var UpdateProjectMicrofrontends$inboundSchema = objectType({
  updatedAt: numberType(),
  groupIds: arrayType(stringType()),
  enabled: booleanType(),
  isDefaultApp: booleanType().optional(),
  defaultRoute: stringType().optional()
});
var UpdateProjectMicrofrontends$outboundSchema = objectType({
  updatedAt: numberType(),
  groupIds: arrayType(stringType()),
  enabled: booleanType(),
  isDefaultApp: booleanType().optional(),
  defaultRoute: stringType().optional()
});
var UpdateProjectMicrofrontends$;
(function(UpdateProjectMicrofrontends$2) {
  UpdateProjectMicrofrontends$2.inboundSchema = UpdateProjectMicrofrontends$inboundSchema;
  UpdateProjectMicrofrontends$2.outboundSchema = UpdateProjectMicrofrontends$outboundSchema;
})(UpdateProjectMicrofrontends$ || (UpdateProjectMicrofrontends$ = {}));
var UpdateProjectProjectsNodeVersion$inboundSchema = nativeEnumType(UpdateProjectProjectsNodeVersion);
var UpdateProjectProjectsNodeVersion$outboundSchema = UpdateProjectProjectsNodeVersion$inboundSchema;
var UpdateProjectProjectsNodeVersion$;
(function(UpdateProjectProjectsNodeVersion$2) {
  UpdateProjectProjectsNodeVersion$2.inboundSchema = UpdateProjectProjectsNodeVersion$inboundSchema;
  UpdateProjectProjectsNodeVersion$2.outboundSchema = UpdateProjectProjectsNodeVersion$outboundSchema;
})(UpdateProjectProjectsNodeVersion$ || (UpdateProjectProjectsNodeVersion$ = {}));
var UpdateProjectPaths$inboundSchema = objectType({
  value: stringType()
});
var UpdateProjectPaths$outboundSchema = objectType({
  value: stringType()
});
var UpdateProjectPaths$;
(function(UpdateProjectPaths$2) {
  UpdateProjectPaths$2.inboundSchema = UpdateProjectPaths$inboundSchema;
  UpdateProjectPaths$2.outboundSchema = UpdateProjectPaths$outboundSchema;
})(UpdateProjectPaths$ || (UpdateProjectPaths$ = {}));
var UpdateProjectOptionsAllowlist$inboundSchema = objectType({
  paths: arrayType(lazyType(() => UpdateProjectPaths$inboundSchema))
});
var UpdateProjectOptionsAllowlist$outboundSchema = objectType({
  paths: arrayType(lazyType(() => UpdateProjectPaths$outboundSchema))
});
var UpdateProjectOptionsAllowlist$;
(function(UpdateProjectOptionsAllowlist$2) {
  UpdateProjectOptionsAllowlist$2.inboundSchema = UpdateProjectOptionsAllowlist$inboundSchema;
  UpdateProjectOptionsAllowlist$2.outboundSchema = UpdateProjectOptionsAllowlist$outboundSchema;
})(UpdateProjectOptionsAllowlist$ || (UpdateProjectOptionsAllowlist$ = {}));
var UpdateProjectPasswordProtection$inboundSchema = objectType({});
var UpdateProjectPasswordProtection$outboundSchema = objectType({});
var UpdateProjectPasswordProtection$;
(function(UpdateProjectPasswordProtection$2) {
  UpdateProjectPasswordProtection$2.inboundSchema = UpdateProjectPasswordProtection$inboundSchema;
  UpdateProjectPasswordProtection$2.outboundSchema = UpdateProjectPasswordProtection$outboundSchema;
})(UpdateProjectPasswordProtection$ || (UpdateProjectPasswordProtection$ = {}));
var UpdateProjectFunctionDefaultMemoryType$inboundSchema = nativeEnumType(UpdateProjectFunctionDefaultMemoryType);
var UpdateProjectFunctionDefaultMemoryType$outboundSchema = UpdateProjectFunctionDefaultMemoryType$inboundSchema;
var UpdateProjectFunctionDefaultMemoryType$;
(function(UpdateProjectFunctionDefaultMemoryType$2) {
  UpdateProjectFunctionDefaultMemoryType$2.inboundSchema = UpdateProjectFunctionDefaultMemoryType$inboundSchema;
  UpdateProjectFunctionDefaultMemoryType$2.outboundSchema = UpdateProjectFunctionDefaultMemoryType$outboundSchema;
})(UpdateProjectFunctionDefaultMemoryType$ || (UpdateProjectFunctionDefaultMemoryType$ = {}));
var UpdateProjectResourceConfig$inboundSchema = objectType({
  fluid: booleanType().optional(),
  functionDefaultRegion: nullableType(stringType()).optional(),
  functionDefaultTimeout: numberType().optional(),
  functionDefaultMemoryType: UpdateProjectFunctionDefaultMemoryType$inboundSchema.optional(),
  functionZeroConfigFailover: booleanType().optional(),
  allowServerlessConcurrency: booleanType().optional(),
  elasticConcurrencyEnabled: booleanType().optional()
});
var UpdateProjectResourceConfig$outboundSchema = objectType({
  fluid: booleanType().optional(),
  functionDefaultRegion: nullableType(stringType()).optional(),
  functionDefaultTimeout: numberType().optional(),
  functionDefaultMemoryType: UpdateProjectFunctionDefaultMemoryType$outboundSchema.optional(),
  functionZeroConfigFailover: booleanType().optional(),
  allowServerlessConcurrency: booleanType().optional(),
  elasticConcurrencyEnabled: booleanType().optional()
});
var UpdateProjectResourceConfig$;
(function(UpdateProjectResourceConfig$2) {
  UpdateProjectResourceConfig$2.inboundSchema = UpdateProjectResourceConfig$inboundSchema;
  UpdateProjectResourceConfig$2.outboundSchema = UpdateProjectResourceConfig$outboundSchema;
})(UpdateProjectResourceConfig$ || (UpdateProjectResourceConfig$ = {}));
var UpdateProjectProjectsResponseDeploymentType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponseDeploymentType);
var UpdateProjectProjectsResponseDeploymentType$outboundSchema = UpdateProjectProjectsResponseDeploymentType$inboundSchema;
var UpdateProjectProjectsResponseDeploymentType$;
(function(UpdateProjectProjectsResponseDeploymentType$2) {
  UpdateProjectProjectsResponseDeploymentType$2.inboundSchema = UpdateProjectProjectsResponseDeploymentType$inboundSchema;
  UpdateProjectProjectsResponseDeploymentType$2.outboundSchema = UpdateProjectProjectsResponseDeploymentType$outboundSchema;
})(UpdateProjectProjectsResponseDeploymentType$ || (UpdateProjectProjectsResponseDeploymentType$ = {}));
var UpdateProjectSsoProtection$inboundSchema = objectType({
  deploymentType: UpdateProjectProjectsResponseDeploymentType$inboundSchema
});
var UpdateProjectSsoProtection$outboundSchema = objectType({
  deploymentType: UpdateProjectProjectsResponseDeploymentType$outboundSchema
});
var UpdateProjectSsoProtection$;
(function(UpdateProjectSsoProtection$2) {
  UpdateProjectSsoProtection$2.inboundSchema = UpdateProjectSsoProtection$inboundSchema;
  UpdateProjectSsoProtection$2.outboundSchema = UpdateProjectSsoProtection$outboundSchema;
})(UpdateProjectSsoProtection$ || (UpdateProjectSsoProtection$ = {}));
var UpdateProjectProjectsAliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
var UpdateProjectProjectsAliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
var UpdateProjectProjectsAliasAssigned$;
(function(UpdateProjectProjectsAliasAssigned$2) {
  UpdateProjectProjectsAliasAssigned$2.inboundSchema = UpdateProjectProjectsAliasAssigned$inboundSchema;
  UpdateProjectProjectsAliasAssigned$2.outboundSchema = UpdateProjectProjectsAliasAssigned$outboundSchema;
})(UpdateProjectProjectsAliasAssigned$ || (UpdateProjectProjectsAliasAssigned$ = {}));
var UpdateProjectProjectsAliasError$inboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var UpdateProjectProjectsAliasError$outboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var UpdateProjectProjectsAliasError$;
(function(UpdateProjectProjectsAliasError$2) {
  UpdateProjectProjectsAliasError$2.inboundSchema = UpdateProjectProjectsAliasError$inboundSchema;
  UpdateProjectProjectsAliasError$2.outboundSchema = UpdateProjectProjectsAliasError$outboundSchema;
})(UpdateProjectProjectsAliasError$ || (UpdateProjectProjectsAliasError$ = {}));
var UpdateProjectProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponse200ApplicationJSONType);
var UpdateProjectProjectsResponse200ApplicationJSONType$outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONType$inboundSchema;
var UpdateProjectProjectsResponse200ApplicationJSONType$;
(function(UpdateProjectProjectsResponse200ApplicationJSONType$2) {
  UpdateProjectProjectsResponse200ApplicationJSONType$2.inboundSchema = UpdateProjectProjectsResponse200ApplicationJSONType$inboundSchema;
  UpdateProjectProjectsResponse200ApplicationJSONType$2.outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONType$outboundSchema;
})(UpdateProjectProjectsResponse200ApplicationJSONType$ || (UpdateProjectProjectsResponse200ApplicationJSONType$ = {}));
var UpdateProjectProjectsBranchMatcher$inboundSchema = objectType({
  type: UpdateProjectProjectsResponse200ApplicationJSONType$inboundSchema,
  pattern: stringType()
});
var UpdateProjectProjectsBranchMatcher$outboundSchema = objectType({
  type: UpdateProjectProjectsResponse200ApplicationJSONType$outboundSchema,
  pattern: stringType()
});
var UpdateProjectProjectsBranchMatcher$;
(function(UpdateProjectProjectsBranchMatcher$2) {
  UpdateProjectProjectsBranchMatcher$2.inboundSchema = UpdateProjectProjectsBranchMatcher$inboundSchema;
  UpdateProjectProjectsBranchMatcher$2.outboundSchema = UpdateProjectProjectsBranchMatcher$outboundSchema;
})(UpdateProjectProjectsBranchMatcher$ || (UpdateProjectProjectsBranchMatcher$ = {}));
var UpdateProjectProjectsBuilds$inboundSchema = objectType({
  use: stringType(),
  src: stringType().optional(),
  dest: stringType().optional()
});
var UpdateProjectProjectsBuilds$outboundSchema = objectType({
  use: stringType(),
  src: stringType().optional(),
  dest: stringType().optional()
});
var UpdateProjectProjectsBuilds$;
(function(UpdateProjectProjectsBuilds$2) {
  UpdateProjectProjectsBuilds$2.inboundSchema = UpdateProjectProjectsBuilds$inboundSchema;
  UpdateProjectProjectsBuilds$2.outboundSchema = UpdateProjectProjectsBuilds$outboundSchema;
})(UpdateProjectProjectsBuilds$ || (UpdateProjectProjectsBuilds$ = {}));
var UpdateProjectProjectsChecksConclusion$inboundSchema = nativeEnumType(UpdateProjectProjectsChecksConclusion);
var UpdateProjectProjectsChecksConclusion$outboundSchema = UpdateProjectProjectsChecksConclusion$inboundSchema;
var UpdateProjectProjectsChecksConclusion$;
(function(UpdateProjectProjectsChecksConclusion$2) {
  UpdateProjectProjectsChecksConclusion$2.inboundSchema = UpdateProjectProjectsChecksConclusion$inboundSchema;
  UpdateProjectProjectsChecksConclusion$2.outboundSchema = UpdateProjectProjectsChecksConclusion$outboundSchema;
})(UpdateProjectProjectsChecksConclusion$ || (UpdateProjectProjectsChecksConclusion$ = {}));
var UpdateProjectProjectsChecksState$inboundSchema = nativeEnumType(UpdateProjectProjectsChecksState);
var UpdateProjectProjectsChecksState$outboundSchema = UpdateProjectProjectsChecksState$inboundSchema;
var UpdateProjectProjectsChecksState$;
(function(UpdateProjectProjectsChecksState$2) {
  UpdateProjectProjectsChecksState$2.inboundSchema = UpdateProjectProjectsChecksState$inboundSchema;
  UpdateProjectProjectsChecksState$2.outboundSchema = UpdateProjectProjectsChecksState$outboundSchema;
})(UpdateProjectProjectsChecksState$ || (UpdateProjectProjectsChecksState$ = {}));
var UpdateProjectProjectsCreator$inboundSchema = objectType({
  email: stringType(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional(),
  uid: stringType(),
  username: stringType()
});
var UpdateProjectProjectsCreator$outboundSchema = objectType({
  email: stringType(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional(),
  uid: stringType(),
  username: stringType()
});
var UpdateProjectProjectsCreator$;
(function(UpdateProjectProjectsCreator$2) {
  UpdateProjectProjectsCreator$2.inboundSchema = UpdateProjectProjectsCreator$inboundSchema;
  UpdateProjectProjectsCreator$2.outboundSchema = UpdateProjectProjectsCreator$outboundSchema;
})(UpdateProjectProjectsCreator$ || (UpdateProjectProjectsCreator$ = {}));
var UpdateProjectProjectsOidcTokenClaims$inboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  owner_id: stringType(),
  project: stringType(),
  project_id: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    owner_id: "ownerId",
    project_id: "projectId"
  });
});
var UpdateProjectProjectsOidcTokenClaims$outboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  ownerId: stringType(),
  project: stringType(),
  projectId: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    ownerId: "owner_id",
    projectId: "project_id"
  });
});
var UpdateProjectProjectsOidcTokenClaims$;
(function(UpdateProjectProjectsOidcTokenClaims$2) {
  UpdateProjectProjectsOidcTokenClaims$2.inboundSchema = UpdateProjectProjectsOidcTokenClaims$inboundSchema;
  UpdateProjectProjectsOidcTokenClaims$2.outboundSchema = UpdateProjectProjectsOidcTokenClaims$outboundSchema;
})(UpdateProjectProjectsOidcTokenClaims$ || (UpdateProjectProjectsOidcTokenClaims$ = {}));
var UpdateProjectProjectsPlan$inboundSchema = nativeEnumType(UpdateProjectProjectsPlan);
var UpdateProjectProjectsPlan$outboundSchema = UpdateProjectProjectsPlan$inboundSchema;
var UpdateProjectProjectsPlan$;
(function(UpdateProjectProjectsPlan$2) {
  UpdateProjectProjectsPlan$2.inboundSchema = UpdateProjectProjectsPlan$inboundSchema;
  UpdateProjectProjectsPlan$2.outboundSchema = UpdateProjectProjectsPlan$outboundSchema;
})(UpdateProjectProjectsPlan$ || (UpdateProjectProjectsPlan$ = {}));
var UpdateProjectProjectsReadyState$inboundSchema = nativeEnumType(UpdateProjectProjectsReadyState);
var UpdateProjectProjectsReadyState$outboundSchema = UpdateProjectProjectsReadyState$inboundSchema;
var UpdateProjectProjectsReadyState$;
(function(UpdateProjectProjectsReadyState$2) {
  UpdateProjectProjectsReadyState$2.inboundSchema = UpdateProjectProjectsReadyState$inboundSchema;
  UpdateProjectProjectsReadyState$2.outboundSchema = UpdateProjectProjectsReadyState$outboundSchema;
})(UpdateProjectProjectsReadyState$ || (UpdateProjectProjectsReadyState$ = {}));
var UpdateProjectProjectsReadySubstate$inboundSchema = nativeEnumType(UpdateProjectProjectsReadySubstate);
var UpdateProjectProjectsReadySubstate$outboundSchema = UpdateProjectProjectsReadySubstate$inboundSchema;
var UpdateProjectProjectsReadySubstate$;
(function(UpdateProjectProjectsReadySubstate$2) {
  UpdateProjectProjectsReadySubstate$2.inboundSchema = UpdateProjectProjectsReadySubstate$inboundSchema;
  UpdateProjectProjectsReadySubstate$2.outboundSchema = UpdateProjectProjectsReadySubstate$outboundSchema;
})(UpdateProjectProjectsReadySubstate$ || (UpdateProjectProjectsReadySubstate$ = {}));
var UpdateProjectProjectsResponseType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponseType);
var UpdateProjectProjectsResponseType$outboundSchema = UpdateProjectProjectsResponseType$inboundSchema;
var UpdateProjectProjectsResponseType$;
(function(UpdateProjectProjectsResponseType$2) {
  UpdateProjectProjectsResponseType$2.inboundSchema = UpdateProjectProjectsResponseType$inboundSchema;
  UpdateProjectProjectsResponseType$2.outboundSchema = UpdateProjectProjectsResponseType$outboundSchema;
})(UpdateProjectProjectsResponseType$ || (UpdateProjectProjectsResponseType$ = {}));
var UpdateProjectTargets$inboundSchema = objectType({
  id: stringType(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  aliasError: nullableType(lazyType(() => UpdateProjectProjectsAliasError$inboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  branchMatcher: lazyType(() => UpdateProjectProjectsBranchMatcher$inboundSchema).optional(),
  buildingAt: numberType().optional(),
  builds: arrayType(lazyType(() => UpdateProjectProjectsBuilds$inboundSchema)).optional(),
  checksConclusion: UpdateProjectProjectsChecksConclusion$inboundSchema.optional(),
  checksState: UpdateProjectProjectsChecksState$inboundSchema.optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdAt: numberType(),
  createdIn: stringType(),
  creator: nullableType(lazyType(() => UpdateProjectProjectsCreator$inboundSchema)),
  deletedAt: numberType().optional(),
  deploymentHostname: stringType(),
  forced: booleanType().optional(),
  name: stringType(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  oidcTokenClaims: lazyType(() => UpdateProjectProjectsOidcTokenClaims$inboundSchema).optional(),
  plan: UpdateProjectProjectsPlan$inboundSchema,
  previewCommentsEnabled: booleanType().optional(),
  private: booleanType(),
  readyAt: numberType().optional(),
  readyState: UpdateProjectProjectsReadyState$inboundSchema,
  readySubstate: UpdateProjectProjectsReadySubstate$inboundSchema.optional(),
  requestedAt: numberType().optional(),
  target: nullableType(stringType()).optional(),
  teamId: nullableType(stringType()).optional(),
  type: UpdateProjectProjectsResponseType$inboundSchema,
  url: stringType(),
  userId: stringType(),
  withCache: booleanType().optional()
});
var UpdateProjectTargets$outboundSchema = objectType({
  id: stringType(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  aliasError: nullableType(lazyType(() => UpdateProjectProjectsAliasError$outboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  branchMatcher: lazyType(() => UpdateProjectProjectsBranchMatcher$outboundSchema).optional(),
  buildingAt: numberType().optional(),
  builds: arrayType(lazyType(() => UpdateProjectProjectsBuilds$outboundSchema)).optional(),
  checksConclusion: UpdateProjectProjectsChecksConclusion$outboundSchema.optional(),
  checksState: UpdateProjectProjectsChecksState$outboundSchema.optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdAt: numberType(),
  createdIn: stringType(),
  creator: nullableType(lazyType(() => UpdateProjectProjectsCreator$outboundSchema)),
  deletedAt: numberType().optional(),
  deploymentHostname: stringType(),
  forced: booleanType().optional(),
  name: stringType(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  oidcTokenClaims: lazyType(() => UpdateProjectProjectsOidcTokenClaims$outboundSchema).optional(),
  plan: UpdateProjectProjectsPlan$outboundSchema,
  previewCommentsEnabled: booleanType().optional(),
  private: booleanType(),
  readyAt: numberType().optional(),
  readyState: UpdateProjectProjectsReadyState$outboundSchema,
  readySubstate: UpdateProjectProjectsReadySubstate$outboundSchema.optional(),
  requestedAt: numberType().optional(),
  target: nullableType(stringType()).optional(),
  teamId: nullableType(stringType()).optional(),
  type: UpdateProjectProjectsResponseType$outboundSchema,
  url: stringType(),
  userId: stringType(),
  withCache: booleanType().optional()
});
var UpdateProjectTargets$;
(function(UpdateProjectTargets$2) {
  UpdateProjectTargets$2.inboundSchema = UpdateProjectTargets$inboundSchema;
  UpdateProjectTargets$2.outboundSchema = UpdateProjectTargets$outboundSchema;
})(UpdateProjectTargets$ || (UpdateProjectTargets$ = {}));
var UpdateProjectPermissions$inboundSchema = objectType({
  accessGroup: arrayType(ACLAction$inboundSchema).optional(),
  aliasGlobal: arrayType(ACLAction$inboundSchema).optional(),
  analyticsSampling: arrayType(ACLAction$inboundSchema).optional(),
  analyticsUsage: arrayType(ACLAction$inboundSchema).optional(),
  auditLog: arrayType(ACLAction$inboundSchema).optional(),
  billingAddress: arrayType(ACLAction$inboundSchema).optional(),
  billingInformation: arrayType(ACLAction$inboundSchema).optional(),
  billingInvoice: arrayType(ACLAction$inboundSchema).optional(),
  billingInvoiceEmailRecipient: arrayType(ACLAction$inboundSchema).optional(),
  billingInvoiceLanguage: arrayType(ACLAction$inboundSchema).optional(),
  billingPlan: arrayType(ACLAction$inboundSchema).optional(),
  billingPurchaseOrder: arrayType(ACLAction$inboundSchema).optional(),
  billingTaxId: arrayType(ACLAction$inboundSchema).optional(),
  blob: arrayType(ACLAction$inboundSchema).optional(),
  budget: arrayType(ACLAction$inboundSchema).optional(),
  cacheArtifact: arrayType(ACLAction$inboundSchema).optional(),
  cacheArtifactUsageEvent: arrayType(ACLAction$inboundSchema).optional(),
  codeChecks: arrayType(ACLAction$inboundSchema).optional(),
  concurrentBuilds: arrayType(ACLAction$inboundSchema).optional(),
  connect: arrayType(ACLAction$inboundSchema).optional(),
  connectConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  domain: arrayType(ACLAction$inboundSchema).optional(),
  domainAcceptDelegation: arrayType(ACLAction$inboundSchema).optional(),
  domainAuthCodes: arrayType(ACLAction$inboundSchema).optional(),
  domainCertificate: arrayType(ACLAction$inboundSchema).optional(),
  domainCheckConfig: arrayType(ACLAction$inboundSchema).optional(),
  domainMove: arrayType(ACLAction$inboundSchema).optional(),
  domainPurchase: arrayType(ACLAction$inboundSchema).optional(),
  domainRecord: arrayType(ACLAction$inboundSchema).optional(),
  domainTransferIn: arrayType(ACLAction$inboundSchema).optional(),
  event: arrayType(ACLAction$inboundSchema).optional(),
  ownEvent: arrayType(ACLAction$inboundSchema).optional(),
  sensitiveEnvironmentVariablePolicy: arrayType(ACLAction$inboundSchema).optional(),
  fileUpload: arrayType(ACLAction$inboundSchema).optional(),
  gitRepository: arrayType(ACLAction$inboundSchema).optional(),
  ipBlocking: arrayType(ACLAction$inboundSchema).optional(),
  integration: arrayType(ACLAction$inboundSchema).optional(),
  integrationAccount: arrayType(ACLAction$inboundSchema).optional(),
  integrationConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  integrationConfigurationTransfer: arrayType(ACLAction$inboundSchema).optional(),
  integrationConfigurationProjects: arrayType(ACLAction$inboundSchema).optional(),
  integrationVercelConfigurationOverride: arrayType(ACLAction$inboundSchema).optional(),
  integrationConfigurationRole: arrayType(ACLAction$inboundSchema).optional(),
  integrationResource: arrayType(ACLAction$inboundSchema).optional(),
  integrationEvent: arrayType(ACLAction$inboundSchema).optional(),
  integrationResourceSecrets: arrayType(ACLAction$inboundSchema).optional(),
  integrationDeploymentAction: arrayType(ACLAction$inboundSchema).optional(),
  marketplaceInstallationMember: arrayType(ACLAction$inboundSchema).optional(),
  marketplaceBillingData: arrayType(ACLAction$inboundSchema).optional(),
  marketplaceInvoice: arrayType(ACLAction$inboundSchema).optional(),
  jobGlobal: arrayType(ACLAction$inboundSchema).optional(),
  logDrain: arrayType(ACLAction$inboundSchema).optional(),
  Monitoring: arrayType(ACLAction$inboundSchema).optional(),
  monitoringSettings: arrayType(ACLAction$inboundSchema).optional(),
  monitoringQuery: arrayType(ACLAction$inboundSchema).optional(),
  monitoringChart: arrayType(ACLAction$inboundSchema).optional(),
  monitoringAlert: arrayType(ACLAction$inboundSchema).optional(),
  notificationDeploymentFailed: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainExpire: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainMoved: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainPurchase: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainRenewal: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainTransfer: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainUnverified: arrayType(ACLAction$inboundSchema).optional(),
  NotificationMonitoringAlert: arrayType(ACLAction$inboundSchema).optional(),
  notificationPaymentFailed: arrayType(ACLAction$inboundSchema).optional(),
  notificationUsageAlert: arrayType(ACLAction$inboundSchema).optional(),
  notificationCustomerBudget: arrayType(ACLAction$inboundSchema).optional(),
  notificationStatementOfReasons: arrayType(ACLAction$inboundSchema).optional(),
  oauth2Connection: arrayType(ACLAction$inboundSchema).optional(),
  observabilityConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  openTelemetryEndpoint: arrayType(ACLAction$inboundSchema).optional(),
  paymentMethod: arrayType(ACLAction$inboundSchema).optional(),
  permissions: arrayType(ACLAction$inboundSchema).optional(),
  postgres: arrayType(ACLAction$inboundSchema).optional(),
  previewDeploymentSuffix: arrayType(ACLAction$inboundSchema).optional(),
  proTrialOnboarding: arrayType(ACLAction$inboundSchema).optional(),
  sharedEnvVars: arrayType(ACLAction$inboundSchema).optional(),
  sharedEnvVarsProduction: arrayType(ACLAction$inboundSchema).optional(),
  space: arrayType(ACLAction$inboundSchema).optional(),
  spaceRun: arrayType(ACLAction$inboundSchema).optional(),
  passwordProtectionInvoiceItem: arrayType(ACLAction$inboundSchema).optional(),
  rateLimit: arrayType(ACLAction$inboundSchema).optional(),
  redis: arrayType(ACLAction$inboundSchema).optional(),
  repository: arrayType(ACLAction$inboundSchema).optional(),
  remoteCaching: arrayType(ACLAction$inboundSchema).optional(),
  samlConfig: arrayType(ACLAction$inboundSchema).optional(),
  secret: arrayType(ACLAction$inboundSchema).optional(),
  redisStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
  blobStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
  postgresStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
  integrationStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
  integrationResourceReplCommand: arrayType(ACLAction$inboundSchema).optional(),
  storeTransfer: arrayType(ACLAction$inboundSchema).optional(),
  supportCase: arrayType(ACLAction$inboundSchema).optional(),
  supportCaseComment: arrayType(ACLAction$inboundSchema).optional(),
  dataCacheBillingSettings: arrayType(ACLAction$inboundSchema).optional(),
  team: arrayType(ACLAction$inboundSchema).optional(),
  teamAccessRequest: arrayType(ACLAction$inboundSchema).optional(),
  teamFellowMembership: arrayType(ACLAction$inboundSchema).optional(),
  teamGitExclusivity: arrayType(ACLAction$inboundSchema).optional(),
  teamInvite: arrayType(ACLAction$inboundSchema).optional(),
  teamInviteCode: arrayType(ACLAction$inboundSchema).optional(),
  teamJoin: arrayType(ACLAction$inboundSchema).optional(),
  teamMicrofrontends: arrayType(ACLAction$inboundSchema).optional(),
  teamOwnMembership: arrayType(ACLAction$inboundSchema).optional(),
  teamOwnMembershipDisconnectSAML: arrayType(ACLAction$inboundSchema).optional(),
  token: arrayType(ACLAction$inboundSchema).optional(),
  usage: arrayType(ACLAction$inboundSchema).optional(),
  usageCycle: arrayType(ACLAction$inboundSchema).optional(),
  user: arrayType(ACLAction$inboundSchema).optional(),
  userConnection: arrayType(ACLAction$inboundSchema).optional(),
  vpcPeeringConnection: arrayType(ACLAction$inboundSchema).optional(),
  webAnalyticsPlan: arrayType(ACLAction$inboundSchema).optional(),
  webAuthn: arrayType(ACLAction$inboundSchema).optional(),
  edgeConfig: arrayType(ACLAction$inboundSchema).optional(),
  edgeConfigItem: arrayType(ACLAction$inboundSchema).optional(),
  edgeConfigSchema: arrayType(ACLAction$inboundSchema).optional(),
  edgeConfigToken: arrayType(ACLAction$inboundSchema).optional(),
  webhook: arrayType(ACLAction$inboundSchema).optional(),
  "webhook-event": arrayType(ACLAction$inboundSchema).optional(),
  endpointVerification: arrayType(ACLAction$inboundSchema).optional(),
  projectTransferIn: arrayType(ACLAction$inboundSchema).optional(),
  oauth2Application: arrayType(ACLAction$inboundSchema).optional(),
  aliasProject: arrayType(ACLAction$inboundSchema).optional(),
  aliasProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
  productionAliasProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
  connectConfigurationLink: arrayType(ACLAction$inboundSchema).optional(),
  dataCacheNamespace: arrayType(ACLAction$inboundSchema).optional(),
  deployment: arrayType(ACLAction$inboundSchema).optional(),
  deploymentCheck: arrayType(ACLAction$inboundSchema).optional(),
  deploymentCheckPreview: arrayType(ACLAction$inboundSchema).optional(),
  deploymentCheckReRunFromProductionBranch: arrayType(ACLAction$inboundSchema).optional(),
  deploymentProductionGit: arrayType(ACLAction$inboundSchema).optional(),
  deploymentV0: arrayType(ACLAction$inboundSchema).optional(),
  deploymentPreview: arrayType(ACLAction$inboundSchema).optional(),
  deploymentPrivate: arrayType(ACLAction$inboundSchema).optional(),
  deploymentPromote: arrayType(ACLAction$inboundSchema).optional(),
  deploymentRollback: arrayType(ACLAction$inboundSchema).optional(),
  environments: arrayType(ACLAction$inboundSchema).optional(),
  logs: arrayType(ACLAction$inboundSchema).optional(),
  logsPreset: arrayType(ACLAction$inboundSchema).optional(),
  passwordProtection: arrayType(ACLAction$inboundSchema).optional(),
  optionsAllowlist: arrayType(ACLAction$inboundSchema).optional(),
  job: arrayType(ACLAction$inboundSchema).optional(),
  observabilityData: arrayType(ACLAction$inboundSchema).optional(),
  project: arrayType(ACLAction$inboundSchema).optional(),
  projectFromV0: arrayType(ACLAction$inboundSchema).optional(),
  projectAccessGroup: arrayType(ACLAction$inboundSchema).optional(),
  projectAnalyticsSampling: arrayType(ACLAction$inboundSchema).optional(),
  projectDeploymentHook: arrayType(ACLAction$inboundSchema).optional(),
  projectDomain: arrayType(ACLAction$inboundSchema).optional(),
  projectDomainMove: arrayType(ACLAction$inboundSchema).optional(),
  projectDomainCheckConfig: arrayType(ACLAction$inboundSchema).optional(),
  projectEnvVars: arrayType(ACLAction$inboundSchema).optional(),
  projectEnvVarsProduction: arrayType(ACLAction$inboundSchema).optional(),
  projectEnvVarsUnownedByIntegration: arrayType(ACLAction$inboundSchema).optional(),
  projectFlags: arrayType(ACLAction$inboundSchema).optional(),
  projectId: arrayType(ACLAction$inboundSchema).optional(),
  projectIntegrationConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  projectLink: arrayType(ACLAction$inboundSchema).optional(),
  projectMember: arrayType(ACLAction$inboundSchema).optional(),
  projectMonitoring: arrayType(ACLAction$inboundSchema).optional(),
  projectPermissions: arrayType(ACLAction$inboundSchema).optional(),
  projectProductionBranch: arrayType(ACLAction$inboundSchema).optional(),
  projectTransfer: arrayType(ACLAction$inboundSchema).optional(),
  projectTransferOut: arrayType(ACLAction$inboundSchema).optional(),
  projectProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
  projectUsage: arrayType(ACLAction$inboundSchema).optional(),
  projectAnalyticsUsage: arrayType(ACLAction$inboundSchema).optional(),
  projectSupportCase: arrayType(ACLAction$inboundSchema).optional(),
  projectSupportCaseComment: arrayType(ACLAction$inboundSchema).optional(),
  projectDeploymentExpiration: arrayType(ACLAction$inboundSchema).optional(),
  projectTier: arrayType(ACLAction$inboundSchema).optional(),
  seawallConfig: arrayType(ACLAction$inboundSchema).optional(),
  skewProtection: arrayType(ACLAction$inboundSchema).optional(),
  analytics: arrayType(ACLAction$inboundSchema).optional(),
  trustedIps: arrayType(ACLAction$inboundSchema).optional(),
  webAnalytics: arrayType(ACLAction$inboundSchema).optional(),
  sharedEnvVarConnection: arrayType(ACLAction$inboundSchema).optional(),
  sonar: arrayType(ACLAction$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    Monitoring: "monitoring",
    NotificationMonitoringAlert: "notificationMonitoringAlert",
    "webhook-event": "webhookEvent"
  });
});
var UpdateProjectPermissions$outboundSchema = objectType({
  accessGroup: arrayType(ACLAction$outboundSchema).optional(),
  aliasGlobal: arrayType(ACLAction$outboundSchema).optional(),
  analyticsSampling: arrayType(ACLAction$outboundSchema).optional(),
  analyticsUsage: arrayType(ACLAction$outboundSchema).optional(),
  auditLog: arrayType(ACLAction$outboundSchema).optional(),
  billingAddress: arrayType(ACLAction$outboundSchema).optional(),
  billingInformation: arrayType(ACLAction$outboundSchema).optional(),
  billingInvoice: arrayType(ACLAction$outboundSchema).optional(),
  billingInvoiceEmailRecipient: arrayType(ACLAction$outboundSchema).optional(),
  billingInvoiceLanguage: arrayType(ACLAction$outboundSchema).optional(),
  billingPlan: arrayType(ACLAction$outboundSchema).optional(),
  billingPurchaseOrder: arrayType(ACLAction$outboundSchema).optional(),
  billingTaxId: arrayType(ACLAction$outboundSchema).optional(),
  blob: arrayType(ACLAction$outboundSchema).optional(),
  budget: arrayType(ACLAction$outboundSchema).optional(),
  cacheArtifact: arrayType(ACLAction$outboundSchema).optional(),
  cacheArtifactUsageEvent: arrayType(ACLAction$outboundSchema).optional(),
  codeChecks: arrayType(ACLAction$outboundSchema).optional(),
  concurrentBuilds: arrayType(ACLAction$outboundSchema).optional(),
  connect: arrayType(ACLAction$outboundSchema).optional(),
  connectConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  domain: arrayType(ACLAction$outboundSchema).optional(),
  domainAcceptDelegation: arrayType(ACLAction$outboundSchema).optional(),
  domainAuthCodes: arrayType(ACLAction$outboundSchema).optional(),
  domainCertificate: arrayType(ACLAction$outboundSchema).optional(),
  domainCheckConfig: arrayType(ACLAction$outboundSchema).optional(),
  domainMove: arrayType(ACLAction$outboundSchema).optional(),
  domainPurchase: arrayType(ACLAction$outboundSchema).optional(),
  domainRecord: arrayType(ACLAction$outboundSchema).optional(),
  domainTransferIn: arrayType(ACLAction$outboundSchema).optional(),
  event: arrayType(ACLAction$outboundSchema).optional(),
  ownEvent: arrayType(ACLAction$outboundSchema).optional(),
  sensitiveEnvironmentVariablePolicy: arrayType(ACLAction$outboundSchema).optional(),
  fileUpload: arrayType(ACLAction$outboundSchema).optional(),
  gitRepository: arrayType(ACLAction$outboundSchema).optional(),
  ipBlocking: arrayType(ACLAction$outboundSchema).optional(),
  integration: arrayType(ACLAction$outboundSchema).optional(),
  integrationAccount: arrayType(ACLAction$outboundSchema).optional(),
  integrationConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  integrationConfigurationTransfer: arrayType(ACLAction$outboundSchema).optional(),
  integrationConfigurationProjects: arrayType(ACLAction$outboundSchema).optional(),
  integrationVercelConfigurationOverride: arrayType(ACLAction$outboundSchema).optional(),
  integrationConfigurationRole: arrayType(ACLAction$outboundSchema).optional(),
  integrationResource: arrayType(ACLAction$outboundSchema).optional(),
  integrationEvent: arrayType(ACLAction$outboundSchema).optional(),
  integrationResourceSecrets: arrayType(ACLAction$outboundSchema).optional(),
  integrationDeploymentAction: arrayType(ACLAction$outboundSchema).optional(),
  marketplaceInstallationMember: arrayType(ACLAction$outboundSchema).optional(),
  marketplaceBillingData: arrayType(ACLAction$outboundSchema).optional(),
  marketplaceInvoice: arrayType(ACLAction$outboundSchema).optional(),
  jobGlobal: arrayType(ACLAction$outboundSchema).optional(),
  logDrain: arrayType(ACLAction$outboundSchema).optional(),
  monitoring: arrayType(ACLAction$outboundSchema).optional(),
  monitoringSettings: arrayType(ACLAction$outboundSchema).optional(),
  monitoringQuery: arrayType(ACLAction$outboundSchema).optional(),
  monitoringChart: arrayType(ACLAction$outboundSchema).optional(),
  monitoringAlert: arrayType(ACLAction$outboundSchema).optional(),
  notificationDeploymentFailed: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainExpire: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainMoved: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainPurchase: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainRenewal: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainTransfer: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainUnverified: arrayType(ACLAction$outboundSchema).optional(),
  notificationMonitoringAlert: arrayType(ACLAction$outboundSchema).optional(),
  notificationPaymentFailed: arrayType(ACLAction$outboundSchema).optional(),
  notificationUsageAlert: arrayType(ACLAction$outboundSchema).optional(),
  notificationCustomerBudget: arrayType(ACLAction$outboundSchema).optional(),
  notificationStatementOfReasons: arrayType(ACLAction$outboundSchema).optional(),
  oauth2Connection: arrayType(ACLAction$outboundSchema).optional(),
  observabilityConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  openTelemetryEndpoint: arrayType(ACLAction$outboundSchema).optional(),
  paymentMethod: arrayType(ACLAction$outboundSchema).optional(),
  permissions: arrayType(ACLAction$outboundSchema).optional(),
  postgres: arrayType(ACLAction$outboundSchema).optional(),
  previewDeploymentSuffix: arrayType(ACLAction$outboundSchema).optional(),
  proTrialOnboarding: arrayType(ACLAction$outboundSchema).optional(),
  sharedEnvVars: arrayType(ACLAction$outboundSchema).optional(),
  sharedEnvVarsProduction: arrayType(ACLAction$outboundSchema).optional(),
  space: arrayType(ACLAction$outboundSchema).optional(),
  spaceRun: arrayType(ACLAction$outboundSchema).optional(),
  passwordProtectionInvoiceItem: arrayType(ACLAction$outboundSchema).optional(),
  rateLimit: arrayType(ACLAction$outboundSchema).optional(),
  redis: arrayType(ACLAction$outboundSchema).optional(),
  repository: arrayType(ACLAction$outboundSchema).optional(),
  remoteCaching: arrayType(ACLAction$outboundSchema).optional(),
  samlConfig: arrayType(ACLAction$outboundSchema).optional(),
  secret: arrayType(ACLAction$outboundSchema).optional(),
  redisStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
  blobStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
  postgresStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
  integrationStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
  integrationResourceReplCommand: arrayType(ACLAction$outboundSchema).optional(),
  storeTransfer: arrayType(ACLAction$outboundSchema).optional(),
  supportCase: arrayType(ACLAction$outboundSchema).optional(),
  supportCaseComment: arrayType(ACLAction$outboundSchema).optional(),
  dataCacheBillingSettings: arrayType(ACLAction$outboundSchema).optional(),
  team: arrayType(ACLAction$outboundSchema).optional(),
  teamAccessRequest: arrayType(ACLAction$outboundSchema).optional(),
  teamFellowMembership: arrayType(ACLAction$outboundSchema).optional(),
  teamGitExclusivity: arrayType(ACLAction$outboundSchema).optional(),
  teamInvite: arrayType(ACLAction$outboundSchema).optional(),
  teamInviteCode: arrayType(ACLAction$outboundSchema).optional(),
  teamJoin: arrayType(ACLAction$outboundSchema).optional(),
  teamMicrofrontends: arrayType(ACLAction$outboundSchema).optional(),
  teamOwnMembership: arrayType(ACLAction$outboundSchema).optional(),
  teamOwnMembershipDisconnectSAML: arrayType(ACLAction$outboundSchema).optional(),
  token: arrayType(ACLAction$outboundSchema).optional(),
  usage: arrayType(ACLAction$outboundSchema).optional(),
  usageCycle: arrayType(ACLAction$outboundSchema).optional(),
  user: arrayType(ACLAction$outboundSchema).optional(),
  userConnection: arrayType(ACLAction$outboundSchema).optional(),
  vpcPeeringConnection: arrayType(ACLAction$outboundSchema).optional(),
  webAnalyticsPlan: arrayType(ACLAction$outboundSchema).optional(),
  webAuthn: arrayType(ACLAction$outboundSchema).optional(),
  edgeConfig: arrayType(ACLAction$outboundSchema).optional(),
  edgeConfigItem: arrayType(ACLAction$outboundSchema).optional(),
  edgeConfigSchema: arrayType(ACLAction$outboundSchema).optional(),
  edgeConfigToken: arrayType(ACLAction$outboundSchema).optional(),
  webhook: arrayType(ACLAction$outboundSchema).optional(),
  webhookEvent: arrayType(ACLAction$outboundSchema).optional(),
  endpointVerification: arrayType(ACLAction$outboundSchema).optional(),
  projectTransferIn: arrayType(ACLAction$outboundSchema).optional(),
  oauth2Application: arrayType(ACLAction$outboundSchema).optional(),
  aliasProject: arrayType(ACLAction$outboundSchema).optional(),
  aliasProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
  productionAliasProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
  connectConfigurationLink: arrayType(ACLAction$outboundSchema).optional(),
  dataCacheNamespace: arrayType(ACLAction$outboundSchema).optional(),
  deployment: arrayType(ACLAction$outboundSchema).optional(),
  deploymentCheck: arrayType(ACLAction$outboundSchema).optional(),
  deploymentCheckPreview: arrayType(ACLAction$outboundSchema).optional(),
  deploymentCheckReRunFromProductionBranch: arrayType(ACLAction$outboundSchema).optional(),
  deploymentProductionGit: arrayType(ACLAction$outboundSchema).optional(),
  deploymentV0: arrayType(ACLAction$outboundSchema).optional(),
  deploymentPreview: arrayType(ACLAction$outboundSchema).optional(),
  deploymentPrivate: arrayType(ACLAction$outboundSchema).optional(),
  deploymentPromote: arrayType(ACLAction$outboundSchema).optional(),
  deploymentRollback: arrayType(ACLAction$outboundSchema).optional(),
  environments: arrayType(ACLAction$outboundSchema).optional(),
  logs: arrayType(ACLAction$outboundSchema).optional(),
  logsPreset: arrayType(ACLAction$outboundSchema).optional(),
  passwordProtection: arrayType(ACLAction$outboundSchema).optional(),
  optionsAllowlist: arrayType(ACLAction$outboundSchema).optional(),
  job: arrayType(ACLAction$outboundSchema).optional(),
  observabilityData: arrayType(ACLAction$outboundSchema).optional(),
  project: arrayType(ACLAction$outboundSchema).optional(),
  projectFromV0: arrayType(ACLAction$outboundSchema).optional(),
  projectAccessGroup: arrayType(ACLAction$outboundSchema).optional(),
  projectAnalyticsSampling: arrayType(ACLAction$outboundSchema).optional(),
  projectDeploymentHook: arrayType(ACLAction$outboundSchema).optional(),
  projectDomain: arrayType(ACLAction$outboundSchema).optional(),
  projectDomainMove: arrayType(ACLAction$outboundSchema).optional(),
  projectDomainCheckConfig: arrayType(ACLAction$outboundSchema).optional(),
  projectEnvVars: arrayType(ACLAction$outboundSchema).optional(),
  projectEnvVarsProduction: arrayType(ACLAction$outboundSchema).optional(),
  projectEnvVarsUnownedByIntegration: arrayType(ACLAction$outboundSchema).optional(),
  projectFlags: arrayType(ACLAction$outboundSchema).optional(),
  projectId: arrayType(ACLAction$outboundSchema).optional(),
  projectIntegrationConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  projectLink: arrayType(ACLAction$outboundSchema).optional(),
  projectMember: arrayType(ACLAction$outboundSchema).optional(),
  projectMonitoring: arrayType(ACLAction$outboundSchema).optional(),
  projectPermissions: arrayType(ACLAction$outboundSchema).optional(),
  projectProductionBranch: arrayType(ACLAction$outboundSchema).optional(),
  projectTransfer: arrayType(ACLAction$outboundSchema).optional(),
  projectTransferOut: arrayType(ACLAction$outboundSchema).optional(),
  projectProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
  projectUsage: arrayType(ACLAction$outboundSchema).optional(),
  projectAnalyticsUsage: arrayType(ACLAction$outboundSchema).optional(),
  projectSupportCase: arrayType(ACLAction$outboundSchema).optional(),
  projectSupportCaseComment: arrayType(ACLAction$outboundSchema).optional(),
  projectDeploymentExpiration: arrayType(ACLAction$outboundSchema).optional(),
  projectTier: arrayType(ACLAction$outboundSchema).optional(),
  seawallConfig: arrayType(ACLAction$outboundSchema).optional(),
  skewProtection: arrayType(ACLAction$outboundSchema).optional(),
  analytics: arrayType(ACLAction$outboundSchema).optional(),
  trustedIps: arrayType(ACLAction$outboundSchema).optional(),
  webAnalytics: arrayType(ACLAction$outboundSchema).optional(),
  sharedEnvVarConnection: arrayType(ACLAction$outboundSchema).optional(),
  sonar: arrayType(ACLAction$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    monitoring: "Monitoring",
    notificationMonitoringAlert: "NotificationMonitoringAlert",
    webhookEvent: "webhook-event"
  });
});
var UpdateProjectPermissions$;
(function(UpdateProjectPermissions$2) {
  UpdateProjectPermissions$2.inboundSchema = UpdateProjectPermissions$inboundSchema;
  UpdateProjectPermissions$2.outboundSchema = UpdateProjectPermissions$outboundSchema;
})(UpdateProjectPermissions$ || (UpdateProjectPermissions$ = {}));
var UpdateProjectLastRollbackTarget$inboundSchema = objectType({});
var UpdateProjectLastRollbackTarget$outboundSchema = objectType({});
var UpdateProjectLastRollbackTarget$;
(function(UpdateProjectLastRollbackTarget$2) {
  UpdateProjectLastRollbackTarget$2.inboundSchema = UpdateProjectLastRollbackTarget$inboundSchema;
  UpdateProjectLastRollbackTarget$2.outboundSchema = UpdateProjectLastRollbackTarget$outboundSchema;
})(UpdateProjectLastRollbackTarget$ || (UpdateProjectLastRollbackTarget$ = {}));
var UpdateProjectJobStatus$inboundSchema = nativeEnumType(UpdateProjectJobStatus);
var UpdateProjectJobStatus$outboundSchema = UpdateProjectJobStatus$inboundSchema;
var UpdateProjectJobStatus$;
(function(UpdateProjectJobStatus$2) {
  UpdateProjectJobStatus$2.inboundSchema = UpdateProjectJobStatus$inboundSchema;
  UpdateProjectJobStatus$2.outboundSchema = UpdateProjectJobStatus$outboundSchema;
})(UpdateProjectJobStatus$ || (UpdateProjectJobStatus$ = {}));
var UpdateProjectProjectsResponse200Type$inboundSchema = nativeEnumType(UpdateProjectProjectsResponse200Type);
var UpdateProjectProjectsResponse200Type$outboundSchema = UpdateProjectProjectsResponse200Type$inboundSchema;
var UpdateProjectProjectsResponse200Type$;
(function(UpdateProjectProjectsResponse200Type$2) {
  UpdateProjectProjectsResponse200Type$2.inboundSchema = UpdateProjectProjectsResponse200Type$inboundSchema;
  UpdateProjectProjectsResponse200Type$2.outboundSchema = UpdateProjectProjectsResponse200Type$outboundSchema;
})(UpdateProjectProjectsResponse200Type$ || (UpdateProjectProjectsResponse200Type$ = {}));
var UpdateProjectLastAliasRequest$inboundSchema = objectType({
  fromDeploymentId: stringType(),
  toDeploymentId: stringType(),
  jobStatus: UpdateProjectJobStatus$inboundSchema,
  requestedAt: numberType(),
  type: UpdateProjectProjectsResponse200Type$inboundSchema
});
var UpdateProjectLastAliasRequest$outboundSchema = objectType({
  fromDeploymentId: stringType(),
  toDeploymentId: stringType(),
  jobStatus: UpdateProjectJobStatus$outboundSchema,
  requestedAt: numberType(),
  type: UpdateProjectProjectsResponse200Type$outboundSchema
});
var UpdateProjectLastAliasRequest$;
(function(UpdateProjectLastAliasRequest$2) {
  UpdateProjectLastAliasRequest$2.inboundSchema = UpdateProjectLastAliasRequest$inboundSchema;
  UpdateProjectLastAliasRequest$2.outboundSchema = UpdateProjectLastAliasRequest$outboundSchema;
})(UpdateProjectLastAliasRequest$ || (UpdateProjectLastAliasRequest$ = {}));
var UpdateProjectScope$inboundSchema = nativeEnumType(UpdateProjectScope);
var UpdateProjectScope$outboundSchema = UpdateProjectScope$inboundSchema;
var UpdateProjectScope$;
(function(UpdateProjectScope$2) {
  UpdateProjectScope$2.inboundSchema = UpdateProjectScope$inboundSchema;
  UpdateProjectScope$2.outboundSchema = UpdateProjectScope$outboundSchema;
})(UpdateProjectScope$ || (UpdateProjectScope$ = {}));
var UpdateProjectProtectionBypass$inboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: UpdateProjectScope$inboundSchema
});
var UpdateProjectProtectionBypass$outboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: UpdateProjectScope$outboundSchema
});
var UpdateProjectProtectionBypass$;
(function(UpdateProjectProtectionBypass$2) {
  UpdateProjectProtectionBypass$2.inboundSchema = UpdateProjectProtectionBypass$inboundSchema;
  UpdateProjectProtectionBypass$2.outboundSchema = UpdateProjectProtectionBypass$outboundSchema;
})(UpdateProjectProtectionBypass$ || (UpdateProjectProtectionBypass$ = {}));
var UpdateProjectTrustedIpsProjectsDeploymentType$inboundSchema = nativeEnumType(UpdateProjectTrustedIpsProjectsDeploymentType);
var UpdateProjectTrustedIpsProjectsDeploymentType$outboundSchema = UpdateProjectTrustedIpsProjectsDeploymentType$inboundSchema;
var UpdateProjectTrustedIpsProjectsDeploymentType$;
(function(UpdateProjectTrustedIpsProjectsDeploymentType$2) {
  UpdateProjectTrustedIpsProjectsDeploymentType$2.inboundSchema = UpdateProjectTrustedIpsProjectsDeploymentType$inboundSchema;
  UpdateProjectTrustedIpsProjectsDeploymentType$2.outboundSchema = UpdateProjectTrustedIpsProjectsDeploymentType$outboundSchema;
})(UpdateProjectTrustedIpsProjectsDeploymentType$ || (UpdateProjectTrustedIpsProjectsDeploymentType$ = {}));
var UpdateProjectTrustedIps2$inboundSchema = objectType({
  deploymentType: UpdateProjectTrustedIpsProjectsDeploymentType$inboundSchema
});
var UpdateProjectTrustedIps2$outboundSchema = objectType({
  deploymentType: UpdateProjectTrustedIpsProjectsDeploymentType$outboundSchema
});
var UpdateProjectTrustedIps2$;
(function(UpdateProjectTrustedIps2$2) {
  UpdateProjectTrustedIps2$2.inboundSchema = UpdateProjectTrustedIps2$inboundSchema;
  UpdateProjectTrustedIps2$2.outboundSchema = UpdateProjectTrustedIps2$outboundSchema;
})(UpdateProjectTrustedIps2$ || (UpdateProjectTrustedIps2$ = {}));
var UpdateProjectTrustedIpsDeploymentType$inboundSchema = nativeEnumType(UpdateProjectTrustedIpsDeploymentType);
var UpdateProjectTrustedIpsDeploymentType$outboundSchema = UpdateProjectTrustedIpsDeploymentType$inboundSchema;
var UpdateProjectTrustedIpsDeploymentType$;
(function(UpdateProjectTrustedIpsDeploymentType$2) {
  UpdateProjectTrustedIpsDeploymentType$2.inboundSchema = UpdateProjectTrustedIpsDeploymentType$inboundSchema;
  UpdateProjectTrustedIpsDeploymentType$2.outboundSchema = UpdateProjectTrustedIpsDeploymentType$outboundSchema;
})(UpdateProjectTrustedIpsDeploymentType$ || (UpdateProjectTrustedIpsDeploymentType$ = {}));
var UpdateProjectTrustedIpsAddresses$inboundSchema = objectType({
  value: stringType(),
  note: stringType().optional()
});
var UpdateProjectTrustedIpsAddresses$outboundSchema = objectType({
  value: stringType(),
  note: stringType().optional()
});
var UpdateProjectTrustedIpsAddresses$;
(function(UpdateProjectTrustedIpsAddresses$2) {
  UpdateProjectTrustedIpsAddresses$2.inboundSchema = UpdateProjectTrustedIpsAddresses$inboundSchema;
  UpdateProjectTrustedIpsAddresses$2.outboundSchema = UpdateProjectTrustedIpsAddresses$outboundSchema;
})(UpdateProjectTrustedIpsAddresses$ || (UpdateProjectTrustedIpsAddresses$ = {}));
var UpdateProjectTrustedIpsProtectionMode$inboundSchema = nativeEnumType(UpdateProjectTrustedIpsProtectionMode);
var UpdateProjectTrustedIpsProtectionMode$outboundSchema = UpdateProjectTrustedIpsProtectionMode$inboundSchema;
var UpdateProjectTrustedIpsProtectionMode$;
(function(UpdateProjectTrustedIpsProtectionMode$2) {
  UpdateProjectTrustedIpsProtectionMode$2.inboundSchema = UpdateProjectTrustedIpsProtectionMode$inboundSchema;
  UpdateProjectTrustedIpsProtectionMode$2.outboundSchema = UpdateProjectTrustedIpsProtectionMode$outboundSchema;
})(UpdateProjectTrustedIpsProtectionMode$ || (UpdateProjectTrustedIpsProtectionMode$ = {}));
var UpdateProjectTrustedIps1$inboundSchema = objectType({
  deploymentType: UpdateProjectTrustedIpsDeploymentType$inboundSchema,
  addresses: arrayType(lazyType(() => UpdateProjectTrustedIpsAddresses$inboundSchema)),
  protectionMode: UpdateProjectTrustedIpsProtectionMode$inboundSchema
});
var UpdateProjectTrustedIps1$outboundSchema = objectType({
  deploymentType: UpdateProjectTrustedIpsDeploymentType$outboundSchema,
  addresses: arrayType(lazyType(() => UpdateProjectTrustedIpsAddresses$outboundSchema)),
  protectionMode: UpdateProjectTrustedIpsProtectionMode$outboundSchema
});
var UpdateProjectTrustedIps1$;
(function(UpdateProjectTrustedIps1$2) {
  UpdateProjectTrustedIps1$2.inboundSchema = UpdateProjectTrustedIps1$inboundSchema;
  UpdateProjectTrustedIps1$2.outboundSchema = UpdateProjectTrustedIps1$outboundSchema;
})(UpdateProjectTrustedIps1$ || (UpdateProjectTrustedIps1$ = {}));
var UpdateProjectTrustedIps$inboundSchema = unionType([
  lazyType(() => UpdateProjectTrustedIps2$inboundSchema),
  lazyType(() => UpdateProjectTrustedIps1$inboundSchema)
]);
var UpdateProjectTrustedIps$outboundSchema = unionType([
  lazyType(() => UpdateProjectTrustedIps2$outboundSchema),
  lazyType(() => UpdateProjectTrustedIps1$outboundSchema)
]);
var UpdateProjectTrustedIps$;
(function(UpdateProjectTrustedIps$2) {
  UpdateProjectTrustedIps$2.inboundSchema = UpdateProjectTrustedIps$inboundSchema;
  UpdateProjectTrustedIps$2.outboundSchema = UpdateProjectTrustedIps$outboundSchema;
})(UpdateProjectTrustedIps$ || (UpdateProjectTrustedIps$ = {}));
var UpdateProjectGitComments$inboundSchema = objectType({
  onPullRequest: booleanType(),
  onCommit: booleanType()
});
var UpdateProjectGitComments$outboundSchema = objectType({
  onPullRequest: booleanType(),
  onCommit: booleanType()
});
var UpdateProjectGitComments$;
(function(UpdateProjectGitComments$2) {
  UpdateProjectGitComments$2.inboundSchema = UpdateProjectGitComments$inboundSchema;
  UpdateProjectGitComments$2.outboundSchema = UpdateProjectGitComments$outboundSchema;
})(UpdateProjectGitComments$ || (UpdateProjectGitComments$ = {}));
var UpdateProjectWebAnalytics$inboundSchema = objectType({
  id: stringType(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  enabledAt: numberType().optional(),
  hasData: booleanType().optional()
});
var UpdateProjectWebAnalytics$outboundSchema = objectType({
  id: stringType(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  enabledAt: numberType().optional(),
  hasData: booleanType().optional()
});
var UpdateProjectWebAnalytics$;
(function(UpdateProjectWebAnalytics$2) {
  UpdateProjectWebAnalytics$2.inboundSchema = UpdateProjectWebAnalytics$inboundSchema;
  UpdateProjectWebAnalytics$2.outboundSchema = UpdateProjectWebAnalytics$outboundSchema;
})(UpdateProjectWebAnalytics$ || (UpdateProjectWebAnalytics$ = {}));
var UpdateProjectSrc2$inboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var UpdateProjectSrc2$outboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var UpdateProjectSrc2$;
(function(UpdateProjectSrc2$2) {
  UpdateProjectSrc2$2.inboundSchema = UpdateProjectSrc2$inboundSchema;
  UpdateProjectSrc2$2.outboundSchema = UpdateProjectSrc2$outboundSchema;
})(UpdateProjectSrc2$ || (UpdateProjectSrc2$ = {}));
var UpdateProjectSrc$inboundSchema = unionType([lazyType(() => UpdateProjectSrc2$inboundSchema), stringType()]);
var UpdateProjectSrc$outboundSchema = unionType([lazyType(() => UpdateProjectSrc2$outboundSchema), stringType()]);
var UpdateProjectSrc$;
(function(UpdateProjectSrc$2) {
  UpdateProjectSrc$2.inboundSchema = UpdateProjectSrc$inboundSchema;
  UpdateProjectSrc$2.outboundSchema = UpdateProjectSrc$outboundSchema;
})(UpdateProjectSrc$ || (UpdateProjectSrc$ = {}));
var UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType);
var UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema;
var UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$;
(function(UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$2) {
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$2.inboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema;
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$2.outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema;
})(UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$ || (UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$ = {}));
var UpdateProjectValue2$inboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var UpdateProjectValue2$outboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var UpdateProjectValue2$;
(function(UpdateProjectValue2$2) {
  UpdateProjectValue2$2.inboundSchema = UpdateProjectValue2$inboundSchema;
  UpdateProjectValue2$2.outboundSchema = UpdateProjectValue2$outboundSchema;
})(UpdateProjectValue2$ || (UpdateProjectValue2$ = {}));
var UpdateProjectValue$inboundSchema = unionType([lazyType(() => UpdateProjectValue2$inboundSchema), stringType()]);
var UpdateProjectValue$outboundSchema = unionType([lazyType(() => UpdateProjectValue2$outboundSchema), stringType()]);
var UpdateProjectValue$;
(function(UpdateProjectValue$2) {
  UpdateProjectValue$2.inboundSchema = UpdateProjectValue$inboundSchema;
  UpdateProjectValue$2.outboundSchema = UpdateProjectValue$outboundSchema;
})(UpdateProjectValue$ || (UpdateProjectValue$ = {}));
var UpdateProjectHas$inboundSchema = objectType({
  type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema,
  key: stringType().optional(),
  value: unionType([lazyType(() => UpdateProjectValue2$inboundSchema), stringType()]).optional()
});
var UpdateProjectHas$outboundSchema = objectType({
  type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema,
  key: stringType().optional(),
  value: unionType([lazyType(() => UpdateProjectValue2$outboundSchema), stringType()]).optional()
});
var UpdateProjectHas$;
(function(UpdateProjectHas$2) {
  UpdateProjectHas$2.inboundSchema = UpdateProjectHas$inboundSchema;
  UpdateProjectHas$2.outboundSchema = UpdateProjectHas$outboundSchema;
})(UpdateProjectHas$ || (UpdateProjectHas$ = {}));
var UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema = nativeEnumType(UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType);
var UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema;
var UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$;
(function(UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$2) {
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$2.inboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema;
  UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$2.outboundSchema = UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema;
})(UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$ || (UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$ = {}));
var UpdateProjectValueProjects2$inboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var UpdateProjectValueProjects2$outboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var UpdateProjectValueProjects2$;
(function(UpdateProjectValueProjects2$2) {
  UpdateProjectValueProjects2$2.inboundSchema = UpdateProjectValueProjects2$inboundSchema;
  UpdateProjectValueProjects2$2.outboundSchema = UpdateProjectValueProjects2$outboundSchema;
})(UpdateProjectValueProjects2$ || (UpdateProjectValueProjects2$ = {}));
var UpdateProjectProjectsValue$inboundSchema = unionType([
  lazyType(() => UpdateProjectValueProjects2$inboundSchema),
  stringType()
]);
var UpdateProjectProjectsValue$outboundSchema = unionType([
  lazyType(() => UpdateProjectValueProjects2$outboundSchema),
  stringType()
]);
var UpdateProjectProjectsValue$;
(function(UpdateProjectProjectsValue$2) {
  UpdateProjectProjectsValue$2.inboundSchema = UpdateProjectProjectsValue$inboundSchema;
  UpdateProjectProjectsValue$2.outboundSchema = UpdateProjectProjectsValue$outboundSchema;
})(UpdateProjectProjectsValue$ || (UpdateProjectProjectsValue$ = {}));
var UpdateProjectMissing$inboundSchema = objectType({
  type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema,
  key: stringType().optional(),
  value: unionType([
    lazyType(() => UpdateProjectValueProjects2$inboundSchema),
    stringType()
  ]).optional()
});
var UpdateProjectMissing$outboundSchema = objectType({
  type: UpdateProjectProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema,
  key: stringType().optional(),
  value: unionType([
    lazyType(() => UpdateProjectValueProjects2$outboundSchema),
    stringType()
  ]).optional()
});
var UpdateProjectMissing$;
(function(UpdateProjectMissing$2) {
  UpdateProjectMissing$2.inboundSchema = UpdateProjectMissing$inboundSchema;
  UpdateProjectMissing$2.outboundSchema = UpdateProjectMissing$outboundSchema;
})(UpdateProjectMissing$ || (UpdateProjectMissing$ = {}));
var UpdateProjectHandle$inboundSchema = nativeEnumType(UpdateProjectHandle);
var UpdateProjectHandle$outboundSchema = UpdateProjectHandle$inboundSchema;
var UpdateProjectHandle$;
(function(UpdateProjectHandle$2) {
  UpdateProjectHandle$2.inboundSchema = UpdateProjectHandle$inboundSchema;
  UpdateProjectHandle$2.outboundSchema = UpdateProjectHandle$outboundSchema;
})(UpdateProjectHandle$ || (UpdateProjectHandle$ = {}));
var UpdateProjectAction$inboundSchema = nativeEnumType(UpdateProjectAction);
var UpdateProjectAction$outboundSchema = UpdateProjectAction$inboundSchema;
var UpdateProjectAction$;
(function(UpdateProjectAction$2) {
  UpdateProjectAction$2.inboundSchema = UpdateProjectAction$inboundSchema;
  UpdateProjectAction$2.outboundSchema = UpdateProjectAction$outboundSchema;
})(UpdateProjectAction$ || (UpdateProjectAction$ = {}));
var UpdateProjectAlgo$inboundSchema = nativeEnumType(UpdateProjectAlgo);
var UpdateProjectAlgo$outboundSchema = UpdateProjectAlgo$inboundSchema;
var UpdateProjectAlgo$;
(function(UpdateProjectAlgo$2) {
  UpdateProjectAlgo$2.inboundSchema = UpdateProjectAlgo$inboundSchema;
  UpdateProjectAlgo$2.outboundSchema = UpdateProjectAlgo$outboundSchema;
})(UpdateProjectAlgo$ || (UpdateProjectAlgo$ = {}));
var UpdateProjectErl$inboundSchema = objectType({
  algo: UpdateProjectAlgo$inboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType())
});
var UpdateProjectErl$outboundSchema = objectType({
  algo: UpdateProjectAlgo$outboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType())
});
var UpdateProjectErl$;
(function(UpdateProjectErl$2) {
  UpdateProjectErl$2.inboundSchema = UpdateProjectErl$inboundSchema;
  UpdateProjectErl$2.outboundSchema = UpdateProjectErl$outboundSchema;
})(UpdateProjectErl$ || (UpdateProjectErl$ = {}));
var UpdateProjectMitigate$inboundSchema = objectType({
  action: UpdateProjectAction$inboundSchema,
  rule_id: stringType(),
  ttl: numberType().optional(),
  erl: lazyType(() => UpdateProjectErl$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    rule_id: "ruleId"
  });
});
var UpdateProjectMitigate$outboundSchema = objectType({
  action: UpdateProjectAction$outboundSchema,
  ruleId: stringType(),
  ttl: numberType().optional(),
  erl: lazyType(() => UpdateProjectErl$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    ruleId: "rule_id"
  });
});
var UpdateProjectMitigate$;
(function(UpdateProjectMitigate$2) {
  UpdateProjectMitigate$2.inboundSchema = UpdateProjectMitigate$inboundSchema;
  UpdateProjectMitigate$2.outboundSchema = UpdateProjectMitigate$outboundSchema;
})(UpdateProjectMitigate$ || (UpdateProjectMitigate$ = {}));
var UpdateProjectFirewallRoutes$inboundSchema = objectType({
  src: unionType([lazyType(() => UpdateProjectSrc2$inboundSchema), stringType()]).optional(),
  has: arrayType(lazyType(() => UpdateProjectHas$inboundSchema)).optional(),
  missing: arrayType(lazyType(() => UpdateProjectMissing$inboundSchema)).optional(),
  dest: stringType().optional(),
  status: numberType().optional(),
  handle: UpdateProjectHandle$inboundSchema.optional(),
  mitigate: lazyType(() => UpdateProjectMitigate$inboundSchema).optional()
});
var UpdateProjectFirewallRoutes$outboundSchema = objectType({
  src: unionType([lazyType(() => UpdateProjectSrc2$outboundSchema), stringType()]).optional(),
  has: arrayType(lazyType(() => UpdateProjectHas$outboundSchema)).optional(),
  missing: arrayType(lazyType(() => UpdateProjectMissing$outboundSchema)).optional(),
  dest: stringType().optional(),
  status: numberType().optional(),
  handle: UpdateProjectHandle$outboundSchema.optional(),
  mitigate: lazyType(() => UpdateProjectMitigate$outboundSchema).optional()
});
var UpdateProjectFirewallRoutes$;
(function(UpdateProjectFirewallRoutes$2) {
  UpdateProjectFirewallRoutes$2.inboundSchema = UpdateProjectFirewallRoutes$inboundSchema;
  UpdateProjectFirewallRoutes$2.outboundSchema = UpdateProjectFirewallRoutes$outboundSchema;
})(UpdateProjectFirewallRoutes$ || (UpdateProjectFirewallRoutes$ = {}));
var UpdateProjectSecurity$inboundSchema = objectType({
  attackModeEnabled: booleanType().optional(),
  attackModeUpdatedAt: numberType().optional(),
  firewallEnabled: booleanType().optional(),
  firewallUpdatedAt: numberType().optional(),
  attackModeActiveUntil: nullableType(numberType()).optional(),
  firewallConfigVersion: numberType().optional(),
  firewallRoutes: arrayType(lazyType(() => UpdateProjectFirewallRoutes$inboundSchema)).optional(),
  firewallSeawallEnabled: booleanType().optional(),
  ja3Enabled: booleanType().optional(),
  ja4Enabled: booleanType().optional(),
  firewallBypassIps: arrayType(stringType()).optional()
});
var UpdateProjectSecurity$outboundSchema = objectType({
  attackModeEnabled: booleanType().optional(),
  attackModeUpdatedAt: numberType().optional(),
  firewallEnabled: booleanType().optional(),
  firewallUpdatedAt: numberType().optional(),
  attackModeActiveUntil: nullableType(numberType()).optional(),
  firewallConfigVersion: numberType().optional(),
  firewallRoutes: arrayType(lazyType(() => UpdateProjectFirewallRoutes$outboundSchema)).optional(),
  firewallSeawallEnabled: booleanType().optional(),
  ja3Enabled: booleanType().optional(),
  ja4Enabled: booleanType().optional(),
  firewallBypassIps: arrayType(stringType()).optional()
});
var UpdateProjectSecurity$;
(function(UpdateProjectSecurity$2) {
  UpdateProjectSecurity$2.inboundSchema = UpdateProjectSecurity$inboundSchema;
  UpdateProjectSecurity$2.outboundSchema = UpdateProjectSecurity$outboundSchema;
})(UpdateProjectSecurity$ || (UpdateProjectSecurity$ = {}));
var UpdateProjectProjectsIssuerMode$inboundSchema = nativeEnumType(UpdateProjectProjectsIssuerMode);
var UpdateProjectProjectsIssuerMode$outboundSchema = UpdateProjectProjectsIssuerMode$inboundSchema;
var UpdateProjectProjectsIssuerMode$;
(function(UpdateProjectProjectsIssuerMode$2) {
  UpdateProjectProjectsIssuerMode$2.inboundSchema = UpdateProjectProjectsIssuerMode$inboundSchema;
  UpdateProjectProjectsIssuerMode$2.outboundSchema = UpdateProjectProjectsIssuerMode$outboundSchema;
})(UpdateProjectProjectsIssuerMode$ || (UpdateProjectProjectsIssuerMode$ = {}));
var UpdateProjectProjectsOidcTokenConfig$inboundSchema = objectType({
  enabled: booleanType(),
  issuerMode: UpdateProjectProjectsIssuerMode$inboundSchema.optional()
});
var UpdateProjectProjectsOidcTokenConfig$outboundSchema = objectType({
  enabled: booleanType(),
  issuerMode: UpdateProjectProjectsIssuerMode$outboundSchema.optional()
});
var UpdateProjectProjectsOidcTokenConfig$;
(function(UpdateProjectProjectsOidcTokenConfig$2) {
  UpdateProjectProjectsOidcTokenConfig$2.inboundSchema = UpdateProjectProjectsOidcTokenConfig$inboundSchema;
  UpdateProjectProjectsOidcTokenConfig$2.outboundSchema = UpdateProjectProjectsOidcTokenConfig$outboundSchema;
})(UpdateProjectProjectsOidcTokenConfig$ || (UpdateProjectProjectsOidcTokenConfig$ = {}));
var UpdateProjectTier$inboundSchema = nativeEnumType(UpdateProjectTier);
var UpdateProjectTier$outboundSchema = UpdateProjectTier$inboundSchema;
var UpdateProjectTier$;
(function(UpdateProjectTier$2) {
  UpdateProjectTier$2.inboundSchema = UpdateProjectTier$inboundSchema;
  UpdateProjectTier$2.outboundSchema = UpdateProjectTier$outboundSchema;
})(UpdateProjectTier$ || (UpdateProjectTier$ = {}));
var UpdateProjectResponseBody$inboundSchema = objectType({
  accountId: stringType(),
  analytics: lazyType(() => UpdateProjectAnalytics$inboundSchema).optional(),
  speedInsights: lazyType(() => UpdateProjectSpeedInsights$inboundSchema).optional(),
  autoExposeSystemEnvs: booleanType().optional(),
  autoAssignCustomDomains: booleanType().optional(),
  autoAssignCustomDomainsUpdatedBy: stringType().optional(),
  buildCommand: nullableType(stringType()).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  connectConfigurationId: nullableType(stringType()).optional(),
  connectBuildsEnabled: booleanType().optional(),
  createdAt: numberType().optional(),
  customerSupportCodeVisibility: booleanType().optional(),
  crons: lazyType(() => UpdateProjectCrons$inboundSchema).optional(),
  dataCache: lazyType(() => UpdateProjectDataCache$inboundSchema).optional(),
  deploymentExpiration: nullableType(lazyType(() => UpdateProjectDeploymentExpiration$inboundSchema)).optional(),
  devCommand: nullableType(stringType()).optional(),
  directoryListing: booleanType(),
  installCommand: nullableType(stringType()).optional(),
  env: arrayType(lazyType(() => UpdateProjectEnv$inboundSchema)).optional(),
  customEnvironments: arrayType(lazyType(() => UpdateProjectCustomEnvironments$inboundSchema)).optional(),
  framework: nullableType(UpdateProjectProjectsFramework$inboundSchema).optional(),
  gitForkProtection: booleanType().optional(),
  gitLFS: booleanType().optional(),
  id: stringType(),
  ipBuckets: arrayType(lazyType(() => UpdateProjectIpBuckets$inboundSchema)).optional(),
  latestDeployments: arrayType(lazyType(() => UpdateProjectLatestDeployments$inboundSchema)).optional(),
  link: unionType([
    lazyType(() => UpdateProjectLink1$inboundSchema),
    lazyType(() => UpdateProjectLink3$inboundSchema),
    lazyType(() => UpdateProjectLink2$inboundSchema)
  ]).optional(),
  microfrontends: lazyType(() => UpdateProjectMicrofrontends$inboundSchema).optional(),
  name: stringType(),
  nodeVersion: UpdateProjectProjectsNodeVersion$inboundSchema,
  optionsAllowlist: nullableType(lazyType(() => UpdateProjectOptionsAllowlist$inboundSchema)).optional(),
  outputDirectory: nullableType(stringType()).optional(),
  passiveConnectConfigurationId: nullableType(stringType()).optional(),
  passwordProtection: nullableType(lazyType(() => UpdateProjectPasswordProtection$inboundSchema)).optional(),
  productionDeploymentsFastLane: booleanType().optional(),
  publicSource: nullableType(booleanType()).optional(),
  resourceConfig: lazyType(() => UpdateProjectResourceConfig$inboundSchema).optional(),
  rootDirectory: nullableType(stringType()).optional(),
  serverlessFunctionRegion: nullableType(stringType()).optional(),
  serverlessFunctionZeroConfigFailover: booleanType().optional(),
  skewProtectionBoundaryAt: numberType().optional(),
  skewProtectionMaxAge: numberType().optional(),
  skipGitConnectDuringLink: booleanType().optional(),
  sourceFilesOutsideRootDirectory: booleanType().optional(),
  enableAffectedProjectsDeployments: booleanType().optional(),
  ssoProtection: nullableType(lazyType(() => UpdateProjectSsoProtection$inboundSchema)).optional(),
  targets: recordType(lazyType(() => UpdateProjectTargets$inboundSchema)).optional(),
  transferCompletedAt: numberType().optional(),
  transferStartedAt: numberType().optional(),
  transferToAccountId: stringType().optional(),
  transferredFromAccountId: stringType().optional(),
  updatedAt: numberType().optional(),
  live: booleanType().optional(),
  enablePreviewFeedback: nullableType(booleanType()).optional(),
  enableProductionFeedback: nullableType(booleanType()).optional(),
  permissions: lazyType(() => UpdateProjectPermissions$inboundSchema).optional(),
  lastRollbackTarget: nullableType(lazyType(() => UpdateProjectLastRollbackTarget$inboundSchema)).optional(),
  lastAliasRequest: nullableType(lazyType(() => UpdateProjectLastAliasRequest$inboundSchema)).optional(),
  hasFloatingAliases: booleanType().optional(),
  protectionBypass: recordType(lazyType(() => UpdateProjectProtectionBypass$inboundSchema)).optional(),
  hasActiveBranches: booleanType().optional(),
  trustedIps: nullableType(unionType([
    lazyType(() => UpdateProjectTrustedIps2$inboundSchema),
    lazyType(() => UpdateProjectTrustedIps1$inboundSchema)
  ])).optional(),
  gitComments: lazyType(() => UpdateProjectGitComments$inboundSchema).optional(),
  paused: booleanType().optional(),
  concurrencyBucketName: stringType().optional(),
  webAnalytics: lazyType(() => UpdateProjectWebAnalytics$inboundSchema).optional(),
  security: lazyType(() => UpdateProjectSecurity$inboundSchema).optional(),
  oidcTokenConfig: lazyType(() => UpdateProjectProjectsOidcTokenConfig$inboundSchema).optional(),
  tier: UpdateProjectTier$inboundSchema.optional()
});
var UpdateProjectResponseBody$outboundSchema = objectType({
  accountId: stringType(),
  analytics: lazyType(() => UpdateProjectAnalytics$outboundSchema).optional(),
  speedInsights: lazyType(() => UpdateProjectSpeedInsights$outboundSchema).optional(),
  autoExposeSystemEnvs: booleanType().optional(),
  autoAssignCustomDomains: booleanType().optional(),
  autoAssignCustomDomainsUpdatedBy: stringType().optional(),
  buildCommand: nullableType(stringType()).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  connectConfigurationId: nullableType(stringType()).optional(),
  connectBuildsEnabled: booleanType().optional(),
  createdAt: numberType().optional(),
  customerSupportCodeVisibility: booleanType().optional(),
  crons: lazyType(() => UpdateProjectCrons$outboundSchema).optional(),
  dataCache: lazyType(() => UpdateProjectDataCache$outboundSchema).optional(),
  deploymentExpiration: nullableType(lazyType(() => UpdateProjectDeploymentExpiration$outboundSchema)).optional(),
  devCommand: nullableType(stringType()).optional(),
  directoryListing: booleanType(),
  installCommand: nullableType(stringType()).optional(),
  env: arrayType(lazyType(() => UpdateProjectEnv$outboundSchema)).optional(),
  customEnvironments: arrayType(lazyType(() => UpdateProjectCustomEnvironments$outboundSchema)).optional(),
  framework: nullableType(UpdateProjectProjectsFramework$outboundSchema).optional(),
  gitForkProtection: booleanType().optional(),
  gitLFS: booleanType().optional(),
  id: stringType(),
  ipBuckets: arrayType(lazyType(() => UpdateProjectIpBuckets$outboundSchema)).optional(),
  latestDeployments: arrayType(lazyType(() => UpdateProjectLatestDeployments$outboundSchema)).optional(),
  link: unionType([
    lazyType(() => UpdateProjectLink1$outboundSchema),
    lazyType(() => UpdateProjectLink3$outboundSchema),
    lazyType(() => UpdateProjectLink2$outboundSchema)
  ]).optional(),
  microfrontends: lazyType(() => UpdateProjectMicrofrontends$outboundSchema).optional(),
  name: stringType(),
  nodeVersion: UpdateProjectProjectsNodeVersion$outboundSchema,
  optionsAllowlist: nullableType(lazyType(() => UpdateProjectOptionsAllowlist$outboundSchema)).optional(),
  outputDirectory: nullableType(stringType()).optional(),
  passiveConnectConfigurationId: nullableType(stringType()).optional(),
  passwordProtection: nullableType(lazyType(() => UpdateProjectPasswordProtection$outboundSchema)).optional(),
  productionDeploymentsFastLane: booleanType().optional(),
  publicSource: nullableType(booleanType()).optional(),
  resourceConfig: lazyType(() => UpdateProjectResourceConfig$outboundSchema).optional(),
  rootDirectory: nullableType(stringType()).optional(),
  serverlessFunctionRegion: nullableType(stringType()).optional(),
  serverlessFunctionZeroConfigFailover: booleanType().optional(),
  skewProtectionBoundaryAt: numberType().optional(),
  skewProtectionMaxAge: numberType().optional(),
  skipGitConnectDuringLink: booleanType().optional(),
  sourceFilesOutsideRootDirectory: booleanType().optional(),
  enableAffectedProjectsDeployments: booleanType().optional(),
  ssoProtection: nullableType(lazyType(() => UpdateProjectSsoProtection$outboundSchema)).optional(),
  targets: recordType(lazyType(() => UpdateProjectTargets$outboundSchema)).optional(),
  transferCompletedAt: numberType().optional(),
  transferStartedAt: numberType().optional(),
  transferToAccountId: stringType().optional(),
  transferredFromAccountId: stringType().optional(),
  updatedAt: numberType().optional(),
  live: booleanType().optional(),
  enablePreviewFeedback: nullableType(booleanType()).optional(),
  enableProductionFeedback: nullableType(booleanType()).optional(),
  permissions: lazyType(() => UpdateProjectPermissions$outboundSchema).optional(),
  lastRollbackTarget: nullableType(lazyType(() => UpdateProjectLastRollbackTarget$outboundSchema)).optional(),
  lastAliasRequest: nullableType(lazyType(() => UpdateProjectLastAliasRequest$outboundSchema)).optional(),
  hasFloatingAliases: booleanType().optional(),
  protectionBypass: recordType(lazyType(() => UpdateProjectProtectionBypass$outboundSchema)).optional(),
  hasActiveBranches: booleanType().optional(),
  trustedIps: nullableType(unionType([
    lazyType(() => UpdateProjectTrustedIps2$outboundSchema),
    lazyType(() => UpdateProjectTrustedIps1$outboundSchema)
  ])).optional(),
  gitComments: lazyType(() => UpdateProjectGitComments$outboundSchema).optional(),
  paused: booleanType().optional(),
  concurrencyBucketName: stringType().optional(),
  webAnalytics: lazyType(() => UpdateProjectWebAnalytics$outboundSchema).optional(),
  security: lazyType(() => UpdateProjectSecurity$outboundSchema).optional(),
  oidcTokenConfig: lazyType(() => UpdateProjectProjectsOidcTokenConfig$outboundSchema).optional(),
  tier: UpdateProjectTier$outboundSchema.optional()
});
var UpdateProjectResponseBody$;
(function(UpdateProjectResponseBody$2) {
  UpdateProjectResponseBody$2.inboundSchema = UpdateProjectResponseBody$inboundSchema;
  UpdateProjectResponseBody$2.outboundSchema = UpdateProjectResponseBody$outboundSchema;
})(UpdateProjectResponseBody$ || (UpdateProjectResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsUpdateProject.js
async function projectsUpdateProject(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateProjectRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "updateProject",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "409", "428", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateProjectResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, 409, 428, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/updateprojectdatacacheop.js
var UpdateProjectDataCacheTarget2 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var UpdateProjectDataCacheTarget1 = {
  Production: "production",
  Preview: "preview",
  Development: "development"
};
var UpdateProjectDataCacheProjectsResponse200Type = {
  Secret: "secret",
  System: "system",
  Encrypted: "encrypted",
  Plain: "plain",
  Sensitive: "sensitive"
};
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type = {
  FlagsConnectionString: "flags-connection-string"
};
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type = {
  IntegrationStoreSecret: "integration-store-secret"
};
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type = {
  PostgresUrlNoSsl: "postgres-url-no-ssl"
};
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type = {
  PostgresDatabase: "postgres-database"
};
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type = {
  PostgresPassword: "postgres-password"
};
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type = {
  PostgresHost: "postgres-host"
};
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type = {
  PostgresUser: "postgres-user"
};
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType = {
  PostgresPrismaUrl: "postgres-prisma-url"
};
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType = {
  PostgresUrlNonPooling: "postgres-url-non-pooling"
};
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType = {
  PostgresUrl: "postgres-url"
};
var UpdateProjectDataCacheContentHintProjectsResponse200Type = {
  BlobReadWriteToken: "blob-read-write-token"
};
var UpdateProjectDataCacheContentHintProjectsResponseType = {
  RedisRestApiReadOnlyToken: "redis-rest-api-read-only-token"
};
var UpdateProjectDataCacheContentHintProjectsType = {
  RedisRestApiToken: "redis-rest-api-token"
};
var UpdateProjectDataCacheContentHintType = {
  RedisRestApiUrl: "redis-rest-api-url"
};
var ContentHintType = {
  RedisUrl: "redis-url"
};
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType = {
  FlagsSecret: "flags-secret"
};
var UpdateProjectDataCacheFramework = {
  Blitzjs: "blitzjs",
  Nextjs: "nextjs",
  Gatsby: "gatsby",
  Remix: "remix",
  Astro: "astro",
  Hexo: "hexo",
  Eleventy: "eleventy",
  Docusaurus2: "docusaurus-2",
  Docusaurus: "docusaurus",
  Preact: "preact",
  Solidstart1: "solidstart-1",
  Solidstart: "solidstart",
  Dojo: "dojo",
  Ember: "ember",
  Vue: "vue",
  Scully: "scully",
  IonicAngular: "ionic-angular",
  Angular: "angular",
  Polymer: "polymer",
  Svelte: "svelte",
  Sveltekit: "sveltekit",
  Sveltekit1: "sveltekit-1",
  IonicReact: "ionic-react",
  CreateReactApp: "create-react-app",
  Gridsome: "gridsome",
  Umijs: "umijs",
  Sapper: "sapper",
  Saber: "saber",
  Stencil: "stencil",
  Nuxtjs: "nuxtjs",
  Redwoodjs: "redwoodjs",
  Hugo: "hugo",
  Jekyll: "jekyll",
  Brunch: "brunch",
  Middleman: "middleman",
  Zola: "zola",
  Hydrogen: "hydrogen",
  Vite: "vite",
  Vitepress: "vitepress",
  Vuepress: "vuepress",
  Parcel: "parcel",
  Fasthtml: "fasthtml",
  SanityV3: "sanity-v3",
  Sanity: "sanity",
  Storybook: "storybook"
};
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONType = {
  EndsWith: "endsWith",
  StartsWith: "startsWith",
  Equals: "equals"
};
var UpdateProjectDataCacheProjectsChecksConclusion = {
  Succeeded: "succeeded",
  Failed: "failed",
  Skipped: "skipped",
  Canceled: "canceled"
};
var UpdateProjectDataCacheProjectsChecksState = {
  Registered: "registered",
  Running: "running",
  Completed: "completed"
};
var UpdateProjectDataCacheProjectsPlan = {
  Pro: "pro",
  Enterprise: "enterprise",
  Hobby: "hobby"
};
var UpdateProjectDataCacheProjectsReadyState = {
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Queued: "QUEUED",
  Ready: "READY",
  Canceled: "CANCELED"
};
var UpdateProjectDataCacheProjectsReadySubstate = {
  Staged: "STAGED",
  Promoted: "PROMOTED"
};
var UpdateProjectDataCacheType = {
  Lambdas: "LAMBDAS"
};
var UpdateProjectDataCacheLinkProjectsType = {
  Bitbucket: "bitbucket"
};
var UpdateProjectDataCacheLinkType = {
  Gitlab: "gitlab"
};
var LinkType = {
  Github: "github"
};
var UpdateProjectDataCacheNodeVersion = {
  TwentyTwoX: "22.x",
  TwentyX: "20.x",
  EighteenX: "18.x",
  SixteenX: "16.x",
  FourteenX: "14.x",
  TwelveX: "12.x",
  TenX: "10.x",
  Eight10X: "8.10.x"
};
var FunctionDefaultMemoryType = {
  StandardLegacy: "standard_legacy",
  Standard: "standard",
  Performance: "performance"
};
var UpdateProjectDataCacheDeploymentType = {
  Preview: "preview",
  All: "all",
  ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
};
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyTargetsType = {
  EndsWith: "endsWith",
  StartsWith: "startsWith",
  Equals: "equals"
};
var UpdateProjectDataCacheChecksConclusion = {
  Succeeded: "succeeded",
  Failed: "failed",
  Skipped: "skipped",
  Canceled: "canceled"
};
var UpdateProjectDataCacheChecksState = {
  Registered: "registered",
  Running: "running",
  Completed: "completed"
};
var UpdateProjectDataCachePlan = {
  Pro: "pro",
  Enterprise: "enterprise",
  Hobby: "hobby"
};
var UpdateProjectDataCacheReadyState = {
  Building: "BUILDING",
  Error: "ERROR",
  Initializing: "INITIALIZING",
  Queued: "QUEUED",
  Ready: "READY",
  Canceled: "CANCELED"
};
var UpdateProjectDataCacheReadySubstate = {
  Staged: "STAGED",
  Promoted: "PROMOTED"
};
var UpdateProjectDataCacheProjectsType = {
  Lambdas: "LAMBDAS"
};
var JobStatus = {
  Succeeded: "succeeded",
  Failed: "failed",
  Skipped: "skipped",
  Pending: "pending",
  InProgress: "in-progress"
};
var UpdateProjectDataCacheProjectsResponseType = {
  Promote: "promote",
  Rollback: "rollback"
};
var Scope = {
  AutomationBypass: "automation-bypass"
};
var UpdateProjectDataCacheTrustedIpsDeploymentType = {
  Production: "production",
  Preview: "preview",
  All: "all",
  ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
};
var TrustedIpsDeploymentType = {
  Production: "production",
  Preview: "preview",
  All: "all",
  ProdDeploymentUrlsAndAllPreviews: "prod_deployment_urls_and_all_previews"
};
var UpdateProjectDataCacheTrustedIpsProtectionMode = {
  Additional: "additional",
  Exclusive: "exclusive"
};
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType = {
  Path: "path",
  Host: "host",
  Method: "method",
  Header: "header",
  Cookie: "cookie",
  Query: "query",
  IpAddress: "ip_address",
  Protocol: "protocol",
  Scheme: "scheme",
  Environment: "environment",
  Region: "region",
  InitialRequestPath: "initial_request_path"
};
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType = {
  Path: "path",
  Host: "host",
  Method: "method",
  Header: "header",
  Cookie: "cookie",
  Query: "query",
  IpAddress: "ip_address",
  Protocol: "protocol",
  Scheme: "scheme",
  Environment: "environment",
  Region: "region",
  InitialRequestPath: "initial_request_path"
};
var Handle = {
  Init: "init",
  Finalize: "finalize"
};
var UpdateProjectDataCacheAction = {
  Deny: "deny",
  Challenge: "challenge",
  Log: "log",
  Bypass: "bypass",
  RateLimit: "rate_limit",
  Redirect: "redirect"
};
var UpdateProjectDataCacheAlgo = {
  FixedWindow: "fixed_window",
  TokenBucket: "token_bucket"
};
var UpdateProjectDataCacheIssuerMode = {
  Team: "team",
  Global: "global"
};
var Tier = {
  Standard: "standard",
  Advanced: "advanced",
  Critical: "critical"
};
var UpdateProjectDataCacheRequestBody$inboundSchema = objectType({
  disabled: booleanType().optional()
});
var UpdateProjectDataCacheRequestBody$outboundSchema = objectType({
  disabled: booleanType().optional()
});
var UpdateProjectDataCacheRequestBody$;
(function(UpdateProjectDataCacheRequestBody$2) {
  UpdateProjectDataCacheRequestBody$2.inboundSchema = UpdateProjectDataCacheRequestBody$inboundSchema;
  UpdateProjectDataCacheRequestBody$2.outboundSchema = UpdateProjectDataCacheRequestBody$outboundSchema;
})(UpdateProjectDataCacheRequestBody$ || (UpdateProjectDataCacheRequestBody$ = {}));
var UpdateProjectDataCacheRequest$inboundSchema = objectType({
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => UpdateProjectDataCacheRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var UpdateProjectDataCacheRequest$outboundSchema = objectType({
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => UpdateProjectDataCacheRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var UpdateProjectDataCacheRequest$;
(function(UpdateProjectDataCacheRequest$2) {
  UpdateProjectDataCacheRequest$2.inboundSchema = UpdateProjectDataCacheRequest$inboundSchema;
  UpdateProjectDataCacheRequest$2.outboundSchema = UpdateProjectDataCacheRequest$outboundSchema;
})(UpdateProjectDataCacheRequest$ || (UpdateProjectDataCacheRequest$ = {}));
var Analytics$inboundSchema = objectType({
  id: stringType(),
  canceledAt: nullableType(numberType()).optional(),
  disabledAt: numberType(),
  enabledAt: numberType(),
  paidAt: numberType().optional(),
  sampleRatePercent: nullableType(numberType()).optional(),
  spendLimitInDollars: nullableType(numberType()).optional()
});
var Analytics$outboundSchema = objectType({
  id: stringType(),
  canceledAt: nullableType(numberType()).optional(),
  disabledAt: numberType(),
  enabledAt: numberType(),
  paidAt: numberType().optional(),
  sampleRatePercent: nullableType(numberType()).optional(),
  spendLimitInDollars: nullableType(numberType()).optional()
});
var Analytics$;
(function(Analytics$2) {
  Analytics$2.inboundSchema = Analytics$inboundSchema;
  Analytics$2.outboundSchema = Analytics$outboundSchema;
})(Analytics$ || (Analytics$ = {}));
var SpeedInsights$inboundSchema = objectType({
  id: stringType(),
  enabledAt: numberType().optional(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  hasData: booleanType().optional(),
  paidAt: numberType().optional()
});
var SpeedInsights$outboundSchema = objectType({
  id: stringType(),
  enabledAt: numberType().optional(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  hasData: booleanType().optional(),
  paidAt: numberType().optional()
});
var SpeedInsights$;
(function(SpeedInsights$2) {
  SpeedInsights$2.inboundSchema = SpeedInsights$inboundSchema;
  SpeedInsights$2.outboundSchema = SpeedInsights$outboundSchema;
})(SpeedInsights$ || (SpeedInsights$ = {}));
var Definitions$inboundSchema = objectType({
  host: stringType(),
  path: stringType(),
  schedule: stringType()
});
var Definitions$outboundSchema = objectType({
  host: stringType(),
  path: stringType(),
  schedule: stringType()
});
var Definitions$;
(function(Definitions$2) {
  Definitions$2.inboundSchema = Definitions$inboundSchema;
  Definitions$2.outboundSchema = Definitions$outboundSchema;
})(Definitions$ || (Definitions$ = {}));
var Crons$inboundSchema = objectType({
  enabledAt: numberType(),
  disabledAt: nullableType(numberType()),
  updatedAt: numberType(),
  deploymentId: nullableType(stringType()),
  definitions: arrayType(lazyType(() => Definitions$inboundSchema))
});
var Crons$outboundSchema = objectType({
  enabledAt: numberType(),
  disabledAt: nullableType(numberType()),
  updatedAt: numberType(),
  deploymentId: nullableType(stringType()),
  definitions: arrayType(lazyType(() => Definitions$outboundSchema))
});
var Crons$;
(function(Crons$2) {
  Crons$2.inboundSchema = Crons$inboundSchema;
  Crons$2.outboundSchema = Crons$outboundSchema;
})(Crons$ || (Crons$ = {}));
var UpdateProjectDataCacheDataCache$inboundSchema = objectType({
  userDisabled: booleanType(),
  storageSizeBytes: nullableType(numberType()).optional(),
  unlimited: booleanType().optional()
});
var UpdateProjectDataCacheDataCache$outboundSchema = objectType({
  userDisabled: booleanType(),
  storageSizeBytes: nullableType(numberType()).optional(),
  unlimited: booleanType().optional()
});
var UpdateProjectDataCacheDataCache$;
(function(UpdateProjectDataCacheDataCache$2) {
  UpdateProjectDataCacheDataCache$2.inboundSchema = UpdateProjectDataCacheDataCache$inboundSchema;
  UpdateProjectDataCacheDataCache$2.outboundSchema = UpdateProjectDataCacheDataCache$outboundSchema;
})(UpdateProjectDataCacheDataCache$ || (UpdateProjectDataCacheDataCache$ = {}));
var DeploymentExpiration$inboundSchema = objectType({
  expirationDays: numberType().optional(),
  expirationDaysProduction: numberType().optional(),
  expirationDaysCanceled: numberType().optional(),
  expirationDaysErrored: numberType().optional(),
  deploymentsToKeep: numberType().optional()
});
var DeploymentExpiration$outboundSchema = objectType({
  expirationDays: numberType().optional(),
  expirationDaysProduction: numberType().optional(),
  expirationDaysCanceled: numberType().optional(),
  expirationDaysErrored: numberType().optional(),
  deploymentsToKeep: numberType().optional()
});
var DeploymentExpiration$;
(function(DeploymentExpiration$2) {
  DeploymentExpiration$2.inboundSchema = DeploymentExpiration$inboundSchema;
  DeploymentExpiration$2.outboundSchema = DeploymentExpiration$outboundSchema;
})(DeploymentExpiration$ || (DeploymentExpiration$ = {}));
var UpdateProjectDataCacheTarget2$inboundSchema = nativeEnumType(UpdateProjectDataCacheTarget2);
var UpdateProjectDataCacheTarget2$outboundSchema = UpdateProjectDataCacheTarget2$inboundSchema;
var UpdateProjectDataCacheTarget2$;
(function(UpdateProjectDataCacheTarget2$2) {
  UpdateProjectDataCacheTarget2$2.inboundSchema = UpdateProjectDataCacheTarget2$inboundSchema;
  UpdateProjectDataCacheTarget2$2.outboundSchema = UpdateProjectDataCacheTarget2$outboundSchema;
})(UpdateProjectDataCacheTarget2$ || (UpdateProjectDataCacheTarget2$ = {}));
var UpdateProjectDataCacheTarget1$inboundSchema = nativeEnumType(UpdateProjectDataCacheTarget1);
var UpdateProjectDataCacheTarget1$outboundSchema = UpdateProjectDataCacheTarget1$inboundSchema;
var UpdateProjectDataCacheTarget1$;
(function(UpdateProjectDataCacheTarget1$2) {
  UpdateProjectDataCacheTarget1$2.inboundSchema = UpdateProjectDataCacheTarget1$inboundSchema;
  UpdateProjectDataCacheTarget1$2.outboundSchema = UpdateProjectDataCacheTarget1$outboundSchema;
})(UpdateProjectDataCacheTarget1$ || (UpdateProjectDataCacheTarget1$ = {}));
var UpdateProjectDataCacheTarget$inboundSchema = unionType([
  arrayType(UpdateProjectDataCacheTarget1$inboundSchema),
  UpdateProjectDataCacheTarget2$inboundSchema
]);
var UpdateProjectDataCacheTarget$outboundSchema = unionType([
  arrayType(UpdateProjectDataCacheTarget1$outboundSchema),
  UpdateProjectDataCacheTarget2$outboundSchema
]);
var UpdateProjectDataCacheTarget$;
(function(UpdateProjectDataCacheTarget$2) {
  UpdateProjectDataCacheTarget$2.inboundSchema = UpdateProjectDataCacheTarget$inboundSchema;
  UpdateProjectDataCacheTarget$2.outboundSchema = UpdateProjectDataCacheTarget$outboundSchema;
})(UpdateProjectDataCacheTarget$ || (UpdateProjectDataCacheTarget$ = {}));
var UpdateProjectDataCacheProjectsResponse200Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsResponse200Type);
var UpdateProjectDataCacheProjectsResponse200Type$outboundSchema = UpdateProjectDataCacheProjectsResponse200Type$inboundSchema;
var UpdateProjectDataCacheProjectsResponse200Type$;
(function(UpdateProjectDataCacheProjectsResponse200Type$2) {
  UpdateProjectDataCacheProjectsResponse200Type$2.inboundSchema = UpdateProjectDataCacheProjectsResponse200Type$inboundSchema;
  UpdateProjectDataCacheProjectsResponse200Type$2.outboundSchema = UpdateProjectDataCacheProjectsResponse200Type$outboundSchema;
})(UpdateProjectDataCacheProjectsResponse200Type$ || (UpdateProjectDataCacheProjectsResponse200Type$ = {}));
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type);
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema;
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$;
(function(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$2) {
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$2.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema;
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$2.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema;
})(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$ || (UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$ = {}));
var Fifteen$inboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$inboundSchema,
  projectId: stringType()
});
var Fifteen$outboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv15Type$outboundSchema,
  projectId: stringType()
});
var Fifteen$;
(function(Fifteen$2) {
  Fifteen$2.inboundSchema = Fifteen$inboundSchema;
  Fifteen$2.outboundSchema = Fifteen$outboundSchema;
})(Fifteen$ || (Fifteen$ = {}));
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type);
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema;
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$;
(function(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$2) {
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$2.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema;
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$2.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema;
})(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$ || (UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$ = {}));
var Fourteen$inboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$inboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var Fourteen$outboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv14Type$outboundSchema,
  storeId: stringType(),
  integrationId: stringType(),
  integrationProductId: stringType(),
  integrationConfigurationId: stringType()
});
var Fourteen$;
(function(Fourteen$2) {
  Fourteen$2.inboundSchema = Fourteen$inboundSchema;
  Fourteen$2.outboundSchema = Fourteen$outboundSchema;
})(Fourteen$ || (Fourteen$ = {}));
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type);
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema;
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$;
(function(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$2) {
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$2.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema;
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$2.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema;
})(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$ || (UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$ = {}));
var Thirteen$inboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$inboundSchema,
  storeId: stringType()
});
var Thirteen$outboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv13Type$outboundSchema,
  storeId: stringType()
});
var Thirteen$;
(function(Thirteen$2) {
  Thirteen$2.inboundSchema = Thirteen$inboundSchema;
  Thirteen$2.outboundSchema = Thirteen$outboundSchema;
})(Thirteen$ || (Thirteen$ = {}));
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type);
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema;
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$;
(function(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$2) {
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$2.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema;
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$2.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema;
})(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$ || (UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$ = {}));
var Twelve$inboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$inboundSchema,
  storeId: stringType()
});
var Twelve$outboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv12Type$outboundSchema,
  storeId: stringType()
});
var Twelve$;
(function(Twelve$2) {
  Twelve$2.inboundSchema = Twelve$inboundSchema;
  Twelve$2.outboundSchema = Twelve$outboundSchema;
})(Twelve$ || (Twelve$ = {}));
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type);
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema;
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$;
(function(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$2) {
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$2.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema;
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$2.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema;
})(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$ || (UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$ = {}));
var UpdateProjectDataCacheContentHint11$inboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$inboundSchema,
  storeId: stringType()
});
var UpdateProjectDataCacheContentHint11$outboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv11Type$outboundSchema,
  storeId: stringType()
});
var UpdateProjectDataCacheContentHint11$;
(function(UpdateProjectDataCacheContentHint11$2) {
  UpdateProjectDataCacheContentHint11$2.inboundSchema = UpdateProjectDataCacheContentHint11$inboundSchema;
  UpdateProjectDataCacheContentHint11$2.outboundSchema = UpdateProjectDataCacheContentHint11$outboundSchema;
})(UpdateProjectDataCacheContentHint11$ || (UpdateProjectDataCacheContentHint11$ = {}));
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type);
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema;
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$;
(function(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$2) {
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$2.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema;
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$2.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema;
})(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$ || (UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$ = {}));
var ContentHint10$inboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$inboundSchema,
  storeId: stringType()
});
var ContentHint10$outboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv10Type$outboundSchema,
  storeId: stringType()
});
var ContentHint10$;
(function(ContentHint10$2) {
  ContentHint10$2.inboundSchema = ContentHint10$inboundSchema;
  ContentHint10$2.outboundSchema = ContentHint10$outboundSchema;
})(ContentHint10$ || (ContentHint10$ = {}));
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type);
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema;
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$;
(function(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$2) {
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$2.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema;
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$2.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema;
})(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$ || (UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$ = {}));
var ContentHint9$inboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$inboundSchema,
  storeId: stringType()
});
var ContentHint9$outboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnv9Type$outboundSchema,
  storeId: stringType()
});
var ContentHint9$;
(function(ContentHint9$2) {
  ContentHint9$2.inboundSchema = ContentHint9$inboundSchema;
  ContentHint9$2.outboundSchema = ContentHint9$outboundSchema;
})(ContentHint9$ || (ContentHint9$ = {}));
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType);
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$;
(function(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$2) {
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$2.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema;
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$2.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema;
})(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$ || (UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$ = {}));
var ContentHint8$inboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$inboundSchema,
  storeId: stringType()
});
var ContentHint8$outboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyEnvType$outboundSchema,
  storeId: stringType()
});
var ContentHint8$;
(function(ContentHint8$2) {
  ContentHint8$2.inboundSchema = ContentHint8$inboundSchema;
  ContentHint8$2.outboundSchema = ContentHint8$outboundSchema;
})(ContentHint8$ || (ContentHint8$ = {}));
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType);
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$;
(function(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$2) {
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$2.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$2.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
})(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$ || (UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$ = {}));
var ContentHint7$inboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
  storeId: stringType()
});
var ContentHint7$outboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
  storeId: stringType()
});
var ContentHint7$;
(function(ContentHint7$2) {
  ContentHint7$2.inboundSchema = ContentHint7$inboundSchema;
  ContentHint7$2.outboundSchema = ContentHint7$outboundSchema;
})(ContentHint7$ || (ContentHint7$ = {}));
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType);
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
var UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$;
(function(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$2) {
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$2.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$inboundSchema;
  UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$2.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$outboundSchema;
})(UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$ || (UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$ = {}));
var ContentHint6$inboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$inboundSchema,
  storeId: stringType()
});
var ContentHint6$outboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200ApplicationJSONType$outboundSchema,
  storeId: stringType()
});
var ContentHint6$;
(function(ContentHint6$2) {
  ContentHint6$2.inboundSchema = ContentHint6$inboundSchema;
  ContentHint6$2.outboundSchema = ContentHint6$outboundSchema;
})(ContentHint6$ || (ContentHint6$ = {}));
var UpdateProjectDataCacheContentHintProjectsResponse200Type$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponse200Type);
var UpdateProjectDataCacheContentHintProjectsResponse200Type$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200Type$inboundSchema;
var UpdateProjectDataCacheContentHintProjectsResponse200Type$;
(function(UpdateProjectDataCacheContentHintProjectsResponse200Type$2) {
  UpdateProjectDataCacheContentHintProjectsResponse200Type$2.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200Type$inboundSchema;
  UpdateProjectDataCacheContentHintProjectsResponse200Type$2.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponse200Type$outboundSchema;
})(UpdateProjectDataCacheContentHintProjectsResponse200Type$ || (UpdateProjectDataCacheContentHintProjectsResponse200Type$ = {}));
var ContentHint5$inboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200Type$inboundSchema,
  storeId: stringType()
});
var ContentHint5$outboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponse200Type$outboundSchema,
  storeId: stringType()
});
var ContentHint5$;
(function(ContentHint5$2) {
  ContentHint5$2.inboundSchema = ContentHint5$inboundSchema;
  ContentHint5$2.outboundSchema = ContentHint5$outboundSchema;
})(ContentHint5$ || (ContentHint5$ = {}));
var UpdateProjectDataCacheContentHintProjectsResponseType$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsResponseType);
var UpdateProjectDataCacheContentHintProjectsResponseType$outboundSchema = UpdateProjectDataCacheContentHintProjectsResponseType$inboundSchema;
var UpdateProjectDataCacheContentHintProjectsResponseType$;
(function(UpdateProjectDataCacheContentHintProjectsResponseType$2) {
  UpdateProjectDataCacheContentHintProjectsResponseType$2.inboundSchema = UpdateProjectDataCacheContentHintProjectsResponseType$inboundSchema;
  UpdateProjectDataCacheContentHintProjectsResponseType$2.outboundSchema = UpdateProjectDataCacheContentHintProjectsResponseType$outboundSchema;
})(UpdateProjectDataCacheContentHintProjectsResponseType$ || (UpdateProjectDataCacheContentHintProjectsResponseType$ = {}));
var ContentHint4$inboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponseType$inboundSchema,
  storeId: stringType()
});
var ContentHint4$outboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsResponseType$outboundSchema,
  storeId: stringType()
});
var ContentHint4$;
(function(ContentHint4$2) {
  ContentHint4$2.inboundSchema = ContentHint4$inboundSchema;
  ContentHint4$2.outboundSchema = ContentHint4$outboundSchema;
})(ContentHint4$ || (ContentHint4$ = {}));
var UpdateProjectDataCacheContentHintProjectsType$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintProjectsType);
var UpdateProjectDataCacheContentHintProjectsType$outboundSchema = UpdateProjectDataCacheContentHintProjectsType$inboundSchema;
var UpdateProjectDataCacheContentHintProjectsType$;
(function(UpdateProjectDataCacheContentHintProjectsType$2) {
  UpdateProjectDataCacheContentHintProjectsType$2.inboundSchema = UpdateProjectDataCacheContentHintProjectsType$inboundSchema;
  UpdateProjectDataCacheContentHintProjectsType$2.outboundSchema = UpdateProjectDataCacheContentHintProjectsType$outboundSchema;
})(UpdateProjectDataCacheContentHintProjectsType$ || (UpdateProjectDataCacheContentHintProjectsType$ = {}));
var ContentHint3$inboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsType$inboundSchema,
  storeId: stringType()
});
var ContentHint3$outboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintProjectsType$outboundSchema,
  storeId: stringType()
});
var ContentHint3$;
(function(ContentHint3$2) {
  ContentHint3$2.inboundSchema = ContentHint3$inboundSchema;
  ContentHint3$2.outboundSchema = ContentHint3$outboundSchema;
})(ContentHint3$ || (ContentHint3$ = {}));
var UpdateProjectDataCacheContentHintType$inboundSchema = nativeEnumType(UpdateProjectDataCacheContentHintType);
var UpdateProjectDataCacheContentHintType$outboundSchema = UpdateProjectDataCacheContentHintType$inboundSchema;
var UpdateProjectDataCacheContentHintType$;
(function(UpdateProjectDataCacheContentHintType$2) {
  UpdateProjectDataCacheContentHintType$2.inboundSchema = UpdateProjectDataCacheContentHintType$inboundSchema;
  UpdateProjectDataCacheContentHintType$2.outboundSchema = UpdateProjectDataCacheContentHintType$outboundSchema;
})(UpdateProjectDataCacheContentHintType$ || (UpdateProjectDataCacheContentHintType$ = {}));
var ContentHint2$inboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintType$inboundSchema,
  storeId: stringType()
});
var ContentHint2$outboundSchema = objectType({
  type: UpdateProjectDataCacheContentHintType$outboundSchema,
  storeId: stringType()
});
var ContentHint2$;
(function(ContentHint2$2) {
  ContentHint2$2.inboundSchema = ContentHint2$inboundSchema;
  ContentHint2$2.outboundSchema = ContentHint2$outboundSchema;
})(ContentHint2$ || (ContentHint2$ = {}));
var ContentHintType$inboundSchema = nativeEnumType(ContentHintType);
var ContentHintType$outboundSchema = ContentHintType$inboundSchema;
var ContentHintType$;
(function(ContentHintType$2) {
  ContentHintType$2.inboundSchema = ContentHintType$inboundSchema;
  ContentHintType$2.outboundSchema = ContentHintType$outboundSchema;
})(ContentHintType$ || (ContentHintType$ = {}));
var ContentHint1$inboundSchema = objectType({
  type: ContentHintType$inboundSchema,
  storeId: stringType()
});
var ContentHint1$outboundSchema = objectType({
  type: ContentHintType$outboundSchema,
  storeId: stringType()
});
var ContentHint1$;
(function(ContentHint1$2) {
  ContentHint1$2.inboundSchema = ContentHint1$inboundSchema;
  ContentHint1$2.outboundSchema = ContentHint1$outboundSchema;
})(ContentHint1$ || (ContentHint1$ = {}));
var ContentHint$inboundSchema = unionType([
  lazyType(() => ContentHint1$inboundSchema),
  lazyType(() => ContentHint2$inboundSchema),
  lazyType(() => ContentHint3$inboundSchema),
  lazyType(() => ContentHint4$inboundSchema),
  lazyType(() => ContentHint5$inboundSchema),
  lazyType(() => ContentHint6$inboundSchema),
  lazyType(() => ContentHint7$inboundSchema),
  lazyType(() => ContentHint8$inboundSchema),
  lazyType(() => ContentHint9$inboundSchema),
  lazyType(() => ContentHint10$inboundSchema),
  lazyType(() => UpdateProjectDataCacheContentHint11$inboundSchema),
  lazyType(() => Twelve$inboundSchema),
  lazyType(() => Thirteen$inboundSchema),
  lazyType(() => Fifteen$inboundSchema),
  lazyType(() => Fourteen$inboundSchema)
]);
var ContentHint$outboundSchema = unionType([
  lazyType(() => ContentHint1$outboundSchema),
  lazyType(() => ContentHint2$outboundSchema),
  lazyType(() => ContentHint3$outboundSchema),
  lazyType(() => ContentHint4$outboundSchema),
  lazyType(() => ContentHint5$outboundSchema),
  lazyType(() => ContentHint6$outboundSchema),
  lazyType(() => ContentHint7$outboundSchema),
  lazyType(() => ContentHint8$outboundSchema),
  lazyType(() => ContentHint9$outboundSchema),
  lazyType(() => ContentHint10$outboundSchema),
  lazyType(() => UpdateProjectDataCacheContentHint11$outboundSchema),
  lazyType(() => Twelve$outboundSchema),
  lazyType(() => Thirteen$outboundSchema),
  lazyType(() => Fifteen$outboundSchema),
  lazyType(() => Fourteen$outboundSchema)
]);
var ContentHint$;
(function(ContentHint$2) {
  ContentHint$2.inboundSchema = ContentHint$inboundSchema;
  ContentHint$2.outboundSchema = ContentHint$outboundSchema;
})(ContentHint$ || (ContentHint$ = {}));
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType);
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$;
(function(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$2) {
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$2.inboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema;
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$2.outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema;
})(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$ || (UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$ = {}));
var InternalContentHint$inboundSchema = objectType({
  type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$inboundSchema,
  encryptedValue: stringType()
});
var InternalContentHint$outboundSchema = objectType({
  type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyType$outboundSchema,
  encryptedValue: stringType()
});
var InternalContentHint$;
(function(InternalContentHint$2) {
  InternalContentHint$2.inboundSchema = InternalContentHint$inboundSchema;
  InternalContentHint$2.outboundSchema = InternalContentHint$outboundSchema;
})(InternalContentHint$ || (InternalContentHint$ = {}));
var Env$inboundSchema = objectType({
  target: unionType([
    arrayType(UpdateProjectDataCacheTarget1$inboundSchema),
    UpdateProjectDataCacheTarget2$inboundSchema
  ]).optional(),
  type: UpdateProjectDataCacheProjectsResponse200Type$inboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => ContentHint1$inboundSchema),
    lazyType(() => ContentHint2$inboundSchema),
    lazyType(() => ContentHint3$inboundSchema),
    lazyType(() => ContentHint4$inboundSchema),
    lazyType(() => ContentHint5$inboundSchema),
    lazyType(() => ContentHint6$inboundSchema),
    lazyType(() => ContentHint7$inboundSchema),
    lazyType(() => ContentHint8$inboundSchema),
    lazyType(() => ContentHint9$inboundSchema),
    lazyType(() => ContentHint10$inboundSchema),
    lazyType(() => UpdateProjectDataCacheContentHint11$inboundSchema),
    lazyType(() => Twelve$inboundSchema),
    lazyType(() => Thirteen$inboundSchema),
    lazyType(() => Fifteen$inboundSchema),
    lazyType(() => Fourteen$inboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => InternalContentHint$inboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var Env$outboundSchema = objectType({
  target: unionType([
    arrayType(UpdateProjectDataCacheTarget1$outboundSchema),
    UpdateProjectDataCacheTarget2$outboundSchema
  ]).optional(),
  type: UpdateProjectDataCacheProjectsResponse200Type$outboundSchema,
  sunsetSecretId: stringType().optional(),
  id: stringType().optional(),
  key: stringType(),
  value: stringType(),
  configurationId: nullableType(stringType()).optional(),
  createdAt: numberType().optional(),
  updatedAt: numberType().optional(),
  createdBy: nullableType(stringType()).optional(),
  updatedBy: nullableType(stringType()).optional(),
  gitBranch: stringType().optional(),
  edgeConfigId: nullableType(stringType()).optional(),
  edgeConfigTokenId: nullableType(stringType()).optional(),
  contentHint: nullableType(unionType([
    lazyType(() => ContentHint1$outboundSchema),
    lazyType(() => ContentHint2$outboundSchema),
    lazyType(() => ContentHint3$outboundSchema),
    lazyType(() => ContentHint4$outboundSchema),
    lazyType(() => ContentHint5$outboundSchema),
    lazyType(() => ContentHint6$outboundSchema),
    lazyType(() => ContentHint7$outboundSchema),
    lazyType(() => ContentHint8$outboundSchema),
    lazyType(() => ContentHint9$outboundSchema),
    lazyType(() => ContentHint10$outboundSchema),
    lazyType(() => UpdateProjectDataCacheContentHint11$outboundSchema),
    lazyType(() => Twelve$outboundSchema),
    lazyType(() => Thirteen$outboundSchema),
    lazyType(() => Fifteen$outboundSchema),
    lazyType(() => Fourteen$outboundSchema)
  ])).optional(),
  internalContentHint: nullableType(lazyType(() => InternalContentHint$outboundSchema)).optional(),
  decrypted: booleanType().optional(),
  comment: stringType().optional(),
  customEnvironmentIds: arrayType(stringType()).optional(),
  vsmValue: stringType().optional()
});
var Env$;
(function(Env$2) {
  Env$2.inboundSchema = Env$inboundSchema;
  Env$2.outboundSchema = Env$outboundSchema;
})(Env$ || (Env$ = {}));
var CustomEnvironments$inboundSchema = objectType({});
var CustomEnvironments$outboundSchema = objectType({});
var CustomEnvironments$;
(function(CustomEnvironments$2) {
  CustomEnvironments$2.inboundSchema = CustomEnvironments$inboundSchema;
  CustomEnvironments$2.outboundSchema = CustomEnvironments$outboundSchema;
})(CustomEnvironments$ || (CustomEnvironments$ = {}));
var UpdateProjectDataCacheFramework$inboundSchema = nativeEnumType(UpdateProjectDataCacheFramework);
var UpdateProjectDataCacheFramework$outboundSchema = UpdateProjectDataCacheFramework$inboundSchema;
var UpdateProjectDataCacheFramework$;
(function(UpdateProjectDataCacheFramework$2) {
  UpdateProjectDataCacheFramework$2.inboundSchema = UpdateProjectDataCacheFramework$inboundSchema;
  UpdateProjectDataCacheFramework$2.outboundSchema = UpdateProjectDataCacheFramework$outboundSchema;
})(UpdateProjectDataCacheFramework$ || (UpdateProjectDataCacheFramework$ = {}));
var IpBuckets$inboundSchema = objectType({
  bucket: stringType(),
  supportUntil: numberType().optional()
});
var IpBuckets$outboundSchema = objectType({
  bucket: stringType(),
  supportUntil: numberType().optional()
});
var IpBuckets$;
(function(IpBuckets$2) {
  IpBuckets$2.inboundSchema = IpBuckets$inboundSchema;
  IpBuckets$2.outboundSchema = IpBuckets$outboundSchema;
})(IpBuckets$ || (IpBuckets$ = {}));
var AliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
var AliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
var AliasAssigned$;
(function(AliasAssigned$2) {
  AliasAssigned$2.inboundSchema = AliasAssigned$inboundSchema;
  AliasAssigned$2.outboundSchema = AliasAssigned$outboundSchema;
})(AliasAssigned$ || (AliasAssigned$ = {}));
var UpdateProjectDataCacheProjectsAliasError$inboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var UpdateProjectDataCacheProjectsAliasError$outboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var UpdateProjectDataCacheProjectsAliasError$;
(function(UpdateProjectDataCacheProjectsAliasError$2) {
  UpdateProjectDataCacheProjectsAliasError$2.inboundSchema = UpdateProjectDataCacheProjectsAliasError$inboundSchema;
  UpdateProjectDataCacheProjectsAliasError$2.outboundSchema = UpdateProjectDataCacheProjectsAliasError$outboundSchema;
})(UpdateProjectDataCacheProjectsAliasError$ || (UpdateProjectDataCacheProjectsAliasError$ = {}));
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsResponse200ApplicationJSONType);
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$inboundSchema;
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$;
(function(UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$2) {
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$2.inboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$inboundSchema;
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$2.outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$outboundSchema;
})(UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$ || (UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$ = {}));
var UpdateProjectDataCacheProjectsBranchMatcher$inboundSchema = objectType({
  type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$inboundSchema,
  pattern: stringType()
});
var UpdateProjectDataCacheProjectsBranchMatcher$outboundSchema = objectType({
  type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONType$outboundSchema,
  pattern: stringType()
});
var UpdateProjectDataCacheProjectsBranchMatcher$;
(function(UpdateProjectDataCacheProjectsBranchMatcher$2) {
  UpdateProjectDataCacheProjectsBranchMatcher$2.inboundSchema = UpdateProjectDataCacheProjectsBranchMatcher$inboundSchema;
  UpdateProjectDataCacheProjectsBranchMatcher$2.outboundSchema = UpdateProjectDataCacheProjectsBranchMatcher$outboundSchema;
})(UpdateProjectDataCacheProjectsBranchMatcher$ || (UpdateProjectDataCacheProjectsBranchMatcher$ = {}));
var UpdateProjectDataCacheProjectsBuilds$inboundSchema = objectType({
  use: stringType(),
  src: stringType().optional(),
  dest: stringType().optional()
});
var UpdateProjectDataCacheProjectsBuilds$outboundSchema = objectType({
  use: stringType(),
  src: stringType().optional(),
  dest: stringType().optional()
});
var UpdateProjectDataCacheProjectsBuilds$;
(function(UpdateProjectDataCacheProjectsBuilds$2) {
  UpdateProjectDataCacheProjectsBuilds$2.inboundSchema = UpdateProjectDataCacheProjectsBuilds$inboundSchema;
  UpdateProjectDataCacheProjectsBuilds$2.outboundSchema = UpdateProjectDataCacheProjectsBuilds$outboundSchema;
})(UpdateProjectDataCacheProjectsBuilds$ || (UpdateProjectDataCacheProjectsBuilds$ = {}));
var UpdateProjectDataCacheProjectsChecksConclusion$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsChecksConclusion);
var UpdateProjectDataCacheProjectsChecksConclusion$outboundSchema = UpdateProjectDataCacheProjectsChecksConclusion$inboundSchema;
var UpdateProjectDataCacheProjectsChecksConclusion$;
(function(UpdateProjectDataCacheProjectsChecksConclusion$2) {
  UpdateProjectDataCacheProjectsChecksConclusion$2.inboundSchema = UpdateProjectDataCacheProjectsChecksConclusion$inboundSchema;
  UpdateProjectDataCacheProjectsChecksConclusion$2.outboundSchema = UpdateProjectDataCacheProjectsChecksConclusion$outboundSchema;
})(UpdateProjectDataCacheProjectsChecksConclusion$ || (UpdateProjectDataCacheProjectsChecksConclusion$ = {}));
var UpdateProjectDataCacheProjectsChecksState$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsChecksState);
var UpdateProjectDataCacheProjectsChecksState$outboundSchema = UpdateProjectDataCacheProjectsChecksState$inboundSchema;
var UpdateProjectDataCacheProjectsChecksState$;
(function(UpdateProjectDataCacheProjectsChecksState$2) {
  UpdateProjectDataCacheProjectsChecksState$2.inboundSchema = UpdateProjectDataCacheProjectsChecksState$inboundSchema;
  UpdateProjectDataCacheProjectsChecksState$2.outboundSchema = UpdateProjectDataCacheProjectsChecksState$outboundSchema;
})(UpdateProjectDataCacheProjectsChecksState$ || (UpdateProjectDataCacheProjectsChecksState$ = {}));
var UpdateProjectDataCacheProjectsCreator$inboundSchema = objectType({
  email: stringType(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional(),
  uid: stringType(),
  username: stringType()
});
var UpdateProjectDataCacheProjectsCreator$outboundSchema = objectType({
  email: stringType(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional(),
  uid: stringType(),
  username: stringType()
});
var UpdateProjectDataCacheProjectsCreator$;
(function(UpdateProjectDataCacheProjectsCreator$2) {
  UpdateProjectDataCacheProjectsCreator$2.inboundSchema = UpdateProjectDataCacheProjectsCreator$inboundSchema;
  UpdateProjectDataCacheProjectsCreator$2.outboundSchema = UpdateProjectDataCacheProjectsCreator$outboundSchema;
})(UpdateProjectDataCacheProjectsCreator$ || (UpdateProjectDataCacheProjectsCreator$ = {}));
var UpdateProjectDataCacheProjectsOidcTokenClaims$inboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  owner_id: stringType(),
  project: stringType(),
  project_id: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    owner_id: "ownerId",
    project_id: "projectId"
  });
});
var UpdateProjectDataCacheProjectsOidcTokenClaims$outboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  ownerId: stringType(),
  project: stringType(),
  projectId: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    ownerId: "owner_id",
    projectId: "project_id"
  });
});
var UpdateProjectDataCacheProjectsOidcTokenClaims$;
(function(UpdateProjectDataCacheProjectsOidcTokenClaims$2) {
  UpdateProjectDataCacheProjectsOidcTokenClaims$2.inboundSchema = UpdateProjectDataCacheProjectsOidcTokenClaims$inboundSchema;
  UpdateProjectDataCacheProjectsOidcTokenClaims$2.outboundSchema = UpdateProjectDataCacheProjectsOidcTokenClaims$outboundSchema;
})(UpdateProjectDataCacheProjectsOidcTokenClaims$ || (UpdateProjectDataCacheProjectsOidcTokenClaims$ = {}));
var UpdateProjectDataCacheProjectsPlan$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsPlan);
var UpdateProjectDataCacheProjectsPlan$outboundSchema = UpdateProjectDataCacheProjectsPlan$inboundSchema;
var UpdateProjectDataCacheProjectsPlan$;
(function(UpdateProjectDataCacheProjectsPlan$2) {
  UpdateProjectDataCacheProjectsPlan$2.inboundSchema = UpdateProjectDataCacheProjectsPlan$inboundSchema;
  UpdateProjectDataCacheProjectsPlan$2.outboundSchema = UpdateProjectDataCacheProjectsPlan$outboundSchema;
})(UpdateProjectDataCacheProjectsPlan$ || (UpdateProjectDataCacheProjectsPlan$ = {}));
var UpdateProjectDataCacheProjectsReadyState$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsReadyState);
var UpdateProjectDataCacheProjectsReadyState$outboundSchema = UpdateProjectDataCacheProjectsReadyState$inboundSchema;
var UpdateProjectDataCacheProjectsReadyState$;
(function(UpdateProjectDataCacheProjectsReadyState$2) {
  UpdateProjectDataCacheProjectsReadyState$2.inboundSchema = UpdateProjectDataCacheProjectsReadyState$inboundSchema;
  UpdateProjectDataCacheProjectsReadyState$2.outboundSchema = UpdateProjectDataCacheProjectsReadyState$outboundSchema;
})(UpdateProjectDataCacheProjectsReadyState$ || (UpdateProjectDataCacheProjectsReadyState$ = {}));
var UpdateProjectDataCacheProjectsReadySubstate$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsReadySubstate);
var UpdateProjectDataCacheProjectsReadySubstate$outboundSchema = UpdateProjectDataCacheProjectsReadySubstate$inboundSchema;
var UpdateProjectDataCacheProjectsReadySubstate$;
(function(UpdateProjectDataCacheProjectsReadySubstate$2) {
  UpdateProjectDataCacheProjectsReadySubstate$2.inboundSchema = UpdateProjectDataCacheProjectsReadySubstate$inboundSchema;
  UpdateProjectDataCacheProjectsReadySubstate$2.outboundSchema = UpdateProjectDataCacheProjectsReadySubstate$outboundSchema;
})(UpdateProjectDataCacheProjectsReadySubstate$ || (UpdateProjectDataCacheProjectsReadySubstate$ = {}));
var UpdateProjectDataCacheType$inboundSchema = nativeEnumType(UpdateProjectDataCacheType);
var UpdateProjectDataCacheType$outboundSchema = UpdateProjectDataCacheType$inboundSchema;
var UpdateProjectDataCacheType$;
(function(UpdateProjectDataCacheType$2) {
  UpdateProjectDataCacheType$2.inboundSchema = UpdateProjectDataCacheType$inboundSchema;
  UpdateProjectDataCacheType$2.outboundSchema = UpdateProjectDataCacheType$outboundSchema;
})(UpdateProjectDataCacheType$ || (UpdateProjectDataCacheType$ = {}));
var LatestDeployments$inboundSchema = objectType({
  id: stringType(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  aliasError: nullableType(lazyType(() => UpdateProjectDataCacheProjectsAliasError$inboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  branchMatcher: lazyType(() => UpdateProjectDataCacheProjectsBranchMatcher$inboundSchema).optional(),
  buildingAt: numberType().optional(),
  builds: arrayType(lazyType(() => UpdateProjectDataCacheProjectsBuilds$inboundSchema)).optional(),
  checksConclusion: UpdateProjectDataCacheProjectsChecksConclusion$inboundSchema.optional(),
  checksState: UpdateProjectDataCacheProjectsChecksState$inboundSchema.optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdAt: numberType(),
  createdIn: stringType(),
  creator: nullableType(lazyType(() => UpdateProjectDataCacheProjectsCreator$inboundSchema)),
  deletedAt: numberType().optional(),
  deploymentHostname: stringType(),
  forced: booleanType().optional(),
  name: stringType(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  oidcTokenClaims: lazyType(() => UpdateProjectDataCacheProjectsOidcTokenClaims$inboundSchema).optional(),
  plan: UpdateProjectDataCacheProjectsPlan$inboundSchema,
  previewCommentsEnabled: booleanType().optional(),
  private: booleanType(),
  readyAt: numberType().optional(),
  readyState: UpdateProjectDataCacheProjectsReadyState$inboundSchema,
  readySubstate: UpdateProjectDataCacheProjectsReadySubstate$inboundSchema.optional(),
  requestedAt: numberType().optional(),
  target: nullableType(stringType()).optional(),
  teamId: nullableType(stringType()).optional(),
  type: UpdateProjectDataCacheType$inboundSchema,
  url: stringType(),
  userId: stringType(),
  withCache: booleanType().optional()
});
var LatestDeployments$outboundSchema = objectType({
  id: stringType(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  aliasError: nullableType(lazyType(() => UpdateProjectDataCacheProjectsAliasError$outboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  branchMatcher: lazyType(() => UpdateProjectDataCacheProjectsBranchMatcher$outboundSchema).optional(),
  buildingAt: numberType().optional(),
  builds: arrayType(lazyType(() => UpdateProjectDataCacheProjectsBuilds$outboundSchema)).optional(),
  checksConclusion: UpdateProjectDataCacheProjectsChecksConclusion$outboundSchema.optional(),
  checksState: UpdateProjectDataCacheProjectsChecksState$outboundSchema.optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdAt: numberType(),
  createdIn: stringType(),
  creator: nullableType(lazyType(() => UpdateProjectDataCacheProjectsCreator$outboundSchema)),
  deletedAt: numberType().optional(),
  deploymentHostname: stringType(),
  forced: booleanType().optional(),
  name: stringType(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  oidcTokenClaims: lazyType(() => UpdateProjectDataCacheProjectsOidcTokenClaims$outboundSchema).optional(),
  plan: UpdateProjectDataCacheProjectsPlan$outboundSchema,
  previewCommentsEnabled: booleanType().optional(),
  private: booleanType(),
  readyAt: numberType().optional(),
  readyState: UpdateProjectDataCacheProjectsReadyState$outboundSchema,
  readySubstate: UpdateProjectDataCacheProjectsReadySubstate$outboundSchema.optional(),
  requestedAt: numberType().optional(),
  target: nullableType(stringType()).optional(),
  teamId: nullableType(stringType()).optional(),
  type: UpdateProjectDataCacheType$outboundSchema,
  url: stringType(),
  userId: stringType(),
  withCache: booleanType().optional()
});
var LatestDeployments$;
(function(LatestDeployments$2) {
  LatestDeployments$2.inboundSchema = LatestDeployments$inboundSchema;
  LatestDeployments$2.outboundSchema = LatestDeployments$outboundSchema;
})(LatestDeployments$ || (LatestDeployments$ = {}));
var UpdateProjectDataCacheLinkProjectsType$inboundSchema = nativeEnumType(UpdateProjectDataCacheLinkProjectsType);
var UpdateProjectDataCacheLinkProjectsType$outboundSchema = UpdateProjectDataCacheLinkProjectsType$inboundSchema;
var UpdateProjectDataCacheLinkProjectsType$;
(function(UpdateProjectDataCacheLinkProjectsType$2) {
  UpdateProjectDataCacheLinkProjectsType$2.inboundSchema = UpdateProjectDataCacheLinkProjectsType$inboundSchema;
  UpdateProjectDataCacheLinkProjectsType$2.outboundSchema = UpdateProjectDataCacheLinkProjectsType$outboundSchema;
})(UpdateProjectDataCacheLinkProjectsType$ || (UpdateProjectDataCacheLinkProjectsType$ = {}));
var UpdateProjectDataCacheLinkDeployHooks$inboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var UpdateProjectDataCacheLinkDeployHooks$outboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var UpdateProjectDataCacheLinkDeployHooks$;
(function(UpdateProjectDataCacheLinkDeployHooks$2) {
  UpdateProjectDataCacheLinkDeployHooks$2.inboundSchema = UpdateProjectDataCacheLinkDeployHooks$inboundSchema;
  UpdateProjectDataCacheLinkDeployHooks$2.outboundSchema = UpdateProjectDataCacheLinkDeployHooks$outboundSchema;
})(UpdateProjectDataCacheLinkDeployHooks$ || (UpdateProjectDataCacheLinkDeployHooks$ = {}));
var Link3$inboundSchema = objectType({
  name: stringType().optional(),
  slug: stringType().optional(),
  owner: stringType().optional(),
  type: UpdateProjectDataCacheLinkProjectsType$inboundSchema.optional(),
  uuid: stringType().optional(),
  workspaceUuid: stringType().optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => UpdateProjectDataCacheLinkDeployHooks$inboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var Link3$outboundSchema = objectType({
  name: stringType().optional(),
  slug: stringType().optional(),
  owner: stringType().optional(),
  type: UpdateProjectDataCacheLinkProjectsType$outboundSchema.optional(),
  uuid: stringType().optional(),
  workspaceUuid: stringType().optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => UpdateProjectDataCacheLinkDeployHooks$outboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var Link3$;
(function(Link3$2) {
  Link3$2.inboundSchema = Link3$inboundSchema;
  Link3$2.outboundSchema = Link3$outboundSchema;
})(Link3$ || (Link3$ = {}));
var UpdateProjectDataCacheLinkType$inboundSchema = nativeEnumType(UpdateProjectDataCacheLinkType);
var UpdateProjectDataCacheLinkType$outboundSchema = UpdateProjectDataCacheLinkType$inboundSchema;
var UpdateProjectDataCacheLinkType$;
(function(UpdateProjectDataCacheLinkType$2) {
  UpdateProjectDataCacheLinkType$2.inboundSchema = UpdateProjectDataCacheLinkType$inboundSchema;
  UpdateProjectDataCacheLinkType$2.outboundSchema = UpdateProjectDataCacheLinkType$outboundSchema;
})(UpdateProjectDataCacheLinkType$ || (UpdateProjectDataCacheLinkType$ = {}));
var LinkDeployHooks$inboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var LinkDeployHooks$outboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var LinkDeployHooks$;
(function(LinkDeployHooks$2) {
  LinkDeployHooks$2.inboundSchema = LinkDeployHooks$inboundSchema;
  LinkDeployHooks$2.outboundSchema = LinkDeployHooks$outboundSchema;
})(LinkDeployHooks$ || (LinkDeployHooks$ = {}));
var Link2$inboundSchema = objectType({
  projectId: stringType().optional(),
  projectName: stringType().optional(),
  projectNameWithNamespace: stringType().optional(),
  projectNamespace: stringType().optional(),
  projectOwnerId: numberType().optional(),
  projectUrl: stringType().optional(),
  type: UpdateProjectDataCacheLinkType$inboundSchema.optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => LinkDeployHooks$inboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var Link2$outboundSchema = objectType({
  projectId: stringType().optional(),
  projectName: stringType().optional(),
  projectNameWithNamespace: stringType().optional(),
  projectNamespace: stringType().optional(),
  projectOwnerId: numberType().optional(),
  projectUrl: stringType().optional(),
  type: UpdateProjectDataCacheLinkType$outboundSchema.optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => LinkDeployHooks$outboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var Link2$;
(function(Link2$2) {
  Link2$2.inboundSchema = Link2$inboundSchema;
  Link2$2.outboundSchema = Link2$outboundSchema;
})(Link2$ || (Link2$ = {}));
var LinkType$inboundSchema = nativeEnumType(LinkType);
var LinkType$outboundSchema = LinkType$inboundSchema;
var LinkType$;
(function(LinkType$2) {
  LinkType$2.inboundSchema = LinkType$inboundSchema;
  LinkType$2.outboundSchema = LinkType$outboundSchema;
})(LinkType$ || (LinkType$ = {}));
var DeployHooks$inboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var DeployHooks$outboundSchema = objectType({
  createdAt: numberType().optional(),
  id: stringType(),
  name: stringType(),
  ref: stringType(),
  url: stringType()
});
var DeployHooks$;
(function(DeployHooks$2) {
  DeployHooks$2.inboundSchema = DeployHooks$inboundSchema;
  DeployHooks$2.outboundSchema = DeployHooks$outboundSchema;
})(DeployHooks$ || (DeployHooks$ = {}));
var Link1$inboundSchema = objectType({
  org: stringType().optional(),
  repoOwnerId: numberType().optional(),
  repo: stringType().optional(),
  repoId: numberType().optional(),
  type: LinkType$inboundSchema.optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => DeployHooks$inboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var Link1$outboundSchema = objectType({
  org: stringType().optional(),
  repoOwnerId: numberType().optional(),
  repo: stringType().optional(),
  repoId: numberType().optional(),
  type: LinkType$outboundSchema.optional(),
  createdAt: numberType().optional(),
  deployHooks: arrayType(lazyType(() => DeployHooks$outboundSchema)),
  gitCredentialId: stringType().optional(),
  updatedAt: numberType().optional(),
  sourceless: booleanType().optional(),
  productionBranch: stringType().optional()
});
var Link1$;
(function(Link1$2) {
  Link1$2.inboundSchema = Link1$inboundSchema;
  Link1$2.outboundSchema = Link1$outboundSchema;
})(Link1$ || (Link1$ = {}));
var Link$inboundSchema = unionType([
  lazyType(() => Link1$inboundSchema),
  lazyType(() => Link3$inboundSchema),
  lazyType(() => Link2$inboundSchema)
]);
var Link$outboundSchema = unionType([
  lazyType(() => Link1$outboundSchema),
  lazyType(() => Link3$outboundSchema),
  lazyType(() => Link2$outboundSchema)
]);
var Link$;
(function(Link$2) {
  Link$2.inboundSchema = Link$inboundSchema;
  Link$2.outboundSchema = Link$outboundSchema;
})(Link$ || (Link$ = {}));
var Microfrontends$inboundSchema = objectType({
  updatedAt: numberType(),
  groupIds: arrayType(stringType()),
  enabled: booleanType(),
  isDefaultApp: booleanType().optional(),
  defaultRoute: stringType().optional()
});
var Microfrontends$outboundSchema = objectType({
  updatedAt: numberType(),
  groupIds: arrayType(stringType()),
  enabled: booleanType(),
  isDefaultApp: booleanType().optional(),
  defaultRoute: stringType().optional()
});
var Microfrontends$;
(function(Microfrontends$2) {
  Microfrontends$2.inboundSchema = Microfrontends$inboundSchema;
  Microfrontends$2.outboundSchema = Microfrontends$outboundSchema;
})(Microfrontends$ || (Microfrontends$ = {}));
var UpdateProjectDataCacheNodeVersion$inboundSchema = nativeEnumType(UpdateProjectDataCacheNodeVersion);
var UpdateProjectDataCacheNodeVersion$outboundSchema = UpdateProjectDataCacheNodeVersion$inboundSchema;
var UpdateProjectDataCacheNodeVersion$;
(function(UpdateProjectDataCacheNodeVersion$2) {
  UpdateProjectDataCacheNodeVersion$2.inboundSchema = UpdateProjectDataCacheNodeVersion$inboundSchema;
  UpdateProjectDataCacheNodeVersion$2.outboundSchema = UpdateProjectDataCacheNodeVersion$outboundSchema;
})(UpdateProjectDataCacheNodeVersion$ || (UpdateProjectDataCacheNodeVersion$ = {}));
var UpdateProjectDataCachePaths$inboundSchema = objectType({
  value: stringType()
});
var UpdateProjectDataCachePaths$outboundSchema = objectType({
  value: stringType()
});
var UpdateProjectDataCachePaths$;
(function(UpdateProjectDataCachePaths$2) {
  UpdateProjectDataCachePaths$2.inboundSchema = UpdateProjectDataCachePaths$inboundSchema;
  UpdateProjectDataCachePaths$2.outboundSchema = UpdateProjectDataCachePaths$outboundSchema;
})(UpdateProjectDataCachePaths$ || (UpdateProjectDataCachePaths$ = {}));
var UpdateProjectDataCacheOptionsAllowlist$inboundSchema = objectType({
  paths: arrayType(lazyType(() => UpdateProjectDataCachePaths$inboundSchema))
});
var UpdateProjectDataCacheOptionsAllowlist$outboundSchema = objectType({
  paths: arrayType(lazyType(() => UpdateProjectDataCachePaths$outboundSchema))
});
var UpdateProjectDataCacheOptionsAllowlist$;
(function(UpdateProjectDataCacheOptionsAllowlist$2) {
  UpdateProjectDataCacheOptionsAllowlist$2.inboundSchema = UpdateProjectDataCacheOptionsAllowlist$inboundSchema;
  UpdateProjectDataCacheOptionsAllowlist$2.outboundSchema = UpdateProjectDataCacheOptionsAllowlist$outboundSchema;
})(UpdateProjectDataCacheOptionsAllowlist$ || (UpdateProjectDataCacheOptionsAllowlist$ = {}));
var UpdateProjectDataCachePasswordProtection$inboundSchema = objectType({});
var UpdateProjectDataCachePasswordProtection$outboundSchema = objectType({});
var UpdateProjectDataCachePasswordProtection$;
(function(UpdateProjectDataCachePasswordProtection$2) {
  UpdateProjectDataCachePasswordProtection$2.inboundSchema = UpdateProjectDataCachePasswordProtection$inboundSchema;
  UpdateProjectDataCachePasswordProtection$2.outboundSchema = UpdateProjectDataCachePasswordProtection$outboundSchema;
})(UpdateProjectDataCachePasswordProtection$ || (UpdateProjectDataCachePasswordProtection$ = {}));
var FunctionDefaultMemoryType$inboundSchema = nativeEnumType(FunctionDefaultMemoryType);
var FunctionDefaultMemoryType$outboundSchema = FunctionDefaultMemoryType$inboundSchema;
var FunctionDefaultMemoryType$;
(function(FunctionDefaultMemoryType$2) {
  FunctionDefaultMemoryType$2.inboundSchema = FunctionDefaultMemoryType$inboundSchema;
  FunctionDefaultMemoryType$2.outboundSchema = FunctionDefaultMemoryType$outboundSchema;
})(FunctionDefaultMemoryType$ || (FunctionDefaultMemoryType$ = {}));
var UpdateProjectDataCacheResourceConfig$inboundSchema = objectType({
  fluid: booleanType().optional(),
  functionDefaultRegion: nullableType(stringType()).optional(),
  functionDefaultTimeout: numberType().optional(),
  functionDefaultMemoryType: FunctionDefaultMemoryType$inboundSchema.optional(),
  functionZeroConfigFailover: booleanType().optional(),
  allowServerlessConcurrency: booleanType().optional(),
  elasticConcurrencyEnabled: booleanType().optional()
});
var UpdateProjectDataCacheResourceConfig$outboundSchema = objectType({
  fluid: booleanType().optional(),
  functionDefaultRegion: nullableType(stringType()).optional(),
  functionDefaultTimeout: numberType().optional(),
  functionDefaultMemoryType: FunctionDefaultMemoryType$outboundSchema.optional(),
  functionZeroConfigFailover: booleanType().optional(),
  allowServerlessConcurrency: booleanType().optional(),
  elasticConcurrencyEnabled: booleanType().optional()
});
var UpdateProjectDataCacheResourceConfig$;
(function(UpdateProjectDataCacheResourceConfig$2) {
  UpdateProjectDataCacheResourceConfig$2.inboundSchema = UpdateProjectDataCacheResourceConfig$inboundSchema;
  UpdateProjectDataCacheResourceConfig$2.outboundSchema = UpdateProjectDataCacheResourceConfig$outboundSchema;
})(UpdateProjectDataCacheResourceConfig$ || (UpdateProjectDataCacheResourceConfig$ = {}));
var UpdateProjectDataCacheDeploymentType$inboundSchema = nativeEnumType(UpdateProjectDataCacheDeploymentType);
var UpdateProjectDataCacheDeploymentType$outboundSchema = UpdateProjectDataCacheDeploymentType$inboundSchema;
var UpdateProjectDataCacheDeploymentType$;
(function(UpdateProjectDataCacheDeploymentType$2) {
  UpdateProjectDataCacheDeploymentType$2.inboundSchema = UpdateProjectDataCacheDeploymentType$inboundSchema;
  UpdateProjectDataCacheDeploymentType$2.outboundSchema = UpdateProjectDataCacheDeploymentType$outboundSchema;
})(UpdateProjectDataCacheDeploymentType$ || (UpdateProjectDataCacheDeploymentType$ = {}));
var UpdateProjectDataCacheSsoProtection$inboundSchema = objectType({
  deploymentType: UpdateProjectDataCacheDeploymentType$inboundSchema
});
var UpdateProjectDataCacheSsoProtection$outboundSchema = objectType({
  deploymentType: UpdateProjectDataCacheDeploymentType$outboundSchema
});
var UpdateProjectDataCacheSsoProtection$;
(function(UpdateProjectDataCacheSsoProtection$2) {
  UpdateProjectDataCacheSsoProtection$2.inboundSchema = UpdateProjectDataCacheSsoProtection$inboundSchema;
  UpdateProjectDataCacheSsoProtection$2.outboundSchema = UpdateProjectDataCacheSsoProtection$outboundSchema;
})(UpdateProjectDataCacheSsoProtection$ || (UpdateProjectDataCacheSsoProtection$ = {}));
var UpdateProjectDataCacheAliasAssigned$inboundSchema = unionType([numberType(), booleanType()]);
var UpdateProjectDataCacheAliasAssigned$outboundSchema = unionType([numberType(), booleanType()]);
var UpdateProjectDataCacheAliasAssigned$;
(function(UpdateProjectDataCacheAliasAssigned$2) {
  UpdateProjectDataCacheAliasAssigned$2.inboundSchema = UpdateProjectDataCacheAliasAssigned$inboundSchema;
  UpdateProjectDataCacheAliasAssigned$2.outboundSchema = UpdateProjectDataCacheAliasAssigned$outboundSchema;
})(UpdateProjectDataCacheAliasAssigned$ || (UpdateProjectDataCacheAliasAssigned$ = {}));
var UpdateProjectDataCacheAliasError$inboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var UpdateProjectDataCacheAliasError$outboundSchema = objectType({
  code: stringType(),
  message: stringType()
});
var UpdateProjectDataCacheAliasError$;
(function(UpdateProjectDataCacheAliasError$2) {
  UpdateProjectDataCacheAliasError$2.inboundSchema = UpdateProjectDataCacheAliasError$inboundSchema;
  UpdateProjectDataCacheAliasError$2.outboundSchema = UpdateProjectDataCacheAliasError$outboundSchema;
})(UpdateProjectDataCacheAliasError$ || (UpdateProjectDataCacheAliasError$ = {}));
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyTargetsType);
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyTargetsType$outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema;
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyTargetsType$;
(function(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyTargetsType$2) {
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyTargetsType$2.inboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema;
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyTargetsType$2.outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyTargetsType$outboundSchema;
})(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyTargetsType$ || (UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyTargetsType$ = {}));
var UpdateProjectDataCacheBranchMatcher$inboundSchema = objectType({
  type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyTargetsType$inboundSchema,
  pattern: stringType()
});
var UpdateProjectDataCacheBranchMatcher$outboundSchema = objectType({
  type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodyTargetsType$outboundSchema,
  pattern: stringType()
});
var UpdateProjectDataCacheBranchMatcher$;
(function(UpdateProjectDataCacheBranchMatcher$2) {
  UpdateProjectDataCacheBranchMatcher$2.inboundSchema = UpdateProjectDataCacheBranchMatcher$inboundSchema;
  UpdateProjectDataCacheBranchMatcher$2.outboundSchema = UpdateProjectDataCacheBranchMatcher$outboundSchema;
})(UpdateProjectDataCacheBranchMatcher$ || (UpdateProjectDataCacheBranchMatcher$ = {}));
var UpdateProjectDataCacheBuilds$inboundSchema = objectType({
  use: stringType(),
  src: stringType().optional(),
  dest: stringType().optional()
});
var UpdateProjectDataCacheBuilds$outboundSchema = objectType({
  use: stringType(),
  src: stringType().optional(),
  dest: stringType().optional()
});
var UpdateProjectDataCacheBuilds$;
(function(UpdateProjectDataCacheBuilds$2) {
  UpdateProjectDataCacheBuilds$2.inboundSchema = UpdateProjectDataCacheBuilds$inboundSchema;
  UpdateProjectDataCacheBuilds$2.outboundSchema = UpdateProjectDataCacheBuilds$outboundSchema;
})(UpdateProjectDataCacheBuilds$ || (UpdateProjectDataCacheBuilds$ = {}));
var UpdateProjectDataCacheChecksConclusion$inboundSchema = nativeEnumType(UpdateProjectDataCacheChecksConclusion);
var UpdateProjectDataCacheChecksConclusion$outboundSchema = UpdateProjectDataCacheChecksConclusion$inboundSchema;
var UpdateProjectDataCacheChecksConclusion$;
(function(UpdateProjectDataCacheChecksConclusion$2) {
  UpdateProjectDataCacheChecksConclusion$2.inboundSchema = UpdateProjectDataCacheChecksConclusion$inboundSchema;
  UpdateProjectDataCacheChecksConclusion$2.outboundSchema = UpdateProjectDataCacheChecksConclusion$outboundSchema;
})(UpdateProjectDataCacheChecksConclusion$ || (UpdateProjectDataCacheChecksConclusion$ = {}));
var UpdateProjectDataCacheChecksState$inboundSchema = nativeEnumType(UpdateProjectDataCacheChecksState);
var UpdateProjectDataCacheChecksState$outboundSchema = UpdateProjectDataCacheChecksState$inboundSchema;
var UpdateProjectDataCacheChecksState$;
(function(UpdateProjectDataCacheChecksState$2) {
  UpdateProjectDataCacheChecksState$2.inboundSchema = UpdateProjectDataCacheChecksState$inboundSchema;
  UpdateProjectDataCacheChecksState$2.outboundSchema = UpdateProjectDataCacheChecksState$outboundSchema;
})(UpdateProjectDataCacheChecksState$ || (UpdateProjectDataCacheChecksState$ = {}));
var UpdateProjectDataCacheCreator$inboundSchema = objectType({
  email: stringType(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional(),
  uid: stringType(),
  username: stringType()
});
var UpdateProjectDataCacheCreator$outboundSchema = objectType({
  email: stringType(),
  githubLogin: stringType().optional(),
  gitlabLogin: stringType().optional(),
  uid: stringType(),
  username: stringType()
});
var UpdateProjectDataCacheCreator$;
(function(UpdateProjectDataCacheCreator$2) {
  UpdateProjectDataCacheCreator$2.inboundSchema = UpdateProjectDataCacheCreator$inboundSchema;
  UpdateProjectDataCacheCreator$2.outboundSchema = UpdateProjectDataCacheCreator$outboundSchema;
})(UpdateProjectDataCacheCreator$ || (UpdateProjectDataCacheCreator$ = {}));
var UpdateProjectDataCacheOidcTokenClaims$inboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  owner_id: stringType(),
  project: stringType(),
  project_id: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    owner_id: "ownerId",
    project_id: "projectId"
  });
});
var UpdateProjectDataCacheOidcTokenClaims$outboundSchema = objectType({
  iss: stringType(),
  sub: stringType(),
  scope: stringType(),
  aud: stringType(),
  owner: stringType(),
  ownerId: stringType(),
  project: stringType(),
  projectId: stringType(),
  environment: stringType()
}).transform((v2) => {
  return remap(v2, {
    ownerId: "owner_id",
    projectId: "project_id"
  });
});
var UpdateProjectDataCacheOidcTokenClaims$;
(function(UpdateProjectDataCacheOidcTokenClaims$2) {
  UpdateProjectDataCacheOidcTokenClaims$2.inboundSchema = UpdateProjectDataCacheOidcTokenClaims$inboundSchema;
  UpdateProjectDataCacheOidcTokenClaims$2.outboundSchema = UpdateProjectDataCacheOidcTokenClaims$outboundSchema;
})(UpdateProjectDataCacheOidcTokenClaims$ || (UpdateProjectDataCacheOidcTokenClaims$ = {}));
var UpdateProjectDataCachePlan$inboundSchema = nativeEnumType(UpdateProjectDataCachePlan);
var UpdateProjectDataCachePlan$outboundSchema = UpdateProjectDataCachePlan$inboundSchema;
var UpdateProjectDataCachePlan$;
(function(UpdateProjectDataCachePlan$2) {
  UpdateProjectDataCachePlan$2.inboundSchema = UpdateProjectDataCachePlan$inboundSchema;
  UpdateProjectDataCachePlan$2.outboundSchema = UpdateProjectDataCachePlan$outboundSchema;
})(UpdateProjectDataCachePlan$ || (UpdateProjectDataCachePlan$ = {}));
var UpdateProjectDataCacheReadyState$inboundSchema = nativeEnumType(UpdateProjectDataCacheReadyState);
var UpdateProjectDataCacheReadyState$outboundSchema = UpdateProjectDataCacheReadyState$inboundSchema;
var UpdateProjectDataCacheReadyState$;
(function(UpdateProjectDataCacheReadyState$2) {
  UpdateProjectDataCacheReadyState$2.inboundSchema = UpdateProjectDataCacheReadyState$inboundSchema;
  UpdateProjectDataCacheReadyState$2.outboundSchema = UpdateProjectDataCacheReadyState$outboundSchema;
})(UpdateProjectDataCacheReadyState$ || (UpdateProjectDataCacheReadyState$ = {}));
var UpdateProjectDataCacheReadySubstate$inboundSchema = nativeEnumType(UpdateProjectDataCacheReadySubstate);
var UpdateProjectDataCacheReadySubstate$outboundSchema = UpdateProjectDataCacheReadySubstate$inboundSchema;
var UpdateProjectDataCacheReadySubstate$;
(function(UpdateProjectDataCacheReadySubstate$2) {
  UpdateProjectDataCacheReadySubstate$2.inboundSchema = UpdateProjectDataCacheReadySubstate$inboundSchema;
  UpdateProjectDataCacheReadySubstate$2.outboundSchema = UpdateProjectDataCacheReadySubstate$outboundSchema;
})(UpdateProjectDataCacheReadySubstate$ || (UpdateProjectDataCacheReadySubstate$ = {}));
var UpdateProjectDataCacheProjectsType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsType);
var UpdateProjectDataCacheProjectsType$outboundSchema = UpdateProjectDataCacheProjectsType$inboundSchema;
var UpdateProjectDataCacheProjectsType$;
(function(UpdateProjectDataCacheProjectsType$2) {
  UpdateProjectDataCacheProjectsType$2.inboundSchema = UpdateProjectDataCacheProjectsType$inboundSchema;
  UpdateProjectDataCacheProjectsType$2.outboundSchema = UpdateProjectDataCacheProjectsType$outboundSchema;
})(UpdateProjectDataCacheProjectsType$ || (UpdateProjectDataCacheProjectsType$ = {}));
var Targets$inboundSchema = objectType({
  id: stringType(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  aliasError: nullableType(lazyType(() => UpdateProjectDataCacheAliasError$inboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  branchMatcher: lazyType(() => UpdateProjectDataCacheBranchMatcher$inboundSchema).optional(),
  buildingAt: numberType().optional(),
  builds: arrayType(lazyType(() => UpdateProjectDataCacheBuilds$inboundSchema)).optional(),
  checksConclusion: UpdateProjectDataCacheChecksConclusion$inboundSchema.optional(),
  checksState: UpdateProjectDataCacheChecksState$inboundSchema.optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdAt: numberType(),
  createdIn: stringType(),
  creator: nullableType(lazyType(() => UpdateProjectDataCacheCreator$inboundSchema)),
  deletedAt: numberType().optional(),
  deploymentHostname: stringType(),
  forced: booleanType().optional(),
  name: stringType(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  oidcTokenClaims: lazyType(() => UpdateProjectDataCacheOidcTokenClaims$inboundSchema).optional(),
  plan: UpdateProjectDataCachePlan$inboundSchema,
  previewCommentsEnabled: booleanType().optional(),
  private: booleanType(),
  readyAt: numberType().optional(),
  readyState: UpdateProjectDataCacheReadyState$inboundSchema,
  readySubstate: UpdateProjectDataCacheReadySubstate$inboundSchema.optional(),
  requestedAt: numberType().optional(),
  target: nullableType(stringType()).optional(),
  teamId: nullableType(stringType()).optional(),
  type: UpdateProjectDataCacheProjectsType$inboundSchema,
  url: stringType(),
  userId: stringType(),
  withCache: booleanType().optional()
});
var Targets$outboundSchema = objectType({
  id: stringType(),
  alias: arrayType(stringType()).optional(),
  aliasAssigned: nullableType(unionType([numberType(), booleanType()])).optional(),
  aliasError: nullableType(lazyType(() => UpdateProjectDataCacheAliasError$outboundSchema)).optional(),
  aliasFinal: nullableType(stringType()).optional(),
  automaticAliases: arrayType(stringType()).optional(),
  branchMatcher: lazyType(() => UpdateProjectDataCacheBranchMatcher$outboundSchema).optional(),
  buildingAt: numberType().optional(),
  builds: arrayType(lazyType(() => UpdateProjectDataCacheBuilds$outboundSchema)).optional(),
  checksConclusion: UpdateProjectDataCacheChecksConclusion$outboundSchema.optional(),
  checksState: UpdateProjectDataCacheChecksState$outboundSchema.optional(),
  connectBuildsEnabled: booleanType().optional(),
  connectConfigurationId: stringType().optional(),
  createdAt: numberType(),
  createdIn: stringType(),
  creator: nullableType(lazyType(() => UpdateProjectDataCacheCreator$outboundSchema)),
  deletedAt: numberType().optional(),
  deploymentHostname: stringType(),
  forced: booleanType().optional(),
  name: stringType(),
  meta: recordType(stringType()).optional(),
  monorepoManager: nullableType(stringType()).optional(),
  oidcTokenClaims: lazyType(() => UpdateProjectDataCacheOidcTokenClaims$outboundSchema).optional(),
  plan: UpdateProjectDataCachePlan$outboundSchema,
  previewCommentsEnabled: booleanType().optional(),
  private: booleanType(),
  readyAt: numberType().optional(),
  readyState: UpdateProjectDataCacheReadyState$outboundSchema,
  readySubstate: UpdateProjectDataCacheReadySubstate$outboundSchema.optional(),
  requestedAt: numberType().optional(),
  target: nullableType(stringType()).optional(),
  teamId: nullableType(stringType()).optional(),
  type: UpdateProjectDataCacheProjectsType$outboundSchema,
  url: stringType(),
  userId: stringType(),
  withCache: booleanType().optional()
});
var Targets$;
(function(Targets$2) {
  Targets$2.inboundSchema = Targets$inboundSchema;
  Targets$2.outboundSchema = Targets$outboundSchema;
})(Targets$ || (Targets$ = {}));
var Permissions$inboundSchema = objectType({
  accessGroup: arrayType(ACLAction$inboundSchema).optional(),
  aliasGlobal: arrayType(ACLAction$inboundSchema).optional(),
  analyticsSampling: arrayType(ACLAction$inboundSchema).optional(),
  analyticsUsage: arrayType(ACLAction$inboundSchema).optional(),
  auditLog: arrayType(ACLAction$inboundSchema).optional(),
  billingAddress: arrayType(ACLAction$inboundSchema).optional(),
  billingInformation: arrayType(ACLAction$inboundSchema).optional(),
  billingInvoice: arrayType(ACLAction$inboundSchema).optional(),
  billingInvoiceEmailRecipient: arrayType(ACLAction$inboundSchema).optional(),
  billingInvoiceLanguage: arrayType(ACLAction$inboundSchema).optional(),
  billingPlan: arrayType(ACLAction$inboundSchema).optional(),
  billingPurchaseOrder: arrayType(ACLAction$inboundSchema).optional(),
  billingTaxId: arrayType(ACLAction$inboundSchema).optional(),
  blob: arrayType(ACLAction$inboundSchema).optional(),
  budget: arrayType(ACLAction$inboundSchema).optional(),
  cacheArtifact: arrayType(ACLAction$inboundSchema).optional(),
  cacheArtifactUsageEvent: arrayType(ACLAction$inboundSchema).optional(),
  codeChecks: arrayType(ACLAction$inboundSchema).optional(),
  concurrentBuilds: arrayType(ACLAction$inboundSchema).optional(),
  connect: arrayType(ACLAction$inboundSchema).optional(),
  connectConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  domain: arrayType(ACLAction$inboundSchema).optional(),
  domainAcceptDelegation: arrayType(ACLAction$inboundSchema).optional(),
  domainAuthCodes: arrayType(ACLAction$inboundSchema).optional(),
  domainCertificate: arrayType(ACLAction$inboundSchema).optional(),
  domainCheckConfig: arrayType(ACLAction$inboundSchema).optional(),
  domainMove: arrayType(ACLAction$inboundSchema).optional(),
  domainPurchase: arrayType(ACLAction$inboundSchema).optional(),
  domainRecord: arrayType(ACLAction$inboundSchema).optional(),
  domainTransferIn: arrayType(ACLAction$inboundSchema).optional(),
  event: arrayType(ACLAction$inboundSchema).optional(),
  ownEvent: arrayType(ACLAction$inboundSchema).optional(),
  sensitiveEnvironmentVariablePolicy: arrayType(ACLAction$inboundSchema).optional(),
  fileUpload: arrayType(ACLAction$inboundSchema).optional(),
  gitRepository: arrayType(ACLAction$inboundSchema).optional(),
  ipBlocking: arrayType(ACLAction$inboundSchema).optional(),
  integration: arrayType(ACLAction$inboundSchema).optional(),
  integrationAccount: arrayType(ACLAction$inboundSchema).optional(),
  integrationConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  integrationConfigurationTransfer: arrayType(ACLAction$inboundSchema).optional(),
  integrationConfigurationProjects: arrayType(ACLAction$inboundSchema).optional(),
  integrationVercelConfigurationOverride: arrayType(ACLAction$inboundSchema).optional(),
  integrationConfigurationRole: arrayType(ACLAction$inboundSchema).optional(),
  integrationResource: arrayType(ACLAction$inboundSchema).optional(),
  integrationEvent: arrayType(ACLAction$inboundSchema).optional(),
  integrationResourceSecrets: arrayType(ACLAction$inboundSchema).optional(),
  integrationDeploymentAction: arrayType(ACLAction$inboundSchema).optional(),
  marketplaceInstallationMember: arrayType(ACLAction$inboundSchema).optional(),
  marketplaceBillingData: arrayType(ACLAction$inboundSchema).optional(),
  marketplaceInvoice: arrayType(ACLAction$inboundSchema).optional(),
  jobGlobal: arrayType(ACLAction$inboundSchema).optional(),
  logDrain: arrayType(ACLAction$inboundSchema).optional(),
  Monitoring: arrayType(ACLAction$inboundSchema).optional(),
  monitoringSettings: arrayType(ACLAction$inboundSchema).optional(),
  monitoringQuery: arrayType(ACLAction$inboundSchema).optional(),
  monitoringChart: arrayType(ACLAction$inboundSchema).optional(),
  monitoringAlert: arrayType(ACLAction$inboundSchema).optional(),
  notificationDeploymentFailed: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainExpire: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainMoved: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainPurchase: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainRenewal: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainTransfer: arrayType(ACLAction$inboundSchema).optional(),
  notificationDomainUnverified: arrayType(ACLAction$inboundSchema).optional(),
  NotificationMonitoringAlert: arrayType(ACLAction$inboundSchema).optional(),
  notificationPaymentFailed: arrayType(ACLAction$inboundSchema).optional(),
  notificationUsageAlert: arrayType(ACLAction$inboundSchema).optional(),
  notificationCustomerBudget: arrayType(ACLAction$inboundSchema).optional(),
  notificationStatementOfReasons: arrayType(ACLAction$inboundSchema).optional(),
  oauth2Connection: arrayType(ACLAction$inboundSchema).optional(),
  observabilityConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  openTelemetryEndpoint: arrayType(ACLAction$inboundSchema).optional(),
  paymentMethod: arrayType(ACLAction$inboundSchema).optional(),
  permissions: arrayType(ACLAction$inboundSchema).optional(),
  postgres: arrayType(ACLAction$inboundSchema).optional(),
  previewDeploymentSuffix: arrayType(ACLAction$inboundSchema).optional(),
  proTrialOnboarding: arrayType(ACLAction$inboundSchema).optional(),
  sharedEnvVars: arrayType(ACLAction$inboundSchema).optional(),
  sharedEnvVarsProduction: arrayType(ACLAction$inboundSchema).optional(),
  space: arrayType(ACLAction$inboundSchema).optional(),
  spaceRun: arrayType(ACLAction$inboundSchema).optional(),
  passwordProtectionInvoiceItem: arrayType(ACLAction$inboundSchema).optional(),
  rateLimit: arrayType(ACLAction$inboundSchema).optional(),
  redis: arrayType(ACLAction$inboundSchema).optional(),
  repository: arrayType(ACLAction$inboundSchema).optional(),
  remoteCaching: arrayType(ACLAction$inboundSchema).optional(),
  samlConfig: arrayType(ACLAction$inboundSchema).optional(),
  secret: arrayType(ACLAction$inboundSchema).optional(),
  redisStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
  blobStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
  postgresStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
  integrationStoreTokenSet: arrayType(ACLAction$inboundSchema).optional(),
  integrationResourceReplCommand: arrayType(ACLAction$inboundSchema).optional(),
  storeTransfer: arrayType(ACLAction$inboundSchema).optional(),
  supportCase: arrayType(ACLAction$inboundSchema).optional(),
  supportCaseComment: arrayType(ACLAction$inboundSchema).optional(),
  dataCacheBillingSettings: arrayType(ACLAction$inboundSchema).optional(),
  team: arrayType(ACLAction$inboundSchema).optional(),
  teamAccessRequest: arrayType(ACLAction$inboundSchema).optional(),
  teamFellowMembership: arrayType(ACLAction$inboundSchema).optional(),
  teamGitExclusivity: arrayType(ACLAction$inboundSchema).optional(),
  teamInvite: arrayType(ACLAction$inboundSchema).optional(),
  teamInviteCode: arrayType(ACLAction$inboundSchema).optional(),
  teamJoin: arrayType(ACLAction$inboundSchema).optional(),
  teamMicrofrontends: arrayType(ACLAction$inboundSchema).optional(),
  teamOwnMembership: arrayType(ACLAction$inboundSchema).optional(),
  teamOwnMembershipDisconnectSAML: arrayType(ACLAction$inboundSchema).optional(),
  token: arrayType(ACLAction$inboundSchema).optional(),
  usage: arrayType(ACLAction$inboundSchema).optional(),
  usageCycle: arrayType(ACLAction$inboundSchema).optional(),
  user: arrayType(ACLAction$inboundSchema).optional(),
  userConnection: arrayType(ACLAction$inboundSchema).optional(),
  vpcPeeringConnection: arrayType(ACLAction$inboundSchema).optional(),
  webAnalyticsPlan: arrayType(ACLAction$inboundSchema).optional(),
  webAuthn: arrayType(ACLAction$inboundSchema).optional(),
  edgeConfig: arrayType(ACLAction$inboundSchema).optional(),
  edgeConfigItem: arrayType(ACLAction$inboundSchema).optional(),
  edgeConfigSchema: arrayType(ACLAction$inboundSchema).optional(),
  edgeConfigToken: arrayType(ACLAction$inboundSchema).optional(),
  webhook: arrayType(ACLAction$inboundSchema).optional(),
  "webhook-event": arrayType(ACLAction$inboundSchema).optional(),
  endpointVerification: arrayType(ACLAction$inboundSchema).optional(),
  projectTransferIn: arrayType(ACLAction$inboundSchema).optional(),
  oauth2Application: arrayType(ACLAction$inboundSchema).optional(),
  aliasProject: arrayType(ACLAction$inboundSchema).optional(),
  aliasProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
  productionAliasProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
  connectConfigurationLink: arrayType(ACLAction$inboundSchema).optional(),
  dataCacheNamespace: arrayType(ACLAction$inboundSchema).optional(),
  deployment: arrayType(ACLAction$inboundSchema).optional(),
  deploymentCheck: arrayType(ACLAction$inboundSchema).optional(),
  deploymentCheckPreview: arrayType(ACLAction$inboundSchema).optional(),
  deploymentCheckReRunFromProductionBranch: arrayType(ACLAction$inboundSchema).optional(),
  deploymentProductionGit: arrayType(ACLAction$inboundSchema).optional(),
  deploymentV0: arrayType(ACLAction$inboundSchema).optional(),
  deploymentPreview: arrayType(ACLAction$inboundSchema).optional(),
  deploymentPrivate: arrayType(ACLAction$inboundSchema).optional(),
  deploymentPromote: arrayType(ACLAction$inboundSchema).optional(),
  deploymentRollback: arrayType(ACLAction$inboundSchema).optional(),
  environments: arrayType(ACLAction$inboundSchema).optional(),
  logs: arrayType(ACLAction$inboundSchema).optional(),
  logsPreset: arrayType(ACLAction$inboundSchema).optional(),
  passwordProtection: arrayType(ACLAction$inboundSchema).optional(),
  optionsAllowlist: arrayType(ACLAction$inboundSchema).optional(),
  job: arrayType(ACLAction$inboundSchema).optional(),
  observabilityData: arrayType(ACLAction$inboundSchema).optional(),
  project: arrayType(ACLAction$inboundSchema).optional(),
  projectFromV0: arrayType(ACLAction$inboundSchema).optional(),
  projectAccessGroup: arrayType(ACLAction$inboundSchema).optional(),
  projectAnalyticsSampling: arrayType(ACLAction$inboundSchema).optional(),
  projectDeploymentHook: arrayType(ACLAction$inboundSchema).optional(),
  projectDomain: arrayType(ACLAction$inboundSchema).optional(),
  projectDomainMove: arrayType(ACLAction$inboundSchema).optional(),
  projectDomainCheckConfig: arrayType(ACLAction$inboundSchema).optional(),
  projectEnvVars: arrayType(ACLAction$inboundSchema).optional(),
  projectEnvVarsProduction: arrayType(ACLAction$inboundSchema).optional(),
  projectEnvVarsUnownedByIntegration: arrayType(ACLAction$inboundSchema).optional(),
  projectFlags: arrayType(ACLAction$inboundSchema).optional(),
  projectId: arrayType(ACLAction$inboundSchema).optional(),
  projectIntegrationConfiguration: arrayType(ACLAction$inboundSchema).optional(),
  projectLink: arrayType(ACLAction$inboundSchema).optional(),
  projectMember: arrayType(ACLAction$inboundSchema).optional(),
  projectMonitoring: arrayType(ACLAction$inboundSchema).optional(),
  projectPermissions: arrayType(ACLAction$inboundSchema).optional(),
  projectProductionBranch: arrayType(ACLAction$inboundSchema).optional(),
  projectTransfer: arrayType(ACLAction$inboundSchema).optional(),
  projectTransferOut: arrayType(ACLAction$inboundSchema).optional(),
  projectProtectionBypass: arrayType(ACLAction$inboundSchema).optional(),
  projectUsage: arrayType(ACLAction$inboundSchema).optional(),
  projectAnalyticsUsage: arrayType(ACLAction$inboundSchema).optional(),
  projectSupportCase: arrayType(ACLAction$inboundSchema).optional(),
  projectSupportCaseComment: arrayType(ACLAction$inboundSchema).optional(),
  projectDeploymentExpiration: arrayType(ACLAction$inboundSchema).optional(),
  projectTier: arrayType(ACLAction$inboundSchema).optional(),
  seawallConfig: arrayType(ACLAction$inboundSchema).optional(),
  skewProtection: arrayType(ACLAction$inboundSchema).optional(),
  analytics: arrayType(ACLAction$inboundSchema).optional(),
  trustedIps: arrayType(ACLAction$inboundSchema).optional(),
  webAnalytics: arrayType(ACLAction$inboundSchema).optional(),
  sharedEnvVarConnection: arrayType(ACLAction$inboundSchema).optional(),
  sonar: arrayType(ACLAction$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    Monitoring: "monitoring",
    NotificationMonitoringAlert: "notificationMonitoringAlert",
    "webhook-event": "webhookEvent"
  });
});
var Permissions$outboundSchema = objectType({
  accessGroup: arrayType(ACLAction$outboundSchema).optional(),
  aliasGlobal: arrayType(ACLAction$outboundSchema).optional(),
  analyticsSampling: arrayType(ACLAction$outboundSchema).optional(),
  analyticsUsage: arrayType(ACLAction$outboundSchema).optional(),
  auditLog: arrayType(ACLAction$outboundSchema).optional(),
  billingAddress: arrayType(ACLAction$outboundSchema).optional(),
  billingInformation: arrayType(ACLAction$outboundSchema).optional(),
  billingInvoice: arrayType(ACLAction$outboundSchema).optional(),
  billingInvoiceEmailRecipient: arrayType(ACLAction$outboundSchema).optional(),
  billingInvoiceLanguage: arrayType(ACLAction$outboundSchema).optional(),
  billingPlan: arrayType(ACLAction$outboundSchema).optional(),
  billingPurchaseOrder: arrayType(ACLAction$outboundSchema).optional(),
  billingTaxId: arrayType(ACLAction$outboundSchema).optional(),
  blob: arrayType(ACLAction$outboundSchema).optional(),
  budget: arrayType(ACLAction$outboundSchema).optional(),
  cacheArtifact: arrayType(ACLAction$outboundSchema).optional(),
  cacheArtifactUsageEvent: arrayType(ACLAction$outboundSchema).optional(),
  codeChecks: arrayType(ACLAction$outboundSchema).optional(),
  concurrentBuilds: arrayType(ACLAction$outboundSchema).optional(),
  connect: arrayType(ACLAction$outboundSchema).optional(),
  connectConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  domain: arrayType(ACLAction$outboundSchema).optional(),
  domainAcceptDelegation: arrayType(ACLAction$outboundSchema).optional(),
  domainAuthCodes: arrayType(ACLAction$outboundSchema).optional(),
  domainCertificate: arrayType(ACLAction$outboundSchema).optional(),
  domainCheckConfig: arrayType(ACLAction$outboundSchema).optional(),
  domainMove: arrayType(ACLAction$outboundSchema).optional(),
  domainPurchase: arrayType(ACLAction$outboundSchema).optional(),
  domainRecord: arrayType(ACLAction$outboundSchema).optional(),
  domainTransferIn: arrayType(ACLAction$outboundSchema).optional(),
  event: arrayType(ACLAction$outboundSchema).optional(),
  ownEvent: arrayType(ACLAction$outboundSchema).optional(),
  sensitiveEnvironmentVariablePolicy: arrayType(ACLAction$outboundSchema).optional(),
  fileUpload: arrayType(ACLAction$outboundSchema).optional(),
  gitRepository: arrayType(ACLAction$outboundSchema).optional(),
  ipBlocking: arrayType(ACLAction$outboundSchema).optional(),
  integration: arrayType(ACLAction$outboundSchema).optional(),
  integrationAccount: arrayType(ACLAction$outboundSchema).optional(),
  integrationConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  integrationConfigurationTransfer: arrayType(ACLAction$outboundSchema).optional(),
  integrationConfigurationProjects: arrayType(ACLAction$outboundSchema).optional(),
  integrationVercelConfigurationOverride: arrayType(ACLAction$outboundSchema).optional(),
  integrationConfigurationRole: arrayType(ACLAction$outboundSchema).optional(),
  integrationResource: arrayType(ACLAction$outboundSchema).optional(),
  integrationEvent: arrayType(ACLAction$outboundSchema).optional(),
  integrationResourceSecrets: arrayType(ACLAction$outboundSchema).optional(),
  integrationDeploymentAction: arrayType(ACLAction$outboundSchema).optional(),
  marketplaceInstallationMember: arrayType(ACLAction$outboundSchema).optional(),
  marketplaceBillingData: arrayType(ACLAction$outboundSchema).optional(),
  marketplaceInvoice: arrayType(ACLAction$outboundSchema).optional(),
  jobGlobal: arrayType(ACLAction$outboundSchema).optional(),
  logDrain: arrayType(ACLAction$outboundSchema).optional(),
  monitoring: arrayType(ACLAction$outboundSchema).optional(),
  monitoringSettings: arrayType(ACLAction$outboundSchema).optional(),
  monitoringQuery: arrayType(ACLAction$outboundSchema).optional(),
  monitoringChart: arrayType(ACLAction$outboundSchema).optional(),
  monitoringAlert: arrayType(ACLAction$outboundSchema).optional(),
  notificationDeploymentFailed: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainExpire: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainMoved: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainPurchase: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainRenewal: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainTransfer: arrayType(ACLAction$outboundSchema).optional(),
  notificationDomainUnverified: arrayType(ACLAction$outboundSchema).optional(),
  notificationMonitoringAlert: arrayType(ACLAction$outboundSchema).optional(),
  notificationPaymentFailed: arrayType(ACLAction$outboundSchema).optional(),
  notificationUsageAlert: arrayType(ACLAction$outboundSchema).optional(),
  notificationCustomerBudget: arrayType(ACLAction$outboundSchema).optional(),
  notificationStatementOfReasons: arrayType(ACLAction$outboundSchema).optional(),
  oauth2Connection: arrayType(ACLAction$outboundSchema).optional(),
  observabilityConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  openTelemetryEndpoint: arrayType(ACLAction$outboundSchema).optional(),
  paymentMethod: arrayType(ACLAction$outboundSchema).optional(),
  permissions: arrayType(ACLAction$outboundSchema).optional(),
  postgres: arrayType(ACLAction$outboundSchema).optional(),
  previewDeploymentSuffix: arrayType(ACLAction$outboundSchema).optional(),
  proTrialOnboarding: arrayType(ACLAction$outboundSchema).optional(),
  sharedEnvVars: arrayType(ACLAction$outboundSchema).optional(),
  sharedEnvVarsProduction: arrayType(ACLAction$outboundSchema).optional(),
  space: arrayType(ACLAction$outboundSchema).optional(),
  spaceRun: arrayType(ACLAction$outboundSchema).optional(),
  passwordProtectionInvoiceItem: arrayType(ACLAction$outboundSchema).optional(),
  rateLimit: arrayType(ACLAction$outboundSchema).optional(),
  redis: arrayType(ACLAction$outboundSchema).optional(),
  repository: arrayType(ACLAction$outboundSchema).optional(),
  remoteCaching: arrayType(ACLAction$outboundSchema).optional(),
  samlConfig: arrayType(ACLAction$outboundSchema).optional(),
  secret: arrayType(ACLAction$outboundSchema).optional(),
  redisStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
  blobStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
  postgresStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
  integrationStoreTokenSet: arrayType(ACLAction$outboundSchema).optional(),
  integrationResourceReplCommand: arrayType(ACLAction$outboundSchema).optional(),
  storeTransfer: arrayType(ACLAction$outboundSchema).optional(),
  supportCase: arrayType(ACLAction$outboundSchema).optional(),
  supportCaseComment: arrayType(ACLAction$outboundSchema).optional(),
  dataCacheBillingSettings: arrayType(ACLAction$outboundSchema).optional(),
  team: arrayType(ACLAction$outboundSchema).optional(),
  teamAccessRequest: arrayType(ACLAction$outboundSchema).optional(),
  teamFellowMembership: arrayType(ACLAction$outboundSchema).optional(),
  teamGitExclusivity: arrayType(ACLAction$outboundSchema).optional(),
  teamInvite: arrayType(ACLAction$outboundSchema).optional(),
  teamInviteCode: arrayType(ACLAction$outboundSchema).optional(),
  teamJoin: arrayType(ACLAction$outboundSchema).optional(),
  teamMicrofrontends: arrayType(ACLAction$outboundSchema).optional(),
  teamOwnMembership: arrayType(ACLAction$outboundSchema).optional(),
  teamOwnMembershipDisconnectSAML: arrayType(ACLAction$outboundSchema).optional(),
  token: arrayType(ACLAction$outboundSchema).optional(),
  usage: arrayType(ACLAction$outboundSchema).optional(),
  usageCycle: arrayType(ACLAction$outboundSchema).optional(),
  user: arrayType(ACLAction$outboundSchema).optional(),
  userConnection: arrayType(ACLAction$outboundSchema).optional(),
  vpcPeeringConnection: arrayType(ACLAction$outboundSchema).optional(),
  webAnalyticsPlan: arrayType(ACLAction$outboundSchema).optional(),
  webAuthn: arrayType(ACLAction$outboundSchema).optional(),
  edgeConfig: arrayType(ACLAction$outboundSchema).optional(),
  edgeConfigItem: arrayType(ACLAction$outboundSchema).optional(),
  edgeConfigSchema: arrayType(ACLAction$outboundSchema).optional(),
  edgeConfigToken: arrayType(ACLAction$outboundSchema).optional(),
  webhook: arrayType(ACLAction$outboundSchema).optional(),
  webhookEvent: arrayType(ACLAction$outboundSchema).optional(),
  endpointVerification: arrayType(ACLAction$outboundSchema).optional(),
  projectTransferIn: arrayType(ACLAction$outboundSchema).optional(),
  oauth2Application: arrayType(ACLAction$outboundSchema).optional(),
  aliasProject: arrayType(ACLAction$outboundSchema).optional(),
  aliasProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
  productionAliasProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
  connectConfigurationLink: arrayType(ACLAction$outboundSchema).optional(),
  dataCacheNamespace: arrayType(ACLAction$outboundSchema).optional(),
  deployment: arrayType(ACLAction$outboundSchema).optional(),
  deploymentCheck: arrayType(ACLAction$outboundSchema).optional(),
  deploymentCheckPreview: arrayType(ACLAction$outboundSchema).optional(),
  deploymentCheckReRunFromProductionBranch: arrayType(ACLAction$outboundSchema).optional(),
  deploymentProductionGit: arrayType(ACLAction$outboundSchema).optional(),
  deploymentV0: arrayType(ACLAction$outboundSchema).optional(),
  deploymentPreview: arrayType(ACLAction$outboundSchema).optional(),
  deploymentPrivate: arrayType(ACLAction$outboundSchema).optional(),
  deploymentPromote: arrayType(ACLAction$outboundSchema).optional(),
  deploymentRollback: arrayType(ACLAction$outboundSchema).optional(),
  environments: arrayType(ACLAction$outboundSchema).optional(),
  logs: arrayType(ACLAction$outboundSchema).optional(),
  logsPreset: arrayType(ACLAction$outboundSchema).optional(),
  passwordProtection: arrayType(ACLAction$outboundSchema).optional(),
  optionsAllowlist: arrayType(ACLAction$outboundSchema).optional(),
  job: arrayType(ACLAction$outboundSchema).optional(),
  observabilityData: arrayType(ACLAction$outboundSchema).optional(),
  project: arrayType(ACLAction$outboundSchema).optional(),
  projectFromV0: arrayType(ACLAction$outboundSchema).optional(),
  projectAccessGroup: arrayType(ACLAction$outboundSchema).optional(),
  projectAnalyticsSampling: arrayType(ACLAction$outboundSchema).optional(),
  projectDeploymentHook: arrayType(ACLAction$outboundSchema).optional(),
  projectDomain: arrayType(ACLAction$outboundSchema).optional(),
  projectDomainMove: arrayType(ACLAction$outboundSchema).optional(),
  projectDomainCheckConfig: arrayType(ACLAction$outboundSchema).optional(),
  projectEnvVars: arrayType(ACLAction$outboundSchema).optional(),
  projectEnvVarsProduction: arrayType(ACLAction$outboundSchema).optional(),
  projectEnvVarsUnownedByIntegration: arrayType(ACLAction$outboundSchema).optional(),
  projectFlags: arrayType(ACLAction$outboundSchema).optional(),
  projectId: arrayType(ACLAction$outboundSchema).optional(),
  projectIntegrationConfiguration: arrayType(ACLAction$outboundSchema).optional(),
  projectLink: arrayType(ACLAction$outboundSchema).optional(),
  projectMember: arrayType(ACLAction$outboundSchema).optional(),
  projectMonitoring: arrayType(ACLAction$outboundSchema).optional(),
  projectPermissions: arrayType(ACLAction$outboundSchema).optional(),
  projectProductionBranch: arrayType(ACLAction$outboundSchema).optional(),
  projectTransfer: arrayType(ACLAction$outboundSchema).optional(),
  projectTransferOut: arrayType(ACLAction$outboundSchema).optional(),
  projectProtectionBypass: arrayType(ACLAction$outboundSchema).optional(),
  projectUsage: arrayType(ACLAction$outboundSchema).optional(),
  projectAnalyticsUsage: arrayType(ACLAction$outboundSchema).optional(),
  projectSupportCase: arrayType(ACLAction$outboundSchema).optional(),
  projectSupportCaseComment: arrayType(ACLAction$outboundSchema).optional(),
  projectDeploymentExpiration: arrayType(ACLAction$outboundSchema).optional(),
  projectTier: arrayType(ACLAction$outboundSchema).optional(),
  seawallConfig: arrayType(ACLAction$outboundSchema).optional(),
  skewProtection: arrayType(ACLAction$outboundSchema).optional(),
  analytics: arrayType(ACLAction$outboundSchema).optional(),
  trustedIps: arrayType(ACLAction$outboundSchema).optional(),
  webAnalytics: arrayType(ACLAction$outboundSchema).optional(),
  sharedEnvVarConnection: arrayType(ACLAction$outboundSchema).optional(),
  sonar: arrayType(ACLAction$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    monitoring: "Monitoring",
    notificationMonitoringAlert: "NotificationMonitoringAlert",
    webhookEvent: "webhook-event"
  });
});
var Permissions$;
(function(Permissions$2) {
  Permissions$2.inboundSchema = Permissions$inboundSchema;
  Permissions$2.outboundSchema = Permissions$outboundSchema;
})(Permissions$ || (Permissions$ = {}));
var LastRollbackTarget$inboundSchema = objectType({});
var LastRollbackTarget$outboundSchema = objectType({});
var LastRollbackTarget$;
(function(LastRollbackTarget$2) {
  LastRollbackTarget$2.inboundSchema = LastRollbackTarget$inboundSchema;
  LastRollbackTarget$2.outboundSchema = LastRollbackTarget$outboundSchema;
})(LastRollbackTarget$ || (LastRollbackTarget$ = {}));
var JobStatus$inboundSchema = nativeEnumType(JobStatus);
var JobStatus$outboundSchema = JobStatus$inboundSchema;
var JobStatus$;
(function(JobStatus$2) {
  JobStatus$2.inboundSchema = JobStatus$inboundSchema;
  JobStatus$2.outboundSchema = JobStatus$outboundSchema;
})(JobStatus$ || (JobStatus$ = {}));
var UpdateProjectDataCacheProjectsResponseType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsResponseType);
var UpdateProjectDataCacheProjectsResponseType$outboundSchema = UpdateProjectDataCacheProjectsResponseType$inboundSchema;
var UpdateProjectDataCacheProjectsResponseType$;
(function(UpdateProjectDataCacheProjectsResponseType$2) {
  UpdateProjectDataCacheProjectsResponseType$2.inboundSchema = UpdateProjectDataCacheProjectsResponseType$inboundSchema;
  UpdateProjectDataCacheProjectsResponseType$2.outboundSchema = UpdateProjectDataCacheProjectsResponseType$outboundSchema;
})(UpdateProjectDataCacheProjectsResponseType$ || (UpdateProjectDataCacheProjectsResponseType$ = {}));
var LastAliasRequest$inboundSchema = objectType({
  fromDeploymentId: stringType(),
  toDeploymentId: stringType(),
  jobStatus: JobStatus$inboundSchema,
  requestedAt: numberType(),
  type: UpdateProjectDataCacheProjectsResponseType$inboundSchema
});
var LastAliasRequest$outboundSchema = objectType({
  fromDeploymentId: stringType(),
  toDeploymentId: stringType(),
  jobStatus: JobStatus$outboundSchema,
  requestedAt: numberType(),
  type: UpdateProjectDataCacheProjectsResponseType$outboundSchema
});
var LastAliasRequest$;
(function(LastAliasRequest$2) {
  LastAliasRequest$2.inboundSchema = LastAliasRequest$inboundSchema;
  LastAliasRequest$2.outboundSchema = LastAliasRequest$outboundSchema;
})(LastAliasRequest$ || (LastAliasRequest$ = {}));
var Scope$inboundSchema = nativeEnumType(Scope);
var Scope$outboundSchema = Scope$inboundSchema;
var Scope$;
(function(Scope$2) {
  Scope$2.inboundSchema = Scope$inboundSchema;
  Scope$2.outboundSchema = Scope$outboundSchema;
})(Scope$ || (Scope$ = {}));
var ProtectionBypass$inboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: Scope$inboundSchema
});
var ProtectionBypass$outboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: Scope$outboundSchema
});
var ProtectionBypass$;
(function(ProtectionBypass$2) {
  ProtectionBypass$2.inboundSchema = ProtectionBypass$inboundSchema;
  ProtectionBypass$2.outboundSchema = ProtectionBypass$outboundSchema;
})(ProtectionBypass$ || (ProtectionBypass$ = {}));
var UpdateProjectDataCacheTrustedIpsDeploymentType$inboundSchema = nativeEnumType(UpdateProjectDataCacheTrustedIpsDeploymentType);
var UpdateProjectDataCacheTrustedIpsDeploymentType$outboundSchema = UpdateProjectDataCacheTrustedIpsDeploymentType$inboundSchema;
var UpdateProjectDataCacheTrustedIpsDeploymentType$;
(function(UpdateProjectDataCacheTrustedIpsDeploymentType$2) {
  UpdateProjectDataCacheTrustedIpsDeploymentType$2.inboundSchema = UpdateProjectDataCacheTrustedIpsDeploymentType$inboundSchema;
  UpdateProjectDataCacheTrustedIpsDeploymentType$2.outboundSchema = UpdateProjectDataCacheTrustedIpsDeploymentType$outboundSchema;
})(UpdateProjectDataCacheTrustedIpsDeploymentType$ || (UpdateProjectDataCacheTrustedIpsDeploymentType$ = {}));
var TrustedIps2$inboundSchema = objectType({
  deploymentType: UpdateProjectDataCacheTrustedIpsDeploymentType$inboundSchema
});
var TrustedIps2$outboundSchema = objectType({
  deploymentType: UpdateProjectDataCacheTrustedIpsDeploymentType$outboundSchema
});
var TrustedIps2$;
(function(TrustedIps2$2) {
  TrustedIps2$2.inboundSchema = TrustedIps2$inboundSchema;
  TrustedIps2$2.outboundSchema = TrustedIps2$outboundSchema;
})(TrustedIps2$ || (TrustedIps2$ = {}));
var TrustedIpsDeploymentType$inboundSchema = nativeEnumType(TrustedIpsDeploymentType);
var TrustedIpsDeploymentType$outboundSchema = TrustedIpsDeploymentType$inboundSchema;
var TrustedIpsDeploymentType$;
(function(TrustedIpsDeploymentType$2) {
  TrustedIpsDeploymentType$2.inboundSchema = TrustedIpsDeploymentType$inboundSchema;
  TrustedIpsDeploymentType$2.outboundSchema = TrustedIpsDeploymentType$outboundSchema;
})(TrustedIpsDeploymentType$ || (TrustedIpsDeploymentType$ = {}));
var UpdateProjectDataCacheTrustedIpsAddresses$inboundSchema = objectType({
  value: stringType(),
  note: stringType().optional()
});
var UpdateProjectDataCacheTrustedIpsAddresses$outboundSchema = objectType({
  value: stringType(),
  note: stringType().optional()
});
var UpdateProjectDataCacheTrustedIpsAddresses$;
(function(UpdateProjectDataCacheTrustedIpsAddresses$2) {
  UpdateProjectDataCacheTrustedIpsAddresses$2.inboundSchema = UpdateProjectDataCacheTrustedIpsAddresses$inboundSchema;
  UpdateProjectDataCacheTrustedIpsAddresses$2.outboundSchema = UpdateProjectDataCacheTrustedIpsAddresses$outboundSchema;
})(UpdateProjectDataCacheTrustedIpsAddresses$ || (UpdateProjectDataCacheTrustedIpsAddresses$ = {}));
var UpdateProjectDataCacheTrustedIpsProtectionMode$inboundSchema = nativeEnumType(UpdateProjectDataCacheTrustedIpsProtectionMode);
var UpdateProjectDataCacheTrustedIpsProtectionMode$outboundSchema = UpdateProjectDataCacheTrustedIpsProtectionMode$inboundSchema;
var UpdateProjectDataCacheTrustedIpsProtectionMode$;
(function(UpdateProjectDataCacheTrustedIpsProtectionMode$2) {
  UpdateProjectDataCacheTrustedIpsProtectionMode$2.inboundSchema = UpdateProjectDataCacheTrustedIpsProtectionMode$inboundSchema;
  UpdateProjectDataCacheTrustedIpsProtectionMode$2.outboundSchema = UpdateProjectDataCacheTrustedIpsProtectionMode$outboundSchema;
})(UpdateProjectDataCacheTrustedIpsProtectionMode$ || (UpdateProjectDataCacheTrustedIpsProtectionMode$ = {}));
var TrustedIps1$inboundSchema = objectType({
  deploymentType: TrustedIpsDeploymentType$inboundSchema,
  addresses: arrayType(lazyType(() => UpdateProjectDataCacheTrustedIpsAddresses$inboundSchema)),
  protectionMode: UpdateProjectDataCacheTrustedIpsProtectionMode$inboundSchema
});
var TrustedIps1$outboundSchema = objectType({
  deploymentType: TrustedIpsDeploymentType$outboundSchema,
  addresses: arrayType(lazyType(() => UpdateProjectDataCacheTrustedIpsAddresses$outboundSchema)),
  protectionMode: UpdateProjectDataCacheTrustedIpsProtectionMode$outboundSchema
});
var TrustedIps1$;
(function(TrustedIps1$2) {
  TrustedIps1$2.inboundSchema = TrustedIps1$inboundSchema;
  TrustedIps1$2.outboundSchema = TrustedIps1$outboundSchema;
})(TrustedIps1$ || (TrustedIps1$ = {}));
var UpdateProjectDataCacheTrustedIps$inboundSchema = unionType([
  lazyType(() => TrustedIps2$inboundSchema),
  lazyType(() => TrustedIps1$inboundSchema)
]);
var UpdateProjectDataCacheTrustedIps$outboundSchema = unionType([
  lazyType(() => TrustedIps2$outboundSchema),
  lazyType(() => TrustedIps1$outboundSchema)
]);
var UpdateProjectDataCacheTrustedIps$;
(function(UpdateProjectDataCacheTrustedIps$2) {
  UpdateProjectDataCacheTrustedIps$2.inboundSchema = UpdateProjectDataCacheTrustedIps$inboundSchema;
  UpdateProjectDataCacheTrustedIps$2.outboundSchema = UpdateProjectDataCacheTrustedIps$outboundSchema;
})(UpdateProjectDataCacheTrustedIps$ || (UpdateProjectDataCacheTrustedIps$ = {}));
var GitComments$inboundSchema = objectType({
  onPullRequest: booleanType(),
  onCommit: booleanType()
});
var GitComments$outboundSchema = objectType({
  onPullRequest: booleanType(),
  onCommit: booleanType()
});
var GitComments$;
(function(GitComments$2) {
  GitComments$2.inboundSchema = GitComments$inboundSchema;
  GitComments$2.outboundSchema = GitComments$outboundSchema;
})(GitComments$ || (GitComments$ = {}));
var UpdateProjectDataCacheWebAnalytics$inboundSchema = objectType({
  id: stringType(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  enabledAt: numberType().optional(),
  hasData: booleanType().optional()
});
var UpdateProjectDataCacheWebAnalytics$outboundSchema = objectType({
  id: stringType(),
  disabledAt: numberType().optional(),
  canceledAt: numberType().optional(),
  enabledAt: numberType().optional(),
  hasData: booleanType().optional()
});
var UpdateProjectDataCacheWebAnalytics$;
(function(UpdateProjectDataCacheWebAnalytics$2) {
  UpdateProjectDataCacheWebAnalytics$2.inboundSchema = UpdateProjectDataCacheWebAnalytics$inboundSchema;
  UpdateProjectDataCacheWebAnalytics$2.outboundSchema = UpdateProjectDataCacheWebAnalytics$outboundSchema;
})(UpdateProjectDataCacheWebAnalytics$ || (UpdateProjectDataCacheWebAnalytics$ = {}));
var Src2$inboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var Src2$outboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var Src2$;
(function(Src2$2) {
  Src2$2.inboundSchema = Src2$inboundSchema;
  Src2$2.outboundSchema = Src2$outboundSchema;
})(Src2$ || (Src2$ = {}));
var Src$inboundSchema = unionType([lazyType(() => Src2$inboundSchema), stringType()]);
var Src$outboundSchema = unionType([lazyType(() => Src2$outboundSchema), stringType()]);
var Src$;
(function(Src$2) {
  Src$2.inboundSchema = Src$inboundSchema;
  Src$2.outboundSchema = Src$outboundSchema;
})(Src$ || (Src$ = {}));
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType);
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema;
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$;
(function(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$2) {
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$2.inboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema;
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$2.outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema;
})(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$ || (UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$ = {}));
var UpdateProjectDataCacheValueProjects2$inboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var UpdateProjectDataCacheValueProjects2$outboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var UpdateProjectDataCacheValueProjects2$;
(function(UpdateProjectDataCacheValueProjects2$2) {
  UpdateProjectDataCacheValueProjects2$2.inboundSchema = UpdateProjectDataCacheValueProjects2$inboundSchema;
  UpdateProjectDataCacheValueProjects2$2.outboundSchema = UpdateProjectDataCacheValueProjects2$outboundSchema;
})(UpdateProjectDataCacheValueProjects2$ || (UpdateProjectDataCacheValueProjects2$ = {}));
var UpdateProjectDataCacheProjectsValue$inboundSchema = unionType([
  lazyType(() => UpdateProjectDataCacheValueProjects2$inboundSchema),
  stringType()
]);
var UpdateProjectDataCacheProjectsValue$outboundSchema = unionType([
  lazyType(() => UpdateProjectDataCacheValueProjects2$outboundSchema),
  stringType()
]);
var UpdateProjectDataCacheProjectsValue$;
(function(UpdateProjectDataCacheProjectsValue$2) {
  UpdateProjectDataCacheProjectsValue$2.inboundSchema = UpdateProjectDataCacheProjectsValue$inboundSchema;
  UpdateProjectDataCacheProjectsValue$2.outboundSchema = UpdateProjectDataCacheProjectsValue$outboundSchema;
})(UpdateProjectDataCacheProjectsValue$ || (UpdateProjectDataCacheProjectsValue$ = {}));
var Has$inboundSchema = objectType({
  type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$inboundSchema,
  key: stringType().optional(),
  value: unionType([
    lazyType(() => UpdateProjectDataCacheValueProjects2$inboundSchema),
    stringType()
  ]).optional()
});
var Has$outboundSchema = objectType({
  type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityType$outboundSchema,
  key: stringType().optional(),
  value: unionType([
    lazyType(() => UpdateProjectDataCacheValueProjects2$outboundSchema),
    stringType()
  ]).optional()
});
var Has$;
(function(Has$2) {
  Has$2.inboundSchema = Has$inboundSchema;
  Has$2.outboundSchema = Has$outboundSchema;
})(Has$ || (Has$ = {}));
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema = nativeEnumType(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType);
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema;
var UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$;
(function(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$2) {
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$2.inboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema;
  UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$2.outboundSchema = UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema;
})(UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$ || (UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$ = {}));
var UpdateProjectDataCacheValue2$inboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var UpdateProjectDataCacheValue2$outboundSchema = objectType({
  re: stringType().optional(),
  eq: stringType().optional(),
  neq: stringType().optional(),
  inc: arrayType(stringType()).optional(),
  ninc: arrayType(stringType()).optional(),
  pre: stringType().optional(),
  suf: stringType().optional(),
  gt: numberType().optional(),
  gte: numberType().optional(),
  lt: numberType().optional(),
  lte: numberType().optional()
});
var UpdateProjectDataCacheValue2$;
(function(UpdateProjectDataCacheValue2$2) {
  UpdateProjectDataCacheValue2$2.inboundSchema = UpdateProjectDataCacheValue2$inboundSchema;
  UpdateProjectDataCacheValue2$2.outboundSchema = UpdateProjectDataCacheValue2$outboundSchema;
})(UpdateProjectDataCacheValue2$ || (UpdateProjectDataCacheValue2$ = {}));
var UpdateProjectDataCacheValue$inboundSchema = unionType([
  lazyType(() => UpdateProjectDataCacheValue2$inboundSchema),
  stringType()
]);
var UpdateProjectDataCacheValue$outboundSchema = unionType([
  lazyType(() => UpdateProjectDataCacheValue2$outboundSchema),
  stringType()
]);
var UpdateProjectDataCacheValue$;
(function(UpdateProjectDataCacheValue$2) {
  UpdateProjectDataCacheValue$2.inboundSchema = UpdateProjectDataCacheValue$inboundSchema;
  UpdateProjectDataCacheValue$2.outboundSchema = UpdateProjectDataCacheValue$outboundSchema;
})(UpdateProjectDataCacheValue$ || (UpdateProjectDataCacheValue$ = {}));
var Missing$inboundSchema = objectType({
  type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$inboundSchema,
  key: stringType().optional(),
  value: unionType([
    lazyType(() => UpdateProjectDataCacheValue2$inboundSchema),
    stringType()
  ]).optional()
});
var Missing$outboundSchema = objectType({
  type: UpdateProjectDataCacheProjectsResponse200ApplicationJSONResponseBodySecurityFirewallRoutesType$outboundSchema,
  key: stringType().optional(),
  value: unionType([
    lazyType(() => UpdateProjectDataCacheValue2$outboundSchema),
    stringType()
  ]).optional()
});
var Missing$;
(function(Missing$2) {
  Missing$2.inboundSchema = Missing$inboundSchema;
  Missing$2.outboundSchema = Missing$outboundSchema;
})(Missing$ || (Missing$ = {}));
var Handle$inboundSchema = nativeEnumType(Handle);
var Handle$outboundSchema = Handle$inboundSchema;
var Handle$;
(function(Handle$2) {
  Handle$2.inboundSchema = Handle$inboundSchema;
  Handle$2.outboundSchema = Handle$outboundSchema;
})(Handle$ || (Handle$ = {}));
var UpdateProjectDataCacheAction$inboundSchema = nativeEnumType(UpdateProjectDataCacheAction);
var UpdateProjectDataCacheAction$outboundSchema = UpdateProjectDataCacheAction$inboundSchema;
var UpdateProjectDataCacheAction$;
(function(UpdateProjectDataCacheAction$2) {
  UpdateProjectDataCacheAction$2.inboundSchema = UpdateProjectDataCacheAction$inboundSchema;
  UpdateProjectDataCacheAction$2.outboundSchema = UpdateProjectDataCacheAction$outboundSchema;
})(UpdateProjectDataCacheAction$ || (UpdateProjectDataCacheAction$ = {}));
var UpdateProjectDataCacheAlgo$inboundSchema = nativeEnumType(UpdateProjectDataCacheAlgo);
var UpdateProjectDataCacheAlgo$outboundSchema = UpdateProjectDataCacheAlgo$inboundSchema;
var UpdateProjectDataCacheAlgo$;
(function(UpdateProjectDataCacheAlgo$2) {
  UpdateProjectDataCacheAlgo$2.inboundSchema = UpdateProjectDataCacheAlgo$inboundSchema;
  UpdateProjectDataCacheAlgo$2.outboundSchema = UpdateProjectDataCacheAlgo$outboundSchema;
})(UpdateProjectDataCacheAlgo$ || (UpdateProjectDataCacheAlgo$ = {}));
var Erl$inboundSchema = objectType({
  algo: UpdateProjectDataCacheAlgo$inboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType())
});
var Erl$outboundSchema = objectType({
  algo: UpdateProjectDataCacheAlgo$outboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType())
});
var Erl$;
(function(Erl$2) {
  Erl$2.inboundSchema = Erl$inboundSchema;
  Erl$2.outboundSchema = Erl$outboundSchema;
})(Erl$ || (Erl$ = {}));
var UpdateProjectDataCacheMitigate$inboundSchema = objectType({
  action: UpdateProjectDataCacheAction$inboundSchema,
  rule_id: stringType(),
  ttl: numberType().optional(),
  erl: lazyType(() => Erl$inboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    rule_id: "ruleId"
  });
});
var UpdateProjectDataCacheMitigate$outboundSchema = objectType({
  action: UpdateProjectDataCacheAction$outboundSchema,
  ruleId: stringType(),
  ttl: numberType().optional(),
  erl: lazyType(() => Erl$outboundSchema).optional()
}).transform((v2) => {
  return remap(v2, {
    ruleId: "rule_id"
  });
});
var UpdateProjectDataCacheMitigate$;
(function(UpdateProjectDataCacheMitigate$2) {
  UpdateProjectDataCacheMitigate$2.inboundSchema = UpdateProjectDataCacheMitigate$inboundSchema;
  UpdateProjectDataCacheMitigate$2.outboundSchema = UpdateProjectDataCacheMitigate$outboundSchema;
})(UpdateProjectDataCacheMitigate$ || (UpdateProjectDataCacheMitigate$ = {}));
var FirewallRoutes$inboundSchema = objectType({
  src: unionType([lazyType(() => Src2$inboundSchema), stringType()]).optional(),
  has: arrayType(lazyType(() => Has$inboundSchema)).optional(),
  missing: arrayType(lazyType(() => Missing$inboundSchema)).optional(),
  dest: stringType().optional(),
  status: numberType().optional(),
  handle: Handle$inboundSchema.optional(),
  mitigate: lazyType(() => UpdateProjectDataCacheMitigate$inboundSchema).optional()
});
var FirewallRoutes$outboundSchema = objectType({
  src: unionType([lazyType(() => Src2$outboundSchema), stringType()]).optional(),
  has: arrayType(lazyType(() => Has$outboundSchema)).optional(),
  missing: arrayType(lazyType(() => Missing$outboundSchema)).optional(),
  dest: stringType().optional(),
  status: numberType().optional(),
  handle: Handle$outboundSchema.optional(),
  mitigate: lazyType(() => UpdateProjectDataCacheMitigate$outboundSchema).optional()
});
var FirewallRoutes$;
(function(FirewallRoutes$2) {
  FirewallRoutes$2.inboundSchema = FirewallRoutes$inboundSchema;
  FirewallRoutes$2.outboundSchema = FirewallRoutes$outboundSchema;
})(FirewallRoutes$ || (FirewallRoutes$ = {}));
var UpdateProjectDataCacheSecurity$inboundSchema = objectType({
  attackModeEnabled: booleanType().optional(),
  attackModeUpdatedAt: numberType().optional(),
  firewallEnabled: booleanType().optional(),
  firewallUpdatedAt: numberType().optional(),
  attackModeActiveUntil: nullableType(numberType()).optional(),
  firewallConfigVersion: numberType().optional(),
  firewallRoutes: arrayType(lazyType(() => FirewallRoutes$inboundSchema)).optional(),
  firewallSeawallEnabled: booleanType().optional(),
  ja3Enabled: booleanType().optional(),
  ja4Enabled: booleanType().optional(),
  firewallBypassIps: arrayType(stringType()).optional()
});
var UpdateProjectDataCacheSecurity$outboundSchema = objectType({
  attackModeEnabled: booleanType().optional(),
  attackModeUpdatedAt: numberType().optional(),
  firewallEnabled: booleanType().optional(),
  firewallUpdatedAt: numberType().optional(),
  attackModeActiveUntil: nullableType(numberType()).optional(),
  firewallConfigVersion: numberType().optional(),
  firewallRoutes: arrayType(lazyType(() => FirewallRoutes$outboundSchema)).optional(),
  firewallSeawallEnabled: booleanType().optional(),
  ja3Enabled: booleanType().optional(),
  ja4Enabled: booleanType().optional(),
  firewallBypassIps: arrayType(stringType()).optional()
});
var UpdateProjectDataCacheSecurity$;
(function(UpdateProjectDataCacheSecurity$2) {
  UpdateProjectDataCacheSecurity$2.inboundSchema = UpdateProjectDataCacheSecurity$inboundSchema;
  UpdateProjectDataCacheSecurity$2.outboundSchema = UpdateProjectDataCacheSecurity$outboundSchema;
})(UpdateProjectDataCacheSecurity$ || (UpdateProjectDataCacheSecurity$ = {}));
var UpdateProjectDataCacheIssuerMode$inboundSchema = nativeEnumType(UpdateProjectDataCacheIssuerMode);
var UpdateProjectDataCacheIssuerMode$outboundSchema = UpdateProjectDataCacheIssuerMode$inboundSchema;
var UpdateProjectDataCacheIssuerMode$;
(function(UpdateProjectDataCacheIssuerMode$2) {
  UpdateProjectDataCacheIssuerMode$2.inboundSchema = UpdateProjectDataCacheIssuerMode$inboundSchema;
  UpdateProjectDataCacheIssuerMode$2.outboundSchema = UpdateProjectDataCacheIssuerMode$outboundSchema;
})(UpdateProjectDataCacheIssuerMode$ || (UpdateProjectDataCacheIssuerMode$ = {}));
var UpdateProjectDataCacheOidcTokenConfig$inboundSchema = objectType({
  enabled: booleanType(),
  issuerMode: UpdateProjectDataCacheIssuerMode$inboundSchema.optional()
});
var UpdateProjectDataCacheOidcTokenConfig$outboundSchema = objectType({
  enabled: booleanType(),
  issuerMode: UpdateProjectDataCacheIssuerMode$outboundSchema.optional()
});
var UpdateProjectDataCacheOidcTokenConfig$;
(function(UpdateProjectDataCacheOidcTokenConfig$2) {
  UpdateProjectDataCacheOidcTokenConfig$2.inboundSchema = UpdateProjectDataCacheOidcTokenConfig$inboundSchema;
  UpdateProjectDataCacheOidcTokenConfig$2.outboundSchema = UpdateProjectDataCacheOidcTokenConfig$outboundSchema;
})(UpdateProjectDataCacheOidcTokenConfig$ || (UpdateProjectDataCacheOidcTokenConfig$ = {}));
var Tier$inboundSchema = nativeEnumType(Tier);
var Tier$outboundSchema = Tier$inboundSchema;
var Tier$;
(function(Tier$2) {
  Tier$2.inboundSchema = Tier$inboundSchema;
  Tier$2.outboundSchema = Tier$outboundSchema;
})(Tier$ || (Tier$ = {}));
var UpdateProjectDataCacheResponseBody$inboundSchema = objectType({
  accountId: stringType(),
  analytics: lazyType(() => Analytics$inboundSchema).optional(),
  speedInsights: lazyType(() => SpeedInsights$inboundSchema).optional(),
  autoExposeSystemEnvs: booleanType().optional(),
  autoAssignCustomDomains: booleanType().optional(),
  autoAssignCustomDomainsUpdatedBy: stringType().optional(),
  buildCommand: nullableType(stringType()).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  connectConfigurationId: nullableType(stringType()).optional(),
  connectBuildsEnabled: booleanType().optional(),
  createdAt: numberType().optional(),
  customerSupportCodeVisibility: booleanType().optional(),
  crons: lazyType(() => Crons$inboundSchema).optional(),
  dataCache: lazyType(() => UpdateProjectDataCacheDataCache$inboundSchema).optional(),
  deploymentExpiration: nullableType(lazyType(() => DeploymentExpiration$inboundSchema)).optional(),
  devCommand: nullableType(stringType()).optional(),
  directoryListing: booleanType(),
  installCommand: nullableType(stringType()).optional(),
  env: arrayType(lazyType(() => Env$inboundSchema)).optional(),
  customEnvironments: arrayType(lazyType(() => CustomEnvironments$inboundSchema)).optional(),
  framework: nullableType(UpdateProjectDataCacheFramework$inboundSchema).optional(),
  gitForkProtection: booleanType().optional(),
  gitLFS: booleanType().optional(),
  id: stringType(),
  ipBuckets: arrayType(lazyType(() => IpBuckets$inboundSchema)).optional(),
  latestDeployments: arrayType(lazyType(() => LatestDeployments$inboundSchema)).optional(),
  link: unionType([
    lazyType(() => Link1$inboundSchema),
    lazyType(() => Link3$inboundSchema),
    lazyType(() => Link2$inboundSchema)
  ]).optional(),
  microfrontends: lazyType(() => Microfrontends$inboundSchema).optional(),
  name: stringType(),
  nodeVersion: UpdateProjectDataCacheNodeVersion$inboundSchema,
  optionsAllowlist: nullableType(lazyType(() => UpdateProjectDataCacheOptionsAllowlist$inboundSchema)).optional(),
  outputDirectory: nullableType(stringType()).optional(),
  passiveConnectConfigurationId: nullableType(stringType()).optional(),
  passwordProtection: nullableType(lazyType(() => UpdateProjectDataCachePasswordProtection$inboundSchema)).optional(),
  productionDeploymentsFastLane: booleanType().optional(),
  publicSource: nullableType(booleanType()).optional(),
  resourceConfig: lazyType(() => UpdateProjectDataCacheResourceConfig$inboundSchema).optional(),
  rootDirectory: nullableType(stringType()).optional(),
  serverlessFunctionRegion: nullableType(stringType()).optional(),
  serverlessFunctionZeroConfigFailover: booleanType().optional(),
  skewProtectionBoundaryAt: numberType().optional(),
  skewProtectionMaxAge: numberType().optional(),
  skipGitConnectDuringLink: booleanType().optional(),
  sourceFilesOutsideRootDirectory: booleanType().optional(),
  enableAffectedProjectsDeployments: booleanType().optional(),
  ssoProtection: nullableType(lazyType(() => UpdateProjectDataCacheSsoProtection$inboundSchema)).optional(),
  targets: recordType(lazyType(() => Targets$inboundSchema)).optional(),
  transferCompletedAt: numberType().optional(),
  transferStartedAt: numberType().optional(),
  transferToAccountId: stringType().optional(),
  transferredFromAccountId: stringType().optional(),
  updatedAt: numberType().optional(),
  live: booleanType().optional(),
  enablePreviewFeedback: nullableType(booleanType()).optional(),
  enableProductionFeedback: nullableType(booleanType()).optional(),
  permissions: lazyType(() => Permissions$inboundSchema).optional(),
  lastRollbackTarget: nullableType(lazyType(() => LastRollbackTarget$inboundSchema)).optional(),
  lastAliasRequest: nullableType(lazyType(() => LastAliasRequest$inboundSchema)).optional(),
  hasFloatingAliases: booleanType().optional(),
  protectionBypass: recordType(lazyType(() => ProtectionBypass$inboundSchema)).optional(),
  hasActiveBranches: booleanType().optional(),
  trustedIps: nullableType(unionType([
    lazyType(() => TrustedIps2$inboundSchema),
    lazyType(() => TrustedIps1$inboundSchema)
  ])).optional(),
  gitComments: lazyType(() => GitComments$inboundSchema).optional(),
  paused: booleanType().optional(),
  concurrencyBucketName: stringType().optional(),
  webAnalytics: lazyType(() => UpdateProjectDataCacheWebAnalytics$inboundSchema).optional(),
  security: lazyType(() => UpdateProjectDataCacheSecurity$inboundSchema).optional(),
  oidcTokenConfig: lazyType(() => UpdateProjectDataCacheOidcTokenConfig$inboundSchema).optional(),
  tier: Tier$inboundSchema.optional()
});
var UpdateProjectDataCacheResponseBody$outboundSchema = objectType({
  accountId: stringType(),
  analytics: lazyType(() => Analytics$outboundSchema).optional(),
  speedInsights: lazyType(() => SpeedInsights$outboundSchema).optional(),
  autoExposeSystemEnvs: booleanType().optional(),
  autoAssignCustomDomains: booleanType().optional(),
  autoAssignCustomDomainsUpdatedBy: stringType().optional(),
  buildCommand: nullableType(stringType()).optional(),
  commandForIgnoringBuildStep: nullableType(stringType()).optional(),
  connectConfigurationId: nullableType(stringType()).optional(),
  connectBuildsEnabled: booleanType().optional(),
  createdAt: numberType().optional(),
  customerSupportCodeVisibility: booleanType().optional(),
  crons: lazyType(() => Crons$outboundSchema).optional(),
  dataCache: lazyType(() => UpdateProjectDataCacheDataCache$outboundSchema).optional(),
  deploymentExpiration: nullableType(lazyType(() => DeploymentExpiration$outboundSchema)).optional(),
  devCommand: nullableType(stringType()).optional(),
  directoryListing: booleanType(),
  installCommand: nullableType(stringType()).optional(),
  env: arrayType(lazyType(() => Env$outboundSchema)).optional(),
  customEnvironments: arrayType(lazyType(() => CustomEnvironments$outboundSchema)).optional(),
  framework: nullableType(UpdateProjectDataCacheFramework$outboundSchema).optional(),
  gitForkProtection: booleanType().optional(),
  gitLFS: booleanType().optional(),
  id: stringType(),
  ipBuckets: arrayType(lazyType(() => IpBuckets$outboundSchema)).optional(),
  latestDeployments: arrayType(lazyType(() => LatestDeployments$outboundSchema)).optional(),
  link: unionType([
    lazyType(() => Link1$outboundSchema),
    lazyType(() => Link3$outboundSchema),
    lazyType(() => Link2$outboundSchema)
  ]).optional(),
  microfrontends: lazyType(() => Microfrontends$outboundSchema).optional(),
  name: stringType(),
  nodeVersion: UpdateProjectDataCacheNodeVersion$outboundSchema,
  optionsAllowlist: nullableType(lazyType(() => UpdateProjectDataCacheOptionsAllowlist$outboundSchema)).optional(),
  outputDirectory: nullableType(stringType()).optional(),
  passiveConnectConfigurationId: nullableType(stringType()).optional(),
  passwordProtection: nullableType(lazyType(() => UpdateProjectDataCachePasswordProtection$outboundSchema)).optional(),
  productionDeploymentsFastLane: booleanType().optional(),
  publicSource: nullableType(booleanType()).optional(),
  resourceConfig: lazyType(() => UpdateProjectDataCacheResourceConfig$outboundSchema).optional(),
  rootDirectory: nullableType(stringType()).optional(),
  serverlessFunctionRegion: nullableType(stringType()).optional(),
  serverlessFunctionZeroConfigFailover: booleanType().optional(),
  skewProtectionBoundaryAt: numberType().optional(),
  skewProtectionMaxAge: numberType().optional(),
  skipGitConnectDuringLink: booleanType().optional(),
  sourceFilesOutsideRootDirectory: booleanType().optional(),
  enableAffectedProjectsDeployments: booleanType().optional(),
  ssoProtection: nullableType(lazyType(() => UpdateProjectDataCacheSsoProtection$outboundSchema)).optional(),
  targets: recordType(lazyType(() => Targets$outboundSchema)).optional(),
  transferCompletedAt: numberType().optional(),
  transferStartedAt: numberType().optional(),
  transferToAccountId: stringType().optional(),
  transferredFromAccountId: stringType().optional(),
  updatedAt: numberType().optional(),
  live: booleanType().optional(),
  enablePreviewFeedback: nullableType(booleanType()).optional(),
  enableProductionFeedback: nullableType(booleanType()).optional(),
  permissions: lazyType(() => Permissions$outboundSchema).optional(),
  lastRollbackTarget: nullableType(lazyType(() => LastRollbackTarget$outboundSchema)).optional(),
  lastAliasRequest: nullableType(lazyType(() => LastAliasRequest$outboundSchema)).optional(),
  hasFloatingAliases: booleanType().optional(),
  protectionBypass: recordType(lazyType(() => ProtectionBypass$outboundSchema)).optional(),
  hasActiveBranches: booleanType().optional(),
  trustedIps: nullableType(unionType([
    lazyType(() => TrustedIps2$outboundSchema),
    lazyType(() => TrustedIps1$outboundSchema)
  ])).optional(),
  gitComments: lazyType(() => GitComments$outboundSchema).optional(),
  paused: booleanType().optional(),
  concurrencyBucketName: stringType().optional(),
  webAnalytics: lazyType(() => UpdateProjectDataCacheWebAnalytics$outboundSchema).optional(),
  security: lazyType(() => UpdateProjectDataCacheSecurity$outboundSchema).optional(),
  oidcTokenConfig: lazyType(() => UpdateProjectDataCacheOidcTokenConfig$outboundSchema).optional(),
  tier: Tier$outboundSchema.optional()
});
var UpdateProjectDataCacheResponseBody$;
(function(UpdateProjectDataCacheResponseBody$2) {
  UpdateProjectDataCacheResponseBody$2.inboundSchema = UpdateProjectDataCacheResponseBody$inboundSchema;
  UpdateProjectDataCacheResponseBody$2.outboundSchema = UpdateProjectDataCacheResponseBody$outboundSchema;
})(UpdateProjectDataCacheResponseBody$ || (UpdateProjectDataCacheResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsUpdateProjectDataCache.js
async function projectsUpdateProjectDataCache(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateProjectDataCacheRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    projectId: encodeSimple("projectId", payload.projectId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/data-cache/projects/{projectId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "updateProjectDataCache",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateProjectDataCacheResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/updateprojectdomainop.js
var RedirectStatusCode = {
  ThreeHundredAndOne: 301,
  ThreeHundredAndTwo: 302,
  ThreeHundredAndSeven: 307,
  ThreeHundredAndEight: 308
};
var RedirectStatusCode$inboundSchema = nativeEnumType(RedirectStatusCode);
var RedirectStatusCode$outboundSchema = RedirectStatusCode$inboundSchema;
var RedirectStatusCode$;
(function(RedirectStatusCode$2) {
  RedirectStatusCode$2.inboundSchema = RedirectStatusCode$inboundSchema;
  RedirectStatusCode$2.outboundSchema = RedirectStatusCode$outboundSchema;
})(RedirectStatusCode$ || (RedirectStatusCode$ = {}));
var UpdateProjectDomainRequestBody$inboundSchema = objectType({
  gitBranch: nullableType(stringType()).optional(),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(RedirectStatusCode$inboundSchema).optional()
});
var UpdateProjectDomainRequestBody$outboundSchema = objectType({
  gitBranch: nullableType(stringType()).optional(),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(RedirectStatusCode$outboundSchema).optional()
});
var UpdateProjectDomainRequestBody$;
(function(UpdateProjectDomainRequestBody$2) {
  UpdateProjectDomainRequestBody$2.inboundSchema = UpdateProjectDomainRequestBody$inboundSchema;
  UpdateProjectDomainRequestBody$2.outboundSchema = UpdateProjectDomainRequestBody$outboundSchema;
})(UpdateProjectDomainRequestBody$ || (UpdateProjectDomainRequestBody$ = {}));
var UpdateProjectDomainRequest$inboundSchema = objectType({
  idOrName: stringType(),
  domain: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => UpdateProjectDomainRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var UpdateProjectDomainRequest$outboundSchema = objectType({
  idOrName: stringType(),
  domain: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => UpdateProjectDomainRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var UpdateProjectDomainRequest$;
(function(UpdateProjectDomainRequest$2) {
  UpdateProjectDomainRequest$2.inboundSchema = UpdateProjectDomainRequest$inboundSchema;
  UpdateProjectDomainRequest$2.outboundSchema = UpdateProjectDomainRequest$outboundSchema;
})(UpdateProjectDomainRequest$ || (UpdateProjectDomainRequest$ = {}));
var UpdateProjectDomainVerification$inboundSchema = objectType({
  type: stringType(),
  domain: stringType(),
  value: stringType(),
  reason: stringType()
});
var UpdateProjectDomainVerification$outboundSchema = objectType({
  type: stringType(),
  domain: stringType(),
  value: stringType(),
  reason: stringType()
});
var UpdateProjectDomainVerification$;
(function(UpdateProjectDomainVerification$2) {
  UpdateProjectDomainVerification$2.inboundSchema = UpdateProjectDomainVerification$inboundSchema;
  UpdateProjectDomainVerification$2.outboundSchema = UpdateProjectDomainVerification$outboundSchema;
})(UpdateProjectDomainVerification$ || (UpdateProjectDomainVerification$ = {}));
var UpdateProjectDomainResponseBody$inboundSchema = objectType({
  name: stringType(),
  apexName: stringType(),
  projectId: stringType(),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(numberType()).optional(),
  gitBranch: nullableType(stringType()).optional(),
  customEnvironmentId: nullableType(stringType()).optional(),
  updatedAt: numberType().optional(),
  createdAt: numberType().optional(),
  verified: booleanType(),
  verification: arrayType(lazyType(() => UpdateProjectDomainVerification$inboundSchema)).optional()
});
var UpdateProjectDomainResponseBody$outboundSchema = objectType({
  name: stringType(),
  apexName: stringType(),
  projectId: stringType(),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(numberType()).optional(),
  gitBranch: nullableType(stringType()).optional(),
  customEnvironmentId: nullableType(stringType()).optional(),
  updatedAt: numberType().optional(),
  createdAt: numberType().optional(),
  verified: booleanType(),
  verification: arrayType(lazyType(() => UpdateProjectDomainVerification$outboundSchema)).optional()
});
var UpdateProjectDomainResponseBody$;
(function(UpdateProjectDomainResponseBody$2) {
  UpdateProjectDomainResponseBody$2.inboundSchema = UpdateProjectDomainResponseBody$inboundSchema;
  UpdateProjectDomainResponseBody$2.outboundSchema = UpdateProjectDomainResponseBody$outboundSchema;
})(UpdateProjectDomainResponseBody$ || (UpdateProjectDomainResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsUpdateProjectDomain.js
async function projectsUpdateProjectDomain(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateProjectDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/domains/{domain}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "updateProjectDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateProjectDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/updateprojectprotectionbypassop.js
var UpdateProjectProtectionBypassScope = {
  AutomationBypass: "automation-bypass"
};
var Revoke$inboundSchema = objectType({
  secret: stringType(),
  regenerate: booleanType()
});
var Revoke$outboundSchema = objectType({
  secret: stringType(),
  regenerate: booleanType()
});
var Revoke$;
(function(Revoke$2) {
  Revoke$2.inboundSchema = Revoke$inboundSchema;
  Revoke$2.outboundSchema = Revoke$outboundSchema;
})(Revoke$ || (Revoke$ = {}));
var Generate$inboundSchema = objectType({
  secret: stringType().optional()
});
var Generate$outboundSchema = objectType({
  secret: stringType().optional()
});
var Generate$;
(function(Generate$2) {
  Generate$2.inboundSchema = Generate$inboundSchema;
  Generate$2.outboundSchema = Generate$outboundSchema;
})(Generate$ || (Generate$ = {}));
var UpdateProjectProtectionBypassRequestBody$inboundSchema = objectType({
  revoke: lazyType(() => Revoke$inboundSchema).optional(),
  generate: lazyType(() => Generate$inboundSchema).optional()
});
var UpdateProjectProtectionBypassRequestBody$outboundSchema = objectType({
  revoke: lazyType(() => Revoke$outboundSchema).optional(),
  generate: lazyType(() => Generate$outboundSchema).optional()
});
var UpdateProjectProtectionBypassRequestBody$;
(function(UpdateProjectProtectionBypassRequestBody$2) {
  UpdateProjectProtectionBypassRequestBody$2.inboundSchema = UpdateProjectProtectionBypassRequestBody$inboundSchema;
  UpdateProjectProtectionBypassRequestBody$2.outboundSchema = UpdateProjectProtectionBypassRequestBody$outboundSchema;
})(UpdateProjectProtectionBypassRequestBody$ || (UpdateProjectProtectionBypassRequestBody$ = {}));
var UpdateProjectProtectionBypassRequest$inboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => UpdateProjectProtectionBypassRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var UpdateProjectProtectionBypassRequest$outboundSchema = objectType({
  idOrName: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => UpdateProjectProtectionBypassRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var UpdateProjectProtectionBypassRequest$;
(function(UpdateProjectProtectionBypassRequest$2) {
  UpdateProjectProtectionBypassRequest$2.inboundSchema = UpdateProjectProtectionBypassRequest$inboundSchema;
  UpdateProjectProtectionBypassRequest$2.outboundSchema = UpdateProjectProtectionBypassRequest$outboundSchema;
})(UpdateProjectProtectionBypassRequest$ || (UpdateProjectProtectionBypassRequest$ = {}));
var UpdateProjectProtectionBypassScope$inboundSchema = nativeEnumType(UpdateProjectProtectionBypassScope);
var UpdateProjectProtectionBypassScope$outboundSchema = UpdateProjectProtectionBypassScope$inboundSchema;
var UpdateProjectProtectionBypassScope$;
(function(UpdateProjectProtectionBypassScope$2) {
  UpdateProjectProtectionBypassScope$2.inboundSchema = UpdateProjectProtectionBypassScope$inboundSchema;
  UpdateProjectProtectionBypassScope$2.outboundSchema = UpdateProjectProtectionBypassScope$outboundSchema;
})(UpdateProjectProtectionBypassScope$ || (UpdateProjectProtectionBypassScope$ = {}));
var UpdateProjectProtectionBypassProtectionBypass$inboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: UpdateProjectProtectionBypassScope$inboundSchema
});
var UpdateProjectProtectionBypassProtectionBypass$outboundSchema = objectType({
  createdAt: numberType(),
  createdBy: stringType(),
  scope: UpdateProjectProtectionBypassScope$outboundSchema
});
var UpdateProjectProtectionBypassProtectionBypass$;
(function(UpdateProjectProtectionBypassProtectionBypass$2) {
  UpdateProjectProtectionBypassProtectionBypass$2.inboundSchema = UpdateProjectProtectionBypassProtectionBypass$inboundSchema;
  UpdateProjectProtectionBypassProtectionBypass$2.outboundSchema = UpdateProjectProtectionBypassProtectionBypass$outboundSchema;
})(UpdateProjectProtectionBypassProtectionBypass$ || (UpdateProjectProtectionBypassProtectionBypass$ = {}));
var UpdateProjectProtectionBypassResponseBody$inboundSchema = objectType({
  protectionBypass: recordType(lazyType(() => UpdateProjectProtectionBypassProtectionBypass$inboundSchema)).optional()
});
var UpdateProjectProtectionBypassResponseBody$outboundSchema = objectType({
  protectionBypass: recordType(lazyType(() => UpdateProjectProtectionBypassProtectionBypass$outboundSchema)).optional()
});
var UpdateProjectProtectionBypassResponseBody$;
(function(UpdateProjectProtectionBypassResponseBody$2) {
  UpdateProjectProtectionBypassResponseBody$2.inboundSchema = UpdateProjectProtectionBypassResponseBody$inboundSchema;
  UpdateProjectProtectionBypassResponseBody$2.outboundSchema = UpdateProjectProtectionBypassResponseBody$outboundSchema;
})(UpdateProjectProtectionBypassResponseBody$ || (UpdateProjectProtectionBypassResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsUpdateProjectProtectionBypass.js
async function projectsUpdateProjectProtectionBypass(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateProjectProtectionBypassRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/projects/{idOrName}/protection-bypass")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "updateProjectProtectionBypass",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateProjectProtectionBypassResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/verifyprojectdomainop.js
var VerifyProjectDomainRequest$inboundSchema = objectType({
  idOrName: stringType(),
  domain: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var VerifyProjectDomainRequest$outboundSchema = objectType({
  idOrName: stringType(),
  domain: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var VerifyProjectDomainRequest$;
(function(VerifyProjectDomainRequest$2) {
  VerifyProjectDomainRequest$2.inboundSchema = VerifyProjectDomainRequest$inboundSchema;
  VerifyProjectDomainRequest$2.outboundSchema = VerifyProjectDomainRequest$outboundSchema;
})(VerifyProjectDomainRequest$ || (VerifyProjectDomainRequest$ = {}));
var VerifyProjectDomainResponseBody$inboundSchema = objectType({
  name: stringType(),
  apexName: stringType(),
  projectId: stringType(),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(numberType()).optional(),
  gitBranch: nullableType(stringType()).optional(),
  customEnvironmentId: nullableType(stringType()).optional(),
  updatedAt: numberType().optional(),
  createdAt: numberType().optional(),
  verified: booleanType()
});
var VerifyProjectDomainResponseBody$outboundSchema = objectType({
  name: stringType(),
  apexName: stringType(),
  projectId: stringType(),
  redirect: nullableType(stringType()).optional(),
  redirectStatusCode: nullableType(numberType()).optional(),
  gitBranch: nullableType(stringType()).optional(),
  customEnvironmentId: nullableType(stringType()).optional(),
  updatedAt: numberType().optional(),
  createdAt: numberType().optional(),
  verified: booleanType()
});
var VerifyProjectDomainResponseBody$;
(function(VerifyProjectDomainResponseBody$2) {
  VerifyProjectDomainResponseBody$2.inboundSchema = VerifyProjectDomainResponseBody$inboundSchema;
  VerifyProjectDomainResponseBody$2.outboundSchema = VerifyProjectDomainResponseBody$outboundSchema;
})(VerifyProjectDomainResponseBody$ || (VerifyProjectDomainResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/projectsVerifyProjectDomain.js
async function projectsVerifyProjectDomain(client, request, options) {
  const parsed = safeParse(request, (value) => VerifyProjectDomainRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    domain: encodeSimple("domain", payload.domain, {
      explode: false,
      charEncoding: "percent"
    }),
    idOrName: encodeSimple("idOrName", payload.idOrName, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v9/projects/{idOrName}/domains/{domain}/verify")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "verifyProjectDomain",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, VerifyProjectDomainResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/projects.js
class Projects extends ClientSDK {
  async updateProjectDataCache(request, options) {
    return unwrapAsync(projectsUpdateProjectDataCache(this, request, options));
  }
  async getProjects(request, options) {
    return unwrapAsync(projectsGetProjects(this, request, options));
  }
  async createProject(request, options) {
    return unwrapAsync(projectsCreateProject(this, request, options));
  }
  async updateProject(request, options) {
    return unwrapAsync(projectsUpdateProject(this, request, options));
  }
  async deleteProject(request, options) {
    return unwrapAsync(projectsDeleteProject(this, request, options));
  }
  async getProjectDomains(request, options) {
    return unwrapAsync(projectsGetProjectDomains(this, request, options));
  }
  async getProjectDomain(request, options) {
    return unwrapAsync(projectsGetProjectDomain(this, request, options));
  }
  async updateProjectDomain(request, options) {
    return unwrapAsync(projectsUpdateProjectDomain(this, request, options));
  }
  async removeProjectDomain(request, options) {
    return unwrapAsync(projectsRemoveProjectDomain(this, request, options));
  }
  async addProjectDomain(request, options) {
    return unwrapAsync(projectsAddProjectDomain(this, request, options));
  }
  async verifyProjectDomain(request, options) {
    return unwrapAsync(projectsVerifyProjectDomain(this, request, options));
  }
  async filterProjectEnvs(request, options) {
    return unwrapAsync(projectsFilterProjectEnvs(this, request, options));
  }
  async getProjectEnv(request, options) {
    return unwrapAsync(projectsGetProjectEnv(this, request, options));
  }
  async createProjectEnv(request, options) {
    return unwrapAsync(projectsCreateProjectEnv(this, request, options));
  }
  async removeProjectEnv(request, options) {
    return unwrapAsync(projectsRemoveProjectEnv(this, request, options));
  }
  async editProjectEnv(request, options) {
    return unwrapAsync(projectsEditProjectEnv(this, request, options));
  }
  async createProjectTransferRequest(request, options) {
    return unwrapAsync(projectsCreateProjectTransferRequest(this, request, options));
  }
  async acceptProjectTransferRequest(request, options) {
    return unwrapAsync(projectsAcceptProjectTransferRequest(this, request, options));
  }
  async updateProjectProtectionBypass(request, options) {
    return unwrapAsync(projectsUpdateProjectProtectionBypass(this, request, options));
  }
  async requestPromote(request, options) {
    return unwrapAsync(projectsRequestPromote(this, request, options));
  }
  async listPromoteAliases(request, options) {
    return unwrapAsync(projectsListPromoteAliases(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/addbypassipop.js
var AddBypassIpResponseBodyAction = {
  Block: "block",
  Bypass: "bypass"
};
var AddBypassIpRequestBody2$inboundSchema = objectType({
  domain: stringType().optional(),
  projectScope: booleanType(),
  sourceIp: stringType().optional(),
  allSources: booleanType().optional(),
  note: stringType().optional()
});
var AddBypassIpRequestBody2$outboundSchema = objectType({
  domain: stringType().optional(),
  projectScope: booleanType(),
  sourceIp: stringType().optional(),
  allSources: booleanType().optional(),
  note: stringType().optional()
});
var AddBypassIpRequestBody2$;
(function(AddBypassIpRequestBody2$2) {
  AddBypassIpRequestBody2$2.inboundSchema = AddBypassIpRequestBody2$inboundSchema;
  AddBypassIpRequestBody2$2.outboundSchema = AddBypassIpRequestBody2$outboundSchema;
})(AddBypassIpRequestBody2$ || (AddBypassIpRequestBody2$ = {}));
var AddBypassIpRequestBody1$inboundSchema = objectType({
  domain: stringType(),
  projectScope: booleanType().optional(),
  sourceIp: stringType().optional(),
  allSources: booleanType().optional(),
  note: stringType().optional()
});
var AddBypassIpRequestBody1$outboundSchema = objectType({
  domain: stringType(),
  projectScope: booleanType().optional(),
  sourceIp: stringType().optional(),
  allSources: booleanType().optional(),
  note: stringType().optional()
});
var AddBypassIpRequestBody1$;
(function(AddBypassIpRequestBody1$2) {
  AddBypassIpRequestBody1$2.inboundSchema = AddBypassIpRequestBody1$inboundSchema;
  AddBypassIpRequestBody1$2.outboundSchema = AddBypassIpRequestBody1$outboundSchema;
})(AddBypassIpRequestBody1$ || (AddBypassIpRequestBody1$ = {}));
var AddBypassIpRequestBody$inboundSchema = unionType([
  lazyType(() => AddBypassIpRequestBody1$inboundSchema),
  lazyType(() => AddBypassIpRequestBody2$inboundSchema)
]);
var AddBypassIpRequestBody$outboundSchema = unionType([
  lazyType(() => AddBypassIpRequestBody1$outboundSchema),
  lazyType(() => AddBypassIpRequestBody2$outboundSchema)
]);
var AddBypassIpRequestBody$;
(function(AddBypassIpRequestBody$2) {
  AddBypassIpRequestBody$2.inboundSchema = AddBypassIpRequestBody$inboundSchema;
  AddBypassIpRequestBody$2.outboundSchema = AddBypassIpRequestBody$outboundSchema;
})(AddBypassIpRequestBody$ || (AddBypassIpRequestBody$ = {}));
var AddBypassIpRequest$inboundSchema = objectType({
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: unionType([
    lazyType(() => AddBypassIpRequestBody1$inboundSchema),
    lazyType(() => AddBypassIpRequestBody2$inboundSchema)
  ]).optional()
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var AddBypassIpRequest$outboundSchema = objectType({
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: unionType([
    lazyType(() => AddBypassIpRequestBody1$outboundSchema),
    lazyType(() => AddBypassIpRequestBody2$outboundSchema)
  ]).optional()
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var AddBypassIpRequest$;
(function(AddBypassIpRequest$2) {
  AddBypassIpRequest$2.inboundSchema = AddBypassIpRequest$inboundSchema;
  AddBypassIpRequest$2.outboundSchema = AddBypassIpRequest$outboundSchema;
})(AddBypassIpRequest$ || (AddBypassIpRequest$ = {}));
var AddBypassIpResponseBodyAction$inboundSchema = nativeEnumType(AddBypassIpResponseBodyAction);
var AddBypassIpResponseBodyAction$outboundSchema = AddBypassIpResponseBodyAction$inboundSchema;
var AddBypassIpResponseBodyAction$;
(function(AddBypassIpResponseBodyAction$2) {
  AddBypassIpResponseBodyAction$2.inboundSchema = AddBypassIpResponseBodyAction$inboundSchema;
  AddBypassIpResponseBodyAction$2.outboundSchema = AddBypassIpResponseBodyAction$outboundSchema;
})(AddBypassIpResponseBodyAction$ || (AddBypassIpResponseBodyAction$ = {}));
var AddBypassIpResponseBodySecurityResult$inboundSchema = objectType({
  OwnerId: stringType(),
  Id: stringType(),
  Domain: stringType(),
  Ip: stringType(),
  Action: AddBypassIpResponseBodyAction$inboundSchema.optional(),
  ProjectId: stringType().optional(),
  IsProjectRule: booleanType().optional(),
  Note: stringType().optional(),
  CreatedAt: stringType(),
  ActorId: stringType().optional(),
  UpdatedAt: stringType(),
  UpdatedAtHour: stringType(),
  DeletedAt: stringType().optional(),
  ExpiresAt: numberType().optional()
}).transform((v2) => {
  return remap(v2, {
    OwnerId: "ownerId",
    Id: "id",
    Domain: "domain",
    Ip: "ip",
    Action: "action",
    ProjectId: "projectId",
    IsProjectRule: "isProjectRule",
    Note: "note",
    CreatedAt: "createdAt",
    ActorId: "actorId",
    UpdatedAt: "updatedAt",
    UpdatedAtHour: "updatedAtHour",
    DeletedAt: "deletedAt",
    ExpiresAt: "expiresAt"
  });
});
var AddBypassIpResponseBodySecurityResult$outboundSchema = objectType({
  ownerId: stringType(),
  id: stringType(),
  domain: stringType(),
  ip: stringType(),
  action: AddBypassIpResponseBodyAction$outboundSchema.optional(),
  projectId: stringType().optional(),
  isProjectRule: booleanType().optional(),
  note: stringType().optional(),
  createdAt: stringType(),
  actorId: stringType().optional(),
  updatedAt: stringType(),
  updatedAtHour: stringType(),
  deletedAt: stringType().optional(),
  expiresAt: numberType().optional()
}).transform((v2) => {
  return remap(v2, {
    ownerId: "OwnerId",
    id: "Id",
    domain: "Domain",
    ip: "Ip",
    action: "Action",
    projectId: "ProjectId",
    isProjectRule: "IsProjectRule",
    note: "Note",
    createdAt: "CreatedAt",
    actorId: "ActorId",
    updatedAt: "UpdatedAt",
    updatedAtHour: "UpdatedAtHour",
    deletedAt: "DeletedAt",
    expiresAt: "ExpiresAt"
  });
});
var AddBypassIpResponseBodySecurityResult$;
(function(AddBypassIpResponseBodySecurityResult$2) {
  AddBypassIpResponseBodySecurityResult$2.inboundSchema = AddBypassIpResponseBodySecurityResult$inboundSchema;
  AddBypassIpResponseBodySecurityResult$2.outboundSchema = AddBypassIpResponseBodySecurityResult$outboundSchema;
})(AddBypassIpResponseBodySecurityResult$ || (AddBypassIpResponseBodySecurityResult$ = {}));
var AddBypassIpResponseBody2$inboundSchema = objectType({
  ok: booleanType(),
  result: arrayType(lazyType(() => AddBypassIpResponseBodySecurityResult$inboundSchema)).optional()
});
var AddBypassIpResponseBody2$outboundSchema = objectType({
  ok: booleanType(),
  result: arrayType(lazyType(() => AddBypassIpResponseBodySecurityResult$outboundSchema)).optional()
});
var AddBypassIpResponseBody2$;
(function(AddBypassIpResponseBody2$2) {
  AddBypassIpResponseBody2$2.inboundSchema = AddBypassIpResponseBody2$inboundSchema;
  AddBypassIpResponseBody2$2.outboundSchema = AddBypassIpResponseBody2$outboundSchema;
})(AddBypassIpResponseBody2$ || (AddBypassIpResponseBody2$ = {}));
var AddBypassIpResponseBodyResult$inboundSchema = objectType({
  OwnerId: stringType(),
  Id: stringType(),
  Domain: stringType(),
  Ip: stringType().optional(),
  ProjectId: stringType(),
  IsProjectRule: booleanType()
}).transform((v2) => {
  return remap(v2, {
    OwnerId: "ownerId",
    Id: "id",
    Domain: "domain",
    Ip: "ip",
    ProjectId: "projectId",
    IsProjectRule: "isProjectRule"
  });
});
var AddBypassIpResponseBodyResult$outboundSchema = objectType({
  ownerId: stringType(),
  id: stringType(),
  domain: stringType(),
  ip: stringType().optional(),
  projectId: stringType(),
  isProjectRule: booleanType()
}).transform((v2) => {
  return remap(v2, {
    ownerId: "OwnerId",
    id: "Id",
    domain: "Domain",
    ip: "Ip",
    projectId: "ProjectId",
    isProjectRule: "IsProjectRule"
  });
});
var AddBypassIpResponseBodyResult$;
(function(AddBypassIpResponseBodyResult$2) {
  AddBypassIpResponseBodyResult$2.inboundSchema = AddBypassIpResponseBodyResult$inboundSchema;
  AddBypassIpResponseBodyResult$2.outboundSchema = AddBypassIpResponseBodyResult$outboundSchema;
})(AddBypassIpResponseBodyResult$ || (AddBypassIpResponseBodyResult$ = {}));
var AddBypassIpResponseBody1$inboundSchema = objectType({
  ok: booleanType(),
  result: arrayType(lazyType(() => AddBypassIpResponseBodyResult$inboundSchema)),
  pagination: nullableType(anyType()).optional()
});
var AddBypassIpResponseBody1$outboundSchema = objectType({
  ok: booleanType(),
  result: arrayType(lazyType(() => AddBypassIpResponseBodyResult$outboundSchema)),
  pagination: nullableType(anyType()).optional()
});
var AddBypassIpResponseBody1$;
(function(AddBypassIpResponseBody1$2) {
  AddBypassIpResponseBody1$2.inboundSchema = AddBypassIpResponseBody1$inboundSchema;
  AddBypassIpResponseBody1$2.outboundSchema = AddBypassIpResponseBody1$outboundSchema;
})(AddBypassIpResponseBody1$ || (AddBypassIpResponseBody1$ = {}));
var AddBypassIpResponseBody$inboundSchema = unionType([
  lazyType(() => AddBypassIpResponseBody2$inboundSchema),
  lazyType(() => AddBypassIpResponseBody1$inboundSchema)
]);
var AddBypassIpResponseBody$outboundSchema = unionType([
  lazyType(() => AddBypassIpResponseBody2$outboundSchema),
  lazyType(() => AddBypassIpResponseBody1$outboundSchema)
]);
var AddBypassIpResponseBody$;
(function(AddBypassIpResponseBody$2) {
  AddBypassIpResponseBody$2.inboundSchema = AddBypassIpResponseBody$inboundSchema;
  AddBypassIpResponseBody$2.outboundSchema = AddBypassIpResponseBody$outboundSchema;
})(AddBypassIpResponseBody$ || (AddBypassIpResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/securityAddBypassIp.js
async function securityAddBypassIp(client, request, options) {
  const parsed = safeParse(request, (value) => AddBypassIpRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v1/security/firewall/bypass")();
  const query = encodeFormQuery({
    projectId: payload.projectId,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "addBypassIp",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, AddBypassIpResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getactiveattackstatusop.js
var GetActiveAttackStatusRequest$inboundSchema = objectType({
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetActiveAttackStatusRequest$outboundSchema = objectType({
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetActiveAttackStatusRequest$;
(function(GetActiveAttackStatusRequest$2) {
  GetActiveAttackStatusRequest$2.inboundSchema = GetActiveAttackStatusRequest$inboundSchema;
  GetActiveAttackStatusRequest$2.outboundSchema = GetActiveAttackStatusRequest$outboundSchema;
})(GetActiveAttackStatusRequest$ || (GetActiveAttackStatusRequest$ = {}));
var AnomalyAlerts$inboundSchema = objectType({
  at_minute: stringType(),
  zscore: numberType(),
  total_requests_minute: numberType(),
  avg_requests: numberType(),
  stddev_requests: numberType()
}).transform((v2) => {
  return remap(v2, {
    at_minute: "atMinute",
    total_requests_minute: "totalRequestsMinute",
    avg_requests: "avgRequests",
    stddev_requests: "stddevRequests"
  });
});
var AnomalyAlerts$outboundSchema = objectType({
  atMinute: stringType(),
  zscore: numberType(),
  totalRequestsMinute: numberType(),
  avgRequests: numberType(),
  stddevRequests: numberType()
}).transform((v2) => {
  return remap(v2, {
    atMinute: "at_minute",
    totalRequestsMinute: "total_requests_minute",
    avgRequests: "avg_requests",
    stddevRequests: "stddev_requests"
  });
});
var AnomalyAlerts$;
(function(AnomalyAlerts$2) {
  AnomalyAlerts$2.inboundSchema = AnomalyAlerts$inboundSchema;
  AnomalyAlerts$2.outboundSchema = AnomalyAlerts$outboundSchema;
})(AnomalyAlerts$ || (AnomalyAlerts$ = {}));
var DdosAlerts$inboundSchema = objectType({
  atMinute: stringType(),
  totalReqs: numberType()
});
var DdosAlerts$outboundSchema = objectType({
  atMinute: stringType(),
  totalReqs: numberType()
});
var DdosAlerts$;
(function(DdosAlerts$2) {
  DdosAlerts$2.inboundSchema = DdosAlerts$inboundSchema;
  DdosAlerts$2.outboundSchema = DdosAlerts$outboundSchema;
})(DdosAlerts$ || (DdosAlerts$ = {}));
var AffectedHostMap$inboundSchema = objectType({
  anomalyAlerts: recordType(lazyType(() => AnomalyAlerts$inboundSchema)).optional(),
  ddosAlerts: recordType(lazyType(() => DdosAlerts$inboundSchema)).optional()
});
var AffectedHostMap$outboundSchema = objectType({
  anomalyAlerts: recordType(lazyType(() => AnomalyAlerts$outboundSchema)).optional(),
  ddosAlerts: recordType(lazyType(() => DdosAlerts$outboundSchema)).optional()
});
var AffectedHostMap$;
(function(AffectedHostMap$2) {
  AffectedHostMap$2.inboundSchema = AffectedHostMap$inboundSchema;
  AffectedHostMap$2.outboundSchema = AffectedHostMap$outboundSchema;
})(AffectedHostMap$ || (AffectedHostMap$ = {}));
var Anomalies$inboundSchema = objectType({
  ownerId: stringType(),
  projectId: stringType(),
  startTime: numberType(),
  endTime: nullableType(numberType()),
  atMinute: numberType(),
  state: stringType().optional(),
  affectedHostMap: recordType(lazyType(() => AffectedHostMap$inboundSchema))
});
var Anomalies$outboundSchema = objectType({
  ownerId: stringType(),
  projectId: stringType(),
  startTime: numberType(),
  endTime: nullableType(numberType()),
  atMinute: numberType(),
  state: stringType().optional(),
  affectedHostMap: recordType(lazyType(() => AffectedHostMap$outboundSchema))
});
var Anomalies$;
(function(Anomalies$2) {
  Anomalies$2.inboundSchema = Anomalies$inboundSchema;
  Anomalies$2.outboundSchema = Anomalies$outboundSchema;
})(Anomalies$ || (Anomalies$ = {}));
var GetActiveAttackStatusResponseBody2$inboundSchema = objectType({
  anomalies: arrayType(lazyType(() => Anomalies$inboundSchema))
});
var GetActiveAttackStatusResponseBody2$outboundSchema = objectType({
  anomalies: arrayType(lazyType(() => Anomalies$outboundSchema))
});
var GetActiveAttackStatusResponseBody2$;
(function(GetActiveAttackStatusResponseBody2$2) {
  GetActiveAttackStatusResponseBody2$2.inboundSchema = GetActiveAttackStatusResponseBody2$inboundSchema;
  GetActiveAttackStatusResponseBody2$2.outboundSchema = GetActiveAttackStatusResponseBody2$outboundSchema;
})(GetActiveAttackStatusResponseBody2$ || (GetActiveAttackStatusResponseBody2$ = {}));
var GetActiveAttackStatusResponseBody1$inboundSchema = objectType({});
var GetActiveAttackStatusResponseBody1$outboundSchema = objectType({});
var GetActiveAttackStatusResponseBody1$;
(function(GetActiveAttackStatusResponseBody1$2) {
  GetActiveAttackStatusResponseBody1$2.inboundSchema = GetActiveAttackStatusResponseBody1$inboundSchema;
  GetActiveAttackStatusResponseBody1$2.outboundSchema = GetActiveAttackStatusResponseBody1$outboundSchema;
})(GetActiveAttackStatusResponseBody1$ || (GetActiveAttackStatusResponseBody1$ = {}));
var GetActiveAttackStatusResponseBody$inboundSchema = unionType([
  lazyType(() => GetActiveAttackStatusResponseBody1$inboundSchema),
  lazyType(() => GetActiveAttackStatusResponseBody2$inboundSchema)
]);
var GetActiveAttackStatusResponseBody$outboundSchema = unionType([
  lazyType(() => GetActiveAttackStatusResponseBody1$outboundSchema),
  lazyType(() => GetActiveAttackStatusResponseBody2$outboundSchema)
]);
var GetActiveAttackStatusResponseBody$;
(function(GetActiveAttackStatusResponseBody$2) {
  GetActiveAttackStatusResponseBody$2.inboundSchema = GetActiveAttackStatusResponseBody$inboundSchema;
  GetActiveAttackStatusResponseBody$2.outboundSchema = GetActiveAttackStatusResponseBody$outboundSchema;
})(GetActiveAttackStatusResponseBody$ || (GetActiveAttackStatusResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/securityGetActiveAttackStatus.js
async function securityGetActiveAttackStatus(client, request, options) {
  const parsed = safeParse(request, (value) => GetActiveAttackStatusRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v1/security/firewall/attack-status")();
  const query = encodeFormQuery({
    projectId: payload.projectId,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getActiveAttackStatus",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetActiveAttackStatusResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getbypassipop.js
var ResponseBodyAction = {
  Block: "block",
  Bypass: "bypass"
};
var GetBypassIpRequest$inboundSchema = objectType({
  projectId: stringType(),
  limit: numberType().optional(),
  sourceIp: stringType().optional(),
  domain: stringType().optional(),
  projectScope: booleanType().optional(),
  offset: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetBypassIpRequest$outboundSchema = objectType({
  projectId: stringType(),
  limit: numberType().optional(),
  sourceIp: stringType().optional(),
  domain: stringType().optional(),
  projectScope: booleanType().optional(),
  offset: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetBypassIpRequest$;
(function(GetBypassIpRequest$2) {
  GetBypassIpRequest$2.inboundSchema = GetBypassIpRequest$inboundSchema;
  GetBypassIpRequest$2.outboundSchema = GetBypassIpRequest$outboundSchema;
})(GetBypassIpRequest$ || (GetBypassIpRequest$ = {}));
var ResponseBodyAction$inboundSchema = nativeEnumType(ResponseBodyAction);
var ResponseBodyAction$outboundSchema = ResponseBodyAction$inboundSchema;
var ResponseBodyAction$;
(function(ResponseBodyAction$2) {
  ResponseBodyAction$2.inboundSchema = ResponseBodyAction$inboundSchema;
  ResponseBodyAction$2.outboundSchema = ResponseBodyAction$outboundSchema;
})(ResponseBodyAction$ || (ResponseBodyAction$ = {}));
var GetBypassIpResponseBodyResult$inboundSchema = objectType({
  OwnerId: stringType(),
  Id: stringType(),
  Domain: stringType(),
  Ip: stringType(),
  Action: ResponseBodyAction$inboundSchema.optional(),
  ProjectId: stringType().optional(),
  IsProjectRule: booleanType().optional(),
  Note: stringType().optional(),
  CreatedAt: stringType(),
  ActorId: stringType().optional(),
  UpdatedAt: stringType(),
  UpdatedAtHour: stringType(),
  DeletedAt: stringType().optional(),
  ExpiresAt: numberType().optional()
}).transform((v2) => {
  return remap(v2, {
    OwnerId: "ownerId",
    Id: "id",
    Domain: "domain",
    Ip: "ip",
    Action: "action",
    ProjectId: "projectId",
    IsProjectRule: "isProjectRule",
    Note: "note",
    CreatedAt: "createdAt",
    ActorId: "actorId",
    UpdatedAt: "updatedAt",
    UpdatedAtHour: "updatedAtHour",
    DeletedAt: "deletedAt",
    ExpiresAt: "expiresAt"
  });
});
var GetBypassIpResponseBodyResult$outboundSchema = objectType({
  ownerId: stringType(),
  id: stringType(),
  domain: stringType(),
  ip: stringType(),
  action: ResponseBodyAction$outboundSchema.optional(),
  projectId: stringType().optional(),
  isProjectRule: booleanType().optional(),
  note: stringType().optional(),
  createdAt: stringType(),
  actorId: stringType().optional(),
  updatedAt: stringType(),
  updatedAtHour: stringType(),
  deletedAt: stringType().optional(),
  expiresAt: numberType().optional()
}).transform((v2) => {
  return remap(v2, {
    ownerId: "OwnerId",
    id: "Id",
    domain: "Domain",
    ip: "Ip",
    action: "Action",
    projectId: "ProjectId",
    isProjectRule: "IsProjectRule",
    note: "Note",
    createdAt: "CreatedAt",
    actorId: "ActorId",
    updatedAt: "UpdatedAt",
    updatedAtHour: "UpdatedAtHour",
    deletedAt: "DeletedAt",
    expiresAt: "ExpiresAt"
  });
});
var GetBypassIpResponseBodyResult$;
(function(GetBypassIpResponseBodyResult$2) {
  GetBypassIpResponseBodyResult$2.inboundSchema = GetBypassIpResponseBodyResult$inboundSchema;
  GetBypassIpResponseBodyResult$2.outboundSchema = GetBypassIpResponseBodyResult$outboundSchema;
})(GetBypassIpResponseBodyResult$ || (GetBypassIpResponseBodyResult$ = {}));
var GetBypassIpResponseBodyPagination$inboundSchema = objectType({
  OwnerId: stringType(),
  Id: stringType()
}).transform((v2) => {
  return remap(v2, {
    OwnerId: "ownerId",
    Id: "id"
  });
});
var GetBypassIpResponseBodyPagination$outboundSchema = objectType({
  ownerId: stringType(),
  id: stringType()
}).transform((v2) => {
  return remap(v2, {
    ownerId: "OwnerId",
    id: "Id"
  });
});
var GetBypassIpResponseBodyPagination$;
(function(GetBypassIpResponseBodyPagination$2) {
  GetBypassIpResponseBodyPagination$2.inboundSchema = GetBypassIpResponseBodyPagination$inboundSchema;
  GetBypassIpResponseBodyPagination$2.outboundSchema = GetBypassIpResponseBodyPagination$outboundSchema;
})(GetBypassIpResponseBodyPagination$ || (GetBypassIpResponseBodyPagination$ = {}));
var GetBypassIpResponseBody2$inboundSchema = objectType({
  result: arrayType(lazyType(() => GetBypassIpResponseBodyResult$inboundSchema)).optional(),
  pagination: lazyType(() => GetBypassIpResponseBodyPagination$inboundSchema).optional()
});
var GetBypassIpResponseBody2$outboundSchema = objectType({
  result: arrayType(lazyType(() => GetBypassIpResponseBodyResult$outboundSchema)).optional(),
  pagination: lazyType(() => GetBypassIpResponseBodyPagination$outboundSchema).optional()
});
var GetBypassIpResponseBody2$;
(function(GetBypassIpResponseBody2$2) {
  GetBypassIpResponseBody2$2.inboundSchema = GetBypassIpResponseBody2$inboundSchema;
  GetBypassIpResponseBody2$2.outboundSchema = GetBypassIpResponseBody2$outboundSchema;
})(GetBypassIpResponseBody2$ || (GetBypassIpResponseBody2$ = {}));
var ResponseBodyResult$inboundSchema = objectType({
  OwnerId: stringType(),
  Id: stringType(),
  Domain: stringType(),
  Ip: stringType(),
  ProjectId: stringType(),
  IsProjectRule: booleanType()
}).transform((v2) => {
  return remap(v2, {
    OwnerId: "ownerId",
    Id: "id",
    Domain: "domain",
    Ip: "ip",
    ProjectId: "projectId",
    IsProjectRule: "isProjectRule"
  });
});
var ResponseBodyResult$outboundSchema = objectType({
  ownerId: stringType(),
  id: stringType(),
  domain: stringType(),
  ip: stringType(),
  projectId: stringType(),
  isProjectRule: booleanType()
}).transform((v2) => {
  return remap(v2, {
    ownerId: "OwnerId",
    id: "Id",
    domain: "Domain",
    ip: "Ip",
    projectId: "ProjectId",
    isProjectRule: "IsProjectRule"
  });
});
var ResponseBodyResult$;
(function(ResponseBodyResult$2) {
  ResponseBodyResult$2.inboundSchema = ResponseBodyResult$inboundSchema;
  ResponseBodyResult$2.outboundSchema = ResponseBodyResult$outboundSchema;
})(ResponseBodyResult$ || (ResponseBodyResult$ = {}));
var GetBypassIpResponseBody1$inboundSchema = objectType({
  result: arrayType(lazyType(() => ResponseBodyResult$inboundSchema)),
  pagination: nullableType(anyType()).optional()
});
var GetBypassIpResponseBody1$outboundSchema = objectType({
  result: arrayType(lazyType(() => ResponseBodyResult$outboundSchema)),
  pagination: nullableType(anyType()).optional()
});
var GetBypassIpResponseBody1$;
(function(GetBypassIpResponseBody1$2) {
  GetBypassIpResponseBody1$2.inboundSchema = GetBypassIpResponseBody1$inboundSchema;
  GetBypassIpResponseBody1$2.outboundSchema = GetBypassIpResponseBody1$outboundSchema;
})(GetBypassIpResponseBody1$ || (GetBypassIpResponseBody1$ = {}));
var GetBypassIpResponseBody$inboundSchema = unionType([
  lazyType(() => GetBypassIpResponseBody1$inboundSchema),
  lazyType(() => GetBypassIpResponseBody2$inboundSchema)
]);
var GetBypassIpResponseBody$outboundSchema = unionType([
  lazyType(() => GetBypassIpResponseBody1$outboundSchema),
  lazyType(() => GetBypassIpResponseBody2$outboundSchema)
]);
var GetBypassIpResponseBody$;
(function(GetBypassIpResponseBody$2) {
  GetBypassIpResponseBody$2.inboundSchema = GetBypassIpResponseBody$inboundSchema;
  GetBypassIpResponseBody$2.outboundSchema = GetBypassIpResponseBody$outboundSchema;
})(GetBypassIpResponseBody$ || (GetBypassIpResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/securityGetBypassIp.js
async function securityGetBypassIp(client, request, options) {
  const parsed = safeParse(request, (value) => GetBypassIpRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v1/security/firewall/bypass")();
  const query = encodeFormQuery({
    domain: payload.domain,
    limit: payload.limit,
    offset: payload.offset,
    projectId: payload.projectId,
    projectScope: payload.projectScope,
    slug: payload.slug,
    sourceIp: payload.sourceIp,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getBypassIp",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetBypassIpResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getfirewallconfigop.js
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction = {
  Deny: "deny",
  Log: "log"
};
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction = {
  Deny: "deny",
  Log: "log"
};
var GetFirewallConfigSecurityResponseAction = {
  Deny: "deny",
  Log: "log"
};
var GetFirewallConfigSecurityResponse200Action = {
  Deny: "deny",
  Log: "log"
};
var GetFirewallConfigSecurityResponse200ApplicationJSONAction = {
  Deny: "deny",
  Log: "log"
};
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction = {
  Deny: "deny",
  Log: "log"
};
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction = {
  Deny: "deny",
  Log: "log"
};
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction = {
  Deny: "deny",
  Log: "log"
};
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction = {
  Deny: "deny",
  Log: "log"
};
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction = {
  Deny: "deny",
  Log: "log"
};
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction = {
  Deny: "deny",
  Log: "log"
};
var GetFirewallConfigType = {
  Host: "host",
  Path: "path",
  Method: "method",
  Header: "header",
  Query: "query",
  Cookie: "cookie",
  TargetPath: "target_path",
  RawPath: "raw_path",
  IpAddress: "ip_address",
  Protocol: "protocol",
  Region: "region",
  Scheme: "scheme",
  Environment: "environment",
  UserAgent: "user_agent",
  GeoContinent: "geo_continent",
  GeoCountry: "geo_country",
  GeoCountryRegion: "geo_country_region",
  GeoCity: "geo_city",
  GeoAsNumber: "geo_as_number",
  Ja4Digest: "ja4_digest",
  Ja3Digest: "ja3_digest",
  RateLimitApiId: "rate_limit_api_id"
};
var GetFirewallConfigOp = {
  Re: "re",
  Eq: "eq",
  Ex: "ex",
  Inc: "inc",
  Pre: "pre",
  Suf: "suf",
  Sub: "sub",
  Gt: "gt",
  Gte: "gte",
  Lt: "lt",
  Lte: "lte",
  Nex: "nex",
  Ninc: "ninc",
  Neq: "neq"
};
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction = {
  Deny: "deny",
  Log: "log",
  Challenge: "challenge",
  Bypass: "bypass",
  RateLimit: "rate_limit",
  Redirect: "redirect"
};
var GetFirewallConfigAlgo = {
  FixedWindow: "fixed_window",
  TokenBucket: "token_bucket"
};
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction = {
  Deny: "deny",
  Log: "log",
  Challenge: "challenge",
  RateLimit: "rate_limit"
};
var GetFirewallConfigSecurityAction = {
  Deny: "deny",
  Log: "log",
  Challenge: "challenge",
  Bypass: "bypass"
};
var GetFirewallConfigRequest$inboundSchema = objectType({
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  configVersion: stringType()
});
var GetFirewallConfigRequest$outboundSchema = objectType({
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  configVersion: stringType()
});
var GetFirewallConfigRequest$;
(function(GetFirewallConfigRequest$2) {
  GetFirewallConfigRequest$2.inboundSchema = GetFirewallConfigRequest$inboundSchema;
  GetFirewallConfigRequest$2.outboundSchema = GetFirewallConfigRequest$outboundSchema;
})(GetFirewallConfigRequest$ || (GetFirewallConfigRequest$ = {}));
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction);
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$inboundSchema;
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$;
(function(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$2) {
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$2.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$inboundSchema;
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$2.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$outboundSchema;
})(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$ || (GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$ = {}));
var GetFirewallConfigSd$inboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$inboundSchema
});
var GetFirewallConfigSd$outboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSdAction$outboundSchema
});
var GetFirewallConfigSd$;
(function(GetFirewallConfigSd$2) {
  GetFirewallConfigSd$2.inboundSchema = GetFirewallConfigSd$inboundSchema;
  GetFirewallConfigSd$2.outboundSchema = GetFirewallConfigSd$outboundSchema;
})(GetFirewallConfigSd$ || (GetFirewallConfigSd$ = {}));
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction);
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$inboundSchema;
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$;
(function(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$2) {
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$2.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$inboundSchema;
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$2.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$outboundSchema;
})(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$ || (GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$ = {}));
var GetFirewallConfigMa$inboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$inboundSchema
});
var GetFirewallConfigMa$outboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsMaAction$outboundSchema
});
var GetFirewallConfigMa$;
(function(GetFirewallConfigMa$2) {
  GetFirewallConfigMa$2.inboundSchema = GetFirewallConfigMa$inboundSchema;
  GetFirewallConfigMa$2.outboundSchema = GetFirewallConfigMa$outboundSchema;
})(GetFirewallConfigMa$ || (GetFirewallConfigMa$ = {}));
var GetFirewallConfigSecurityResponseAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponseAction);
var GetFirewallConfigSecurityResponseAction$outboundSchema = GetFirewallConfigSecurityResponseAction$inboundSchema;
var GetFirewallConfigSecurityResponseAction$;
(function(GetFirewallConfigSecurityResponseAction$2) {
  GetFirewallConfigSecurityResponseAction$2.inboundSchema = GetFirewallConfigSecurityResponseAction$inboundSchema;
  GetFirewallConfigSecurityResponseAction$2.outboundSchema = GetFirewallConfigSecurityResponseAction$outboundSchema;
})(GetFirewallConfigSecurityResponseAction$ || (GetFirewallConfigSecurityResponseAction$ = {}));
var GetFirewallConfigLfi$inboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponseAction$inboundSchema
});
var GetFirewallConfigLfi$outboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponseAction$outboundSchema
});
var GetFirewallConfigLfi$;
(function(GetFirewallConfigLfi$2) {
  GetFirewallConfigLfi$2.inboundSchema = GetFirewallConfigLfi$inboundSchema;
  GetFirewallConfigLfi$2.outboundSchema = GetFirewallConfigLfi$outboundSchema;
})(GetFirewallConfigLfi$ || (GetFirewallConfigLfi$ = {}));
var GetFirewallConfigSecurityResponse200Action$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200Action);
var GetFirewallConfigSecurityResponse200Action$outboundSchema = GetFirewallConfigSecurityResponse200Action$inboundSchema;
var GetFirewallConfigSecurityResponse200Action$;
(function(GetFirewallConfigSecurityResponse200Action$2) {
  GetFirewallConfigSecurityResponse200Action$2.inboundSchema = GetFirewallConfigSecurityResponse200Action$inboundSchema;
  GetFirewallConfigSecurityResponse200Action$2.outboundSchema = GetFirewallConfigSecurityResponse200Action$outboundSchema;
})(GetFirewallConfigSecurityResponse200Action$ || (GetFirewallConfigSecurityResponse200Action$ = {}));
var GetFirewallConfigRfi$inboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200Action$inboundSchema
});
var GetFirewallConfigRfi$outboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200Action$outboundSchema
});
var GetFirewallConfigRfi$;
(function(GetFirewallConfigRfi$2) {
  GetFirewallConfigRfi$2.inboundSchema = GetFirewallConfigRfi$inboundSchema;
  GetFirewallConfigRfi$2.outboundSchema = GetFirewallConfigRfi$outboundSchema;
})(GetFirewallConfigRfi$ || (GetFirewallConfigRfi$ = {}));
var GetFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONAction);
var GetFirewallConfigSecurityResponse200ApplicationJSONAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema;
var GetFirewallConfigSecurityResponse200ApplicationJSONAction$;
(function(GetFirewallConfigSecurityResponse200ApplicationJSONAction$2) {
  GetFirewallConfigSecurityResponse200ApplicationJSONAction$2.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema;
  GetFirewallConfigSecurityResponse200ApplicationJSONAction$2.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONAction$outboundSchema;
})(GetFirewallConfigSecurityResponse200ApplicationJSONAction$ || (GetFirewallConfigSecurityResponse200ApplicationJSONAction$ = {}));
var GetFirewallConfigRce$inboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema
});
var GetFirewallConfigRce$outboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONAction$outboundSchema
});
var GetFirewallConfigRce$;
(function(GetFirewallConfigRce$2) {
  GetFirewallConfigRce$2.inboundSchema = GetFirewallConfigRce$inboundSchema;
  GetFirewallConfigRce$2.outboundSchema = GetFirewallConfigRce$outboundSchema;
})(GetFirewallConfigRce$ || (GetFirewallConfigRce$ = {}));
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction);
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema;
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$;
(function(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$2) {
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$2.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema;
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$2.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$outboundSchema;
})(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$ || (GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$ = {}));
var GetFirewallConfigPhp$inboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema
});
var GetFirewallConfigPhp$outboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$outboundSchema
});
var GetFirewallConfigPhp$;
(function(GetFirewallConfigPhp$2) {
  GetFirewallConfigPhp$2.inboundSchema = GetFirewallConfigPhp$inboundSchema;
  GetFirewallConfigPhp$2.outboundSchema = GetFirewallConfigPhp$outboundSchema;
})(GetFirewallConfigPhp$ || (GetFirewallConfigPhp$ = {}));
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction);
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$inboundSchema;
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$;
(function(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$2) {
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$2.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$inboundSchema;
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$2.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$outboundSchema;
})(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$ || (GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$ = {}));
var GetFirewallConfigGen$inboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$inboundSchema
});
var GetFirewallConfigGen$outboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsAction$outboundSchema
});
var GetFirewallConfigGen$;
(function(GetFirewallConfigGen$2) {
  GetFirewallConfigGen$2.inboundSchema = GetFirewallConfigGen$inboundSchema;
  GetFirewallConfigGen$2.outboundSchema = GetFirewallConfigGen$outboundSchema;
})(GetFirewallConfigGen$ || (GetFirewallConfigGen$ = {}));
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction);
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$inboundSchema;
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$;
(function(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$2) {
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$2.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$inboundSchema;
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$2.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$outboundSchema;
})(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$ || (GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$ = {}));
var GetFirewallConfigXss$inboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$inboundSchema
});
var GetFirewallConfigXss$outboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsXssAction$outboundSchema
});
var GetFirewallConfigXss$;
(function(GetFirewallConfigXss$2) {
  GetFirewallConfigXss$2.inboundSchema = GetFirewallConfigXss$inboundSchema;
  GetFirewallConfigXss$2.outboundSchema = GetFirewallConfigXss$outboundSchema;
})(GetFirewallConfigXss$ || (GetFirewallConfigXss$ = {}));
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction);
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$inboundSchema;
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$;
(function(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$2) {
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$2.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$inboundSchema;
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$2.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$outboundSchema;
})(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$ || (GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$ = {}));
var GetFirewallConfigSqli$inboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$inboundSchema
});
var GetFirewallConfigSqli$outboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSqliAction$outboundSchema
});
var GetFirewallConfigSqli$;
(function(GetFirewallConfigSqli$2) {
  GetFirewallConfigSqli$2.inboundSchema = GetFirewallConfigSqli$inboundSchema;
  GetFirewallConfigSqli$2.outboundSchema = GetFirewallConfigSqli$outboundSchema;
})(GetFirewallConfigSqli$ || (GetFirewallConfigSqli$ = {}));
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction);
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$inboundSchema;
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$;
(function(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$2) {
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$2.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$inboundSchema;
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$2.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$outboundSchema;
})(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$ || (GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$ = {}));
var GetFirewallConfigSf$inboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$inboundSchema
});
var GetFirewallConfigSf$outboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsSfAction$outboundSchema
});
var GetFirewallConfigSf$;
(function(GetFirewallConfigSf$2) {
  GetFirewallConfigSf$2.inboundSchema = GetFirewallConfigSf$inboundSchema;
  GetFirewallConfigSf$2.outboundSchema = GetFirewallConfigSf$outboundSchema;
})(GetFirewallConfigSf$ || (GetFirewallConfigSf$ = {}));
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction);
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$inboundSchema;
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$;
(function(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$2) {
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$2.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$inboundSchema;
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$2.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$outboundSchema;
})(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$ || (GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$ = {}));
var GetFirewallConfigJava$inboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$inboundSchema
});
var GetFirewallConfigJava$outboundSchema = objectType({
  active: booleanType(),
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyCrsJavaAction$outboundSchema
});
var GetFirewallConfigJava$;
(function(GetFirewallConfigJava$2) {
  GetFirewallConfigJava$2.inboundSchema = GetFirewallConfigJava$inboundSchema;
  GetFirewallConfigJava$2.outboundSchema = GetFirewallConfigJava$outboundSchema;
})(GetFirewallConfigJava$ || (GetFirewallConfigJava$ = {}));
var GetFirewallConfigCrs$inboundSchema = objectType({
  sd: lazyType(() => GetFirewallConfigSd$inboundSchema),
  ma: lazyType(() => GetFirewallConfigMa$inboundSchema),
  lfi: lazyType(() => GetFirewallConfigLfi$inboundSchema),
  rfi: lazyType(() => GetFirewallConfigRfi$inboundSchema),
  rce: lazyType(() => GetFirewallConfigRce$inboundSchema),
  php: lazyType(() => GetFirewallConfigPhp$inboundSchema),
  gen: lazyType(() => GetFirewallConfigGen$inboundSchema),
  xss: lazyType(() => GetFirewallConfigXss$inboundSchema),
  sqli: lazyType(() => GetFirewallConfigSqli$inboundSchema),
  sf: lazyType(() => GetFirewallConfigSf$inboundSchema),
  java: lazyType(() => GetFirewallConfigJava$inboundSchema)
});
var GetFirewallConfigCrs$outboundSchema = objectType({
  sd: lazyType(() => GetFirewallConfigSd$outboundSchema),
  ma: lazyType(() => GetFirewallConfigMa$outboundSchema),
  lfi: lazyType(() => GetFirewallConfigLfi$outboundSchema),
  rfi: lazyType(() => GetFirewallConfigRfi$outboundSchema),
  rce: lazyType(() => GetFirewallConfigRce$outboundSchema),
  php: lazyType(() => GetFirewallConfigPhp$outboundSchema),
  gen: lazyType(() => GetFirewallConfigGen$outboundSchema),
  xss: lazyType(() => GetFirewallConfigXss$outboundSchema),
  sqli: lazyType(() => GetFirewallConfigSqli$outboundSchema),
  sf: lazyType(() => GetFirewallConfigSf$outboundSchema),
  java: lazyType(() => GetFirewallConfigJava$outboundSchema)
});
var GetFirewallConfigCrs$;
(function(GetFirewallConfigCrs$2) {
  GetFirewallConfigCrs$2.inboundSchema = GetFirewallConfigCrs$inboundSchema;
  GetFirewallConfigCrs$2.outboundSchema = GetFirewallConfigCrs$outboundSchema;
})(GetFirewallConfigCrs$ || (GetFirewallConfigCrs$ = {}));
var GetFirewallConfigType$inboundSchema = nativeEnumType(GetFirewallConfigType);
var GetFirewallConfigType$outboundSchema = GetFirewallConfigType$inboundSchema;
var GetFirewallConfigType$;
(function(GetFirewallConfigType$2) {
  GetFirewallConfigType$2.inboundSchema = GetFirewallConfigType$inboundSchema;
  GetFirewallConfigType$2.outboundSchema = GetFirewallConfigType$outboundSchema;
})(GetFirewallConfigType$ || (GetFirewallConfigType$ = {}));
var GetFirewallConfigOp$inboundSchema = nativeEnumType(GetFirewallConfigOp);
var GetFirewallConfigOp$outboundSchema = GetFirewallConfigOp$inboundSchema;
var GetFirewallConfigOp$;
(function(GetFirewallConfigOp$2) {
  GetFirewallConfigOp$2.inboundSchema = GetFirewallConfigOp$inboundSchema;
  GetFirewallConfigOp$2.outboundSchema = GetFirewallConfigOp$outboundSchema;
})(GetFirewallConfigOp$ || (GetFirewallConfigOp$ = {}));
var GetFirewallConfigValue$inboundSchema = unionType([stringType(), numberType(), arrayType(stringType())]);
var GetFirewallConfigValue$outboundSchema = unionType([stringType(), numberType(), arrayType(stringType())]);
var GetFirewallConfigValue$;
(function(GetFirewallConfigValue$2) {
  GetFirewallConfigValue$2.inboundSchema = GetFirewallConfigValue$inboundSchema;
  GetFirewallConfigValue$2.outboundSchema = GetFirewallConfigValue$outboundSchema;
})(GetFirewallConfigValue$ || (GetFirewallConfigValue$ = {}));
var GetFirewallConfigConditions$inboundSchema = objectType({
  type: GetFirewallConfigType$inboundSchema,
  op: GetFirewallConfigOp$inboundSchema,
  neg: booleanType().optional(),
  key: stringType().optional(),
  value: unionType([stringType(), numberType(), arrayType(stringType())]).optional()
});
var GetFirewallConfigConditions$outboundSchema = objectType({
  type: GetFirewallConfigType$outboundSchema,
  op: GetFirewallConfigOp$outboundSchema,
  neg: booleanType().optional(),
  key: stringType().optional(),
  value: unionType([stringType(), numberType(), arrayType(stringType())]).optional()
});
var GetFirewallConfigConditions$;
(function(GetFirewallConfigConditions$2) {
  GetFirewallConfigConditions$2.inboundSchema = GetFirewallConfigConditions$inboundSchema;
  GetFirewallConfigConditions$2.outboundSchema = GetFirewallConfigConditions$outboundSchema;
})(GetFirewallConfigConditions$ || (GetFirewallConfigConditions$ = {}));
var GetFirewallConfigConditionGroup$inboundSchema = objectType({
  conditions: arrayType(lazyType(() => GetFirewallConfigConditions$inboundSchema))
});
var GetFirewallConfigConditionGroup$outboundSchema = objectType({
  conditions: arrayType(lazyType(() => GetFirewallConfigConditions$outboundSchema))
});
var GetFirewallConfigConditionGroup$;
(function(GetFirewallConfigConditionGroup$2) {
  GetFirewallConfigConditionGroup$2.inboundSchema = GetFirewallConfigConditionGroup$inboundSchema;
  GetFirewallConfigConditionGroup$2.outboundSchema = GetFirewallConfigConditionGroup$outboundSchema;
})(GetFirewallConfigConditionGroup$ || (GetFirewallConfigConditionGroup$ = {}));
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction);
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$inboundSchema;
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$;
(function(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$2) {
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$2.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$inboundSchema;
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$2.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$outboundSchema;
})(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$ || (GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$ = {}));
var GetFirewallConfigAlgo$inboundSchema = nativeEnumType(GetFirewallConfigAlgo);
var GetFirewallConfigAlgo$outboundSchema = GetFirewallConfigAlgo$inboundSchema;
var GetFirewallConfigAlgo$;
(function(GetFirewallConfigAlgo$2) {
  GetFirewallConfigAlgo$2.inboundSchema = GetFirewallConfigAlgo$inboundSchema;
  GetFirewallConfigAlgo$2.outboundSchema = GetFirewallConfigAlgo$outboundSchema;
})(GetFirewallConfigAlgo$ || (GetFirewallConfigAlgo$ = {}));
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction);
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$inboundSchema;
var GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$;
(function(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$2) {
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$2.inboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$inboundSchema;
  GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$2.outboundSchema = GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$outboundSchema;
})(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$ || (GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$ = {}));
var GetFirewallConfigRateLimit$inboundSchema = objectType({
  algo: GetFirewallConfigAlgo$inboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType()),
  action: nullableType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$inboundSchema).optional()
});
var GetFirewallConfigRateLimit$outboundSchema = objectType({
  algo: GetFirewallConfigAlgo$outboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType()),
  action: nullableType(GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesActionAction$outboundSchema).optional()
});
var GetFirewallConfigRateLimit$;
(function(GetFirewallConfigRateLimit$2) {
  GetFirewallConfigRateLimit$2.inboundSchema = GetFirewallConfigRateLimit$inboundSchema;
  GetFirewallConfigRateLimit$2.outboundSchema = GetFirewallConfigRateLimit$outboundSchema;
})(GetFirewallConfigRateLimit$ || (GetFirewallConfigRateLimit$ = {}));
var GetFirewallConfigRedirect$inboundSchema = objectType({
  location: stringType(),
  permanent: booleanType()
});
var GetFirewallConfigRedirect$outboundSchema = objectType({
  location: stringType(),
  permanent: booleanType()
});
var GetFirewallConfigRedirect$;
(function(GetFirewallConfigRedirect$2) {
  GetFirewallConfigRedirect$2.inboundSchema = GetFirewallConfigRedirect$inboundSchema;
  GetFirewallConfigRedirect$2.outboundSchema = GetFirewallConfigRedirect$outboundSchema;
})(GetFirewallConfigRedirect$ || (GetFirewallConfigRedirect$ = {}));
var GetFirewallConfigMitigate$inboundSchema = objectType({
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$inboundSchema,
  rateLimit: nullableType(lazyType(() => GetFirewallConfigRateLimit$inboundSchema)).optional(),
  redirect: nullableType(lazyType(() => GetFirewallConfigRedirect$inboundSchema)).optional(),
  actionDuration: nullableType(stringType()).optional()
});
var GetFirewallConfigMitigate$outboundSchema = objectType({
  action: GetFirewallConfigSecurityResponse200ApplicationJSONResponseBodyRulesAction$outboundSchema,
  rateLimit: nullableType(lazyType(() => GetFirewallConfigRateLimit$outboundSchema)).optional(),
  redirect: nullableType(lazyType(() => GetFirewallConfigRedirect$outboundSchema)).optional(),
  actionDuration: nullableType(stringType()).optional()
});
var GetFirewallConfigMitigate$;
(function(GetFirewallConfigMitigate$2) {
  GetFirewallConfigMitigate$2.inboundSchema = GetFirewallConfigMitigate$inboundSchema;
  GetFirewallConfigMitigate$2.outboundSchema = GetFirewallConfigMitigate$outboundSchema;
})(GetFirewallConfigMitigate$ || (GetFirewallConfigMitigate$ = {}));
var GetFirewallConfigAction$inboundSchema = objectType({
  mitigate: lazyType(() => GetFirewallConfigMitigate$inboundSchema).optional()
});
var GetFirewallConfigAction$outboundSchema = objectType({
  mitigate: lazyType(() => GetFirewallConfigMitigate$outboundSchema).optional()
});
var GetFirewallConfigAction$;
(function(GetFirewallConfigAction$2) {
  GetFirewallConfigAction$2.inboundSchema = GetFirewallConfigAction$inboundSchema;
  GetFirewallConfigAction$2.outboundSchema = GetFirewallConfigAction$outboundSchema;
})(GetFirewallConfigAction$ || (GetFirewallConfigAction$ = {}));
var GetFirewallConfigRules$inboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  description: stringType().optional(),
  active: booleanType(),
  conditionGroup: arrayType(lazyType(() => GetFirewallConfigConditionGroup$inboundSchema)),
  action: lazyType(() => GetFirewallConfigAction$inboundSchema)
});
var GetFirewallConfigRules$outboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  description: stringType().optional(),
  active: booleanType(),
  conditionGroup: arrayType(lazyType(() => GetFirewallConfigConditionGroup$outboundSchema)),
  action: lazyType(() => GetFirewallConfigAction$outboundSchema)
});
var GetFirewallConfigRules$;
(function(GetFirewallConfigRules$2) {
  GetFirewallConfigRules$2.inboundSchema = GetFirewallConfigRules$inboundSchema;
  GetFirewallConfigRules$2.outboundSchema = GetFirewallConfigRules$outboundSchema;
})(GetFirewallConfigRules$ || (GetFirewallConfigRules$ = {}));
var GetFirewallConfigSecurityAction$inboundSchema = nativeEnumType(GetFirewallConfigSecurityAction);
var GetFirewallConfigSecurityAction$outboundSchema = GetFirewallConfigSecurityAction$inboundSchema;
var GetFirewallConfigSecurityAction$;
(function(GetFirewallConfigSecurityAction$2) {
  GetFirewallConfigSecurityAction$2.inboundSchema = GetFirewallConfigSecurityAction$inboundSchema;
  GetFirewallConfigSecurityAction$2.outboundSchema = GetFirewallConfigSecurityAction$outboundSchema;
})(GetFirewallConfigSecurityAction$ || (GetFirewallConfigSecurityAction$ = {}));
var GetFirewallConfigIps$inboundSchema = objectType({
  id: stringType(),
  hostname: stringType(),
  ip: stringType(),
  notes: stringType().optional(),
  action: GetFirewallConfigSecurityAction$inboundSchema
});
var GetFirewallConfigIps$outboundSchema = objectType({
  id: stringType(),
  hostname: stringType(),
  ip: stringType(),
  notes: stringType().optional(),
  action: GetFirewallConfigSecurityAction$outboundSchema
});
var GetFirewallConfigIps$;
(function(GetFirewallConfigIps$2) {
  GetFirewallConfigIps$2.inboundSchema = GetFirewallConfigIps$inboundSchema;
  GetFirewallConfigIps$2.outboundSchema = GetFirewallConfigIps$outboundSchema;
})(GetFirewallConfigIps$ || (GetFirewallConfigIps$ = {}));
var Changes$inboundSchema = objectType({});
var Changes$outboundSchema = objectType({});
var Changes$;
(function(Changes$2) {
  Changes$2.inboundSchema = Changes$inboundSchema;
  Changes$2.outboundSchema = Changes$outboundSchema;
})(Changes$ || (Changes$ = {}));
var GetFirewallConfigOwasp$inboundSchema = objectType({
  active: booleanType(),
  updatedAt: stringType().optional(),
  userId: stringType().optional(),
  username: stringType().optional()
});
var GetFirewallConfigOwasp$outboundSchema = objectType({
  active: booleanType(),
  updatedAt: stringType().optional(),
  userId: stringType().optional(),
  username: stringType().optional()
});
var GetFirewallConfigOwasp$;
(function(GetFirewallConfigOwasp$2) {
  GetFirewallConfigOwasp$2.inboundSchema = GetFirewallConfigOwasp$inboundSchema;
  GetFirewallConfigOwasp$2.outboundSchema = GetFirewallConfigOwasp$outboundSchema;
})(GetFirewallConfigOwasp$ || (GetFirewallConfigOwasp$ = {}));
var VerifiedBotsBypass$inboundSchema = objectType({
  active: booleanType(),
  updatedAt: stringType().optional(),
  userId: stringType().optional(),
  username: stringType().optional()
});
var VerifiedBotsBypass$outboundSchema = objectType({
  active: booleanType(),
  updatedAt: stringType().optional(),
  userId: stringType().optional(),
  username: stringType().optional()
});
var VerifiedBotsBypass$;
(function(VerifiedBotsBypass$2) {
  VerifiedBotsBypass$2.inboundSchema = VerifiedBotsBypass$inboundSchema;
  VerifiedBotsBypass$2.outboundSchema = VerifiedBotsBypass$outboundSchema;
})(VerifiedBotsBypass$ || (VerifiedBotsBypass$ = {}));
var GetFirewallConfigManagedRules$inboundSchema = objectType({
  owasp: lazyType(() => GetFirewallConfigOwasp$inboundSchema).optional(),
  verifiedBotsBypass: lazyType(() => VerifiedBotsBypass$inboundSchema).optional()
});
var GetFirewallConfigManagedRules$outboundSchema = objectType({
  owasp: lazyType(() => GetFirewallConfigOwasp$outboundSchema).optional(),
  verifiedBotsBypass: lazyType(() => VerifiedBotsBypass$outboundSchema).optional()
});
var GetFirewallConfigManagedRules$;
(function(GetFirewallConfigManagedRules$2) {
  GetFirewallConfigManagedRules$2.inboundSchema = GetFirewallConfigManagedRules$inboundSchema;
  GetFirewallConfigManagedRules$2.outboundSchema = GetFirewallConfigManagedRules$outboundSchema;
})(GetFirewallConfigManagedRules$ || (GetFirewallConfigManagedRules$ = {}));
var GetFirewallConfigResponseBody$inboundSchema = objectType({
  ownerId: stringType(),
  projectKey: stringType(),
  id: stringType(),
  version: numberType(),
  updatedAt: stringType(),
  firewallEnabled: booleanType(),
  crs: lazyType(() => GetFirewallConfigCrs$inboundSchema),
  rules: arrayType(lazyType(() => GetFirewallConfigRules$inboundSchema)),
  ips: arrayType(lazyType(() => GetFirewallConfigIps$inboundSchema)),
  changes: arrayType(lazyType(() => Changes$inboundSchema)),
  managedRules: lazyType(() => GetFirewallConfigManagedRules$inboundSchema).optional()
});
var GetFirewallConfigResponseBody$outboundSchema = objectType({
  ownerId: stringType(),
  projectKey: stringType(),
  id: stringType(),
  version: numberType(),
  updatedAt: stringType(),
  firewallEnabled: booleanType(),
  crs: lazyType(() => GetFirewallConfigCrs$outboundSchema),
  rules: arrayType(lazyType(() => GetFirewallConfigRules$outboundSchema)),
  ips: arrayType(lazyType(() => GetFirewallConfigIps$outboundSchema)),
  changes: arrayType(lazyType(() => Changes$outboundSchema)),
  managedRules: lazyType(() => GetFirewallConfigManagedRules$outboundSchema).optional()
});
var GetFirewallConfigResponseBody$;
(function(GetFirewallConfigResponseBody$2) {
  GetFirewallConfigResponseBody$2.inboundSchema = GetFirewallConfigResponseBody$inboundSchema;
  GetFirewallConfigResponseBody$2.outboundSchema = GetFirewallConfigResponseBody$outboundSchema;
})(GetFirewallConfigResponseBody$ || (GetFirewallConfigResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/securityGetFirewallConfig.js
async function securityGetFirewallConfig(client, request, options) {
  const parsed = safeParse(request, (value) => GetFirewallConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    configVersion: encodeSimple("configVersion", payload.configVersion, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/security/firewall/config/{configVersion}")(pathParams);
  const query = encodeFormQuery({
    projectId: payload.projectId,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getFirewallConfig",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetFirewallConfigResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/putfirewallconfigop.js
var PutFirewallConfigAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityRequestAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityRequestRequestBodyAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityRequestRequestBodyCrsAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityRequestRequestBodyCrsGenAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityRequestRequestBodyCrsXssAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityRequestRequestBodyCrsSfAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigType = {
  Host: "host",
  Path: "path",
  Method: "method",
  Header: "header",
  Query: "query",
  Cookie: "cookie",
  TargetPath: "target_path",
  RawPath: "raw_path",
  IpAddress: "ip_address",
  Region: "region",
  Protocol: "protocol",
  Scheme: "scheme",
  Environment: "environment",
  UserAgent: "user_agent",
  GeoContinent: "geo_continent",
  GeoCountry: "geo_country",
  GeoCountryRegion: "geo_country_region",
  GeoCity: "geo_city",
  GeoAsNumber: "geo_as_number",
  Ja4Digest: "ja4_digest",
  Ja3Digest: "ja3_digest",
  RateLimitApiId: "rate_limit_api_id"
};
var Op = {
  Re: "re",
  Eq: "eq",
  Neq: "neq",
  Ex: "ex",
  Nex: "nex",
  Inc: "inc",
  Ninc: "ninc",
  Pre: "pre",
  Suf: "suf",
  Sub: "sub",
  Gt: "gt",
  Gte: "gte",
  Lt: "lt",
  Lte: "lte"
};
var PutFirewallConfigSecurityRequestRequestBodyRulesActionAction = {
  Log: "log",
  Challenge: "challenge",
  Deny: "deny",
  Bypass: "bypass",
  RateLimit: "rate_limit",
  Redirect: "redirect"
};
var Algo = {
  FixedWindow: "fixed_window",
  TokenBucket: "token_bucket"
};
var Action1 = {
  Log: "log",
  Challenge: "challenge",
  Deny: "deny",
  RateLimit: "rate_limit"
};
var PutFirewallConfigSecurityRequestRequestBodyIpsAction = {
  Deny: "deny",
  Challenge: "challenge",
  Log: "log",
  Bypass: "bypass"
};
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityResponse200ApplicationJSONAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction = {
  Deny: "deny",
  Log: "log"
};
var PutFirewallConfigSecurityType = {
  Host: "host",
  Path: "path",
  Method: "method",
  Header: "header",
  Query: "query",
  Cookie: "cookie",
  TargetPath: "target_path",
  RawPath: "raw_path",
  IpAddress: "ip_address",
  Protocol: "protocol",
  Region: "region",
  Scheme: "scheme",
  Environment: "environment",
  UserAgent: "user_agent",
  GeoContinent: "geo_continent",
  GeoCountry: "geo_country",
  GeoCountryRegion: "geo_country_region",
  GeoCity: "geo_city",
  GeoAsNumber: "geo_as_number",
  Ja4Digest: "ja4_digest",
  Ja3Digest: "ja3_digest",
  RateLimitApiId: "rate_limit_api_id"
};
var PutFirewallConfigOp = {
  Re: "re",
  Eq: "eq",
  Ex: "ex",
  Inc: "inc",
  Pre: "pre",
  Suf: "suf",
  Sub: "sub",
  Gt: "gt",
  Gte: "gte",
  Lt: "lt",
  Lte: "lte",
  Nex: "nex",
  Ninc: "ninc",
  Neq: "neq"
};
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction = {
  Deny: "deny",
  Log: "log",
  Challenge: "challenge",
  Bypass: "bypass",
  RateLimit: "rate_limit",
  Redirect: "redirect"
};
var PutFirewallConfigAlgo = {
  FixedWindow: "fixed_window",
  TokenBucket: "token_bucket"
};
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction = {
  Deny: "deny",
  Log: "log",
  Challenge: "challenge",
  RateLimit: "rate_limit"
};
var PutFirewallConfigSecurityResponse200Action = {
  Deny: "deny",
  Log: "log",
  Challenge: "challenge",
  Bypass: "bypass"
};
var Owasp$inboundSchema = objectType({
  active: booleanType()
});
var Owasp$outboundSchema = objectType({
  active: booleanType()
});
var Owasp$;
(function(Owasp$2) {
  Owasp$2.inboundSchema = Owasp$inboundSchema;
  Owasp$2.outboundSchema = Owasp$outboundSchema;
})(Owasp$ || (Owasp$ = {}));
var ManagedRules$inboundSchema = objectType({
  owasp: lazyType(() => Owasp$inboundSchema)
});
var ManagedRules$outboundSchema = objectType({
  owasp: lazyType(() => Owasp$outboundSchema)
});
var ManagedRules$;
(function(ManagedRules$2) {
  ManagedRules$2.inboundSchema = ManagedRules$inboundSchema;
  ManagedRules$2.outboundSchema = ManagedRules$outboundSchema;
})(ManagedRules$ || (ManagedRules$ = {}));
var PutFirewallConfigAction$inboundSchema = nativeEnumType(PutFirewallConfigAction);
var PutFirewallConfigAction$outboundSchema = PutFirewallConfigAction$inboundSchema;
var PutFirewallConfigAction$;
(function(PutFirewallConfigAction$2) {
  PutFirewallConfigAction$2.inboundSchema = PutFirewallConfigAction$inboundSchema;
  PutFirewallConfigAction$2.outboundSchema = PutFirewallConfigAction$outboundSchema;
})(PutFirewallConfigAction$ || (PutFirewallConfigAction$ = {}));
var Sd$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigAction$inboundSchema
});
var Sd$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigAction$outboundSchema
});
var Sd$;
(function(Sd$2) {
  Sd$2.inboundSchema = Sd$inboundSchema;
  Sd$2.outboundSchema = Sd$outboundSchema;
})(Sd$ || (Sd$ = {}));
var PutFirewallConfigSecurityAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityAction);
var PutFirewallConfigSecurityAction$outboundSchema = PutFirewallConfigSecurityAction$inboundSchema;
var PutFirewallConfigSecurityAction$;
(function(PutFirewallConfigSecurityAction$2) {
  PutFirewallConfigSecurityAction$2.inboundSchema = PutFirewallConfigSecurityAction$inboundSchema;
  PutFirewallConfigSecurityAction$2.outboundSchema = PutFirewallConfigSecurityAction$outboundSchema;
})(PutFirewallConfigSecurityAction$ || (PutFirewallConfigSecurityAction$ = {}));
var Ma$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityAction$inboundSchema
});
var Ma$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityAction$outboundSchema
});
var Ma$;
(function(Ma$2) {
  Ma$2.inboundSchema = Ma$inboundSchema;
  Ma$2.outboundSchema = Ma$outboundSchema;
})(Ma$ || (Ma$ = {}));
var PutFirewallConfigSecurityRequestAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestAction);
var PutFirewallConfigSecurityRequestAction$outboundSchema = PutFirewallConfigSecurityRequestAction$inboundSchema;
var PutFirewallConfigSecurityRequestAction$;
(function(PutFirewallConfigSecurityRequestAction$2) {
  PutFirewallConfigSecurityRequestAction$2.inboundSchema = PutFirewallConfigSecurityRequestAction$inboundSchema;
  PutFirewallConfigSecurityRequestAction$2.outboundSchema = PutFirewallConfigSecurityRequestAction$outboundSchema;
})(PutFirewallConfigSecurityRequestAction$ || (PutFirewallConfigSecurityRequestAction$ = {}));
var Lfi$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestAction$inboundSchema
});
var Lfi$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestAction$outboundSchema
});
var Lfi$;
(function(Lfi$2) {
  Lfi$2.inboundSchema = Lfi$inboundSchema;
  Lfi$2.outboundSchema = Lfi$outboundSchema;
})(Lfi$ || (Lfi$ = {}));
var PutFirewallConfigSecurityRequestRequestBodyAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyAction);
var PutFirewallConfigSecurityRequestRequestBodyAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyAction$inboundSchema;
var PutFirewallConfigSecurityRequestRequestBodyAction$;
(function(PutFirewallConfigSecurityRequestRequestBodyAction$2) {
  PutFirewallConfigSecurityRequestRequestBodyAction$2.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyAction$inboundSchema;
  PutFirewallConfigSecurityRequestRequestBodyAction$2.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyAction$outboundSchema;
})(PutFirewallConfigSecurityRequestRequestBodyAction$ || (PutFirewallConfigSecurityRequestRequestBodyAction$ = {}));
var Rfi$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestRequestBodyAction$inboundSchema
});
var Rfi$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestRequestBodyAction$outboundSchema
});
var Rfi$;
(function(Rfi$2) {
  Rfi$2.inboundSchema = Rfi$inboundSchema;
  Rfi$2.outboundSchema = Rfi$outboundSchema;
})(Rfi$ || (Rfi$ = {}));
var PutFirewallConfigSecurityRequestRequestBodyCrsAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyCrsAction);
var PutFirewallConfigSecurityRequestRequestBodyCrsAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsAction$inboundSchema;
var PutFirewallConfigSecurityRequestRequestBodyCrsAction$;
(function(PutFirewallConfigSecurityRequestRequestBodyCrsAction$2) {
  PutFirewallConfigSecurityRequestRequestBodyCrsAction$2.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsAction$inboundSchema;
  PutFirewallConfigSecurityRequestRequestBodyCrsAction$2.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsAction$outboundSchema;
})(PutFirewallConfigSecurityRequestRequestBodyCrsAction$ || (PutFirewallConfigSecurityRequestRequestBodyCrsAction$ = {}));
var Rce$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestRequestBodyCrsAction$inboundSchema
});
var Rce$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestRequestBodyCrsAction$outboundSchema
});
var Rce$;
(function(Rce$2) {
  Rce$2.inboundSchema = Rce$inboundSchema;
  Rce$2.outboundSchema = Rce$outboundSchema;
})(Rce$ || (Rce$ = {}));
var PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction);
var PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$inboundSchema;
var PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$;
(function(PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$2) {
  PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$2.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$inboundSchema;
  PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$2.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$outboundSchema;
})(PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$ || (PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$ = {}));
var Php$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$inboundSchema
});
var Php$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestRequestBodyCrsPhpAction$outboundSchema
});
var Php$;
(function(Php$2) {
  Php$2.inboundSchema = Php$inboundSchema;
  Php$2.outboundSchema = Php$outboundSchema;
})(Php$ || (Php$ = {}));
var PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyCrsGenAction);
var PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$inboundSchema;
var PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$;
(function(PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$2) {
  PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$2.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$inboundSchema;
  PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$2.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$outboundSchema;
})(PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$ || (PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$ = {}));
var Gen$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$inboundSchema
});
var Gen$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestRequestBodyCrsGenAction$outboundSchema
});
var Gen$;
(function(Gen$2) {
  Gen$2.inboundSchema = Gen$inboundSchema;
  Gen$2.outboundSchema = Gen$outboundSchema;
})(Gen$ || (Gen$ = {}));
var PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyCrsXssAction);
var PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$inboundSchema;
var PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$;
(function(PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$2) {
  PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$2.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$inboundSchema;
  PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$2.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$outboundSchema;
})(PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$ || (PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$ = {}));
var Xss$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$inboundSchema
});
var Xss$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestRequestBodyCrsXssAction$outboundSchema
});
var Xss$;
(function(Xss$2) {
  Xss$2.inboundSchema = Xss$inboundSchema;
  Xss$2.outboundSchema = Xss$outboundSchema;
})(Xss$ || (Xss$ = {}));
var PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction);
var PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$inboundSchema;
var PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$;
(function(PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$2) {
  PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$2.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$inboundSchema;
  PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$2.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$outboundSchema;
})(PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$ || (PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$ = {}));
var Sqli$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$inboundSchema
});
var Sqli$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestRequestBodyCrsSqliAction$outboundSchema
});
var Sqli$;
(function(Sqli$2) {
  Sqli$2.inboundSchema = Sqli$inboundSchema;
  Sqli$2.outboundSchema = Sqli$outboundSchema;
})(Sqli$ || (Sqli$ = {}));
var PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyCrsSfAction);
var PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$inboundSchema;
var PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$;
(function(PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$2) {
  PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$2.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$inboundSchema;
  PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$2.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$outboundSchema;
})(PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$ || (PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$ = {}));
var Sf$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$inboundSchema
});
var Sf$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestRequestBodyCrsSfAction$outboundSchema
});
var Sf$;
(function(Sf$2) {
  Sf$2.inboundSchema = Sf$inboundSchema;
  Sf$2.outboundSchema = Sf$outboundSchema;
})(Sf$ || (Sf$ = {}));
var PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction);
var PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$inboundSchema;
var PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$;
(function(PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$2) {
  PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$2.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$inboundSchema;
  PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$2.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$outboundSchema;
})(PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$ || (PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$ = {}));
var Java$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$inboundSchema
});
var Java$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityRequestRequestBodyCrsJavaAction$outboundSchema
});
var Java$;
(function(Java$2) {
  Java$2.inboundSchema = Java$inboundSchema;
  Java$2.outboundSchema = Java$outboundSchema;
})(Java$ || (Java$ = {}));
var Crs$inboundSchema = objectType({
  sd: lazyType(() => Sd$inboundSchema).optional(),
  ma: lazyType(() => Ma$inboundSchema).optional(),
  lfi: lazyType(() => Lfi$inboundSchema).optional(),
  rfi: lazyType(() => Rfi$inboundSchema).optional(),
  rce: lazyType(() => Rce$inboundSchema).optional(),
  php: lazyType(() => Php$inboundSchema).optional(),
  gen: lazyType(() => Gen$inboundSchema).optional(),
  xss: lazyType(() => Xss$inboundSchema).optional(),
  sqli: lazyType(() => Sqli$inboundSchema).optional(),
  sf: lazyType(() => Sf$inboundSchema).optional(),
  java: lazyType(() => Java$inboundSchema).optional()
});
var Crs$outboundSchema = objectType({
  sd: lazyType(() => Sd$outboundSchema).optional(),
  ma: lazyType(() => Ma$outboundSchema).optional(),
  lfi: lazyType(() => Lfi$outboundSchema).optional(),
  rfi: lazyType(() => Rfi$outboundSchema).optional(),
  rce: lazyType(() => Rce$outboundSchema).optional(),
  php: lazyType(() => Php$outboundSchema).optional(),
  gen: lazyType(() => Gen$outboundSchema).optional(),
  xss: lazyType(() => Xss$outboundSchema).optional(),
  sqli: lazyType(() => Sqli$outboundSchema).optional(),
  sf: lazyType(() => Sf$outboundSchema).optional(),
  java: lazyType(() => Java$outboundSchema).optional()
});
var Crs$;
(function(Crs$2) {
  Crs$2.inboundSchema = Crs$inboundSchema;
  Crs$2.outboundSchema = Crs$outboundSchema;
})(Crs$ || (Crs$ = {}));
var PutFirewallConfigType$inboundSchema = nativeEnumType(PutFirewallConfigType);
var PutFirewallConfigType$outboundSchema = PutFirewallConfigType$inboundSchema;
var PutFirewallConfigType$;
(function(PutFirewallConfigType$2) {
  PutFirewallConfigType$2.inboundSchema = PutFirewallConfigType$inboundSchema;
  PutFirewallConfigType$2.outboundSchema = PutFirewallConfigType$outboundSchema;
})(PutFirewallConfigType$ || (PutFirewallConfigType$ = {}));
var Op$inboundSchema = nativeEnumType(Op);
var Op$outboundSchema = Op$inboundSchema;
var Op$;
(function(Op$2) {
  Op$2.inboundSchema = Op$inboundSchema;
  Op$2.outboundSchema = Op$outboundSchema;
})(Op$ || (Op$ = {}));
var PutFirewallConfigValue$inboundSchema = unionType([stringType(), arrayType(stringType()), numberType()]);
var PutFirewallConfigValue$outboundSchema = unionType([stringType(), arrayType(stringType()), numberType()]);
var PutFirewallConfigValue$;
(function(PutFirewallConfigValue$2) {
  PutFirewallConfigValue$2.inboundSchema = PutFirewallConfigValue$inboundSchema;
  PutFirewallConfigValue$2.outboundSchema = PutFirewallConfigValue$outboundSchema;
})(PutFirewallConfigValue$ || (PutFirewallConfigValue$ = {}));
var Conditions$inboundSchema = objectType({
  type: PutFirewallConfigType$inboundSchema,
  op: Op$inboundSchema,
  neg: booleanType().optional(),
  key: stringType().optional(),
  value: unionType([stringType(), arrayType(stringType()), numberType()]).optional()
});
var Conditions$outboundSchema = objectType({
  type: PutFirewallConfigType$outboundSchema,
  op: Op$outboundSchema,
  neg: booleanType().optional(),
  key: stringType().optional(),
  value: unionType([stringType(), arrayType(stringType()), numberType()]).optional()
});
var Conditions$;
(function(Conditions$2) {
  Conditions$2.inboundSchema = Conditions$inboundSchema;
  Conditions$2.outboundSchema = Conditions$outboundSchema;
})(Conditions$ || (Conditions$ = {}));
var ConditionGroup$inboundSchema = objectType({
  conditions: arrayType(lazyType(() => Conditions$inboundSchema))
});
var ConditionGroup$outboundSchema = objectType({
  conditions: arrayType(lazyType(() => Conditions$outboundSchema))
});
var ConditionGroup$;
(function(ConditionGroup$2) {
  ConditionGroup$2.inboundSchema = ConditionGroup$inboundSchema;
  ConditionGroup$2.outboundSchema = ConditionGroup$outboundSchema;
})(ConditionGroup$ || (ConditionGroup$ = {}));
var PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyRulesActionAction);
var PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$inboundSchema;
var PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$;
(function(PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$2) {
  PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$2.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$inboundSchema;
  PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$2.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$outboundSchema;
})(PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$ || (PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$ = {}));
var Algo$inboundSchema = nativeEnumType(Algo);
var Algo$outboundSchema = Algo$inboundSchema;
var Algo$;
(function(Algo$2) {
  Algo$2.inboundSchema = Algo$inboundSchema;
  Algo$2.outboundSchema = Algo$outboundSchema;
})(Algo$ || (Algo$ = {}));
var Action1$inboundSchema = nativeEnumType(Action1);
var Action1$outboundSchema = Action1$inboundSchema;
var Action1$;
(function(Action1$2) {
  Action1$2.inboundSchema = Action1$inboundSchema;
  Action1$2.outboundSchema = Action1$outboundSchema;
})(Action1$ || (Action1$ = {}));
var RateLimitAction$inboundSchema = unionType([Action1$inboundSchema, anyType()]);
var RateLimitAction$outboundSchema = unionType([Action1$outboundSchema, anyType()]);
var RateLimitAction$;
(function(RateLimitAction$2) {
  RateLimitAction$2.inboundSchema = RateLimitAction$inboundSchema;
  RateLimitAction$2.outboundSchema = RateLimitAction$outboundSchema;
})(RateLimitAction$ || (RateLimitAction$ = {}));
var RateLimit1$inboundSchema = objectType({
  algo: Algo$inboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType()),
  action: nullableType(unionType([Action1$inboundSchema, anyType()])).optional()
});
var RateLimit1$outboundSchema = objectType({
  algo: Algo$outboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType()),
  action: nullableType(unionType([Action1$outboundSchema, anyType()])).optional()
});
var RateLimit1$;
(function(RateLimit1$2) {
  RateLimit1$2.inboundSchema = RateLimit1$inboundSchema;
  RateLimit1$2.outboundSchema = RateLimit1$outboundSchema;
})(RateLimit1$ || (RateLimit1$ = {}));
var RateLimit$inboundSchema = unionType([lazyType(() => RateLimit1$inboundSchema), anyType()]);
var RateLimit$outboundSchema = unionType([lazyType(() => RateLimit1$outboundSchema), anyType()]);
var RateLimit$;
(function(RateLimit$2) {
  RateLimit$2.inboundSchema = RateLimit$inboundSchema;
  RateLimit$2.outboundSchema = RateLimit$outboundSchema;
})(RateLimit$ || (RateLimit$ = {}));
var Redirect1$inboundSchema = objectType({
  location: stringType(),
  permanent: booleanType()
});
var Redirect1$outboundSchema = objectType({
  location: stringType(),
  permanent: booleanType()
});
var Redirect1$;
(function(Redirect1$2) {
  Redirect1$2.inboundSchema = Redirect1$inboundSchema;
  Redirect1$2.outboundSchema = Redirect1$outboundSchema;
})(Redirect1$ || (Redirect1$ = {}));
var Redirect$inboundSchema = unionType([lazyType(() => Redirect1$inboundSchema), anyType()]);
var Redirect$outboundSchema = unionType([lazyType(() => Redirect1$outboundSchema), anyType()]);
var Redirect$;
(function(Redirect$2) {
  Redirect$2.inboundSchema = Redirect$inboundSchema;
  Redirect$2.outboundSchema = Redirect$outboundSchema;
})(Redirect$ || (Redirect$ = {}));
var Mitigate$inboundSchema = objectType({
  action: PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$inboundSchema,
  rateLimit: nullableType(unionType([lazyType(() => RateLimit1$inboundSchema), anyType()])).optional(),
  redirect: nullableType(unionType([lazyType(() => Redirect1$inboundSchema), anyType()])).optional(),
  actionDuration: nullableType(stringType()).optional()
});
var Mitigate$outboundSchema = objectType({
  action: PutFirewallConfigSecurityRequestRequestBodyRulesActionAction$outboundSchema,
  rateLimit: nullableType(unionType([lazyType(() => RateLimit1$outboundSchema), anyType()])).optional(),
  redirect: nullableType(unionType([lazyType(() => Redirect1$outboundSchema), anyType()])).optional(),
  actionDuration: nullableType(stringType()).optional()
});
var Mitigate$;
(function(Mitigate$2) {
  Mitigate$2.inboundSchema = Mitigate$inboundSchema;
  Mitigate$2.outboundSchema = Mitigate$outboundSchema;
})(Mitigate$ || (Mitigate$ = {}));
var PutFirewallConfigSecurityRequestRequestBodyRulesAction$inboundSchema = objectType({
  mitigate: lazyType(() => Mitigate$inboundSchema).optional()
});
var PutFirewallConfigSecurityRequestRequestBodyRulesAction$outboundSchema = objectType({
  mitigate: lazyType(() => Mitigate$outboundSchema).optional()
});
var PutFirewallConfigSecurityRequestRequestBodyRulesAction$;
(function(PutFirewallConfigSecurityRequestRequestBodyRulesAction$2) {
  PutFirewallConfigSecurityRequestRequestBodyRulesAction$2.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyRulesAction$inboundSchema;
  PutFirewallConfigSecurityRequestRequestBodyRulesAction$2.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyRulesAction$outboundSchema;
})(PutFirewallConfigSecurityRequestRequestBodyRulesAction$ || (PutFirewallConfigSecurityRequestRequestBodyRulesAction$ = {}));
var Rules$inboundSchema = objectType({
  id: stringType().optional(),
  name: stringType(),
  description: stringType().optional(),
  active: booleanType(),
  conditionGroup: arrayType(lazyType(() => ConditionGroup$inboundSchema)),
  action: lazyType(() => PutFirewallConfigSecurityRequestRequestBodyRulesAction$inboundSchema)
});
var Rules$outboundSchema = objectType({
  id: stringType().optional(),
  name: stringType(),
  description: stringType().optional(),
  active: booleanType(),
  conditionGroup: arrayType(lazyType(() => ConditionGroup$outboundSchema)),
  action: lazyType(() => PutFirewallConfigSecurityRequestRequestBodyRulesAction$outboundSchema)
});
var Rules$;
(function(Rules$2) {
  Rules$2.inboundSchema = Rules$inboundSchema;
  Rules$2.outboundSchema = Rules$outboundSchema;
})(Rules$ || (Rules$ = {}));
var PutFirewallConfigSecurityRequestRequestBodyIpsAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityRequestRequestBodyIpsAction);
var PutFirewallConfigSecurityRequestRequestBodyIpsAction$outboundSchema = PutFirewallConfigSecurityRequestRequestBodyIpsAction$inboundSchema;
var PutFirewallConfigSecurityRequestRequestBodyIpsAction$;
(function(PutFirewallConfigSecurityRequestRequestBodyIpsAction$2) {
  PutFirewallConfigSecurityRequestRequestBodyIpsAction$2.inboundSchema = PutFirewallConfigSecurityRequestRequestBodyIpsAction$inboundSchema;
  PutFirewallConfigSecurityRequestRequestBodyIpsAction$2.outboundSchema = PutFirewallConfigSecurityRequestRequestBodyIpsAction$outboundSchema;
})(PutFirewallConfigSecurityRequestRequestBodyIpsAction$ || (PutFirewallConfigSecurityRequestRequestBodyIpsAction$ = {}));
var Ips$inboundSchema = objectType({
  id: stringType().optional(),
  hostname: stringType(),
  ip: stringType(),
  notes: stringType().optional(),
  action: PutFirewallConfigSecurityRequestRequestBodyIpsAction$inboundSchema
});
var Ips$outboundSchema = objectType({
  id: stringType().optional(),
  hostname: stringType(),
  ip: stringType(),
  notes: stringType().optional(),
  action: PutFirewallConfigSecurityRequestRequestBodyIpsAction$outboundSchema
});
var Ips$;
(function(Ips$2) {
  Ips$2.inboundSchema = Ips$inboundSchema;
  Ips$2.outboundSchema = Ips$outboundSchema;
})(Ips$ || (Ips$ = {}));
var PutFirewallConfigRequestBody$inboundSchema = objectType({
  firewallEnabled: booleanType(),
  managedRules: lazyType(() => ManagedRules$inboundSchema).optional(),
  crs: lazyType(() => Crs$inboundSchema).optional(),
  rules: arrayType(lazyType(() => Rules$inboundSchema)).optional(),
  ips: arrayType(lazyType(() => Ips$inboundSchema)).optional()
});
var PutFirewallConfigRequestBody$outboundSchema = objectType({
  firewallEnabled: booleanType(),
  managedRules: lazyType(() => ManagedRules$outboundSchema).optional(),
  crs: lazyType(() => Crs$outboundSchema).optional(),
  rules: arrayType(lazyType(() => Rules$outboundSchema)).optional(),
  ips: arrayType(lazyType(() => Ips$outboundSchema)).optional()
});
var PutFirewallConfigRequestBody$;
(function(PutFirewallConfigRequestBody$2) {
  PutFirewallConfigRequestBody$2.inboundSchema = PutFirewallConfigRequestBody$inboundSchema;
  PutFirewallConfigRequestBody$2.outboundSchema = PutFirewallConfigRequestBody$outboundSchema;
})(PutFirewallConfigRequestBody$ || (PutFirewallConfigRequestBody$ = {}));
var PutFirewallConfigRequest$inboundSchema = objectType({
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => PutFirewallConfigRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var PutFirewallConfigRequest$outboundSchema = objectType({
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => PutFirewallConfigRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var PutFirewallConfigRequest$;
(function(PutFirewallConfigRequest$2) {
  PutFirewallConfigRequest$2.inboundSchema = PutFirewallConfigRequest$inboundSchema;
  PutFirewallConfigRequest$2.outboundSchema = PutFirewallConfigRequest$outboundSchema;
})(PutFirewallConfigRequest$ || (PutFirewallConfigRequest$ = {}));
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction);
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$inboundSchema;
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$;
(function(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$2) {
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$2.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$inboundSchema;
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$2.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$outboundSchema;
})(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$ || (PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$ = {}));
var PutFirewallConfigSd$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$inboundSchema
});
var PutFirewallConfigSd$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSdAction$outboundSchema
});
var PutFirewallConfigSd$;
(function(PutFirewallConfigSd$2) {
  PutFirewallConfigSd$2.inboundSchema = PutFirewallConfigSd$inboundSchema;
  PutFirewallConfigSd$2.outboundSchema = PutFirewallConfigSd$outboundSchema;
})(PutFirewallConfigSd$ || (PutFirewallConfigSd$ = {}));
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction);
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$inboundSchema;
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$;
(function(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$2) {
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$2.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$inboundSchema;
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$2.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$outboundSchema;
})(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$ || (PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$ = {}));
var PutFirewallConfigMa$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$inboundSchema
});
var PutFirewallConfigMa$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsMaAction$outboundSchema
});
var PutFirewallConfigMa$;
(function(PutFirewallConfigMa$2) {
  PutFirewallConfigMa$2.inboundSchema = PutFirewallConfigMa$inboundSchema;
  PutFirewallConfigMa$2.outboundSchema = PutFirewallConfigMa$outboundSchema;
})(PutFirewallConfigMa$ || (PutFirewallConfigMa$ = {}));
var PutFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONAction);
var PutFirewallConfigSecurityResponse200ApplicationJSONAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema;
var PutFirewallConfigSecurityResponse200ApplicationJSONAction$;
(function(PutFirewallConfigSecurityResponse200ApplicationJSONAction$2) {
  PutFirewallConfigSecurityResponse200ApplicationJSONAction$2.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema;
  PutFirewallConfigSecurityResponse200ApplicationJSONAction$2.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONAction$outboundSchema;
})(PutFirewallConfigSecurityResponse200ApplicationJSONAction$ || (PutFirewallConfigSecurityResponse200ApplicationJSONAction$ = {}));
var PutFirewallConfigLfi$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONAction$inboundSchema
});
var PutFirewallConfigLfi$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONAction$outboundSchema
});
var PutFirewallConfigLfi$;
(function(PutFirewallConfigLfi$2) {
  PutFirewallConfigLfi$2.inboundSchema = PutFirewallConfigLfi$inboundSchema;
  PutFirewallConfigLfi$2.outboundSchema = PutFirewallConfigLfi$outboundSchema;
})(PutFirewallConfigLfi$ || (PutFirewallConfigLfi$ = {}));
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction);
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema;
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$;
(function(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$2) {
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$2.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema;
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$2.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$outboundSchema;
})(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$ || (PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$ = {}));
var PutFirewallConfigRfi$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$inboundSchema
});
var PutFirewallConfigRfi$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyAction$outboundSchema
});
var PutFirewallConfigRfi$;
(function(PutFirewallConfigRfi$2) {
  PutFirewallConfigRfi$2.inboundSchema = PutFirewallConfigRfi$inboundSchema;
  PutFirewallConfigRfi$2.outboundSchema = PutFirewallConfigRfi$outboundSchema;
})(PutFirewallConfigRfi$ || (PutFirewallConfigRfi$ = {}));
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction);
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$inboundSchema;
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$;
(function(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$2) {
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$2.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$inboundSchema;
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$2.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$outboundSchema;
})(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$ || (PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$ = {}));
var PutFirewallConfigRce$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$inboundSchema
});
var PutFirewallConfigRce$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveAction$outboundSchema
});
var PutFirewallConfigRce$;
(function(PutFirewallConfigRce$2) {
  PutFirewallConfigRce$2.inboundSchema = PutFirewallConfigRce$inboundSchema;
  PutFirewallConfigRce$2.outboundSchema = PutFirewallConfigRce$outboundSchema;
})(PutFirewallConfigRce$ || (PutFirewallConfigRce$ = {}));
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction);
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$inboundSchema;
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$;
(function(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$2) {
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$2.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$inboundSchema;
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$2.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$outboundSchema;
})(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$ || (PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$ = {}));
var PutFirewallConfigPhp$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$inboundSchema
});
var PutFirewallConfigPhp$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsAction$outboundSchema
});
var PutFirewallConfigPhp$;
(function(PutFirewallConfigPhp$2) {
  PutFirewallConfigPhp$2.inboundSchema = PutFirewallConfigPhp$inboundSchema;
  PutFirewallConfigPhp$2.outboundSchema = PutFirewallConfigPhp$outboundSchema;
})(PutFirewallConfigPhp$ || (PutFirewallConfigPhp$ = {}));
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction);
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$inboundSchema;
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$;
(function(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$2) {
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$2.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$inboundSchema;
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$2.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$outboundSchema;
})(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$ || (PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$ = {}));
var PutFirewallConfigGen$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$inboundSchema
});
var PutFirewallConfigGen$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsGenAction$outboundSchema
});
var PutFirewallConfigGen$;
(function(PutFirewallConfigGen$2) {
  PutFirewallConfigGen$2.inboundSchema = PutFirewallConfigGen$inboundSchema;
  PutFirewallConfigGen$2.outboundSchema = PutFirewallConfigGen$outboundSchema;
})(PutFirewallConfigGen$ || (PutFirewallConfigGen$ = {}));
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction);
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$inboundSchema;
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$;
(function(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$2) {
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$2.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$inboundSchema;
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$2.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$outboundSchema;
})(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$ || (PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$ = {}));
var PutFirewallConfigXss$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$inboundSchema
});
var PutFirewallConfigXss$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsXssAction$outboundSchema
});
var PutFirewallConfigXss$;
(function(PutFirewallConfigXss$2) {
  PutFirewallConfigXss$2.inboundSchema = PutFirewallConfigXss$inboundSchema;
  PutFirewallConfigXss$2.outboundSchema = PutFirewallConfigXss$outboundSchema;
})(PutFirewallConfigXss$ || (PutFirewallConfigXss$ = {}));
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction);
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$inboundSchema;
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$;
(function(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$2) {
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$2.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$inboundSchema;
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$2.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$outboundSchema;
})(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$ || (PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$ = {}));
var PutFirewallConfigSqli$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$inboundSchema
});
var PutFirewallConfigSqli$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSqliAction$outboundSchema
});
var PutFirewallConfigSqli$;
(function(PutFirewallConfigSqli$2) {
  PutFirewallConfigSqli$2.inboundSchema = PutFirewallConfigSqli$inboundSchema;
  PutFirewallConfigSqli$2.outboundSchema = PutFirewallConfigSqli$outboundSchema;
})(PutFirewallConfigSqli$ || (PutFirewallConfigSqli$ = {}));
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction);
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$inboundSchema;
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$;
(function(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$2) {
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$2.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$inboundSchema;
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$2.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$outboundSchema;
})(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$ || (PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$ = {}));
var PutFirewallConfigSf$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$inboundSchema
});
var PutFirewallConfigSf$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsSfAction$outboundSchema
});
var PutFirewallConfigSf$;
(function(PutFirewallConfigSf$2) {
  PutFirewallConfigSf$2.inboundSchema = PutFirewallConfigSf$inboundSchema;
  PutFirewallConfigSf$2.outboundSchema = PutFirewallConfigSf$outboundSchema;
})(PutFirewallConfigSf$ || (PutFirewallConfigSf$ = {}));
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction);
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$inboundSchema;
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$;
(function(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$2) {
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$2.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$inboundSchema;
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$2.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$outboundSchema;
})(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$ || (PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$ = {}));
var PutFirewallConfigJava$inboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$inboundSchema
});
var PutFirewallConfigJava$outboundSchema = objectType({
  active: booleanType(),
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveCrsJavaAction$outboundSchema
});
var PutFirewallConfigJava$;
(function(PutFirewallConfigJava$2) {
  PutFirewallConfigJava$2.inboundSchema = PutFirewallConfigJava$inboundSchema;
  PutFirewallConfigJava$2.outboundSchema = PutFirewallConfigJava$outboundSchema;
})(PutFirewallConfigJava$ || (PutFirewallConfigJava$ = {}));
var PutFirewallConfigCrs$inboundSchema = objectType({
  sd: lazyType(() => PutFirewallConfigSd$inboundSchema),
  ma: lazyType(() => PutFirewallConfigMa$inboundSchema),
  lfi: lazyType(() => PutFirewallConfigLfi$inboundSchema),
  rfi: lazyType(() => PutFirewallConfigRfi$inboundSchema),
  rce: lazyType(() => PutFirewallConfigRce$inboundSchema),
  php: lazyType(() => PutFirewallConfigPhp$inboundSchema),
  gen: lazyType(() => PutFirewallConfigGen$inboundSchema),
  xss: lazyType(() => PutFirewallConfigXss$inboundSchema),
  sqli: lazyType(() => PutFirewallConfigSqli$inboundSchema),
  sf: lazyType(() => PutFirewallConfigSf$inboundSchema),
  java: lazyType(() => PutFirewallConfigJava$inboundSchema)
});
var PutFirewallConfigCrs$outboundSchema = objectType({
  sd: lazyType(() => PutFirewallConfigSd$outboundSchema),
  ma: lazyType(() => PutFirewallConfigMa$outboundSchema),
  lfi: lazyType(() => PutFirewallConfigLfi$outboundSchema),
  rfi: lazyType(() => PutFirewallConfigRfi$outboundSchema),
  rce: lazyType(() => PutFirewallConfigRce$outboundSchema),
  php: lazyType(() => PutFirewallConfigPhp$outboundSchema),
  gen: lazyType(() => PutFirewallConfigGen$outboundSchema),
  xss: lazyType(() => PutFirewallConfigXss$outboundSchema),
  sqli: lazyType(() => PutFirewallConfigSqli$outboundSchema),
  sf: lazyType(() => PutFirewallConfigSf$outboundSchema),
  java: lazyType(() => PutFirewallConfigJava$outboundSchema)
});
var PutFirewallConfigCrs$;
(function(PutFirewallConfigCrs$2) {
  PutFirewallConfigCrs$2.inboundSchema = PutFirewallConfigCrs$inboundSchema;
  PutFirewallConfigCrs$2.outboundSchema = PutFirewallConfigCrs$outboundSchema;
})(PutFirewallConfigCrs$ || (PutFirewallConfigCrs$ = {}));
var PutFirewallConfigSecurityType$inboundSchema = nativeEnumType(PutFirewallConfigSecurityType);
var PutFirewallConfigSecurityType$outboundSchema = PutFirewallConfigSecurityType$inboundSchema;
var PutFirewallConfigSecurityType$;
(function(PutFirewallConfigSecurityType$2) {
  PutFirewallConfigSecurityType$2.inboundSchema = PutFirewallConfigSecurityType$inboundSchema;
  PutFirewallConfigSecurityType$2.outboundSchema = PutFirewallConfigSecurityType$outboundSchema;
})(PutFirewallConfigSecurityType$ || (PutFirewallConfigSecurityType$ = {}));
var PutFirewallConfigOp$inboundSchema = nativeEnumType(PutFirewallConfigOp);
var PutFirewallConfigOp$outboundSchema = PutFirewallConfigOp$inboundSchema;
var PutFirewallConfigOp$;
(function(PutFirewallConfigOp$2) {
  PutFirewallConfigOp$2.inboundSchema = PutFirewallConfigOp$inboundSchema;
  PutFirewallConfigOp$2.outboundSchema = PutFirewallConfigOp$outboundSchema;
})(PutFirewallConfigOp$ || (PutFirewallConfigOp$ = {}));
var PutFirewallConfigSecurityValue$inboundSchema = unionType([stringType(), numberType(), arrayType(stringType())]);
var PutFirewallConfigSecurityValue$outboundSchema = unionType([stringType(), numberType(), arrayType(stringType())]);
var PutFirewallConfigSecurityValue$;
(function(PutFirewallConfigSecurityValue$2) {
  PutFirewallConfigSecurityValue$2.inboundSchema = PutFirewallConfigSecurityValue$inboundSchema;
  PutFirewallConfigSecurityValue$2.outboundSchema = PutFirewallConfigSecurityValue$outboundSchema;
})(PutFirewallConfigSecurityValue$ || (PutFirewallConfigSecurityValue$ = {}));
var PutFirewallConfigConditions$inboundSchema = objectType({
  type: PutFirewallConfigSecurityType$inboundSchema,
  op: PutFirewallConfigOp$inboundSchema,
  neg: booleanType().optional(),
  key: stringType().optional(),
  value: unionType([stringType(), numberType(), arrayType(stringType())]).optional()
});
var PutFirewallConfigConditions$outboundSchema = objectType({
  type: PutFirewallConfigSecurityType$outboundSchema,
  op: PutFirewallConfigOp$outboundSchema,
  neg: booleanType().optional(),
  key: stringType().optional(),
  value: unionType([stringType(), numberType(), arrayType(stringType())]).optional()
});
var PutFirewallConfigConditions$;
(function(PutFirewallConfigConditions$2) {
  PutFirewallConfigConditions$2.inboundSchema = PutFirewallConfigConditions$inboundSchema;
  PutFirewallConfigConditions$2.outboundSchema = PutFirewallConfigConditions$outboundSchema;
})(PutFirewallConfigConditions$ || (PutFirewallConfigConditions$ = {}));
var PutFirewallConfigConditionGroup$inboundSchema = objectType({
  conditions: arrayType(lazyType(() => PutFirewallConfigConditions$inboundSchema))
});
var PutFirewallConfigConditionGroup$outboundSchema = objectType({
  conditions: arrayType(lazyType(() => PutFirewallConfigConditions$outboundSchema))
});
var PutFirewallConfigConditionGroup$;
(function(PutFirewallConfigConditionGroup$2) {
  PutFirewallConfigConditionGroup$2.inboundSchema = PutFirewallConfigConditionGroup$inboundSchema;
  PutFirewallConfigConditionGroup$2.outboundSchema = PutFirewallConfigConditionGroup$outboundSchema;
})(PutFirewallConfigConditionGroup$ || (PutFirewallConfigConditionGroup$ = {}));
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction);
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$inboundSchema;
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$;
(function(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$2) {
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$2.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$inboundSchema;
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$2.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$outboundSchema;
})(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$ || (PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$ = {}));
var PutFirewallConfigAlgo$inboundSchema = nativeEnumType(PutFirewallConfigAlgo);
var PutFirewallConfigAlgo$outboundSchema = PutFirewallConfigAlgo$inboundSchema;
var PutFirewallConfigAlgo$;
(function(PutFirewallConfigAlgo$2) {
  PutFirewallConfigAlgo$2.inboundSchema = PutFirewallConfigAlgo$inboundSchema;
  PutFirewallConfigAlgo$2.outboundSchema = PutFirewallConfigAlgo$outboundSchema;
})(PutFirewallConfigAlgo$ || (PutFirewallConfigAlgo$ = {}));
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction);
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$inboundSchema;
var PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$;
(function(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$2) {
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$2.inboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$inboundSchema;
  PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$2.outboundSchema = PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$outboundSchema;
})(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$ || (PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$ = {}));
var PutFirewallConfigRateLimit$inboundSchema = objectType({
  algo: PutFirewallConfigAlgo$inboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType()),
  action: nullableType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$inboundSchema).optional()
});
var PutFirewallConfigRateLimit$outboundSchema = objectType({
  algo: PutFirewallConfigAlgo$outboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType()),
  action: nullableType(PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesActionAction$outboundSchema).optional()
});
var PutFirewallConfigRateLimit$;
(function(PutFirewallConfigRateLimit$2) {
  PutFirewallConfigRateLimit$2.inboundSchema = PutFirewallConfigRateLimit$inboundSchema;
  PutFirewallConfigRateLimit$2.outboundSchema = PutFirewallConfigRateLimit$outboundSchema;
})(PutFirewallConfigRateLimit$ || (PutFirewallConfigRateLimit$ = {}));
var PutFirewallConfigRedirect$inboundSchema = objectType({
  location: stringType(),
  permanent: booleanType()
});
var PutFirewallConfigRedirect$outboundSchema = objectType({
  location: stringType(),
  permanent: booleanType()
});
var PutFirewallConfigRedirect$;
(function(PutFirewallConfigRedirect$2) {
  PutFirewallConfigRedirect$2.inboundSchema = PutFirewallConfigRedirect$inboundSchema;
  PutFirewallConfigRedirect$2.outboundSchema = PutFirewallConfigRedirect$outboundSchema;
})(PutFirewallConfigRedirect$ || (PutFirewallConfigRedirect$ = {}));
var PutFirewallConfigMitigate$inboundSchema = objectType({
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$inboundSchema,
  rateLimit: nullableType(lazyType(() => PutFirewallConfigRateLimit$inboundSchema)).optional(),
  redirect: nullableType(lazyType(() => PutFirewallConfigRedirect$inboundSchema)).optional(),
  actionDuration: nullableType(stringType()).optional()
});
var PutFirewallConfigMitigate$outboundSchema = objectType({
  action: PutFirewallConfigSecurityResponse200ApplicationJSONResponseBodyActiveRulesAction$outboundSchema,
  rateLimit: nullableType(lazyType(() => PutFirewallConfigRateLimit$outboundSchema)).optional(),
  redirect: nullableType(lazyType(() => PutFirewallConfigRedirect$outboundSchema)).optional(),
  actionDuration: nullableType(stringType()).optional()
});
var PutFirewallConfigMitigate$;
(function(PutFirewallConfigMitigate$2) {
  PutFirewallConfigMitigate$2.inboundSchema = PutFirewallConfigMitigate$inboundSchema;
  PutFirewallConfigMitigate$2.outboundSchema = PutFirewallConfigMitigate$outboundSchema;
})(PutFirewallConfigMitigate$ || (PutFirewallConfigMitigate$ = {}));
var PutFirewallConfigSecurityResponseAction$inboundSchema = objectType({
  mitigate: lazyType(() => PutFirewallConfigMitigate$inboundSchema).optional()
});
var PutFirewallConfigSecurityResponseAction$outboundSchema = objectType({
  mitigate: lazyType(() => PutFirewallConfigMitigate$outboundSchema).optional()
});
var PutFirewallConfigSecurityResponseAction$;
(function(PutFirewallConfigSecurityResponseAction$2) {
  PutFirewallConfigSecurityResponseAction$2.inboundSchema = PutFirewallConfigSecurityResponseAction$inboundSchema;
  PutFirewallConfigSecurityResponseAction$2.outboundSchema = PutFirewallConfigSecurityResponseAction$outboundSchema;
})(PutFirewallConfigSecurityResponseAction$ || (PutFirewallConfigSecurityResponseAction$ = {}));
var PutFirewallConfigRules$inboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  description: stringType().optional(),
  active: booleanType(),
  conditionGroup: arrayType(lazyType(() => PutFirewallConfigConditionGroup$inboundSchema)),
  action: lazyType(() => PutFirewallConfigSecurityResponseAction$inboundSchema)
});
var PutFirewallConfigRules$outboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  description: stringType().optional(),
  active: booleanType(),
  conditionGroup: arrayType(lazyType(() => PutFirewallConfigConditionGroup$outboundSchema)),
  action: lazyType(() => PutFirewallConfigSecurityResponseAction$outboundSchema)
});
var PutFirewallConfigRules$;
(function(PutFirewallConfigRules$2) {
  PutFirewallConfigRules$2.inboundSchema = PutFirewallConfigRules$inboundSchema;
  PutFirewallConfigRules$2.outboundSchema = PutFirewallConfigRules$outboundSchema;
})(PutFirewallConfigRules$ || (PutFirewallConfigRules$ = {}));
var PutFirewallConfigSecurityResponse200Action$inboundSchema = nativeEnumType(PutFirewallConfigSecurityResponse200Action);
var PutFirewallConfigSecurityResponse200Action$outboundSchema = PutFirewallConfigSecurityResponse200Action$inboundSchema;
var PutFirewallConfigSecurityResponse200Action$;
(function(PutFirewallConfigSecurityResponse200Action$2) {
  PutFirewallConfigSecurityResponse200Action$2.inboundSchema = PutFirewallConfigSecurityResponse200Action$inboundSchema;
  PutFirewallConfigSecurityResponse200Action$2.outboundSchema = PutFirewallConfigSecurityResponse200Action$outboundSchema;
})(PutFirewallConfigSecurityResponse200Action$ || (PutFirewallConfigSecurityResponse200Action$ = {}));
var PutFirewallConfigIps$inboundSchema = objectType({
  id: stringType(),
  hostname: stringType(),
  ip: stringType(),
  notes: stringType().optional(),
  action: PutFirewallConfigSecurityResponse200Action$inboundSchema
});
var PutFirewallConfigIps$outboundSchema = objectType({
  id: stringType(),
  hostname: stringType(),
  ip: stringType(),
  notes: stringType().optional(),
  action: PutFirewallConfigSecurityResponse200Action$outboundSchema
});
var PutFirewallConfigIps$;
(function(PutFirewallConfigIps$2) {
  PutFirewallConfigIps$2.inboundSchema = PutFirewallConfigIps$inboundSchema;
  PutFirewallConfigIps$2.outboundSchema = PutFirewallConfigIps$outboundSchema;
})(PutFirewallConfigIps$ || (PutFirewallConfigIps$ = {}));
var PutFirewallConfigChanges$inboundSchema = objectType({});
var PutFirewallConfigChanges$outboundSchema = objectType({});
var PutFirewallConfigChanges$;
(function(PutFirewallConfigChanges$2) {
  PutFirewallConfigChanges$2.inboundSchema = PutFirewallConfigChanges$inboundSchema;
  PutFirewallConfigChanges$2.outboundSchema = PutFirewallConfigChanges$outboundSchema;
})(PutFirewallConfigChanges$ || (PutFirewallConfigChanges$ = {}));
var PutFirewallConfigOwasp$inboundSchema = objectType({
  active: booleanType(),
  updatedAt: stringType().optional(),
  userId: stringType().optional(),
  username: stringType().optional()
});
var PutFirewallConfigOwasp$outboundSchema = objectType({
  active: booleanType(),
  updatedAt: stringType().optional(),
  userId: stringType().optional(),
  username: stringType().optional()
});
var PutFirewallConfigOwasp$;
(function(PutFirewallConfigOwasp$2) {
  PutFirewallConfigOwasp$2.inboundSchema = PutFirewallConfigOwasp$inboundSchema;
  PutFirewallConfigOwasp$2.outboundSchema = PutFirewallConfigOwasp$outboundSchema;
})(PutFirewallConfigOwasp$ || (PutFirewallConfigOwasp$ = {}));
var PutFirewallConfigVerifiedBotsBypass$inboundSchema = objectType({
  active: booleanType(),
  updatedAt: stringType().optional(),
  userId: stringType().optional(),
  username: stringType().optional()
});
var PutFirewallConfigVerifiedBotsBypass$outboundSchema = objectType({
  active: booleanType(),
  updatedAt: stringType().optional(),
  userId: stringType().optional(),
  username: stringType().optional()
});
var PutFirewallConfigVerifiedBotsBypass$;
(function(PutFirewallConfigVerifiedBotsBypass$2) {
  PutFirewallConfigVerifiedBotsBypass$2.inboundSchema = PutFirewallConfigVerifiedBotsBypass$inboundSchema;
  PutFirewallConfigVerifiedBotsBypass$2.outboundSchema = PutFirewallConfigVerifiedBotsBypass$outboundSchema;
})(PutFirewallConfigVerifiedBotsBypass$ || (PutFirewallConfigVerifiedBotsBypass$ = {}));
var PutFirewallConfigManagedRules$inboundSchema = objectType({
  owasp: lazyType(() => PutFirewallConfigOwasp$inboundSchema).optional(),
  verifiedBotsBypass: lazyType(() => PutFirewallConfigVerifiedBotsBypass$inboundSchema).optional()
});
var PutFirewallConfigManagedRules$outboundSchema = objectType({
  owasp: lazyType(() => PutFirewallConfigOwasp$outboundSchema).optional(),
  verifiedBotsBypass: lazyType(() => PutFirewallConfigVerifiedBotsBypass$outboundSchema).optional()
});
var PutFirewallConfigManagedRules$;
(function(PutFirewallConfigManagedRules$2) {
  PutFirewallConfigManagedRules$2.inboundSchema = PutFirewallConfigManagedRules$inboundSchema;
  PutFirewallConfigManagedRules$2.outboundSchema = PutFirewallConfigManagedRules$outboundSchema;
})(PutFirewallConfigManagedRules$ || (PutFirewallConfigManagedRules$ = {}));
var Active$inboundSchema = objectType({
  ownerId: stringType(),
  projectKey: stringType(),
  id: stringType(),
  version: numberType(),
  updatedAt: stringType(),
  firewallEnabled: booleanType(),
  crs: lazyType(() => PutFirewallConfigCrs$inboundSchema),
  rules: arrayType(lazyType(() => PutFirewallConfigRules$inboundSchema)),
  ips: arrayType(lazyType(() => PutFirewallConfigIps$inboundSchema)),
  changes: arrayType(lazyType(() => PutFirewallConfigChanges$inboundSchema)),
  managedRules: lazyType(() => PutFirewallConfigManagedRules$inboundSchema).optional()
});
var Active$outboundSchema = objectType({
  ownerId: stringType(),
  projectKey: stringType(),
  id: stringType(),
  version: numberType(),
  updatedAt: stringType(),
  firewallEnabled: booleanType(),
  crs: lazyType(() => PutFirewallConfigCrs$outboundSchema),
  rules: arrayType(lazyType(() => PutFirewallConfigRules$outboundSchema)),
  ips: arrayType(lazyType(() => PutFirewallConfigIps$outboundSchema)),
  changes: arrayType(lazyType(() => PutFirewallConfigChanges$outboundSchema)),
  managedRules: lazyType(() => PutFirewallConfigManagedRules$outboundSchema).optional()
});
var Active$;
(function(Active$2) {
  Active$2.inboundSchema = Active$inboundSchema;
  Active$2.outboundSchema = Active$outboundSchema;
})(Active$ || (Active$ = {}));
var PutFirewallConfigResponseBody$inboundSchema = objectType({
  active: lazyType(() => Active$inboundSchema)
});
var PutFirewallConfigResponseBody$outboundSchema = objectType({
  active: lazyType(() => Active$outboundSchema)
});
var PutFirewallConfigResponseBody$;
(function(PutFirewallConfigResponseBody$2) {
  PutFirewallConfigResponseBody$2.inboundSchema = PutFirewallConfigResponseBody$inboundSchema;
  PutFirewallConfigResponseBody$2.outboundSchema = PutFirewallConfigResponseBody$outboundSchema;
})(PutFirewallConfigResponseBody$ || (PutFirewallConfigResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/securityPutFirewallConfig.js
async function securityPutFirewallConfig(client, request, options) {
  const parsed = safeParse(request, (value) => PutFirewallConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v1/security/firewall/config")();
  const query = encodeFormQuery({
    projectId: payload.projectId,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "putFirewallConfig",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PUT",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, PutFirewallConfigResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/removebypassipop.js
var RemoveBypassIpRequestBody2$inboundSchema = objectType({
  domain: stringType().optional(),
  projectScope: booleanType(),
  sourceIp: stringType().optional(),
  allSources: booleanType().optional(),
  note: stringType().optional()
});
var RemoveBypassIpRequestBody2$outboundSchema = objectType({
  domain: stringType().optional(),
  projectScope: booleanType(),
  sourceIp: stringType().optional(),
  allSources: booleanType().optional(),
  note: stringType().optional()
});
var RemoveBypassIpRequestBody2$;
(function(RemoveBypassIpRequestBody2$2) {
  RemoveBypassIpRequestBody2$2.inboundSchema = RemoveBypassIpRequestBody2$inboundSchema;
  RemoveBypassIpRequestBody2$2.outboundSchema = RemoveBypassIpRequestBody2$outboundSchema;
})(RemoveBypassIpRequestBody2$ || (RemoveBypassIpRequestBody2$ = {}));
var RemoveBypassIpRequestBody1$inboundSchema = objectType({
  domain: stringType(),
  projectScope: booleanType().optional(),
  sourceIp: stringType().optional(),
  allSources: booleanType().optional(),
  note: stringType().optional()
});
var RemoveBypassIpRequestBody1$outboundSchema = objectType({
  domain: stringType(),
  projectScope: booleanType().optional(),
  sourceIp: stringType().optional(),
  allSources: booleanType().optional(),
  note: stringType().optional()
});
var RemoveBypassIpRequestBody1$;
(function(RemoveBypassIpRequestBody1$2) {
  RemoveBypassIpRequestBody1$2.inboundSchema = RemoveBypassIpRequestBody1$inboundSchema;
  RemoveBypassIpRequestBody1$2.outboundSchema = RemoveBypassIpRequestBody1$outboundSchema;
})(RemoveBypassIpRequestBody1$ || (RemoveBypassIpRequestBody1$ = {}));
var RemoveBypassIpRequestBody$inboundSchema = unionType([
  lazyType(() => RemoveBypassIpRequestBody1$inboundSchema),
  lazyType(() => RemoveBypassIpRequestBody2$inboundSchema)
]);
var RemoveBypassIpRequestBody$outboundSchema = unionType([
  lazyType(() => RemoveBypassIpRequestBody1$outboundSchema),
  lazyType(() => RemoveBypassIpRequestBody2$outboundSchema)
]);
var RemoveBypassIpRequestBody$;
(function(RemoveBypassIpRequestBody$2) {
  RemoveBypassIpRequestBody$2.inboundSchema = RemoveBypassIpRequestBody$inboundSchema;
  RemoveBypassIpRequestBody$2.outboundSchema = RemoveBypassIpRequestBody$outboundSchema;
})(RemoveBypassIpRequestBody$ || (RemoveBypassIpRequestBody$ = {}));
var RemoveBypassIpRequest$inboundSchema = objectType({
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: unionType([
    lazyType(() => RemoveBypassIpRequestBody1$inboundSchema),
    lazyType(() => RemoveBypassIpRequestBody2$inboundSchema)
  ]).optional()
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var RemoveBypassIpRequest$outboundSchema = objectType({
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: unionType([
    lazyType(() => RemoveBypassIpRequestBody1$outboundSchema),
    lazyType(() => RemoveBypassIpRequestBody2$outboundSchema)
  ]).optional()
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var RemoveBypassIpRequest$;
(function(RemoveBypassIpRequest$2) {
  RemoveBypassIpRequest$2.inboundSchema = RemoveBypassIpRequest$inboundSchema;
  RemoveBypassIpRequest$2.outboundSchema = RemoveBypassIpRequest$outboundSchema;
})(RemoveBypassIpRequest$ || (RemoveBypassIpRequest$ = {}));
var RemoveBypassIpResponseBody$inboundSchema = objectType({
  ok: booleanType()
});
var RemoveBypassIpResponseBody$outboundSchema = objectType({
  ok: booleanType()
});
var RemoveBypassIpResponseBody$;
(function(RemoveBypassIpResponseBody$2) {
  RemoveBypassIpResponseBody$2.inboundSchema = RemoveBypassIpResponseBody$inboundSchema;
  RemoveBypassIpResponseBody$2.outboundSchema = RemoveBypassIpResponseBody$outboundSchema;
})(RemoveBypassIpResponseBody$ || (RemoveBypassIpResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/securityRemoveBypassIp.js
async function securityRemoveBypassIp(client, request, options) {
  const parsed = safeParse(request, (value) => RemoveBypassIpRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v1/security/firewall/bypass")();
  const query = encodeFormQuery({
    projectId: payload.projectId,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "removeBypassIp",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RemoveBypassIpResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/updateattackchallengemodeop.js
var UpdateAttackChallengeModeRequestBody$inboundSchema = objectType({
  projectId: stringType(),
  attackModeEnabled: booleanType(),
  attackModeActiveUntil: nullableType(numberType()).optional()
});
var UpdateAttackChallengeModeRequestBody$outboundSchema = objectType({
  projectId: stringType(),
  attackModeEnabled: booleanType(),
  attackModeActiveUntil: nullableType(numberType()).optional()
});
var UpdateAttackChallengeModeRequestBody$;
(function(UpdateAttackChallengeModeRequestBody$2) {
  UpdateAttackChallengeModeRequestBody$2.inboundSchema = UpdateAttackChallengeModeRequestBody$inboundSchema;
  UpdateAttackChallengeModeRequestBody$2.outboundSchema = UpdateAttackChallengeModeRequestBody$outboundSchema;
})(UpdateAttackChallengeModeRequestBody$ || (UpdateAttackChallengeModeRequestBody$ = {}));
var UpdateAttackChallengeModeRequest$inboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => UpdateAttackChallengeModeRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var UpdateAttackChallengeModeRequest$outboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => UpdateAttackChallengeModeRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var UpdateAttackChallengeModeRequest$;
(function(UpdateAttackChallengeModeRequest$2) {
  UpdateAttackChallengeModeRequest$2.inboundSchema = UpdateAttackChallengeModeRequest$inboundSchema;
  UpdateAttackChallengeModeRequest$2.outboundSchema = UpdateAttackChallengeModeRequest$outboundSchema;
})(UpdateAttackChallengeModeRequest$ || (UpdateAttackChallengeModeRequest$ = {}));
var UpdateAttackChallengeModeResponseBody$inboundSchema = objectType({
  attackModeEnabled: booleanType(),
  attackModeUpdatedAt: numberType()
});
var UpdateAttackChallengeModeResponseBody$outboundSchema = objectType({
  attackModeEnabled: booleanType(),
  attackModeUpdatedAt: numberType()
});
var UpdateAttackChallengeModeResponseBody$;
(function(UpdateAttackChallengeModeResponseBody$2) {
  UpdateAttackChallengeModeResponseBody$2.inboundSchema = UpdateAttackChallengeModeResponseBody$inboundSchema;
  UpdateAttackChallengeModeResponseBody$2.outboundSchema = UpdateAttackChallengeModeResponseBody$outboundSchema;
})(UpdateAttackChallengeModeResponseBody$ || (UpdateAttackChallengeModeResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/securityUpdateAttackChallengeMode.js
async function securityUpdateAttackChallengeMode(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateAttackChallengeModeRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v1/security/attack-mode")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "updateAttackChallengeMode",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateAttackChallengeModeResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/updatefirewallconfigop.js
var UpdateFirewallConfigRequestBodySecurityRequest11Action = {
  ManagedRulesUpdate: "managedRules.update"
};
var RequestBodyId = {
  Owasp: "owasp"
};
var UpdateFirewallConfigRequestBodySecurityRequest10Action = {
  IpRemove: "ip.remove"
};
var UpdateFirewallConfigRequestBodySecurityRequest9Action = {
  IpUpdate: "ip.update"
};
var UpdateFirewallConfigRequestBodySecurityRequest9ValueAction = {
  Deny: "deny",
  Challenge: "challenge",
  Log: "log",
  Bypass: "bypass"
};
var UpdateFirewallConfigRequestBodySecurityRequest8Action = {
  IpInsert: "ip.insert"
};
var UpdateFirewallConfigRequestBodySecurityRequest8ValueAction = {
  Deny: "deny",
  Challenge: "challenge",
  Log: "log",
  Bypass: "bypass"
};
var UpdateFirewallConfigRequestBodySecurityRequest7Action = {
  CrsDisable: "crs.disable"
};
var UpdateFirewallConfigRequestBodySecurityRequest6Action = {
  CrsUpdate: "crs.update"
};
var Id = {
  Sd: "sd",
  Ma: "ma",
  Lfi: "lfi",
  Rfi: "rfi",
  Rce: "rce",
  Php: "php",
  Gen: "gen",
  Xss: "xss",
  Sqli: "sqli",
  Sf: "sf",
  Java: "java"
};
var UpdateFirewallConfigRequestBodySecurityRequest6ValueAction = {
  Deny: "deny",
  Log: "log"
};
var UpdateFirewallConfigRequestBodySecurityRequest5Action = {
  RulesPriority: "rules.priority"
};
var UpdateFirewallConfigRequestBodySecurityRequestAction = {
  RulesRemove: "rules.remove"
};
var UpdateFirewallConfigRequestBodySecurityAction = {
  RulesUpdate: "rules.update"
};
var UpdateFirewallConfigRequestBodySecurityType = {
  Host: "host",
  Path: "path",
  Method: "method",
  Header: "header",
  Query: "query",
  Cookie: "cookie",
  TargetPath: "target_path",
  RawPath: "raw_path",
  IpAddress: "ip_address",
  Region: "region",
  Protocol: "protocol",
  Scheme: "scheme",
  Environment: "environment",
  UserAgent: "user_agent",
  GeoContinent: "geo_continent",
  GeoCountry: "geo_country",
  GeoCountryRegion: "geo_country_region",
  GeoCity: "geo_city",
  GeoAsNumber: "geo_as_number",
  Ja4Digest: "ja4_digest",
  Ja3Digest: "ja3_digest",
  RateLimitApiId: "rate_limit_api_id"
};
var UpdateFirewallConfigRequestBodyOp = {
  Re: "re",
  Eq: "eq",
  Neq: "neq",
  Ex: "ex",
  Nex: "nex",
  Inc: "inc",
  Ninc: "ninc",
  Pre: "pre",
  Suf: "suf",
  Sub: "sub",
  Gt: "gt",
  Gte: "gte",
  Lt: "lt",
  Lte: "lte"
};
var UpdateFirewallConfigRequestBodySecurityRequest3ValueAction = {
  Log: "log",
  Challenge: "challenge",
  Deny: "deny",
  Bypass: "bypass",
  RateLimit: "rate_limit",
  Redirect: "redirect"
};
var UpdateFirewallConfigRateLimitAlgo = {
  FixedWindow: "fixed_window",
  TokenBucket: "token_bucket"
};
var UpdateFirewallConfigActionSecurity1 = {
  Log: "log",
  Challenge: "challenge",
  Deny: "deny",
  RateLimit: "rate_limit"
};
var UpdateFirewallConfigRequestBodyAction = {
  RulesInsert: "rules.insert"
};
var UpdateFirewallConfigRequestBodyType = {
  Host: "host",
  Path: "path",
  Method: "method",
  Header: "header",
  Query: "query",
  Cookie: "cookie",
  TargetPath: "target_path",
  RawPath: "raw_path",
  IpAddress: "ip_address",
  Region: "region",
  Protocol: "protocol",
  Scheme: "scheme",
  Environment: "environment",
  UserAgent: "user_agent",
  GeoContinent: "geo_continent",
  GeoCountry: "geo_country",
  GeoCountryRegion: "geo_country_region",
  GeoCity: "geo_city",
  GeoAsNumber: "geo_as_number",
  Ja4Digest: "ja4_digest",
  Ja3Digest: "ja3_digest",
  RateLimitApiId: "rate_limit_api_id"
};
var RequestBodyOp = {
  Re: "re",
  Eq: "eq",
  Neq: "neq",
  Ex: "ex",
  Nex: "nex",
  Inc: "inc",
  Ninc: "ninc",
  Pre: "pre",
  Suf: "suf",
  Sub: "sub",
  Gt: "gt",
  Gte: "gte",
  Lt: "lt",
  Lte: "lte"
};
var UpdateFirewallConfigRequestBodySecurityRequest2ValueAction = {
  Log: "log",
  Challenge: "challenge",
  Deny: "deny",
  Bypass: "bypass",
  RateLimit: "rate_limit",
  Redirect: "redirect"
};
var RateLimitAlgo = {
  FixedWindow: "fixed_window",
  TokenBucket: "token_bucket"
};
var UpdateFirewallConfigAction1 = {
  Log: "log",
  Challenge: "challenge",
  Deny: "deny",
  RateLimit: "rate_limit"
};
var RequestBodyAction = {
  FirewallEnabled: "firewallEnabled"
};
var UpdateFirewallConfigRequestBodySecurityRequest11Action$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest11Action);
var UpdateFirewallConfigRequestBodySecurityRequest11Action$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest11Action$inboundSchema;
var UpdateFirewallConfigRequestBodySecurityRequest11Action$;
(function(UpdateFirewallConfigRequestBodySecurityRequest11Action$2) {
  UpdateFirewallConfigRequestBodySecurityRequest11Action$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest11Action$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest11Action$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest11Action$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest11Action$ || (UpdateFirewallConfigRequestBodySecurityRequest11Action$ = {}));
var RequestBodyId$inboundSchema = nativeEnumType(RequestBodyId);
var RequestBodyId$outboundSchema = RequestBodyId$inboundSchema;
var RequestBodyId$;
(function(RequestBodyId$2) {
  RequestBodyId$2.inboundSchema = RequestBodyId$inboundSchema;
  RequestBodyId$2.outboundSchema = RequestBodyId$outboundSchema;
})(RequestBodyId$ || (RequestBodyId$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequest11Value$inboundSchema = objectType({
  active: booleanType()
});
var UpdateFirewallConfigRequestBodySecurityRequest11Value$outboundSchema = objectType({
  active: booleanType()
});
var UpdateFirewallConfigRequestBodySecurityRequest11Value$;
(function(UpdateFirewallConfigRequestBodySecurityRequest11Value$2) {
  UpdateFirewallConfigRequestBodySecurityRequest11Value$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest11Value$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest11Value$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest11Value$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest11Value$ || (UpdateFirewallConfigRequestBodySecurityRequest11Value$ = {}));
var Eleven$inboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest11Action$inboundSchema,
  id: RequestBodyId$inboundSchema,
  value: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest11Value$inboundSchema)
});
var Eleven$outboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest11Action$outboundSchema,
  id: RequestBodyId$outboundSchema,
  value: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest11Value$outboundSchema)
});
var Eleven$;
(function(Eleven$2) {
  Eleven$2.inboundSchema = Eleven$inboundSchema;
  Eleven$2.outboundSchema = Eleven$outboundSchema;
})(Eleven$ || (Eleven$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequest10Action$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest10Action);
var UpdateFirewallConfigRequestBodySecurityRequest10Action$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest10Action$inboundSchema;
var UpdateFirewallConfigRequestBodySecurityRequest10Action$;
(function(UpdateFirewallConfigRequestBodySecurityRequest10Action$2) {
  UpdateFirewallConfigRequestBodySecurityRequest10Action$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest10Action$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest10Action$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest10Action$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest10Action$ || (UpdateFirewallConfigRequestBodySecurityRequest10Action$ = {}));
var RequestBody10$inboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest10Action$inboundSchema,
  id: stringType(),
  value: nullableType(anyType()).optional()
});
var RequestBody10$outboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest10Action$outboundSchema,
  id: stringType(),
  value: nullableType(anyType()).optional()
});
var RequestBody10$;
(function(RequestBody10$2) {
  RequestBody10$2.inboundSchema = RequestBody10$inboundSchema;
  RequestBody10$2.outboundSchema = RequestBody10$outboundSchema;
})(RequestBody10$ || (RequestBody10$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequest9Action$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest9Action);
var UpdateFirewallConfigRequestBodySecurityRequest9Action$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest9Action$inboundSchema;
var UpdateFirewallConfigRequestBodySecurityRequest9Action$;
(function(UpdateFirewallConfigRequestBodySecurityRequest9Action$2) {
  UpdateFirewallConfigRequestBodySecurityRequest9Action$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest9Action$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest9Action$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest9Action$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest9Action$ || (UpdateFirewallConfigRequestBodySecurityRequest9Action$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest9ValueAction);
var UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$inboundSchema;
var UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$;
(function(UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$2) {
  UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$ || (UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequest9Value$inboundSchema = objectType({
  hostname: stringType(),
  ip: stringType(),
  notes: stringType().optional(),
  action: UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$inboundSchema
});
var UpdateFirewallConfigRequestBodySecurityRequest9Value$outboundSchema = objectType({
  hostname: stringType(),
  ip: stringType(),
  notes: stringType().optional(),
  action: UpdateFirewallConfigRequestBodySecurityRequest9ValueAction$outboundSchema
});
var UpdateFirewallConfigRequestBodySecurityRequest9Value$;
(function(UpdateFirewallConfigRequestBodySecurityRequest9Value$2) {
  UpdateFirewallConfigRequestBodySecurityRequest9Value$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest9Value$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest9Value$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest9Value$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest9Value$ || (UpdateFirewallConfigRequestBodySecurityRequest9Value$ = {}));
var RequestBody9$inboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest9Action$inboundSchema,
  id: stringType(),
  value: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest9Value$inboundSchema)
});
var RequestBody9$outboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest9Action$outboundSchema,
  id: stringType(),
  value: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest9Value$outboundSchema)
});
var RequestBody9$;
(function(RequestBody9$2) {
  RequestBody9$2.inboundSchema = RequestBody9$inboundSchema;
  RequestBody9$2.outboundSchema = RequestBody9$outboundSchema;
})(RequestBody9$ || (RequestBody9$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequest8Action$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest8Action);
var UpdateFirewallConfigRequestBodySecurityRequest8Action$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest8Action$inboundSchema;
var UpdateFirewallConfigRequestBodySecurityRequest8Action$;
(function(UpdateFirewallConfigRequestBodySecurityRequest8Action$2) {
  UpdateFirewallConfigRequestBodySecurityRequest8Action$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest8Action$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest8Action$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest8Action$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest8Action$ || (UpdateFirewallConfigRequestBodySecurityRequest8Action$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest8ValueAction);
var UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$inboundSchema;
var UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$;
(function(UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$2) {
  UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$ || (UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequestValue$inboundSchema = objectType({
  hostname: stringType(),
  ip: stringType(),
  notes: stringType().optional(),
  action: UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$inboundSchema
});
var UpdateFirewallConfigRequestBodySecurityRequestValue$outboundSchema = objectType({
  hostname: stringType(),
  ip: stringType(),
  notes: stringType().optional(),
  action: UpdateFirewallConfigRequestBodySecurityRequest8ValueAction$outboundSchema
});
var UpdateFirewallConfigRequestBodySecurityRequestValue$;
(function(UpdateFirewallConfigRequestBodySecurityRequestValue$2) {
  UpdateFirewallConfigRequestBodySecurityRequestValue$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequestValue$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequestValue$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequestValue$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequestValue$ || (UpdateFirewallConfigRequestBodySecurityRequestValue$ = {}));
var RequestBody8$inboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest8Action$inboundSchema,
  id: nullableType(anyType()).optional(),
  value: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequestValue$inboundSchema)
});
var RequestBody8$outboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest8Action$outboundSchema,
  id: nullableType(anyType()).optional(),
  value: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequestValue$outboundSchema)
});
var RequestBody8$;
(function(RequestBody8$2) {
  RequestBody8$2.inboundSchema = RequestBody8$inboundSchema;
  RequestBody8$2.outboundSchema = RequestBody8$outboundSchema;
})(RequestBody8$ || (RequestBody8$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequest7Action$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest7Action);
var UpdateFirewallConfigRequestBodySecurityRequest7Action$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest7Action$inboundSchema;
var UpdateFirewallConfigRequestBodySecurityRequest7Action$;
(function(UpdateFirewallConfigRequestBodySecurityRequest7Action$2) {
  UpdateFirewallConfigRequestBodySecurityRequest7Action$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest7Action$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest7Action$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest7Action$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest7Action$ || (UpdateFirewallConfigRequestBodySecurityRequest7Action$ = {}));
var RequestBody7$inboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest7Action$inboundSchema,
  id: nullableType(anyType()).optional(),
  value: nullableType(anyType()).optional()
});
var RequestBody7$outboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest7Action$outboundSchema,
  id: nullableType(anyType()).optional(),
  value: nullableType(anyType()).optional()
});
var RequestBody7$;
(function(RequestBody7$2) {
  RequestBody7$2.inboundSchema = RequestBody7$inboundSchema;
  RequestBody7$2.outboundSchema = RequestBody7$outboundSchema;
})(RequestBody7$ || (RequestBody7$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequest6Action$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest6Action);
var UpdateFirewallConfigRequestBodySecurityRequest6Action$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest6Action$inboundSchema;
var UpdateFirewallConfigRequestBodySecurityRequest6Action$;
(function(UpdateFirewallConfigRequestBodySecurityRequest6Action$2) {
  UpdateFirewallConfigRequestBodySecurityRequest6Action$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest6Action$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest6Action$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest6Action$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest6Action$ || (UpdateFirewallConfigRequestBodySecurityRequest6Action$ = {}));
var Id$inboundSchema = nativeEnumType(Id);
var Id$outboundSchema = Id$inboundSchema;
var Id$;
(function(Id$2) {
  Id$2.inboundSchema = Id$inboundSchema;
  Id$2.outboundSchema = Id$outboundSchema;
})(Id$ || (Id$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest6ValueAction);
var UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$inboundSchema;
var UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$;
(function(UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$2) {
  UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$ || (UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$ = {}));
var UpdateFirewallConfigRequestBodySecurityValue$inboundSchema = objectType({
  active: booleanType(),
  action: UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$inboundSchema
});
var UpdateFirewallConfigRequestBodySecurityValue$outboundSchema = objectType({
  active: booleanType(),
  action: UpdateFirewallConfigRequestBodySecurityRequest6ValueAction$outboundSchema
});
var UpdateFirewallConfigRequestBodySecurityValue$;
(function(UpdateFirewallConfigRequestBodySecurityValue$2) {
  UpdateFirewallConfigRequestBodySecurityValue$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityValue$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityValue$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityValue$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityValue$ || (UpdateFirewallConfigRequestBodySecurityValue$ = {}));
var RequestBody6$inboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest6Action$inboundSchema,
  id: Id$inboundSchema,
  value: lazyType(() => UpdateFirewallConfigRequestBodySecurityValue$inboundSchema)
});
var RequestBody6$outboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest6Action$outboundSchema,
  id: Id$outboundSchema,
  value: lazyType(() => UpdateFirewallConfigRequestBodySecurityValue$outboundSchema)
});
var RequestBody6$;
(function(RequestBody6$2) {
  RequestBody6$2.inboundSchema = RequestBody6$inboundSchema;
  RequestBody6$2.outboundSchema = RequestBody6$outboundSchema;
})(RequestBody6$ || (RequestBody6$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequest5Action$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest5Action);
var UpdateFirewallConfigRequestBodySecurityRequest5Action$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest5Action$inboundSchema;
var UpdateFirewallConfigRequestBodySecurityRequest5Action$;
(function(UpdateFirewallConfigRequestBodySecurityRequest5Action$2) {
  UpdateFirewallConfigRequestBodySecurityRequest5Action$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest5Action$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest5Action$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest5Action$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest5Action$ || (UpdateFirewallConfigRequestBodySecurityRequest5Action$ = {}));
var UpdateFirewallConfigRequestBody5$inboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest5Action$inboundSchema,
  id: stringType(),
  value: numberType()
});
var UpdateFirewallConfigRequestBody5$outboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest5Action$outboundSchema,
  id: stringType(),
  value: numberType()
});
var UpdateFirewallConfigRequestBody5$;
(function(UpdateFirewallConfigRequestBody5$2) {
  UpdateFirewallConfigRequestBody5$2.inboundSchema = UpdateFirewallConfigRequestBody5$inboundSchema;
  UpdateFirewallConfigRequestBody5$2.outboundSchema = UpdateFirewallConfigRequestBody5$outboundSchema;
})(UpdateFirewallConfigRequestBody5$ || (UpdateFirewallConfigRequestBody5$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequestAction$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequestAction);
var UpdateFirewallConfigRequestBodySecurityRequestAction$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequestAction$inboundSchema;
var UpdateFirewallConfigRequestBodySecurityRequestAction$;
(function(UpdateFirewallConfigRequestBodySecurityRequestAction$2) {
  UpdateFirewallConfigRequestBodySecurityRequestAction$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequestAction$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequestAction$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequestAction$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequestAction$ || (UpdateFirewallConfigRequestBodySecurityRequestAction$ = {}));
var UpdateFirewallConfigRequestBody4$inboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequestAction$inboundSchema,
  id: stringType(),
  value: nullableType(anyType()).optional()
});
var UpdateFirewallConfigRequestBody4$outboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequestAction$outboundSchema,
  id: stringType(),
  value: nullableType(anyType()).optional()
});
var UpdateFirewallConfigRequestBody4$;
(function(UpdateFirewallConfigRequestBody4$2) {
  UpdateFirewallConfigRequestBody4$2.inboundSchema = UpdateFirewallConfigRequestBody4$inboundSchema;
  UpdateFirewallConfigRequestBody4$2.outboundSchema = UpdateFirewallConfigRequestBody4$outboundSchema;
})(UpdateFirewallConfigRequestBody4$ || (UpdateFirewallConfigRequestBody4$ = {}));
var UpdateFirewallConfigRequestBodySecurityAction$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityAction);
var UpdateFirewallConfigRequestBodySecurityAction$outboundSchema = UpdateFirewallConfigRequestBodySecurityAction$inboundSchema;
var UpdateFirewallConfigRequestBodySecurityAction$;
(function(UpdateFirewallConfigRequestBodySecurityAction$2) {
  UpdateFirewallConfigRequestBodySecurityAction$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityAction$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityAction$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityAction$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityAction$ || (UpdateFirewallConfigRequestBodySecurityAction$ = {}));
var UpdateFirewallConfigRequestBodySecurityType$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityType);
var UpdateFirewallConfigRequestBodySecurityType$outboundSchema = UpdateFirewallConfigRequestBodySecurityType$inboundSchema;
var UpdateFirewallConfigRequestBodySecurityType$;
(function(UpdateFirewallConfigRequestBodySecurityType$2) {
  UpdateFirewallConfigRequestBodySecurityType$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityType$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityType$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityType$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityType$ || (UpdateFirewallConfigRequestBodySecurityType$ = {}));
var UpdateFirewallConfigRequestBodyOp$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodyOp);
var UpdateFirewallConfigRequestBodyOp$outboundSchema = UpdateFirewallConfigRequestBodyOp$inboundSchema;
var UpdateFirewallConfigRequestBodyOp$;
(function(UpdateFirewallConfigRequestBodyOp$2) {
  UpdateFirewallConfigRequestBodyOp$2.inboundSchema = UpdateFirewallConfigRequestBodyOp$inboundSchema;
  UpdateFirewallConfigRequestBodyOp$2.outboundSchema = UpdateFirewallConfigRequestBodyOp$outboundSchema;
})(UpdateFirewallConfigRequestBodyOp$ || (UpdateFirewallConfigRequestBodyOp$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequest3Value$inboundSchema = unionType([stringType(), arrayType(stringType()), numberType()]);
var UpdateFirewallConfigRequestBodySecurityRequest3Value$outboundSchema = unionType([stringType(), arrayType(stringType()), numberType()]);
var UpdateFirewallConfigRequestBodySecurityRequest3Value$;
(function(UpdateFirewallConfigRequestBodySecurityRequest3Value$2) {
  UpdateFirewallConfigRequestBodySecurityRequest3Value$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest3Value$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest3Value$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest3Value$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest3Value$ || (UpdateFirewallConfigRequestBodySecurityRequest3Value$ = {}));
var UpdateFirewallConfigRequestBodyConditions$inboundSchema = objectType({
  type: UpdateFirewallConfigRequestBodySecurityType$inboundSchema,
  op: UpdateFirewallConfigRequestBodyOp$inboundSchema,
  neg: booleanType().optional(),
  key: stringType().optional(),
  value: unionType([stringType(), arrayType(stringType()), numberType()]).optional()
});
var UpdateFirewallConfigRequestBodyConditions$outboundSchema = objectType({
  type: UpdateFirewallConfigRequestBodySecurityType$outboundSchema,
  op: UpdateFirewallConfigRequestBodyOp$outboundSchema,
  neg: booleanType().optional(),
  key: stringType().optional(),
  value: unionType([stringType(), arrayType(stringType()), numberType()]).optional()
});
var UpdateFirewallConfigRequestBodyConditions$;
(function(UpdateFirewallConfigRequestBodyConditions$2) {
  UpdateFirewallConfigRequestBodyConditions$2.inboundSchema = UpdateFirewallConfigRequestBodyConditions$inboundSchema;
  UpdateFirewallConfigRequestBodyConditions$2.outboundSchema = UpdateFirewallConfigRequestBodyConditions$outboundSchema;
})(UpdateFirewallConfigRequestBodyConditions$ || (UpdateFirewallConfigRequestBodyConditions$ = {}));
var UpdateFirewallConfigRequestBodyConditionGroup$inboundSchema = objectType({
  conditions: arrayType(lazyType(() => UpdateFirewallConfigRequestBodyConditions$inboundSchema))
});
var UpdateFirewallConfigRequestBodyConditionGroup$outboundSchema = objectType({
  conditions: arrayType(lazyType(() => UpdateFirewallConfigRequestBodyConditions$outboundSchema))
});
var UpdateFirewallConfigRequestBodyConditionGroup$;
(function(UpdateFirewallConfigRequestBodyConditionGroup$2) {
  UpdateFirewallConfigRequestBodyConditionGroup$2.inboundSchema = UpdateFirewallConfigRequestBodyConditionGroup$inboundSchema;
  UpdateFirewallConfigRequestBodyConditionGroup$2.outboundSchema = UpdateFirewallConfigRequestBodyConditionGroup$outboundSchema;
})(UpdateFirewallConfigRequestBodyConditionGroup$ || (UpdateFirewallConfigRequestBodyConditionGroup$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest3ValueAction);
var UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$inboundSchema;
var UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$;
(function(UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$2) {
  UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$ || (UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$ = {}));
var UpdateFirewallConfigRateLimitAlgo$inboundSchema = nativeEnumType(UpdateFirewallConfigRateLimitAlgo);
var UpdateFirewallConfigRateLimitAlgo$outboundSchema = UpdateFirewallConfigRateLimitAlgo$inboundSchema;
var UpdateFirewallConfigRateLimitAlgo$;
(function(UpdateFirewallConfigRateLimitAlgo$2) {
  UpdateFirewallConfigRateLimitAlgo$2.inboundSchema = UpdateFirewallConfigRateLimitAlgo$inboundSchema;
  UpdateFirewallConfigRateLimitAlgo$2.outboundSchema = UpdateFirewallConfigRateLimitAlgo$outboundSchema;
})(UpdateFirewallConfigRateLimitAlgo$ || (UpdateFirewallConfigRateLimitAlgo$ = {}));
var UpdateFirewallConfigActionSecurity1$inboundSchema = nativeEnumType(UpdateFirewallConfigActionSecurity1);
var UpdateFirewallConfigActionSecurity1$outboundSchema = UpdateFirewallConfigActionSecurity1$inboundSchema;
var UpdateFirewallConfigActionSecurity1$;
(function(UpdateFirewallConfigActionSecurity1$2) {
  UpdateFirewallConfigActionSecurity1$2.inboundSchema = UpdateFirewallConfigActionSecurity1$inboundSchema;
  UpdateFirewallConfigActionSecurity1$2.outboundSchema = UpdateFirewallConfigActionSecurity1$outboundSchema;
})(UpdateFirewallConfigActionSecurity1$ || (UpdateFirewallConfigActionSecurity1$ = {}));
var UpdateFirewallConfigRateLimitSecurityAction$inboundSchema = unionType([UpdateFirewallConfigActionSecurity1$inboundSchema, anyType()]);
var UpdateFirewallConfigRateLimitSecurityAction$outboundSchema = unionType([UpdateFirewallConfigActionSecurity1$outboundSchema, anyType()]);
var UpdateFirewallConfigRateLimitSecurityAction$;
(function(UpdateFirewallConfigRateLimitSecurityAction$2) {
  UpdateFirewallConfigRateLimitSecurityAction$2.inboundSchema = UpdateFirewallConfigRateLimitSecurityAction$inboundSchema;
  UpdateFirewallConfigRateLimitSecurityAction$2.outboundSchema = UpdateFirewallConfigRateLimitSecurityAction$outboundSchema;
})(UpdateFirewallConfigRateLimitSecurityAction$ || (UpdateFirewallConfigRateLimitSecurityAction$ = {}));
var UpdateFirewallConfigRateLimitSecurity1$inboundSchema = objectType({
  algo: UpdateFirewallConfigRateLimitAlgo$inboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType()),
  action: nullableType(unionType([UpdateFirewallConfigActionSecurity1$inboundSchema, anyType()])).optional()
});
var UpdateFirewallConfigRateLimitSecurity1$outboundSchema = objectType({
  algo: UpdateFirewallConfigRateLimitAlgo$outboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType()),
  action: nullableType(unionType([UpdateFirewallConfigActionSecurity1$outboundSchema, anyType()])).optional()
});
var UpdateFirewallConfigRateLimitSecurity1$;
(function(UpdateFirewallConfigRateLimitSecurity1$2) {
  UpdateFirewallConfigRateLimitSecurity1$2.inboundSchema = UpdateFirewallConfigRateLimitSecurity1$inboundSchema;
  UpdateFirewallConfigRateLimitSecurity1$2.outboundSchema = UpdateFirewallConfigRateLimitSecurity1$outboundSchema;
})(UpdateFirewallConfigRateLimitSecurity1$ || (UpdateFirewallConfigRateLimitSecurity1$ = {}));
var UpdateFirewallConfigRequestBodyRateLimit$inboundSchema = unionType([
  lazyType(() => UpdateFirewallConfigRateLimitSecurity1$inboundSchema),
  anyType()
]);
var UpdateFirewallConfigRequestBodyRateLimit$outboundSchema = unionType([
  lazyType(() => UpdateFirewallConfigRateLimitSecurity1$outboundSchema),
  anyType()
]);
var UpdateFirewallConfigRequestBodyRateLimit$;
(function(UpdateFirewallConfigRequestBodyRateLimit$2) {
  UpdateFirewallConfigRequestBodyRateLimit$2.inboundSchema = UpdateFirewallConfigRequestBodyRateLimit$inboundSchema;
  UpdateFirewallConfigRequestBodyRateLimit$2.outboundSchema = UpdateFirewallConfigRequestBodyRateLimit$outboundSchema;
})(UpdateFirewallConfigRequestBodyRateLimit$ || (UpdateFirewallConfigRequestBodyRateLimit$ = {}));
var UpdateFirewallConfigRedirectSecurity1$inboundSchema = objectType({
  location: stringType(),
  permanent: booleanType()
});
var UpdateFirewallConfigRedirectSecurity1$outboundSchema = objectType({
  location: stringType(),
  permanent: booleanType()
});
var UpdateFirewallConfigRedirectSecurity1$;
(function(UpdateFirewallConfigRedirectSecurity1$2) {
  UpdateFirewallConfigRedirectSecurity1$2.inboundSchema = UpdateFirewallConfigRedirectSecurity1$inboundSchema;
  UpdateFirewallConfigRedirectSecurity1$2.outboundSchema = UpdateFirewallConfigRedirectSecurity1$outboundSchema;
})(UpdateFirewallConfigRedirectSecurity1$ || (UpdateFirewallConfigRedirectSecurity1$ = {}));
var UpdateFirewallConfigRequestBodyRedirect$inboundSchema = unionType([
  lazyType(() => UpdateFirewallConfigRedirectSecurity1$inboundSchema),
  anyType()
]);
var UpdateFirewallConfigRequestBodyRedirect$outboundSchema = unionType([
  lazyType(() => UpdateFirewallConfigRedirectSecurity1$outboundSchema),
  anyType()
]);
var UpdateFirewallConfigRequestBodyRedirect$;
(function(UpdateFirewallConfigRequestBodyRedirect$2) {
  UpdateFirewallConfigRequestBodyRedirect$2.inboundSchema = UpdateFirewallConfigRequestBodyRedirect$inboundSchema;
  UpdateFirewallConfigRequestBodyRedirect$2.outboundSchema = UpdateFirewallConfigRequestBodyRedirect$outboundSchema;
})(UpdateFirewallConfigRequestBodyRedirect$ || (UpdateFirewallConfigRequestBodyRedirect$ = {}));
var UpdateFirewallConfigRequestBodyMitigate$inboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$inboundSchema,
  rateLimit: nullableType(unionType([
    lazyType(() => UpdateFirewallConfigRateLimitSecurity1$inboundSchema),
    anyType()
  ])).optional(),
  redirect: nullableType(unionType([
    lazyType(() => UpdateFirewallConfigRedirectSecurity1$inboundSchema),
    anyType()
  ])).optional(),
  actionDuration: nullableType(stringType()).optional()
});
var UpdateFirewallConfigRequestBodyMitigate$outboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest3ValueAction$outboundSchema,
  rateLimit: nullableType(unionType([
    lazyType(() => UpdateFirewallConfigRateLimitSecurity1$outboundSchema),
    anyType()
  ])).optional(),
  redirect: nullableType(unionType([
    lazyType(() => UpdateFirewallConfigRedirectSecurity1$outboundSchema),
    anyType()
  ])).optional(),
  actionDuration: nullableType(stringType()).optional()
});
var UpdateFirewallConfigRequestBodyMitigate$;
(function(UpdateFirewallConfigRequestBodyMitigate$2) {
  UpdateFirewallConfigRequestBodyMitigate$2.inboundSchema = UpdateFirewallConfigRequestBodyMitigate$inboundSchema;
  UpdateFirewallConfigRequestBodyMitigate$2.outboundSchema = UpdateFirewallConfigRequestBodyMitigate$outboundSchema;
})(UpdateFirewallConfigRequestBodyMitigate$ || (UpdateFirewallConfigRequestBodyMitigate$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequest3Action$inboundSchema = objectType({
  mitigate: lazyType(() => UpdateFirewallConfigRequestBodyMitigate$inboundSchema).optional()
});
var UpdateFirewallConfigRequestBodySecurityRequest3Action$outboundSchema = objectType({
  mitigate: lazyType(() => UpdateFirewallConfigRequestBodyMitigate$outboundSchema).optional()
});
var UpdateFirewallConfigRequestBodySecurityRequest3Action$;
(function(UpdateFirewallConfigRequestBodySecurityRequest3Action$2) {
  UpdateFirewallConfigRequestBodySecurityRequest3Action$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest3Action$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest3Action$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest3Action$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest3Action$ || (UpdateFirewallConfigRequestBodySecurityRequest3Action$ = {}));
var UpdateFirewallConfigRequestBodyValue$inboundSchema = objectType({
  name: stringType(),
  description: stringType().optional(),
  active: booleanType(),
  conditionGroup: arrayType(lazyType(() => UpdateFirewallConfigRequestBodyConditionGroup$inboundSchema)),
  action: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest3Action$inboundSchema)
});
var UpdateFirewallConfigRequestBodyValue$outboundSchema = objectType({
  name: stringType(),
  description: stringType().optional(),
  active: booleanType(),
  conditionGroup: arrayType(lazyType(() => UpdateFirewallConfigRequestBodyConditionGroup$outboundSchema)),
  action: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest3Action$outboundSchema)
});
var UpdateFirewallConfigRequestBodyValue$;
(function(UpdateFirewallConfigRequestBodyValue$2) {
  UpdateFirewallConfigRequestBodyValue$2.inboundSchema = UpdateFirewallConfigRequestBodyValue$inboundSchema;
  UpdateFirewallConfigRequestBodyValue$2.outboundSchema = UpdateFirewallConfigRequestBodyValue$outboundSchema;
})(UpdateFirewallConfigRequestBodyValue$ || (UpdateFirewallConfigRequestBodyValue$ = {}));
var UpdateFirewallConfigRequestBody3$inboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityAction$inboundSchema,
  id: stringType(),
  value: lazyType(() => UpdateFirewallConfigRequestBodyValue$inboundSchema)
});
var UpdateFirewallConfigRequestBody3$outboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityAction$outboundSchema,
  id: stringType(),
  value: lazyType(() => UpdateFirewallConfigRequestBodyValue$outboundSchema)
});
var UpdateFirewallConfigRequestBody3$;
(function(UpdateFirewallConfigRequestBody3$2) {
  UpdateFirewallConfigRequestBody3$2.inboundSchema = UpdateFirewallConfigRequestBody3$inboundSchema;
  UpdateFirewallConfigRequestBody3$2.outboundSchema = UpdateFirewallConfigRequestBody3$outboundSchema;
})(UpdateFirewallConfigRequestBody3$ || (UpdateFirewallConfigRequestBody3$ = {}));
var UpdateFirewallConfigRequestBodyAction$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodyAction);
var UpdateFirewallConfigRequestBodyAction$outboundSchema = UpdateFirewallConfigRequestBodyAction$inboundSchema;
var UpdateFirewallConfigRequestBodyAction$;
(function(UpdateFirewallConfigRequestBodyAction$2) {
  UpdateFirewallConfigRequestBodyAction$2.inboundSchema = UpdateFirewallConfigRequestBodyAction$inboundSchema;
  UpdateFirewallConfigRequestBodyAction$2.outboundSchema = UpdateFirewallConfigRequestBodyAction$outboundSchema;
})(UpdateFirewallConfigRequestBodyAction$ || (UpdateFirewallConfigRequestBodyAction$ = {}));
var UpdateFirewallConfigRequestBodyType$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodyType);
var UpdateFirewallConfigRequestBodyType$outboundSchema = UpdateFirewallConfigRequestBodyType$inboundSchema;
var UpdateFirewallConfigRequestBodyType$;
(function(UpdateFirewallConfigRequestBodyType$2) {
  UpdateFirewallConfigRequestBodyType$2.inboundSchema = UpdateFirewallConfigRequestBodyType$inboundSchema;
  UpdateFirewallConfigRequestBodyType$2.outboundSchema = UpdateFirewallConfigRequestBodyType$outboundSchema;
})(UpdateFirewallConfigRequestBodyType$ || (UpdateFirewallConfigRequestBodyType$ = {}));
var RequestBodyOp$inboundSchema = nativeEnumType(RequestBodyOp);
var RequestBodyOp$outboundSchema = RequestBodyOp$inboundSchema;
var RequestBodyOp$;
(function(RequestBodyOp$2) {
  RequestBodyOp$2.inboundSchema = RequestBodyOp$inboundSchema;
  RequestBodyOp$2.outboundSchema = RequestBodyOp$outboundSchema;
})(RequestBodyOp$ || (RequestBodyOp$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequest2Value$inboundSchema = unionType([stringType(), arrayType(stringType()), numberType()]);
var UpdateFirewallConfigRequestBodySecurityRequest2Value$outboundSchema = unionType([stringType(), arrayType(stringType()), numberType()]);
var UpdateFirewallConfigRequestBodySecurityRequest2Value$;
(function(UpdateFirewallConfigRequestBodySecurityRequest2Value$2) {
  UpdateFirewallConfigRequestBodySecurityRequest2Value$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest2Value$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest2Value$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest2Value$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest2Value$ || (UpdateFirewallConfigRequestBodySecurityRequest2Value$ = {}));
var RequestBodyConditions$inboundSchema = objectType({
  type: UpdateFirewallConfigRequestBodyType$inboundSchema,
  op: RequestBodyOp$inboundSchema,
  neg: booleanType().optional(),
  key: stringType().optional(),
  value: unionType([stringType(), arrayType(stringType()), numberType()]).optional()
});
var RequestBodyConditions$outboundSchema = objectType({
  type: UpdateFirewallConfigRequestBodyType$outboundSchema,
  op: RequestBodyOp$outboundSchema,
  neg: booleanType().optional(),
  key: stringType().optional(),
  value: unionType([stringType(), arrayType(stringType()), numberType()]).optional()
});
var RequestBodyConditions$;
(function(RequestBodyConditions$2) {
  RequestBodyConditions$2.inboundSchema = RequestBodyConditions$inboundSchema;
  RequestBodyConditions$2.outboundSchema = RequestBodyConditions$outboundSchema;
})(RequestBodyConditions$ || (RequestBodyConditions$ = {}));
var RequestBodyConditionGroup$inboundSchema = objectType({
  conditions: arrayType(lazyType(() => RequestBodyConditions$inboundSchema))
});
var RequestBodyConditionGroup$outboundSchema = objectType({
  conditions: arrayType(lazyType(() => RequestBodyConditions$outboundSchema))
});
var RequestBodyConditionGroup$;
(function(RequestBodyConditionGroup$2) {
  RequestBodyConditionGroup$2.inboundSchema = RequestBodyConditionGroup$inboundSchema;
  RequestBodyConditionGroup$2.outboundSchema = RequestBodyConditionGroup$outboundSchema;
})(RequestBodyConditionGroup$ || (RequestBodyConditionGroup$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$inboundSchema = nativeEnumType(UpdateFirewallConfigRequestBodySecurityRequest2ValueAction);
var UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$inboundSchema;
var UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$;
(function(UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$2) {
  UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$ || (UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$ = {}));
var RateLimitAlgo$inboundSchema = nativeEnumType(RateLimitAlgo);
var RateLimitAlgo$outboundSchema = RateLimitAlgo$inboundSchema;
var RateLimitAlgo$;
(function(RateLimitAlgo$2) {
  RateLimitAlgo$2.inboundSchema = RateLimitAlgo$inboundSchema;
  RateLimitAlgo$2.outboundSchema = RateLimitAlgo$outboundSchema;
})(RateLimitAlgo$ || (RateLimitAlgo$ = {}));
var UpdateFirewallConfigAction1$inboundSchema = nativeEnumType(UpdateFirewallConfigAction1);
var UpdateFirewallConfigAction1$outboundSchema = UpdateFirewallConfigAction1$inboundSchema;
var UpdateFirewallConfigAction1$;
(function(UpdateFirewallConfigAction1$2) {
  UpdateFirewallConfigAction1$2.inboundSchema = UpdateFirewallConfigAction1$inboundSchema;
  UpdateFirewallConfigAction1$2.outboundSchema = UpdateFirewallConfigAction1$outboundSchema;
})(UpdateFirewallConfigAction1$ || (UpdateFirewallConfigAction1$ = {}));
var UpdateFirewallConfigRateLimitAction$inboundSchema = unionType([UpdateFirewallConfigAction1$inboundSchema, anyType()]);
var UpdateFirewallConfigRateLimitAction$outboundSchema = unionType([UpdateFirewallConfigAction1$outboundSchema, anyType()]);
var UpdateFirewallConfigRateLimitAction$;
(function(UpdateFirewallConfigRateLimitAction$2) {
  UpdateFirewallConfigRateLimitAction$2.inboundSchema = UpdateFirewallConfigRateLimitAction$inboundSchema;
  UpdateFirewallConfigRateLimitAction$2.outboundSchema = UpdateFirewallConfigRateLimitAction$outboundSchema;
})(UpdateFirewallConfigRateLimitAction$ || (UpdateFirewallConfigRateLimitAction$ = {}));
var UpdateFirewallConfigRateLimit1$inboundSchema = objectType({
  algo: RateLimitAlgo$inboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType()),
  action: nullableType(unionType([UpdateFirewallConfigAction1$inboundSchema, anyType()])).optional()
});
var UpdateFirewallConfigRateLimit1$outboundSchema = objectType({
  algo: RateLimitAlgo$outboundSchema,
  window: numberType(),
  limit: numberType(),
  keys: arrayType(stringType()),
  action: nullableType(unionType([UpdateFirewallConfigAction1$outboundSchema, anyType()])).optional()
});
var UpdateFirewallConfigRateLimit1$;
(function(UpdateFirewallConfigRateLimit1$2) {
  UpdateFirewallConfigRateLimit1$2.inboundSchema = UpdateFirewallConfigRateLimit1$inboundSchema;
  UpdateFirewallConfigRateLimit1$2.outboundSchema = UpdateFirewallConfigRateLimit1$outboundSchema;
})(UpdateFirewallConfigRateLimit1$ || (UpdateFirewallConfigRateLimit1$ = {}));
var RequestBodyRateLimit$inboundSchema = unionType([
  lazyType(() => UpdateFirewallConfigRateLimit1$inboundSchema),
  anyType()
]);
var RequestBodyRateLimit$outboundSchema = unionType([
  lazyType(() => UpdateFirewallConfigRateLimit1$outboundSchema),
  anyType()
]);
var RequestBodyRateLimit$;
(function(RequestBodyRateLimit$2) {
  RequestBodyRateLimit$2.inboundSchema = RequestBodyRateLimit$inboundSchema;
  RequestBodyRateLimit$2.outboundSchema = RequestBodyRateLimit$outboundSchema;
})(RequestBodyRateLimit$ || (RequestBodyRateLimit$ = {}));
var UpdateFirewallConfigRedirect1$inboundSchema = objectType({
  location: stringType(),
  permanent: booleanType()
});
var UpdateFirewallConfigRedirect1$outboundSchema = objectType({
  location: stringType(),
  permanent: booleanType()
});
var UpdateFirewallConfigRedirect1$;
(function(UpdateFirewallConfigRedirect1$2) {
  UpdateFirewallConfigRedirect1$2.inboundSchema = UpdateFirewallConfigRedirect1$inboundSchema;
  UpdateFirewallConfigRedirect1$2.outboundSchema = UpdateFirewallConfigRedirect1$outboundSchema;
})(UpdateFirewallConfigRedirect1$ || (UpdateFirewallConfigRedirect1$ = {}));
var RequestBodyRedirect$inboundSchema = unionType([
  lazyType(() => UpdateFirewallConfigRedirect1$inboundSchema),
  anyType()
]);
var RequestBodyRedirect$outboundSchema = unionType([
  lazyType(() => UpdateFirewallConfigRedirect1$outboundSchema),
  anyType()
]);
var RequestBodyRedirect$;
(function(RequestBodyRedirect$2) {
  RequestBodyRedirect$2.inboundSchema = RequestBodyRedirect$inboundSchema;
  RequestBodyRedirect$2.outboundSchema = RequestBodyRedirect$outboundSchema;
})(RequestBodyRedirect$ || (RequestBodyRedirect$ = {}));
var RequestBodyMitigate$inboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$inboundSchema,
  rateLimit: nullableType(unionType([
    lazyType(() => UpdateFirewallConfigRateLimit1$inboundSchema),
    anyType()
  ])).optional(),
  redirect: nullableType(unionType([
    lazyType(() => UpdateFirewallConfigRedirect1$inboundSchema),
    anyType()
  ])).optional(),
  actionDuration: nullableType(stringType()).optional()
});
var RequestBodyMitigate$outboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodySecurityRequest2ValueAction$outboundSchema,
  rateLimit: nullableType(unionType([
    lazyType(() => UpdateFirewallConfigRateLimit1$outboundSchema),
    anyType()
  ])).optional(),
  redirect: nullableType(unionType([
    lazyType(() => UpdateFirewallConfigRedirect1$outboundSchema),
    anyType()
  ])).optional(),
  actionDuration: nullableType(stringType()).optional()
});
var RequestBodyMitigate$;
(function(RequestBodyMitigate$2) {
  RequestBodyMitigate$2.inboundSchema = RequestBodyMitigate$inboundSchema;
  RequestBodyMitigate$2.outboundSchema = RequestBodyMitigate$outboundSchema;
})(RequestBodyMitigate$ || (RequestBodyMitigate$ = {}));
var UpdateFirewallConfigRequestBodySecurityRequest2Action$inboundSchema = objectType({
  mitigate: lazyType(() => RequestBodyMitigate$inboundSchema).optional()
});
var UpdateFirewallConfigRequestBodySecurityRequest2Action$outboundSchema = objectType({
  mitigate: lazyType(() => RequestBodyMitigate$outboundSchema).optional()
});
var UpdateFirewallConfigRequestBodySecurityRequest2Action$;
(function(UpdateFirewallConfigRequestBodySecurityRequest2Action$2) {
  UpdateFirewallConfigRequestBodySecurityRequest2Action$2.inboundSchema = UpdateFirewallConfigRequestBodySecurityRequest2Action$inboundSchema;
  UpdateFirewallConfigRequestBodySecurityRequest2Action$2.outboundSchema = UpdateFirewallConfigRequestBodySecurityRequest2Action$outboundSchema;
})(UpdateFirewallConfigRequestBodySecurityRequest2Action$ || (UpdateFirewallConfigRequestBodySecurityRequest2Action$ = {}));
var RequestBodyValue$inboundSchema = objectType({
  name: stringType(),
  description: stringType().optional(),
  active: booleanType(),
  conditionGroup: arrayType(lazyType(() => RequestBodyConditionGroup$inboundSchema)),
  action: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest2Action$inboundSchema)
});
var RequestBodyValue$outboundSchema = objectType({
  name: stringType(),
  description: stringType().optional(),
  active: booleanType(),
  conditionGroup: arrayType(lazyType(() => RequestBodyConditionGroup$outboundSchema)),
  action: lazyType(() => UpdateFirewallConfigRequestBodySecurityRequest2Action$outboundSchema)
});
var RequestBodyValue$;
(function(RequestBodyValue$2) {
  RequestBodyValue$2.inboundSchema = RequestBodyValue$inboundSchema;
  RequestBodyValue$2.outboundSchema = RequestBodyValue$outboundSchema;
})(RequestBodyValue$ || (RequestBodyValue$ = {}));
var UpdateFirewallConfigRequestBody2$inboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodyAction$inboundSchema,
  id: nullableType(anyType()).optional(),
  value: lazyType(() => RequestBodyValue$inboundSchema)
});
var UpdateFirewallConfigRequestBody2$outboundSchema = objectType({
  action: UpdateFirewallConfigRequestBodyAction$outboundSchema,
  id: nullableType(anyType()).optional(),
  value: lazyType(() => RequestBodyValue$outboundSchema)
});
var UpdateFirewallConfigRequestBody2$;
(function(UpdateFirewallConfigRequestBody2$2) {
  UpdateFirewallConfigRequestBody2$2.inboundSchema = UpdateFirewallConfigRequestBody2$inboundSchema;
  UpdateFirewallConfigRequestBody2$2.outboundSchema = UpdateFirewallConfigRequestBody2$outboundSchema;
})(UpdateFirewallConfigRequestBody2$ || (UpdateFirewallConfigRequestBody2$ = {}));
var RequestBodyAction$inboundSchema = nativeEnumType(RequestBodyAction);
var RequestBodyAction$outboundSchema = RequestBodyAction$inboundSchema;
var RequestBodyAction$;
(function(RequestBodyAction$2) {
  RequestBodyAction$2.inboundSchema = RequestBodyAction$inboundSchema;
  RequestBodyAction$2.outboundSchema = RequestBodyAction$outboundSchema;
})(RequestBodyAction$ || (RequestBodyAction$ = {}));
var UpdateFirewallConfigRequestBody1$inboundSchema = objectType({
  action: RequestBodyAction$inboundSchema,
  id: nullableType(anyType()).optional(),
  value: booleanType()
});
var UpdateFirewallConfigRequestBody1$outboundSchema = objectType({
  action: RequestBodyAction$outboundSchema,
  id: nullableType(anyType()).optional(),
  value: booleanType()
});
var UpdateFirewallConfigRequestBody1$;
(function(UpdateFirewallConfigRequestBody1$2) {
  UpdateFirewallConfigRequestBody1$2.inboundSchema = UpdateFirewallConfigRequestBody1$inboundSchema;
  UpdateFirewallConfigRequestBody1$2.outboundSchema = UpdateFirewallConfigRequestBody1$outboundSchema;
})(UpdateFirewallConfigRequestBody1$ || (UpdateFirewallConfigRequestBody1$ = {}));
var UpdateFirewallConfigRequestBody$inboundSchema = unionType([
  lazyType(() => UpdateFirewallConfigRequestBody1$inboundSchema),
  lazyType(() => UpdateFirewallConfigRequestBody2$inboundSchema),
  lazyType(() => UpdateFirewallConfigRequestBody3$inboundSchema),
  lazyType(() => UpdateFirewallConfigRequestBody4$inboundSchema),
  lazyType(() => UpdateFirewallConfigRequestBody5$inboundSchema),
  lazyType(() => RequestBody6$inboundSchema),
  lazyType(() => RequestBody7$inboundSchema),
  lazyType(() => RequestBody8$inboundSchema),
  lazyType(() => RequestBody9$inboundSchema),
  lazyType(() => RequestBody10$inboundSchema),
  lazyType(() => Eleven$inboundSchema)
]);
var UpdateFirewallConfigRequestBody$outboundSchema = unionType([
  lazyType(() => UpdateFirewallConfigRequestBody1$outboundSchema),
  lazyType(() => UpdateFirewallConfigRequestBody2$outboundSchema),
  lazyType(() => UpdateFirewallConfigRequestBody3$outboundSchema),
  lazyType(() => UpdateFirewallConfigRequestBody4$outboundSchema),
  lazyType(() => UpdateFirewallConfigRequestBody5$outboundSchema),
  lazyType(() => RequestBody6$outboundSchema),
  lazyType(() => RequestBody7$outboundSchema),
  lazyType(() => RequestBody8$outboundSchema),
  lazyType(() => RequestBody9$outboundSchema),
  lazyType(() => RequestBody10$outboundSchema),
  lazyType(() => Eleven$outboundSchema)
]);
var UpdateFirewallConfigRequestBody$;
(function(UpdateFirewallConfigRequestBody$2) {
  UpdateFirewallConfigRequestBody$2.inboundSchema = UpdateFirewallConfigRequestBody$inboundSchema;
  UpdateFirewallConfigRequestBody$2.outboundSchema = UpdateFirewallConfigRequestBody$outboundSchema;
})(UpdateFirewallConfigRequestBody$ || (UpdateFirewallConfigRequestBody$ = {}));
var UpdateFirewallConfigRequest$inboundSchema = objectType({
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: unionType([
    lazyType(() => UpdateFirewallConfigRequestBody1$inboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody2$inboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody3$inboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody4$inboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody5$inboundSchema),
    lazyType(() => RequestBody6$inboundSchema),
    lazyType(() => RequestBody7$inboundSchema),
    lazyType(() => RequestBody8$inboundSchema),
    lazyType(() => RequestBody9$inboundSchema),
    lazyType(() => RequestBody10$inboundSchema),
    lazyType(() => Eleven$inboundSchema)
  ])
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var UpdateFirewallConfigRequest$outboundSchema = objectType({
  projectId: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: unionType([
    lazyType(() => UpdateFirewallConfigRequestBody1$outboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody2$outboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody3$outboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody4$outboundSchema),
    lazyType(() => UpdateFirewallConfigRequestBody5$outboundSchema),
    lazyType(() => RequestBody6$outboundSchema),
    lazyType(() => RequestBody7$outboundSchema),
    lazyType(() => RequestBody8$outboundSchema),
    lazyType(() => RequestBody9$outboundSchema),
    lazyType(() => RequestBody10$outboundSchema),
    lazyType(() => Eleven$outboundSchema)
  ])
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var UpdateFirewallConfigRequest$;
(function(UpdateFirewallConfigRequest$2) {
  UpdateFirewallConfigRequest$2.inboundSchema = UpdateFirewallConfigRequest$inboundSchema;
  UpdateFirewallConfigRequest$2.outboundSchema = UpdateFirewallConfigRequest$outboundSchema;
})(UpdateFirewallConfigRequest$ || (UpdateFirewallConfigRequest$ = {}));
var UpdateFirewallConfigResponseBody$inboundSchema = objectType({});
var UpdateFirewallConfigResponseBody$outboundSchema = objectType({});
var UpdateFirewallConfigResponseBody$;
(function(UpdateFirewallConfigResponseBody$2) {
  UpdateFirewallConfigResponseBody$2.inboundSchema = UpdateFirewallConfigResponseBody$inboundSchema;
  UpdateFirewallConfigResponseBody$2.outboundSchema = UpdateFirewallConfigResponseBody$outboundSchema;
})(UpdateFirewallConfigResponseBody$ || (UpdateFirewallConfigResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/securityUpdateFirewallConfig.js
async function securityUpdateFirewallConfig(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateFirewallConfigRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v1/security/firewall/config")();
  const query = encodeFormQuery({
    projectId: payload.projectId,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "updateFirewallConfig",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateFirewallConfigResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/security.js
class Security extends ClientSDK {
  async updateAttackChallengeMode(request, options) {
    return unwrapAsync(securityUpdateAttackChallengeMode(this, request, options));
  }
  async putFirewallConfig(request, options) {
    return unwrapAsync(securityPutFirewallConfig(this, request, options));
  }
  async updateFirewallConfig(request, options) {
    return unwrapAsync(securityUpdateFirewallConfig(this, request, options));
  }
  async getFirewallConfig(request, options) {
    return unwrapAsync(securityGetFirewallConfig(this, request, options));
  }
  async getActiveAttackStatus(request, options) {
    return unwrapAsync(securityGetActiveAttackStatus(this, request, options));
  }
  async getBypassIp(request, options) {
    return unwrapAsync(securityGetBypassIp(this, request, options));
  }
  async addBypassIp(request, options) {
    return unwrapAsync(securityAddBypassIp(this, request, options));
  }
  async removeBypassIp(request, options) {
    return unwrapAsync(securityRemoveBypassIp(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/createteamop.js
var Utm$inboundSchema = objectType({
  utmSource: stringType().optional(),
  utmMedium: stringType().optional(),
  utmCampaign: stringType().optional(),
  utmTerm: stringType().optional()
});
var Utm$outboundSchema = objectType({
  utmSource: stringType().optional(),
  utmMedium: stringType().optional(),
  utmCampaign: stringType().optional(),
  utmTerm: stringType().optional()
});
var Utm$;
(function(Utm$2) {
  Utm$2.inboundSchema = Utm$inboundSchema;
  Utm$2.outboundSchema = Utm$outboundSchema;
})(Utm$ || (Utm$ = {}));
var Attribution$inboundSchema = objectType({
  sessionReferrer: stringType().optional(),
  landingPage: stringType().optional(),
  pageBeforeConversionPage: stringType().optional(),
  utm: lazyType(() => Utm$inboundSchema).optional()
});
var Attribution$outboundSchema = objectType({
  sessionReferrer: stringType().optional(),
  landingPage: stringType().optional(),
  pageBeforeConversionPage: stringType().optional(),
  utm: lazyType(() => Utm$outboundSchema).optional()
});
var Attribution$;
(function(Attribution$2) {
  Attribution$2.inboundSchema = Attribution$inboundSchema;
  Attribution$2.outboundSchema = Attribution$outboundSchema;
})(Attribution$ || (Attribution$ = {}));
var CreateTeamRequestBody$inboundSchema = objectType({
  slug: stringType(),
  name: stringType().optional(),
  attribution: lazyType(() => Attribution$inboundSchema).optional()
});
var CreateTeamRequestBody$outboundSchema = objectType({
  slug: stringType(),
  name: stringType().optional(),
  attribution: lazyType(() => Attribution$outboundSchema).optional()
});
var CreateTeamRequestBody$;
(function(CreateTeamRequestBody$2) {
  CreateTeamRequestBody$2.inboundSchema = CreateTeamRequestBody$inboundSchema;
  CreateTeamRequestBody$2.outboundSchema = CreateTeamRequestBody$outboundSchema;
})(CreateTeamRequestBody$ || (CreateTeamRequestBody$ = {}));
var CreateTeamBilling$inboundSchema = objectType({});
var CreateTeamBilling$outboundSchema = objectType({});
var CreateTeamBilling$;
(function(CreateTeamBilling$2) {
  CreateTeamBilling$2.inboundSchema = CreateTeamBilling$inboundSchema;
  CreateTeamBilling$2.outboundSchema = CreateTeamBilling$outboundSchema;
})(CreateTeamBilling$ || (CreateTeamBilling$ = {}));
var CreateTeamResponseBody$inboundSchema = objectType({
  id: stringType(),
  slug: stringType(),
  billing: lazyType(() => CreateTeamBilling$inboundSchema)
});
var CreateTeamResponseBody$outboundSchema = objectType({
  id: stringType(),
  slug: stringType(),
  billing: lazyType(() => CreateTeamBilling$outboundSchema)
});
var CreateTeamResponseBody$;
(function(CreateTeamResponseBody$2) {
  CreateTeamResponseBody$2.inboundSchema = CreateTeamResponseBody$inboundSchema;
  CreateTeamResponseBody$2.outboundSchema = CreateTeamResponseBody$outboundSchema;
})(CreateTeamResponseBody$ || (CreateTeamResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/teamsCreateTeam.js
async function teamsCreateTeam(client, request, options) {
  const parsed = safeParse(request, (value) => CreateTeamRequestBody$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload, { explode: true });
  const path = pathToFunc("/v1/teams")();
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "createTeam",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateTeamResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/deleteteamop.js
var Reasons$inboundSchema = objectType({
  slug: stringType(),
  description: stringType()
});
var Reasons$outboundSchema = objectType({
  slug: stringType(),
  description: stringType()
});
var Reasons$;
(function(Reasons$2) {
  Reasons$2.inboundSchema = Reasons$inboundSchema;
  Reasons$2.outboundSchema = Reasons$outboundSchema;
})(Reasons$ || (Reasons$ = {}));
var DeleteTeamRequestBody$inboundSchema = objectType({
  reasons: arrayType(lazyType(() => Reasons$inboundSchema)).optional()
});
var DeleteTeamRequestBody$outboundSchema = objectType({
  reasons: arrayType(lazyType(() => Reasons$outboundSchema)).optional()
});
var DeleteTeamRequestBody$;
(function(DeleteTeamRequestBody$2) {
  DeleteTeamRequestBody$2.inboundSchema = DeleteTeamRequestBody$inboundSchema;
  DeleteTeamRequestBody$2.outboundSchema = DeleteTeamRequestBody$outboundSchema;
})(DeleteTeamRequestBody$ || (DeleteTeamRequestBody$ = {}));
var DeleteTeamRequest$inboundSchema = objectType({
  newDefaultTeamId: stringType().optional(),
  teamId: stringType(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => DeleteTeamRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var DeleteTeamRequest$outboundSchema = objectType({
  newDefaultTeamId: stringType().optional(),
  teamId: stringType(),
  slug: stringType().optional(),
  requestBody: lazyType(() => DeleteTeamRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var DeleteTeamRequest$;
(function(DeleteTeamRequest$2) {
  DeleteTeamRequest$2.inboundSchema = DeleteTeamRequest$inboundSchema;
  DeleteTeamRequest$2.outboundSchema = DeleteTeamRequest$outboundSchema;
})(DeleteTeamRequest$ || (DeleteTeamRequest$ = {}));
var DeleteTeamResponseBody$inboundSchema = objectType({
  id: stringType(),
  newDefaultTeamIdError: booleanType().optional()
});
var DeleteTeamResponseBody$outboundSchema = objectType({
  id: stringType(),
  newDefaultTeamIdError: booleanType().optional()
});
var DeleteTeamResponseBody$;
(function(DeleteTeamResponseBody$2) {
  DeleteTeamResponseBody$2.inboundSchema = DeleteTeamResponseBody$inboundSchema;
  DeleteTeamResponseBody$2.outboundSchema = DeleteTeamResponseBody$outboundSchema;
})(DeleteTeamResponseBody$ || (DeleteTeamResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/teamsDeleteTeam.js
async function teamsDeleteTeam(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteTeamRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/teams/{teamId}")(pathParams);
  const query = encodeFormQuery({
    newDefaultTeamId: payload.newDefaultTeamId,
    slug: payload.slug
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "deleteTeam",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, DeleteTeamResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, 409, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/deleteteaminvitecodeop.js
var DeleteTeamInviteCodeRequest$inboundSchema = objectType({
  inviteId: stringType(),
  teamId: stringType()
});
var DeleteTeamInviteCodeRequest$outboundSchema = objectType({
  inviteId: stringType(),
  teamId: stringType()
});
var DeleteTeamInviteCodeRequest$;
(function(DeleteTeamInviteCodeRequest$2) {
  DeleteTeamInviteCodeRequest$2.inboundSchema = DeleteTeamInviteCodeRequest$inboundSchema;
  DeleteTeamInviteCodeRequest$2.outboundSchema = DeleteTeamInviteCodeRequest$outboundSchema;
})(DeleteTeamInviteCodeRequest$ || (DeleteTeamInviteCodeRequest$ = {}));
var DeleteTeamInviteCodeResponseBody$inboundSchema = objectType({
  id: stringType()
});
var DeleteTeamInviteCodeResponseBody$outboundSchema = objectType({
  id: stringType()
});
var DeleteTeamInviteCodeResponseBody$;
(function(DeleteTeamInviteCodeResponseBody$2) {
  DeleteTeamInviteCodeResponseBody$2.inboundSchema = DeleteTeamInviteCodeResponseBody$inboundSchema;
  DeleteTeamInviteCodeResponseBody$2.outboundSchema = DeleteTeamInviteCodeResponseBody$outboundSchema;
})(DeleteTeamInviteCodeResponseBody$ || (DeleteTeamInviteCodeResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/teamsDeleteTeamInviteCode.js
async function teamsDeleteTeamInviteCode(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteTeamInviteCodeRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    inviteId: encodeSimple("inviteId", payload.inviteId, {
      explode: false,
      charEncoding: "percent"
    }),
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/teams/{teamId}/invites/{inviteId}")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "deleteTeamInviteCode",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, DeleteTeamInviteCodeResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getteamop.js
var GetTeamRequest$inboundSchema = objectType({
  slug: stringType().optional(),
  teamId: stringType()
});
var GetTeamRequest$outboundSchema = objectType({
  slug: stringType().optional(),
  teamId: stringType()
});
var GetTeamRequest$;
(function(GetTeamRequest$2) {
  GetTeamRequest$2.inboundSchema = GetTeamRequest$inboundSchema;
  GetTeamRequest$2.outboundSchema = GetTeamRequest$outboundSchema;
})(GetTeamRequest$ || (GetTeamRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/teamsGetTeam.js
async function teamsGetTeam(client, request, options) {
  const parsed = safeParse(request, (value) => GetTeamRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v2/teams/{teamId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getTeam",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, recordType(anyType())), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getteamaccessrequestop.js
var GetTeamAccessRequestOrigin = {
  Mail: "mail",
  Link: "link",
  Import: "import",
  Teams: "teams",
  Github: "github",
  Gitlab: "gitlab",
  Bitbucket: "bitbucket",
  Saml: "saml",
  Dsync: "dsync",
  Feedback: "feedback",
  OrganizationTeams: "organization-teams"
};
var GetTeamAccessRequestRequest$inboundSchema = objectType({
  userId: stringType(),
  teamId: stringType()
});
var GetTeamAccessRequestRequest$outboundSchema = objectType({
  userId: stringType(),
  teamId: stringType()
});
var GetTeamAccessRequestRequest$;
(function(GetTeamAccessRequestRequest$2) {
  GetTeamAccessRequestRequest$2.inboundSchema = GetTeamAccessRequestRequest$inboundSchema;
  GetTeamAccessRequestRequest$2.outboundSchema = GetTeamAccessRequestRequest$outboundSchema;
})(GetTeamAccessRequestRequest$ || (GetTeamAccessRequestRequest$ = {}));
var GetTeamAccessRequestOrigin$inboundSchema = nativeEnumType(GetTeamAccessRequestOrigin);
var GetTeamAccessRequestOrigin$outboundSchema = GetTeamAccessRequestOrigin$inboundSchema;
var GetTeamAccessRequestOrigin$;
(function(GetTeamAccessRequestOrigin$2) {
  GetTeamAccessRequestOrigin$2.inboundSchema = GetTeamAccessRequestOrigin$inboundSchema;
  GetTeamAccessRequestOrigin$2.outboundSchema = GetTeamAccessRequestOrigin$outboundSchema;
})(GetTeamAccessRequestOrigin$ || (GetTeamAccessRequestOrigin$ = {}));
var GetTeamAccessRequestGitUserId$inboundSchema = unionType([stringType(), numberType()]);
var GetTeamAccessRequestGitUserId$outboundSchema = unionType([stringType(), numberType()]);
var GetTeamAccessRequestGitUserId$;
(function(GetTeamAccessRequestGitUserId$2) {
  GetTeamAccessRequestGitUserId$2.inboundSchema = GetTeamAccessRequestGitUserId$inboundSchema;
  GetTeamAccessRequestGitUserId$2.outboundSchema = GetTeamAccessRequestGitUserId$outboundSchema;
})(GetTeamAccessRequestGitUserId$ || (GetTeamAccessRequestGitUserId$ = {}));
var GetTeamAccessRequestJoinedFrom$inboundSchema = objectType({
  origin: GetTeamAccessRequestOrigin$inboundSchema,
  commitId: stringType().optional(),
  repoId: stringType().optional(),
  repoPath: stringType().optional(),
  gitUserId: unionType([stringType(), numberType()]).optional(),
  gitUserLogin: stringType().optional(),
  ssoUserId: stringType().optional(),
  ssoConnectedAt: numberType().optional(),
  idpUserId: stringType().optional(),
  dsyncUserId: stringType().optional(),
  dsyncConnectedAt: numberType().optional()
});
var GetTeamAccessRequestJoinedFrom$outboundSchema = objectType({
  origin: GetTeamAccessRequestOrigin$outboundSchema,
  commitId: stringType().optional(),
  repoId: stringType().optional(),
  repoPath: stringType().optional(),
  gitUserId: unionType([stringType(), numberType()]).optional(),
  gitUserLogin: stringType().optional(),
  ssoUserId: stringType().optional(),
  ssoConnectedAt: numberType().optional(),
  idpUserId: stringType().optional(),
  dsyncUserId: stringType().optional(),
  dsyncConnectedAt: numberType().optional()
});
var GetTeamAccessRequestJoinedFrom$;
(function(GetTeamAccessRequestJoinedFrom$2) {
  GetTeamAccessRequestJoinedFrom$2.inboundSchema = GetTeamAccessRequestJoinedFrom$inboundSchema;
  GetTeamAccessRequestJoinedFrom$2.outboundSchema = GetTeamAccessRequestJoinedFrom$outboundSchema;
})(GetTeamAccessRequestJoinedFrom$ || (GetTeamAccessRequestJoinedFrom$ = {}));
var GetTeamAccessRequestGithub$inboundSchema = objectType({
  login: stringType().optional()
});
var GetTeamAccessRequestGithub$outboundSchema = objectType({
  login: stringType().optional()
});
var GetTeamAccessRequestGithub$;
(function(GetTeamAccessRequestGithub$2) {
  GetTeamAccessRequestGithub$2.inboundSchema = GetTeamAccessRequestGithub$inboundSchema;
  GetTeamAccessRequestGithub$2.outboundSchema = GetTeamAccessRequestGithub$outboundSchema;
})(GetTeamAccessRequestGithub$ || (GetTeamAccessRequestGithub$ = {}));
var GetTeamAccessRequestGitlab$inboundSchema = objectType({
  login: stringType().optional()
});
var GetTeamAccessRequestGitlab$outboundSchema = objectType({
  login: stringType().optional()
});
var GetTeamAccessRequestGitlab$;
(function(GetTeamAccessRequestGitlab$2) {
  GetTeamAccessRequestGitlab$2.inboundSchema = GetTeamAccessRequestGitlab$inboundSchema;
  GetTeamAccessRequestGitlab$2.outboundSchema = GetTeamAccessRequestGitlab$outboundSchema;
})(GetTeamAccessRequestGitlab$ || (GetTeamAccessRequestGitlab$ = {}));
var GetTeamAccessRequestBitbucket$inboundSchema = objectType({
  login: stringType().optional()
});
var GetTeamAccessRequestBitbucket$outboundSchema = objectType({
  login: stringType().optional()
});
var GetTeamAccessRequestBitbucket$;
(function(GetTeamAccessRequestBitbucket$2) {
  GetTeamAccessRequestBitbucket$2.inboundSchema = GetTeamAccessRequestBitbucket$inboundSchema;
  GetTeamAccessRequestBitbucket$2.outboundSchema = GetTeamAccessRequestBitbucket$outboundSchema;
})(GetTeamAccessRequestBitbucket$ || (GetTeamAccessRequestBitbucket$ = {}));
var GetTeamAccessRequestResponseBody$inboundSchema = objectType({
  teamSlug: stringType(),
  teamName: stringType(),
  confirmed: booleanType(),
  joinedFrom: lazyType(() => GetTeamAccessRequestJoinedFrom$inboundSchema),
  accessRequestedAt: numberType(),
  github: nullableType(lazyType(() => GetTeamAccessRequestGithub$inboundSchema)),
  gitlab: nullableType(lazyType(() => GetTeamAccessRequestGitlab$inboundSchema)),
  bitbucket: nullableType(lazyType(() => GetTeamAccessRequestBitbucket$inboundSchema))
});
var GetTeamAccessRequestResponseBody$outboundSchema = objectType({
  teamSlug: stringType(),
  teamName: stringType(),
  confirmed: booleanType(),
  joinedFrom: lazyType(() => GetTeamAccessRequestJoinedFrom$outboundSchema),
  accessRequestedAt: numberType(),
  github: nullableType(lazyType(() => GetTeamAccessRequestGithub$outboundSchema)),
  gitlab: nullableType(lazyType(() => GetTeamAccessRequestGitlab$outboundSchema)),
  bitbucket: nullableType(lazyType(() => GetTeamAccessRequestBitbucket$outboundSchema))
});
var GetTeamAccessRequestResponseBody$;
(function(GetTeamAccessRequestResponseBody$2) {
  GetTeamAccessRequestResponseBody$2.inboundSchema = GetTeamAccessRequestResponseBody$inboundSchema;
  GetTeamAccessRequestResponseBody$2.outboundSchema = GetTeamAccessRequestResponseBody$outboundSchema;
})(GetTeamAccessRequestResponseBody$ || (GetTeamAccessRequestResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/teamsGetTeamAccessRequest.js
async function teamsGetTeamAccessRequest(client, request, options) {
  const parsed = safeParse(request, (value) => GetTeamAccessRequestRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    }),
    userId: encodeSimple("userId", payload.userId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/teams/{teamId}/request/{userId}")(pathParams);
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getTeamAccessRequest",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetTeamAccessRequestResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getteammembersop.js
var QueryParamRole = {
  Owner: "OWNER",
  Member: "MEMBER",
  Developer: "DEVELOPER",
  Viewer: "VIEWER",
  Billing: "BILLING",
  Contributor: "CONTRIBUTOR"
};
var GetTeamMembersRole = {
  Owner: "OWNER",
  Member: "MEMBER",
  Developer: "DEVELOPER",
  Viewer: "VIEWER",
  Billing: "BILLING",
  Contributor: "CONTRIBUTOR"
};
var GetTeamMembersOrigin = {
  Teams: "teams",
  Link: "link",
  Mail: "mail",
  Import: "import",
  Github: "github",
  Gitlab: "gitlab",
  Bitbucket: "bitbucket",
  Saml: "saml",
  Dsync: "dsync",
  Feedback: "feedback",
  OrganizationTeams: "organization-teams"
};
var GetTeamMembersTeamsResponseRole = {
  Admin: "ADMIN",
  ProjectDeveloper: "PROJECT_DEVELOPER",
  ProjectViewer: "PROJECT_VIEWER"
};
var GetTeamMembersTeamsRole = {
  Owner: "OWNER",
  Member: "MEMBER",
  Developer: "DEVELOPER",
  Viewer: "VIEWER",
  Billing: "BILLING",
  Contributor: "CONTRIBUTOR"
};
var GetTeamMembersTeamsProjects = {
  Admin: "ADMIN",
  ProjectDeveloper: "PROJECT_DEVELOPER",
  ProjectViewer: "PROJECT_VIEWER"
};
var QueryParamRole$inboundSchema = nativeEnumType(QueryParamRole);
var QueryParamRole$outboundSchema = QueryParamRole$inboundSchema;
var QueryParamRole$;
(function(QueryParamRole$2) {
  QueryParamRole$2.inboundSchema = QueryParamRole$inboundSchema;
  QueryParamRole$2.outboundSchema = QueryParamRole$outboundSchema;
})(QueryParamRole$ || (QueryParamRole$ = {}));
var GetTeamMembersRequest$inboundSchema = objectType({
  limit: numberType().optional(),
  since: numberType().optional(),
  until: numberType().optional(),
  search: stringType().optional(),
  role: QueryParamRole$inboundSchema.optional(),
  excludeProject: stringType().optional(),
  eligibleMembersForProjectId: stringType().optional(),
  teamId: stringType()
});
var GetTeamMembersRequest$outboundSchema = objectType({
  limit: numberType().optional(),
  since: numberType().optional(),
  until: numberType().optional(),
  search: stringType().optional(),
  role: QueryParamRole$outboundSchema.optional(),
  excludeProject: stringType().optional(),
  eligibleMembersForProjectId: stringType().optional(),
  teamId: stringType()
});
var GetTeamMembersRequest$;
(function(GetTeamMembersRequest$2) {
  GetTeamMembersRequest$2.inboundSchema = GetTeamMembersRequest$inboundSchema;
  GetTeamMembersRequest$2.outboundSchema = GetTeamMembersRequest$outboundSchema;
})(GetTeamMembersRequest$ || (GetTeamMembersRequest$ = {}));
var GetTeamMembersGithub$inboundSchema = objectType({
  login: stringType().optional()
});
var GetTeamMembersGithub$outboundSchema = objectType({
  login: stringType().optional()
});
var GetTeamMembersGithub$;
(function(GetTeamMembersGithub$2) {
  GetTeamMembersGithub$2.inboundSchema = GetTeamMembersGithub$inboundSchema;
  GetTeamMembersGithub$2.outboundSchema = GetTeamMembersGithub$outboundSchema;
})(GetTeamMembersGithub$ || (GetTeamMembersGithub$ = {}));
var GetTeamMembersGitlab$inboundSchema = objectType({
  login: stringType().optional()
});
var GetTeamMembersGitlab$outboundSchema = objectType({
  login: stringType().optional()
});
var GetTeamMembersGitlab$;
(function(GetTeamMembersGitlab$2) {
  GetTeamMembersGitlab$2.inboundSchema = GetTeamMembersGitlab$inboundSchema;
  GetTeamMembersGitlab$2.outboundSchema = GetTeamMembersGitlab$outboundSchema;
})(GetTeamMembersGitlab$ || (GetTeamMembersGitlab$ = {}));
var GetTeamMembersBitbucket$inboundSchema = objectType({
  login: stringType().optional()
});
var GetTeamMembersBitbucket$outboundSchema = objectType({
  login: stringType().optional()
});
var GetTeamMembersBitbucket$;
(function(GetTeamMembersBitbucket$2) {
  GetTeamMembersBitbucket$2.inboundSchema = GetTeamMembersBitbucket$inboundSchema;
  GetTeamMembersBitbucket$2.outboundSchema = GetTeamMembersBitbucket$outboundSchema;
})(GetTeamMembersBitbucket$ || (GetTeamMembersBitbucket$ = {}));
var GetTeamMembersRole$inboundSchema = nativeEnumType(GetTeamMembersRole);
var GetTeamMembersRole$outboundSchema = GetTeamMembersRole$inboundSchema;
var GetTeamMembersRole$;
(function(GetTeamMembersRole$2) {
  GetTeamMembersRole$2.inboundSchema = GetTeamMembersRole$inboundSchema;
  GetTeamMembersRole$2.outboundSchema = GetTeamMembersRole$outboundSchema;
})(GetTeamMembersRole$ || (GetTeamMembersRole$ = {}));
var GetTeamMembersOrigin$inboundSchema = nativeEnumType(GetTeamMembersOrigin);
var GetTeamMembersOrigin$outboundSchema = GetTeamMembersOrigin$inboundSchema;
var GetTeamMembersOrigin$;
(function(GetTeamMembersOrigin$2) {
  GetTeamMembersOrigin$2.inboundSchema = GetTeamMembersOrigin$inboundSchema;
  GetTeamMembersOrigin$2.outboundSchema = GetTeamMembersOrigin$outboundSchema;
})(GetTeamMembersOrigin$ || (GetTeamMembersOrigin$ = {}));
var GetTeamMembersGitUserId$inboundSchema = unionType([stringType(), numberType()]);
var GetTeamMembersGitUserId$outboundSchema = unionType([stringType(), numberType()]);
var GetTeamMembersGitUserId$;
(function(GetTeamMembersGitUserId$2) {
  GetTeamMembersGitUserId$2.inboundSchema = GetTeamMembersGitUserId$inboundSchema;
  GetTeamMembersGitUserId$2.outboundSchema = GetTeamMembersGitUserId$outboundSchema;
})(GetTeamMembersGitUserId$ || (GetTeamMembersGitUserId$ = {}));
var GetTeamMembersJoinedFrom$inboundSchema = objectType({
  origin: GetTeamMembersOrigin$inboundSchema,
  commitId: stringType().optional(),
  repoId: stringType().optional(),
  repoPath: stringType().optional(),
  gitUserId: unionType([stringType(), numberType()]).optional(),
  gitUserLogin: stringType().optional(),
  ssoUserId: stringType().optional(),
  ssoConnectedAt: numberType().optional(),
  idpUserId: stringType().optional(),
  dsyncUserId: stringType().optional(),
  dsyncConnectedAt: numberType().optional()
});
var GetTeamMembersJoinedFrom$outboundSchema = objectType({
  origin: GetTeamMembersOrigin$outboundSchema,
  commitId: stringType().optional(),
  repoId: stringType().optional(),
  repoPath: stringType().optional(),
  gitUserId: unionType([stringType(), numberType()]).optional(),
  gitUserLogin: stringType().optional(),
  ssoUserId: stringType().optional(),
  ssoConnectedAt: numberType().optional(),
  idpUserId: stringType().optional(),
  dsyncUserId: stringType().optional(),
  dsyncConnectedAt: numberType().optional()
});
var GetTeamMembersJoinedFrom$;
(function(GetTeamMembersJoinedFrom$2) {
  GetTeamMembersJoinedFrom$2.inboundSchema = GetTeamMembersJoinedFrom$inboundSchema;
  GetTeamMembersJoinedFrom$2.outboundSchema = GetTeamMembersJoinedFrom$outboundSchema;
})(GetTeamMembersJoinedFrom$ || (GetTeamMembersJoinedFrom$ = {}));
var GetTeamMembersTeamsResponseRole$inboundSchema = nativeEnumType(GetTeamMembersTeamsResponseRole);
var GetTeamMembersTeamsResponseRole$outboundSchema = GetTeamMembersTeamsResponseRole$inboundSchema;
var GetTeamMembersTeamsResponseRole$;
(function(GetTeamMembersTeamsResponseRole$2) {
  GetTeamMembersTeamsResponseRole$2.inboundSchema = GetTeamMembersTeamsResponseRole$inboundSchema;
  GetTeamMembersTeamsResponseRole$2.outboundSchema = GetTeamMembersTeamsResponseRole$outboundSchema;
})(GetTeamMembersTeamsResponseRole$ || (GetTeamMembersTeamsResponseRole$ = {}));
var GetTeamMembersProjects$inboundSchema = objectType({
  name: stringType().optional(),
  id: stringType().optional(),
  role: GetTeamMembersTeamsResponseRole$inboundSchema.optional()
});
var GetTeamMembersProjects$outboundSchema = objectType({
  name: stringType().optional(),
  id: stringType().optional(),
  role: GetTeamMembersTeamsResponseRole$outboundSchema.optional()
});
var GetTeamMembersProjects$;
(function(GetTeamMembersProjects$2) {
  GetTeamMembersProjects$2.inboundSchema = GetTeamMembersProjects$inboundSchema;
  GetTeamMembersProjects$2.outboundSchema = GetTeamMembersProjects$outboundSchema;
})(GetTeamMembersProjects$ || (GetTeamMembersProjects$ = {}));
var GetTeamMembersMembers$inboundSchema = objectType({
  avatar: stringType().optional(),
  confirmed: booleanType(),
  email: stringType(),
  github: lazyType(() => GetTeamMembersGithub$inboundSchema).optional(),
  gitlab: lazyType(() => GetTeamMembersGitlab$inboundSchema).optional(),
  bitbucket: lazyType(() => GetTeamMembersBitbucket$inboundSchema).optional(),
  role: GetTeamMembersRole$inboundSchema,
  additionalRoles: arrayType(stringType()).optional(),
  uid: stringType(),
  username: stringType(),
  name: stringType().optional(),
  createdAt: numberType(),
  accessRequestedAt: numberType().optional(),
  joinedFrom: lazyType(() => GetTeamMembersJoinedFrom$inboundSchema).optional(),
  projects: arrayType(lazyType(() => GetTeamMembersProjects$inboundSchema)).optional()
});
var GetTeamMembersMembers$outboundSchema = objectType({
  avatar: stringType().optional(),
  confirmed: booleanType(),
  email: stringType(),
  github: lazyType(() => GetTeamMembersGithub$outboundSchema).optional(),
  gitlab: lazyType(() => GetTeamMembersGitlab$outboundSchema).optional(),
  bitbucket: lazyType(() => GetTeamMembersBitbucket$outboundSchema).optional(),
  role: GetTeamMembersRole$outboundSchema,
  additionalRoles: arrayType(stringType()).optional(),
  uid: stringType(),
  username: stringType(),
  name: stringType().optional(),
  createdAt: numberType(),
  accessRequestedAt: numberType().optional(),
  joinedFrom: lazyType(() => GetTeamMembersJoinedFrom$outboundSchema).optional(),
  projects: arrayType(lazyType(() => GetTeamMembersProjects$outboundSchema)).optional()
});
var GetTeamMembersMembers$;
(function(GetTeamMembersMembers$2) {
  GetTeamMembersMembers$2.inboundSchema = GetTeamMembersMembers$inboundSchema;
  GetTeamMembersMembers$2.outboundSchema = GetTeamMembersMembers$outboundSchema;
})(GetTeamMembersMembers$ || (GetTeamMembersMembers$ = {}));
var GetTeamMembersTeamsRole$inboundSchema = nativeEnumType(GetTeamMembersTeamsRole);
var GetTeamMembersTeamsRole$outboundSchema = GetTeamMembersTeamsRole$inboundSchema;
var GetTeamMembersTeamsRole$;
(function(GetTeamMembersTeamsRole$2) {
  GetTeamMembersTeamsRole$2.inboundSchema = GetTeamMembersTeamsRole$inboundSchema;
  GetTeamMembersTeamsRole$2.outboundSchema = GetTeamMembersTeamsRole$outboundSchema;
})(GetTeamMembersTeamsRole$ || (GetTeamMembersTeamsRole$ = {}));
var GetTeamMembersTeamsProjects$inboundSchema = nativeEnumType(GetTeamMembersTeamsProjects);
var GetTeamMembersTeamsProjects$outboundSchema = GetTeamMembersTeamsProjects$inboundSchema;
var GetTeamMembersTeamsProjects$;
(function(GetTeamMembersTeamsProjects$2) {
  GetTeamMembersTeamsProjects$2.inboundSchema = GetTeamMembersTeamsProjects$inboundSchema;
  GetTeamMembersTeamsProjects$2.outboundSchema = GetTeamMembersTeamsProjects$outboundSchema;
})(GetTeamMembersTeamsProjects$ || (GetTeamMembersTeamsProjects$ = {}));
var EmailInviteCodes$inboundSchema = objectType({
  accessGroups: arrayType(stringType()).optional(),
  id: stringType(),
  email: stringType().optional(),
  role: GetTeamMembersTeamsRole$inboundSchema.optional(),
  isDSyncUser: booleanType(),
  createdAt: numberType().optional(),
  expired: booleanType().optional(),
  projects: recordType(GetTeamMembersTeamsProjects$inboundSchema).optional(),
  entitlements: arrayType(stringType()).optional()
});
var EmailInviteCodes$outboundSchema = objectType({
  accessGroups: arrayType(stringType()).optional(),
  id: stringType(),
  email: stringType().optional(),
  role: GetTeamMembersTeamsRole$outboundSchema.optional(),
  isDSyncUser: booleanType(),
  createdAt: numberType().optional(),
  expired: booleanType().optional(),
  projects: recordType(GetTeamMembersTeamsProjects$outboundSchema).optional(),
  entitlements: arrayType(stringType()).optional()
});
var EmailInviteCodes$;
(function(EmailInviteCodes$2) {
  EmailInviteCodes$2.inboundSchema = EmailInviteCodes$inboundSchema;
  EmailInviteCodes$2.outboundSchema = EmailInviteCodes$outboundSchema;
})(EmailInviteCodes$ || (EmailInviteCodes$ = {}));
var GetTeamMembersPagination$inboundSchema = objectType({
  hasNext: booleanType(),
  count: numberType(),
  next: nullableType(numberType()),
  prev: nullableType(numberType())
});
var GetTeamMembersPagination$outboundSchema = objectType({
  hasNext: booleanType(),
  count: numberType(),
  next: nullableType(numberType()),
  prev: nullableType(numberType())
});
var GetTeamMembersPagination$;
(function(GetTeamMembersPagination$2) {
  GetTeamMembersPagination$2.inboundSchema = GetTeamMembersPagination$inboundSchema;
  GetTeamMembersPagination$2.outboundSchema = GetTeamMembersPagination$outboundSchema;
})(GetTeamMembersPagination$ || (GetTeamMembersPagination$ = {}));
var GetTeamMembersResponseBody$inboundSchema = objectType({
  members: arrayType(lazyType(() => GetTeamMembersMembers$inboundSchema)),
  emailInviteCodes: arrayType(lazyType(() => EmailInviteCodes$inboundSchema)).optional(),
  pagination: lazyType(() => GetTeamMembersPagination$inboundSchema)
});
var GetTeamMembersResponseBody$outboundSchema = objectType({
  members: arrayType(lazyType(() => GetTeamMembersMembers$outboundSchema)),
  emailInviteCodes: arrayType(lazyType(() => EmailInviteCodes$outboundSchema)).optional(),
  pagination: lazyType(() => GetTeamMembersPagination$outboundSchema)
});
var GetTeamMembersResponseBody$;
(function(GetTeamMembersResponseBody$2) {
  GetTeamMembersResponseBody$2.inboundSchema = GetTeamMembersResponseBody$inboundSchema;
  GetTeamMembersResponseBody$2.outboundSchema = GetTeamMembersResponseBody$outboundSchema;
})(GetTeamMembersResponseBody$ || (GetTeamMembersResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/teamsGetTeamMembers.js
async function teamsGetTeamMembers(client, request, options) {
  const parsed = safeParse(request, (value) => GetTeamMembersRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v2/teams/{teamId}/members")(pathParams);
  const query = encodeFormQuery({
    eligibleMembersForProjectId: payload.eligibleMembersForProjectId,
    excludeProject: payload.excludeProject,
    limit: payload.limit,
    role: payload.role,
    search: payload.search,
    since: payload.since,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getTeamMembers",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetTeamMembersResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/teamlimited.js
var Role = {
  Owner: "OWNER",
  Member: "MEMBER",
  Developer: "DEVELOPER",
  Billing: "BILLING",
  Viewer: "VIEWER",
  Contributor: "CONTRIBUTOR"
};
var AdditionalRoles = {
  CreateProject: "CreateProject",
  FullProductionDeployment: "FullProductionDeployment"
};
var Origin = {
  Link: "link",
  Saml: "saml",
  Github: "github",
  Gitlab: "gitlab",
  Bitbucket: "bitbucket",
  Mail: "mail",
  Import: "import",
  Teams: "teams",
  Dsync: "dsync",
  Feedback: "feedback",
  OrganizationTeams: "organization-teams"
};
var Connection$inboundSchema = objectType({
  type: stringType(),
  status: stringType(),
  state: stringType(),
  connectedAt: numberType(),
  lastReceivedWebhookEvent: numberType().optional()
});
var Connection$outboundSchema = objectType({
  type: stringType(),
  status: stringType(),
  state: stringType(),
  connectedAt: numberType(),
  lastReceivedWebhookEvent: numberType().optional()
});
var Connection$;
(function(Connection$2) {
  Connection$2.inboundSchema = Connection$inboundSchema;
  Connection$2.outboundSchema = Connection$outboundSchema;
})(Connection$ || (Connection$ = {}));
var Directory$inboundSchema = objectType({
  type: stringType(),
  state: stringType(),
  connectedAt: numberType(),
  lastReceivedWebhookEvent: numberType().optional()
});
var Directory$outboundSchema = objectType({
  type: stringType(),
  state: stringType(),
  connectedAt: numberType(),
  lastReceivedWebhookEvent: numberType().optional()
});
var Directory$;
(function(Directory$2) {
  Directory$2.inboundSchema = Directory$inboundSchema;
  Directory$2.outboundSchema = Directory$outboundSchema;
})(Directory$ || (Directory$ = {}));
var Saml$inboundSchema = objectType({
  connection: lazyType(() => Connection$inboundSchema).optional(),
  directory: lazyType(() => Directory$inboundSchema).optional(),
  enforced: booleanType()
});
var Saml$outboundSchema = objectType({
  connection: lazyType(() => Connection$outboundSchema).optional(),
  directory: lazyType(() => Directory$outboundSchema).optional(),
  enforced: booleanType()
});
var Saml$;
(function(Saml$2) {
  Saml$2.inboundSchema = Saml$inboundSchema;
  Saml$2.outboundSchema = Saml$outboundSchema;
})(Saml$ || (Saml$ = {}));
var Entitlements$inboundSchema = objectType({
  entitlement: stringType()
});
var Entitlements$outboundSchema = objectType({
  entitlement: stringType()
});
var Entitlements$;
(function(Entitlements$2) {
  Entitlements$2.inboundSchema = Entitlements$inboundSchema;
  Entitlements$2.outboundSchema = Entitlements$outboundSchema;
})(Entitlements$ || (Entitlements$ = {}));
var Role$inboundSchema = nativeEnumType(Role);
var Role$outboundSchema = Role$inboundSchema;
var Role$;
(function(Role$2) {
  Role$2.inboundSchema = Role$inboundSchema;
  Role$2.outboundSchema = Role$outboundSchema;
})(Role$ || (Role$ = {}));
var AdditionalRoles$inboundSchema = nativeEnumType(AdditionalRoles);
var AdditionalRoles$outboundSchema = AdditionalRoles$inboundSchema;
var AdditionalRoles$;
(function(AdditionalRoles$2) {
  AdditionalRoles$2.inboundSchema = AdditionalRoles$inboundSchema;
  AdditionalRoles$2.outboundSchema = AdditionalRoles$outboundSchema;
})(AdditionalRoles$ || (AdditionalRoles$ = {}));
var Origin$inboundSchema = nativeEnumType(Origin);
var Origin$outboundSchema = Origin$inboundSchema;
var Origin$;
(function(Origin$2) {
  Origin$2.inboundSchema = Origin$inboundSchema;
  Origin$2.outboundSchema = Origin$outboundSchema;
})(Origin$ || (Origin$ = {}));
var GitUserId$inboundSchema = unionType([stringType(), numberType()]);
var GitUserId$outboundSchema = unionType([stringType(), numberType()]);
var GitUserId$;
(function(GitUserId$2) {
  GitUserId$2.inboundSchema = GitUserId$inboundSchema;
  GitUserId$2.outboundSchema = GitUserId$outboundSchema;
})(GitUserId$ || (GitUserId$ = {}));
var JoinedFrom$inboundSchema = objectType({
  origin: Origin$inboundSchema,
  commitId: stringType().optional(),
  repoId: stringType().optional(),
  repoPath: stringType().optional(),
  gitUserId: unionType([stringType(), numberType()]).optional(),
  gitUserLogin: stringType().optional(),
  ssoUserId: stringType().optional(),
  ssoConnectedAt: numberType().optional(),
  idpUserId: stringType().optional(),
  dsyncUserId: stringType().optional(),
  dsyncConnectedAt: numberType().optional()
});
var JoinedFrom$outboundSchema = objectType({
  origin: Origin$outboundSchema,
  commitId: stringType().optional(),
  repoId: stringType().optional(),
  repoPath: stringType().optional(),
  gitUserId: unionType([stringType(), numberType()]).optional(),
  gitUserLogin: stringType().optional(),
  ssoUserId: stringType().optional(),
  ssoConnectedAt: numberType().optional(),
  idpUserId: stringType().optional(),
  dsyncUserId: stringType().optional(),
  dsyncConnectedAt: numberType().optional()
});
var JoinedFrom$;
(function(JoinedFrom$2) {
  JoinedFrom$2.inboundSchema = JoinedFrom$inboundSchema;
  JoinedFrom$2.outboundSchema = JoinedFrom$outboundSchema;
})(JoinedFrom$ || (JoinedFrom$ = {}));
var Membership$inboundSchema = objectType({
  uid: stringType().optional(),
  entitlements: arrayType(lazyType(() => Entitlements$inboundSchema)).optional(),
  confirmed: booleanType(),
  confirmedAt: numberType(),
  accessRequestedAt: numberType().optional(),
  role: Role$inboundSchema,
  additionalRoles: arrayType(AdditionalRoles$inboundSchema).optional(),
  teamId: stringType().optional(),
  createdAt: numberType(),
  created: numberType(),
  joinedFrom: lazyType(() => JoinedFrom$inboundSchema).optional()
});
var Membership$outboundSchema = objectType({
  uid: stringType().optional(),
  entitlements: arrayType(lazyType(() => Entitlements$outboundSchema)).optional(),
  confirmed: booleanType(),
  confirmedAt: numberType(),
  accessRequestedAt: numberType().optional(),
  role: Role$outboundSchema,
  additionalRoles: arrayType(AdditionalRoles$outboundSchema).optional(),
  teamId: stringType().optional(),
  createdAt: numberType(),
  created: numberType(),
  joinedFrom: lazyType(() => JoinedFrom$outboundSchema).optional()
});
var Membership$;
(function(Membership$2) {
  Membership$2.inboundSchema = Membership$inboundSchema;
  Membership$2.outboundSchema = Membership$outboundSchema;
})(Membership$ || (Membership$ = {}));
var TeamLimited$inboundSchema = objectType({
  limited: booleanType(),
  saml: lazyType(() => Saml$inboundSchema).optional(),
  id: stringType(),
  slug: stringType(),
  name: nullableType(stringType()),
  avatar: nullableType(stringType()),
  membership: lazyType(() => Membership$inboundSchema),
  created: stringType(),
  createdAt: numberType()
});
var TeamLimited$outboundSchema = objectType({
  limited: booleanType(),
  saml: lazyType(() => Saml$outboundSchema).optional(),
  id: stringType(),
  slug: stringType(),
  name: nullableType(stringType()),
  avatar: nullableType(stringType()),
  membership: lazyType(() => Membership$outboundSchema),
  created: stringType(),
  createdAt: numberType()
});
var TeamLimited$;
(function(TeamLimited$2) {
  TeamLimited$2.inboundSchema = TeamLimited$inboundSchema;
  TeamLimited$2.outboundSchema = TeamLimited$outboundSchema;
})(TeamLimited$ || (TeamLimited$ = {}));

// node_modules/@vercel/sdk/esm/models/getteamsop.js
var GetTeamsRequest$inboundSchema = objectType({
  limit: numberType().optional(),
  since: numberType().optional(),
  until: numberType().optional()
});
var GetTeamsRequest$outboundSchema = objectType({
  limit: numberType().optional(),
  since: numberType().optional(),
  until: numberType().optional()
});
var GetTeamsRequest$;
(function(GetTeamsRequest$2) {
  GetTeamsRequest$2.inboundSchema = GetTeamsRequest$inboundSchema;
  GetTeamsRequest$2.outboundSchema = GetTeamsRequest$outboundSchema;
})(GetTeamsRequest$ || (GetTeamsRequest$ = {}));
var Teams$inboundSchema = unionType([TeamLimited$inboundSchema, recordType(anyType())]);
var Teams$outboundSchema = unionType([TeamLimited$outboundSchema, recordType(anyType())]);
var Teams$;
(function(Teams$2) {
  Teams$2.inboundSchema = Teams$inboundSchema;
  Teams$2.outboundSchema = Teams$outboundSchema;
})(Teams$ || (Teams$ = {}));
var GetTeamsResponseBody$inboundSchema = objectType({
  teams: arrayType(unionType([TeamLimited$inboundSchema, recordType(anyType())])),
  pagination: Pagination$inboundSchema
});
var GetTeamsResponseBody$outboundSchema = objectType({
  teams: arrayType(unionType([TeamLimited$outboundSchema, recordType(anyType())])),
  pagination: Pagination$outboundSchema
});
var GetTeamsResponseBody$;
(function(GetTeamsResponseBody$2) {
  GetTeamsResponseBody$2.inboundSchema = GetTeamsResponseBody$inboundSchema;
  GetTeamsResponseBody$2.outboundSchema = GetTeamsResponseBody$outboundSchema;
})(GetTeamsResponseBody$ || (GetTeamsResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/teamsGetTeams.js
async function teamsGetTeams(client, request, options) {
  const parsed = safeParse(request, (value) => GetTeamsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v2/teams")();
  const query = encodeFormQuery({
    limit: payload.limit,
    since: payload.since,
    until: payload.until
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getTeams",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetTeamsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/inviteusertoteamop.js
var InviteUserToTeamRole = {
  Owner: "OWNER",
  Member: "MEMBER",
  Developer: "DEVELOPER",
  Billing: "BILLING",
  Viewer: "VIEWER",
  Contributor: "CONTRIBUTOR"
};
var InviteUserToTeamTeamsRole = {
  Admin: "ADMIN",
  ProjectViewer: "PROJECT_VIEWER",
  ProjectDeveloper: "PROJECT_DEVELOPER"
};
var InviteUserToTeamResponseBodyRole = {
  Owner: "OWNER",
  Member: "MEMBER",
  Developer: "DEVELOPER",
  Billing: "BILLING",
  Viewer: "VIEWER",
  Contributor: "CONTRIBUTOR"
};
var ResponseBodyRole = {
  Owner: "OWNER",
  Member: "MEMBER",
  Developer: "DEVELOPER",
  Billing: "BILLING",
  Viewer: "VIEWER",
  Contributor: "CONTRIBUTOR"
};
var InviteUserToTeamRole$inboundSchema = nativeEnumType(InviteUserToTeamRole);
var InviteUserToTeamRole$outboundSchema = InviteUserToTeamRole$inboundSchema;
var InviteUserToTeamRole$;
(function(InviteUserToTeamRole$2) {
  InviteUserToTeamRole$2.inboundSchema = InviteUserToTeamRole$inboundSchema;
  InviteUserToTeamRole$2.outboundSchema = InviteUserToTeamRole$outboundSchema;
})(InviteUserToTeamRole$ || (InviteUserToTeamRole$ = {}));
var InviteUserToTeamTeamsRole$inboundSchema = nativeEnumType(InviteUserToTeamTeamsRole);
var InviteUserToTeamTeamsRole$outboundSchema = InviteUserToTeamTeamsRole$inboundSchema;
var InviteUserToTeamTeamsRole$;
(function(InviteUserToTeamTeamsRole$2) {
  InviteUserToTeamTeamsRole$2.inboundSchema = InviteUserToTeamTeamsRole$inboundSchema;
  InviteUserToTeamTeamsRole$2.outboundSchema = InviteUserToTeamTeamsRole$outboundSchema;
})(InviteUserToTeamTeamsRole$ || (InviteUserToTeamTeamsRole$ = {}));
var InviteUserToTeamProjects$inboundSchema = objectType({
  projectId: stringType(),
  role: InviteUserToTeamTeamsRole$inboundSchema
});
var InviteUserToTeamProjects$outboundSchema = objectType({
  projectId: stringType(),
  role: InviteUserToTeamTeamsRole$outboundSchema
});
var InviteUserToTeamProjects$;
(function(InviteUserToTeamProjects$2) {
  InviteUserToTeamProjects$2.inboundSchema = InviteUserToTeamProjects$inboundSchema;
  InviteUserToTeamProjects$2.outboundSchema = InviteUserToTeamProjects$outboundSchema;
})(InviteUserToTeamProjects$ || (InviteUserToTeamProjects$ = {}));
var InviteUserToTeamRequestBody$inboundSchema = objectType({
  uid: stringType().optional(),
  email: stringType().optional(),
  role: InviteUserToTeamRole$inboundSchema.default("MEMBER"),
  projects: arrayType(lazyType(() => InviteUserToTeamProjects$inboundSchema)).optional()
});
var InviteUserToTeamRequestBody$outboundSchema = objectType({
  uid: stringType().optional(),
  email: stringType().optional(),
  role: InviteUserToTeamRole$outboundSchema.default("MEMBER"),
  projects: arrayType(lazyType(() => InviteUserToTeamProjects$outboundSchema)).optional()
});
var InviteUserToTeamRequestBody$;
(function(InviteUserToTeamRequestBody$2) {
  InviteUserToTeamRequestBody$2.inboundSchema = InviteUserToTeamRequestBody$inboundSchema;
  InviteUserToTeamRequestBody$2.outboundSchema = InviteUserToTeamRequestBody$outboundSchema;
})(InviteUserToTeamRequestBody$ || (InviteUserToTeamRequestBody$ = {}));
var InviteUserToTeamRequest$inboundSchema = objectType({
  teamId: stringType(),
  RequestBody: lazyType(() => InviteUserToTeamRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var InviteUserToTeamRequest$outboundSchema = objectType({
  teamId: stringType(),
  requestBody: lazyType(() => InviteUserToTeamRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var InviteUserToTeamRequest$;
(function(InviteUserToTeamRequest$2) {
  InviteUserToTeamRequest$2.inboundSchema = InviteUserToTeamRequest$inboundSchema;
  InviteUserToTeamRequest$2.outboundSchema = InviteUserToTeamRequest$outboundSchema;
})(InviteUserToTeamRequest$ || (InviteUserToTeamRequest$ = {}));
var InviteUserToTeamResponseBodyRole$inboundSchema = nativeEnumType(InviteUserToTeamResponseBodyRole);
var InviteUserToTeamResponseBodyRole$outboundSchema = InviteUserToTeamResponseBodyRole$inboundSchema;
var InviteUserToTeamResponseBodyRole$;
(function(InviteUserToTeamResponseBodyRole$2) {
  InviteUserToTeamResponseBodyRole$2.inboundSchema = InviteUserToTeamResponseBodyRole$inboundSchema;
  InviteUserToTeamResponseBodyRole$2.outboundSchema = InviteUserToTeamResponseBodyRole$outboundSchema;
})(InviteUserToTeamResponseBodyRole$ || (InviteUserToTeamResponseBodyRole$ = {}));
var InviteUserToTeamResponseBody2$inboundSchema = objectType({
  uid: stringType(),
  username: stringType(),
  role: InviteUserToTeamResponseBodyRole$inboundSchema
});
var InviteUserToTeamResponseBody2$outboundSchema = objectType({
  uid: stringType(),
  username: stringType(),
  role: InviteUserToTeamResponseBodyRole$outboundSchema
});
var InviteUserToTeamResponseBody2$;
(function(InviteUserToTeamResponseBody2$2) {
  InviteUserToTeamResponseBody2$2.inboundSchema = InviteUserToTeamResponseBody2$inboundSchema;
  InviteUserToTeamResponseBody2$2.outboundSchema = InviteUserToTeamResponseBody2$outboundSchema;
})(InviteUserToTeamResponseBody2$ || (InviteUserToTeamResponseBody2$ = {}));
var ResponseBodyRole$inboundSchema = nativeEnumType(ResponseBodyRole);
var ResponseBodyRole$outboundSchema = ResponseBodyRole$inboundSchema;
var ResponseBodyRole$;
(function(ResponseBodyRole$2) {
  ResponseBodyRole$2.inboundSchema = ResponseBodyRole$inboundSchema;
  ResponseBodyRole$2.outboundSchema = ResponseBodyRole$outboundSchema;
})(ResponseBodyRole$ || (ResponseBodyRole$ = {}));
var InviteUserToTeamResponseBody1$inboundSchema = objectType({
  uid: stringType(),
  username: stringType(),
  email: stringType().optional(),
  role: ResponseBodyRole$inboundSchema
});
var InviteUserToTeamResponseBody1$outboundSchema = objectType({
  uid: stringType(),
  username: stringType(),
  email: stringType().optional(),
  role: ResponseBodyRole$outboundSchema
});
var InviteUserToTeamResponseBody1$;
(function(InviteUserToTeamResponseBody1$2) {
  InviteUserToTeamResponseBody1$2.inboundSchema = InviteUserToTeamResponseBody1$inboundSchema;
  InviteUserToTeamResponseBody1$2.outboundSchema = InviteUserToTeamResponseBody1$outboundSchema;
})(InviteUserToTeamResponseBody1$ || (InviteUserToTeamResponseBody1$ = {}));
var InviteUserToTeamResponseBody$inboundSchema = unionType([
  lazyType(() => InviteUserToTeamResponseBody2$inboundSchema),
  lazyType(() => InviteUserToTeamResponseBody1$inboundSchema)
]);
var InviteUserToTeamResponseBody$outboundSchema = unionType([
  lazyType(() => InviteUserToTeamResponseBody2$outboundSchema),
  lazyType(() => InviteUserToTeamResponseBody1$outboundSchema)
]);
var InviteUserToTeamResponseBody$;
(function(InviteUserToTeamResponseBody$2) {
  InviteUserToTeamResponseBody$2.inboundSchema = InviteUserToTeamResponseBody$inboundSchema;
  InviteUserToTeamResponseBody$2.outboundSchema = InviteUserToTeamResponseBody$outboundSchema;
})(InviteUserToTeamResponseBody$ || (InviteUserToTeamResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/teamsInviteUserToTeam.js
async function teamsInviteUserToTeam(client, request, options) {
  const parsed = safeParse(request, (value) => InviteUserToTeamRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/teams/{teamId}/members")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "inviteUserToTeam",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "503", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, InviteUserToTeamResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail([503, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/jointeamop.js
var JoinTeamRequestBody$inboundSchema = objectType({
  inviteCode: stringType().optional()
});
var JoinTeamRequestBody$outboundSchema = objectType({
  inviteCode: stringType().optional()
});
var JoinTeamRequestBody$;
(function(JoinTeamRequestBody$2) {
  JoinTeamRequestBody$2.inboundSchema = JoinTeamRequestBody$inboundSchema;
  JoinTeamRequestBody$2.outboundSchema = JoinTeamRequestBody$outboundSchema;
})(JoinTeamRequestBody$ || (JoinTeamRequestBody$ = {}));
var JoinTeamRequest$inboundSchema = objectType({
  teamId: stringType(),
  RequestBody: lazyType(() => JoinTeamRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var JoinTeamRequest$outboundSchema = objectType({
  teamId: stringType(),
  requestBody: lazyType(() => JoinTeamRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var JoinTeamRequest$;
(function(JoinTeamRequest$2) {
  JoinTeamRequest$2.inboundSchema = JoinTeamRequest$inboundSchema;
  JoinTeamRequest$2.outboundSchema = JoinTeamRequest$outboundSchema;
})(JoinTeamRequest$ || (JoinTeamRequest$ = {}));
var JoinTeamResponseBody$inboundSchema = objectType({
  teamId: stringType(),
  slug: stringType(),
  name: stringType(),
  from: stringType()
});
var JoinTeamResponseBody$outboundSchema = objectType({
  teamId: stringType(),
  slug: stringType(),
  name: stringType(),
  from: stringType()
});
var JoinTeamResponseBody$;
(function(JoinTeamResponseBody$2) {
  JoinTeamResponseBody$2.inboundSchema = JoinTeamResponseBody$inboundSchema;
  JoinTeamResponseBody$2.outboundSchema = JoinTeamResponseBody$outboundSchema;
})(JoinTeamResponseBody$ || (JoinTeamResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/teamsJoinTeam.js
async function teamsJoinTeam(client, request, options) {
  const parsed = safeParse(request, (value) => JoinTeamRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/teams/{teamId}/members/teams/join")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "joinTeam",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, JoinTeamResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/patchteamop.js
var Roles1 = {
  Owner: "OWNER",
  Member: "MEMBER",
  Developer: "DEVELOPER",
  Billing: "BILLING",
  Viewer: "VIEWER",
  Contributor: "CONTRIBUTOR"
};
var Roles2$inboundSchema = objectType({
  accessGroupId: stringType()
});
var Roles2$outboundSchema = objectType({
  accessGroupId: stringType()
});
var Roles2$;
(function(Roles2$2) {
  Roles2$2.inboundSchema = Roles2$inboundSchema;
  Roles2$2.outboundSchema = Roles2$outboundSchema;
})(Roles2$ || (Roles2$ = {}));
var Roles1$inboundSchema = nativeEnumType(Roles1);
var Roles1$outboundSchema = Roles1$inboundSchema;
var Roles1$;
(function(Roles1$2) {
  Roles1$2.inboundSchema = Roles1$inboundSchema;
  Roles1$2.outboundSchema = Roles1$outboundSchema;
})(Roles1$ || (Roles1$ = {}));
var Roles$inboundSchema = unionType([lazyType(() => Roles2$inboundSchema), Roles1$inboundSchema]);
var Roles$outboundSchema = unionType([lazyType(() => Roles2$outboundSchema), Roles1$outboundSchema]);
var Roles$;
(function(Roles$2) {
  Roles$2.inboundSchema = Roles$inboundSchema;
  Roles$2.outboundSchema = Roles$outboundSchema;
})(Roles$ || (Roles$ = {}));
var PatchTeamSaml$inboundSchema = objectType({
  enforced: booleanType().optional(),
  roles: recordType(unionType([lazyType(() => Roles2$inboundSchema), Roles1$inboundSchema])).optional()
});
var PatchTeamSaml$outboundSchema = objectType({
  enforced: booleanType().optional(),
  roles: recordType(unionType([lazyType(() => Roles2$outboundSchema), Roles1$outboundSchema])).optional()
});
var PatchTeamSaml$;
(function(PatchTeamSaml$2) {
  PatchTeamSaml$2.inboundSchema = PatchTeamSaml$inboundSchema;
  PatchTeamSaml$2.outboundSchema = PatchTeamSaml$outboundSchema;
})(PatchTeamSaml$ || (PatchTeamSaml$ = {}));
var PatchTeamRemoteCaching$inboundSchema = objectType({
  enabled: booleanType().optional()
});
var PatchTeamRemoteCaching$outboundSchema = objectType({
  enabled: booleanType().optional()
});
var PatchTeamRemoteCaching$;
(function(PatchTeamRemoteCaching$2) {
  PatchTeamRemoteCaching$2.inboundSchema = PatchTeamRemoteCaching$inboundSchema;
  PatchTeamRemoteCaching$2.outboundSchema = PatchTeamRemoteCaching$outboundSchema;
})(PatchTeamRemoteCaching$ || (PatchTeamRemoteCaching$ = {}));
var PatchTeamRequestBody$inboundSchema = objectType({
  avatar: stringType().optional(),
  description: stringType().optional(),
  emailDomain: nullableType(stringType()).optional(),
  name: stringType().optional(),
  previewDeploymentSuffix: nullableType(stringType()).optional(),
  regenerateInviteCode: booleanType().optional(),
  saml: lazyType(() => PatchTeamSaml$inboundSchema).optional(),
  slug: stringType().optional(),
  enablePreviewFeedback: stringType().optional(),
  enableProductionFeedback: stringType().optional(),
  sensitiveEnvironmentVariablePolicy: stringType().optional(),
  remoteCaching: lazyType(() => PatchTeamRemoteCaching$inboundSchema).optional(),
  hideIpAddresses: booleanType().optional(),
  hideIpAddressesInLogDrains: booleanType().optional()
});
var PatchTeamRequestBody$outboundSchema = objectType({
  avatar: stringType().optional(),
  description: stringType().optional(),
  emailDomain: nullableType(stringType()).optional(),
  name: stringType().optional(),
  previewDeploymentSuffix: nullableType(stringType()).optional(),
  regenerateInviteCode: booleanType().optional(),
  saml: lazyType(() => PatchTeamSaml$outboundSchema).optional(),
  slug: stringType().optional(),
  enablePreviewFeedback: stringType().optional(),
  enableProductionFeedback: stringType().optional(),
  sensitiveEnvironmentVariablePolicy: stringType().optional(),
  remoteCaching: lazyType(() => PatchTeamRemoteCaching$outboundSchema).optional(),
  hideIpAddresses: booleanType().optional(),
  hideIpAddressesInLogDrains: booleanType().optional()
});
var PatchTeamRequestBody$;
(function(PatchTeamRequestBody$2) {
  PatchTeamRequestBody$2.inboundSchema = PatchTeamRequestBody$inboundSchema;
  PatchTeamRequestBody$2.outboundSchema = PatchTeamRequestBody$outboundSchema;
})(PatchTeamRequestBody$ || (PatchTeamRequestBody$ = {}));
var PatchTeamRequest$inboundSchema = objectType({
  teamId: stringType(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => PatchTeamRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var PatchTeamRequest$outboundSchema = objectType({
  teamId: stringType(),
  slug: stringType().optional(),
  requestBody: lazyType(() => PatchTeamRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var PatchTeamRequest$;
(function(PatchTeamRequest$2) {
  PatchTeamRequest$2.inboundSchema = PatchTeamRequest$inboundSchema;
  PatchTeamRequest$2.outboundSchema = PatchTeamRequest$outboundSchema;
})(PatchTeamRequest$ || (PatchTeamRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/teamsPatchTeam.js
async function teamsPatchTeam(client, request, options) {
  const parsed = safeParse(request, (value) => PatchTeamRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v2/teams/{teamId}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "patchTeam",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, recordType(anyType())), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/removeteammemberop.js
var RemoveTeamMemberRequest$inboundSchema = objectType({
  uid: stringType(),
  newDefaultTeamId: stringType().optional(),
  teamId: stringType()
});
var RemoveTeamMemberRequest$outboundSchema = objectType({
  uid: stringType(),
  newDefaultTeamId: stringType().optional(),
  teamId: stringType()
});
var RemoveTeamMemberRequest$;
(function(RemoveTeamMemberRequest$2) {
  RemoveTeamMemberRequest$2.inboundSchema = RemoveTeamMemberRequest$inboundSchema;
  RemoveTeamMemberRequest$2.outboundSchema = RemoveTeamMemberRequest$outboundSchema;
})(RemoveTeamMemberRequest$ || (RemoveTeamMemberRequest$ = {}));
var RemoveTeamMemberResponseBody$inboundSchema = objectType({
  id: stringType()
});
var RemoveTeamMemberResponseBody$outboundSchema = objectType({
  id: stringType()
});
var RemoveTeamMemberResponseBody$;
(function(RemoveTeamMemberResponseBody$2) {
  RemoveTeamMemberResponseBody$2.inboundSchema = RemoveTeamMemberResponseBody$inboundSchema;
  RemoveTeamMemberResponseBody$2.outboundSchema = RemoveTeamMemberResponseBody$outboundSchema;
})(RemoveTeamMemberResponseBody$ || (RemoveTeamMemberResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/teamsRemoveTeamMember.js
async function teamsRemoveTeamMember(client, request, options) {
  const parsed = safeParse(request, (value) => RemoveTeamMemberRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    }),
    uid: encodeSimple("uid", payload.uid, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/teams/{teamId}/members/{uid}")(pathParams);
  const query = encodeFormQuery({
    newDefaultTeamId: payload.newDefaultTeamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "removeTeamMember",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "503", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RemoveTeamMemberResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail([503, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/requestaccesstoteamop.js
var RequestAccessToTeamOrigin = {
  Import: "import",
  Teams: "teams",
  Github: "github",
  Gitlab: "gitlab",
  Bitbucket: "bitbucket",
  Feedback: "feedback",
  OrganizationTeams: "organization-teams"
};
var RequestAccessToTeamTeamsOrigin = {
  Import: "import",
  Teams: "teams",
  Github: "github",
  Gitlab: "gitlab",
  Bitbucket: "bitbucket",
  Feedback: "feedback",
  OrganizationTeams: "organization-teams",
  Mail: "mail",
  Link: "link",
  Saml: "saml",
  Dsync: "dsync"
};
var RequestAccessToTeamOrigin$inboundSchema = nativeEnumType(RequestAccessToTeamOrigin);
var RequestAccessToTeamOrigin$outboundSchema = RequestAccessToTeamOrigin$inboundSchema;
var RequestAccessToTeamOrigin$;
(function(RequestAccessToTeamOrigin$2) {
  RequestAccessToTeamOrigin$2.inboundSchema = RequestAccessToTeamOrigin$inboundSchema;
  RequestAccessToTeamOrigin$2.outboundSchema = RequestAccessToTeamOrigin$outboundSchema;
})(RequestAccessToTeamOrigin$ || (RequestAccessToTeamOrigin$ = {}));
var RequestAccessToTeamGitUserId$inboundSchema = unionType([stringType(), numberType()]);
var RequestAccessToTeamGitUserId$outboundSchema = unionType([stringType(), numberType()]);
var RequestAccessToTeamGitUserId$;
(function(RequestAccessToTeamGitUserId$2) {
  RequestAccessToTeamGitUserId$2.inboundSchema = RequestAccessToTeamGitUserId$inboundSchema;
  RequestAccessToTeamGitUserId$2.outboundSchema = RequestAccessToTeamGitUserId$outboundSchema;
})(RequestAccessToTeamGitUserId$ || (RequestAccessToTeamGitUserId$ = {}));
var RequestAccessToTeamJoinedFrom$inboundSchema = objectType({
  origin: RequestAccessToTeamOrigin$inboundSchema,
  commitId: stringType().optional(),
  repoId: stringType().optional(),
  repoPath: stringType().optional(),
  gitUserId: unionType([stringType(), numberType()]).optional(),
  gitUserLogin: stringType().optional()
});
var RequestAccessToTeamJoinedFrom$outboundSchema = objectType({
  origin: RequestAccessToTeamOrigin$outboundSchema,
  commitId: stringType().optional(),
  repoId: stringType().optional(),
  repoPath: stringType().optional(),
  gitUserId: unionType([stringType(), numberType()]).optional(),
  gitUserLogin: stringType().optional()
});
var RequestAccessToTeamJoinedFrom$;
(function(RequestAccessToTeamJoinedFrom$2) {
  RequestAccessToTeamJoinedFrom$2.inboundSchema = RequestAccessToTeamJoinedFrom$inboundSchema;
  RequestAccessToTeamJoinedFrom$2.outboundSchema = RequestAccessToTeamJoinedFrom$outboundSchema;
})(RequestAccessToTeamJoinedFrom$ || (RequestAccessToTeamJoinedFrom$ = {}));
var RequestAccessToTeamRequestBody$inboundSchema = objectType({
  joinedFrom: lazyType(() => RequestAccessToTeamJoinedFrom$inboundSchema)
});
var RequestAccessToTeamRequestBody$outboundSchema = objectType({
  joinedFrom: lazyType(() => RequestAccessToTeamJoinedFrom$outboundSchema)
});
var RequestAccessToTeamRequestBody$;
(function(RequestAccessToTeamRequestBody$2) {
  RequestAccessToTeamRequestBody$2.inboundSchema = RequestAccessToTeamRequestBody$inboundSchema;
  RequestAccessToTeamRequestBody$2.outboundSchema = RequestAccessToTeamRequestBody$outboundSchema;
})(RequestAccessToTeamRequestBody$ || (RequestAccessToTeamRequestBody$ = {}));
var RequestAccessToTeamRequest$inboundSchema = objectType({
  teamId: stringType(),
  RequestBody: lazyType(() => RequestAccessToTeamRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var RequestAccessToTeamRequest$outboundSchema = objectType({
  teamId: stringType(),
  requestBody: lazyType(() => RequestAccessToTeamRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var RequestAccessToTeamRequest$;
(function(RequestAccessToTeamRequest$2) {
  RequestAccessToTeamRequest$2.inboundSchema = RequestAccessToTeamRequest$inboundSchema;
  RequestAccessToTeamRequest$2.outboundSchema = RequestAccessToTeamRequest$outboundSchema;
})(RequestAccessToTeamRequest$ || (RequestAccessToTeamRequest$ = {}));
var RequestAccessToTeamTeamsOrigin$inboundSchema = nativeEnumType(RequestAccessToTeamTeamsOrigin);
var RequestAccessToTeamTeamsOrigin$outboundSchema = RequestAccessToTeamTeamsOrigin$inboundSchema;
var RequestAccessToTeamTeamsOrigin$;
(function(RequestAccessToTeamTeamsOrigin$2) {
  RequestAccessToTeamTeamsOrigin$2.inboundSchema = RequestAccessToTeamTeamsOrigin$inboundSchema;
  RequestAccessToTeamTeamsOrigin$2.outboundSchema = RequestAccessToTeamTeamsOrigin$outboundSchema;
})(RequestAccessToTeamTeamsOrigin$ || (RequestAccessToTeamTeamsOrigin$ = {}));
var RequestAccessToTeamTeamsGitUserId$inboundSchema = unionType([stringType(), numberType()]);
var RequestAccessToTeamTeamsGitUserId$outboundSchema = unionType([stringType(), numberType()]);
var RequestAccessToTeamTeamsGitUserId$;
(function(RequestAccessToTeamTeamsGitUserId$2) {
  RequestAccessToTeamTeamsGitUserId$2.inboundSchema = RequestAccessToTeamTeamsGitUserId$inboundSchema;
  RequestAccessToTeamTeamsGitUserId$2.outboundSchema = RequestAccessToTeamTeamsGitUserId$outboundSchema;
})(RequestAccessToTeamTeamsGitUserId$ || (RequestAccessToTeamTeamsGitUserId$ = {}));
var RequestAccessToTeamTeamsJoinedFrom$inboundSchema = objectType({
  origin: RequestAccessToTeamTeamsOrigin$inboundSchema,
  commitId: stringType().optional(),
  repoId: stringType().optional(),
  repoPath: stringType().optional(),
  gitUserId: unionType([stringType(), numberType()]).optional(),
  gitUserLogin: stringType().optional(),
  ssoUserId: stringType().optional(),
  ssoConnectedAt: numberType().optional(),
  idpUserId: stringType().optional(),
  dsyncUserId: stringType().optional(),
  dsyncConnectedAt: numberType().optional()
});
var RequestAccessToTeamTeamsJoinedFrom$outboundSchema = objectType({
  origin: RequestAccessToTeamTeamsOrigin$outboundSchema,
  commitId: stringType().optional(),
  repoId: stringType().optional(),
  repoPath: stringType().optional(),
  gitUserId: unionType([stringType(), numberType()]).optional(),
  gitUserLogin: stringType().optional(),
  ssoUserId: stringType().optional(),
  ssoConnectedAt: numberType().optional(),
  idpUserId: stringType().optional(),
  dsyncUserId: stringType().optional(),
  dsyncConnectedAt: numberType().optional()
});
var RequestAccessToTeamTeamsJoinedFrom$;
(function(RequestAccessToTeamTeamsJoinedFrom$2) {
  RequestAccessToTeamTeamsJoinedFrom$2.inboundSchema = RequestAccessToTeamTeamsJoinedFrom$inboundSchema;
  RequestAccessToTeamTeamsJoinedFrom$2.outboundSchema = RequestAccessToTeamTeamsJoinedFrom$outboundSchema;
})(RequestAccessToTeamTeamsJoinedFrom$ || (RequestAccessToTeamTeamsJoinedFrom$ = {}));
var Github$inboundSchema = objectType({
  login: stringType().optional()
});
var Github$outboundSchema = objectType({
  login: stringType().optional()
});
var Github$;
(function(Github$2) {
  Github$2.inboundSchema = Github$inboundSchema;
  Github$2.outboundSchema = Github$outboundSchema;
})(Github$ || (Github$ = {}));
var Gitlab$inboundSchema = objectType({
  login: stringType().optional()
});
var Gitlab$outboundSchema = objectType({
  login: stringType().optional()
});
var Gitlab$;
(function(Gitlab$2) {
  Gitlab$2.inboundSchema = Gitlab$inboundSchema;
  Gitlab$2.outboundSchema = Gitlab$outboundSchema;
})(Gitlab$ || (Gitlab$ = {}));
var Bitbucket$inboundSchema = objectType({
  login: stringType().optional()
});
var Bitbucket$outboundSchema = objectType({
  login: stringType().optional()
});
var Bitbucket$;
(function(Bitbucket$2) {
  Bitbucket$2.inboundSchema = Bitbucket$inboundSchema;
  Bitbucket$2.outboundSchema = Bitbucket$outboundSchema;
})(Bitbucket$ || (Bitbucket$ = {}));
var RequestAccessToTeamResponseBody$inboundSchema = objectType({
  teamSlug: stringType(),
  teamName: stringType(),
  confirmed: booleanType().optional(),
  joinedFrom: lazyType(() => RequestAccessToTeamTeamsJoinedFrom$inboundSchema).optional(),
  accessRequestedAt: numberType().optional(),
  github: nullableType(lazyType(() => Github$inboundSchema)),
  gitlab: nullableType(lazyType(() => Gitlab$inboundSchema)),
  bitbucket: nullableType(lazyType(() => Bitbucket$inboundSchema))
});
var RequestAccessToTeamResponseBody$outboundSchema = objectType({
  teamSlug: stringType(),
  teamName: stringType(),
  confirmed: booleanType().optional(),
  joinedFrom: lazyType(() => RequestAccessToTeamTeamsJoinedFrom$outboundSchema).optional(),
  accessRequestedAt: numberType().optional(),
  github: nullableType(lazyType(() => Github$outboundSchema)),
  gitlab: nullableType(lazyType(() => Gitlab$outboundSchema)),
  bitbucket: nullableType(lazyType(() => Bitbucket$outboundSchema))
});
var RequestAccessToTeamResponseBody$;
(function(RequestAccessToTeamResponseBody$2) {
  RequestAccessToTeamResponseBody$2.inboundSchema = RequestAccessToTeamResponseBody$inboundSchema;
  RequestAccessToTeamResponseBody$2.outboundSchema = RequestAccessToTeamResponseBody$outboundSchema;
})(RequestAccessToTeamResponseBody$ || (RequestAccessToTeamResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/teamsRequestAccessToTeam.js
async function teamsRequestAccessToTeam(client, request, options) {
  const parsed = safeParse(request, (value) => RequestAccessToTeamRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/teams/{teamId}/request")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "requestAccessToTeam",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "404", "4XX", "503", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, RequestAccessToTeamResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail([503, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/updateteammemberop.js
var UpdateTeamMemberRole = {
  Admin: "ADMIN",
  ProjectViewer: "PROJECT_VIEWER",
  ProjectDeveloper: "PROJECT_DEVELOPER"
};
var UpdateTeamMemberRole$inboundSchema = nativeEnumType(UpdateTeamMemberRole);
var UpdateTeamMemberRole$outboundSchema = UpdateTeamMemberRole$inboundSchema;
var UpdateTeamMemberRole$;
(function(UpdateTeamMemberRole$2) {
  UpdateTeamMemberRole$2.inboundSchema = UpdateTeamMemberRole$inboundSchema;
  UpdateTeamMemberRole$2.outboundSchema = UpdateTeamMemberRole$outboundSchema;
})(UpdateTeamMemberRole$ || (UpdateTeamMemberRole$ = {}));
var UpdateTeamMemberProjects$inboundSchema = objectType({
  projectId: stringType(),
  role: nullableType(UpdateTeamMemberRole$inboundSchema)
});
var UpdateTeamMemberProjects$outboundSchema = objectType({
  projectId: stringType(),
  role: nullableType(UpdateTeamMemberRole$outboundSchema)
});
var UpdateTeamMemberProjects$;
(function(UpdateTeamMemberProjects$2) {
  UpdateTeamMemberProjects$2.inboundSchema = UpdateTeamMemberProjects$inboundSchema;
  UpdateTeamMemberProjects$2.outboundSchema = UpdateTeamMemberProjects$outboundSchema;
})(UpdateTeamMemberProjects$ || (UpdateTeamMemberProjects$ = {}));
var UpdateTeamMemberJoinedFrom$inboundSchema = objectType({
  ssoUserId: nullableType(anyType()).optional()
});
var UpdateTeamMemberJoinedFrom$outboundSchema = objectType({
  ssoUserId: nullableType(anyType()).optional()
});
var UpdateTeamMemberJoinedFrom$;
(function(UpdateTeamMemberJoinedFrom$2) {
  UpdateTeamMemberJoinedFrom$2.inboundSchema = UpdateTeamMemberJoinedFrom$inboundSchema;
  UpdateTeamMemberJoinedFrom$2.outboundSchema = UpdateTeamMemberJoinedFrom$outboundSchema;
})(UpdateTeamMemberJoinedFrom$ || (UpdateTeamMemberJoinedFrom$ = {}));
var UpdateTeamMemberRequestBody$inboundSchema = objectType({
  confirmed: booleanType().optional(),
  role: stringType().default("MEMBER"),
  projects: arrayType(lazyType(() => UpdateTeamMemberProjects$inboundSchema)).optional(),
  joinedFrom: lazyType(() => UpdateTeamMemberJoinedFrom$inboundSchema).optional()
});
var UpdateTeamMemberRequestBody$outboundSchema = objectType({
  confirmed: booleanType().optional(),
  role: stringType().default("MEMBER"),
  projects: arrayType(lazyType(() => UpdateTeamMemberProjects$outboundSchema)).optional(),
  joinedFrom: lazyType(() => UpdateTeamMemberJoinedFrom$outboundSchema).optional()
});
var UpdateTeamMemberRequestBody$;
(function(UpdateTeamMemberRequestBody$2) {
  UpdateTeamMemberRequestBody$2.inboundSchema = UpdateTeamMemberRequestBody$inboundSchema;
  UpdateTeamMemberRequestBody$2.outboundSchema = UpdateTeamMemberRequestBody$outboundSchema;
})(UpdateTeamMemberRequestBody$ || (UpdateTeamMemberRequestBody$ = {}));
var UpdateTeamMemberRequest$inboundSchema = objectType({
  uid: stringType(),
  teamId: stringType(),
  RequestBody: lazyType(() => UpdateTeamMemberRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var UpdateTeamMemberRequest$outboundSchema = objectType({
  uid: stringType(),
  teamId: stringType(),
  requestBody: lazyType(() => UpdateTeamMemberRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var UpdateTeamMemberRequest$;
(function(UpdateTeamMemberRequest$2) {
  UpdateTeamMemberRequest$2.inboundSchema = UpdateTeamMemberRequest$inboundSchema;
  UpdateTeamMemberRequest$2.outboundSchema = UpdateTeamMemberRequest$outboundSchema;
})(UpdateTeamMemberRequest$ || (UpdateTeamMemberRequest$ = {}));
var UpdateTeamMemberResponseBody$inboundSchema = objectType({
  id: stringType()
});
var UpdateTeamMemberResponseBody$outboundSchema = objectType({
  id: stringType()
});
var UpdateTeamMemberResponseBody$;
(function(UpdateTeamMemberResponseBody$2) {
  UpdateTeamMemberResponseBody$2.inboundSchema = UpdateTeamMemberResponseBody$inboundSchema;
  UpdateTeamMemberResponseBody$2.outboundSchema = UpdateTeamMemberResponseBody$outboundSchema;
})(UpdateTeamMemberResponseBody$ || (UpdateTeamMemberResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/teamsUpdateTeamMember.js
async function teamsUpdateTeamMember(client, request, options) {
  const parsed = safeParse(request, (value) => UpdateTeamMemberRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const pathParams = {
    teamId: encodeSimple("teamId", payload.teamId, {
      explode: false,
      charEncoding: "percent"
    }),
    uid: encodeSimple("uid", payload.uid, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/teams/{teamId}/members/{uid}")(pathParams);
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "updateTeamMember",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "PATCH",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "404", "4XX", "500", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, UpdateTeamMemberResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), jsonErr(404, VercelNotFoundError$inboundSchema), fail([500, "5XX"]))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/teams.js
class Teams extends ClientSDK {
  async getTeamMembers(request, options) {
    return unwrapAsync(teamsGetTeamMembers(this, request, options));
  }
  async inviteUserToTeam(request, options) {
    return unwrapAsync(teamsInviteUserToTeam(this, request, options));
  }
  async requestAccessToTeam(request, options) {
    return unwrapAsync(teamsRequestAccessToTeam(this, request, options));
  }
  async getTeamAccessRequest(request, options) {
    return unwrapAsync(teamsGetTeamAccessRequest(this, request, options));
  }
  async joinTeam(request, options) {
    return unwrapAsync(teamsJoinTeam(this, request, options));
  }
  async updateTeamMember(request, options) {
    return unwrapAsync(teamsUpdateTeamMember(this, request, options));
  }
  async removeTeamMember(request, options) {
    return unwrapAsync(teamsRemoveTeamMember(this, request, options));
  }
  async getTeam(request, options) {
    return unwrapAsync(teamsGetTeam(this, request, options));
  }
  async patchTeam(request, options) {
    return unwrapAsync(teamsPatchTeam(this, request, options));
  }
  async getTeams(request, options) {
    return unwrapAsync(teamsGetTeams(this, request, options));
  }
  async createTeam(request, options) {
    return unwrapAsync(teamsCreateTeam(this, request, options));
  }
  async deleteTeam(request, options) {
    return unwrapAsync(teamsDeleteTeam(this, request, options));
  }
  async deleteTeamInviteCode(request, options) {
    return unwrapAsync(teamsDeleteTeamInviteCode(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/authuser.js
var Reason = {
  SubscriptionCanceled: "SUBSCRIPTION_CANCELED",
  SubscriptionExpired: "SUBSCRIPTION_EXPIRED",
  UnpaidInvoice: "UNPAID_INVOICE",
  EnterpriseTrialEnded: "ENTERPRISE_TRIAL_ENDED",
  FairUseLimitsExceeded: "FAIR_USE_LIMITS_EXCEEDED",
  BlockedForPlatformAbuse: "BLOCKED_FOR_PLATFORM_ABUSE"
};
var BlockedDueToOverageType = {
  AnalyticsUsage: "analyticsUsage",
  Artifacts: "artifacts",
  Bandwidth: "bandwidth",
  BlobStores: "blobStores",
  BlobTotalAdvancedRequests: "blobTotalAdvancedRequests",
  BlobTotalAvgSizeInBytes: "blobTotalAvgSizeInBytes",
  BlobTotalGetResponseObjectSizeInBytes: "blobTotalGetResponseObjectSizeInBytes",
  BlobTotalSimpleRequests: "blobTotalSimpleRequests",
  BuildMinute: "buildMinute",
  DataCacheRead: "dataCacheRead",
  DataCacheRevalidation: "dataCacheRevalidation",
  DataCacheWrite: "dataCacheWrite",
  EdgeConfigRead: "edgeConfigRead",
  EdgeConfigWrite: "edgeConfigWrite",
  EdgeFunctionExecutionUnits: "edgeFunctionExecutionUnits",
  EdgeMiddlewareInvocations: "edgeMiddlewareInvocations",
  EdgeRequestAdditionalCpuDuration: "edgeRequestAdditionalCpuDuration",
  EdgeRequest: "edgeRequest",
  ElasticConcurrencyBuildSlots: "elasticConcurrencyBuildSlots",
  FastDataTransfer: "fastDataTransfer",
  FastOriginTransfer: "fastOriginTransfer",
  FunctionDuration: "functionDuration",
  FunctionInvocation: "functionInvocation",
  ImageOptimizationCacheRead: "imageOptimizationCacheRead",
  ImageOptimizationCacheWrite: "imageOptimizationCacheWrite",
  ImageOptimizationTransformation: "imageOptimizationTransformation",
  LogDrainsVolume: "logDrainsVolume",
  MonitoringMetric: "monitoringMetric",
  ObservabilityEvent: "observabilityEvent",
  PostgresComputeTime: "postgresComputeTime",
  PostgresDataStorage: "postgresDataStorage",
  PostgresDataTransfer: "postgresDataTransfer",
  PostgresDatabase: "postgresDatabase",
  PostgresWrittenData: "postgresWrittenData",
  ServerlessFunctionExecution: "serverlessFunctionExecution",
  SourceImages: "sourceImages",
  StorageRedisTotalBandwidthInBytes: "storageRedisTotalBandwidthInBytes",
  StorageRedisTotalCommands: "storageRedisTotalCommands",
  StorageRedisTotalDailyAvgStorageInBytes: "storageRedisTotalDailyAvgStorageInBytes",
  StorageRedisTotalDatabases: "storageRedisTotalDatabases",
  WafOwaspExcessBytes: "wafOwaspExcessBytes",
  WafOwaspRequests: "wafOwaspRequests",
  WafRateLimitRequest: "wafRateLimitRequest",
  WebAnalyticsEvent: "webAnalyticsEvent"
};
var ViewPreference = {
  List: "list",
  Cards: "cards"
};
var FavoritesViewPreference = {
  Open: "open",
  Closed: "closed"
};
var RecentsViewPreference = {
  Open: "open",
  Closed: "closed"
};
var ImportFlowGitProvider = {
  Github: "github",
  Gitlab: "gitlab",
  Bitbucket: "bitbucket"
};
var Version = {
  Northstar: "northstar"
};
var Reason$inboundSchema = nativeEnumType(Reason);
var Reason$outboundSchema = Reason$inboundSchema;
var Reason$;
(function(Reason$2) {
  Reason$2.inboundSchema = Reason$inboundSchema;
  Reason$2.outboundSchema = Reason$outboundSchema;
})(Reason$ || (Reason$ = {}));
var BlockedDueToOverageType$inboundSchema = nativeEnumType(BlockedDueToOverageType);
var BlockedDueToOverageType$outboundSchema = BlockedDueToOverageType$inboundSchema;
var BlockedDueToOverageType$;
(function(BlockedDueToOverageType$2) {
  BlockedDueToOverageType$2.inboundSchema = BlockedDueToOverageType$inboundSchema;
  BlockedDueToOverageType$2.outboundSchema = BlockedDueToOverageType$outboundSchema;
})(BlockedDueToOverageType$ || (BlockedDueToOverageType$ = {}));
var SoftBlock$inboundSchema = objectType({
  blockedAt: numberType(),
  reason: Reason$inboundSchema,
  blockedDueToOverageType: BlockedDueToOverageType$inboundSchema.optional()
});
var SoftBlock$outboundSchema = objectType({
  blockedAt: numberType(),
  reason: Reason$outboundSchema,
  blockedDueToOverageType: BlockedDueToOverageType$outboundSchema.optional()
});
var SoftBlock$;
(function(SoftBlock$2) {
  SoftBlock$2.inboundSchema = SoftBlock$inboundSchema;
  SoftBlock$2.outboundSchema = SoftBlock$outboundSchema;
})(SoftBlock$ || (SoftBlock$ = {}));
var Billing$inboundSchema = objectType({});
var Billing$outboundSchema = objectType({});
var Billing$;
(function(Billing$2) {
  Billing$2.inboundSchema = Billing$inboundSchema;
  Billing$2.outboundSchema = Billing$outboundSchema;
})(Billing$ || (Billing$ = {}));
var ResourceConfig$inboundSchema = objectType({
  blobStores: numberType().optional(),
  nodeType: stringType().optional(),
  concurrentBuilds: numberType().optional(),
  awsAccountType: stringType().optional(),
  awsAccountIds: arrayType(stringType()).optional(),
  cfZoneName: stringType().optional(),
  imageOptimizationType: stringType().optional(),
  edgeConfigs: numberType().optional(),
  edgeConfigSize: numberType().optional(),
  edgeFunctionMaxSizeBytes: numberType().optional(),
  edgeFunctionExecutionTimeoutMs: numberType().optional(),
  serverlessFunctionDefaultMaxExecutionTime: numberType().optional(),
  kvDatabases: numberType().optional(),
  postgresDatabases: numberType().optional(),
  integrationStores: numberType().optional(),
  cronJobs: numberType().optional(),
  cronJobsPerProject: numberType().optional(),
  microfrontendGroupsPerTeam: numberType().optional(),
  microfrontendProjectsPerGroup: numberType().optional()
});
var ResourceConfig$outboundSchema = objectType({
  blobStores: numberType().optional(),
  nodeType: stringType().optional(),
  concurrentBuilds: numberType().optional(),
  awsAccountType: stringType().optional(),
  awsAccountIds: arrayType(stringType()).optional(),
  cfZoneName: stringType().optional(),
  imageOptimizationType: stringType().optional(),
  edgeConfigs: numberType().optional(),
  edgeConfigSize: numberType().optional(),
  edgeFunctionMaxSizeBytes: numberType().optional(),
  edgeFunctionExecutionTimeoutMs: numberType().optional(),
  serverlessFunctionDefaultMaxExecutionTime: numberType().optional(),
  kvDatabases: numberType().optional(),
  postgresDatabases: numberType().optional(),
  integrationStores: numberType().optional(),
  cronJobs: numberType().optional(),
  cronJobsPerProject: numberType().optional(),
  microfrontendGroupsPerTeam: numberType().optional(),
  microfrontendProjectsPerGroup: numberType().optional()
});
var ResourceConfig$;
(function(ResourceConfig$2) {
  ResourceConfig$2.inboundSchema = ResourceConfig$inboundSchema;
  ResourceConfig$2.outboundSchema = ResourceConfig$outboundSchema;
})(ResourceConfig$ || (ResourceConfig$ = {}));
var ViewPreference$inboundSchema = nativeEnumType(ViewPreference);
var ViewPreference$outboundSchema = ViewPreference$inboundSchema;
var ViewPreference$;
(function(ViewPreference$2) {
  ViewPreference$2.inboundSchema = ViewPreference$inboundSchema;
  ViewPreference$2.outboundSchema = ViewPreference$outboundSchema;
})(ViewPreference$ || (ViewPreference$ = {}));
var FavoritesViewPreference$inboundSchema = nativeEnumType(FavoritesViewPreference);
var FavoritesViewPreference$outboundSchema = FavoritesViewPreference$inboundSchema;
var FavoritesViewPreference$;
(function(FavoritesViewPreference$2) {
  FavoritesViewPreference$2.inboundSchema = FavoritesViewPreference$inboundSchema;
  FavoritesViewPreference$2.outboundSchema = FavoritesViewPreference$outboundSchema;
})(FavoritesViewPreference$ || (FavoritesViewPreference$ = {}));
var RecentsViewPreference$inboundSchema = nativeEnumType(RecentsViewPreference);
var RecentsViewPreference$outboundSchema = RecentsViewPreference$inboundSchema;
var RecentsViewPreference$;
(function(RecentsViewPreference$2) {
  RecentsViewPreference$2.inboundSchema = RecentsViewPreference$inboundSchema;
  RecentsViewPreference$2.outboundSchema = RecentsViewPreference$outboundSchema;
})(RecentsViewPreference$ || (RecentsViewPreference$ = {}));
var ActiveDashboardViews$inboundSchema = objectType({
  scopeId: stringType(),
  viewPreference: nullableType(ViewPreference$inboundSchema).optional(),
  favoritesViewPreference: nullableType(FavoritesViewPreference$inboundSchema).optional(),
  recentsViewPreference: nullableType(RecentsViewPreference$inboundSchema).optional()
});
var ActiveDashboardViews$outboundSchema = objectType({
  scopeId: stringType(),
  viewPreference: nullableType(ViewPreference$outboundSchema).optional(),
  favoritesViewPreference: nullableType(FavoritesViewPreference$outboundSchema).optional(),
  recentsViewPreference: nullableType(RecentsViewPreference$outboundSchema).optional()
});
var ActiveDashboardViews$;
(function(ActiveDashboardViews$2) {
  ActiveDashboardViews$2.inboundSchema = ActiveDashboardViews$inboundSchema;
  ActiveDashboardViews$2.outboundSchema = ActiveDashboardViews$outboundSchema;
})(ActiveDashboardViews$ || (ActiveDashboardViews$ = {}));
var ImportFlowGitNamespace$inboundSchema = unionType([stringType(), numberType()]);
var ImportFlowGitNamespace$outboundSchema = unionType([stringType(), numberType()]);
var ImportFlowGitNamespace$;
(function(ImportFlowGitNamespace$2) {
  ImportFlowGitNamespace$2.inboundSchema = ImportFlowGitNamespace$inboundSchema;
  ImportFlowGitNamespace$2.outboundSchema = ImportFlowGitNamespace$outboundSchema;
})(ImportFlowGitNamespace$ || (ImportFlowGitNamespace$ = {}));
var ImportFlowGitNamespaceId$inboundSchema = unionType([stringType(), numberType()]);
var ImportFlowGitNamespaceId$outboundSchema = unionType([stringType(), numberType()]);
var ImportFlowGitNamespaceId$;
(function(ImportFlowGitNamespaceId$2) {
  ImportFlowGitNamespaceId$2.inboundSchema = ImportFlowGitNamespaceId$inboundSchema;
  ImportFlowGitNamespaceId$2.outboundSchema = ImportFlowGitNamespaceId$outboundSchema;
})(ImportFlowGitNamespaceId$ || (ImportFlowGitNamespaceId$ = {}));
var ImportFlowGitProvider$inboundSchema = nativeEnumType(ImportFlowGitProvider);
var ImportFlowGitProvider$outboundSchema = ImportFlowGitProvider$inboundSchema;
var ImportFlowGitProvider$;
(function(ImportFlowGitProvider$2) {
  ImportFlowGitProvider$2.inboundSchema = ImportFlowGitProvider$inboundSchema;
  ImportFlowGitProvider$2.outboundSchema = ImportFlowGitProvider$outboundSchema;
})(ImportFlowGitProvider$ || (ImportFlowGitProvider$ = {}));
var GitNamespaceId$inboundSchema = unionType([stringType(), numberType()]);
var GitNamespaceId$outboundSchema = unionType([stringType(), numberType()]);
var GitNamespaceId$;
(function(GitNamespaceId$2) {
  GitNamespaceId$2.inboundSchema = GitNamespaceId$inboundSchema;
  GitNamespaceId$2.outboundSchema = GitNamespaceId$outboundSchema;
})(GitNamespaceId$ || (GitNamespaceId$ = {}));
var PreferredScopesAndGitNamespaces$inboundSchema = objectType({
  scopeId: stringType(),
  gitNamespaceId: nullableType(unionType([stringType(), numberType()]))
});
var PreferredScopesAndGitNamespaces$outboundSchema = objectType({
  scopeId: stringType(),
  gitNamespaceId: nullableType(unionType([stringType(), numberType()]))
});
var PreferredScopesAndGitNamespaces$;
(function(PreferredScopesAndGitNamespaces$2) {
  PreferredScopesAndGitNamespaces$2.inboundSchema = PreferredScopesAndGitNamespaces$inboundSchema;
  PreferredScopesAndGitNamespaces$2.outboundSchema = PreferredScopesAndGitNamespaces$outboundSchema;
})(PreferredScopesAndGitNamespaces$ || (PreferredScopesAndGitNamespaces$ = {}));
var Dismissals$inboundSchema = objectType({
  scopeId: stringType(),
  createdAt: numberType()
});
var Dismissals$outboundSchema = objectType({
  scopeId: stringType(),
  createdAt: numberType()
});
var Dismissals$;
(function(Dismissals$2) {
  Dismissals$2.inboundSchema = Dismissals$inboundSchema;
  Dismissals$2.outboundSchema = Dismissals$outboundSchema;
})(Dismissals$ || (Dismissals$ = {}));
var DismissedToasts$inboundSchema = objectType({
  name: stringType(),
  dismissals: arrayType(lazyType(() => Dismissals$inboundSchema))
});
var DismissedToasts$outboundSchema = objectType({
  name: stringType(),
  dismissals: arrayType(lazyType(() => Dismissals$outboundSchema))
});
var DismissedToasts$;
(function(DismissedToasts$2) {
  DismissedToasts$2.inboundSchema = DismissedToasts$inboundSchema;
  DismissedToasts$2.outboundSchema = DismissedToasts$outboundSchema;
})(DismissedToasts$ || (DismissedToasts$ = {}));
var Two$inboundSchema = objectType({
  spaceId: stringType(),
  scopeSlug: stringType(),
  scopeId: stringType()
});
var Two$outboundSchema = objectType({
  spaceId: stringType(),
  scopeSlug: stringType(),
  scopeId: stringType()
});
var Two$;
(function(Two$2) {
  Two$2.inboundSchema = Two$inboundSchema;
  Two$2.outboundSchema = Two$outboundSchema;
})(Two$ || (Two$ = {}));
var One$inboundSchema = objectType({
  projectId: stringType(),
  scopeSlug: stringType(),
  scopeId: stringType()
});
var One$outboundSchema = objectType({
  projectId: stringType(),
  scopeSlug: stringType(),
  scopeId: stringType()
});
var One$;
(function(One$2) {
  One$2.inboundSchema = One$inboundSchema;
  One$2.outboundSchema = One$outboundSchema;
})(One$ || (One$ = {}));
var FavoriteProjectsAndSpaces$inboundSchema = unionType([lazyType(() => One$inboundSchema), lazyType(() => Two$inboundSchema)]);
var FavoriteProjectsAndSpaces$outboundSchema = unionType([
  lazyType(() => One$outboundSchema),
  lazyType(() => Two$outboundSchema)
]);
var FavoriteProjectsAndSpaces$;
(function(FavoriteProjectsAndSpaces$2) {
  FavoriteProjectsAndSpaces$2.inboundSchema = FavoriteProjectsAndSpaces$inboundSchema;
  FavoriteProjectsAndSpaces$2.outboundSchema = FavoriteProjectsAndSpaces$outboundSchema;
})(FavoriteProjectsAndSpaces$ || (FavoriteProjectsAndSpaces$ = {}));
var RemoteCaching$inboundSchema = objectType({
  enabled: booleanType().optional()
});
var RemoteCaching$outboundSchema = objectType({
  enabled: booleanType().optional()
});
var RemoteCaching$;
(function(RemoteCaching$2) {
  RemoteCaching$2.inboundSchema = RemoteCaching$inboundSchema;
  RemoteCaching$2.outboundSchema = RemoteCaching$outboundSchema;
})(RemoteCaching$ || (RemoteCaching$ = {}));
var DataCache$inboundSchema = objectType({
  excessBillingEnabled: booleanType().optional()
});
var DataCache$outboundSchema = objectType({
  excessBillingEnabled: booleanType().optional()
});
var DataCache$;
(function(DataCache$2) {
  DataCache$2.inboundSchema = DataCache$inboundSchema;
  DataCache$2.outboundSchema = DataCache$outboundSchema;
})(DataCache$ || (DataCache$ = {}));
var WebAnalytics$inboundSchema = objectType({
  blockedFrom: numberType().optional(),
  blockedUntil: numberType().optional(),
  isCurrentlyBlocked: booleanType()
});
var WebAnalytics$outboundSchema = objectType({
  blockedFrom: numberType().optional(),
  blockedUntil: numberType().optional(),
  isCurrentlyBlocked: booleanType()
});
var WebAnalytics$;
(function(WebAnalytics$2) {
  WebAnalytics$2.inboundSchema = WebAnalytics$inboundSchema;
  WebAnalytics$2.outboundSchema = WebAnalytics$outboundSchema;
})(WebAnalytics$ || (WebAnalytics$ = {}));
var FeatureBlocks$inboundSchema = objectType({
  webAnalytics: lazyType(() => WebAnalytics$inboundSchema).optional()
});
var FeatureBlocks$outboundSchema = objectType({
  webAnalytics: lazyType(() => WebAnalytics$outboundSchema).optional()
});
var FeatureBlocks$;
(function(FeatureBlocks$2) {
  FeatureBlocks$2.inboundSchema = FeatureBlocks$inboundSchema;
  FeatureBlocks$2.outboundSchema = FeatureBlocks$outboundSchema;
})(FeatureBlocks$ || (FeatureBlocks$ = {}));
var NorthstarMigration$inboundSchema = objectType({
  teamId: stringType(),
  projects: numberType(),
  stores: numberType(),
  integrationConfigurations: numberType(),
  integrationClients: numberType(),
  startTime: numberType(),
  endTime: numberType()
});
var NorthstarMigration$outboundSchema = objectType({
  teamId: stringType(),
  projects: numberType(),
  stores: numberType(),
  integrationConfigurations: numberType(),
  integrationClients: numberType(),
  startTime: numberType(),
  endTime: numberType()
});
var NorthstarMigration$;
(function(NorthstarMigration$2) {
  NorthstarMigration$2.inboundSchema = NorthstarMigration$inboundSchema;
  NorthstarMigration$2.outboundSchema = NorthstarMigration$outboundSchema;
})(NorthstarMigration$ || (NorthstarMigration$ = {}));
var Version$inboundSchema = nativeEnumType(Version);
var Version$outboundSchema = Version$inboundSchema;
var Version$;
(function(Version$2) {
  Version$2.inboundSchema = Version$inboundSchema;
  Version$2.outboundSchema = Version$outboundSchema;
})(Version$ || (Version$ = {}));
var AuthUser$inboundSchema = objectType({
  createdAt: numberType(),
  softBlock: nullableType(lazyType(() => SoftBlock$inboundSchema)),
  billing: nullableType(lazyType(() => Billing$inboundSchema)),
  resourceConfig: lazyType(() => ResourceConfig$inboundSchema),
  stagingPrefix: stringType(),
  activeDashboardViews: arrayType(lazyType(() => ActiveDashboardViews$inboundSchema)).optional(),
  importFlowGitNamespace: nullableType(unionType([stringType(), numberType()])).optional(),
  importFlowGitNamespaceId: nullableType(unionType([stringType(), numberType()])).optional(),
  importFlowGitProvider: nullableType(ImportFlowGitProvider$inboundSchema).optional(),
  preferredScopesAndGitNamespaces: arrayType(lazyType(() => PreferredScopesAndGitNamespaces$inboundSchema)).optional(),
  dismissedToasts: arrayType(lazyType(() => DismissedToasts$inboundSchema)).optional(),
  favoriteProjectsAndSpaces: arrayType(unionType([lazyType(() => One$inboundSchema), lazyType(() => Two$inboundSchema)])).optional(),
  hasTrialAvailable: booleanType(),
  remoteCaching: lazyType(() => RemoteCaching$inboundSchema).optional(),
  dataCache: lazyType(() => DataCache$inboundSchema).optional(),
  featureBlocks: lazyType(() => FeatureBlocks$inboundSchema).optional(),
  northstarMigration: lazyType(() => NorthstarMigration$inboundSchema).optional(),
  id: stringType(),
  email: stringType(),
  name: nullableType(stringType()),
  username: stringType(),
  avatar: nullableType(stringType()),
  defaultTeamId: nullableType(stringType()),
  version: Version$inboundSchema
});
var AuthUser$outboundSchema = objectType({
  createdAt: numberType(),
  softBlock: nullableType(lazyType(() => SoftBlock$outboundSchema)),
  billing: nullableType(lazyType(() => Billing$outboundSchema)),
  resourceConfig: lazyType(() => ResourceConfig$outboundSchema),
  stagingPrefix: stringType(),
  activeDashboardViews: arrayType(lazyType(() => ActiveDashboardViews$outboundSchema)).optional(),
  importFlowGitNamespace: nullableType(unionType([stringType(), numberType()])).optional(),
  importFlowGitNamespaceId: nullableType(unionType([stringType(), numberType()])).optional(),
  importFlowGitProvider: nullableType(ImportFlowGitProvider$outboundSchema).optional(),
  preferredScopesAndGitNamespaces: arrayType(lazyType(() => PreferredScopesAndGitNamespaces$outboundSchema)).optional(),
  dismissedToasts: arrayType(lazyType(() => DismissedToasts$outboundSchema)).optional(),
  favoriteProjectsAndSpaces: arrayType(unionType([
    lazyType(() => One$outboundSchema),
    lazyType(() => Two$outboundSchema)
  ])).optional(),
  hasTrialAvailable: booleanType(),
  remoteCaching: lazyType(() => RemoteCaching$outboundSchema).optional(),
  dataCache: lazyType(() => DataCache$outboundSchema).optional(),
  featureBlocks: lazyType(() => FeatureBlocks$outboundSchema).optional(),
  northstarMigration: lazyType(() => NorthstarMigration$outboundSchema).optional(),
  id: stringType(),
  email: stringType(),
  name: nullableType(stringType()),
  username: stringType(),
  avatar: nullableType(stringType()),
  defaultTeamId: nullableType(stringType()),
  version: Version$outboundSchema
});
var AuthUser$;
(function(AuthUser$2) {
  AuthUser$2.inboundSchema = AuthUser$inboundSchema;
  AuthUser$2.outboundSchema = AuthUser$outboundSchema;
})(AuthUser$ || (AuthUser$ = {}));

// node_modules/@vercel/sdk/esm/models/authuserlimited.js
var AuthUserLimitedVersion = {
  Northstar: "northstar"
};
var AuthUserLimitedVersion$inboundSchema = nativeEnumType(AuthUserLimitedVersion);
var AuthUserLimitedVersion$outboundSchema = AuthUserLimitedVersion$inboundSchema;
var AuthUserLimitedVersion$;
(function(AuthUserLimitedVersion$2) {
  AuthUserLimitedVersion$2.inboundSchema = AuthUserLimitedVersion$inboundSchema;
  AuthUserLimitedVersion$2.outboundSchema = AuthUserLimitedVersion$outboundSchema;
})(AuthUserLimitedVersion$ || (AuthUserLimitedVersion$ = {}));
var AuthUserLimited$inboundSchema = objectType({
  limited: booleanType(),
  id: stringType(),
  email: stringType(),
  name: nullableType(stringType()),
  username: stringType(),
  avatar: nullableType(stringType()),
  defaultTeamId: nullableType(stringType()),
  version: AuthUserLimitedVersion$inboundSchema
});
var AuthUserLimited$outboundSchema = objectType({
  limited: booleanType(),
  id: stringType(),
  email: stringType(),
  name: nullableType(stringType()),
  username: stringType(),
  avatar: nullableType(stringType()),
  defaultTeamId: nullableType(stringType()),
  version: AuthUserLimitedVersion$outboundSchema
});
var AuthUserLimited$;
(function(AuthUserLimited$2) {
  AuthUserLimited$2.inboundSchema = AuthUserLimited$inboundSchema;
  AuthUserLimited$2.outboundSchema = AuthUserLimited$outboundSchema;
})(AuthUserLimited$ || (AuthUserLimited$ = {}));

// node_modules/@vercel/sdk/esm/models/getauthuserop.js
var User$inboundSchema = unionType([AuthUserLimited$inboundSchema, AuthUser$inboundSchema]);
var User$outboundSchema = unionType([AuthUserLimited$outboundSchema, AuthUser$outboundSchema]);
var User$;
(function(User$2) {
  User$2.inboundSchema = User$inboundSchema;
  User$2.outboundSchema = User$outboundSchema;
})(User$ || (User$ = {}));
var GetAuthUserResponseBody$inboundSchema = objectType({
  user: unionType([AuthUserLimited$inboundSchema, AuthUser$inboundSchema])
});
var GetAuthUserResponseBody$outboundSchema = objectType({
  user: unionType([AuthUserLimited$outboundSchema, AuthUser$outboundSchema])
});
var GetAuthUserResponseBody$;
(function(GetAuthUserResponseBody$2) {
  GetAuthUserResponseBody$2.inboundSchema = GetAuthUserResponseBody$inboundSchema;
  GetAuthUserResponseBody$2.outboundSchema = GetAuthUserResponseBody$outboundSchema;
})(GetAuthUserResponseBody$ || (GetAuthUserResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/userGetAuthUser.js
async function userGetAuthUser(client, options) {
  const path = pathToFunc("/v2/user")();
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getAuthUser",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "409", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetAuthUserResponseBody$inboundSchema.optional()), nil(302, GetAuthUserResponseBody$inboundSchema.optional()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, 409, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/userevent.js
var UserEvent$inboundSchema = objectType({});
var UserEvent$outboundSchema = objectType({});
var UserEvent$;
(function(UserEvent$2) {
  UserEvent$2.inboundSchema = UserEvent$inboundSchema;
  UserEvent$2.outboundSchema = UserEvent$outboundSchema;
})(UserEvent$ || (UserEvent$ = {}));

// node_modules/@vercel/sdk/esm/models/listusereventsop.js
var ListUserEventsRequest$inboundSchema = objectType({
  limit: numberType().optional(),
  since: stringType().optional(),
  until: stringType().optional(),
  types: stringType().optional(),
  userId: stringType().optional(),
  withPayload: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ListUserEventsRequest$outboundSchema = objectType({
  limit: numberType().optional(),
  since: stringType().optional(),
  until: stringType().optional(),
  types: stringType().optional(),
  userId: stringType().optional(),
  withPayload: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var ListUserEventsRequest$;
(function(ListUserEventsRequest$2) {
  ListUserEventsRequest$2.inboundSchema = ListUserEventsRequest$inboundSchema;
  ListUserEventsRequest$2.outboundSchema = ListUserEventsRequest$outboundSchema;
})(ListUserEventsRequest$ || (ListUserEventsRequest$ = {}));
var ListUserEventsResponseBody$inboundSchema = objectType({
  events: arrayType(UserEvent$inboundSchema)
});
var ListUserEventsResponseBody$outboundSchema = objectType({
  events: arrayType(UserEvent$outboundSchema)
});
var ListUserEventsResponseBody$;
(function(ListUserEventsResponseBody$2) {
  ListUserEventsResponseBody$2.inboundSchema = ListUserEventsResponseBody$inboundSchema;
  ListUserEventsResponseBody$2.outboundSchema = ListUserEventsResponseBody$outboundSchema;
})(ListUserEventsResponseBody$ || (ListUserEventsResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/userListUserEvents.js
async function userListUserEvents(client, request, options) {
  const parsed = safeParse(request, (value) => ListUserEventsRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v3/events")();
  const query = encodeFormQuery({
    limit: payload.limit,
    since: payload.since,
    slug: payload.slug,
    teamId: payload.teamId,
    types: payload.types,
    until: payload.until,
    userId: payload.userId,
    withPayload: payload.withPayload
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "listUserEvents",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, ListUserEventsResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/requestdeleteop.js
var RequestDeleteReasons$inboundSchema = objectType({
  slug: stringType(),
  description: stringType()
});
var RequestDeleteReasons$outboundSchema = objectType({
  slug: stringType(),
  description: stringType()
});
var RequestDeleteReasons$;
(function(RequestDeleteReasons$2) {
  RequestDeleteReasons$2.inboundSchema = RequestDeleteReasons$inboundSchema;
  RequestDeleteReasons$2.outboundSchema = RequestDeleteReasons$outboundSchema;
})(RequestDeleteReasons$ || (RequestDeleteReasons$ = {}));
var RequestDeleteRequestBody$inboundSchema = objectType({
  reasons: arrayType(lazyType(() => RequestDeleteReasons$inboundSchema)).optional()
});
var RequestDeleteRequestBody$outboundSchema = objectType({
  reasons: arrayType(lazyType(() => RequestDeleteReasons$outboundSchema)).optional()
});
var RequestDeleteRequestBody$;
(function(RequestDeleteRequestBody$2) {
  RequestDeleteRequestBody$2.inboundSchema = RequestDeleteRequestBody$inboundSchema;
  RequestDeleteRequestBody$2.outboundSchema = RequestDeleteRequestBody$outboundSchema;
})(RequestDeleteRequestBody$ || (RequestDeleteRequestBody$ = {}));
var RequestDeleteResponseBody$inboundSchema = objectType({
  id: stringType(),
  email: stringType(),
  message: stringType()
});
var RequestDeleteResponseBody$outboundSchema = objectType({
  id: stringType(),
  email: stringType(),
  message: stringType()
});
var RequestDeleteResponseBody$;
(function(RequestDeleteResponseBody$2) {
  RequestDeleteResponseBody$2.inboundSchema = RequestDeleteResponseBody$inboundSchema;
  RequestDeleteResponseBody$2.outboundSchema = RequestDeleteResponseBody$outboundSchema;
})(RequestDeleteResponseBody$ || (RequestDeleteResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/userRequestDelete.js
async function userRequestDelete(client, request, options) {
  const parsed = safeParse(request, (value) => RequestDeleteRequestBody$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload, { explode: true });
  const path = pathToFunc("/v1/user")();
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "requestDelete",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "402", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(202, RequestDeleteResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([402, 403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/user.js
class User extends ClientSDK {
  async listUserEvents(request, options) {
    return unwrapAsync(userListUserEvents(this, request, options));
  }
  async getAuthUser(options) {
    return unwrapAsync(userGetAuthUser(this, options));
  }
  async requestDelete(request, options) {
    return unwrapAsync(userRequestDelete(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/models/createwebhookop.js
var Events = {
  BudgetReached: "budget.reached",
  BudgetReset: "budget.reset",
  DomainCreated: "domain.created",
  DeploymentCreated: "deployment.created",
  DeploymentError: "deployment.error",
  DeploymentCanceled: "deployment.canceled",
  DeploymentSucceeded: "deployment.succeeded",
  DeploymentReady: "deployment.ready",
  DeploymentCheckRerequested: "deployment.check-rerequested",
  DeploymentPromoted: "deployment.promoted",
  DeploymentIntegrationActionStart: "deployment.integration.action.start",
  DeploymentIntegrationActionCancel: "deployment.integration.action.cancel",
  DeploymentIntegrationActionCleanup: "deployment.integration.action.cleanup",
  EdgeConfigCreated: "edge-config.created",
  EdgeConfigDeleted: "edge-config.deleted",
  EdgeConfigItemsUpdated: "edge-config.items.updated",
  FirewallAttack: "firewall.attack",
  IntegrationConfigurationPermissionUpgraded: "integration-configuration.permission-upgraded",
  IntegrationConfigurationRemoved: "integration-configuration.removed",
  IntegrationConfigurationScopeChangeConfirmed: "integration-configuration.scope-change-confirmed",
  IntegrationResourceProjectConnected: "integration-resource.project-connected",
  IntegrationResourceProjectDisconnected: "integration-resource.project-disconnected",
  ProjectCreated: "project.created",
  ProjectRemoved: "project.removed",
  DeploymentChecksCompletedLegacy: "deployment-checks-completed",
  DeploymentReadyLegacy: "deployment-ready",
  DeploymentPreparedLegacy: "deployment-prepared",
  DeploymentErrorLegacy: "deployment-error",
  DeploymentCheckRerequestedLegacy: "deployment-check-rerequested",
  DeploymentCanceledLegacy: "deployment-canceled",
  ProjectCreatedLegacy: "project-created",
  ProjectRemovedLegacy: "project-removed",
  DomainCreatedLegacy: "domain-created",
  DeploymentLegacy: "deployment",
  IntegrationConfigurationPermissionUpdatedLegacy: "integration-configuration-permission-updated",
  IntegrationConfigurationRemovedLegacy: "integration-configuration-removed",
  IntegrationConfigurationScopeChangeConfirmedLegacy: "integration-configuration-scope-change-confirmed",
  MarketplaceInvoiceCreated: "marketplace.invoice.created",
  MarketplaceInvoicePaid: "marketplace.invoice.paid",
  MarketplaceInvoiceNotpaid: "marketplace.invoice.notpaid",
  MarketplaceInvoiceRefunded: "marketplace.invoice.refunded",
  ObservabilityAnomaly: "observability.anomaly",
  TestWebhook: "test-webhook"
};
var CreateWebhookEvents = {
  BudgetReached: "budget.reached",
  BudgetReset: "budget.reset",
  DomainCreated: "domain.created",
  DeploymentCreated: "deployment.created",
  DeploymentError: "deployment.error",
  DeploymentCanceled: "deployment.canceled",
  DeploymentSucceeded: "deployment.succeeded",
  DeploymentReady: "deployment.ready",
  DeploymentCheckRerequested: "deployment.check-rerequested",
  DeploymentPromoted: "deployment.promoted",
  DeploymentIntegrationActionStart: "deployment.integration.action.start",
  DeploymentIntegrationActionCancel: "deployment.integration.action.cancel",
  DeploymentIntegrationActionCleanup: "deployment.integration.action.cleanup",
  EdgeConfigCreated: "edge-config.created",
  EdgeConfigDeleted: "edge-config.deleted",
  EdgeConfigItemsUpdated: "edge-config.items.updated",
  FirewallAttack: "firewall.attack",
  IntegrationConfigurationPermissionUpgraded: "integration-configuration.permission-upgraded",
  IntegrationConfigurationRemoved: "integration-configuration.removed",
  IntegrationConfigurationScopeChangeConfirmed: "integration-configuration.scope-change-confirmed",
  IntegrationResourceProjectConnected: "integration-resource.project-connected",
  IntegrationResourceProjectDisconnected: "integration-resource.project-disconnected",
  ProjectCreated: "project.created",
  ProjectRemoved: "project.removed",
  DeploymentChecksCompletedLegacy: "deployment-checks-completed",
  DeploymentReadyLegacy: "deployment-ready",
  DeploymentPreparedLegacy: "deployment-prepared",
  DeploymentErrorLegacy: "deployment-error",
  DeploymentCheckRerequestedLegacy: "deployment-check-rerequested",
  DeploymentCanceledLegacy: "deployment-canceled",
  ProjectCreatedLegacy: "project-created",
  ProjectRemovedLegacy: "project-removed",
  DomainCreatedLegacy: "domain-created",
  DeploymentLegacy: "deployment",
  IntegrationConfigurationPermissionUpdatedLegacy: "integration-configuration-permission-updated",
  IntegrationConfigurationRemovedLegacy: "integration-configuration-removed",
  IntegrationConfigurationScopeChangeConfirmedLegacy: "integration-configuration-scope-change-confirmed",
  MarketplaceInvoiceCreated: "marketplace.invoice.created",
  MarketplaceInvoicePaid: "marketplace.invoice.paid",
  MarketplaceInvoiceNotpaid: "marketplace.invoice.notpaid",
  MarketplaceInvoiceRefunded: "marketplace.invoice.refunded",
  ObservabilityAnomaly: "observability.anomaly",
  TestWebhook: "test-webhook"
};
var Events$inboundSchema = nativeEnumType(Events);
var Events$outboundSchema = Events$inboundSchema;
var Events$;
(function(Events$2) {
  Events$2.inboundSchema = Events$inboundSchema;
  Events$2.outboundSchema = Events$outboundSchema;
})(Events$ || (Events$ = {}));
var CreateWebhookRequestBody$inboundSchema = objectType({
  url: stringType(),
  events: arrayType(Events$inboundSchema),
  projectIds: arrayType(stringType()).optional()
});
var CreateWebhookRequestBody$outboundSchema = objectType({
  url: stringType(),
  events: arrayType(Events$outboundSchema),
  projectIds: arrayType(stringType()).optional()
});
var CreateWebhookRequestBody$;
(function(CreateWebhookRequestBody$2) {
  CreateWebhookRequestBody$2.inboundSchema = CreateWebhookRequestBody$inboundSchema;
  CreateWebhookRequestBody$2.outboundSchema = CreateWebhookRequestBody$outboundSchema;
})(CreateWebhookRequestBody$ || (CreateWebhookRequestBody$ = {}));
var CreateWebhookRequest$inboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  RequestBody: lazyType(() => CreateWebhookRequestBody$inboundSchema)
}).transform((v2) => {
  return remap(v2, {
    RequestBody: "requestBody"
  });
});
var CreateWebhookRequest$outboundSchema = objectType({
  teamId: stringType().optional(),
  slug: stringType().optional(),
  requestBody: lazyType(() => CreateWebhookRequestBody$outboundSchema)
}).transform((v2) => {
  return remap(v2, {
    requestBody: "RequestBody"
  });
});
var CreateWebhookRequest$;
(function(CreateWebhookRequest$2) {
  CreateWebhookRequest$2.inboundSchema = CreateWebhookRequest$inboundSchema;
  CreateWebhookRequest$2.outboundSchema = CreateWebhookRequest$outboundSchema;
})(CreateWebhookRequest$ || (CreateWebhookRequest$ = {}));
var CreateWebhookEvents$inboundSchema = nativeEnumType(CreateWebhookEvents);
var CreateWebhookEvents$outboundSchema = CreateWebhookEvents$inboundSchema;
var CreateWebhookEvents$;
(function(CreateWebhookEvents$2) {
  CreateWebhookEvents$2.inboundSchema = CreateWebhookEvents$inboundSchema;
  CreateWebhookEvents$2.outboundSchema = CreateWebhookEvents$outboundSchema;
})(CreateWebhookEvents$ || (CreateWebhookEvents$ = {}));
var CreateWebhookResponseBody$inboundSchema = objectType({
  secret: stringType(),
  events: arrayType(CreateWebhookEvents$inboundSchema),
  id: stringType(),
  url: stringType(),
  ownerId: stringType(),
  createdAt: numberType(),
  updatedAt: numberType(),
  projectIds: arrayType(stringType()).optional()
});
var CreateWebhookResponseBody$outboundSchema = objectType({
  secret: stringType(),
  events: arrayType(CreateWebhookEvents$outboundSchema),
  id: stringType(),
  url: stringType(),
  ownerId: stringType(),
  createdAt: numberType(),
  updatedAt: numberType(),
  projectIds: arrayType(stringType()).optional()
});
var CreateWebhookResponseBody$;
(function(CreateWebhookResponseBody$2) {
  CreateWebhookResponseBody$2.inboundSchema = CreateWebhookResponseBody$inboundSchema;
  CreateWebhookResponseBody$2.outboundSchema = CreateWebhookResponseBody$outboundSchema;
})(CreateWebhookResponseBody$ || (CreateWebhookResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/webhooksCreateWebhook.js
async function webhooksCreateWebhook(client, request, options) {
  const parsed = safeParse(request, (value) => CreateWebhookRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = encodeJSON("body", payload.RequestBody, { explode: true });
  const path = pathToFunc("/v1/webhooks")();
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    "Content-Type": "application/json",
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "createWebhook",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "POST",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, CreateWebhookResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/deletewebhookop.js
var DeleteWebhookRequest$inboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteWebhookRequest$outboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var DeleteWebhookRequest$;
(function(DeleteWebhookRequest$2) {
  DeleteWebhookRequest$2.inboundSchema = DeleteWebhookRequest$inboundSchema;
  DeleteWebhookRequest$2.outboundSchema = DeleteWebhookRequest$outboundSchema;
})(DeleteWebhookRequest$ || (DeleteWebhookRequest$ = {}));

// node_modules/@vercel/sdk/esm/funcs/webhooksDeleteWebhook.js
async function webhooksDeleteWebhook(client, request, options) {
  const parsed = safeParse(request, (value) => DeleteWebhookRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/webhooks/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "deleteWebhook",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "DELETE",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(nil(204, voidType()), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getwebhookop.js
var GetWebhookEvents = {
  BudgetReached: "budget.reached",
  BudgetReset: "budget.reset",
  DomainCreated: "domain.created",
  DeploymentCreated: "deployment.created",
  DeploymentError: "deployment.error",
  DeploymentCanceled: "deployment.canceled",
  DeploymentSucceeded: "deployment.succeeded",
  DeploymentReady: "deployment.ready",
  DeploymentCheckRerequested: "deployment.check-rerequested",
  DeploymentPromoted: "deployment.promoted",
  DeploymentIntegrationActionStart: "deployment.integration.action.start",
  DeploymentIntegrationActionCancel: "deployment.integration.action.cancel",
  DeploymentIntegrationActionCleanup: "deployment.integration.action.cleanup",
  EdgeConfigCreated: "edge-config.created",
  EdgeConfigDeleted: "edge-config.deleted",
  EdgeConfigItemsUpdated: "edge-config.items.updated",
  FirewallAttack: "firewall.attack",
  IntegrationConfigurationPermissionUpgraded: "integration-configuration.permission-upgraded",
  IntegrationConfigurationRemoved: "integration-configuration.removed",
  IntegrationConfigurationScopeChangeConfirmed: "integration-configuration.scope-change-confirmed",
  IntegrationResourceProjectConnected: "integration-resource.project-connected",
  IntegrationResourceProjectDisconnected: "integration-resource.project-disconnected",
  ProjectCreated: "project.created",
  ProjectRemoved: "project.removed",
  DeploymentChecksCompletedLegacy: "deployment-checks-completed",
  DeploymentReadyLegacy: "deployment-ready",
  DeploymentPreparedLegacy: "deployment-prepared",
  DeploymentErrorLegacy: "deployment-error",
  DeploymentCheckRerequestedLegacy: "deployment-check-rerequested",
  DeploymentCanceledLegacy: "deployment-canceled",
  ProjectCreatedLegacy: "project-created",
  ProjectRemovedLegacy: "project-removed",
  DomainCreatedLegacy: "domain-created",
  DeploymentLegacy: "deployment",
  IntegrationConfigurationPermissionUpdatedLegacy: "integration-configuration-permission-updated",
  IntegrationConfigurationRemovedLegacy: "integration-configuration-removed",
  IntegrationConfigurationScopeChangeConfirmedLegacy: "integration-configuration-scope-change-confirmed",
  MarketplaceInvoiceCreated: "marketplace.invoice.created",
  MarketplaceInvoicePaid: "marketplace.invoice.paid",
  MarketplaceInvoiceNotpaid: "marketplace.invoice.notpaid",
  MarketplaceInvoiceRefunded: "marketplace.invoice.refunded",
  ObservabilityAnomaly: "observability.anomaly",
  TestWebhook: "test-webhook"
};
var GetWebhookRequest$inboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetWebhookRequest$outboundSchema = objectType({
  id: stringType(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetWebhookRequest$;
(function(GetWebhookRequest$2) {
  GetWebhookRequest$2.inboundSchema = GetWebhookRequest$inboundSchema;
  GetWebhookRequest$2.outboundSchema = GetWebhookRequest$outboundSchema;
})(GetWebhookRequest$ || (GetWebhookRequest$ = {}));
var GetWebhookEvents$inboundSchema = nativeEnumType(GetWebhookEvents);
var GetWebhookEvents$outboundSchema = GetWebhookEvents$inboundSchema;
var GetWebhookEvents$;
(function(GetWebhookEvents$2) {
  GetWebhookEvents$2.inboundSchema = GetWebhookEvents$inboundSchema;
  GetWebhookEvents$2.outboundSchema = GetWebhookEvents$outboundSchema;
})(GetWebhookEvents$ || (GetWebhookEvents$ = {}));
var GetWebhookResponseBody$inboundSchema = objectType({
  events: arrayType(GetWebhookEvents$inboundSchema),
  id: stringType(),
  url: stringType(),
  ownerId: stringType(),
  createdAt: numberType(),
  updatedAt: numberType(),
  projectIds: arrayType(stringType()).optional()
});
var GetWebhookResponseBody$outboundSchema = objectType({
  events: arrayType(GetWebhookEvents$outboundSchema),
  id: stringType(),
  url: stringType(),
  ownerId: stringType(),
  createdAt: numberType(),
  updatedAt: numberType(),
  projectIds: arrayType(stringType()).optional()
});
var GetWebhookResponseBody$;
(function(GetWebhookResponseBody$2) {
  GetWebhookResponseBody$2.inboundSchema = GetWebhookResponseBody$inboundSchema;
  GetWebhookResponseBody$2.outboundSchema = GetWebhookResponseBody$outboundSchema;
})(GetWebhookResponseBody$ || (GetWebhookResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/webhooksGetWebhook.js
async function webhooksGetWebhook(client, request, options) {
  const parsed = safeParse(request, (value) => GetWebhookRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const pathParams = {
    id: encodeSimple("id", payload.id, {
      explode: false,
      charEncoding: "percent"
    })
  };
  const path = pathToFunc("/v1/webhooks/{id}")(pathParams);
  const query = encodeFormQuery({
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getWebhook",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetWebhookResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/models/getwebhooksop.js
var GetWebhooksResponseBodyEvents = {
  BudgetReached: "budget.reached",
  BudgetReset: "budget.reset",
  DomainCreated: "domain.created",
  DeploymentCreated: "deployment.created",
  DeploymentError: "deployment.error",
  DeploymentCanceled: "deployment.canceled",
  DeploymentSucceeded: "deployment.succeeded",
  DeploymentReady: "deployment.ready",
  DeploymentCheckRerequested: "deployment.check-rerequested",
  DeploymentPromoted: "deployment.promoted",
  DeploymentIntegrationActionStart: "deployment.integration.action.start",
  DeploymentIntegrationActionCancel: "deployment.integration.action.cancel",
  DeploymentIntegrationActionCleanup: "deployment.integration.action.cleanup",
  EdgeConfigCreated: "edge-config.created",
  EdgeConfigDeleted: "edge-config.deleted",
  EdgeConfigItemsUpdated: "edge-config.items.updated",
  FirewallAttack: "firewall.attack",
  IntegrationConfigurationPermissionUpgraded: "integration-configuration.permission-upgraded",
  IntegrationConfigurationRemoved: "integration-configuration.removed",
  IntegrationConfigurationScopeChangeConfirmed: "integration-configuration.scope-change-confirmed",
  IntegrationResourceProjectConnected: "integration-resource.project-connected",
  IntegrationResourceProjectDisconnected: "integration-resource.project-disconnected",
  ProjectCreated: "project.created",
  ProjectRemoved: "project.removed",
  DeploymentChecksCompletedLegacy: "deployment-checks-completed",
  DeploymentReadyLegacy: "deployment-ready",
  DeploymentPreparedLegacy: "deployment-prepared",
  DeploymentErrorLegacy: "deployment-error",
  DeploymentCheckRerequestedLegacy: "deployment-check-rerequested",
  DeploymentCanceledLegacy: "deployment-canceled",
  ProjectCreatedLegacy: "project-created",
  ProjectRemovedLegacy: "project-removed",
  DomainCreatedLegacy: "domain-created",
  DeploymentLegacy: "deployment",
  IntegrationConfigurationPermissionUpdatedLegacy: "integration-configuration-permission-updated",
  IntegrationConfigurationRemovedLegacy: "integration-configuration-removed",
  IntegrationConfigurationScopeChangeConfirmedLegacy: "integration-configuration-scope-change-confirmed",
  MarketplaceInvoiceCreated: "marketplace.invoice.created",
  MarketplaceInvoicePaid: "marketplace.invoice.paid",
  MarketplaceInvoiceNotpaid: "marketplace.invoice.notpaid",
  MarketplaceInvoiceRefunded: "marketplace.invoice.refunded",
  ObservabilityAnomaly: "observability.anomaly",
  TestWebhook: "test-webhook"
};
var GetWebhooksResponseBodyFramework = {
  Blitzjs: "blitzjs",
  Nextjs: "nextjs",
  Gatsby: "gatsby",
  Remix: "remix",
  Astro: "astro",
  Hexo: "hexo",
  Eleventy: "eleventy",
  Docusaurus2: "docusaurus-2",
  Docusaurus: "docusaurus",
  Preact: "preact",
  Solidstart1: "solidstart-1",
  Solidstart: "solidstart",
  Dojo: "dojo",
  Ember: "ember",
  Vue: "vue",
  Scully: "scully",
  IonicAngular: "ionic-angular",
  Angular: "angular",
  Polymer: "polymer",
  Svelte: "svelte",
  Sveltekit: "sveltekit",
  Sveltekit1: "sveltekit-1",
  IonicReact: "ionic-react",
  CreateReactApp: "create-react-app",
  Gridsome: "gridsome",
  Umijs: "umijs",
  Sapper: "sapper",
  Saber: "saber",
  Stencil: "stencil",
  Nuxtjs: "nuxtjs",
  Redwoodjs: "redwoodjs",
  Hugo: "hugo",
  Jekyll: "jekyll",
  Brunch: "brunch",
  Middleman: "middleman",
  Zola: "zola",
  Hydrogen: "hydrogen",
  Vite: "vite",
  Vitepress: "vitepress",
  Vuepress: "vuepress",
  Parcel: "parcel",
  Fasthtml: "fasthtml",
  SanityV3: "sanity-v3",
  Sanity: "sanity",
  Storybook: "storybook"
};
var ResponseBodyEvents = {
  BudgetReached: "budget.reached",
  BudgetReset: "budget.reset",
  DomainCreated: "domain.created",
  DeploymentCreated: "deployment.created",
  DeploymentError: "deployment.error",
  DeploymentCanceled: "deployment.canceled",
  DeploymentSucceeded: "deployment.succeeded",
  DeploymentReady: "deployment.ready",
  DeploymentCheckRerequested: "deployment.check-rerequested",
  DeploymentPromoted: "deployment.promoted",
  DeploymentIntegrationActionStart: "deployment.integration.action.start",
  DeploymentIntegrationActionCancel: "deployment.integration.action.cancel",
  DeploymentIntegrationActionCleanup: "deployment.integration.action.cleanup",
  EdgeConfigCreated: "edge-config.created",
  EdgeConfigDeleted: "edge-config.deleted",
  EdgeConfigItemsUpdated: "edge-config.items.updated",
  FirewallAttack: "firewall.attack",
  IntegrationConfigurationPermissionUpgraded: "integration-configuration.permission-upgraded",
  IntegrationConfigurationRemoved: "integration-configuration.removed",
  IntegrationConfigurationScopeChangeConfirmed: "integration-configuration.scope-change-confirmed",
  IntegrationResourceProjectConnected: "integration-resource.project-connected",
  IntegrationResourceProjectDisconnected: "integration-resource.project-disconnected",
  ProjectCreated: "project.created",
  ProjectRemoved: "project.removed",
  DeploymentChecksCompletedLegacy: "deployment-checks-completed",
  DeploymentReadyLegacy: "deployment-ready",
  DeploymentPreparedLegacy: "deployment-prepared",
  DeploymentErrorLegacy: "deployment-error",
  DeploymentCheckRerequestedLegacy: "deployment-check-rerequested",
  DeploymentCanceledLegacy: "deployment-canceled",
  ProjectCreatedLegacy: "project-created",
  ProjectRemovedLegacy: "project-removed",
  DomainCreatedLegacy: "domain-created",
  DeploymentLegacy: "deployment",
  IntegrationConfigurationPermissionUpdatedLegacy: "integration-configuration-permission-updated",
  IntegrationConfigurationRemovedLegacy: "integration-configuration-removed",
  IntegrationConfigurationScopeChangeConfirmedLegacy: "integration-configuration-scope-change-confirmed",
  MarketplaceInvoiceCreated: "marketplace.invoice.created",
  MarketplaceInvoicePaid: "marketplace.invoice.paid",
  MarketplaceInvoiceNotpaid: "marketplace.invoice.notpaid",
  MarketplaceInvoiceRefunded: "marketplace.invoice.refunded",
  ObservabilityAnomaly: "observability.anomaly",
  TestWebhook: "test-webhook"
};
var GetWebhooksRequest$inboundSchema = objectType({
  projectId: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetWebhooksRequest$outboundSchema = objectType({
  projectId: stringType().optional(),
  teamId: stringType().optional(),
  slug: stringType().optional()
});
var GetWebhooksRequest$;
(function(GetWebhooksRequest$2) {
  GetWebhooksRequest$2.inboundSchema = GetWebhooksRequest$inboundSchema;
  GetWebhooksRequest$2.outboundSchema = GetWebhooksRequest$outboundSchema;
})(GetWebhooksRequest$ || (GetWebhooksRequest$ = {}));
var GetWebhooksResponseBodyEvents$inboundSchema = nativeEnumType(GetWebhooksResponseBodyEvents);
var GetWebhooksResponseBodyEvents$outboundSchema = GetWebhooksResponseBodyEvents$inboundSchema;
var GetWebhooksResponseBodyEvents$;
(function(GetWebhooksResponseBodyEvents$2) {
  GetWebhooksResponseBodyEvents$2.inboundSchema = GetWebhooksResponseBodyEvents$inboundSchema;
  GetWebhooksResponseBodyEvents$2.outboundSchema = GetWebhooksResponseBodyEvents$outboundSchema;
})(GetWebhooksResponseBodyEvents$ || (GetWebhooksResponseBodyEvents$ = {}));
var GetWebhooksResponseBody2$inboundSchema = objectType({
  events: arrayType(GetWebhooksResponseBodyEvents$inboundSchema),
  id: stringType(),
  url: stringType(),
  ownerId: stringType(),
  createdAt: numberType(),
  updatedAt: numberType(),
  projectIds: arrayType(stringType()).optional()
});
var GetWebhooksResponseBody2$outboundSchema = objectType({
  events: arrayType(GetWebhooksResponseBodyEvents$outboundSchema),
  id: stringType(),
  url: stringType(),
  ownerId: stringType(),
  createdAt: numberType(),
  updatedAt: numberType(),
  projectIds: arrayType(stringType()).optional()
});
var GetWebhooksResponseBody2$;
(function(GetWebhooksResponseBody2$2) {
  GetWebhooksResponseBody2$2.inboundSchema = GetWebhooksResponseBody2$inboundSchema;
  GetWebhooksResponseBody2$2.outboundSchema = GetWebhooksResponseBody2$outboundSchema;
})(GetWebhooksResponseBody2$ || (GetWebhooksResponseBody2$ = {}));
var GetWebhooksResponseBodyFramework$inboundSchema = nativeEnumType(GetWebhooksResponseBodyFramework);
var GetWebhooksResponseBodyFramework$outboundSchema = GetWebhooksResponseBodyFramework$inboundSchema;
var GetWebhooksResponseBodyFramework$;
(function(GetWebhooksResponseBodyFramework$2) {
  GetWebhooksResponseBodyFramework$2.inboundSchema = GetWebhooksResponseBodyFramework$inboundSchema;
  GetWebhooksResponseBodyFramework$2.outboundSchema = GetWebhooksResponseBodyFramework$outboundSchema;
})(GetWebhooksResponseBodyFramework$ || (GetWebhooksResponseBodyFramework$ = {}));
var ProjectsMetadata$inboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  framework: nullableType(GetWebhooksResponseBodyFramework$inboundSchema).optional(),
  latestDeployment: stringType().optional()
});
var ProjectsMetadata$outboundSchema = objectType({
  id: stringType(),
  name: stringType(),
  framework: nullableType(GetWebhooksResponseBodyFramework$outboundSchema).optional(),
  latestDeployment: stringType().optional()
});
var ProjectsMetadata$;
(function(ProjectsMetadata$2) {
  ProjectsMetadata$2.inboundSchema = ProjectsMetadata$inboundSchema;
  ProjectsMetadata$2.outboundSchema = ProjectsMetadata$outboundSchema;
})(ProjectsMetadata$ || (ProjectsMetadata$ = {}));
var ResponseBodyEvents$inboundSchema = nativeEnumType(ResponseBodyEvents);
var ResponseBodyEvents$outboundSchema = ResponseBodyEvents$inboundSchema;
var ResponseBodyEvents$;
(function(ResponseBodyEvents$2) {
  ResponseBodyEvents$2.inboundSchema = ResponseBodyEvents$inboundSchema;
  ResponseBodyEvents$2.outboundSchema = ResponseBodyEvents$outboundSchema;
})(ResponseBodyEvents$ || (ResponseBodyEvents$ = {}));
var GetWebhooksResponseBody1$inboundSchema = objectType({
  projectsMetadata: nullableType(arrayType(lazyType(() => ProjectsMetadata$inboundSchema))),
  events: arrayType(ResponseBodyEvents$inboundSchema),
  id: stringType(),
  url: stringType(),
  ownerId: stringType(),
  createdAt: numberType(),
  updatedAt: numberType(),
  projectIds: arrayType(stringType()).optional()
});
var GetWebhooksResponseBody1$outboundSchema = objectType({
  projectsMetadata: nullableType(arrayType(lazyType(() => ProjectsMetadata$outboundSchema))),
  events: arrayType(ResponseBodyEvents$outboundSchema),
  id: stringType(),
  url: stringType(),
  ownerId: stringType(),
  createdAt: numberType(),
  updatedAt: numberType(),
  projectIds: arrayType(stringType()).optional()
});
var GetWebhooksResponseBody1$;
(function(GetWebhooksResponseBody1$2) {
  GetWebhooksResponseBody1$2.inboundSchema = GetWebhooksResponseBody1$inboundSchema;
  GetWebhooksResponseBody1$2.outboundSchema = GetWebhooksResponseBody1$outboundSchema;
})(GetWebhooksResponseBody1$ || (GetWebhooksResponseBody1$ = {}));
var GetWebhooksResponseBody$inboundSchema = unionType([
  arrayType(lazyType(() => GetWebhooksResponseBody1$inboundSchema)),
  arrayType(lazyType(() => GetWebhooksResponseBody2$inboundSchema))
]);
var GetWebhooksResponseBody$outboundSchema = unionType([
  arrayType(lazyType(() => GetWebhooksResponseBody1$outboundSchema)),
  arrayType(lazyType(() => GetWebhooksResponseBody2$outboundSchema))
]);
var GetWebhooksResponseBody$;
(function(GetWebhooksResponseBody$2) {
  GetWebhooksResponseBody$2.inboundSchema = GetWebhooksResponseBody$inboundSchema;
  GetWebhooksResponseBody$2.outboundSchema = GetWebhooksResponseBody$outboundSchema;
})(GetWebhooksResponseBody$ || (GetWebhooksResponseBody$ = {}));

// node_modules/@vercel/sdk/esm/funcs/webhooksGetWebhooks.js
async function webhooksGetWebhooks(client, request, options) {
  const parsed = safeParse(request, (value) => GetWebhooksRequest$outboundSchema.parse(value), "Input validation failed");
  if (!parsed.ok) {
    return parsed;
  }
  const payload = parsed.value;
  const body = null;
  const path = pathToFunc("/v1/webhooks")();
  const query = encodeFormQuery({
    projectId: payload.projectId,
    slug: payload.slug,
    teamId: payload.teamId
  });
  const headers = new Headers(compactMap({
    Accept: "application/json"
  }));
  const secConfig = await extractSecurity(client._options.bearerToken);
  const securityInput = secConfig == null ? {} : { bearerToken: secConfig };
  const requestSecurity = resolveGlobalSecurity(securityInput);
  const context = {
    operationID: "getWebhooks",
    oAuth2Scopes: [],
    resolvedSecurity: requestSecurity,
    securitySource: client._options.bearerToken,
    retryConfig: options?.retries || client._options.retryConfig || { strategy: "none" },
    retryCodes: options?.retryCodes || ["429", "500", "502", "503", "504"]
  };
  const requestRes = client._createRequest(context, {
    security: requestSecurity,
    method: "GET",
    baseURL: options?.serverURL,
    path,
    headers,
    query,
    body,
    timeoutMs: options?.timeoutMs || client._options.timeoutMs || -1
  }, options);
  if (!requestRes.ok) {
    return requestRes;
  }
  const req = requestRes.value;
  const doResult = await client._do(req, {
    context,
    errorCodes: ["400", "401", "403", "4XX", "5XX"],
    retryConfig: context.retryConfig,
    retryCodes: context.retryCodes
  });
  if (!doResult.ok) {
    return doResult;
  }
  const response = doResult.value;
  const responseFields = {
    HttpMeta: { Response: response, Request: req }
  };
  const [result] = await match(json(200, GetWebhooksResponseBody$inboundSchema), jsonErr(400, VercelBadRequestError$inboundSchema), jsonErr(401, VercelForbiddenError$inboundSchema), fail([403, "4XX"]), fail("5XX"))(response, { extraFields: responseFields });
  if (!result.ok) {
    return result;
  }
  return result;
}

// node_modules/@vercel/sdk/esm/sdk/webhooks.js
class Webhooks extends ClientSDK {
  async createWebhook(request, options) {
    return unwrapAsync(webhooksCreateWebhook(this, request, options));
  }
  async getWebhooks(request, options) {
    return unwrapAsync(webhooksGetWebhooks(this, request, options));
  }
  async getWebhook(request, options) {
    return unwrapAsync(webhooksGetWebhook(this, request, options));
  }
  async deleteWebhook(request, options) {
    return unwrapAsync(webhooksDeleteWebhook(this, request, options));
  }
}

// node_modules/@vercel/sdk/esm/sdk/sdk.js
class Vercel extends ClientSDK {
  get accessGroups() {
    return this._accessGroups ?? (this._accessGroups = new AccessGroups(this._options));
  }
  get artifacts() {
    return this._artifacts ?? (this._artifacts = new Artifacts(this._options));
  }
  get checks() {
    return this._checks ?? (this._checks = new Checks(this._options));
  }
  get projects() {
    return this._projects ?? (this._projects = new Projects(this._options));
  }
  get deployments() {
    return this._deployments ?? (this._deployments = new Deployments(this._options));
  }
  get domains() {
    return this._domains ?? (this._domains = new Domains(this._options));
  }
  get dns() {
    return this._dns ?? (this._dns = new Dns(this._options));
  }
  get edgeConfig() {
    return this._edgeConfig ?? (this._edgeConfig = new EdgeConfig(this._options));
  }
  get user() {
    return this._user ?? (this._user = new User(this._options));
  }
  get marketplace() {
    return this._marketplace ?? (this._marketplace = new Marketplace(this._options));
  }
  get integrations() {
    return this._integrations ?? (this._integrations = new Integrations(this._options));
  }
  get authentication() {
    return this._authentication ?? (this._authentication = new Authentication(this._options));
  }
  get logDrains() {
    return this._logDrains ?? (this._logDrains = new LogDrains(this._options));
  }
  get projectMembers() {
    return this._projectMembers ?? (this._projectMembers = new ProjectMembers(this._options));
  }
  get environment() {
    return this._environment ?? (this._environment = new Environment(this._options));
  }
  get security() {
    return this._security ?? (this._security = new Security(this._options));
  }
  get teams() {
    return this._teams ?? (this._teams = new Teams(this._options));
  }
  get webhooks() {
    return this._webhooks ?? (this._webhooks = new Webhooks(this._options));
  }
  get aliases() {
    return this._aliases ?? (this._aliases = new Aliases(this._options));
  }
  get certs() {
    return this._certs ?? (this._certs = new Certs(this._options));
  }
}

// index.ts
import { existsSync } from "fs";
var vercel;
async function getDeployments() {
  const deployments = await vercel.deployments.getDeployments({
    limit: 100
  });
  return deployments.deployments;
}
async function createDirectory(dirPath) {
  await fs.mkdir(dirPath, { recursive: true });
}
async function writeFile2(filePath, content) {
  try {
    const buffer = Buffer.from(content, "base64");
    const dir = path.dirname(filePath);
    await fs.mkdir(dir, { recursive: true });
    await fs.writeFile(filePath, buffer);
  } catch (error) {
    console.error(`Failed to write file ${filePath}:`, error);
    throw error;
  }
}
async function downloadFile(token, deploymentId, fileId, filePath, s) {
  try {
    const response = await fetch(`https://api.vercel.com/v7/deployments/${deploymentId}/files/${fileId}`, {
      headers: {
        Authorization: `Bearer ${token}`,
        Accept: "*/*"
      }
    });
    if (!response.ok) {
      throw new Error(`Failed to download file: ${response.statusText}`);
    }
    const { data } = await response.json();
    await writeFile2(filePath, data);
    s.message(`Downloaded: ${import_picocolors3.default.green(filePath)}`);
  } catch (error) {
    s.message(`Failed: ${import_picocolors3.default.red(filePath)}`);
    throw error;
  }
}
async function processEntry(token, deploymentId, entry, currentPath, s) {
  const entryPath = path.join(currentPath, entry.name);
  if (entry.type === "directory") {
    await createDirectory(entryPath);
    if (entry.children) {
      for (const child of entry.children) {
        await processEntry(token, deploymentId, child, entryPath, s);
      }
    }
  } else if (entry.type === "file" && entry.uid) {
    await downloadFile(token, deploymentId, entry.uid, entryPath, s);
  }
}
async function downloadDeployment(token, deploymentId, outputDir) {
  const s = Y();
  try {
    s.start("Fetching deployment files");
    await createDirectory(outputDir);
    s.message(`Fetching deployment files for ${import_picocolors3.default.green(deploymentId)}`);
    const deployment = await vercel.deployments.getDeployment({
      idOrUrl: deploymentId
    });
    if (!deployment) {
      s.stop("Deployment not found");
      process.exit(1);
    }
    s.message(`Fetching files for ${import_picocolors3.default.green(deployment.name)}`);
    const files = await vercel.deployments.listDeploymentFiles({
      id: deployment.id
    });
    s.message(`Found ${files.length} files`);
    if (!Array.isArray(files) || files.length === 0) {
      throw new Error("No files found in deployment");
    }
    s.message(`Processing ${files.length} entries`);
    for (const entry of files) {
      try {
        await processEntry(token, deploymentId, entry, outputDir, s);
      } catch (error) {
        console.error(`Failed to process entry ${entry.name}:`, error);
      }
    }
    s.stop("Download completed successfully");
  } catch (error) {
    s.stop("Download failed");
    throw error;
  }
}
async function main() {
  Ie(`${import_picocolors3.default.cyan("DLVercel - Download the source code of a Vercel deployment.")}`);
  const token = await he({
    message: "Enter your Vercel token (leave empty to use the TOKEN environment variable)",
    placeholder: "vercel_token_xxx",
    defaultValue: process.env.TOKEN,
    validate(value) {
      if (value.length === 0 && !process.env.TOKEN)
        return "Token is required when TOKEN environment variable is not set";
    }
  });
  if (BD(token)) {
    xe("Operation cancelled");
    process.exit(0);
  }
  const s = Y();
  s.start("Validating token");
  vercel = new Vercel({
    bearerToken: token
  });
  try {
    await vercel.user.getAuthUser();
    s.stop("Token validated");
  } catch (error) {
    xe("The informed token is invalid");
    process.exit(0);
  }
  s.start("Fetching deployments");
  const deployments = await getDeployments();
  s.stop("Deployments fetched");
  if (deployments.length === 0) {
    xe("No deployments found");
    process.exit(1);
  }
  const selectedDeployment = await ve({
    message: "Select a deployment to download",
    options: deployments.map((deployment) => ({
      value: deployment.uid,
      label: `${deployment.name} (${deployment.target || "preview"}) - ${new Date(deployment.created).toLocaleString()}`,
      hint: deployment.url
    }))
  });
  if (BD(selectedDeployment)) {
    xe("Operation cancelled");
    process.exit(0);
  }
  const outputDir = await he({
    message: "Where should files be saved?",
    placeholder: "./deployment-files",
    initialValue: "./deployment-files",
    validate(value) {
      if (value.length === 0)
        return "Output directory is required";
      if (existsSync(value))
        return "Directory already exists";
    }
  });
  if (BD(outputDir)) {
    xe("Operation cancelled");
    process.exit(0);
  }
  try {
    await downloadDeployment(token, selectedDeployment, outputDir);
    Me(`Files downloaded to ${import_picocolors3.default.green(path.resolve(outputDir))}`, "Success!");
  } catch (error) {
    console.error(error);
  }
  Se("All done! \uD83C\uDF89");
}
main().catch((error) => {
  console.error("Fatal error:", error);
  process.exit(1);
});
